/* The copyright in this software is being made available under the BSD
* License, included below. This software may be subject to other third party
* and contributor rights, including patent rights, and no such rights are
* granted under this license.
*
* Copyright (c) 2010-2021, ITU/ISO/IEC
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions are met:
*
*  * Redistributions of source code must retain the above copyright notice,
*    this list of conditions and the following disclaimer.
*  * Redistributions in binary form must reproduce the above copyright notice,
*    this list of conditions and the following disclaimer in the documentation
*    and/or other materials provided with the distribution.
*  * Neither the name of the ITU/ISO/IEC nor the names of its contributors may
*    be used to endorse or promote products derived from this software without
*    specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS
* BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
* CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
* SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
* CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
* ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
* THE POSSIBILITY OF SUCH DAMAGE.
*/

/** \file     AlfFixedFilters.h
\brief    ALF fixed filters
*/
#include "CommonDef.h"

#ifndef __ALFFIXEDFILTERS__
#define __ALFFIXEDFILTERS__

#if ALF_IMPROVEMENT
int static const short m_classIdnFixedFilter[NUM_SETS_FIXED_FILTERS][NUM_CLASSIFIER][NUM_CLASSES_FIX] = {
  { { 0, 0, 1, 0, 1, 2, 3, 3, 2, 2, 3, 3, 3, 4, 5, 3, 3, 2, 5, 5, 6, 7, 7, 7, 7, 5, 8, 5, 9, 1, 1, 1, 2, 2, 2, 2, 2, 4, 2, 2, 2, 4, 4, 9, 9, 4, 5, 5, 5, 7, 5, 5, 5, 5, 5, 7, 10, 11, 12, 11, 13, 14, 15, 13, 16, 16, 17, 18, 18, 16, 16, 17, 18, 18, 8, 8, 8, 17, 8, 8, 8, 8, 8, 19, 10, 12, 12, 20, 14, 14, 21, 22, 22, 16, 21, 21, 19, 19, 19, 4, 4, 4, 4, 4, 8, 4, 4, 4, 4, 4, 6, 5, 23, 23, 24, 25, 24, 26, 27, 28, 26, 29, 30, 31, 31, 32, 32, 33, 34, 34, 8, 19, 8, 35, 34, 36, 8, 8, 8, 5, 23, 37, 24, 38, 38, 26, 39, 40, 40, 29, 41, 41, 41, 19, 19, 41, 41, 4, 4, 4, 8, 42, 43, 4, 4, 8, 32, 8, 44, 44, 45, 44, 45, 46, 47, 48, 46, 49, 50, 51, 51, 32, 32, 33, 34, 34, 8, 32, 32, 35, 6, 36, 8, 8, 8, 52, 53, 53, 45, 54, 54, 46, 55, 55, 49, 49, 56, 56, 57, 57, 32, 56, 56, 57, 58, 58, 32, 42, 43, 43, 43, 4, 8, 6, 59, 60, 61, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 71, 76, 77, 6, 36, 36, 36, 58, 6, 59, 78, 61, 79, 62, 62, 80, 80, 81, 66, 82, 82, 83, 84, 71, 85, 85, 86, 58, 58, 58, 42, 42, 43, 43, 43, 32, 5, 87, 88, 89, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 76, 99, 100, 101, 75, 71, 76, 77, 6, 102, 36, 103, 103, 4, 87, 104, 89, 105, 90, 90, 106, 106, 107, 94, 108, 108, 109, 110, 76, 111, 111, 86, 112, 76, 76, 42, 42, 42, 43, 43, 32, 52, 113, 114, 115, 116, 115, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 102, 103, 103, 76, 4, 113, 135, 115, 136, 137, 117, 138, 139, 140, 121, 141, 142, 143, 144, 126, 145, 146, 147, 112, 132, 76, 145, 148, 149, 150, 132, 132, 5, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 131, 132, 170, 171, 172, 103, 131, 132, 5, 151, 173, 153, 174, 175, 156, 176, 177, 178, 160, 179, 180, 181, 182, 165, 183, 184, 185, 186, 132, 132, 187, 148, 149, 150, 5, 132, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 213, 132, 5, 189, 214, 191, 215, 216, 194, 217, 218, 219, 220, 221, 222, 223, 224, 203, 225, 226, 227, 228, 209, 209, 187, 229, 230, 231, 5, 209, 132, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 209, 252, 253, 254, 255, 213, 256, 257, 232, 258, 234, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 246, 270, 271, 272, 273, 256, 209, 274, 275, 230, 231, 5, 256, 132, 276, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 251, 251, 257, 276, 300, 277, 301, 302, 280, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 295, 295, 316, 317, 318, 319, 256, 188, 257, 320, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 295, 339, 340, 341, 342, 251, 5, 320, 320, 321, 321, 343, 344, 324, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 256, 364, 320, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 364, 383, 359, 384, 385, 386, 188, 188, 257, 320, 365, 387, 367, 388, 389, 370, 390, 391, 392, 393, 394, 395, 396, 397, 379, 398, 399, 400, 401, 359, 359, 402, 403, 404, 405, 405, 257, 320, 406, 407, 407, 408, 409, 409, 410, 411, 369, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 364, 423, 424, 425, 426, 188, 257, 320, 406, 427, 427, 428, 428, 409, 429, 430, 431, 412, 432, 432, 433, 434, 435, 436, 437, 437, 438, 439, 257, 440, 441, 442, 443, 405, 320, 320, 444, 444, 445, 446, 447, 447, 448, 449, 449, 450, 451, 452, 453, 454, 455, 456, 457, 458, 459, 459, 257, 460, 461, 462, 421, 52, 320, 320, 444, 463, 445, 445, 445, 447, 464, 464, 465, 450, 466, 466, 467, 468, 469, 470, 471, 472, 473, 474, 257, 475, 476, 477, 478, 439, 257, 320, 479, 480, 481, 480, 480, 482, 483, 484, 484, 485, 486, 485, 487, 488, 489, 490, 491, 492, 493, 494, 257, 495, 496, 497, 498, 52, 320, 320, 479, 479, 481, 499, 481, 482, 500, 482, 482, 501, 502, 502, 503, 504, 257, 52, 52, 505, 506, 507, 257, 508, 509, 510, 511, 257, 320, 320 },
  { 0, 1, 2, 1, 2, 2, 3, 3, 3, 3, 3, 3, 3, 4, 4, 3, 5, 4, 4, 4, 4, 5, 6, 6, 7, 6, 4, 5, 0, 8, 2, 8, 2, 2, 2, 2, 2, 3, 2, 2, 3, 4, 4, 3, 3, 6, 4, 4, 6, 5, 3, 6, 4, 4, 9, 7, 10, 11, 12, 13, 14, 14, 15, 16, 16, 17, 18, 19, 19, 4, 4, 20, 9, 9, 4, 4, 2, 20, 21, 9, 6, 3, 5, 22, 10, 23, 12, 24, 12, 14, 25, 26, 26, 17, 25, 27, 27, 27, 28, 29, 29, 29, 27, 27, 4, 6, 6, 6, 4, 4, 5, 5, 30, 31, 32, 31, 32, 33, 34, 35, 36, 17, 37, 38, 19, 4, 39, 40, 41, 9, 42, 43, 6, 20, 21, 9, 9, 4, 5, 44, 30, 45, 32, 46, 46, 33, 47, 47, 48, 17, 49, 49, 27, 27, 39, 50, 29, 29, 27, 28, 4, 6, 6, 6, 4, 7, 0, 44, 51, 52, 53, 52, 54, 55, 56, 57, 58, 59, 60, 38, 61, 4, 39, 40, 41, 9, 42, 62, 40, 20, 21, 63, 9, 7, 2, 44, 51, 53, 53, 64, 64, 55, 65, 66, 66, 59, 50, 67, 67, 39, 39, 50, 50, 29, 29, 28, 62, 6, 6, 6, 39, 9, 44, 44, 68, 69, 70, 69, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 39, 81, 82, 9, 42, 62, 62, 83, 21, 63, 43, 21, 7, 44, 68, 70, 70, 84, 84, 72, 85, 85, 86, 76, 87, 88, 88, 89, 39, 90, 90, 91, 28, 28, 62, 6, 6, 92, 92, 28, 44, 44, 93, 94, 95, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 42, 62, 39, 109, 21, 63, 43, 62, 44, 44, 93, 110, 95, 111, 111, 96, 112, 112, 113, 100, 114, 115, 115, 116, 105, 117, 118, 118, 119, 28, 62, 6, 6, 92, 92, 62, 7, 44, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 105, 134, 135, 136, 137, 62, 62, 138, 139, 63, 43, 62, 44, 44, 120, 122, 122, 140, 141, 125, 142, 143, 144, 145, 146, 147, 148, 149, 105, 150, 151, 152, 119, 62, 62, 6, 153, 154, 92, 92, 44, 44, 155, 156, 157, 158, 157, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 62, 174, 175, 176, 43, 62, 44, 44, 177, 178, 157, 179, 180, 159, 181, 182, 183, 184, 185, 186, 187, 188, 168, 189, 190, 191, 192, 193, 62, 194, 153, 154, 92, 62, 44, 44, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 210, 211, 212, 213, 7, 7, 214, 215, 216, 217, 173, 44, 44, 218, 219, 197, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 209, 231, 232, 233, 234, 193, 7, 235, 236, 237, 154, 62, 44, 44, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 7, 193, 257, 258, 259, 217, 173, 44, 44, 260, 261, 240, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 252, 273, 274, 275, 276, 277, 193, 278, 279, 237, 280, 7, 44, 44, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 7, 301, 302, 303, 304, 7, 44, 44, 305, 306, 283, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 295, 318, 319, 320, 321, 277, 7, 322, 323, 324, 325, 325, 44, 44, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 300, 321, 345, 346, 347, 347, 300, 44, 44, 326, 348, 328, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 340, 360, 361, 362, 363, 364, 321, 365, 323, 366, 321, 367, 44, 44, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 295, 22, 387, 388, 389, 390, 7, 44, 44, 391, 392, 370, 393, 394, 373, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 407, 62, 44, 44, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 427, 386, 22, 431, 432, 433, 390, 22, 44, 44, 434, 435, 415, 436, 437, 418, 438, 439, 440, 422, 441, 441, 442, 443, 444, 445, 446, 447, 448, 408, 7, 449, 409, 450, 407, 409, 44, 44, 451, 452, 452, 453, 454, 455, 456, 457, 458, 459, 460, 460, 459, 461, 462, 463, 463, 464, 465, 386, 44, 466, 467, 468, 390, 22, 44, 44, 469, 469, 452, 470, 471, 455, 472, 473, 474, 475, 476, 476, 477, 478, 444, 479, 479, 480, 481, 482, 22, 483, 484, 450, 481, 44, 44, 44, 485, 486, 487, 488, 489, 490, 491, 492, 492, 493, 44, 44, 494, 495, 496, 497, 497, 498, 499, 390, 44, 367, 367, 367, 367, 44, 44, 44, 500, 501, 487, 502, 503, 490, 504, 505, 506, 507, 508, 508, 508, 496, 22, 509, 509, 510, 496, 22, 44, 483, 511, 511, 507, 44, 44, 44 },
  },
  { { 0, 0, 0, 1, 0, 2, 1, 1, 2, 3, 1, 1, 1, 3, 4, 1, 1, 3, 3, 5, 6, 6, 6, 6, 6, 6, 7, 6, 6, 0, 0, 2, 2, 2, 2, 2, 2, 3, 2, 3, 3, 3, 3, 3, 6, 3, 3, 8, 3, 6, 6, 6, 6, 4, 3, 6, 9, 10, 11, 10, 12, 13, 14, 12, 15, 16, 17, 15, 15, 18, 19, 17, 15, 15, 18, 4, 4, 17, 4, 4, 18, 4, 20, 4, 9, 11, 11, 21, 13, 13, 22, 22, 16, 16, 23, 23, 23, 23, 19, 23, 23, 23, 19, 19, 18, 3, 8, 8, 8, 8, 7, 7, 24, 24, 25, 26, 27, 28, 29, 27, 30, 31, 32, 33, 34, 18, 19, 35, 36, 36, 18, 18, 18, 37, 38, 4, 4, 4, 39, 40, 24, 25, 25, 41, 28, 28, 42, 43, 43, 31, 44, 44, 44, 19, 19, 45, 45, 45, 19, 19, 18, 8, 8, 8, 8, 20, 8, 46, 47, 47, 48, 49, 48, 50, 49, 51, 52, 53, 54, 33, 34, 18, 18, 35, 36, 36, 18, 18, 18, 37, 38, 55, 4, 4, 18, 56, 47, 48, 48, 50, 50, 50, 57, 57, 53, 53, 57, 57, 58, 58, 18, 45, 45, 45, 59, 18, 18, 8, 8, 8, 8, 19, 18, 8, 60, 61, 62, 61, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 73, 20, 78, 38, 55, 4, 4, 4, 8, 60, 62, 62, 79, 64, 64, 80, 80, 81, 68, 82, 82, 83, 83, 73, 82, 82, 84, 59, 73, 73, 8, 8, 8, 8, 20, 73, 4, 85, 86, 87, 86, 88, 89, 90, 88, 91, 92, 93, 94, 95, 96, 20, 97, 75, 76, 77, 73, 40, 78, 38, 55, 4, 4, 4, 4, 85, 87, 87, 98, 98, 89, 99, 99, 100, 92, 101, 101, 102, 103, 20, 104, 105, 84, 106, 20, 20, 107, 108, 108, 8, 20, 20, 109, 110, 111, 112, 113, 112, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 40, 129, 130, 131, 132, 132, 20, 20, 110, 133, 112, 134, 134, 114, 135, 136, 137, 118, 138, 139, 102, 140, 123, 104, 105, 141, 106, 40, 40, 107, 142, 108, 143, 40, 20, 144, 145, 146, 147, 148, 147, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 128, 40, 163, 130, 131, 132, 132, 20, 123, 145, 164, 147, 165, 149, 149, 166, 167, 168, 153, 169, 170, 171, 172, 158, 173, 174, 175, 176, 177, 40, 178, 142, 179, 143, 40, 40, 8, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 177, 200, 201, 202, 7, 7, 7, 5, 180, 203, 182, 204, 205, 185, 206, 207, 208, 189, 209, 210, 211, 212, 194, 213, 214, 215, 216, 177, 177, 178, 217, 179, 218, 219, 7, 8, 144, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 56, 177, 238, 239, 240, 241, 7, 7, 242, 144, 243, 221, 244, 245, 224, 246, 247, 248, 228, 249, 250, 251, 252, 233, 253, 254, 255, 256, 257, 177, 258, 217, 259, 218, 219, 7, 242, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 39, 242, 8, 260, 285, 262, 286, 287, 265, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 280, 280, 301, 302, 303, 304, 219, 305, 8, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 39, 280, 325, 326, 327, 46, 39, 242, 306, 306, 328, 308, 329, 330, 311, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 344, 345, 346, 347, 348, 219, 7, 306, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 242, 344, 368, 369, 370, 371, 39, 305, 306, 349, 372, 351, 373, 374, 354, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 344, 389, 390, 391, 305, 344, 242, 306, 392, 393, 394, 395, 394, 396, 397, 398, 399, 400, 401, 402, 403, 404, 5, 405, 406, 407, 408, 409, 363, 410, 411, 412, 413, 242, 8, 306, 392, 414, 414, 415, 416, 396, 417, 418, 419, 400, 420, 420, 421, 422, 423, 424, 425, 426, 427, 428, 242, 429, 430, 431, 305, 305, 8, 306, 432, 433, 433, 434, 435, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 409, 450, 451, 452, 453, 409, 306, 306, 432, 454, 433, 455, 455, 435, 456, 457, 458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 468, 469, 5, 470, 471, 472, 473, 305, 306, 306, 474, 474, 474, 475, 475, 476, 477, 478, 479, 109, 480, 109, 481, 482, 483, 484, 485, 486, 487, 488, 409, 489, 490, 491, 492, 5, 306, 306, 474, 493, 493, 494, 494, 476, 495, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 242, 508, 509, 510, 511, 242, 306, 306 },
  { 0, 0, 1, 2, 2, 2, 3, 4, 4, 4, 3, 4, 4, 5, 6, 3, 4, 5, 5, 5, 7, 4, 4, 5, 4, 8, 8, 9, 0, 1, 1, 1, 1, 2, 1, 2, 4, 4, 1, 4, 4, 5, 5, 4, 4, 7, 5, 5, 7, 4, 4, 9, 6, 9, 8, 4, 10, 11, 12, 13, 14, 14, 15, 16, 16, 17, 18, 19, 5, 5, 5, 20, 21, 5, 5, 6, 4, 20, 21, 9, 22, 4, 9, 8, 10, 23, 12, 24, 12, 14, 25, 26, 26, 17, 27, 27, 28, 28, 29, 27, 27, 27, 7, 5, 30, 7, 6, 7, 7, 4, 9, 31, 32, 32, 33, 34, 35, 36, 37, 38, 39, 17, 40, 19, 41, 5, 42, 43, 44, 21, 29, 21, 6, 20, 30, 5, 9, 5, 4, 8, 32, 33, 33, 45, 45, 36, 46, 46, 47, 17, 48, 48, 28, 28, 42, 49, 49, 27, 27, 5, 7, 50, 9, 51, 5, 5, 9, 52, 53, 54, 55, 54, 56, 57, 58, 59, 60, 61, 62, 19, 41, 5, 42, 43, 44, 21, 29, 63, 51, 64, 30, 30, 29, 65, 8, 52, 53, 55, 55, 66, 57, 57, 67, 67, 68, 61, 69, 70, 70, 42, 42, 49, 49, 49, 27, 27, 48, 50, 51, 51, 51, 9, 8, 52, 71, 72, 73, 72, 74, 75, 76, 77, 78, 6, 79, 80, 81, 82, 63, 83, 44, 21, 29, 63, 65, 64, 30, 84, 85, 30, 9, 52, 71, 73, 73, 86, 86, 75, 87, 87, 88, 6, 89, 90, 90, 91, 63, 89, 92, 7, 93, 63, 27, 50, 50, 51, 51, 65, 4, 52, 94, 95, 96, 95, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 29, 63, 65, 111, 30, 84, 85, 9, 52, 52, 94, 96, 96, 112, 112, 98, 113, 113, 114, 102, 115, 116, 117, 118, 107, 119, 92, 7, 93, 63, 63, 50, 50, 51, 51, 22, 52, 52, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 107, 134, 135, 136, 137, 138, 65, 139, 30, 84, 85, 22, 52, 52, 120, 122, 122, 140, 140, 125, 141, 142, 143, 129, 144, 145, 146, 147, 107, 148, 149, 150, 151, 65, 65, 50, 152, 152, 51, 65, 52, 52, 153, 154, 155, 156, 155, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 138, 65, 171, 172, 173, 85, 22, 52, 52, 153, 174, 155, 175, 176, 157, 177, 178, 179, 180, 181, 182, 183, 184, 166, 185, 186, 187, 151, 65, 65, 188, 152, 152, 51, 65, 52, 52, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 22, 22, 208, 209, 210, 211, 22, 52, 52, 212, 213, 191, 214, 215, 194, 216, 217, 218, 219, 220, 221, 222, 223, 203, 224, 225, 226, 227, 31, 22, 228, 229, 230, 231, 31, 52, 52, 232, 233, 234, 235, 234, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 9, 249, 22, 250, 251, 252, 211, 22, 52, 52, 253, 254, 234, 255, 256, 236, 257, 258, 259, 260, 261, 262, 263, 264, 245, 265, 266, 267, 268, 31, 65, 269, 270, 271, 272, 31, 52, 52, 52, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286, 287, 288, 289, 290, 249, 249, 291, 292, 293, 294, 22, 52, 52, 295, 296, 274, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 286, 308, 309, 310, 311, 312, 249, 313, 314, 315, 272, 312, 52, 52, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 312, 336, 337, 293, 338, 9, 52, 52, 339, 340, 318, 341, 342, 321, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 312, 249, 356, 314, 357, 311, 272, 52, 52, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 330, 249, 377, 378, 379, 338, 380, 52, 52, 381, 382, 360, 383, 384, 363, 385, 386, 387, 388, 389, 390, 391, 392, 351, 393, 394, 395, 396, 397, 166, 398, 399, 400, 401, 312, 52, 52, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 351, 31, 421, 422, 423, 338, 8, 52, 52, 424, 425, 404, 426, 427, 407, 428, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 396, 312, 440, 441, 442, 401, 312, 52, 52, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456, 416, 457, 458, 459, 460, 376, 8, 461, 462, 463, 338, 8, 52, 52, 464, 464, 445, 465, 466, 448, 467, 468, 469, 452, 470, 470, 471, 472, 435, 473, 474, 475, 8, 476, 8, 477, 478, 380, 479, 8, 52, 52, 480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 490, 490, 491, 492, 479, 457, 457, 493, 494, 495, 52, 496, 497, 497, 495, 52, 52, 52, 498, 499, 482, 500, 501, 502, 502, 503, 504, 505, 506, 506, 507, 508, 479, 509, 509, 510, 479, 416, 52, 477, 511, 511, 498, 52, 52, 52 },
  },
  { { 0, 0, 1, 0, 1, 2, 0, 1, 2, 2, 0, 0, 2, 2, 3, 0, 0, 2, 3, 2, 4, 5, 5, 5, 5, 3, 3, 6, 5, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 7, 2, 5, 2, 2, 8, 9, 5, 5, 3, 3, 2, 3, 5, 10, 11, 12, 11, 13, 14, 15, 16, 17, 17, 18, 16, 17, 17, 7, 18, 16, 17, 19, 20, 3, 18, 3, 3, 3, 3, 3, 9, 10, 12, 12, 21, 21, 14, 22, 22, 23, 17, 24, 24, 24, 20, 20, 24, 24, 24, 20, 20, 3, 2, 3, 3, 3, 3, 2, 3, 25, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 35, 7, 7, 36, 37, 38, 7, 7, 7, 39, 19, 19, 19, 3, 3, 2, 25, 26, 26, 40, 29, 29, 41, 41, 33, 33, 42, 43, 43, 4, 7, 42, 43, 43, 20, 20, 20, 9, 9, 9, 3, 3, 3, 20, 44, 44, 45, 46, 47, 48, 49, 47, 50, 51, 52, 53, 35, 7, 7, 36, 37, 38, 7, 7, 4, 39, 54, 19, 19, 7, 3, 3, 44, 45, 45, 55, 55, 48, 56, 56, 57, 51, 58, 58, 59, 4, 7, 60, 60, 43, 20, 4, 4, 9, 9, 9, 9, 3, 3, 2, 61, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 53, 71, 72, 73, 74, 37, 38, 75, 73, 73, 76, 54, 77, 19, 19, 3, 78, 61, 62, 62, 79, 79, 65, 80, 80, 81, 69, 82, 82, 59, 83, 73, 60, 84, 84, 85, 73, 73, 86, 9, 9, 9, 73, 3, 3, 87, 87, 88, 89, 88, 90, 89, 91, 90, 92, 93, 94, 95, 96, 97, 98, 99, 100, 75, 3, 3, 76, 54, 77, 19, 19, 3, 3, 87, 88, 88, 101, 101, 90, 102, 103, 103, 92, 82, 82, 104, 105, 97, 106, 107, 108, 109, 97, 73, 86, 110, 9, 9, 97, 3, 3, 111, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 97, 130, 131, 77, 132, 3, 3, 78, 111, 112, 112, 133, 133, 115, 134, 134, 135, 119, 136, 137, 104, 138, 124, 139, 107, 108, 109, 140, 97, 86, 110, 141, 142, 140, 97, 3, 143, 143, 144, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 124, 154, 155, 156, 157, 129, 129, 158, 131, 159, 132, 132, 97, 78, 160, 161, 144, 162, 145, 145, 163, 163, 164, 149, 165, 137, 166, 167, 124, 139, 168, 169, 170, 140, 129, 171, 110, 141, 142, 140, 78, 3, 172, 172, 173, 174, 173, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 189, 78, 8, 195, 196, 173, 197, 197, 175, 198, 199, 200, 179, 201, 202, 203, 204, 184, 205, 206, 207, 208, 190, 190, 209, 210, 211, 212, 142, 78, 78, 213, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 78, 232, 233, 234, 235, 189, 78, 9, 236, 214, 214, 237, 237, 217, 238, 238, 239, 240, 241, 241, 242, 243, 226, 244, 245, 246, 247, 78, 78, 248, 249, 250, 212, 142, 78, 78, 251, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 78, 270, 271, 272, 273, 273, 78, 6, 251, 252, 252, 274, 275, 255, 276, 277, 278, 279, 280, 281, 282, 283, 284, 285, 286, 287, 288, 289, 78, 290, 291, 292, 293, 294, 295, 78, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 289, 316, 317, 318, 319, 273, 225, 320, 296, 321, 321, 322, 323, 301, 324, 325, 326, 305, 327, 328, 329, 330, 331, 332, 333, 334, 335, 289, 289, 336, 337, 338, 294, 289, 339, 320, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 8, 359, 360, 361, 362, 295, 295, 8, 320, 363, 364, 342, 365, 366, 367, 368, 369, 370, 349, 371, 372, 373, 374, 375, 376, 377, 378, 379, 359, 359, 380, 381, 382, 383, 383, 6, 320, 384, 385, 386, 387, 6, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 8, 403, 404, 405, 406, 295, 6, 320, 384, 407, 386, 408, 409, 388, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 8, 424, 381, 425, 339, 426, 78, 320, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 8, 447, 448, 449, 450, 295, 78, 320, 427, 320, 429, 451, 452, 432, 453, 454, 455, 436, 456, 457, 458, 459, 460, 461, 462, 463, 464, 418, 402, 465, 466, 426, 339, 339, 320, 320, 467, 467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 8, 486, 487, 488, 489, 319, 320, 320, 490, 491, 468, 492, 493, 471, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 402, 508, 509, 510, 511, 339, 320, 320 },
  { 0, 1, 2, 1, 2, 3, 4, 3, 3, 3, 4, 3, 3, 5, 5, 4, 3, 3, 5, 5, 5, 3, 3, 5, 6, 3, 3, 7, 0, 2, 2, 2, 2, 3, 2, 2, 3, 3, 3, 3, 3, 5, 5, 3, 5, 6, 3, 5, 5, 3, 3, 6, 7, 5, 3, 3, 8, 9, 10, 11, 12, 12, 13, 14, 14, 5, 15, 16, 16, 5, 5, 15, 17, 5, 5, 18, 19, 15, 17, 5, 5, 7, 7, 7, 8, 20, 10, 20, 10, 12, 21, 21, 22, 22, 23, 23, 6, 6, 5, 23, 6, 6, 6, 6, 6, 6, 3, 18, 5, 24, 6, 3, 25, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 16, 5, 36, 37, 38, 39, 5, 5, 5, 40, 17, 17, 5, 5, 5, 7, 25, 26, 26, 41, 41, 29, 42, 42, 43, 33, 44, 44, 44, 36, 36, 23, 23, 6, 6, 5, 45, 6, 6, 6, 6, 46, 7, 47, 48, 48, 49, 50, 51, 52, 53, 54, 55, 56, 34, 35, 16, 5, 36, 37, 38, 39, 5, 46, 5, 40, 17, 17, 5, 5, 7, 47, 48, 49, 49, 57, 57, 52, 58, 58, 59, 56, 60, 60, 61, 36, 36, 62, 62, 62, 6, 6, 6, 23, 6, 24, 63, 24, 7, 47, 64, 64, 65, 66, 65, 67, 68, 69, 70, 45, 71, 72, 73, 74, 46, 75, 38, 39, 76, 46, 46, 77, 78, 17, 76, 79, 6, 47, 64, 65, 65, 80, 80, 67, 81, 81, 82, 45, 83, 79, 79, 84, 46, 85, 86, 87, 63, 63, 46, 88, 88, 24, 24, 7, 47, 47, 89, 89, 90, 91, 92, 93, 94, 92, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 76, 46, 63, 77, 78, 17, 76, 105, 47, 47, 89, 90, 90, 106, 106, 93, 107, 107, 108, 96, 109, 110, 111, 112, 101, 85, 86, 87, 113, 63, 46, 88, 88, 114, 24, 62, 47, 47, 115, 115, 116, 117, 116, 118, 119, 120, 121, 122, 123, 124, 125, 126, 101, 127, 128, 129, 130, 105, 105, 131, 78, 132, 76, 105, 47, 47, 115, 133, 116, 134, 134, 118, 135, 136, 137, 122, 138, 139, 140, 141, 101, 142, 143, 144, 113, 19, 105, 145, 88, 114, 24, 46, 47, 47, 146, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 105, 105, 164, 165, 132, 166, 105, 47, 47, 146, 147, 147, 167, 167, 150, 168, 169, 170, 154, 171, 172, 173, 174, 159, 175, 176, 177, 178, 19, 19, 179, 180, 114, 24, 181, 47, 47, 182, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 200, 201, 202, 203, 166, 105, 47, 47, 204, 183, 183, 205, 206, 186, 207, 208, 209, 210, 211, 212, 213, 214, 195, 215, 216, 217, 218, 181, 200, 219, 220, 221, 222, 181, 47, 47, 223, 223, 224, 225, 224, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 200, 200, 240, 241, 242, 243, 200, 47, 47, 244, 245, 245, 246, 247, 226, 248, 249, 250, 251, 252, 253, 254, 255, 235, 256, 257, 258, 259, 181, 181, 260, 261, 262, 263, 181, 47, 47, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 7, 7, 283, 284, 285, 243, 200, 47, 47, 286, 287, 266, 288, 289, 269, 290, 291, 292, 293, 294, 295, 296, 297, 278, 298, 299, 300, 301, 302, 7, 303, 304, 305, 306, 263, 47, 47, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 181, 327, 328, 329, 330, 200, 47, 47, 331, 332, 309, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 278, 344, 345, 346, 347, 302, 181, 348, 349, 18, 306, 302, 47, 47, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 200, 370, 371, 372, 330, 200, 47, 47, 373, 374, 352, 375, 376, 355, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 330, 391, 349, 392, 306, 24, 47, 47, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 369, 302, 412, 413, 414, 415, 302, 47, 47, 416, 417, 395, 418, 398, 419, 420, 421, 422, 423, 424, 424, 425, 426, 427, 428, 429, 430, 431, 390, 302, 432, 433, 304, 434, 302, 47, 47, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 369, 47, 454, 455, 456, 330, 47, 47, 47, 435, 457, 437, 458, 459, 440, 460, 461, 462, 463, 464, 465, 466, 467, 427, 468, 469, 470, 471, 472, 7, 473, 474, 475, 434, 6, 47, 47, 476, 477, 478, 479, 480, 480, 47, 481, 482, 483, 484, 485, 486, 487, 488, 450, 489, 490, 491, 369, 47, 492, 493, 493, 493, 47, 47, 47, 494, 495, 478, 496, 497, 498, 499, 500, 501, 502, 503, 503, 504, 505, 488, 506, 507, 508, 509, 427, 47, 510, 511, 511, 434, 6, 47, 47 },
  },
  { { 0, 0, 1, 0, 1, 2, 0, 2, 2, 2, 0, 2, 2, 2, 2, 0, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 2, 4, 3, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 2, 2, 5, 2, 3, 3, 3, 3, 6, 7, 3, 8, 9, 10, 9, 11, 12, 13, 11, 14, 14, 15, 15, 14, 14, 16, 15, 15, 17, 16, 16, 18, 15, 15, 16, 16, 6, 16, 2, 8, 10, 10, 19, 12, 12, 20, 21, 21, 14, 22, 22, 23, 23, 16, 22, 22, 23, 23, 16, 6, 2, 22, 16, 16, 16, 16, 24, 25, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 17, 17, 40, 40, 16, 39, 41, 41, 16, 38, 6, 6, 25, 26, 26, 42, 42, 29, 43, 43, 44, 33, 45, 45, 23, 46, 38, 45, 45, 23, 23, 38, 16, 22, 22, 18, 16, 18, 16, 2, 47, 47, 48, 49, 48, 50, 51, 52, 53, 33, 54, 35, 36, 37, 38, 39, 55, 17, 40, 38, 38, 56, 57, 41, 58, 38, 16, 4, 47, 48, 48, 59, 59, 50, 60, 60, 61, 33, 62, 63, 63, 46, 38, 45, 45, 45, 46, 46, 16, 64, 18, 18, 18, 18, 16, 65, 66, 66, 67, 68, 67, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 55, 17, 40, 38, 38, 56, 57, 41, 58, 38, 38, 2, 66, 80, 80, 81, 81, 69, 82, 82, 83, 73, 62, 62, 84, 85, 78, 86, 87, 87, 88, 46, 46, 64, 18, 18, 18, 46, 16, 16, 89, 89, 90, 91, 90, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 78, 78, 106, 57, 41, 58, 58, 100, 7, 89, 90, 90, 107, 107, 92, 108, 108, 109, 96, 110, 111, 111, 85, 101, 86, 87, 87, 88, 112, 78, 64, 64, 18, 18, 112, 112, 16, 113, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 24, 126, 127, 128, 129, 101, 101, 130, 131, 132, 58, 58, 100, 15, 113, 114, 114, 133, 117, 117, 134, 134, 135, 121, 110, 136, 137, 138, 24, 139, 140, 141, 142, 112, 112, 143, 144, 145, 18, 112, 100, 100, 146, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 24, 159, 160, 161, 162, 163, 24, 164, 131, 132, 165, 58, 24, 166, 146, 147, 149, 167, 167, 150, 168, 168, 169, 154, 170, 171, 171, 172, 24, 139, 173, 174, 142, 175, 175, 143, 144, 145, 176, 112, 24, 177, 178, 178, 179, 180, 179, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 175, 196, 197, 198, 165, 6, 199, 166, 178, 200, 179, 201, 201, 181, 202, 202, 203, 204, 205, 206, 207, 208, 190, 209, 173, 210, 211, 212, 212, 213, 214, 215, 176, 216, 212, 217, 218, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 65, 229, 230, 231, 232, 233, 234, 195, 212, 235, 236, 237, 238, 6, 199, 239, 218, 219, 219, 240, 240, 222, 241, 241, 242, 226, 243, 244, 245, 246, 199, 247, 248, 249, 250, 216, 212, 251, 214, 252, 253, 216, 226, 254, 255, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 230, 268, 269, 270, 271, 272, 199, 273, 274, 275, 276, 277, 239, 278, 255, 256, 256, 279, 280, 259, 281, 282, 283, 284, 285, 244, 286, 287, 288, 289, 248, 290, 291, 292, 199, 293, 294, 295, 5, 296, 6, 6, 177, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 277, 239, 278, 177, 321, 298, 322, 323, 324, 325, 326, 327, 328, 4, 4, 329, 330, 310, 331, 332, 333, 334, 316, 316, 335, 336, 337, 338, 338, 24, 278, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 7, 166, 358, 359, 360, 361, 277, 239, 278, 339, 362, 341, 363, 364, 344, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 239, 376, 166, 166, 377, 336, 378, 379, 316, 254, 278, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 166, 400, 401, 402, 403, 361, 6, 278, 380, 404, 382, 405, 406, 385, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 420, 166, 421, 422, 423, 424, 239, 6, 278, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 7, 445, 446, 447, 448, 7, 278, 278, 425, 449, 449, 450, 451, 430, 452, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464, 217, 166, 465, 466, 467, 424, 166, 278, 278, 468, 469, 470, 278, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 166, 487, 488, 489, 490, 320, 278, 278, 468, 491, 470, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 254, 217, 508, 509, 510, 511, 254, 278, 278 },
  { 0, 0, 1, 2, 1, 1, 3, 1, 1, 1, 3, 1, 1, 4, 4, 3, 4, 1, 1, 5, 4, 4, 4, 1, 5, 4, 6, 4, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 1, 1, 1, 7, 8, 9, 4, 4, 4, 10, 11, 4, 4, 6, 12, 13, 14, 15, 16, 16, 17, 18, 18, 19, 20, 21, 21, 7, 6, 20, 21, 21, 6, 22, 4, 20, 21, 6, 7, 7, 6, 6, 23, 10, 14, 10, 14, 16, 24, 24, 19, 19, 25, 25, 25, 25, 6, 25, 25, 1, 21, 4, 4, 25, 26, 11, 27, 4, 4, 5, 28, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 21, 39, 7, 40, 41, 21, 7, 7, 9, 42, 43, 43, 5, 9, 4, 6, 28, 29, 29, 44, 44, 32, 45, 45, 46, 36, 47, 47, 48, 19, 7, 25, 25, 25, 49, 49, 5, 4, 4, 25, 8, 5, 4, 6, 50, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 38, 60, 39, 7, 40, 41, 21, 6, 7, 35, 42, 43, 43, 43, 4, 4, 61, 50, 51, 51, 62, 62, 54, 63, 63, 64, 58, 65, 65, 66, 36, 36, 47, 47, 48, 49, 49, 7, 25, 67, 67, 9, 4, 6, 61, 68, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 41, 83, 6, 7, 7, 84, 85, 43, 6, 22, 4, 61, 68, 69, 69, 86, 86, 72, 87, 88, 89, 76, 11, 90, 66, 91, 81, 92, 92, 93, 94, 49, 5, 26, 26, 26, 67, 27, 61, 61, 95, 95, 96, 97, 98, 99, 100, 98, 101, 102, 103, 104, 105, 106, 81, 107, 108, 109, 6, 7, 7, 84, 85, 43, 6, 6, 61, 61, 95, 96, 96, 110, 110, 99, 111, 111, 112, 102, 11, 90, 113, 114, 81, 115, 116, 117, 94, 49, 7, 118, 26, 26, 67, 7, 61, 61, 119, 119, 120, 121, 120, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 27, 132, 133, 134, 135, 7, 136, 85, 43, 137, 7, 61, 61, 119, 138, 120, 139, 139, 122, 140, 141, 142, 126, 143, 144, 145, 146, 131, 147, 116, 117, 148, 149, 7, 118, 150, 26, 67, 7, 61, 61, 151, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 135, 135, 169, 170, 171, 137, 7, 61, 61, 151, 152, 152, 172, 155, 155, 173, 174, 175, 159, 176, 177, 178, 179, 164, 180, 181, 182, 183, 149, 135, 184, 150, 185, 67, 67, 61, 61, 186, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209, 135, 61, 61, 186, 187, 187, 210, 210, 190, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 205, 205, 224, 225, 226, 185, 205, 61, 61, 227, 227, 228, 229, 228, 230, 231, 232, 233, 234, 235, 236, 237, 238, 199, 239, 240, 241, 242, 204, 205, 243, 244, 245, 246, 204, 61, 61, 247, 248, 228, 249, 249, 230, 250, 251, 252, 253, 254, 255, 256, 257, 219, 258, 259, 260, 261, 205, 205, 262, 263, 264, 265, 7, 61, 61, 266, 267, 268, 269, 268, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284, 5, 285, 286, 287, 246, 204, 61, 61, 288, 289, 289, 290, 291, 270, 292, 293, 294, 295, 296, 297, 298, 299, 279, 258, 300, 301, 302, 9, 5, 303, 304, 305, 306, 4, 61, 61, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 5, 327, 328, 329, 330, 209, 61, 61, 331, 332, 309, 333, 334, 312, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 300, 345, 346, 9, 9, 347, 304, 348, 306, 199, 61, 61, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 9, 369, 370, 371, 330, 199, 61, 61, 372, 373, 351, 374, 375, 354, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 5, 9, 389, 304, 22, 390, 9, 61, 61, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 9, 411, 412, 413, 414, 5, 61, 61, 415, 416, 393, 417, 418, 396, 419, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 5, 9, 431, 432, 22, 390, 9, 61, 61, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 410, 4, 452, 453, 454, 414, 4, 61, 61, 61, 455, 435, 456, 457, 438, 458, 459, 460, 461, 462, 463, 464, 465, 426, 466, 467, 468, 469, 5, 204, 470, 471, 472, 390, 5, 61, 61, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 490, 491, 8, 61, 492, 493, 8, 8, 61, 61, 61, 494, 495, 475, 496, 497, 498, 499, 500, 501, 502, 503, 503, 504, 505, 487, 506, 507, 508, 509, 426, 61, 470, 510, 511, 22, 61, 61, 61 },
  },
  { { 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0, 1, 1, 1, 2, 2, 1, 2, 2, 1, 1, 3, 2, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 2, 1, 1, 4, 5, 1, 2, 6, 6, 7, 8, 9, 10, 11, 12, 13, 13, 14, 15, 15, 13, 16, 14, 15, 15, 15, 3, 17, 14, 14, 3, 3, 18, 19, 1, 6, 7, 7, 20, 20, 10, 21, 21, 22, 13, 23, 23, 24, 24, 24, 25, 25, 25, 17, 17, 17, 1, 3, 17, 3, 3, 1, 1, 26, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 38, 39, 40, 40, 38, 38, 16, 39, 4, 41, 3, 3, 3, 1, 26, 27, 27, 42, 42, 30, 43, 44, 44, 34, 23, 23, 24, 45, 45, 23, 23, 23, 24, 16, 3, 25, 25, 25, 17, 3, 16, 3, 46, 46, 47, 48, 49, 50, 51, 52, 33, 53, 54, 36, 37, 55, 38, 56, 40, 40, 57, 38, 16, 4, 41, 41, 3, 3, 3, 1, 46, 47, 47, 58, 58, 50, 59, 59, 60, 34, 61, 61, 62, 45, 38, 61, 61, 63, 63, 16, 16, 17, 17, 17, 17, 16, 16, 3, 64, 64, 65, 66, 65, 67, 68, 69, 70, 53, 71, 72, 73, 55, 74, 75, 76, 77, 57, 38, 38, 78, 79, 41, 80, 38, 3, 3, 64, 65, 65, 81, 81, 67, 82, 82, 60, 53, 83, 83, 62, 84, 74, 85, 85, 86, 63, 16, 16, 87, 87, 17, 17, 16, 3, 3, 88, 88, 89, 88, 90, 91, 92, 90, 93, 94, 95, 96, 97, 98, 74, 99, 76, 77, 57, 100, 100, 101, 79, 41, 80, 3, 3, 3, 89, 89, 89, 102, 102, 91, 103, 104, 104, 94, 105, 105, 106, 84, 74, 107, 108, 86, 109, 110, 100, 111, 87, 87, 112, 110, 38, 113, 114, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 100, 100, 132, 133, 41, 134, 3, 3, 135, 114, 115, 115, 136, 136, 118, 137, 137, 138, 122, 139, 140, 140, 141, 127, 107, 108, 142, 109, 110, 100, 111, 111, 143, 112, 110, 63, 3, 144, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 135, 155, 156, 157, 158, 159, 160, 161, 161, 162, 163, 164, 134, 100, 18, 77, 144, 145, 145, 165, 165, 148, 166, 166, 167, 152, 139, 168, 168, 141, 156, 169, 169, 142, 170, 171, 156, 111, 172, 143, 173, 112, 156, 174, 175, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 156, 194, 195, 196, 197, 161, 156, 198, 175, 176, 176, 199, 199, 179, 200, 201, 201, 183, 202, 202, 203, 204, 188, 205, 206, 207, 208, 209, 156, 210, 172, 143, 173, 171, 156, 113, 211, 212, 213, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 193, 193, 228, 229, 230, 231, 193, 18, 4, 211, 232, 213, 233, 214, 214, 234, 234, 235, 218, 236, 236, 237, 238, 223, 205, 206, 239, 240, 209, 241, 210, 172, 242, 243, 243, 198, 4, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 241, 264, 265, 266, 267, 18, 18, 3, 268, 246, 246, 269, 270, 249, 271, 272, 273, 253, 274, 274, 275, 276, 258, 277, 278, 279, 280, 281, 241, 282, 283, 284, 285, 286, 198, 3, 287, 287, 288, 289, 288, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 77, 311, 312, 313, 313, 314, 315, 290, 316, 317, 318, 319, 320, 321, 322, 323, 299, 277, 324, 325, 326, 305, 305, 327, 328, 329, 174, 174, 330, 311, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 310, 77, 311, 356, 357, 333, 358, 359, 360, 361, 362, 363, 364, 365, 366, 367, 368, 345, 369, 370, 371, 372, 373, 351, 374, 328, 375, 198, 174, 113, 311, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 350, 396, 397, 398, 399, 355, 3, 311, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419, 419, 420, 421, 422, 423, 174, 311, 311, 424, 425, 330, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 390, 443, 444, 445, 446, 355, 311, 311, 447, 448, 330, 449, 450, 451, 452, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464, 419, 419, 465, 466, 467, 468, 419, 311, 311, 469, 470, 19, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 18, 113, 488, 489, 5, 5, 311, 311, 311, 490, 19, 491, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 419, 508, 509, 510, 511, 198, 311, 311 },
  { 0, 1, 2, 1, 2, 3, 4, 3, 3, 3, 4, 3, 3, 5, 6, 4, 3, 3, 3, 7, 5, 3, 3, 8, 9, 8, 6, 10, 0, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 3, 11, 3, 3, 6, 3, 3, 8, 11, 11, 10, 10, 12, 13, 14, 15, 16, 17, 18, 19, 19, 20, 21, 22, 22, 20, 6, 21, 5, 5, 5, 6, 9, 21, 5, 20, 6, 8, 3, 9, 23, 24, 14, 24, 14, 17, 25, 25, 26, 20, 27, 27, 27, 20, 6, 28, 28, 20, 28, 9, 10, 8, 8, 8, 8, 10, 6, 9, 29, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 22, 40, 20, 41, 42, 5, 5, 5, 10, 43, 5, 44, 5, 45, 3, 9, 29, 30, 30, 46, 46, 33, 47, 47, 17, 37, 48, 48, 26, 20, 20, 27, 27, 28, 28, 49, 10, 6, 50, 51, 8, 11, 3, 10, 52, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 39, 39, 40, 40, 41, 42, 5, 49, 49, 10, 43, 44, 5, 5, 9, 6, 62, 52, 53, 53, 63, 63, 56, 64, 65, 65, 60, 66, 67, 67, 68, 40, 69, 28, 28, 70, 20, 5, 28, 71, 6, 20, 11, 10, 62, 72, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 9, 85, 42, 86, 49, 9, 11, 87, 44, 5, 49, 9, 9, 62, 72, 73, 73, 88, 88, 76, 89, 90, 91, 80, 66, 92, 93, 68, 9, 94, 95, 96, 70, 70, 49, 69, 69, 71, 70, 9, 62, 62, 97, 98, 99, 98, 100, 101, 102, 100, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 49, 9, 9, 87, 44, 44, 113, 114, 62, 62, 97, 99, 99, 115, 115, 101, 116, 117, 117, 104, 118, 119, 93, 120, 109, 94, 95, 121, 122, 8, 9, 123, 124, 124, 71, 11, 62, 62, 125, 125, 126, 127, 126, 128, 129, 130, 131, 132, 133, 134, 135, 136, 109, 137, 50, 138, 139, 7, 8, 140, 141, 142, 113, 9, 62, 62, 125, 143, 126, 144, 144, 128, 145, 146, 147, 132, 148, 119, 149, 120, 109, 150, 151, 121, 122, 8, 7, 123, 124, 124, 71, 70, 62, 62, 152, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 7, 7, 170, 171, 142, 113, 7, 62, 62, 152, 153, 153, 172, 172, 156, 173, 174, 175, 160, 176, 177, 149, 178, 165, 179, 151, 180, 181, 182, 7, 123, 183, 183, 71, 8, 62, 62, 184, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 182, 203, 204, 205, 206, 114, 62, 62, 184, 185, 185, 207, 208, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 182, 182, 222, 223, 183, 224, 182, 62, 62, 225, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 182, 244, 51, 245, 246, 114, 62, 62, 225, 226, 226, 247, 229, 229, 248, 249, 250, 251, 252, 253, 254, 255, 217, 256, 257, 258, 259, 260, 182, 222, 261, 262, 263, 7, 62, 62, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 45, 114, 283, 284, 285, 246, 45, 62, 62, 286, 266, 266, 287, 288, 269, 289, 290, 291, 292, 293, 294, 295, 10, 296, 256, 297, 298, 299, 260, 114, 300, 261, 301, 302, 7, 62, 62, 303, 303, 304, 305, 304, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 114, 114, 320, 321, 322, 323, 246, 62, 62, 324, 325, 325, 326, 327, 328, 329, 330, 331, 310, 332, 333, 334, 335, 296, 336, 297, 337, 338, 260, 260, 339, 261, 340, 302, 260, 62, 62, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 6, 355, 356, 357, 358, 359, 114, 360, 361, 362, 363, 6, 62, 62, 364, 365, 343, 366, 367, 346, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 337, 379, 380, 45, 381, 382, 383, 383, 10, 62, 62, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 260, 404, 405, 406, 407, 6, 62, 62, 408, 409, 386, 410, 411, 389, 412, 413, 414, 415, 416, 417, 418, 419, 420, 421, 422, 423, 424, 380, 260, 425, 426, 426, 383, 11, 62, 62, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 6, 447, 448, 449, 450, 11, 62, 62, 451, 452, 429, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 468, 380, 6, 469, 470, 471, 383, 6, 62, 62, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 487, 488, 489, 6, 62, 490, 491, 492, 6, 62, 62, 62, 62, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 486, 506, 507, 508, 509, 486, 6, 510, 511, 11, 509, 62, 62, 62 },
  },
  { { 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 2, 2, 0, 0, 1, 2, 2, 3, 3, 3, 3, 3, 2, 2, 2, 3, 0, 0, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 3, 1, 3, 1, 3, 3, 3, 3, 2, 1, 4, 3, 2, 3, 5, 5, 6, 7, 8, 9, 10, 11, 11, 12, 13, 14, 14, 15, 15, 13, 14, 14, 14, 2, 2, 13, 13, 14, 2, 2, 16, 1, 5, 6, 6, 17, 17, 9, 18, 18, 12, 12, 19, 19, 12, 12, 12, 19, 19, 16, 16, 2, 2, 2, 2, 2, 2, 2, 20, 2, 21, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 31, 32, 15, 33, 34, 34, 32, 15, 35, 33, 34, 34, 34, 2, 2, 36, 21, 22, 22, 37, 37, 37, 38, 38, 39, 29, 40, 40, 41, 41, 15, 19, 19, 19, 35, 35, 15, 16, 42, 16, 16, 16, 36, 36, 43, 44, 45, 44, 46, 25, 47, 27, 28, 29, 48, 49, 50, 32, 51, 52, 34, 34, 32, 53, 53, 52, 34, 34, 54, 55, 55, 2, 43, 45, 45, 56, 25, 25, 57, 57, 39, 29, 40, 40, 41, 41, 51, 19, 19, 19, 35, 35, 53, 16, 42, 42, 16, 36, 58, 36, 59, 59, 60, 61, 60, 62, 63, 64, 65, 66, 67, 49, 50, 68, 51, 69, 70, 71, 72, 53, 53, 73, 74, 75, 54, 55, 55, 55, 59, 76, 76, 77, 62, 62, 78, 78, 79, 66, 80, 80, 81, 82, 51, 83, 84, 84, 85, 86, 53, 42, 42, 42, 85, 35, 36, 55, 87, 87, 88, 89, 88, 90, 91, 92, 90, 93, 94, 95, 96, 68, 97, 98, 99, 71, 72, 53, 53, 100, 74, 75, 54, 55, 55, 55, 87, 101, 88, 102, 102, 102, 103, 103, 104, 93, 105, 105, 81, 82, 97, 83, 83, 84, 85, 86, 53, 42, 42, 42, 85, 36, 36, 55, 106, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 97, 119, 120, 121, 122, 20, 20, 123, 124, 75, 54, 55, 20, 125, 106, 107, 107, 126, 126, 110, 127, 127, 128, 114, 129, 130, 130, 131, 97, 132, 133, 133, 134, 135, 20, 136, 136, 136, 36, 36, 20, 16, 137, 138, 139, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 125, 149, 150, 151, 152, 153, 58, 154, 155, 156, 157, 158, 122, 159, 137, 139, 139, 160, 160, 140, 161, 161, 162, 144, 163, 164, 164, 165, 125, 166, 166, 133, 167, 168, 58, 169, 170, 170, 171, 171, 125, 172, 173, 173, 174, 175, 176, 177, 178, 179, 180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 4, 190, 58, 191, 192, 193, 157, 158, 125, 194, 173, 174, 174, 195, 177, 177, 196, 196, 197, 181, 198, 198, 199, 200, 125, 201, 166, 202, 203, 168, 168, 204, 170, 205, 206, 171, 125, 150, 207, 207, 208, 209, 210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 186, 220, 221, 222, 223, 224, 190, 225, 226, 227, 228, 229, 4, 206, 207, 208, 208, 230, 230, 211, 231, 231, 232, 215, 233, 233, 234, 235, 186, 236, 237, 238, 239, 240, 168, 241, 242, 243, 244, 244, 186, 34, 245, 245, 246, 247, 246, 248, 249, 250, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 229, 159, 268, 245, 269, 269, 270, 270, 248, 271, 272, 273, 274, 275, 276, 277, 278, 279, 236, 237, 280, 281, 282, 263, 283, 242, 284, 285, 172, 159, 268, 286, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 257, 299, 300, 301, 302, 303, 303, 304, 305, 306, 307, 308, 58, 309, 310, 287, 287, 311, 290, 290, 312, 313, 313, 314, 315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 324, 325, 326, 327, 328, 328, 58, 309, 329, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 303, 268, 309, 329, 353, 330, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 364, 365, 366, 321, 367, 368, 369, 348, 370, 371, 372, 194, 194, 58, 309, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 348, 393, 394, 395, 396, 347, 268, 309, 397, 398, 375, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 303, 416, 417, 418, 194, 194, 309, 309, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 392, 439, 440, 441, 442, 347, 309, 309, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 319, 463, 464, 465, 466, 194, 309, 309, 467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 172, 487, 488, 489, 490, 268, 309, 309, 309, 491, 469, 492, 493, 472, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 172, 508, 509, 510, 511, 392, 309, 309 },
  { 0, 0, 1, 2, 3, 3, 4, 3, 3, 3, 4, 3, 3, 3, 3, 4, 3, 3, 5, 5, 6, 3, 3, 3, 3, 7, 8, 7, 1, 1, 1, 1, 3, 3, 1, 3, 3, 3, 3, 3, 3, 3, 3, 9, 3, 3, 3, 3, 10, 3, 3, 5, 3, 6, 5, 11, 12, 13, 14, 15, 16, 16, 17, 18, 18, 5, 19, 7, 7, 5, 7, 19, 7, 20, 6, 6, 21, 19, 5, 5, 9, 8, 7, 8, 22, 23, 14, 24, 14, 16, 25, 25, 26, 5, 8, 8, 8, 5, 8, 8, 8, 8, 8, 8, 3, 27, 8, 3, 9, 8, 7, 7, 28, 28, 29, 30, 31, 32, 33, 34, 35, 18, 36, 37, 7, 7, 5, 38, 39, 20, 20, 6, 8, 40, 20, 9, 6, 5, 11, 11, 28, 29, 29, 41, 41, 32, 42, 42, 43, 44, 25, 25, 26, 5, 5, 8, 21, 5, 5, 20, 3, 8, 8, 9, 8, 1, 5, 7, 45, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 37, 55, 56, 56, 38, 39, 6, 20, 20, 15, 40, 6, 6, 9, 5, 7, 7, 45, 46, 46, 57, 57, 49, 58, 58, 59, 53, 60, 60, 61, 44, 56, 21, 21, 62, 5, 63, 9, 8, 64, 65, 5, 8, 7, 66, 67, 67, 68, 69, 68, 70, 71, 72, 73, 74, 75, 76, 77, 55, 78, 79, 80, 39, 20, 81, 81, 82, 83, 6, 6, 81, 6, 66, 67, 84, 68, 85, 85, 70, 86, 87, 88, 74, 89, 90, 61, 91, 78, 92, 92, 62, 63, 27, 78, 62, 62, 62, 64, 10, 7, 66, 93, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 78, 106, 107, 108, 109, 81, 27, 82, 83, 6, 6, 9, 66, 66, 93, 94, 94, 110, 110, 97, 111, 111, 112, 101, 113, 113, 90, 114, 78, 89, 115, 116, 63, 27, 27, 117, 117, 65, 62, 118, 7, 66, 119, 119, 120, 121, 120, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 81, 27, 136, 137, 138, 139, 81, 66, 66, 119, 140, 120, 141, 141, 122, 142, 142, 143, 126, 144, 144, 145, 146, 131, 147, 115, 116, 148, 27, 27, 117, 149, 149, 118, 118, 66, 66, 150, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 81, 169, 170, 171, 139, 81, 66, 66, 172, 151, 151, 173, 173, 154, 174, 174, 175, 158, 176, 177, 177, 178, 179, 147, 147, 180, 181, 10, 179, 65, 65, 149, 118, 118, 66, 66, 182, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 163, 195, 196, 197, 198, 199, 199, 200, 201, 202, 203, 199, 66, 66, 182, 183, 183, 204, 205, 186, 206, 207, 208, 190, 209, 210, 211, 212, 179, 213, 214, 215, 216, 10, 199, 217, 65, 218, 219, 64, 66, 66, 220, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 10, 239, 240, 9, 241, 242, 66, 66, 220, 221, 221, 243, 243, 224, 244, 244, 245, 246, 247, 210, 248, 249, 250, 251, 214, 252, 253, 64, 10, 254, 255, 256, 257, 219, 66, 66, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 64, 278, 279, 280, 281, 242, 66, 66, 282, 283, 260, 284, 263, 263, 285, 286, 287, 288, 289, 289, 290, 291, 250, 292, 293, 294, 295, 64, 64, 296, 255, 297, 298, 64, 66, 66, 299, 300, 301, 300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 11, 311, 312, 313, 314, 315, 242, 316, 317, 318, 319, 11, 66, 66, 320, 321, 321, 322, 302, 302, 323, 324, 325, 326, 327, 328, 290, 329, 330, 331, 293, 332, 333, 334, 242, 335, 336, 337, 298, 81, 66, 66, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 7, 358, 359, 360, 361, 11, 66, 66, 362, 363, 340, 364, 365, 343, 366, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 333, 334, 7, 378, 379, 337, 298, 219, 66, 66, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 7, 66, 66, 405, 406, 382, 407, 408, 409, 410, 411, 412, 389, 413, 414, 415, 416, 417, 418, 419, 420, 421, 334, 64, 422, 337, 423, 298, 424, 66, 66, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 7, 445, 446, 447, 448, 7, 66, 66, 449, 450, 427, 451, 452, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464, 465, 466, 334, 7, 467, 468, 400, 469, 7, 66, 66, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 7, 490, 491, 492, 242, 66, 66, 66, 66, 493, 472, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 508, 424, 242, 66, 509, 510, 511, 400, 66, 66, 66 },
  },
  { { 0, 0, 1, 1, 1, 2, 1, 1, 2, 2, 1, 1, 1, 2, 3, 1, 1, 1, 2, 2, 4, 5, 3, 3, 3, 3, 3, 6, 5, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 2, 3, 7, 1, 2, 3, 5, 2, 3, 2, 3, 8, 3, 9, 5, 10, 10, 11, 12, 13, 14, 15, 16, 17, 17, 7, 16, 17, 17, 17, 7, 16, 17, 4, 8, 9, 7, 7, 4, 4, 4, 4, 2, 10, 11, 11, 18, 18, 14, 19, 19, 20, 20, 21, 21, 21, 9, 9, 21, 21, 21, 9, 9, 2, 2, 6, 2, 6, 9, 9, 22, 23, 23, 24, 25, 24, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 34, 34, 35, 9, 36, 6, 6, 6, 38, 6, 3, 23, 24, 24, 39, 39, 26, 40, 40, 41, 30, 42, 42, 43, 43, 35, 21, 21, 21, 43, 9, 9, 9, 9, 9, 9, 20, 44, 45, 46, 46, 47, 46, 47, 26, 48, 28, 29, 30, 49, 32, 33, 50, 35, 37, 51, 52, 52, 53, 53, 37, 6, 6, 54, 6, 9, 8, 46, 47, 47, 39, 26, 26, 40, 40, 41, 30, 55, 55, 43, 43, 35, 56, 42, 42, 43, 53, 44, 56, 56, 21, 21, 38, 6, 45, 57, 57, 58, 59, 58, 60, 61, 62, 63, 64, 65, 66, 67, 50, 68, 69, 51, 52, 70, 71, 53, 72, 54, 54, 73, 38, 44, 8, 57, 58, 58, 74, 60, 60, 75, 75, 76, 64, 55, 77, 77, 78, 68, 79, 79, 79, 80, 53, 53, 56, 56, 56, 53, 45, 45, 81, 82, 82, 83, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 68, 93, 94, 95, 70, 71, 38, 96, 97, 98, 73, 38, 38, 6, 82, 99, 83, 100, 84, 84, 101, 101, 88, 88, 102, 102, 103, 103, 104, 105, 105, 80, 80, 53, 53, 106, 107, 108, 108, 45, 44, 109, 110, 110, 111, 112, 113, 114, 115, 113, 116, 117, 118, 119, 120, 121, 109, 122, 123, 124, 125, 126, 44, 127, 128, 98, 73, 38, 38, 129, 110, 111, 111, 130, 114, 114, 131, 132, 132, 117, 133, 133, 134, 135, 104, 136, 137, 138, 139, 140, 44, 141, 107, 142, 142, 143, 44, 144, 145, 145, 146, 147, 146, 148, 149, 148, 150, 151, 152, 153, 154, 155, 109, 156, 157, 158, 159, 160, 161, 162, 163, 164, 165, 161, 22, 22, 145, 166, 146, 167, 168, 168, 169, 169, 170, 151, 171, 171, 172, 173, 109, 136, 137, 137, 174, 175, 176, 177, 178, 179, 143, 180, 44, 22, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194, 195, 196, 197, 198, 199, 176, 176, 200, 201, 202, 165, 203, 22, 4, 181, 183, 183, 204, 186, 186, 205, 206, 206, 190, 207, 207, 208, 173, 209, 210, 211, 212, 213, 175, 214, 215, 215, 216, 217, 180, 214, 218, 219, 219, 220, 221, 220, 222, 223, 224, 225, 226, 227, 228, 229, 230, 195, 231, 232, 233, 234, 235, 214, 236, 237, 238, 239, 240, 199, 8, 219, 241, 241, 242, 242, 222, 243, 244, 244, 226, 245, 245, 208, 246, 209, 210, 211, 212, 213, 175, 214, 247, 247, 216, 217, 179, 214, 144, 248, 249, 250, 249, 251, 252, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269, 270, 271, 272, 109, 8, 248, 250, 250, 273, 252, 252, 274, 275, 276, 277, 245, 278, 279, 246, 261, 280, 281, 282, 283, 284, 267, 285, 286, 178, 287, 287, 165, 4, 288, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299, 300, 301, 302, 303, 304, 305, 306, 267, 307, 308, 309, 310, 311, 144, 312, 288, 313, 289, 314, 314, 315, 316, 317, 318, 296, 319, 320, 320, 321, 322, 323, 324, 282, 325, 326, 267, 327, 327, 328, 329, 330, 129, 312, 331, 332, 333, 332, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 311, 81, 312, 355, 333, 333, 356, 357, 358, 359, 360, 361, 362, 363, 363, 364, 365, 366, 367, 368, 369, 370, 371, 350, 372, 373, 374, 375, 330, 8, 312, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 350, 396, 397, 398, 399, 400, 144, 312, 401, 402, 378, 403, 404, 405, 218, 406, 407, 408, 409, 410, 411, 412, 390, 413, 413, 414, 415, 416, 350, 417, 418, 374, 419, 330, 144, 312, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 4, 440, 441, 442, 443, 400, 312, 312, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456, 457, 434, 458, 459, 414, 460, 461, 4, 462, 418, 463, 464, 330, 312, 312, 465, 466, 467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 4, 485, 486, 487, 488, 399, 312, 312, 489, 312, 490, 491, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 129, 508, 509, 510, 511, 8, 312, 312 },
  { 0, 0, 1, 2, 1, 2, 3, 2, 2, 2, 3, 2, 2, 2, 2, 3, 2, 1, 3, 4, 5, 2, 2, 6, 2, 4, 5, 5, 7, 1, 1, 1, 1, 2, 7, 7, 2, 2, 7, 1, 7, 7, 2, 2, 7, 8, 2, 3, 9, 2, 2, 4, 4, 6, 10, 5, 11, 12, 13, 14, 15, 15, 16, 17, 17, 18, 19, 20, 18, 4, 1, 4, 4, 4, 4, 9, 5, 4, 4, 6, 4, 3, 5, 21, 22, 23, 13, 23, 24, 15, 25, 25, 8, 8, 9, 9, 26, 26, 27, 9, 9, 9, 9, 4, 2, 1, 5, 9, 20, 6, 6, 6, 28, 28, 29, 30, 31, 32, 33, 34, 35, 17, 36, 20, 20, 18, 18, 37, 38, 39, 39, 40, 4, 37, 4, 4, 6, 6, 5, 5, 41, 29, 29, 42, 42, 32, 43, 24, 24, 8, 25, 25, 8, 8, 44, 9, 9, 9, 26, 8, 45, 46, 46, 47, 9, 48, 49, 5, 50, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 47, 20, 60, 60, 61, 38, 38, 39, 40, 49, 62, 39, 39, 63, 6, 10, 64, 50, 51, 51, 65, 65, 54, 43, 66, 66, 58, 67, 68, 68, 44, 69, 70, 70, 70, 26, 69, 21, 9, 9, 26, 18, 21, 5, 5, 10, 10, 71, 72, 71, 73, 74, 75, 76, 77, 78, 79, 80, 60, 60, 81, 82, 83, 84, 40, 85, 62, 39, 39, 63, 86, 5, 64, 10, 87, 71, 88, 88, 73, 89, 90, 90, 77, 91, 91, 68, 44, 92, 93, 27, 27, 94, 69, 85, 95, 95, 5, 96, 96, 10, 64, 97, 97, 98, 99, 100, 101, 102, 100, 103, 104, 105, 106, 107, 108, 92, 109, 110, 111, 84, 69, 85, 112, 113, 114, 63, 40, 5, 64, 97, 98, 98, 115, 115, 101, 116, 116, 117, 104, 118, 119, 119, 120, 92, 93, 121, 122, 123, 69, 85, 124, 95, 125, 48, 48, 10, 64, 126, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 144, 145, 146, 114, 63, 85, 64, 64, 126, 127, 127, 147, 147, 130, 148, 149, 150, 151, 118, 152, 152, 153, 92, 154, 121, 49, 155, 156, 144, 157, 121, 158, 159, 45, 5, 64, 160, 160, 161, 162, 161, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 69, 178, 179, 180, 181, 85, 64, 64, 160, 182, 161, 183, 183, 163, 184, 184, 185, 167, 186, 186, 187, 188, 189, 154, 190, 191, 155, 156, 45, 192, 121, 193, 155, 85, 64, 64, 194, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 189, 207, 208, 209, 210, 211, 211, 212, 213, 180, 214, 45, 64, 64, 194, 195, 195, 215, 215, 198, 216, 217, 218, 219, 220, 221, 222, 223, 21, 224, 190, 225, 226, 227, 211, 228, 229, 230, 231, 125, 64, 64, 232, 232, 233, 234, 233, 235, 236, 237, 238, 239, 240, 241, 242, 243, 21, 244, 245, 246, 247, 248, 249, 46, 250, 251, 252, 172, 64, 64, 232, 253, 233, 254, 235, 235, 255, 255, 256, 257, 220, 221, 258, 259, 21, 224, 260, 225, 261, 227, 249, 262, 228, 263, 95, 21, 64, 64, 264, 264, 265, 266, 265, 267, 268, 269, 270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 249, 282, 283, 284, 285, 286, 64, 64, 287, 288, 265, 289, 289, 267, 290, 291, 292, 257, 293, 294, 295, 259, 276, 296, 260, 297, 298, 299, 249, 300, 301, 263, 302, 49, 64, 64, 303, 304, 305, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 286, 321, 322, 323, 324, 6, 64, 64, 325, 326, 305, 327, 306, 306, 328, 329, 330, 310, 331, 294, 332, 333, 334, 335, 336, 337, 298, 299, 286, 338, 339, 340, 341, 6, 64, 64, 342, 343, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 6, 362, 363, 364, 365, 6, 64, 64, 366, 367, 344, 368, 369, 347, 370, 371, 372, 373, 374, 375, 332, 333, 376, 377, 336, 378, 379, 380, 6, 381, 263, 340, 341, 125, 64, 64, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 5, 402, 403, 404, 405, 249, 64, 64, 406, 407, 384, 408, 409, 410, 411, 412, 413, 414, 415, 416, 416, 417, 418, 419, 420, 421, 422, 299, 6, 423, 424, 425, 426, 125, 64, 64, 427, 428, 429, 430, 431, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 40, 447, 448, 449, 450, 5, 64, 64, 451, 452, 429, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 468, 469, 6, 470, 471, 472, 340, 64, 64, 64, 64, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 490, 486, 5, 491, 492, 493, 40, 64, 64, 64, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 508, 86, 509, 510, 511, 5, 5, 6, 423, 86, 5, 64, 64, 64 },
  },
  { { 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 0, 2, 2, 2, 3, 1, 2, 2, 2, 2, 2, 2, 4, 0, 0, 1, 1, 1, 5, 5, 5, 5, 5, 5, 5, 2, 2, 1, 5, 2, 2, 2, 2, 2, 2, 2, 2, 2, 5, 2, 6, 6, 7, 8, 7, 9, 10, 9, 9, 11, 12, 13, 13, 11, 11, 12, 13, 13, 13, 13, 14, 12, 12, 12, 3, 3, 15, 5, 6, 16, 7, 17, 17, 17, 18, 18, 18, 11, 19, 19, 15, 15, 15, 15, 15, 15, 15, 15, 20, 5, 15, 15, 13, 21, 22, 5, 23, 23, 24, 25, 24, 26, 27, 28, 29, 30, 31, 32, 33, 30, 30, 34, 20, 20, 35, 30, 36, 34, 13, 13, 21, 21, 21, 5, 23, 37, 24, 38, 38, 38, 39, 40, 40, 30, 41, 42, 42, 43, 43, 19, 19, 44, 45, 45, 46, 15, 19, 19, 14, 14, 47, 21, 48, 48, 49, 50, 49, 26, 51, 28, 29, 52, 53, 32, 33, 54, 55, 56, 20, 35, 46, 46, 36, 56, 20, 21, 46, 57, 36, 3, 48, 49, 49, 38, 38, 26, 39, 40, 58, 58, 41, 42, 59, 43, 60, 61, 61, 44, 45, 60, 36, 61, 61, 14, 45, 62, 3, 22, 63, 63, 64, 65, 64, 66, 67, 68, 69, 52, 70, 71, 72, 54, 55, 73, 35, 74, 75, 76, 36, 77, 78, 79, 79, 36, 80, 3, 63, 64, 64, 81, 81, 81, 82, 82, 58, 58, 59, 59, 59, 83, 55, 41, 44, 44, 84, 60, 36, 61, 61, 62, 85, 62, 36, 45, 86, 86, 87, 88, 87, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 75, 76, 36, 102, 103, 79, 104, 36, 36, 45, 86, 87, 87, 105, 89, 89, 106, 106, 106, 93, 107, 107, 107, 83, 98, 108, 108, 109, 84, 60, 36, 61, 61, 62, 85, 110, 80, 3, 111, 111, 112, 113, 114, 115, 116, 117, 115, 118, 119, 120, 121, 97, 98, 122, 123, 124, 125, 126, 80, 127, 128, 129, 104, 80, 80, 62, 111, 112, 112, 130, 131, 131, 132, 132, 133, 118, 134, 135, 135, 136, 47, 137, 137, 109, 109, 138, 139, 140, 141, 85, 142, 110, 110, 45, 143, 144, 145, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 139, 161, 128, 129, 162, 163, 163, 164, 143, 145, 145, 165, 165, 146, 166, 166, 167, 150, 168, 168, 135, 136, 47, 169, 170, 170, 170, 138, 139, 171, 172, 140, 173, 173, 47, 45, 174, 175, 176, 175, 177, 178, 179, 180, 178, 181, 182, 183, 184, 154, 155, 185, 186, 187, 188, 57, 139, 189, 190, 191, 162, 163, 139, 192, 174, 176, 176, 193, 194, 194, 195, 195, 196, 181, 197, 168, 198, 199, 200, 169, 169, 201, 202, 203, 139, 204, 137, 205, 206, 173, 139, 14, 207, 207, 208, 209, 210, 211, 209, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 226, 227, 228, 229, 160, 224, 47, 207, 208, 208, 230, 230, 230, 231, 232, 232, 214, 197, 233, 234, 199, 200, 201, 201, 235, 236, 203, 225, 237, 237, 238, 206, 239, 224, 47, 240, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 219, 253, 254, 255, 256, 257, 258, 259, 260, 261, 262, 263, 258, 47, 240, 264, 264, 265, 265, 266, 267, 268, 269, 270, 233, 233, 234, 271, 272, 273, 274, 235, 275, 276, 258, 277, 278, 238, 279, 280, 258, 45, 281, 281, 282, 283, 284, 285, 286, 287, 288, 164, 289, 290, 291, 292, 293, 294, 295, 296, 192, 297, 298, 299, 300, 301, 302, 303, 272, 45, 281, 304, 282, 305, 306, 306, 307, 307, 308, 164, 309, 310, 311, 312, 293, 273, 274, 313, 314, 315, 298, 316, 317, 318, 318, 258, 224, 45, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329, 330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344, 22, 45, 345, 346, 323, 347, 348, 349, 350, 350, 351, 352, 353, 354, 310, 355, 356, 357, 358, 359, 360, 361, 339, 362, 363, 364, 365, 366, 366, 45, 367, 368, 369, 370, 371, 372, 373, 374, 375, 376, 377, 378, 379, 380, 356, 381, 382, 383, 384, 385, 386, 387, 388, 389, 390, 391, 392, 45, 367, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 407, 408, 409, 410, 411, 386, 412, 413, 414, 415, 366, 45, 45, 416, 417, 418, 419, 420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434, 435, 21, 436, 437, 438, 439, 440, 45, 45, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 452, 453, 454, 455, 456, 457, 458, 459, 460, 21, 461, 461, 462, 463, 22, 45, 45, 464, 465, 466, 467, 468, 392, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 483, 45, 45, 488, 489, 490, 491, 492, 493, 494, 495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 21, 508, 509, 510, 511, 21, 45, 45 },
  { 0, 1, 2, 1, 2, 2, 3, 1, 4, 2, 3, 4, 4, 2, 5, 3, 0, 6, 7, 5, 8, 1, 7, 6, 9, 10, 11, 11, 4, 2, 2, 2, 2, 2, 2, 2, 4, 2, 2, 2, 2, 2, 2, 2, 4, 10, 12, 2, 10, 2, 13, 7, 12, 10, 14, 9, 15, 16, 17, 18, 17, 19, 20, 21, 21, 21, 22, 23, 23, 23, 23, 12, 12, 12, 24, 6, 25, 12, 12, 24, 12, 14, 10, 11, 26, 27, 17, 27, 17, 19, 27, 28, 29, 21, 7, 29, 29, 30, 24, 7, 19, 24, 31, 32, 24, 33, 14, 13, 10, 6, 11, 9, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 46, 9, 47, 23, 23, 23, 48, 10, 49, 12, 23, 9, 11, 9, 9, 50, 36, 36, 51, 51, 39, 52, 52, 19, 43, 28, 28, 30, 53, 14, 7, 29, 30, 9, 9, 41, 24, 7, 54, 11, 14, 11, 15, 55, 55, 56, 57, 58, 59, 60, 41, 61, 43, 62, 45, 63, 46, 31, 64, 65, 65, 31, 31, 66, 49, 23, 23, 9, 14, 14, 10, 55, 56, 56, 67, 67, 59, 52, 68, 68, 43, 69, 69, 69, 53, 14, 70, 30, 30, 71, 14, 66, 72, 6, 73, 5, 66, 12, 9, 74, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 31, 91, 13, 92, 93, 13, 93, 91, 11, 15, 74, 75, 75, 94, 94, 78, 95, 95, 96, 82, 97, 97, 98, 99, 87, 100, 98, 98, 71, 14, 91, 101, 48, 5, 102, 66, 11, 15, 103, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 87, 116, 89, 90, 31, 91, 91, 117, 25, 93, 93, 11, 11, 15, 103, 104, 104, 118, 118, 107, 119, 119, 120, 111, 97, 97, 121, 99, 87, 100, 98, 122, 122, 123, 111, 70, 70, 5, 122, 32, 11, 15, 124, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 139, 140, 137, 141, 141, 142, 25, 143, 13, 8, 15, 15, 124, 125, 125, 144, 128, 128, 145, 145, 146, 132, 147, 148, 148, 149, 150, 151, 151, 121, 152, 153, 154, 155, 72, 122, 123, 156, 15, 15, 157, 157, 158, 159, 160, 161, 162, 163, 164, 165, 166, 167, 168, 169, 170, 171, 172, 11, 173, 174, 154, 175, 176, 177, 178, 154, 15, 15, 157, 158, 158, 179, 161, 161, 180, 180, 181, 182, 183, 183, 184, 185, 150, 151, 186, 186, 32, 187, 141, 188, 189, 190, 191, 73, 15, 15, 192, 193, 194, 193, 194, 195, 196, 197, 198, 199, 200, 201, 202, 203, 170, 204, 205, 206, 207, 208, 154, 209, 210, 211, 212, 178, 15, 15, 192, 213, 194, 214, 215, 215, 216, 216, 217, 218, 219, 220, 221, 222, 223, 224, 225, 225, 226, 187, 154, 227, 228, 229, 32, 54, 15, 15, 230, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239, 240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 253, 15, 15, 254, 231, 231, 255, 255, 234, 256, 256, 257, 258, 259, 259, 221, 260, 243, 261, 261, 262, 226, 263, 249, 264, 229, 156, 265, 48, 15, 15, 266, 267, 268, 269, 268, 270, 271, 272, 273, 274, 275, 276, 277, 278, 223, 279, 280, 281, 282, 283, 249, 284, 285, 286, 287, 10, 15, 15, 288, 289, 268, 290, 290, 270, 291, 292, 293, 274, 294, 295, 295, 296, 297, 298, 262, 262, 299, 300, 249, 190, 190, 301, 156, 32, 15, 15, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314, 315, 316, 317, 318, 319, 320, 321, 10, 322, 323, 324, 325, 9, 15, 15, 326, 327, 304, 328, 329, 330, 331, 332, 333, 334, 294, 295, 335, 336, 316, 337, 338, 339, 340, 341, 48, 342, 224, 301, 343, 156, 15, 15, 344, 345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359, 360, 361, 362, 363, 9, 364, 365, 366, 367, 54, 15, 15, 368, 369, 346, 370, 371, 349, 372, 373, 374, 375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 73, 342, 386, 386, 343, 150, 15, 15, 387, 388, 389, 390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404, 405, 406, 6, 407, 408, 409, 410, 153, 15, 15, 411, 412, 413, 414, 415, 392, 416, 417, 418, 419, 420, 421, 378, 422, 423, 424, 425, 426, 427, 385, 321, 428, 429, 430, 431, 10, 15, 15, 432, 433, 434, 435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449, 450, 451, 10, 452, 453, 454, 455, 15, 15, 15, 456, 457, 434, 458, 459, 460, 461, 462, 463, 464, 465, 466, 467, 468, 469, 470, 471, 472, 473, 24, 48, 474, 475, 476, 431, 15, 15, 15, 477, 478, 479, 480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 490, 491, 492, 493, 494, 495, 496, 11, 33, 497, 498, 13, 15, 15, 15, 499, 500, 479, 458, 501, 482, 502, 503, 504, 505, 420, 506, 507, 508, 6, 264, 509, 510, 511, 6, 11, 66, 474, 265, 72, 15, 15, 15 },
  },
};


static const short m_filterCoeffFixed[NUM_SETS_FIXED_FILTERS][NUM_CLASSIFIER][NUM_FIXED_FILTERS][42] = {{ 
{ 
{ -39, -14, 13, -17, -13, 6, 25, 6, -11, -22, -3, 12, 34, 13, 5, -25, -14, -2, 28, 45, 76, 45, 42, 7, -17, -22, 7, 20, 66, 68, 115, 76, 62, 29, 14, -21, -40, 16, 42, 49, 97, 113 },
{ -41, -11, 12, -19, 4, -17, 32, 10, -14, -17, -15, 6, 34, 17, 11, -17, -8, -18, 17, 41, 66, 63, 52, 18, -13, -18, -6, 11, 51, 84, 115, 83, 67, 32, 22, -19, -39, 14, 30, 40, 83, 120 },
{ -32, -7, 11, -20, 10, -18, 27, -7, -7, -12, -14, 15, 12, 11, 23, -13, -8, -9, -25, 28, 66, 50, 54, 23, 19, -29, -17, -6, 50, 85, 125, 87, 69, 50, 21, -16, -19, 13, 25, 38, 83, 124 },
{ -25, -7, 9, -13, -12, 4, 27, -1, -10, -26, -3, -1, 25, 3, 8, -23, -19, -17, 32, 29, 66, 42, 27, 10, -12, -23, 8, 36, 65, 60, 125, 65, 48, 31, 30, -2, -13, 14, 61, 65, 91, 97 },
{ -8, -19, 30, -33, 8, 4, -9, 4, -29, -29, -2, -5, 22, 30, -39, 4, 5, -8, 18, -29, 40, -20, 96, 68, 53, -21, -2, 12, -74, 18, 152, 188, 192, 31, -17, -36, -8, 6, 19, -31, 55, 190 },
{ -4, -9, 15, -11, 2, 2, 20, -8, 4, 3, -7, -2, 3, 21, -18, -22, 4, -41, 37, -14, 108, -61, -14, 89, 37, 13, -17, -10, -10, 41, 60, 277, 172, 32, 80, -30, -12, 13, 7, -26, -107, 326 },
{ 1, -8, 5, -13, 3, 7, -15, 10, -5, -6, 5, -3, -8, 29, -29, 8, 13, -17, -11, 20, 9, 18, -35, -13, -39, -11, -16, -42, -19, -27, 77, 49, 21, 7, 36, 40, -22, -22, 48, 46, 154, 421 },
{ -4, 18, -17, 6, 6, -17, 43, -14, -1, -18, 38, 21, 19, -2, 4, -30, -14, 20, 55, 64, 41, 6, -10, -11, 37, -28, 35, 9, -76, -18, 140, 173, 52, 82, -26, 24, 29, 50, 67, 50, 66, 76 },
{ 3, -13, 2, -17, 6, 9, -10, 7, -6, -15, 3, -4, 12, -17, 21, -29, -16, 3, 15, 12, -14, 26, -68, -44, 33, -18, 8, -23, -58, 16, 104, 104, 175, 77, 113, -22, -18, 7, -33, 14, 109, 327 },
{ -12, 5, -18, 7, -14, 9, 35, -4, -9, -11, -17, 12, 29, 29, -7, -14, 7, -19, -14, 39, 82, 50, -2, 6, 10, -8, -9, 14, 34, 98, 142, 112, 39, 22, 0, -13, -6, 7, 25, 36, 66, 129 },
{ -28, -18, 11, -16, 4, -9, 39, -8, -6, -19, -17, -10, 16, 2, -9, -17, 2, -19, 16, 35, 81, 37, 21, -8, -3, -19, -16, 6, 31, 112, 171, 120, 47, 10, -9, -20, -28, 12, 46, 18, 80, 177 },
{ -25, -10, 8, -12, 2, -7, 28, -3, -6, -19, -16, -8, 9, -5, -12, -17, 3, -28, 19, 23, 57, 30, 21, -14, -8, -24, -23, 8, 36, 106, 175, 108, 52, 18, -5, -18, -21, 13, 42, 41, 96, 187 },
{ -29, -10, 9, -19, 5, -8, 31, -7, -7, -14, -13, -14, 7, 11, -5, -16, 3, -18, -19, 24, 68, 47, 27, -4, -10, -20, -21, 7, 25, 109, 176, 121, 59, 20, 9, -17, -19, 10, 24, 12, 92, 181 },
{ -20, -9, 6, -14, 5, -7, 17, 1, -8, -24, 3, -13, 6, -3, -6, -21, -8, 13, -40, 22, 40, 27, -7, -7, -10, -26, -23, -28, 37, 99, 174, 120, 70, 33, 23, -14, -23, 12, 33, 36, 109, 214 },
{ -21, -9, 6, -16, 6, -5, 19, -5, -13, -32, 12, -10, -11, 8, -9, -18, 3, 12, -42, 10, 42, 36, 20, 13, -7, -23, -16, -37, 22, 103, 189, 139, 83, 27, 26, -19, -22, 6, 21, 18, 95, 192 },
{ -14, -21, 4, -8, 2, -7, 29, -3, -11, -19, -11, -3, 4, -8, -7, -18, -5, -23, 18, 10, 40, 19, 14, -17, -5, -24, -20, 7, 19, 99, 172, 96, 41, 24, -5, -19, -21, 21, 54, 51, 122, 210 },
{ -18, 4, -9, -9, 8, -7, 13, -10, -13, -34, 10, -7, 22, -18, 4, -31, -17, 19, 23, -44, 16, 16, -14, -10, 20, -19, -24, -37, -8, 87, 180, 135, 111, 62, 51, -14, -26, 8, -5, 24, 107, 237 },
{ 1, -24, 3, -24, 9, -12, 42, -4, -1, -31, -4, -14, 7, 13, -16, -24, -25, 50, -32, 33, 16, 12, 17, -37, 12, -30, -32, -33, 31, 87, 138, 87, 31, 39, -17, -19, -5, 19, 98, 96, 112, 219 },
{ -13, 6, -7, -14, -12, 9, 7, -3, -8, -21, 9, -19, 20, 4, 7, -31, 4, -25, 37, -19, 18, -12, -8, -23, -18, -40, -24, -11, -33, 98, 129, 92, 86, 52, 56, 19, -20, 17, -8, 79, 143, 245 },
{ -22, 5, -1, -13, 5, -3, 12, -9, -11, -20, 2, -7, 12, -13, 5, -56, -21, 6, 9, 36, -47, 13, 38, 37, 46, -17, 15, -33, -62, 64, 173, 180, 161, 73, 25, -28, -19, 12, -16, -17, 86, 209 },
{ -29, -8, 6, -23, 12, -14, 19, 12, -16, -18, -8, -7, -8, 14, 11, -16, 12, -8, -40, 20, 66, 51, 44, 15, -13, -19, -18, -24, 25, 102, 176, 137, 57, 18, 2, -17, -18, 9, 24, 10, 81, 186 },
{ -36, 6, 8, -29, -12, -5, 28, 5, -34, 5, 3, -17, 17, -6, 12, 9, -19, 9, -27, -34, 42, 70, 91, 31, -15, 7, -12, -14, -21, 110, 177, 144, 99, 16, 21, -32, -21, 14, 4, -25, 64, 179 },
{ -30, 5, 1, -17, 7, 3, 8, -4, -27, -30, 4, -14, 30, -14, -5, -22, 7, 17, -33, -29, 33, 44, 52, 22, 27, -23, -16, -24, -16, 98, 182, 156, 105, 37, -16, -12, -25, 8, 17, 9, 87, 200 },
{ 2, -16, 6, -12, 14, -24, 33, -27, 12, -20, -19, 9, -32, 10, -24, -15, 11, -13, 21, -39, 95, -21, 28, -12, 6, -22, -22, -17, -18, 132, 221, 143, -3, -21, -10, -14, -5, 4, 36, 8, 95, 227 },
{ -5, -7, 2, -16, 4, -13, 28, -8, -2, -18, 9, -27, 15, -34, -8, -14, 7, -2, -16, -11, 29, 6, 14, -4, -4, -14, -15, -25, -19, 104, 222, 148, 47, -25, 12, -17, -11, 4, 18, 12, 73, 277 },
{ 2, -26, 5, -14, 6, -7, 31, -13, 4, -18, -2, -29, 7, -23, -8, -12, 10, -9, 17, -19, 56, -15, 9, -10, 7, -28, -14, -19, -22, 114, 217, 121, 28, -16, -16, -18, -7, 21, 14, 27, 99, 263 },
{ 4, -18, 8, -16, 7, -6, 13, -4, -5, -21, 6, -21, 13, -22, -7, -23, 8, 8, -37, 21, -8, 10, -17, 1, 4, -19, -5, -38, -21, 74, 200, 171, 80, 14, 19, -16, -13, 13, -15, 14, 78, 283 },
{ 2, -17, -3, -21, 3, -2, 32, -6, 5, -25, -5, -19, 6, -17, -14, -14, 5, 20, -32, 11, 29, -8, 15, -22, 10, -29, -22, -38, 25, 85, 187, 114, 29, -11, -7, -28, -8, 18, 45, 31, 106, 277 },
{ -8, -7, 5, -12, 8, -13, 14, -5, 6, -26, -3, -8, 6, -22, -6, -15, 8, 14, -34, 15, 18, -3, -27, -11, -7, -22, -22, -17, -37, 100, 187, 128, 68, 16, 11, -15, -14, 15, 13, 15, 122, 279 },
{ 4, -10, -3, -18, 12, -7, 15, -11, -8, 2, -16, -16, 16, -13, -11, -36, -27, 14, 15, -25, 28, -16, -23, 22, 23, -13, 7, -36, -52, 73, 181, 174, 150, 34, 21, -24, -11, 3, -21, 9, 84, 268 },
{ 3, -18, -1, -24, 4, -11, 40, -7, 5, -31, -3, -9, 10, -30, 5, -20, 14, -26, 45, -17, 22, 10, -17, -14, -6, -40, -25, 9, -58, 111, 154, 77, 32, 19, -11, -20, -16, 24, 60, 42, 130, 280 },
{ 3, -13, 6, -24, 7, -4, 17, -4, -4, -20, -2, -18, 13, -5, 4, -19, -1, 15, -29, 34, -9, -15, -28, -27, -7, -25, -11, -24, -40, 60, 163, 97, 84, 49, 42, -10, -23, 18, -7, 19, 131, 325 },
{ 3, -14, 9, -17, 7, 6, 8, -3, -4, 5, -15, -10, -10, -11, 21, -51, -19, -4, 16, 22, 29, -48, -55, -9, 42, -6, 6, -34, -41, 23, 144, 160, 171, 63, 66, -36, -19, 8, -31, -6, 96, 296 },
{ 3, -20, -3, -20, 5, -6, 31, -2, 6, -34, 2, -16, 10, -9, 2, -27, 15, -10, 40, -14, 10, -20, 33, -27, -13, -46, -21, -22, -72, 110, 108, 118, -65, 31, 9, -25, -10, 26, 68, 62, 154, 310 },
{ 3, -31, 20, -10, 8, -10, 4, 4, -2, -13, -6, -5, 5, 6, -14, -5, 13, -22, 15, 22, -16, 9, -46, -21, -34, -29, -12, -21, -12, -30, 141, 78, 73, 50, 24, 33, -29, 8, 10, 31, 146, 347 },
{ 37, -56, 4, -38, 4, 41, -13, -7, 40, -43, 7, -10, 19, -22, 8, -45, -3, 50, -34, 26, 10, 20, -30, 40, -29, -62, -35, -55, 52, -70, 159, 110, -40, -29, 21, -29, 25, 66, 74, 124, 125, 284 },
{ 1, -5, 2, -8, 16, -7, -7, 4, 2, -10, -4, 13, -16, 8, -5, -7, 8, -11, -18, 20, 23, 12, -73, 23, -51, 9, -17, -19, -54, 27, 41, 46, 107, 58, 59, 60, -37, -12, -32, 78, 175, 344 },
{ -7, -7, 6, -18, 17, -20, 26, -17, 10, -17, -17, -15, -27, 13, -28, -14, 13, -10, 16, -32, 79, -13, 42, -17, 12, -11, -19, -14, -45, 144, 211, 174, -10, 15, -35, -6, -5, 2, 30, -24, 94, 233 },
{ -12, -10, 5, -15, 10, -11, 22, -13, 7, -18, -5, 4, -24, 10, -31, -18, 10, 3, -24, -33, 49, -5, 37, 8, 11, -14, -13, -15, -38, 113, 231, 192, 44, -22, -10, -17, 1, 4, 15, -17, 72, 243 },
{ -12, 5, -4, -10, 11, -13, 21, -13, -14, -16, -19, -2, -8, -11, -34, 9, 9, 5, 13, -52, 29, 48, 96, -22, -15, -5, -11, -23, -51, 102, 216, 213, 48, 25, -20, -12, -9, 4, 20, -33, 65, 209 },
{ -9, -3, 4, -11, 10, -10, 13, -5, -18, -22, 5, -14, 13, -26, -13, -21, 5, -2, 11, -36, 8, 15, 40, 20, 10, -18, -9, -22, -45, 72, 212, 211, 93, 12, -13, -19, -9, 6, 21, -20, 51, 264 },
{ -8, -6, 6, -12, 9, -2, 6, -4, -32, -14, -2, -6, 9, -10, -38, 12, -13, -8, 17, -36, 9, 34, 124, 36, -28, 4, 4, -17, -51, 42, 197, 220, 102, 12, -8, -22, -18, -2, 24, -21, 32, 223 },
{ -11, 5, 8, 4, -5, -16, -16, -23, -12, 10, 6, 17, -15, 47, -85, 19, 10, 3, -13, -36, 62, -93, 183, 54, -54, 3, -7, -28, 50, 69, 87, 395, 86, -33, -14, -8, -21, 11, 16, 26, -99, 168 },
{ 2, -31, 18, -23, 41, -1, -14, -15, -23, -27, 17, -12, 5, 25, -48, -23, 8, 5, -5, 13, 79, -30, 88, 122, 50, 2, -18, -11, 27, -19, 102, 273, 231, -56, -34, -19, -32, 31, 14, -28, -72, 245 },
{ 4, -18, 12, -19, 11, -10, 23, -15, 17, -23, -5, -26, 11, -37, -6, -14, 16, -8, 28, -34, 46, -34, 31, -12, 15, -25, -13, -41, -26, 85, 255, 95, -11, -24, -19, -23, 3, 19, 33, 5, 70, 289 },
{ 1, -18, 5, -13, 10, -7, 17, -5, 7, -13, -6, -28, 8, -24, -11, -12, 4, 5, 15, -34, 25, -20, 10, -5, 11, -19, -13, -40, -20, 66, 234, 156, 23, -26, -14, -19, 2, 15, 19, 6, 32, 316 },
{ 3, -12, -5, -7, 8, -5, 18, -13, 8, -10, -1, -23, 9, -18, -8, -22, 8, -8, 15, -24, 9, -20, -24, 9, 4, -16, -10, -27, -43, 59, 208, 167, 72, 17, -15, -15, -5, 11, 13, -25, 58, 329 },
{ 4, -22, 21, -20, 11, -13, 28, -21, 15, -28, 4, -32, 17, -36, 15, -24, 19, -14, 22, -19, 29, -16, -22, 8, 12, -36, -12, -23, -41, 93, 210, 78, 40, -38, -13, -34, 4, 22, 33, 11, 98, 305 },
{ 2, -11, 2, -19, 12, -14, 24, -8, 5, -18, -5, -17, 10, -14, -4, -16, 13, -12, 19, -21, 14, -26, -22, -7, 13, -16, -16, -28, -37, 62, 205, 124, 41, 12, -11, -19, -8, 6, 26, -8, 77, 339 },
{ 4, -4, -7, -4, 8, 4, 10, -9, -5, -10, -10, -18, 23, -26, -12, -30, 7, -9, 21, -18, 13, -27, -9, 19, 13, -9, -16, -8, -52, 26, 196, 210, 120, 26, -22, -13, -8, 7, 9, -37, 49, 311 },
{ 4, -19, -7, -15, 4, -4, 38, -5, 4, -22, -11, -20, 12, -14, -5, -24, 13, -15, 47, -35, 18, -21, 25, -28, 13, -33, -18, -10, -70, 97, 239, -53, 84, -5, -12, -31, -8, 22, 46, 22, 101, 340 },
{ 3, -15, 1, -11, 5, -4, 18, -5, 5, -17, 2, -18, 8, -2, -12, -12, 13, -11, 13, -12, 8, -22, -40, -26, 7, -19, -23, -10, -52, 57, 143, 122, 79, 37, 30, -24, -11, 7, -5, 12, 109, 350 },
{ 2, -3, -7, 5, 2, -39, 7, -7, -1, -7, 12, 64, -20, 14, -4, 9, -3, 7, -9, 7, 26, -18, 59, 33, -6, -2, 6, -9, 16, -20, -20, 39, -19, 12, -3, 2, 2, -3, 1, -8, 9, 34 },
{ 4, -19, 6, -15, 20, -15, 31, -18, 11, -8, -22, -4, -26, -11, -22, -9, 15, -18, 33, -62, 81, -59, 62, -29, 11, -15, -21, 12, -81, 123, 227, 175, -35, -14, -15, -15, 5, 6, 34, -44, 97, 234 },
{ 3, -10, 6, -13, 9, -11, 10, -7, 7, -16, 3, -20, 8, -24, -23, -12, 10, -5, 11, -35, 18, -31, 52, -15, 11, -9, -12, -12, -56, 75, 235, 225, 15, -23, -18, -12, 2, 1, 21, -21, 50, 255 },
{ 1, -12, 10, -12, 8, -2, 7, 10, -15, -9, -6, -23, 15, -43, -38, 9, 10, -8, 27, -42, 7, 3, 79, -19, -6, -8, -7, -24, -39, 44, 230, 250, 53, -33, -13, -9, -8, 8, 14, 12, -10, 263 },
{ -11, -3, 12, -15, 8, -2, -8, 14, -20, -11, -3, -12, -11, -20, -56, 14, 8, 9, -15, 15, 28, -20, 128, 27, -39, -2, -6, -16, -17, -32, 215, 284, 99, -44, -5, -9, -7, 7, 10, 6, -21, 258 },
{ 1, -9, 11, -16, 8, -5, 8, -7, -6, -6, -18, -2, 15, -11, -36, -42, 13, -8, 13, -21, 32, -43, 83, 45, 15, -10, -17, 13, -57, 17, 178, 228, 157, 12, -27, -20, -14, 9, 13, -30, 10, 275 },
{ -8, 12, 4, -4, 6, -5, 3, -11, -13, -2, -9, -8, 8, 25, -42, -52, 5, 3, -23, 40, 8, -44, 36, 61, 60, -10, -8, -7, -36, 32, 136, 217, 238, 38, -36, -35, -9, 14, 17, -32, -13, 273 },
{ 7, -15, -4, -14, 22, -24, 48, -26, 20, -10, -14, -16, -15, -12, -18, -12, 23, -20, 51, -65, 60, -71, 60, -22, 25, -13, -29, -14, -57, 95, 214, 134, -60, -12, -28, -17, 6, -2, 51, -23, 65, 225 },
{ 5, -24, 17, -23, 15, -5, 23, -13, 18, -9, -8, -29, 21, -30, 5, -21, 12, -8, 31, -53, 43, -60, 26, -6, 22, -19, -18, -32, -16, 36, 240, 88, -18, -32, -14, -25, 5, 11, 34, -8, 42, 312 },
{ 4, -17, 6, -11, 15, -7, 18, -10, 9, -21, -4, -21, 15, -18, -12, -11, 12, 5, 17, -30, 7, -46, 16, -12, 10, -16, -13, -32, -30, 33, 231, 140, 14, -30, -11, -16, 3, 10, 14, 22, -10, 322 },
{ 2, -14, 8, -9, 5, 7, -4, 6, 7, -6, -6, -17, 14, -26, -8, -21, 7, -4, 16, -10, -19, -45, 14, 7, 9, -12, -4, -28, -16, -20, 246, 190, 36, -37, -7, -14, 3, 7, 10, 10, -20, 336 },
{ 3, -31, 8, -18, 8, -5, 29, -2, 12, -17, -6, -20, 16, -26, -2, -21, 18, -14, 34, -32, 24, -33, 28, -19, 15, -28, -9, -47, 35, -75, 327, -56, 64, -33, -10, -26, 2, 19, 25, 10, 27, 381 },
{ 1, -24, 9, -22, 8, -5, 24, -5, 7, -17, -5, -12, 8, -18, 5, -13, 13, -4, 16, -18, 10, -33, -34, 7, 6, -20, -8, -38, 4, -43, 242, 103, 44, -11, -16, -11, 2, 6, 26, -9, 20, 389 },
{ 3, -11, 3, -19, 6, 5, 12, -9, 7, -12, -9, -17, 13, -19, 7, -18, 10, -8, 18, 14, -17, -37, -39, 10, 6, -12, -6, -24, -25, -21, 196, 156, 84, -23, 24, -21, 3, 6, -10, -11, 15, 382 },
{ 2, -10, 15, -18, 6, 10, 5, -8, 7, 3, -20, -15, 6, -8, -15, -29, -4, 11, -3, 20, 11, -52, -27, 13, 19, -8, 8, -37, -12, -36, 195, 193, 125, 27, -20, -17, 3, -5, 15, -28, -17, 370 },
{ 3, -9, -3, -21, 11, -11, 11, 13, 2, -20, -2, -18, 15, -23, 7, -19, 18, -14, 30, -22, 23, -33, 28, -31, 11, -36, -14, -37, 24, -76, 308, -69, 63, -10, -11, -29, 3, 15, 36, 15, 59, 395 },
{ 2, -11, 4, -19, 3, -1, 15, -6, 6, -9, -8, -6, -6, -5, 13, -11, 8, 9, -16, 30, -10, -18, -50, -20, 6, -17, -10, -39, 10, -62, 199, 101, 43, 11, 20, -23, -7, 16, -17, 17, 73, 402 },
{ 2, -10, -1, -9, 5, 6, 18, -19, 8, -13, -7, -20, 7, -10, 16, -18, 13, -11, 18, 13, 7, -28, -78, -15, 10, -11, -16, -9, -40, -14, 150, 137, 100, 23, 39, -27, -12, 19, -16, -26, 65, 409 },
{ 1, -12, 5, -9, 13, -4, 21, -4, 6, -4, -12, -19, -5, -21, 16, -42, 10, -13, 4, 30, 25, -29, -62, -15, 34, -15, 7, -19, -25, -38, 159, 148, 150, 54, 45, -41, 2, 8, -35, -30, 56, 374 },
{ 4, -9, -2, 3, 7, 9, -9, 4, -6, 12, -11, -17, 9, -16, 13, -53, 6, -12, 6, 31, 39, -22, -92, 22, 50, -8, 10, -35, -35, 36, 89, 158, 218, 55, 60, -49, -16, 28, -32, -35, 37, 349 },
{ 3, -18, -3, -22, 3, 15, -4, 14, 2, -27, 2, -14, 16, -24, 16, -23, 16, -10, 34, -24, 8, 25, -34, -22, 18, -38, -24, -35, 26, -79, 261, -74, 69, -9, -9, -30, -12, 26, 52, 49, 84, 399 },
{ 2, -19, -1, -5, 4, 7, 4, -6, 2, -11, -5, -9, -9, 7, 12, -14, 15, -8, 11, 6, -14, 23, -50, -24, -19, -22, -21, -20, -43, -22, 219, -65, 103, 23, 41, -14, -23, 29, -17, 42, 108, 428 },
{ 2, -9, -1, -7, 3, 6, 3, -6, 9, 5, -15, -13, 10, -14, 21, -16, 11, -16, 14, 24, -9, 5, -69, -21, -30, -7, -24, -14, -30, -27, 108, 97, 88, 54, 46, 18, -18, -23, 20, -28, 129, 407 },
{ 1, -18, 17, -14, 10, 8, -4, 7, 2, -9, 3, -26, 12, -25, 19, -22, 8, 6, -27, 49, 33, -13, -79, -44, 24, -10, 10, -42, 14, -51, 89, 99, 138, 110, 76, -40, -13, 25, -37, -35, 87, 393 },
{ -1, -9, 24, -1, 2, 8, 11, -10, 5, 2, -14, -12, 8, -29, 15, -58, 4, -17, 22, 12, 44, 15, -119, 55, 50, -8, 8, 6, -37, -18, 97, 180, 228, 59, -25, -31, 5, 15, -26, -43, 25, 349 },
{ 21, -34, 5, -31, 17, -4, -1, 23, -3, -28, -2, -5, 12, -8, 9, -29, 13, -5, 17, 4, 12, -9, 15, -34, 10, -43, -31, -26, -22, -28, 174, -54, 24, 15, -13, -28, -14, 32, 84, 75, 110, 399 },
{ 3, -6, -2, -11, 7, -11, 26, -10, 12, -7, -13, -26, 9, -20, -29, 4, 19, -13, 34, -46, 30, -73, 63, -33, 18, -12, -19, -16, -45, 65, 221, 193, -46, -20, -17, -12, 5, -1, 33, -13, 31, 242 },
{ 3, -13, 3, -10, 16, -10, 20, -16, 15, -12, 3, -24, 12, -24, -21, -14, 21, -13, 24, -42, 10, -59, 65, -16, 12, -9, -28, -23, -30, 50, 213, 255, -36, -36, -11, -6, 3, -8, 37, 11, -5, 248 },
{ -7, -5, 6, -5, 8, -10, 12, -9, 7, -6, 6, -24, 13, -26, -33, -13, 5, -12, 7, 10, -16, -57, 76, 8, -9, -6, 8, -20, -12, -14, 217, 307, 9, -55, 17, -6, 3, -7, -4, 12, -29, 262 },
{ 2, -9, 5, -5, 5, 1, 5, -11, 14, -4, 7, -23, 16, -21, -32, -26, 6, 4, -14, 31, -26, -51, 27, 19, 15, -12, -6, -18, -21, -19, 213, 246, 90, -46, -18, -9, 3, 5, 15, -6, -26, 320 },
{ -7, -3, 17, -6, 2, -8, 4, -6, -6, -2, 8, -17, -9, 19, -64, -7, 8, -7, -14, 27, -16, -75, 138, 24, -35, -7, 4, -18, 13, -31, 204, 368, 13, -54, 20, -6, 1, 3, -9, 12, -30, 240 },
{ -7, 3, 9, 2, -3, -7, -7, -11, 4, 5, 3, 8, 4, -13, -38, -46, 4, -7, -20, 16, 24, -64, 73, 37, 26, -23, 10, -35, 28, -47, 171, 295, 130, -56, -32, -13, 11, 4, 8, 17, -54, 293 },
{ -6, -2, 4, -7, 5, 5, 13, -6, 3, 3, -12, -12, -16, 20, -49, -41, 5, -15, 11, 34, 24, -67, 31, 24, 33, -7, -9, 6, -44, -39, 188, 240, 146, 32, -32, -21, 3, 4, 7, -43, 19, 320 },
{ -6, 6, 8, -7, -10, -7, 15, 9, -28, -6, 8, -15, -14, -7, -69, 16, 7, 10, -24, 9, 43, -39, 154, 37, -62, -8, -11, -19, 19, -28, 137, 397, 44, -46, 19, -8, -4, 8, 7, 19, -39, 215 },
{ 2, -9, 10, -3, 17, 5, -10, -13, -9, -12, 7, -12, 7, 36, -68, -34, 4, 8, -18, 16, 35, -90, 108, 100, -22, -11, -9, -13, -11, 38, 114, 321, 181, -65, -21, -9, 5, -8, 26, 43, -125, 254 },
{ 4, -14, -1, -13, 20, -18, 34, -20, 23, -21, -14, -15, 4, -16, -19, -9, 20, -17, 44, -50, 26, -59, 48, -18, 22, -12, -18, -14, -50, 78, 178, 120, -49, -14, -20, -14, 4, -2, 34, -3, 25, 197 },
{ 5, -19, 14, -18, 13, -12, 20, -17, 18, -26, 6, -27, 21, -22, 5, -19, 19, -13, 30, -17, -16, -41, 18, -7, 18, -18, -14, -24, 9, -44, 251, 55, -11, -31, -4, -22, 4, 10, 18, 24, -30, 316 },
{ 1, -21, 2, -9, 7, -5, 22, -6, 9, -4, -14, -15, 14, -11, -7, -23, 6, 6, 18, -12, -19, -52, 11, 6, 4, -13, -11, -37, 6, -41, 220, 118, 16, -33, -5, -13, 3, 6, 31, 16, -54, 325 },
{ 2, -9, 6, -10, 8, -5, 11, -8, 11, -12, -4, -19, 19, -11, -16, -8, 8, 3, 8, 15, -24, -69, 16, -4, 9, -12, -6, -25, -10, -25, 187, 193, 36, -44, 12, -13, 3, 7, 5, 14, -65, 311 },
{ 2, -22, 5, -15, 7, -10, 20, -14, 14, -21, -4, -11, 10, -8, -4, -22, 10, 4, 26, -39, 23, -45, 28, -14, 15, -21, -4, -40, 25, -76, 274, -62, 60, -36, -5, -21, 4, 9, 31, 13, -41, 403 },
{ 1, -18, -2, -11, 5, -3, 18, -5, 4, -3, -13, -16, 15, -14, 7, -12, 8, 8, 14, -15, 10, -53, -22, -6, 6, -17, -10, -22, -8, -44, 190, 100, 38, -10, -8, -16, 3, 10, 26, -14, -31, 398 },
{ 2, -6, 4, -9, 4, 5, 8, -10, 8, -9, -3, -12, -5, 10, -10, -9, 6, -6, 9, 5, 10, -70, -17, -13, 7, -10, -8, -11, -15, -39, 172, 147, 63, 17, -11, -7, 2, -5, 22, -30, -35, 395 },
{ 1, -13, 9, -14, 7, 3, 8, -9, 9, -3, -4, -10, -14, 10, -9, -26, 10, -14, 13, 23, 21, -77, -31, 14, 21, 1, -18, 7, -20, -33, 148, 217, 111, 23, -20, -12, -2, 10, 10, -45, -43, 371 },
{ 2, -16, 10, -25, 4, -5, 22, -7, 7, -19, 8, -23, 3, -20, 18, -25, 12, -5, 27, -30, 35, -29, -26, 13, 7, -22, -12, -37, 15, -79, 253, -60, 63, -25, -15, -19, 3, 5, 32, 10, 15, 422 },
{ 1, -21, 8, -8, 4, 5, 2, -10, 6, -3, -8, -19, 15, -7, 9, -7, 13, -6, 9, 21, -12, -32, -31, -14, -2, -13, -18, -15, -22, -49, 155, 124, -24, 22, 25, -23, 6, -3, 22, -32, 44, 422 },
{ 2, -6, 5, -11, 4, 11, 5, -15, 6, -8, -9, -11, -11, 12, 8, -6, 10, -9, 12, 14, 10, -45, -56, -23, 5, -5, -10, -3, -29, -44, 152, 116, 89, 12, 43, -22, -6, 12, -24, -29, 21, 448 },
{ -2, -3, 3, -3, 9, 8, 8, -10, 7, -4, -5, -15, -14, -5, 17, -23, 10, -14, 25, 21, 33, -55, -68, -13, 23, -10, 12, -13, -51, 22, 97, 143, 166, 42, 35, -31, -2, 15, -38, -27, -5, 408 },
{ 2, -17, -2, -20, 4, -4, 21, -4, 3, -18, -4, -8, 13, -7, -22, 6, 15, 7, -15, 22, -4, -28, 29, -31, 7, -28, -23, -18, -21, -51, 231, -59, 33, 6, -16, -21, -6, 15, 37, 23, 84, 438 },
{ 3, -12, 7, -10, 8, 6, -12, 6, -3, -9, 4, -11, 3, -5, 7, 9, 16, -11, 9, -8, 9, 14, -56, -24, -8, -12, -31, -13, -71, 24, 167, -55, 84, 23, 35, -21, -15, 5, 28, -20, 87, 459 },
{ 1, -6, 6, -9, 7, -6, 3, -4, 4, 2, -9, -8, -3, -6, 12, -5, 10, -10, -3, 26, 17, -13, -59, -40, -9, -9, 4, -31, -24, -44, 117, 61, 99, 50, 68, -23, -13, 9, -30, -26, 91, 436 },
{ -3, -8, 2, 11, 9, -11, 10, -6, -3, 3, -8, -7, 8, -4, -8, 18, 9, -3, -9, 35, -11, 33, -34, -51, -34, -20, 21, -45, -58, 48, 66, -21, 100, 67, 50, 28, -24, -13, -36, 82, 113, 444 },
{ 1, -10, -4, 3, 11, -5, 3, 8, -10, -4, 24, -13, -3, -11, 17, -12, -7, 13, 25, -10, 24, 34, -50, -93, 45, 16, -17, -25, -30, 55, 36, 34, 127, 121, 115, -43, 4, -31, -24, -11, 138, 462 },
{ 3, -9, 6, -15, 12, -14, 20, -10, 10, -6, -8, -15, 8, -7, -18, -7, 13, -11, 34, -46, 5, -81, 56, -18, 11, -8, -21, -23, -38, 57, 183, 200, -71, -7, -10, -12, 4, 4, 31, 8, -6, 208 },
{ 4, -9, 5, -10, 9, -7, 21, -8, 10, -8, 3, -19, 14, -12, -21, -10, 11, -7, 12, -17, -19, -81, 67, -18, 6, -4, -12, -18, -23, 22, 189, 258, -59, -23, 4, -9, 3, -9, 27, 9, -24, 209 },
{ 0, -8, 2, -2, 7, 4, 1, -4, 5, -5, -5, -15, 22, -9, -38, 4, 2, 11, -9, 15, -24, -93, 77, -18, -2, -5, 2, -26, 25, -18, 176, 319, -9, -48, 19, -7, 2, -6, 3, 17, -60, 239 },
{ -4, -3, 6, -14, 7, -5, 18, -10, 11, -13, 5, -15, 8, 6, -32, -15, 9, 8, -15, 17, 17, -110, 27, 23, 3, -10, 1, -25, 12, -31, 158, 266, 86, -54, -11, -6, 3, 4, 4, 13, -75, 315 },
{ 0, -5, 8, -9, 4, -7, 19, 2, -6, -6, 10, -18, -5, 28, -64, 10, 10, -6, -16, 20, -31, -94, 114, -19, -15, -6, 10, -17, 15, 36, 157, 394, 18, -55, 25, -3, -8, 8, -6, 23, -62, 193 },
{ 1, -7, 3, -7, -5, 3, 22, -12, 15, 2, 6, -14, -15, 9, -53, -27, 7, -9, -18, 31, 37, -100, 59, 55, -10, -21, 27, -15, 31, -36, 138, 320, 125, -76, 7, -5, 2, 6, -23, 30, -89, 282 },
{ -8, -2, 4, 3, 6, 9, 8, -18, 11, -6, 5, -28, -18, 20, -22, -44, 10, -14, 20, 36, 26, -63, -43, 57, 33, -7, -4, -17, 19, -59, 151, 236, 199, -45, -20, -20, 5, -8, 27, -18, -65, 357 },
{ -7, 1, 5, 0, -3, -13, -9, -8, -11, 10, 7, 17, -9, 33, -57, -8, -5, 10, -30, 4, 11, -105, 150, 34, -41, -3, 9, -20, 31, 72, 97, 421, 23, -46, 26, -3, -7, 9, -13, 23, -89, 190 },
{ -5, -2, 19, 20, 3, 5, 3, -24, 20, -4, -3, -16, -21, 20, -28, -64, 8, -14, 43, 11, 37, -95, 27, 79, 56, 2, -12, -18, -13, 60, 75, 283, 208, -57, -43, -22, -6, 13, 22, 20, -102, 293 },
{ 4, -13, -10, -22, 15, -25, 47, -10, 9, -15, -8, -11, 12, -11, -9, -10, 18, -14, 25, -40, -11, -43, 27, -14, 12, -18, -17, -10, -33, 73, 103, 110, -40, -9, -8, -13, 3, 5, 32, 14, -22, 125 },
{ 18, -34, 1, -35, 8, -4, 24, -8, 8, -6, -14, -15, 24, -12, -2, -20, 8, 5, 27, -19, -41, -24, 21, -6, 11, -15, -5, -28, -17, 32, 144, 78, -16, -20, -6, -31, 3, 3, 30, 25, -50, 195 },
{ 4, -13, 3, -18, 10, -10, 18, -12, 9, -8, -8, -16, 21, -7, -5, -13, 7, 4, 5, 13, -43, -40, 10, -5, 10, -22, -6, -25, 13, -50, 157, 116, -6, -18, 4, -12, 3, 0, 19, 23, -82, 277 },
{ 2, -30, 1, -23, 5, -4, 27, -6, 7, -22, -3, -13, 16, -10, -2, -19, 10, 2, 23, -9, -31, -30, 25, -10, 12, -7, -13, -32, 19, -44, 165, 57, -14, -21, -5, -17, 3, 4, 27, 27, -76, 279 },
{ 1, -9, 3, -15, 4, -4, 12, -12, 9, -5, 7, -16, 16, 8, -8, -11, 5, 7, -10, 21, -27, -71, -9, 18, 5, -21, -4, -25, 14, -29, 142, 177, 33, -36, 12, -12, 3, -1, 16, 22, -107, 309 },
{ 6, -27, 2, -18, 3, -2, 22, -9, 5, -17, -11, -13, 17, -25, 11, -17, 11, -3, 25, 9, -50, 22, -24, 8, 6, -16, -8, -24, 10, -67, 191, -58, 52, -31, -4, -14, 2, 6, 27, 20, -84, 363 },
{ 1, -6, 6, -7, 4, 3, -7, -5, 4, -8, -10, -18, 20, -6, 5, -12, 6, 4, 13, 18, -20, -44, -22, -5, 5, -11, -6, -14, -18, -38, 134, 87, 35, -18, 10, -14, 3, 1, 8, 20, -82, 376 },
{ -11, -5, 6, -3, 3, 5, -8, -4, 4, -3, -3, -15, 14, -3, 9, -11, 6, -5, 13, 14, -15, -52, -48, 13, 3, -8, 2, -17, 4, -43, 130, 140, 82, -31, 21, -13, 2, 4, -10, 18, -99, 383 },
{ -5, -2, 8, 5, 2, 4, -5, -16, 7, 2, -7, -17, 9, 10, 8, -21, 3, 10, -10, 20, 25, -84, -54, 27, 15, -10, 7, -9, 20, -33, 104, 204, 135, -32, 30, -22, 2, 10, 9, -25, -105, 360 },
{ 2, -15, 10, -33, 5, 6, -9, 7, 2, -15, -5, -9, 10, -9, 2, -12, 11, -7, 17, -17, 17, -44, 21, -10, 7, -14, -15, -5, -27, -52, 180, -53, 36, -24, 4, -18, 4, 13, 7, 29, -45, 433 },
{ 1, -6, 5, -8, 6, 2, -7, 3, -4, -10, -6, -10, 11, -7, 9, 6, 5, 2, 9, 9, -25, -11, -48, -11, 3, -13, 5, -26, -13, -63, 202, -39, 92, -17, 25, -18, 3, 15, -11, 17, -65, 474 },
{ 2, -7, 5, -8, 1, 8, -4, -6, 3, 2, -6, -13, 10, -10, 15, 5, 8, -11, 6, 17, 12, -40, -67, -13, -8, -8, -7, 13, -30, -43, 125, 93, 96, 27, 29, -17, 3, 15, -9, -40, -37, 448 },
{ 2, -9, 7, -9, 11, 13, -6, -7, 12, 8, -7, -16, 17, -13, 30, -13, 6, -9, -12, 37, 21, -36, -98, -19, 28, -10, 10, 16, -47, 26, 67, 149, 157, 53, 10, -24, 3, 15, -18, -68, -30, 401 },
{ 17, -18, 17, 4, 23, 6, -9, -14, 8, 5, -5, -11, 15, -9, 22, -37, -9, 10, -17, 27, 21, -9, -124, 16, 64, -2, 11, 7, -38, 51, 53, 170, 218, 65, -21, -32, 4, 15, 7, -83, -27, 372 },
{ 1, -12, 7, -24, 3, 8, -9, 4, -2, -15, -7, -4, 9, -8, -6, 6, 8, 5, 5, 5, -20, 13, -21, -10, 5, -20, -8, -30, -23, -37, 200, -72, 28, -12, 13, -24, 3, 19, -10, 44, 38, 467 },
{ 1, -6, 6, -8, 3, 6, -11, 3, -3, -4, -2, -13, 8, -7, 9, 10, 12, -3, 14, 6, 10, -15, -41, -20, -7, -2, -22, -13, -35, -60, 180, -36, 70, 14, 29, -18, -13, 7, 19, -25, 54, 500 },
{ 1, -6, 5, -6, -3, 12, -9, 6, -7, 7, -11, -14, 12, -10, 14, 15, 8, -12, 10, 19, 19, -5, -68, -43, -8, -4, 11, -16, -35, -35, 89, 63, 89, 45, 70, -27, -6, 10, -37, -28, 53, 477 },
{ 4, -12, 5, -10, 7, 6, 19, -7, 3, -6, 8, -11, -14, -4, 20, -13, 11, -5, -16, 34, 26, 14, -88, -57, 35, -3, -9, 19, -70, 42, 40, 97, 151, 82, 82, -50, 4, 26, -27, -78, 54, 424 },
{ 3, -10, -12, 2, 13, 20, -3, 24, -16, -9, -13, -6, -4, -15, 23, -22, 5, 17, -12, 33, 39, 9, -102, -23, 53, -13, 20, -13, -44, 36, 77, 107, 202, 99, 49, -55, 10, 14, -47, -55, 76, 392 },
{ 6, -8, 49, -12, 2, 12, 7, -15, 15, -10, -6, -9, -8, -20, 14, -65, 24, -9, 27, 17, 30, 15, -101, 48, 90, -2, -3, -14, -13, 59, 80, 200, 204, 61, -25, -39, 7, 15, 16, -47, -48, 341 },
{ 3, -5, -1, -15, 6, 7, -5, -5, 4, -6, -14, -5, 10, 16, -23, 4, 16, -2, 10, 15, -7, 5, -13, -9, -5, -20, -27, -42, -36, 11, 95, 43, -3, -32, 19, -21, -24, 64, 16, 67, 113, 441 },
{ 1, -7, 5, -7, 8, 8, -15, 3, -4, -8, 13, -20, 16, -5, 2, 15, 12, -9, 20, 13, -17, 12, -22, -14, -40, -5, -20, -19, -76, 41, 64, 70, -16, 14, 32, 29, -31, 26, -25, 64, 157, 438 },
{ 2, -9, -13, -18, 9, -5, 29, -8, 9, -6, -13, -12, 17, -3, -16, -5, 9, -3, 17, -23, -34, -56, 35, -11, 9, -24, -5, -20, -18, 32, 140, 160, -47, -13, -7, -17, 2, -12, 36, 24, -49, 167 },
{ 1, -8, 4, -8, 6, -4, 13, -7, 9, -5, -11, -14, 16, 3, -27, 4, 3, 3, 6, 15, -47, -71, 46, -22, 7, -8, -1, -18, -4, -11, 166, 223, -53, -8, -4, -6, 2, -11, 21, 20, -58, 188 },
{ 1, -5, 5, -9, 8, -11, 9, -13, 12, -5, 5, -18, 19, -4, -16, -4, 6, -6, 4, 9, -33, -72, 25, -8, 5, -9, 2, -24, 10, -22, 151, 201, -11, -33, 23, -11, 2, 5, -7, 37, -98, 256 },
{ -3, -3, 5, -4, 5, -7, 10, -11, 10, -6, 5, -14, 18, 9, -32, 12, 4, 8, -17, 22, -44, -103, 68, -22, 4, -5, -3, -13, 20, 16, 153, 324, -61, -23, 15, -7, 2, 2, -6, 24, -64, 181 },
{ -3, -6, -7, 5, 3, 1, 8, -15, 16, -9, 10, -24, 18, 17, -32, -12, 7, 7, -12, 18, -30, -102, 43, 28, -7, -10, 4, -20, 38, -16, 132, 297, -4, -43, 29, -8, 2, 4, -8, 30, -96, 240 },
{ -11, -3, 5, -9, 3, -5, 14, -19, 17, -4, 9, -23, 14, 19, -25, -15, 3, 8, -14, 10, 20, -117, 12, 40, -3, -7, -4, -16, 27, -20, 117, 262, 67, -55, 21, -14, 3, 11, 4, 16, -110, 293 },
{ -1, -7, 3, 4, 4, -6, -9, -8, 5, -5, -3, 30, -7, 38, -50, 17, 3, 10, -16, 12, -25, -122, 105, -22, -5, -6, -6, -22, 16, 74, 132, 387, -51, -26, 15, -11, -1, 9, -11, 24, -69, 156 },
{ 1, -10, 5, -18, 6, -16, 27, -18, 15, -5, 8, -18, 7, 20, -58, -10, 7, 12, -19, 13, -18, -117, 74, 63, -19, -10, 13, -31, 24, 80, 93, 375, 19, -64, 29, -4, 2, 11, -17, 41, -101, 201 },
{ -5, -2, 4, 5, 2, -4, 19, -28, 22, -5, 4, -25, 18, 18, -44, -25, 5, -2, 28, -6, 28, -127, 36, 67, -11, -29, 35, -22, 20, 54, 78, 327, 112, -74, 29, -4, 3, 2, -18, 36, -127, 243 },
{ -2, -4, -2, 6, 15, 5, 3, -31, 21, -7, 25, -30, 30, 12, -7, -39, 8, 8, -12, 13, 31, -98, -36, 46, 18, -8, -16, 7, -2, 45, 54, 276, 153, 40, -49, -12, 20, 7, 22, -42, -104, 323 },
{ 1, -9, -8, 5, 12, 2, -11, -6, -8, -3, 4, -6, -10, 35, -67, 21, -2, -3, 41, -26, 31, -113, 113, 20, -30, -4, 21, -29, 34, 93, 114, 463, -62, -41, 11, 7, 1, -8, -28, 35, -58, 159 },
{ -1, 4, -2, 6, -7, -24, 12, -23, 17, -6, 29, -17, -12, 38, -83, -9, 6, 14, 50, -30, 40, -156, 128, 74, -38, -6, -6, -41, 42, 80, 108, 412, 26, -71, 43, -5, -1, 16, -17, 48, -105, 210 },
{ 3, -6, 10, -6, -3, 20, 19, -17, 11, -6, 8, -35, -29, 47, -71, -32, 7, 3, 59, 22, 57, -136, 67, 90, -40, -16, -11, -29, -19, 72, 68, 377, 130, -110, 59, -27, 5, 14, -5, 47, -104, 247 },
{ 3, 5, -9, -9, 4, -9, 17, -37, 18, -15, 17, 24, -29, 81, -129, 10, 12, 8, -23, 32, 43, -144, 120, 98, -69, -12, 14, -28, 33, -56, 172, 477, 31, -118, 44, -6, -4, 16, -47, 46, 108, 114 },
{ -12, 6, -5, 3, 25, 12, 7, -36, 27, -18, 8, -41, -25, 48, -76, -47, 11, 13, 75, 30, 58, -128, 80, 160, -37, -22, -7, -45, -29, 74, 101, 392, 134, -155, 52, -32, 5, -6, 25, 73, -69, 179 },
{ 17, -23, 8, 44, -13, 25, -6, -29, -4, 14, -22, -6, 78, 9, -32, -50, 7, 11, -16, 24, -31, -41, 50, 144, 53, 11, -13, -43, 78, 108, 56, 275, 175, 42, -82, 20, -8, -9, 42, -21, -121, 209 },
{ 3, -32, -12, -12, 13, -3, 24, -14, 16, -23, -7, -13, 13, -11, -19, -12, 16, -11, 22, -15, -20, -18, 36, -17, 16, -33, -10, -12, -14, 28, 57, 60, -18, -11, -9, -33, 4, -2, 33, 15, -26, 69 },
{ 2, -44, 2, -30, 12, -2, 25, -10, 14, -32, -5, -19, 15, -19, -4, -12, 12, -3, 8, 20, -32, -15, 13, -6, 10, -14, -7, -23, 18, -38, 93, 35, -10, -12, -6, -31, 2, 4, 11, 25, -51, 143 },
{ 2, -29, 1, -25, 8, -3, 13, -7, 8, -15, 9, -25, 27, -9, -3, -12, 11, 5, 8, 9, -42, -28, 7, -3, 8, -18, 4, -27, 14, -30, 110, 83, 3, -29, 7, -10, 1, 9, -12, 43, -86, 183 },
{ 2, -30, -1, -33, 5, -2, 10, -4, 10, -22, -5, -13, 12, -13, -2, -27, 9, 2, 17, 15, -28, -12, 13, 2, 8, -16, 0, -29, 13, -53, 95, 37, -6, -23, 3, -16, 3, 10, -8, 40, -78, 205 },
{ 3, -11, 2, -26, 8, 3, -8, 6, 3, -12, 3, -19, 22, -9, -2, -6, 7, 4, 7, 10, -22, -42, 9, -7, 9, -30, -5, -20, 9, -36, 103, 82, 11, -19, -4, -13, 2, 1, 21, 32, -101, 244 },
{ -5, -7, 9, -8, 4, 4, -7, -8, 5, -7, 7, -23, 24, 5, 9, -7, 5, 4, -7, 21, -39, -62, -14, -5, 6, -11, 2, -16, 30, -28, 98, 162, 25, -26, 25, -13, 2, 5, -13, 40, -126, 261 },
{ 2, -26, -2, -23, 3, 4, 11, -6, 5, -8, -11, -14, 14, -20, 10, -25, 7, 6, 4, 19, -25, -9, -10, 10, 7, -14, -5, -25, 17, -54, 132, -45, 33, -28, -5, -11, 3, 5, 22, 32, -106, 323 },
{ 1, -11, 5, -20, 3, 7, -7, -5, 4, -17, 1, -17, 16, -5, 9, -4, 4, 3, 15, 11, -22, -35, -15, -13, 8, -12, -3, -12, 4, -45, 97, 80, 9, 12, -8, -11, 3, 3, 8, 29, -104, 341 },
{ -1, -7, -3, 4, 5, 2, 9, -10, -3, -2, 6, -21, 13, 7, 18, -5, 4, -1, -6, 26, -22, -60, -42, -9, 5, -10, 3, -12, 25, -37, 86, 139, 61, -19, 26, -15, 3, 4, -6, 21, -121, 341 },
{ -3, -4, 4, 3, 1, 5, -9, -17, 5, -3, 8, -22, 11, 12, 15, -9, 5, 11, -15, 19, 38, -94, -47, -11, 32, -12, 9, -8, 32, -27, 74, 212, 85, 35, -17, -15, 11, 10, -6, 22, -143, 332 },
{ 1, -13, 7, -24, 3, 8, -8, 4, -5, -15, -6, -8, 9, -5, 2, -13, 9, 2, 6, 13, -27, 20, -25, 6, 6, -15, -9, -18, 13, -70, 135, -42, 18, -15, -7, -12, 1, 6, 14, 35, -80, 410 },
{ -3, -5, 8, -7, 5, 4, -8, 2, -4, -13, -3, -15, 13, -10, 14, 6, 7, -2, 13, 21, -7, -33, -25, -10, -3, -8, 9, -19, -7, -56, 102, 52, 36, -13, 28, -11, 2, 7, -17, 43, -94, 444 },
{ -1, -3, -5, 5, -3, 10, -4, -7, -5, -6, 20, -19, 12, -7, 22, 9, 8, -7, 5, 12, 27, -51, -51, -20, -8, -7, 9, -24, 23, -49, 78, 104, 73, 33, 38, -20, 3, 8, -24, 22, -115, 450 },
{ 2, -8, 4, -6, 14, 6, -2, -3, -4, 6, -4, -11, -9, 6, 27, 2, 5, -10, -8, 29, 37, -35, -119, -19, 26, -7, 15, 8, -25, 32, 61, 164, 140, 67, 28, -31, 6, -15, 48, -71, -66, 373 },
{ 8, -6, -9, 5, 17, 11, 11, -11, -6, 6, -13, -15, 10, 16, 29, -21, 7, -21, 43, 16, 27, -39, -133, 21, 59, -5, -12, 11, -23, 48, 80, 198, 191, 74, -19, -31, 6, 20, 32, -74, -67, 363 },
{ 1, -11, 9, -8, 2, 4, -7, 7, -10, -6, -5, -7, 9, -5, -7, 5, 12, -6, 7, 11, -19, 12, -21, -7, 5, -8, -8, -20, -26, -53, 153, -35, 17, -25, 12, -13, -7, 33, -19, 42, 23, 447 },
{ -4, -2, -5, 3, 7, -3, 12, -6, -8, -3, -7, -8, 32, -15, 15, 12, 4, 10, 8, 11, 14, -21, -33, -15, -8, -3, -8, -14, -30, -52, 96, 54, 13, 28, 17, -12, 4, -18, 31, -32, 37, 481 },
{ 1, -4, -10, 8, 6, 6, 4, -4, -9, 4, -7, -14, 21, -9, 13, 21, 3, -10, 8, 18, 39, -14, -63, -38, -8, 5, -8, 23, -45, -32, 80, 50, 74, 41, 60, -19, -9, 25, -17, -58, 42, 471 },
{ 3, -7, -1, -8, 3, 8, 3, 7, -8, -10, 26, -23, -4, -18, 25, 10, 18, 7, -10, 31, 15, 13, -87, -69, 36, -6, 13, -12, -36, 66, -11, 134, 108, 81, 84, -45, 6, 24, -31, -73, 56, 422 },
{ 3, -6, 7, -6, 4, 10, -11, 5, -7, -4, -3, -14, 11, -2, 17, -14, 13, 6, -5, 14, 18, -6, -11, -11, 5, -10, -26, -34, -50, 43, 70, 47, -40, 33, -25, -7, -28, 57, 22, 52, 106, 456 },
{ 6, -5, -10, 5, 8, 7, -4, -5, -4, -7, 4, -17, 23, 4, -9, 18, 15, -13, 32, 28, -21, 25, -33, -20, -21, 2, -12, -26, -85, 49, 58, 65, -15, 34, 15, 19, -31, 41, -32, 74, 105, 486 },
{ -3, -4, -6, 5, 3, 4, 3, -12, 17, 3, -9, -12, 37, -15, 11, 16, -5, 13, -7, 21, 15, -18, -18, -35, -42, 15, 17, -24, -83, 56, 62, 26, 102, 37, 42, 36, -29, 34, -71, 74, 67, 492 },
{ 3, -25, -8, -25, 7, -4, 22, -10, 10, -6, -10, -12, 17, -3, -11, -13, 7, -8, 16, -9, -33, -37, 22, -12, 11, -22, -5, -16, -10, 13, 86, 112, -31, -11, -4, -11, 6, -18, 19, 27, -45, 108 },
{ 2, -13, 3, -6, 12, 3, -6, -8, 11, -9, -18, -15, 21, 5, -16, -4, 11, -5, 12, 13, -43, -63, 32, -16, 5, -13, 6, -17, 11, -17, 113, 180, -48, -4, 7, -9, 3, 3, -11, 27, -63, 149 },
{ 1, -9, 5, -7, 3, -2, -6, -9, 10, -7, 8, -18, 26, 5, -9, -4, 5, 7, -5, 23, -36, -63, 14, -8, 4, -10, 3, -24, 19, -26, 110, 166, -13, -21, 23, -8, 1, 3, -11, 41, -105, 201 },
{ 1, -4, -6, 3, 1, 5, -9, -10, 9, -3, 4, -12, 19, 21, -33, 5, 6, -10, 16, -8, -46, -104, 50, -21, 21, -6, 3, -9, 13, 47, 119, 287, -61, -6, 20, -10, -1, 12, -21, 34, -91, 160 },
{ 1, -7, -2, 3, 5, -3, -3, -14, 10, -5, 2, -2, 32, 27, -20, -13, 13, 5, -7, -15, -19, -103, 31, 23, 4, -6, 8, -23, 20, 44, 78, 292, -8, -36, 26, -8, -8, 6, -19, 47, -113, 183 },
{ -4, -5, 1, 6, 0, 6, -3, -23, 12, -5, 10, -14, 7, 25, -13, -13, 4, 2, -13, 8, 29, -121, 14, 21, 10, -18, 11, -11, 37, -15, 77, 251, 40, -41, 20, -10, 1, 4, -11, 38, -135, 263 },
{ -2, 2, -11, 3, 3, -11, 19, -19, 16, -5, 7, -13, -6, 33, -52, 30, 6, -2, 18, 17, -32, -138, 92, -31, -4, -6, 4, -19, 25, 72, 120, 363, -87, 31, 5, -3, -1, 11, -24, 25, -78, 159 },
{ -3, -3, 4, 3, 6, -7, 7, -25, 20, -8, 3, -8, -7, 37, -50, -12, 4, 12, 29, -17, 13, -133, 48, 59, -11, -4, -12, -27, 22, 51, 98, 381, -30, -39, 38, -10, 1, 9, -13, 47, -109, 208 },
{ -5, 2, -4, 6, 8, -4, 13, -39, 22, -9, 15, -23, 24, 42, -36, -19, 4, 8, -19, 21, -17, -108, 6, 86, -12, -7, 24, -35, 30, 51, 84, 344, 71, -65, 30, -9, 1, 6, -7, 40, -135, 246 },
{ 2, -6, -7, 8, 3, 24, 7, -30, 13, -4, 1, -21, -11, 23, 16, -29, 7, -6, 24, 7, 33, -104, -64, 43, 13, -3, -9, -16, 18, 70, 36, 281, 128, 63, -44, -11, 4, 18, 29, -36, -135, 300 },
{ -19, 13, -10, 9, 10, -10, 4, -29, 14, -10, 4, -10, -18, 50, -86, 26, -3, 11, 24, 16, -19, -142, 126, -42, -9, 6, 11, -29, 27, 67, 172, 417, -87, 40, -6, 25, 3, -18, -13, 21, -71, 179 },
{ -2, 5, -8, 9, 3, -6, 9, -45, 31, -8, 2, -19, -16, 63, -83, -8, -7, 25, 51, 22, -27, -140, 86, 99, -24, -15, 16, -51, 22, 91, 151, 413, -6, -83, 24, -4, 6, -10, -30, 69, -95, 207 },
{ -8, 5, -6, 9, 29, -10, 22, -50, 25, -15, 19, -24, 39, 51, -48, -36, 7, 24, -32, 34, -34, -113, 23, 134, -18, -9, -6, -48, 51, 59, 132, 365, 122, -108, 44, -19, 3, 25, -13, 56, -128, 221 },
{ 6, -9, 1, 2, -14, 26, 17, -32, 19, -8, 17, -30, -25, 19, 22, -57, 6, 7, 45, 26, 61, -116, -21, 92, 50, 7, -22, -19, 39, -30, 114, 313, 186, -52, -28, -9, 2, -13, 27, 40, -140, 290 },
{ -7, 8, -12, 6, -3, 18, -8, -20, 15, 9, 13, 9, -21, 52, -96, 59, -7, -8, -17, 33, 22, -136, 149, 50, -23, -5, 24, 22, 5, -41, 204, 421, -148, -41, 24, -4, 6, -14, -34, 22, 73, 191 },
{ -5, 2, 2, -1, 3, 3, 64, -3, -7, -42, 45, -11, -15, 9, -15, 15, -8, 31, -18, 36, -25, 11, -17, -28, -11, -7, 28, -8, 51, -110, 89, 49, -16, 103, 32, -18, 4, 39, -32, -17, 78, 438 },
{ 5, -15, -10, -13, 16, -21, 11, -25, 14, -11, -15, -13, 7, -7, -16, -10, 15, -11, 11, 10, -15, -3, 23, -10, 12, -15, -10, -17, 6, -16, 31, 16, -1, -15, -10, -35, 5, -3, 7, 10, -17, 39 },
{ 5, -32, -5, -35, 10, -14, 11, -12, 7, -13, 3, -20, 9, -12, -9, -11, 14, -3, 3, 12, -17, 4, 8, -12, 13, -34, -2, -20, 14, -30, 54, -19, 26, -19, -2, -31, 3, -2, 2, 18, -33, 82 },
{ 2, -35, 1, -24, 12, -6, 7, -9, 8, -15, 5, -19, 15, -8, 2, -9, 13, -6, 11, 8, -16, -24, 5, -6, 8, -15, 6, -20, 15, -32, 56, 53, -5, -18, 7, -14, 3, 3, -13, 37, -61, 110 },
{ 5, -35, -4, -36, 13, -17, 10, -5, 8, -13, 2, -19, 12, -12, -3, -11, 13, -13, 9, 8, -17, 2, 9, -10, 12, -14, 1, -23, 18, -39, 67, -15, 15, -18, 1, -13, 3, 1, -2, 24, -55, 133 },
{ 2, -7, 3, -29, 5, 5, -4, -6, 6, -8, 5, -23, 20, -9, 4, -11, 8, -4, 12, 6, -14, -32, 16, -5, 7, -14, 3, -18, 27, -34, 57, 54, 11, -26, 8, -12, 3, 3, -12, 43, -84, 166 },
{ -1, -11, 4, -7, 2, 4, -5, -10, 6, -6, 6, -19, 15, 13, -3, -4, 7, -6, 7, 8, -14, -67, 20, -12, 6, -12, 13, -16, 15, -31, 65, 122, 32, -21, 7, -7, 2, 6, -17, 43, -114, 208 },
{ 4, -11, -2, -27, 4, -10, 11, -5, 4, -5, -10, -11, 9, -16, 5, -9, 7, -9, 12, 19, -18, 10, -11, 3, 5, -12, 9, -23, 17, -48, 73, -24, 29, -28, 16, -12, 3, 3, -12, 45, -97, 229 },
{ 1, -5, 5, -10, -2, 9, -9, -2, 7, -7, 3, -19, 16, -11, 8, -6, 4, -3, 10, 8, 23, -36, -10, -7, 7, -11, 5, -20, 40, -46, 54, 49, 23, -24, 6, -5, 2, 3, -15, 43, -120, 280 },
{ -1, -3, -4, 5, -1, 8, -5, -7, -3, -3, 6, -23, 19, -8, 22, -7, 3, -6, 8, 4, 33, -68, -17, -14, 5, -10, 6, -14, 34, -29, 38, 136, 53, -6, 26, -12, 3, 10, -10, 23, -124, 284 },
{ 1, -6, 7, -9, 13, 5, -6, -8, 10, -5, 8, -24, 21, -10, 30, -9, 7, -10, 12, 14, 27, -81, -53, -14, 33, -10, -3, 4, -18, 54, 34, 180, 70, 32, -10, -14, 18, 8, -5, 42, -146, 304 },
{ 2, -5, 2, -10, 6, 3, -7, 3, 1, -8, -5, -12, 14, -9, 4, -6, 7, 3, 7, 6, -13, 12, -7, -6, 8, -8, -4, -19, 20, -52, 79, -25, 25, -5, -8, -8, -4, 8, -11, 63, -78, 338 },
{ 1, -3, -3, 2, 3, -3, 16, -7, -2, -7, 2, -17, 13, -10, 14, -2, 10, -8, 14, 6, 28, -35, -14, -12, 4, -10, -6, 14, -24, -34, 45, 58, 29, -11, 29, -14, 3, 20, -20, 61, -91, 376 },
{ 1, -8, -6, 5, 9, 7, 12, -7, -6, -5, 8, -28, 14, -11, 28, 4, 3, 24, -14, 22, 18, -44, -40, -26, 6, -5, 8, -23, 39, -46, 58, 90, 44, 40, 28, -22, 3, 5, -18, 35, -126, 414 },
{ -5, -3, -6, 5, 15, 6, 5, -17, -19, -4, 8, -23, 22, 12, 33, -4, 23, -21, 35, 19, -9, -54, -73, -35, 13, -6, 10, 8, -30, 108, 32, 143, 106, 101, -21, -12, 2, 14, 20, -52, -98, 362 },
{ 2, -15, 50, -11, -4, 7, 9, -13, -8, 11, 15, -31, 5, 34, 43, -21, 8, -17, -12, 32, 24, -49, -134, 27, 59, -10, 23, 16, -28, 73, 99, 194, 165, 97, -33, -29, 9, 20, 51, -49, -105, 360 },
{ 2, -4, 9, -10, 6, 3, -7, 5, -8, -9, -8, -3, 13, 2, -9, 3, 4, 8, -3, 9, 26, -11, -4, -7, 4, -9, 16, -19, -28, -30, 84, -34, 37, -16, -9, 4, -10, 27, -21, 75, -42, 432 },
{ 1, -3, -8, 4, 3, 6, -9, 17, -4, -8, 22, -21, 10, 6, -11, 13, 3, 8, -11, 21, 37, -24, -19, -11, -10, 2, -11, 35, -52, -26, 47, 63, -13, 45, -4, 9, 3, -24, 44, -49, 56, 421 },
{ -2, -2, -7, 8, -7, 10, 19, -6, -8, 2, -2, -16, 31, -14, 19, 14, 6, 6, -16, 24, 44, -7, -66, -23, -8, 4, 7, -16, -38, 57, -22, 112, 49, 60, 38, -18, 6, -11, 24, -61, 28, 396 },
{ 2, -6, 10, -13, 10, 12, -18, 15, -10, -12, 7, -26, 35, -25, 33, 12, 14, 16, -19, 44, -5, 28, -103, -46, 15, -6, 9, -17, 42, -31, 69, 117, 127, 90, 31, -28, 9, 25, -18, -84, 42, 369 },
{ 2, -6, 12, -22, 34, 8, 5, -8, 41, -12, 5, -30, 13, -16, 21, -19, 13, -20, 7, 23, 75, -22, -70, -65, 70, -16, 24, -12, -32, 53, 70, 152, 115, 101, 65, -46, 10, 21, -22, -98, 60, 365 },
{ -3, -10, 30, -10, 8, 8, 7, -18, 16, -8, 19, -30, 12, -13, 13, -32, 11, -15, -7, 24, 45, -55, -73, 39, 93, -12, 4, -16, -23, 96, 51, 186, 184, 99, -41, -23, 4, 23, 29, -28, -92, 366 },
{ 2, -4, 14, -8, 9, -5, -7, 3, 2, -7, -4, -8, 29, 3, -9, -2, 13, -10, 8, 12, 12, 18, -10, -16, 5, 4, -24, -18, -68, 45, 96, -20, -24, 36, -13, -6, -29, 72, -16, 70, 91, 477 },
{ 0, -9, 9, -6, 10, 4, -11, 2, -4, -3, -18, 20, 15, 18, -14, 17, 6, -19, 30, 47, -13, 24, -35, -17, -9, 13, -12, -11, -98, 59, 79, -19, 43, -12, 64, -8, -7, -19, -24, 106, 60, 492 },
{ -1, -13, 34, 3, 6, -4, -4, 2, -7, -3, -8, -3, 34, -6, -8, 29, -9, 20, -20, 45, 28, -35, 43, -69, -22, 12, 21, -41, -43, 40, 27, 65, 50, 65, 30, 44, -14, -15, -48, 84, 45, 474 },
{ 3, -10, 4, -12, 8, 9, -2, 22, -4, 3, -10, -4, -25, 8, -15, 21, -3, -12, 11, 21, 61, 4, -22, -119, 40, 17, -16, 3, -54, 44, 54, 68, 73, 101, 133, -38, -6, 31, -74, 28, 89, 445 },
{ 4, -11, -7, -14, 13, -18, 9, -18, 12, -10, -14, -18, 11, -7, -4, -10, 12, -12, 17, 5, -15, -17, 22, -7, 13, -14, 3, -20, 6, -21, 41, 58, -13, -9, -4, -31, 4, -9, -2, 17, -28, 61 },
{ 3, -13, 2, -7, 6, 4, -6, -8, 10, -6, 5, -20, 24, 13, -8, -7, 5, -8, 9, 6, -34, -50, 20, -14, 9, -28, 0, -12, 27, -18, 71, 129, -35, 10, -3, -11, 3, 3, -8, 24, -52, 95 },
{ 1, -12, 3, -6, 9, 3, -4, -10, 8, -12, 4, -21, 21, 6, -4, -7, 3, 5, 4, 10, -29, -51, 15, -9, 9, -6, 11, -27, 18, -26, 76, 112, 18, -23, 9, -15, 1, 6, -17, 46, -92, 144 },
{ -1, -5, 2, 3, 4, -5, -7, -15, 11, -6, 3, -9, 22, 26, -26, 10, 3, 5, 11, -6, -45, -94, 41, -21, 6, -9, 3, -14, 11, 49, 89, 232, -60, 36, -6, -5, -2, 9, -18, 34, -82, 131 },
{ -3, -3, -5, 5, 1, 4, -5, -18, 11, -5, 5, -14, 17, 28, -15, -16, 9, 8, -13, 24, -32, -91, 36, 17, 18, -6, 10, -20, 17, 38, 68, 230, -16, -24, 10, -11, -3, 9, -23, 45, -110, 165 },
{ -3, -4, -3, 4, 2, 2, 9, -20, 9, -2, 4, -8, -7, 37, -11, -8, -4, 7, -11, 9, 31, -115, 27, -13, 27, -5, 7, -20, 32, -36, 66, 216, 51, -18, 15, -13, 1, 8, -15, 39, -131, 229 },
{ 6, -3, -9, 6, -1, 5, 14, -18, 2, -2, 8, -14, -10, 30, 15, -14, 3, -3, -9, 15, 44, -99, -56, 35, 23, -9, 23, -13, 24, -33, 74, 193, 92, -36, 31, -18, 20, 4, -8, 62, -141, 284 },
{ -8, 1, -7, 7, 6, -9, 13, -28, 18, -7, 8, -8, 17, 47, -50, 31, 18, 10, -8, 13, -40, -125, 69, -26, 17, -13, -7, -14, 10, 60, 103, 319, -81, 47, -9, 1, -3, 12, -23, 40, -82, 144 },
{ -3, 5, -11, 8, -2, 21, -11, -27, 17, -3, 6, -7, 36, 47, -34, -12, -3, 10, -14, 6, -27, -120, 27, 69, -12, -3, 10, -19, 22, 58, 125, 332, -34, -35, 16, -2, -3, 11, -32, 46, -104, 194 },
{ -3, 3, -5, 9, -5, 3, 3, -31, 12, -5, 12, -13, 19, 44, -11, -20, 14, 13, -23, 15, -18, -113, -25, 80, 12, -9, 3, -27, 38, 52, 88, 314, 44, -51, 21, -10, -1, 8, -13, 46, -142, 228 },
{ 2, -3, -9, 10, -5, 7, 12, -29, 4, -4, 13, -21, -15, 37, 16, -30, 7, 10, -17, 33, 43, -90, -75, 54, 38, -7, -8, -7, 32, -27, 112, 262, 133, -55, 51, -31, 27, 7, 2, 54, -149, 305 },
{ -11, 2, -5, 9, 17, -9, -3, -30, 19, -5, 3, 19, -4, 54, -69, 56, -4, 8, -11, 22, -35, -133, 98, -21, -7, 7, 16, -24, 34, 57, 196, 362, -112, 43, -3, 10, -2, -11, -26, 33, -78, 193 },
{ 2, 4, -10, 10, 40, -18, 12, -42, 23, -21, 4, 13, -24, 73, -63, -6, -11, 17, -25, 30, -30, -141, 60, 86, -24, -6, 20, -35, 25, 80, 158, 372, -23, -62, 30, -5, 22, 7, -40, 61, -95, 199 },
{ 11, 7, -19, 20, -4, 13, 16, -54, 21, -11, 14, -19, 34, 58, -19, -27, -9, 17, -26, 22, -36, -124, -16, 142, -18, 3, 9, -45, 57, 82, 131, 344, 98, -89, 16, 3, 17, -4, -19, 51, -134, 219 },
{ 9, 4, -12, 13, 7, -14, 17, -41, 18, -17, 22, -31, 49, 27, 17, -53, 6, 15, -29, 41, -32, -77, -51, 124, 42, 6, -24, -19, 34, 63, 121, 272, 164, -55, -26, 16, 19, -14, 23, 37, -151, 298 },
{ 6, 8, 10, -5, -6, -22, 19, -48, 28, 8, -9, 23, -34, 93, -105, 16, -9, 19, -30, 30, -27, -140, 122, 96, -42, -11, 31, -53, 76, 68, 177, 379, 8, -69, 37, -4, 3, 10, -48, 59, -101, 198 },
{ -3, 14, -12, 11, -2, -11, 26, -47, 26, -18, 12, -16, -17, 50, -37, -39, 6, 23, 55, -20, 55, -146, 48, 183, -25, 8, -25, -55, 43, 56, 139, 358, 96, -80, 19, -4, 5, 13, -10, 69, -133, 198 },
{ -9, -10, 23, 7, 48, 17, -22, -21, -17, -17, 22, -24, 19, 27, 79, -69, -44, -35, 25, 21, 62, -83, -46, 142, 84, 6, 28, -7, -18, 35, 159, 239, 206, -114, -41, 20, -7, 5, -16, 39, -112, 288 },
{ 5, -8, -15, -12, 9, -16, 9, -18, 7, -9, -11, -11, 5, -11, 5, -10, 8, 3, 5, 9, -9, 6, -1, 2, 8, -11, -8, -14, 13, -23, 14, -9, 10, -14, -6, -11, 3, -4, 3, 9, -11, 16 },
{ 4, -12, -5, -32, 8, -17, 10, -19, 8, -10, 4, -14, 6, -13, 4, -10, 7, 2, 4, 9, -8, 7, 2, -12, 8, -15, 2, -16, 15, -26, 19, -14, 14, -12, 2, -14, 5, -1, -3, 16, -26, 38 },
{ 3, -6, 2, -13, 6, -5, 4, -4, 8, -9, 5, -16, 10, -12, 3, -9, 4, 5, 3, 12, -12, -14, 3, -4, 8, -12, 4, -20, 18, -29, 31, 25, 21, -15, 4, -13, 3, 1, -9, 26, -47, 69 },
{ 3, -5, -3, -11, 8, -26, 7, -18, 11, -10, 3, -14, 7, -15, 2, -13, 9, -16, 10, 9, -6, 3, 2, -5, 11, -12, 1, -13, 38, -29, 28, -16, 45, -18, 10, -10, 4, -3, -3, 18, -39, 67 },
{ 2, -5, 4, -13, 6, -7, 5, -5, 5, -8, 5, -18, 10, -11, 6, -8, 9, -7, 11, 4, 14, -25, 11, -8, 9, -8, 5, -20, 13, -30, 29, 31, 35, -15, 4, -17, 3, 5, -12, 35, -70, 118 },
{ 1, -5, 5, -8, 2, 7, -8, -5, 3, -6, 8, -21, 18, -5, 15, -9, 7, -8, 13, 15, -11, -38, -7, -9, 7, -8, 6, -16, 17, -38, 44, 66, 47, -13, 16, -13, 2, 5, -13, 35, -92, 161 },
{ 3, -4, -2, -9, 8, -16, 15, -7, 5, -8, -3, -13, 12, -13, 6, -6, 8, -5, 11, 8, -7, -3, 7, -9, 7, -10, 4, -20, 47, -34, 30, -16, 50, -15, 10, -10, 2, -1, -9, 33, -70, 148 },
{ 1, -6, 4, -5, 4, 5, -5, -5, 3, -5, -1, -14, 13, -11, 10, -5, 9, -8, 18, -10, 33, -27, -4, -9, 6, -6, 12, -19, 37, -32, 29, 34, 41, -12, 24, -15, 1, 6, -13, 29, -90, 200 },
{ -2, -5, 6, -5, 6, 7, -6, -4, -2, -6, 4, -20, 16, -7, 18, -2, 5, -9, 18, -11, 42, -41, -27, -9, 29, -7, 4, -14, 48, -33, 44, 60, 39, -17, 35, -13, 2, 5, -11, 28, -120, 247 },
{ -3, -4, 3, 4, 22, 6, -9, -11, -3, -5, 12, -25, 12, 7, 28, -7, 5, -7, -10, 19, 37, -72, -36, -13, 46, -14, 42, -13, 19, -47, 67, 103, 76, -30, 11, -7, 3, 2, -9, 69, -132, 289 },
{ 3, -5, 1, -8, 2, 6, -7, 2, 3, -12, 15, -17, 11, -13, 17, -4, 4, 3, 6, 5, 15, -7, -10, 6, 2, -12, 16, -16, 31, -40, 55, 23, -20, 14, -4, -8, 1, 3, -14, 69, -64, 239 },
{ 1, -13, 28, -8, 14, 6, -7, 2, -3, -9, 13, -15, 9, -10, 8, 8, 6, -8, 18, -9, 44, -19, -6, -16, 8, -10, 23, -12, 19, -53, 73, -21, 20, 35, -8, -7, 3, -11, 21, 41, -106, 354 },
{ -2, -3, -8, 5, 25, 9, -10, 8, -8, 13, -9, -18, 16, -10, 19, 5, 26, -7, 18, -9, 41, -34, -23, -20, 4, -10, 19, -14, -15, 71, -17, 86, 21, 27, 27, -15, 2, 5, -11, 49, -120, 348 },
{ -6, -4, 18, 6, -4, 11, -12, -8, -10, 3, 6, -28, 14, 16, 43, -11, 18, -17, 56, 16, -9, -57, -55, -24, 46, -4, -4, 8, -23, 107, 24, 115, 75, 83, -12, -10, 4, 7, 27, -26, -124, 360 },
{ -2, -13, 6, 5, 17, 43, -15, -12, -3, -6, 13, -25, 12, 26, 37, -22, 13, -16, 19, 14, 18, -71, -80, -26, 90, -8, -12, 23, -25, 93, 56, 221, 106, 89, -20, -15, 3, 11, 25, -61, -87, 324 },
{ 3, -8, -2, -7, 3, 2, 16, -4, 3, -3, -5, -7, 25, -14, 10, 0, 7, -11, 10, 6, 35, -5, 9, -12, 5, 4, -11, 17, -39, -12, 39, -22, 34, -18, 15, -8, -8, 27, -25, 94, -60, 369 },
{ 12, -9, -6, 6, 6, 2, 18, -6, -6, -5, -8, -6, 38, -9, 13, -7, -6, 15, 25, -12, 58, -15, -13, -18, 6, 7, -8, -8, -26, -41, 70, 29, -10, 36, 24, -12, 22, -16, -14, 70, -75, 447 },
{ -5, 18, -6, 6, -13, 8, 21, -8, -4, 4, 18, -18, 23, 9, -17, 22, -8, 41, -24, 29, 53, -22, -25, -24, -8, 14, -13, 21, -49, 61, -22, 87, 16, 67, 12, -10, 4, 24, -12, -68, 57, 364 },
{ -11, 2, -9, 8, -3, 11, -11, 10, -12, 5, -2, -19, 42, -20, 24, 18, 8, -18, 13, 24, 37, -23, -63, -50, 20, 19, -27, 23, -44, 82, 37, 61, 128, 82, 54, -19, -5, 9, 26, -66, -61, 443 },
{ -4, -5, 9, -4, 7, -11, 6, -10, 9, 3, 6, -16, 13, -21, 28, -9, 8, -19, 29, 23, 9, -16, -114, -29, 93, -17, -11, 33, -28, 65, 39, 150, 142, 141, 47, -35, 8, 12, 12, -109, 35, 327 },
{ 2, -5, 16, -6, 8, 3, -8, 5, -7, -5, -7, -7, 29, -3, 2, 0, -7, 17, -4, 11, 37, 1, -8, -16, 7, 10, -9, -21, -50, -14, 70, 40, -24, -4, -17, 22, 34, -58, 79, 45, 101, 417 },
{ 1, -5, -4, 7, 8, 4, 15, -10, -10, -5, -5, -8, 42, -16, 6, 7, -13, 18, -6, 25, -14, 71, -22, -17, -7, 9, 12, -36, -72, 40, 74, -14, 33, -13, 58, -4, -27, 46, -38, 88, 44, 487 },
{ 2, -3, -8, 6, 6, 35, 3, -12, -7, 4, -13, -8, 3, 48, -20, 26, -15, 21, -13, 33, 30, -6, -16, -36, -24, 9, 27, -35, -38, -28, 93, 80, 20, 62, 21, 43, -23, 39, -62, 75, 37, 477 },
{ 0, -8, -7, 4, 4, 19, 21, -11, -6, -7, 7, -19, 9, -22, -6, 30, -4, -14, 18, 37, 18, 31, -55, -60, -16, -6, 44, -35, -45, 39, 51, 65, 104, 43, 144, -35, -8, 12, -75, 41, 59, 462 },
{ -8, -4, 8, -5, -3, 4, 35, -13, 15, -7, 14, -15, -18, 14, -24, -28, 16, -22, 11, 14, 67, -29, -86, 95, 82, -6, -5, -11, 15, 77, 55, 209, 146, 109, -40, -12, -10, 16, 22, -39, -102, 339 },
{ -3, 4, -6, 6, -4, -40, 12, -8, 3, 2, 38, -14, -14, 15, 14, -3, 40, 7, -7, 15, 16, 6, -14, 66, 60, 6, -130, -10, 10, -38, 29, -31, 103, -17, 9, -14, -2, 66, -19, 13, -26, 44 },
{ 3, -6, -11, -9, 8, -12, 4, -5, 6, -8, -2, -11, 7, -7, 4, -7, 5, 2, 8, 8, -10, -10, 16, -7, 6, -10, 3, -14, 11, -23, 23, 26, -4, -8, 3, -29, 2, -8, -6, 16, -25, 35 },
{ 2, -11, 3, -6, 3, 2, -2, -7, 6, -8, 7, -18, 16, 10, -5, -9, 8, -6, 6, 10, -25, -28, 35, -4, 7, -6, 3, -15, 14, -26, 50, 74, -19, -4, -4, -9, 2, 4, -9, 24, -43, 66 },
{ 1, -5, 4, -9, 3, 5, -5, -8, 7, -13, 2, -17, 16, 5, 9, -15, 4, 4, 14, 11, -18, -39, 24, -7, 8, -7, 12, -26, 26, -35, 50, 68, 16, -13, 18, -15, 1, 7, -18, 41, -77, 110 },
{ -1, -5, 7, -7, 4, -4, 16, -12, 5, -5, 7, -15, 10, 9, 8, -6, 4, -3, -3, 13, -12, -49, -5, -8, 6, -8, 15, -26, 30, -45, 58, 88, 47, -19, 6, -13, 2, 4, -20, 47, -99, 150 },
{ 0, -21, -6, 5, 29, 4, -6, -19, 11, -12, 12, -9, 14, 36, -26, 17, 20, 4, -3, 13, -39, -81, 34, -18, 8, -9, 5, -18, 20, -28, 88, 156, -48, 38, -3, -6, -2, 8, -18, 36, -68, 111 },
{ -1, -6, 4, 3, 1, 18, -7, -19, 7, -6, 7, -16, 13, 28, -9, -9, 3, 5, -5, 14, -28, -76, 50, -8, 33, -6, 11, -27, 27, -31, 70, 164, -20, -18, 5, -8, -1, 9, -24, 55, -98, 147 },
{ -1, -9, 9, 5, 2, 4, -4, -17, 5, -7, 11, -20, 12, 21, 11, -8, 3, 3, -6, 16, -15, -85, -13, -8, 6, -5, 7, -20, 31, -34, 60, 164, 69, -21, 30, -13, 8, 6, -18, 44, -118, 185 },
{ -9, -9, 37, 4, 24, 20, -8, -12, -2, -11, 7, -9, -6, 25, 20, -7, 6, -4, -9, 14, 44, -95, -25, -16, 43, -3, -3, -7, 32, -40, 48, 183, 115, -20, 24, -15, 2, 3, 3, 41, -121, 240 },
{ -2, -30, 5, 6, 34, -3, -7, -30, 15, -5, 7, -6, 14, 54, -42, 41, 13, 5, -9, 25, -46, -118, 53, -25, 33, -9, 5, -14, 19, 63, 99, 259, -78, 17, -9, 9, -1, 8, -22, 38, -89, 132 },
{ -2, -6, 2, 7, 2, 20, -10, -30, 14, -4, 5, -7, 5, 53, -25, -11, 3, 5, -6, 17, -23, -125, 25, 50, 18, -9, 10, -22, 18, 70, 66, 267, -30, -36, 16, -8, -2, 17, -34, 62, -104, 156 },
{ -2, 3, -9, 14, 6, 12, 8, -33, 5, -8, 10, -14, 22, 46, 6, -17, 4, 8, -15, 12, -21, -116, -16, 60, 4, -14, 5, -21, 24, 65, 92, 288, 59, -43, 7, -6, 10, 5, -17, 51, -131, 205 },
{ -6, -7, 30, 7, -4, 2, 6, -22, -6, -5, 18, -24, 36, 31, 25, -16, 10, -7, -13, 23, -16, -91, -62, 28, 74, -11, -11, 10, 20, 60, 78, 245, 97, -50, 47, -27, 23, 5, 8, 34, -134, 273 },
{ -1, 3, -17, 11, 19, 13, -6, -33, 16, -3, 18, 4, 16, 60, -57, 51, -2, 6, -9, 19, -42, -124, 76, -22, -9, -6, 10, -14, 18, 34, 173, 325, -102, 62, 4, 4, -2, 8, -37, 41, -83, 183 },
{ -2, 4, -8, 15, 3, -14, 7, -50, 26, 14, 5, 6, -10, 68, -50, -10, -10, 13, -14, 22, -17, -129, 43, 86, -17, -6, 23, -32, 31, 82, 126, 334, -26, -49, 27, -4, 10, 12, -48, 65, -109, 207 },
{ 10, 6, -12, 17, 5, -9, 12, -49, 16, -10, 14, -13, 39, 54, 18, -36, -8, 26, -29, 11, -23, -129, -23, 164, -12, -9, 19, -46, 55, 73, 110, 343, 59, -67, 23, 7, 31, -16, -18, 60, -142, 241 },
{ 3, -17, -8, 14, -6, 9, -13, -28, 7, -7, 16, -18, 54, 34, 23, -47, 9, -7, 69, -35, 25, -110, -55, 127, 56, 5, -16, -17, 38, 80, 124, 278, 115, -45, -26, 8, 16, -20, 23, 31, -131, 275 },
{ -5, 7, -13, 6, 3, -3, 6, -35, 26, 11, 28, 8, -24, 65, -90, 58, -6, -11, 5, 29, -28, -130, 126, 39, -16, -10, 26, -14, 17, 109, 168, 389, -140, -28, 25, 4, 4, 9, -52, 37, -47, 221 },
{ -13, 4, -4, 15, 41, 6, -13, -38, 26, -8, -7, 19, -21, 73, -66, -13, -16, 24, -7, 24, -29, -121, 87, 60, -33, 7, 32, -32, 35, 84, 147, 375, 31, -73, 36, -7, -4, -12, -47, 69, -87, 188 },
{ 3, -5, -3, -9, 4, 4, -11, 1, 4, -7, 4, -13, 4, -10, 4, -8, 3, 3, -5, 12, -6, 7, -2, 2, 4, -9, 2, -11, 9, -20, 9, -9, 26, -8, 2, -8, 3, -3, -8, 6, -8, 10 },
{ 2, -4, 1, -8, 4, 2, -4, -1, 3, -7, 3, -15, 7, -6, 6, -7, 4, 1, 3, 11, -7, -5, -2, 4, 3, -5, 6, -17, 16, -32, 25, 15, 33, -12, 4, -11, 1, 3, -10, 21, -33, 45 },
{ 3, -4, -2, -2, 6, -16, 4, -8, 4, -7, 5, -10, 1, -8, 4, -7, 6, -6, 7, 9, -5, 5, -5, 5, 3, -9, 2, -10, 36, -20, 36, -12, 42, -12, 2, -8, 2, -12, -5, 14, -21, 31 },
{ 1, -4, 1, -5, 3, 4, -2, -4, 2, -6, 4, -14, 5, -10, 4, -6, 5, -4, 8, 5, 29, -13, 14, -4, 5, -6, 6, -16, 14, -34, 20, 9, 43, -12, 4, -11, 2, 3, -14, 28, -50, 76 },
{ -1, -6, -1, 2, 6, 5, -5, -7, 14, -4, 8, -19, 11, -9, 11, -5, 5, -6, 5, 9, 28, -34, 19, -12, 26, -8, 9, -16, 22, -41, 31, 36, 53, -13, 7, -11, 7, 6, -19, 36, -76, 115 },
{ 2, -5, 20, -12, 6, -7, 4, -2, 4, -4, -1, -10, 4, -10, 9, -4, 7, -9, 9, 9, -4, 4, 5, -7, 6, -9, 11, -11, 33, -23, 48, -16, 46, -12, 16, -9, 3, -7, -6, 19, -40, 80 },
{ 2, -4, 20, -8, 3, 3, -1, -3, 3, -3, -2, -15, 9, -9, 9, -6, 6, -7, 16, 4, 23, -11, 13, -11, 6, -12, 4, -9, 39, -39, 29, -7, 57, -11, 22, -10, 4, 4, -14, 29, -73, 157 },
{ 1, -4, -1, 2, 2, 6, -2, -8, 9, -5, 9, -24, 13, -9, 12, -6, 7, -10, 9, 13, 17, -32, 18, -15, 6, -12, 21, -13, 54, -36, 25, 34, 68, -7, 16, -11, 7, 4, -10, 25, -88, 183 },
{ 14, -4, -6, 4, 20, 7, -3, -7, -4, -10, 9, -28, 15, -7, 22, -7, 6, -11, 8, 15, 41, -46, -15, -16, 6, -6, 4, -8, 22, -50, 44, 68, 113, 4, -5, -10, 4, -2, 3, 64, -101, 222 },
{ 3, -7, 24, -14, 5, 3, 2, -3, 4, -5, -6, -11, 3, -6, -4, -3, 7, -3, 9, 8, 24, -3, 7, -6, 7, -12, 11, -11, 27, -30, 75, -22, 47, -17, 7, -8, 2, 3, -15, 27, -63, 176 },
{ 2, -6, 3, -5, 1, 8, -7, -5, 24, 7, -6, -14, 9, -6, 4, -4, 4, -8, 22, -11, 54, -9, -4, -4, 3, -10, 2, -8, 39, -42, 32, -11, 61, -7, 31, -14, 1, 28, -17, 72, -77, 244 },
{ 2, -6, -4, 2, -2, 13, -6, 11, -5, 27, -7, -19, 10, -13, 12, 3, 22, -7, 13, 10, 36, -24, -8, -17, 3, -5, 6, -23, 57, -46, 50, 29, 27, 40, -6, -10, 2, 4, -7, 68, -109, 295 },
{ 1, -6, -6, 6, 10, 7, -3, -7, -7, 4, 4, -25, 17, -12, 24, 6, 6, -22, 28, 63, -16, -41, -27, -27, 18, -4, -15, 14, -28, 142, 37, 45, 68, 101, -14, -10, 3, 9, 20, -12, -119, 308 },
{ -5, -4, 33, 5, -8, 13, -5, -10, -4, 7, -8, -20, 16, 13, 44, -13, 10, -15, 15, 13, -11, -43, -68, -29, 63, -10, 45, -7, 13, 93, 48, 86, 131, 120, -16, -15, -7, 15, 14, -37, -112, 303 },
{ 6, -5, -4, -8, 4, 9, -9, 7, 3, -4, -11, -16, 12, -10, 9, -7, 9, -6, 11, 9, 26, 36, -15, 8, 7, -7, -7, 19, -24, -35, 51, -32, 33, -17, 19, -9, -5, 29, -27, 101, -52, 281 },
{ 2, -6, 3, -5, 2, 6, -7, 3, -3, -10, 27, -15, 8, -16, 30, 5, 5, -9, 12, 8, 37, -9, -7, -5, -5, -6, 7, -18, 33, -52, 42, 35, -11, 23, 29, -9, -6, 5, -19, 81, -78, 377 },
{ 12, -10, -6, 6, -8, 8, 45, -7, -9, 3, 31, -24, 8, -12, 10, 9, 2, -14, 45, 26, 36, -17, -16, -16, -10, -15, 9, -10, -10, -29, 59, 50, 45, 51, 40, -9, -6, 12, -21, 66, -93, 395 },
{ 2, -7, -11, 11, -7, 15, -5, 3, -13, 10, 25, -30, 13, -26, 24, 15, -10, 60, 11, 19, 23, -35, -42, -29, -10, -20, 20, -23, -24, 143, 44, 47, 75, 132, 65, -18, 4, 9, -10, -27, -90, 391 },
{ 4, -10, -7, 5, -12, 11, 15, -22, -2, 21, -27, -14, 21, -17, 49, -25, 11, -18, 24, -23, 12, -26, -70, -50, 73, -18, 19, -9, 38, 91, 86, 54, 175, 162, 62, -36, 12, 17, -12, -65, -67, 402 },
{ -3, -2, 7, -24, 13, -20, 43, -6, -6, -10, 15, -22, 16, -10, 31, -21, 16, -8, -6, 30, -17, -44, -91, 73, 86, -10, -6, -17, 28, 22, 67, 199, 123, 109, -37, -15, 6, 4, 43, -55, -102, 312 },
{ 2, -6, 2, -2, 7, 9, -17, 9, -3, -2, -10, -7, 12, -6, -5, 12, 7, -13, 19, 47, -5, 14, -12, 6, -9, 3, -8, -11, -51, -10, 65, 44, -25, -18, 9, -5, -25, 63, -28, 83, 92, 361 },
{ 2, -5, 20, -9, 10, 4, -7, 2, -1, -3, -15, -7, 50, -3, -4, 8, 1, -9, 29, 2, 11, 6, -12, -9, -3, 12, -6, -4, -84, 48, 57, -6, 43, -12, 40, -4, -5, -8, -31, 90, 49, 427 },
{ 1, -7, -2, 6, 23, 17, -11, -10, -5, 5, -8, -12, 23, 7, -12, 22, -9, -3, 15, 16, 10, 34, -17, -29, -12, 6, 20, -15, -47, -41, 73, 40, 18, 36, 91, -10, -13, 52, -36, -38, 81, 469 },
{ -9, -2, 4, -7, 41, 10, -9, -45, 44, 8, -10, -12, -1, 6, -10, 27, -8, 6, -36, 32, 53, 29, -47, -43, -16, -10, 33, -16, -63, 42, 25, 49, 113, 121, 105, -23, 6, 39, -31, -43, 70, 439 },
{ 2, -9, -1, -8, 3, 2, -1, -1, 4, -5, 3, -12, 5, -6, 3, -7, 6, -3, 3, 10, -7, -5, 6, 3, 3, -6, 4, -12, 11, -25, 18, 26, 8, -9, 2, -10, 2, 2, -6, 12, -19, 28 },
{ 1, -4, 3, -6, 2, 4, -5, -5, 5, -4, 1, -12, 12, 3, -7, -4, 2, 2, -2, 16, -20, -21, 43, -6, 5, -4, 5, -15, 19, -35, 40, 37, -16, 12, -3, -9, 1, 4, -9, 18, -32, 51 },
{ 1, -5, 3, -5, 3, 4, -4, -4, 3, -6, 7, -18, 13, -3, 5, -7, 3, 3, -4, 15, -12, -25, 19, -5, 5, -5, 6, -16, 22, -39, 41, 31, 25, -11, 20, -10, 1, 4, -14, 30, -55, 75 },
{ -1, -4, 3, 3, 2, 3, -6, -11, 5, -4, 6, -15, 15, 19, -8, -8, 1, 6, -6, 17, -28, -53, 54, -4, 5, -4, 8, -21, 23, -37, 63, 108, -35, 35, -4, -6, -1, 7, -16, 31, -51, 81 },
{ -2, -10, 27, 5, 11, 3, -5, -18, 5, -5, 9, -19, 10, 24, -4, -13, 3, 3, -5, 19, -16, -59, 45, 14, 22, -8, 10, -23, 28, -43, 54, 99, -18, -11, 8, -8, -1, 12, -22, 39, -70, 112 },
{ -5, -8, 17, 4, 13, 2, -4, -12, -2, -5, 11, -20, 9, 15, 11, -4, 4, -2, -6, 14, 28, -65, -9, -5, 5, -6, 9, -21, 35, -51, 49, 101, 73, -19, 29, -14, 1, 6, -15, 39, -95, 149 },
{ -2, -3, 2, 5, 13, 3, -4, -12, -4, -6, 16, -26, 11, 9, 23, -6, 7, -6, -8, 20, 32, -65, -19, -8, 36, -5, 6, -17, 44, -63, 55, 102, 122, -23, 33, -13, 3, 14, -6, 22, -113, 214 },
{ -2, -26, 6, 8, 43, -11, -4, -28, 12, -5, 10, -10, 11, 52, -31, 28, 3, 25, -4, 9, -41, -99, 37, -16, 35, -1, -8, -8, 9, 76, 71, 203, -72, 18, -7, 2, -4, 12, -20, 29, -67, 104 },
{ -1, -5, -5, 12, 6, 5, -3, -25, 7, -5, 5, -12, 22, 39, -10, -18, 6, 9, -9, 14, 50, -103, 82, 49, -5, -5, 12, -28, 28, -46, 65, 195, -35, -16, 8, -7, -2, 11, -29, 53, -83, 146 },
{ 1, -9, -5, 9, 28, -4, 9, -28, 4, -4, 9, -14, 19, 34, 10, -11, 3, 3, -9, 16, -11, -79, -26, 70, -7, -6, 8, -22, 26, -18, 128, 205, 70, -33, 10, -11, 1, 7, -22, 54, -114, 187 },
{ -8, 13, -5, 11, 22, -6, 7, -23, -3, -7, 15, -19, 23, 27, 27, -13, 5, 3, -13, 21, -4, -83, -42, 28, 43, -8, -7, -8, 29, -21, 128, 198, 146, -22, 26, -20, 28, 3, 6, 47, -107, 232 },
{ 3, -9, 30, 4, 5, -8, 10, -13, -5, -5, 10, -29, 9, 4, 41, -19, 7, -5, -5, 22, 51, -61, -75, -21, 102, 41, -15, -9, 42, -78, 108, 128, 106, 80, -43, -7, -6, 9, 20, 48, -129, 300 },
{ -3, 5, -8, 10, 27, -8, -8, -34, 18, -3, 4, 17, -8, 63, -48, 29, -5, 8, -14, 14, -22, -110, 59, -23, 25, 3, 6, -7, 14, 69, 151, 284, -96, 16, -4, 7, -6, 9, -31, 32, -78, 178 },
{ -2, 3, -4, 12, 4, -3, -7, -33, 16, -2, -1, 46, -14, 61, -29, -13, -9, 15, -15, 20, -23, -105, 28, 76, -9, 9, 18, -23, 19, 55, 120, 308, -40, -38, 24, -9, -5, 14, -47, 63, -98, 196 },
{ 2, 4, -16, 18, 6, -8, 12, -39, 10, -13, 13, -12, -6, 53, 22, -22, 41, 18, -20, 17, -20, -122, -11, 113, -4, -15, 7, -31, 34, 66, 124, 299, 65, -35, -7, 9, -9, 49, -18, 58, -133, 228 },
{ 3, 3, -8, 12, -8, 8, -14, -19, -13, -11, 21, -24, 53, 30, 36, -34, 12, 16, 19, -30, 18, -111, -37, 97, 59, -7, -23, -13, 32, 86, 121, 264, 101, -37, -21, -9, 28, 5, 28, 48, -123, 264 },
{ -1, 4, -6, 10, 18, -11, -8, -38, 24, 5, 30, 8, -15, 64, -68, 74, -10, -28, 20, 20, -26, -117, 86, 57, -21, -10, 23, -11, 19, 87, 175, 324, -114, -13, 23, -1, 23, 14, -47, 34, -54, 206 },
{ -5, -18, 20, 19, 12, -9, 9, -44, 28, 17, -8, -11, -27, 69, -65, -13, -7, 15, 69, 21, -12, -105, 69, 44, -21, -6, 19, -26, 13, 77, 147, 352, 29, -83, 39, -6, -2, 15, -55, 74, -91, 208 },
{ -7, 13, -18, 19, -4, -9, 22, -54, 21, -9, 17, -16, -13, 66, -27, -30, -9, 26, -31, 58, -25, -93, 40, 190, -23, 9, 9, -21, -22, 144, 194, 331, 89, -91, 21, 10, -19, 14, -30, 59, -106, 211 },
{ -9, -16, 12, 10, 38, -15, 17, -34, 18, 16, 9, -14, -6, 39, -32, -55, -26, -7, -56, 10, 16, -81, -19, 112, 59, 18, -31, -19, 37, 177, 71, 324, 164, 162, -84, 23, -16, -18, 57, -22, -104, 174 },
{ 1, -3, -2, -1, 2, 4, -7, 2, 1, -4, 2, -10, 8, -7, 3, -5, 1, 3, -3, 12, -2, 8, -3, 3, 1, -1, 3, -11, 11, -22, 48, -17, 9, -9, 3, -2, 1, -4, -2, 5, -6, 41 },
{ 1, -2, -1, -2, 4, 4, -3, -2, 5, -3, 2, -9, -2, -3, 3, -4, 9, 2, -3, 12, 18, -6, -1, 2, 2, -3, 5, -12, 15, -27, 48, 21, 27, -8, 2, -5, 1, 0, -5, 9, -14, 29 },
{ 1, -3, 7, -2, 2, 4, -13, 4, -13, -5, 3, -11, 19, -9, 5, -4, 2, 2, -5, 14, -7, 9, -7, 4, 2, -2, 5, -13, 14, -29, 56, -18, 55, -9, 3, -2, 2, -8, -6, 11, -14, 20 },
{ 0, -8, 17, -3, 2, 2, -1, 7, 1, -4, 3, -9, -2, -4, 4, -3, 3, 4, -4, 14, 22, 14, -6, 5, 7, -8, 7, -17, 19, -34, 49, -6, 54, -10, 4, -8, 0, 2, -11, 22, -39, 58 },
{ 1, -3, -1, 2, -2, 6, -1, -4, -1, -3, 7, -17, 5, -4, 9, -4, 2, 2, -6, 17, 28, -9, -8, 13, 2, -6, 7, -16, 24, -40, 68, 13, 70, -11, 4, -7, 5, 3, -13, 26, -53, 80 },
{ 4, -6, 8, -3, 3, 4, -9, 5, -15, -4, 16, -13, 31, -12, 5, -3, 6, -20, 6, 10, -5, 11, 3, -9, 6, -4, 3, -10, 57, -28, 66, -24, 53, -8, 19, -8, 2, -7, -5, 9, -21, 47 },
{ 1, -3, 10, -5, 1, 4, -3, -2, 3, -3, 4, -14, 29, -8, 4, -4, 2, 3, -4, 19, 2, 23, -2, 1, 3, -5, 7, -16, 19, -41, 57, -10, 64, -11, 20, -5, -3, 5, -14, 25, -57, 108 },
{ 2, -5, -5, 2, 1, 7, 5, -6, 1, -3, 7, -23, 10, -6, 8, -10, 4, -7, 18, 19, 28, -14, 23, -6, 30, -4, 7, -14, 26, -55, 27, -5, 92, -11, 6, -5, 0, 3, -11, 24, -71, 136 },
{ 2, -7, 5, -8, -2, 9, -3, -6, 4, -5, 14, -29, 13, -10, 13, -5, 9, -11, 5, 21, 24, -25, 24, -17, 7, -5, -7, -7, 24, -60, 41, 36, 59, -15, 27, -18, 5, -3, 40, 19, -81, 166 },
{ 4, -5, -4, -4, 3, 5, 9, 1, 5, -11, -3, -12, 31, -8, -7, -6, 8, -4, 9, 14, 19, 6, 8, -3, 10, -6, 3, -11, 37, -33, 96, -27, 55, -11, 2, -6, 2, 3, -12, 18, -38, 105 },
{ 3, -5, 22, -5, 22, 7, -4, -2, 4, -9, 15, -15, 6, -4, -4, -2, 4, -6, 13, 9, 23, -5, 7, -4, 2, -5, 6, -8, 50, -43, 25, -23, 59, -8, 44, -12, 16, 3, -13, 19, -68, 178 },
{ 1, -6, 4, -2, -2, 6, 12, 2, -2, 7, 7, -23, 5, -8, 8, -6, 5, -13, 10, 20, 25, -12, 27, -11, 2, -3, 6, -9, 14, -59, 43, -14, 85, 32, -3, -11, 3, -12, 21, 62, -81, 223 },
{ -9, -4, 5, 3, -2, 5, -8, -9, 4, 52, 13, -34, 22, -12, 25, -19, 10, -32, 33, -7, 4, -33, -11, -18, 33, -21, -31, 21, -33, 140, 21, 36, 142, 113, -9, -7, 5, -6, 42, -10, -80, 231 },
{ 3, -8, -6, 4, -7, 10, 20, -8, -15, 19, -14, -25, 23, -18, 40, -12, 18, -28, 37, -19, 12, -33, -37, -31, 78, -14, -24, 15, -11, 85, 41, 59, 129, 147, -8, -17, 6, 15, 30, -22, -105, 280 },
{ 6, -7, -8, -6, 4, 11, -10, 11, 28, -5, -10, -15, 9, -14, -8, -8, 12, -6, 12, 10, 36, 9, 6, 3, 8, -8, -6, -5, -10, -30, 48, -27, 17, -13, 21, -7, 1, 25, -24, 98, -34, 169 },
{ 1, -3, -1, -2, 1, 5, 28, -22, 47, -3, 3, -19, 10, -6, 5, -5, 4, -8, 8, 22, -12, 34, 3, -7, 5, -2, 2, -5, 13, -63, 60, -31, 40, -3, 24, -6, -4, 5, -14, 88, -74, 290 },
{ 2, -7, -3, 3, 28, 8, -2, -14, 3, 3, -2, -18, 40, 16, -7, 7, 1, -10, 15, 17, 3, 46, -9, -8, -13, -8, 12, -21, 63, -74, 58, -13, 58, 45, 35, -10, -3, 9, -14, 68, -84, 347 },
{ 3, -8, -2, 4, 31, 12, -7, 7, -6, 12, -5, -27, 18, -10, 10, 14, 8, -32, 44, 37, -3, -25, -21, -29, -5, -4, -37, 35, -59, 145, 51, 30, 40, 182, 64, -19, 8, 4, 5, -44, -51, 334 },
{ 2, -10, -11, 7, 6, 8, 17, -12, -21, 19, -22, -26, 28, -27, 43, -69, 33, -19, 39, -27, 37, -41, -62, -48, 150, -7, 15, -18, -9, 60, 58, 57, 125, 209, 65, -24, -33, 21, -14, -53, -72, 361 },
{ 3, -12, -5, 11, 5, 5, -7, 3, 3, -7, -12, 2, 38, -7, -6, -3, 4, -7, 15, 18, 21, 4, 2, -13, 6, -17, 6, -10, -42, -15, 52, 60, -34, -4, -1, 1, -18, 49, -26, 96, 61, 282 },
{ -1, -6, 2, 2, 8, 7, -10, -2, -2, -2, -8, -7, 39, 2, 4, -11, 16, -5, 22, 5, 14, -15, 32, -7, 3, 11, -5, -6, -50, -9, 56, 59, -42, 28, -5, 32, -8, -10, -22, 29, 75, 392 },
{ -9, 5, -8, 7, 13, 5, -7, 30, -5, 4, -3, -12, 32, -35, -2, 16, -9, -4, 6, 19, 17, 18, -22, -19, -5, -5, 24, -4, -46, -18, 75, 28, 35, 16, 94, -12, -7, 7, -31, -29, 71, 393 },
{ -16, 5, 7, 0, -12, -8, 6, -11, -4, 9, 18, -13, 9, 5, -8, 22, 14, -29, 14, 29, -5, 23, -49, -26, -13, -13, 21, 18, -36, -62, 86, 27, 56, 160, 99, -18, 6, 31, -24, -49, 58, 479 },
{ -1, -3, 3, 1, 1, 6, -7, -4, 2, -3, 2, -13, 8, 2, -2, -3, -1, 5, -6, 20, -13, -9, 23, 3, 13, -4, 7, -15, 19, -37, 28, 57, -6, -5, 11, -5, 10, 2, -8, 13, -20, 35 },
{ 6, -2, -3, 2, 1, 4, -3, -3, 1, -4, 6, -14, 3, -4, 5, -3, 1, 2, -4, 14, 34, -10, -6, 4, 16, -5, 8, -16, 23, -41, 22, 56, 43, -9, 2, -5, -3, 4, -12, 20, -37, 53 },
{ -6, -4, 4, 2, 7, 8, -8, -9, 4, -5, 5, -21, 16, 10, 26, -7, 22, 5, -5, 22, -21, -35, 32, 4, 2, -5, 8, -20, 21, -39, 44, 61, -27, 35, -6, -1, -3, 7, -13, 26, -36, 58 },
{ 0, -10, 19, 2, 21, 2, 2, -15, 4, -4, 5, -10, -5, 25, -8, 1, 1, 8, -9, 20, -5, -42, 51, -4, 4, -5, 5, -21, 26, -38, 121, 75, -24, 16, -4, -3, -2, 8, -13, 29, -48, 77 },
{ 0, -3, -4, 5, -1, 3, 5, -12, -5, -5, 11, -17, -5, 18, 5, -5, 3, 2, -9, 22, 48, -46, 37, -5, 5, -5, 5, -20, 35, -52, 35, 46, 75, -16, 5, -11, 8, 3, -13, 34, -71, 104 },
{ 1, -3, -2, 2, 3, 7, -4, -6, -4, -6, 10, -25, 8, 5, 15, -5, 5, 4, -11, 24, 40, -50, 48, -13, 6, -7, 8, -26, 48, -64, 46, 41, 127, -13, 20, -13, 1, 5, -10, 29, -91, 152 },
{ 25, -6, 2, 3, 51, -20, 29, -20, 8, -49, 6, -12, 4, 34, -11, -13, -4, 9, -9, 15, -17, -65, 100, -14, 38, -3, 5, -16, 25, -30, 69, 144, -62, 20, -8, 1, -4, 11, -14, 20, -46, 95 },
{ 2, 18, -6, 8, -3, -2, 9, -25, 6, -5, 14, -16, -7, 37, -6, -9, -1, 8, -12, 18, 59, -87, 88, 24, 30, -6, 12, -28, 39, -54, 58, 134, -31, -9, 2, -4, -2, 12, -22, 39, -62, 109 },
{ 2, -8, -6, 8, 35, -12, 10, -20, 17, -7, 12, -16, -5, 30, 5, -6, 14, 8, -10, 19, -6, -59, -19, 73, -3, -3, 7, -24, 29, -26, 153, 133, 69, -29, 6, -7, -2, 6, -16, 43, -89, 140 },
{ 3, -4, -8, 7, 25, 2, 10, -19, 29, -5, 12, -19, -16, 17, 19, -11, 9, -11, 55, 14, 10, -54, -29, 53, -4, -4, 4, -13, 25, -35, 126, 120, 152, -21, 43, 2, -6, 31, -7, 20, -94, 194 },
{ 2, -11, 15, -5, 3, 5, 10, -15, -2, -10, 15, -29, 14, -15, 32, -16, 12, 44, -18, 8, 15, -52, -26, -27, 19, -3, -19, 4, 20, -34, 61, 121, 198, 87, -31, -7, 1, -4, 33, -8, -94, 226 },
{ 5, -15, -16, 9, 5, -7, 29, -30, 16, -5, 9, 5, -5, 45, -30, 40, 48, 12, -8, 12, -21, -83, 31, -17, 18, -8, -6, -14, 11, 88, 156, 229, -71, 19, -6, 17, -3, 10, -14, 27, -68, 135 },
{ -2, 5, -7, 11, -1, -7, 11, -30, 7, 31, 9, -3, -13, 54, -13, -20, -9, 12, -28, 21, -11, -93, 87, 49, -15, -5, 12, -15, 35, -24, 160, 234, -50, 53, 8, 25, 18, 6, -32, 42, -83, 161 },
{ 1, 6, -13, 13, 21, -6, 10, -35, 12, -8, 9, -11, -6, 42, 35, -25, 27, 15, -13, 20, -22, -112, 78, 103, -16, -14, 52, -22, 15, 123, 45, 205, 114, -44, 15, -11, 23, 7, -25, 59, -114, 165 },
{ 5, 7, -13, 12, -6, -9, 13, -35, 7, -2, 21, -21, 31, 36, 17, -27, -25, 18, -14, 22, -17, -92, -37, 112, -9, 9, -14, -11, 21, 104, 57, 240, 173, 43, -28, 48, -3, 43, 14, 15, -125, 236 },
{ 99, -34, 67, -8, 7, 4, 7, -51, -5, -18, 16, -33, 18, -13, 43, -21, 11, 11, -17, 21, -8, -43, -88, 81, 101, -16, -18, 7, 25, -32, 79, 178, 112, 131, -45, 6, -6, 14, 39, -29, -100, 269 },
{ -1, 39, -12, 59, -6, 10, -3, -23, -7, -4, 12, -22, 12, 7, 33, -11, 9, -1, -23, 37, -24, -28, -74, 80, 81, 7, -24, -10, 50, -64, 94, 116, 108, 66, -30, -8, 19, -9, 52, -26, -90, 231 },
{ 25, 5, -17, 10, -8, -8, -19, -34, 24, -9, 10, 30, -14, 52, -56, 79, 3, 6, -9, 30, -23, -119, 71, 59, -11, 20, -52, 35, -9, 63, 214, 316, -124, 44, 18, -6, -6, 19, -33, 26, -53, 218 },
{ 6, -12, -11, 14, 13, -8, 15, -48, 21, -3, 6, -50, 31, 58, -46, -12, 9, -7, 39, -34, -23, -95, 58, 80, -13, -10, 21, -37, 28, 42, 184, 332, -24, -53, 17, 3, -7, 17, -47, 75, -93, 206 },
{ -13, 9, -7, 10, 10, -8, 6, -37, 17, -21, -6, 15, 19, 36, 84, -37, 7, 34, -14, -6, 16, -112, 44, 192, -14, 7, -19, -52, 46, -25, 243, 343, 61, -66, 106, -19, 3, 21, -42, 72, -123, 237 },
{ 6, 46, -6, -11, -10, 9, 22, -23, 22, 11, 53, -31, 17, -24, 16, -57, -30, 25, -28, 21, 41, -78, 55, 74, 8, 4, -9, -42, 38, -31, 167, 334, 157, -54, -31, 29, -20, -36, 31, 25, -94, 180 },
{ 2, -8, 4, 2, -4, 12, 4, -8, -2, 5, 9, -33, 13, -6, 10, 9, 7, -21, 17, 31, -13, -26, 14, -27, -5, -9, 17, -12, 87, -75, 128, -49, 45, 193, -3, -7, 5, -27, 14, -14, -71, 259 },
{ 1, -2, -2, -2, -2, 5, -1, 4, 1, -3, 5, -12, -2, -10, 3, -3, 0, 5, -8, 18, 38, 16, -5, 4, -1, -3, 6, -13, 20, -36, 55, -30, 14, -10, 4, -2, 1, -1, -2, -2, 28, 54 },
{ 1, -2, -1, -2, -1, 5, -1, 4, -1, -4, 5, -11, -5, -9, 5, -3, -1, 7, -10, 20, 33, 17, -10, 6, 0, -3, 8, -16, 24, -38, 62, -32, 20, -15, 7, -4, 1, 4, -6, 7, -9, 85 },
{ 2, -3, -2, -2, -1, 6, 8, 18, 0, -4, 5, -12, -7, -5, 4, -4, -2, 6, -10, 20, 15, 12, -9, 6, -1, -3, 9, -17, 24, -38, 47, -21, 14, -10, 4, -3, 7, 2, -8, 10, -13, 33 },
{ 1, -1, -3, -1, -1, 4, 1, 2, 4, -4, 4, -9, -6, -7, 4, -4, -1, 6, -8, 17, 7, 14, -6, 4, 2, -4, 8, -17, 24, -40, 69, -34, 21, -15, 6, -3, -3, 3, -9, 14, -18, 43 },
{ 0, -3, 13, -2, -1, 7, -3, 3, -1, -3, 6, -13, -5, -5, 4, -2, -1, 5, -9, 19, 11, 6, -5, 3, -1, -3, 8, -16, 26, -43, 42, -21, 31, -9, 5, -2, 2, -1, -5, 7, -19, 52 },
{ 1, -2, -3, 1, -1, 5, 10, -1, -1, -4, 9, -15, -4, -3, 5, -2, -2, 7, -13, 23, 4, 30, -7, 12, 13, -2, 6, -17, 30, -44, 60, -9, 32, -13, 4, -2, -1, 2, -9, 18, -31, 42 },
{ 2, -3, -2, -2, 2, 5, -2, 3, 1, -3, 2, -12, -4, -9, 3, -4, 2, 3, -2, 16, 7, 12, 10, 2, 3, -4, 6, -14, 19, -41, 88, -34, 15, -13, 5, -5, 1, 2, -9, 12, -22, 64 },
{ 1, -4, 16, -1, 1, 6, -2, 1, 10, -4, 5, -13, -5, -5, 2, -4, 2, 4, -6, 19, 8, 4, 6, 11, 2, -4, 7, -15, 25, -46, 61, -22, 29, -10, 3, -3, -2, 6, -13, 18, -37, 64 },
{ 2, -5, 15, -5, 0, 7, -2, 16, -1, -3, 4, -13, -4, -3, 3, -2, 30, -5, -2, 16, 13, -6, 26, -4, 2, -4, 8, -14, 26, -49, 26, -14, 33, -10, 3, -9, 1, 2, -10, 19, -47, 79 },
{ 1, -2, -4, 1, -2, 5, 3, -6, 0, -5, 11, -20, 3, -10, 8, -3, 5, -3, -3, 12, 16, -13, -2, -6, 26, -5, 4, -15, 33, -50, 88, 22, 39, -12, 18, -9, 3, -4, 25, 14, -52, 93 },
{ 3, -4, -3, -5, 4, 4, 10, 5, 4, -3, -8, -12, -4, -10, -7, -5, 7, -5, 6, 19, 20, 16, 4, 2, 5, -5, 4, -10, 16, -36, 76, -31, 18, -12, 2, -3, 2, -7, -5, 49, -8, 72 },
{ 2, -4, -4, 13, 2, 6, 28, -9, 18, -3, 5, -20, 5, -9, 4, -6, 5, -2, -2, 23, 22, 8, 2, -2, 3, -4, 15, -6, 17, -55, 25, -34, 63, 23, -8, 2, 34, -4, -2, 39, -32, 100 },
{ 2, -6, 2, -4, -1, 9, -2, -3, 2, -3, 9, -23, 5, -5, 5, -4, 5, -7, 17, 23, 12, -1, 5, -6, 19, -4, 2, -9, 23, -62, 32, -29, 38, -9, 41, -17, 3, -5, 49, 8, -55, 134 },
{ 3, -7, 3, -10, 3, 5, 22, -3, -2, -8, 13, -26, 10, -10, 17, -6, 11, -10, 7, 10, 13, -19, 12, -20, 7, -7, 1, -13, 34, -67, 43, -25, 136, 70, -7, -5, 4, -5, 13, 44, -68, 149 },
{ 2, -17, 3, -1, 1, 36, 6, -8, -6, -11, 21, -32, 13, -10, 22, -8, 13, -6, -13, 13, 12, -23, -15, -21, 10, -3, -6, -15, 58, -85, 73, 89, 208, 72, -13, -2, 4, -9, 18, 33, -98, 182 },
{ 6, -4, -16, -4, 4, 8, -5, 7, 6, -3, -9, -17, 5, -15, -15, -8, 11, -12, 11, 16, 2, 16, 5, 6, 6, -6, 3, -8, -12, -29, 51, -25, -8, -11, 12, -7, 2, 18, -14, 50, 61, 78 },
{ 2, -8, 5, -3, 2, 9, -7, 2, 3, -4, 4, -21, 10, -9, 2, -4, 1, -2, 8, 16, 22, 17, 9, -8, 5, -3, 5, -6, 38, -52, 43, -36, 54, -7, 39, -4, 3, -6, -10, 68, -46, 187 },
{ 2, -6, -3, 3, 18, 7, 3, -7, 2, -4, 7, -22, 17, -8, 2, -5, 6, -12, 12, 16, 12, -14, 11, -8, 2, -3, -17, 9, 58, -68, 54, -33, 95, -6, 58, -9, -6, 9, -10, 58, -55, 220 },
{ 9, -5, -14, 16, -4, 68, 6, -13, -8, 3, 13, -28, 20, -14, 24, 13, 6, -8, 8, 14, 13, -35, -107, -54, 102, -4, -48, -9, 27, -55, 67, 100, 84, 211, -18, -7, 4, -10, 36, -46, -76, 288 },
{ 2, -3, 20, -19, 3, 9, -14, 6, 7, -9, -4, -16, 20, -11, -6, -6, 6, -11, 9, 24, -21, 15, 5, -7, 6, -3, -1, -12, 17, -62, 80, -45, 25, -16, 10, -2, -9, 34, -16, 139, -37, 220 },
{ 1, -4, -4, 1, 8, 3, -4, 37, -3, -3, -12, -5, 61, -4, -1, 1, -2, -7, 12, 17, -6, 15, -2, 3, -4, 8, -2, 11, -42, -40, 62, -10, -22, 48, -6, 32, -10, -12, 46, -31, 49, 294 },
{ -6, -25, 22, 7, 3, 36, -2, 10, -3, 5, -6, -17, 8, -7, -4, 6, -8, 9, -12, 29, -7, 20, -9, -11, -4, -11, 16, -11, 16, -83, 69, -25, 45, 6, 80, -9, 2, -6, -10, -28, 56, 322 },
{ 1, -2, -2, -2, 8, 3, 9, 3, -1, -3, 5, -12, -4, -7, 4, -2, -2, 7, -11, 21, 13, 10, -7, 5, -1, -1, 5, -14, 24, -39, 54, -22, 13, -9, 3, -1, 1, -2, -3, 7, -5, 76 },
{ 1, -2, -1, -2, -2, 7, -2, 3, -3, -4, 7, -14, -2, -4, 23, -1, -1, 6, -12, 22, 23, 28, -6, 3, 0, -3, 7, -16, 26, -39, 59, -5, 16, -6, 10, -2, 0, 2, -4, 5, -7, 25 },
{ 1, -2, -3, 1, -2, 7, -1, -2, 10, -3, 8, -15, -4, -7, 4, -3, -2, 8, -14, 24, 40, 30, -8, 4, 16, -3, 7, -16, 26, -39, 48, -6, 23, -10, 1, -1, -3, 2, -6, 8, -12, 36 },
{ 1, -3, -2, 1, -7, 5, 1, -7, 3, -3, 6, -13, -3, 6, 10, -5, -2, 8, -10, 21, 45, -19, 22, 4, -4, -3, 9, -18, 24, -39, 93, 51, -12, 13, -5, 2, 1, -1, -4, 6, -9, 43 },
{ 1, -4, -2, 2, 3, 7, 1, -6, -2, -3, 8, -17, -5, 7, 6, -3, -6, 7, -12, 25, 28, -14, -10, 25, 1, -4, 10, -22, 31, -43, 88, 45, 52, -8, 1, -7, -3, 4, -10, 17, -27, 38 },
{ 1, -2, -3, 3, -3, 7, 3, -8, 11, -3, 8, -16, -6, 5, 7, -5, -1, 6, -13, 24, 7, -14, -9, 1, 15, -3, 9, -20, 32, -45, 83, 34, 89, -13, 4, -5, -1, 4, -13, 23, -44, 64 },
{ 15, -13, -4, 4, -3, 6, 4, -8, 2, -5, 11, -21, 26, -5, 14, -9, 4, 20, -8, 17, 19, -25, -6, 22, 2, -4, 6, -17, 33, -48, 97, 18, 135, -17, 4, -3, -2, 4, -11, 26, -57, 90 },
{ -2, 4, -2, 4, 26, -5, 7, -18, 6, -5, 8, -13, -8, 23, -5, -4, 17, 10, -14, 23, 28, -45, 57, -4, 4, -1, -4, -11, 23, -39, 54, 93, -45, 18, -11, 3, -2, 5, -7, 11, -26, 60 },
{ -4, 12, -3, 5, 24, -3, 8, -22, 5, -7, 10, -13, -5, 25, 2, -7, -3, 12, -15, 23, 60, -58, 72, 37, 2, -4, 10, -26, 33, -51, 35, 88, -32, 18, -8, 3, -1, 6, -13, 26, -35, 69 },
{ 2, -1, -9, 9, -5, 10, 22, -11, -4, 22, 5, -13, -8, 16, 12, -8, -5, 5, -10, 19, 7, -37, -14, 53, -4, -4, 13, -24, 34, -39, 45, 69, 110, -23, 9, -10, 3, 4, -16, 29, -58, 90 },
{ 2, -7, -8, 6, 14, 1, 10, -15, 17, -4, 13, -21, -6, 9, 16, -9, 3, 5, -11, 24, 12, -41, -9, -6, 38, -42, 52, -16, 30, -43, 46, 60, 151, -21, 46, -3, -1, 4, -10, 23, -64, 122 },
{ 6, -2, -16, 6, 15, -4, 75, -19, 5, -10, 9, -7, -26, 31, -14, -14, 2, 16, -16, 18, 51, -63, 94, -12, 9, -1, -6, -19, 29, -39, 173, 175, -74, 28, -19, 4, 40, -12, 65, 12, -38, 114 },
{ -5, 4, -9, 12, 34, -5, 9, -25, 5, -4, 8, -10, -10, 42, -6, -15, -5, 9, -7, 17, 37, -70, 81, 65, 3, -2, 15, -31, 31, -42, 178, 171, -47, -12, 27, -5, -2, 8, -21, 38, -45, 119 },
{ 3, -10, -13, 8, 25, 7, 14, -17, -4, -4, 8, -25, -10, 28, 17, -20, -5, 4, 49, 16, 12, -62, -16, 97, -8, -5, 18, -35, 33, -29, 141, 146, 105, -34, 10, 3, 1, 51, -23, 49, -86, 148 },
{ 4, 6, -11, 8, -4, -4, 12, -24, 6, -7, 23, -25, -8, 25, 11, -13, -25, 16, -12, 31, 12, -65, -32, 118, -12, 3, 94, -18, 25, -38, 80, 152, 85, -25, -12, 5, -45, 65, -13, 31, -81, 187 },
{ -58, 5, -8, 13, 13, -7, 43, -36, 18, -9, 12, -14, 13, 57, -53, 98, 8, -8, 32, -15, -44, -80, 120, -13, 22, -5, 14, -23, 39, 28, 106, 271, -77, 13, -35, 45, 4, -43, -15, 27, -70, 173 },
{ 1, 9, -18, 10, 41, -6, 20, -32, 19, 3, 5, -14, 14, 26, -14, -30, -8, 5, -11, 27, -13, -82, 70, 68, -9, -6, 14, -17, -25, 39, 142, 272, 33, -32, 20, -8, -8, 13, -24, 42, -61, 125 },
{ -13, 12, -7, 10, 8, -27, 24, -39, 18, 14, -16, 13, -17, 33, 40, -47, -8, 24, -30, 24, -9, -86, 35, 215, -32, -8, 27, -47, 48, -40, 288, 260, 44, -54, 17, 13, -40, 24, -37, 66, -110, 245 },
{ 8, 5, 43, 3, -8, -16, -10, -27, 10, -34, 21, -8, 17, 12, 28, -32, 16, 6, -28, 16, 27, -86, -19, 142, -5, -3, -10, -10, 21, -43, 77, 280, 105, -47, -3, -16, -5, 11, 67, 25, -66, 162 },
{ 2, -2, -3, -2, 10, 3, 4, 3, 19, -3, 4, -9, -12, -8, 4, -3, 12, 5, -7, 15, 18, 13, -7, 6, -1, -3, 4, -11, 15, -24, -20, -21, 14, -10, 3, -1, 25, -3, 3, -8, 16, -20 },
{ 2, -2, -3, -2, 4, 4, 4, 2, 8, -5, 4, -8, -13, -7, 4, -3, -1, 6, -6, 13, 21, 11, -5, 33, 17, -3, 7, -13, 17, -25, -22, -21, 15, -9, 4, -3, 17, -1, -2, -3, 26, -11 },
{ 2, -2, -3, -3, 11, 4, 3, 3, 10, -4, 5, -10, -9, -9, 4, -5, -3, 9, -8, 15, 17, 14, -5, 4, 12, -3, 7, -16, 21, -31, -13, -30, 19, -13, 6, -3, -1, 3, -8, 9, -9, 108 },
{ 2, -3, -3, -1, -1, 5, 4, 1, 9, -2, 6, -11, -12, -6, 9, -2, -1, 5, -9, 16, 19, 8, -4, 3, 0, -3, 6, -13, 21, -29, -21, -14, 26, -9, 11, -1, 7, 1, -5, 6, -7, 89 },
{ 1, -3, -1, -3, 12, 6, -3, 4, 2, -4, 4, -13, -5, -11, 4, -6, -1, 8, -9, 22, 5, 20, -6, 4, 2, -2, 6, -15, 23, -44, 27, -40, 21, -12, 13, -3, 27, -3, -3, 7, -11, 161 },
{ 2, -3, -2, -2, -1, 7, -1, 28, 1, -4, 7, -15, -5, -9, 5, -3, 10, 4, -9, 22, 8, 16, -9, 7, -2, -3, 7, -15, 25, -44, 72, -34, 20, -13, 6, -5, 13, 2, -7, 10, -16, 57 },
{ 2, -4, -5, 1, 12, 6, 6, -6, -2, -4, 7, -15, -8, 3, 4, -3, 2, 5, -10, 19, 16, -6, -3, 18, 24, -3, 7, -21, 33, -49, 23, -12, 134, -14, 34, -2, 2, -3, -3, 15, -30, 49 },
{ 2, -4, -6, -3, 2, 5, 3, 2, 4, -3, 3, -14, -4, -8, -4, -5, 2, 2, -8, 21, 5, 15, -2, 4, 4, -2, 2, -8, 11, -39, 34, -36, 10, -7, 8, -5, 3, -6, 30, -8, 71, 159 },
{ 1, -6, 7, -2, 15, 7, -6, 14, 2, -4, 7, -17, 13, -8, 4, -3, 6, 5, -6, 18, 7, 11, -7, 3, 33, -5, 6, -13, 23, -42, 30, -30, 17, -13, 4, -22, -3, 4, -10, 12, -32, 64 },
{ 1, -7, 4, -3, 2, 7, -3, 0, 1, -5, 8, -20, 18, -4, 1, -3, 4, 22, -8, 24, 6, 27, 7, -5, 31, -2, 7, -11, 22, -52, 20, -31, 32, -7, 4, -19, 2, -2, 33, 17, -29, 68 },
{ 3, -6, -14, -1, 2, 5, 3, -1, -30, -7, 10, -21, 7, -9, 7, -19, 7, 2, -8, 17, 8, -3, 6, -13, 45, -3, 18, -18, 42, -67, 43, -40, 58, 37, -14, 37, 6, -11, 13, 42, -44, 76 },
{ 4, -6, -47, -3, 4, 6, 7, -4, -5, -10, 16, -29, 10, -16, 17, -7, 6, -29, 32, 9, 21, -16, 13, -13, 76, -17, 5, -26, 45, -76, 55, -46, 207, 64, -18, 7, 7, -16, 27, -8, -62, 103 },
{ 2, -14, -3, -2, 3, 4, 8, 5, 6, -4, -5, -12, -3, -10, -12, -8, 5, 6, -7, 19, 2, 20, -10, 7, 5, -5, 3, -13, 7, -30, 30, -28, 12, -10, 4, -5, 2, 22, -9, 44, 49, 159 },
{ 2, -5, 4, -4, -1, 9, -6, 7, -2, -2, 6, -22, 9, -13, 7, -5, 8, -8, 18, 25, -10, 16, -3, 4, 3, -5, -2, -5, 17, -57, 46, -51, 14, -7, 51, -5, 3, -2, -5, 61, -36, 115 },
{ -14, -6, 5, -1, -1, 6, 19, -5, 4, -3, 12, -27, 10, -6, 40, -7, 6, -7, -5, 23, -2, 4, 5, 13, 2, -8, 6, -11, 32, -75, 58, -61, 26, -16, 91, -9, 5, 7, -3, 67, -50, 157 },
{ 7, -9, 6, -3, -6, 8, 13, -21, 16, 8, 8, -27, 13, -16, 13, -9, 9, -17, 10, 21, 24, -13, 8, -11, -6, -7, 11, -9, 28, -98, 101, -42, 32, 196, 27, -12, 6, -6, 8, -16, -54, 210 },
{ 4, -4, -13, 2, 4, 78, 23, -38, -9, -95, 12, -24, 18, -12, 18, 9, 1, -9, 71, 6, 141, -11, -14, -39, 30, -146, 13, -10, 51, -107, 106, -37, 68, 91, 87, -12, 10, -16, 32, -21, -85, 220 },
{ -6, -7, 2, -2, 18, 6, -10, 28, 6, 1, -3, -12, 13, -5, -6, -19, 2, -17, 10, 18, -20, 14, 3, 4, 2, -2, 5, -12, 8, -41, 55, -37, 23, -12, 10, 1, 15, -7, -16, 91, 28, 217 },
{ -8, -16, 49, 1, 1, 46, 46, -3, -6, -4, -1, -10, 85, 3, 23, -18, -3, -16, 11, 15, -9, 19, 3, -3, 4, 1, 6, -2, -11, -54, 69, -34, 41, -6, 45, -3, -10, 3, -14, 68, -44, 266 },
{ 1, -10, 6, -2, 8, -4, -2, 5, 2, 11, -12, -9, 11, -3, 2, 3, 25, -9, -21, 29, -8, 10, 7, -4, -9, -8, 24, -12, 41, -76, 78, -44, 11, 33, 109, -8, -5, 12, -27, 96, -52, 322 },
{ -6, 8, 3, -5, -9, 14, -16, 22, -15, 9, -3, -23, 21, -43, 39, -7, 8, -14, 6, 22, 11, 26, -20, -14, -8, -5, -10, 27, -78, -100, 79, -12, 80, 43, 96, -12, 18, 3, -6, -49, 143, 324 },
{ 2, -1, -4, -1, -3, 4, 5, 24, 9, -2, 6, -10, -12, -5, 3, -2, -2, 7, -11, 17, 18, 12, -10, 5, -1, -2, 6, -13, 20, -26, -20, -18, 15, -9, 4, -1, -1, 22, -3, -5, 27, -12 },
{ 2, -3, -4, 2, -2, 5, 5, 10, 0, -3, 7, -10, -13, -5, 3, -2, -2, 7, -11, 16, 20, 16, -4, 2, -1, -4, 6, -13, 19, -24, -21, -7, 22, -5, 25, -1, 9, 8, -2, -3, 22, -10 },
{ 1, -4, -4, 2, -2, 6, 4, -4, 0, -3, 8, -12, -11, 4, -2, 1, -1, 7, -12, 17, 19, -9, 35, -3, 1, -5, 8, -16, 24, -32, -14, 83, -5, 25, -2, -2, 2, 17, 2, -6, 56, 68 },
{ 1, -5, -4, 3, 5, 4, 7, -6, -1, -4, 4, -10, -12, 4, 4, -3, -3, 11, -11, 15, 19, -5, -9, 3, 7, -3, 8, -19, 26, -28, -18, 30, 84, -8, 3, -3, 1, 5, -3, 5, -9, 97 },
{ 11, -5, -3, 1, -3, 5, 6, -3, -3, -4, 8, -13, -11, 5, 4, -1, 5, 6, -12, 20, 15, -7, -8, 2, 7, -1, 6, -16, 25, -32, -13, 23, 93, -7, -2, 1, 1, -4, -4, 10, -13, 44 },
{ 2, -2, -4, 2, -4, 5, 8, -11, 3, -5, 8, -15, -8, 16, -5, -5, 13, 9, -11, 18, 9, -27, 33, 4, -2, -5, 9, -17, 24, -33, 93, 77, -14, 4, -2, 1, 2, -2, -6, 5, -6, 41 },
{ 2, -1, -9, 7, -3, 7, 6, -8, -6, -5, 9, -16, -5, 9, 14, -6, -2, 10, -16, 22, 9, -22, -14, 79, -14, -2, 12, -23, 33, -40, 42, 31, 97, -15, 5, -3, -3, 6, -17, 24, -35, 46 },
{ 3, -3, -7, 6, -2, 4, 8, -12, 31, -5, 14, -16, -11, 17, -6, 4, -2, 8, -20, 22, 17, -29, 42, -13, 45, -3, 4, -21, 45, -60, 30, 76, 166, -13, 12, -4, 2, -2, -3, 21, -53, 78 },
{ 4, -2, -8, 7, 3, -5, 18, -21, 64, -13, 18, -20, -8, 10, 13, -13, 8, 7, -16, 24, 8, -10, -23, 34, 60, 5, -8, -25, 54, -83, 74, -33, 60, -33, 86, -12, -10, -6, 15, 13, -68, 119 },
{ -12, 2, -13, 9, -1, -6, 48, -20, 4, -4, 7, -9, 4, 27, -8, -6, 10, 7, -7, 8, -14, -44, 69, 48, 2, -3, 5, -13, 16, 93, 178, 107, -44, 12, -13, 3, -1, 2, -7, 10, -29, 47 },
{ 4, -2, -7, 7, -4, -1, 12, -15, -4, -9, 12, -17, -9, 25, 6, -14, -7, 99, -9, 14, 19, -56, 84, 92, -10, -4, 13, -20, 30, -43, 40, 103, -23, -6, 7, 13, -2, 6, -17, 23, -33, 80 },
{ -27, 7, -5, 5, -13, 12, 6, -19, 48, -6, 7, -16, -2, 24, 11, -10, -9, 16, -18, 23, 18, -55, -19, 123, -2, 8, 10, -35, 47, -61, 65, 74, 171, -22, 19, -16, 38, -9, -7, 36, -63, 94 },
{ -9, 9, 6, 14, -8, -15, 24, -20, -13, -6, 26, -21, 16, 31, 23, -8, 27, 13, -24, -20, 27, -41, -40, 90, 4, -9, -18, 8, 32, -69, 89, 44, 292, 93, -22, -27, -81, 8, 27, 43, -67, 111 },
{ -66, 11, -12, 5, 9, 69, -38, -30, 13, -22, -22, -11, 16, 56, -39, 97, 30, 19, 23, -11, -53, -49, 72, -14, 58, -7, -17, -34, 41, 29, 104, 176, -74, 27, -23, 14, -6, 17, -20, 39, -79, 161 },
{ 5, 9, -32, 13, -5, 6, 10, -27, 11, -9, 24, -26, 40, 41, -18, -25, -7, -20, -7, 31, -25, -67, 81, 63, -19, 4, 9, -17, -19, 7, 59, 239, -49, 59, 15, 5, -9, 5, -27, 25, -34, 95 },
{ 9, 5, -18, 20, 28, -13, 18, -43, 9, -17, 9, 29, -6, 46, 13, -29, -60, 14, -20, 16, 78, -112, 208, 41, -24, -120, 18, -29, 50, -76, 123, 206, 42, -40, 30, -4, -3, 137, -34, 47, -63, 104 },
{ -26, 3, 100, -3, 24, -107, -43, -6, -9, 10, 146, -6, 24, 24, 33, -24, -42, 13, -47, 10, 43, -75, -29, 80, -10, 75, 73, -14, -171, -29, 58, 157, 312, -46, -9, 15, -2, -12, 7, 40, -63, 137 },
{ 2, -2, -4, -1, -1, 4, 6, 34, 8, -3, 3, -6, -16, -5, 3, -2, 8, 3, -5, 10, 26, 9, -5, 4, -1, -2, 4, -8, 12, -16, -30, -15, 10, -7, 3, -1, 2, -4, 5, -14, 24, -29 },
{ 2, -2, -4, -1, -1, 4, 5, 1, 19, -2, 5, -8, -15, -4, 2, -2, -1, 5, -8, 11, 25, 7, -4, 3, -1, -2, 5, -9, 11, -15, -31, -8, 22, -4, 2, -2, 2, -4, 5, -11, 22, -28 },
{ 2, 1, -4, -2, -2, 3, 5, 2, 25, -4, 5, -7, -14, -6, 3, -5, -1, 6, -6, 11, 23, 10, -5, 5, -1, -3, 7, -14, 17, -23, -22, -21, 16, -13, 6, -2, 7, -2, -2, 23, 28, -10 },
{ 2, -2, -4, -1, -1, 5, 4, 3, -3, -3, 5, -9, -12, -6, 4, -2, -1, 6, -9, 14, 22, 9, -6, 4, -1, -2, 6, -12, 16, -20, -25, -14, 10, -6, 11, -1, 20, -4, 9, -4, 30, -10 },
{ 1, -9, -2, -2, 12, 4, 2, 3, 1, -4, 4, -10, -8, -9, 3, -3, -1, 6, -7, 16, 15, 14, -5, 5, 1, -3, 5, -11, 17, -30, -11, -27, 15, -10, 4, -2, 38, -5, 21, -5, 69, 89 },
{ 1, -3, -2, -1, -2, 6, 6, 3, -1, -3, 6, -11, -8, -7, 3, -2, 12, 5, -11, 18, 16, 11, -5, 2, 20, -3, 6, -13, 22, -30, -13, -24, 14, -8, 2, -2, 1, -2, -3, 12, -5, 36 },
{ 1, -2, -2, 20, -2, 5, 5, -4, -1, -5, 6, -10, -9, 5, 3, -3, 5, 3, -10, 16, 15, 29, -4, 3, -3, -7, 4, -14, 26, -31, -10, -8, 132, -7, 22, 1, 1, -1, -8, 46, -9, 43 },
{ -1, -5, 4, -14, 8, 4, -1, 3, 10, -2, 2, -10, -5, -11, 3, -3, 1, 4, -7, 20, 7, 17, -4, 2, 2, -4, 5, -10, 17, -36, 26, -33, 13, -8, 4, -3, 3, -7, 32, -8, 72, 161 },
{ 1, -2, -1, -4, 1, 4, 16, 3, -2, -2, 5, -10, -7, -4, 4, -6, 24, 2, -6, 18, 7, 13, -4, 3, 28, -3, 4, -11, 23, -38, 65, -29, 13, -6, 2, -2, 1, -5, 17, 26, -15, 62 },
{ 2, -5, 2, 1, 1, 4, 27, -3, 2, -6, 8, -14, 3, -9, 5, -4, 5, -2, -3, 14, 9, 10, -6, 3, 10, -3, -2, -8, 20, -36, 29, -31, 17, -11, 2, -10, 3, -5, 15, 5, -16, 30 },
{ 2, -3, -5, 5, 3, 4, 4, -5, 2, -7, 12, -18, 11, -3, 2, -4, 3, 3, -7, 14, 12, -5, 3, -6, 71, -6, 8, -18, 33, -48, 21, -27, 166, -5, -5, 12, 56, -9, 8, 4, -23, 44 },
{ 2, -9, 4, -71, 9, -3, 23, -8, 6, -6, 9, -18, 6, -6, 8, -141, 7, -2, 27, 15, 22, -16, 7, -8, 61, -4, -65, -14, 37, -57, 53, -43, 194, 77, -13, 4, 4, -11, 18, -7, -31, 45 },
{ -5, -15, 2, -2, 4, 3, -1, 20, 4, -3, 2, -14, 3, -9, 1, -5, 1, 7, -6, 21, -3, 18, -5, 2, 4, -4, 2, -11, 13, -36, 13, -32, 14, -7, 8, -3, 3, -8, 48, -6, 54, 156 },
{ 0, -7, 2, -1, 3, 24, 13, -3, 3, -4, 6, -17, 6, -7, 2, -3, 5, -3, -6, 23, -5, 13, -7, 3, 23, -4, 5, -13, 25, -54, 38, -47, 18, -8, 10, -3, 3, -6, 44, 4, -30, 70 },
{ 2, -6, -1, 11, 4, 2, 24, -2, 2, -7, 11, -19, 8, -11, 6, -4, 8, -5, 19, 17, -17, 7, 23, -1, 3, -7, -1, -12, 31, -63, 49, -52, 26, -15, 52, -7, 2, 17, 2, 97, -31, 82 },
{ 3, -9, 7, -5, 4, -1, 7, -11, 22, -8, 13, -24, 11, -13, 11, -5, 12, -8, 17, 16, 5, -11, 4, -11, 6, -4, -3, -10, 32, -71, 62, -38, 167, 125, -11, -3, 17, -6, 19, -15, -27, 94 },
{ -2, -5, 6, -2, 1, 5, -14, 5, 2, -20, 5, -15, 20, -13, 42, -23, -4, 6, -8, 24, -24, 16, 4, 2, 13, 2, 5, -9, 3, -34, 41, -31, 13, -4, 2, 2, 9, -8, -8, 66, 21, 213 },
{ -1, -5, 6, -2, 3, 9, -11, -3, 4, -31, 13, -20, 14, 91, -5, -64, -1, 23, -50, 31, -18, 10, 7, -8, 8, -5, 9, -6, 8, -73, 86, -46, 107, -21, 74, -4, -4, 4, -12, 12, -42, 172 },
{ -11, -9, 7, 1, -10, 4, 24, -4, 4, 29, -13, -9, 42, -6, -83, 22, 3, -7, 7, 13, -3, 73, 8, -23, -3, -7, 9, -4, 19, -85, 76, -37, 23, 38, 101, -8, 4, -4, 69, -19, -33, 219 },
{ 1, -1, -4, -1, -2, 3, 6, 8, 0, -2, 4, -7, -16, -5, 2, -2, 0, 3, -6, 9, 29, 21, -1, 13, 1, -2, 4, -7, 10, -14, -34, -8, 18, -3, 3, -1, 2, -4, 5, -15, 27, -32 },
{ 2, -2, -5, 1, -3, 6, 6, -1, -2, -3, 7, -9, -14, -2, 3, 12, -3, 8, -12, 14, 23, 18, -9, 3, -3, -5, 7, -11, 15, -16, -31, 68, 21, -5, 1, 12, 2, -2, 21, -8, 16, -23 },
{ 1, -3, -3, 2, -4, 5, 4, -3, 5, -2, 7, -10, -11, -2, 4, -3, -4, 7, -10, 14, 21, 47, -8, 3, -2, -1, 7, -14, 17, -18, -27, 50, 26, -7, 14, 24, 1, -4, 6, -5, 34, -9 },
{ 1, -2, -5, 4, -33, 6, 6, -7, 1, -5, 6, -11, -13, 9, -3, 2, -2, 9, -11, 17, 21, -11, -4, 43, -4, -2, 7, -15, 21, -27, -19, 63, -12, 9, -6, 2, 1, -6, 4, -8, 74, 35 },
{ 2, -3, -5, 3, -3, 5, 4, -6, -4, -4, 10, -13, -11, 11, 4, -1, -2, 10, -15, 20, 16, -16, -9, 45, -4, -3, 8, -18, 26, -38, 85, 19, 94, -9, 4, -3, 1, 1, -5, 6, -6, 46 },
{ 2, -3, -36, 3, 27, 2, 5, -9, 4, -5, 9, -10, -11, 8, 5, -5, -7, 10, -15, 19, 12, -8, -6, -3, 1, 29, 4, -21, 36, -45, 28, 88, 166, -15, 62, -3, -2, 5, -7, 10, -24, 43 },
{ 3, 2, -13, 5, -50, 10, 46, -9, 21, -9, 17, -17, -11, 4, 5, -54, 1, 9, -21, 24, -39, 18, -6, -9, 76, -3, 6, -13, 41, -61, 53, -34, 206, 87, -8, 5, -33, -5, 7, -80, -43, 59 },
{ -7, 25, -8, 5, 1, -4, 9, -15, 3, -6, 3, -37, -10, 24, -6, -4, -2, 16, -17, 14, 9, -37, 13, -4, -5, -9, 6, -15, 28, -34, 50, 101, -30, 15, -6, 6, 44, -4, -4, -9, 16, 25 },
{ 3, -3, -11, 7, 34, 2, 16, -17, 43, -6, 4, -10, -21, 28, -17, -8, -5, 9, -15, 23, 18, -40, 37, 61, -20, -4, 5, -14, 25, -45, 141, 65, -34, 11, 31, -3, 2, 9, 1, -9, 48, 37 },
{ 3, -39, -9, 5, -1, 4, 12, -16, 55, -6, 10, -15, -14, 26, -11, 3, -4, 8, -10, 19, 15, -37, 46, -10, 3, -6, 14, -24, 26, -38, 60, 55, 144, -15, 3, -7, 3, 31, -8, 20, -23, 41 },
{ 15, -3, -3, 3, -3, 9, 14, -8, -6, -8, 9, -13, -75, 18, 16, -6, 51, 9, -22, 23, 24, -38, -15, 107, 3, -13, 11, -26, 47, -56, 55, 130, 240, -25, 7, -5, 17, 5, -13, 28, -51, 72 },
{ 15, -2, -143, -9, 32, 36, 19, -15, -6, -8, 15, -28, 10, 21, 27, -12, -21, 11, -44, 55, -49, 17, -45, 103, -8, 12, -39, -7, 60, -86, 123, -40, 132, 118, -14, 8, 45, -18, 19, -23, -67, 91 },
{ 5, -37, -3, 11, 8, 5, -3, -31, 8, -11, -12, -11, 14, 58, -25, 55, 23, 16, -13, 16, -65, -81, 40, -36, 37, -4, -17, -9, 29, 30, 122, 146, -26, 22, -11, 31, -7, 5, -16, 10, -42, 102 },
{ 4, -14, -5, 10, 13, -12, 21, -21, 10, -15, -3, -10, -14, 32, -29, -14, 6, 26, -16, 19, 22, -44, 77, 78, 3, -5, -4, -16, 10, -25, 51, 151, -35, 37, -9, 14, -26, 6, -6, 23, -17, 55 },
{ -12, -9, 32, 7, 30, -5, 9, -24, 23, -5, 6, -13, -11, 38, 71, -23, -15, 20, -39, 102, -18, -59, 144, 122, -20, -6, 7, -16, 30, -27, 50, 112, 71, -21, 18, -4, 3, 5, -19, 22, -30, 28 },
{ -2, 11, -14, 13, -54, 63, -199, -30, 94, 63, -8, 28, -94, 30, 35, -27, -13, 6, -20, 11, -22, -64, -25, 56, 150, 13, 20, -26, 16, -39, 107, 91, 79, -59, -79, 7, -86, -14, 37, 44, -51, 57 },
{ 2, 0, -5, -1, -1, 2, 6, 2, -1, -1, 2, -3, -17, -2, 2, -2, -1, 2, -4, 5, 29, 4, -3, 8, 10, 0, 1, -2, 4, -6, -33, -5, 4, -2, 1, -1, 2, -5, 7, -18, 31, -35 },
{ 1, 14, -4, -1, -1, 2, 4, 2, -1, -2, 2, -2, -15, -2, 2, -2, 0, 2, -4, 5, 26, 4, -3, 2, -1, -1, 2, -4, 6, -7, -29, -7, 5, -3, 9, -1, 2, -5, 7, -16, 28, -33 },
{ 2, -1, -4, 0, -1, 2, 7, 3, -1, -1, 8, -3, -17, -2, 4, -1, -1, 2, -3, 4, 29, 3, -1, 28, -1, -1, 2, -4, 5, -7, -33, -4, 17, -4, 1, -1, 2, -4, 7, -18, 32, -36 },
{ 2, -1, -5, 1, -2, 2, 7, -1, -1, -2, 2, -3, -17, -1, 2, -1, -2, 3, -4, 5, 29, 9, -3, 22, 0, -2, 3, -5, 6, -6, -34, 53, 45, -4, 33, -1, 2, -4, 6, -16, 27, -31 },
{ 34, 1, -4, 17, -1, 2, 3, 3, -4, -2, 3, -4, -11, -4, 2, -3, -2, 4, -5, 8, 18, 7, -4, 3, 16, -2, 4, -8, 9, -12, -19, -11, 7, -6, 2, -1, 38, -6, 4, -10, 20, -22 },
{ 26, -2, -2, -2, -2, 3, 4, 5, 1, -2, 9, -3, -13, -1, -2, 3, -2, 3, -3, 6, 22, 4, -2, 1, 5, -1, 27, -8, 5, -9, -24, -8, 25, -2, 24, -3, 26, -3, 4, -11, 18, -19 },
{ -1, -1, -3, 1, 3, 3, 2, 2, -1, -4, 5, -7, -8, -3, 1, -2, -2, 8, -10, 12, 16, 4, -3, 60, 0, -3, 4, -10, 14, -20, -11, -11, 95, -3, 1, -2, 38, -3, 34, -6, 57, 97 },
{ 1, -2, 12, -5, 0, 5, -1, 3, 1, -4, 6, -10, -2, -9, 4, -4, 1, 5, -8, 15, 6, 13, -4, 3, 2, -3, 4, -10, 14, -25, 13, -25, 11, -6, 21, -2, 3, -7, 54, -7, 71, 142 },
{ 1, -2, -4, 2, 33, 3, 5, -7, 29, -2, 4, -10, -8, 54, 1, -5, 1, 9, -7, 10, 14, 3, -14, 3, -1, -3, 5, -5, 11, -24, -3, -15, 105, -6, 47, -3, 4, -3, 39, -5, 65, 140 },
{ 2, -3, -3, 26, -5, 6, 5, -3, -5, -3, 5, -12, 13, 20, -5, -4, 2, 3, -7, 11, 8, -5, 5, -5, 42, -3, 3, -14, 22, -27, 82, -16, 108, 53, -7, 3, 2, -5, 4, 5, -12, 20 },
{ 15, -3, -4, 16, -4, 13, -7, 18, -5, -9, 12, -14, -2, 39, 27, -6, -1, 3, -50, 12, 11, -18, 3, -1, -3, -8, 6, -23, 32, -55, 39, -39, 91, -4, -7, 60, 13, -14, 5, 6, -15, 29 },
{ 2, -6, 17, -8, -1, 6, -5, 6, 3, -3, 6, -14, 4, -10, 11, -2, 2, 4, -9, 19, -3, 18, -5, 3, 2, -4, 3, -9, 15, -30, 11, -30, 11, -5, 16, -2, 3, -5, 3, -10, 73, 197 },
{ 7, -7, -2, 21, 2, 38, 2, 3, -21, -3, 5, -13, 9, -6, 5, -4, -2, 5, -6, 16, 4, 10, -8, 5, 1, -3, 6, -10, 17, -34, 15, -28, 17, -11, 95, -5, -5, 4, -8, 11, -16, 45 },
{ 9, -4, 2, 8, -30, 8, -4, 5, 5, -4, 3, -12, 7, -7, 4, -7, 4, -5, 59, 9, 16, 7, -10, 14, 1, -5, 61, -12, 18, -32, 19, -20, 65, 95, -5, 1, 3, -2, 2, 28, -11, 221 },
{ 32, -3, 3, 1, -1, 3, 3, -3, -4, 4, 6, -13, 6, -24, 4, -4, 13, -22, -10, 16, -8, 8, -3, -3, -4, 3, -6, 5, 28, -59, 46, -31, 217, 171, -8, 65, -1, -6, 5, -8, -27, 75 },
{ 15, 8, -31, 35, -27, 12, -258, 123, -16, 26, 7, -9, 18, -13, 7, 7, -6, -8, -21, 28, -11, -118, -2, -22, 60, -6, 11, -15, 47, -66, 70, -46, 40, 200, 167, -7, 3, -11, 27, 27, -42, 98 },
{ 14, -3, 14, -5, -4, 7, -9, 8, -2, 2, 10, -11, 7, -7, 18, -7, -4, 6, -7, 18, -10, 14, -7, 8, -2, 2, 4, -8, 15, -36, 30, -32, 13, -8, 4, -4, 1, -6, -12, 97, -17, 129 },
{ 2, -6, 5, -4, -13, 10, -5, 37, 5, 3, -4, -11, -30, 114, -1, -6, 3, -7, -68, 17, 9, -4, 6, -5, 4, -6, 9, -14, 26, -55, 45, -30, 5, -7, 77, -4, 3, 46, -12, 171, -46, 139 },
{ 2, -9, -1, 4, 8, 36, 6, -9, 2, -11, -6, -11, 16, -9, 37, -68, 6, -11, 15, 8, -11, 9, 10, -10, 2, -5, -5, 9, 11, -51, 59, -51, 15, 121, 85, -8, -2, 6, -7, 22, -42, 128 },
{ -7, 15, -3, -11, 16, -4, 10, -90, 106, 3, -12, -16, -6, 12, -27, 138, 5, -18, 12, -21, 22, 48, -6, -4, -14, 36, -64, 8, 26, -91, 96, -49, 127, 73, 155, -11, 9, -12, 20, -42, 171, 138 },
{ 3, -1, -6, 0, 0, 2, 9, -1, 0, -2, 3, -5, -18, -2, 13, 11, -2, 3, -4, 6, 30, 3, -3, 2, -1, 2, 1, -4, 5, -6, -35, -3, 16, -4, 1, -1, 2, -5, 8, -19, 33, -37 },
{ 3, -1, -6, 1, -1, 3, 7, 0, -2, -3, 4, -5, -18, -2, 2, 24, -8, 3, -5, 7, 30, 26, -4, -1, 16, -3, 3, -4, 5, -7, -34, 59, 51, -2, -2, -2, 3, -5, 9, -18, 31, -34 },
{ -2, -2, 2, 1, -1, 2, 66, 10, -7, -3, 6, -8, -8, -3, 4, -3, -1, 4, -7, 11, 14, 4, -7, 4, -1, -5, 4, -8, 12, -11, -22, 23, 96, -3, 19, -3, 17, -4, 2, -5, 12, -14 },
{ 14, 0, -6, 3, -1, 3, 8, -4, -1, -7, 4, -6, -15, 3, 2, -3, -1, 4, -6, 8, 26, -6, 38, 12, -4, -2, 5, -7, 7, -12, -27, 163, -7, 4, -3, 2, 2, -5, 6, -13, 24, -21 },
{ 2, -1, -4, -25, -3, 4, 6, 21, -3, -5, 6, -9, -13, -46, 3, -4, -4, 7, -9, 12, 21, 29, -7, 73, -8, -2, 8, -13, 16, -17, -24, 132, 72, -7, 3, -2, 0, 31, -8, 2, 29, 17 },
{ 1, -2, -6, 3, -3, 7, 7, -3, -3, 3, 2, -12, -9, 1, 3, -2, -4, 3, -4, 13, 17, 29, -8, 26, -5, -4, 8, -12, 15, -26, -11, 67, 136, -9, 3, 2, 25, -4, -7, 3, 83, 12 },
{ 2, -6, -6, 3, 75, 5, 6, -6, -4, -5, 2, -8, -9, 6, 7, -6, -6, 8, -4, 8, 17, -16, -8, 99, -6, -5, 7, -17, 18, -27, 12, 29, 81, -4, -7, 27, 28, 51, -6, 8, 77, 27 },
{ -12, 59, -9, 2, -5, 7, -3, 84, -9, -4, 13, -11, -10, 7, 12, -6, 39, 7, -15, 21, 54, -11, -16, 144, 33, -4, 9, -21, 27, -36, 26, 80, 80, -16, 4, 12, -5, 3, -8, 15, -20, 28 },
{ -13, 100, -13, 10, -142, -14, 13, -25, 19, -12, 21, -9, -60, 19, 12, 3, 44, 19, -38, 31, -24, -13, -38, 233, -9, -142, 5, -23, 65, -64, 117, -32, 83, -24, 1, 126, 5, -10, 10, -11, -59, 82 },
{ -3, 5, -6, 8, -7, 19, 30, -8, -1, -116, 5, -3, -16, 15, 7, -7, -3, 5, -7, 20, 14, -42, 133, 39, -13, 4, 20, -8, 19, -14, 25, 91, -35, 19, -9, 9, -3, 1, -31, -8, -6, 26 },
{ 2, 3, -9, 4, 6, -10, 17, -13, 1, -8, 8, 15, -18, 24, -9, -6, -3, 5, -10, -40, 28, -40, 147, 84, 12, -5, 3, -2, 13, -20, -5, 94, -35, 10, -6, 9, -12, 15, -9, -8, 24, 25 },
{ -18, 6, -12, 4, 2, 39, -47, -14, 30, -14, 4, -45, 3, 17, 6, -3, 6, 5, -15, 3, -6, -31, -17, 123, -2, -7, 8, -10, 20, -27, 31, 75, 131, -16, 8, 18, 18, 5, -26, 23, -7, 122 },
{ 28, -16, -22, 17, -10, 13, 12, -18, 5, 13, -14, -31, -7, 11, 14, -16, -104, 275, -12, 14, -23, -16, -47, 285, -12, -20, 10, -20, 26, -35, 43, 190, 82, -50, 24, 11, 6, -4, -10, 115, 36, 175 }
 },
{ 
{ -102, -26, 32, -15, -18, 31, 55, 24, -2, -37, 15, 26, 47, 31, 22, -12, -10, 23, 31, 35, 54, 29, 39, 25, 9, -32, 23, 28, 34, 58, 100, 61, 42, 31, 35, -14, -91, 45, 52, 44, 60, 99 },
{ -71, -28, 26, -28, -17, 24, 48, 23, -8, -38, 15, 9, 40, 21, 17, -21, -13, 16, 30, 33, 42, 30, 41, 22, 12, -40, 25, 28, 36, 51, 93, 65, 43, 35, 25, 18, -45, 57, 50, 49, 61, 103 },
{ -50, -14, 38, -29, 3, -10, 19, 3, 8, -33, 10, 14, 26, 16, 17, 30, -20, 6, 23, -16, 37, 38, 29, 42, 70, -46, 9, 8, 34, 54, 88, 83, 51, 37, 34, 59, -38, 40, 12, 41, 57, 106 },
{ -24, -27, 59, -41, 12, 12, 25, 17, -15, -34, 9, 5, 32, -9, 16, -29, 22, -21, 20, 13, 32, 15, 12, 16, 31, -19, 17, 17, 19, 32, 77, 50, 40, 38, 34, 72, 102, 21, 38, 47, 63, 95 },
{ 10, -13, -16, -17, 13, 10, 20, 30, -42, -19, -4, -6, 9, -27, 54, -135, -15, 13, 23, 7, 34, 17, -40, 27, 59, -5, 9, -8, -13, -29, 49, 97, 205, 144, 53, 36, -72, 18, -38, -37, 88, 273 },
{ 71, -89, 143, -35, -43, 79, -33, 35, 28, 47, -69, 58, 16, -41, 31, -9, 81, -102, 88, -67, 60, 50, -54, -26, 43, 69, 21, -47, 32, 29, -23, 85, 4, 49, 40, 22, 237, -10, 47, 47, -20, 87 },
{ 8, -31, 31, -20, 5, 6, -41, 33, -87, 15, 22, 31, 19, 25, -111, 68, 19, -8, -24, -23, 64, -38, 299, 120, -192, -7, -22, -58, 39, 20, 87, 359, 77, -121, 88, -21, -8, 9, 41, 41, 42, 99 },
{ 8, -34, 40, -43, 40, 62, -20, 24, 38, -26, -9, -69, 12, -34, 38, -79, 28, 24, 5, 21, 39, 30, -89, -33, 127, -11, -45, 36, -17, 42, 67, 69, 233, 146, 51, -66, 31, -24, 47, -111, 77, 322 },
{ -84, -16, 27, -10, -18, 10, 33, 15, 32, -34, 22, -7, 35, 21, 30, 36, -15, -12, 25, 29, 46, 34, 38, 38, 44, -31, 21, 18, 34, 61, 90, 80, 47, 29, 25, 24, -80, 18, 33, 33, 57, 106 },
{ 6, -8, -8, -17, 16, 17, -16, 22, 9, -25, -3, -13, -17, 9, 33, -69, 25, -11, 29, 20, -12, 39, -41, 47, -107, -28, 15, -15, -23, -39, 27, 47, 112, 137, 39, 105, -52, -14, -44, 44, 117, 373 },
{ -57, -13, 20, -14, -12, 8, 30, 7, -10, -34, -8, -3, 16, 10, 7, -30, -11, -9, 32, 27, 69, 32, 39, -8, 6, -19, -6, 10, 33, 96, 169, 105, 39, 15, 11, -17, -58, 31, 36, 20, 74, 172 },
{ -39, -27, 25, -32, -10, 8, 33, 16, -16, -32, 12, -24, 17, -13, 13, -42, -25, -13, 29, 27, 53, 35, 36, 20, -7, -30, 9, 5, 29, 93, 172, 102, 41, 14, 14, -15, -50, 35, 38, 26, 72, 188 },
{ -51, 15, 45, -69, -15, -5, 13, 23, -33, -6, -11, -16, 18, -19, 30, -37, -19, -5, 16, -15, 54, 53, 62, 31, 21, -28, -6, -20, 23, 71, 162, 135, 76, 17, 37, -16, -61, 29, 20, 17, 70, 186 },
{ -36, -18, 21, -30, -12, 21, 25, 18, -18, -41, -6, -16, 23, -16, -14, -33, -21, 14, 37, -21, 42, 30, 32, 22, -12, -47, 17, -19, 42, 84, 163, 95, 50, 19, 24, -19, -46, 45, 31, 37, 84, 216 },
{ -36, 28, 17, -51, -14, -5, 21, 23, -52, -26, 17, -25, 20, -26, 28, -52, -23, 6, 7, -23, 34, 36, 53, 38, 11, -39, 7, -23, 17, 60, 153, 129, 85, 42, 16, 39, -70, 29, 19, 20, 77, 209 },
{ -20, -29, 17, -32, -9, 31, 24, 26, -12, -41, -8, -23, 20, -19, 8, -59, -12, 18, 34, -23, 47, -26, 27, 24, -20, -63, 28, -39, 34, 69, 118, 74, 47, 39, 11, 13, -43, 47, 28, 39, 118, 273 },
{ -31, 39, -14, -25, -11, -8, 32, 24, -62, -27, 7, -12, 10, 14, 25, -60, -19, 5, 13, -14, 30, -39, 21, 13, 11, -58, 23, -13, -22, 28, 117, 117, 111, 83, 38, 61, -62, 15, 11, 33, 102, 255 },
{ -23, 35, -13, -29, -10, 19, 23, 19, -64, -14, -14, -16, 11, 31, -22, -81, -7, 4, 25, -14, 33, -23, 45, 81, 63, -18, -10, 9, -25, 9, 98, 142, 161, 99, 67, -39, -54, 28, -20, -25, 71, 218 },
{ 9, -29, -24, -29, 37, 13, 24, 9, 16, -61, -19, -26, 20, 15, -16, -46, 25, 6, 30, -18, 38, 18, -28, 36, -40, -64, -11, -48, 58, -48, 104, 43, 30, 42, 8, 34, 72, -62, 59, 90, 152, 306 },
{ 5, -25, 10, -30, 12, -3, 22, 26, -30, -37, 15, -13, -12, 31, 25, -66, 10, -11, 35, -28, 44, -37, -15, 20, -49, -21, 4, -8, -31, -41, 52, 113, 124, 117, 55, 117, -79, 23, -37, 19, 119, 313 },
{ 29, -58, 7, -15, 23, 4, 36, 20, -16, -47, -36, 27, 46, -46, 32, -60, 47, -25, 18, 28, -25, 41, 24, 32, -82, -101, -45, 16, -33, -13, 69, -18, 25, -16, 16, 34, 205, -84, 130, 111, 177, 278 },
{ 3, 8, -11, -14, 27, -16, -14, 19, 18, -20, 9, -20, 21, -5, -24, 6, 24, -17, 24, -34, 68, -24, 25, 86, -176, -31, 17, -16, -61, -32, 37, 41, -24, 50, 66, 95, -37, -81, 102, 45, 212, 404 },
{ -189, 85, 12, -4, -30, -98, 30, 209, 42, 5, -59, -8, -39, 33, -12, 32, 50, -106, 22, 18, -39, 8, -211, -32, -21, 94, -43, 13, 211, -41, 39, -19, 148, 323, -248, -11, 11, 21, -40, 48, -16, 167 },
{ -46, -19, 23, -31, 9, -8, 21, 18, -12, -21, -17, -7, -11, 28, 18, -36, -17, -14, 10, 21, 70, 47, 62, 9, 20, -18, 4, -14, 21, 98, 162, 113, 49, 20, 20, -23, -56, 26, 25, 19, 71, 163 },
{ -26, -20, 20, -72, 31, -14, 26, 12, -16, -17, -27, -8, 15, 29, 22, -14, 16, -9, 6, -16, 60, 61, 80, 24, 25, -29, -15, -3, -16, 79, 148, 147, 67, 37, 7, -31, -59, 20, 22, 24, 64, 160 },
{ -48, -9, 56, -90, 29, -12, 26, -20, -25, -23, -33, 17, 25, -18, 45, 59, 39, -14, -8, -20, 55, 81, 116, 56, 24, -21, 21, -16, -17, 47, 123, 144, 99, 22, -6, -74, -49, 5, 44, -16, 69, 145 },
{ -45, 44, 28, -93, -17, 18, 25, 15, -59, -11, -4, -14, 17, 26, -22, 4, -6, 10, -7, -22, 19, 49, 91, 84, 71, -12, 13, -28, -20, 34, 128, 144, 101, 46, 16, -20, -84, 29, 6, 14, 70, 164 },
{ -24, 50, 14, -65, -24, 12, 29, 10, -88, -17, -11, 11, 18, 12, -8, 15, -12, 3, 28, -23, 24, 7, 57, 160, 78, 22, 16, -28, 18, -29, 106, 175, 139, 50, 13, -61, -59, 27, -11, -28, 34, 184 },
{ 14, -18, 14, -47, 16, 16, 49, 24, -80, -14, -17, -37, 41, -32, 28, -122, 15, 12, 33, 31, 27, -14, 62, 180, 121, 8, -32, -40, 25, 32, 56, 183, 213, 61, 38, -136, -46, 55, 17, 19, -48, 194 },
{ -23, 22, 10, -69, -20, 21, 42, 28, -114, -6, -20, -13, 7, 25, -31, 54, 18, -5, 21, 55, 13, -28, 131, 207, 63, 14, 18, -34, -18, 15, 73, 177, 160, -43, -28, -83, -49, 21, 38, -31, 31, 181 },
{ -6, -22, 3, -19, 29, -29, 55, -31, 22, -25, -42, 13, -49, 6, -27, -32, 22, -38, 52, -37, 77, -13, 72, -39, 11, -26, -27, 7, -35, 122, 217, 142, -15, 18, -16, -20, -9, 6, 55, -48, 87, 224 },
{ -15, -22, 19, -25, 20, -8, 25, 11, 6, -25, -26, -27, -8, -21, -10, -45, 9, -13, 29, -20, 48, -17, 51, -16, 8, -39, -17, -25, 19, 82, 201, 112, 36, -14, 8, -34, -16, 32, 32, -3, 67, 286 },
{ 13, -28, -14, -27, 22, 7, 20, 18, -18, -8, -34, -25, -14, -13, 19, -70, 17, -20, 15, -16, 47, -30, 66, 30, -17, -31, -17, -31, -9, 62, 210, 145, 71, -8, 25, -26, -16, 17, 4, 6, 83, 257 },
{ 20, -19, -15, -45, 26, 13, 27, 12, -30, -16, -21, -31, -18, 24, -17, -73, 25, -12, 21, -21, 46, -38, 95, 62, -13, -29, -17, -25, -16, 30, 163, 172, 106, 27, 31, -32, -17, -8, 17, -14, 69, 264 },
{ 12, -29, -20, -22, 14, 21, 23, 11, 5, -38, -5, -33, 7, -19, 15, -55, -4, 16, 19, -24, 24, -35, 26, 16, -21, -47, 16, -48, 23, 49, 146, 88, 64, -23, 38, -27, -21, 25, 15, 29, 88, 326 },
{ 11, -33, -14, -22, 22, 14, 19, 4, -9, -8, -29, -21, 10, -9, 17, -58, -13, 11, 26, -22, -28, 45, -38, 51, -42, -39, 16, -43, -15, 46, 135, 124, 95, 59, 18, 19, -44, 12, 6, 8, 101, 299 },
{ 17, -24, -26, -27, 29, 19, 18, 18, -41, -10, -24, -21, 15, 9, 27, -97, -15, 9, 29, -27, 27, -47, 36, 66, -20, -20, 12, -28, -8, 9, 110, 140, 148, 69, 32, 29, -61, 10, -17, -12, 81, 285 },
{ 8, -15, -22, -14, 17, 7, 10, 9, 7, -33, -16, -10, 10, -5, 12, -42, -15, 30, 9, 19, -23, 23, -21, 17, -36, -52, 26, -57, 43, -63, 154, -53, 107, -24, 64, -18, -39, 69, -17, 54, 132, 399 },
{ 8, -24, 12, -23, 23, -10, 18, -2, -2, -15, -11, -13, -6, 27, 18, -54, 18, -13, 24, -11, 11, -31, 10, -15, -53, -37, 3, -20, -14, -25, 84, 86, 89, 87, 29, 46, -47, 19, -24, 18, 119, 383 },
{ -9, 14, -8, -32, 17, 8, 29, 35, -60, -13, -33, -22, 7, 13, 28, -127, 10, 5, 30, 18, 25, -5, 1, 112, 84, 6, -19, -19, 11, 13, 61, 129, 191, 141, 52, -86, -42, 34, -42, -32, 31, 252 },
{ 8, -23, -5, -15, 10, 4, 13, 11, 3, -21, -21, 3, 17, 6, -25, -18, 14, 10, -3, 10, 3, 13, -5, 20, -52, -59, 15, -25, -27, -37, 69, -50, 41, 30, 22, 4, -49, 102, -41, 80, 206, 396 },
{ 5, -10, 12, -25, 20, -23, 22, 17, -16, -23, 21, -10, -21, 5, 41, -45, 16, -18, 31, -15, 23, -9, 40, -22, -109, -39, 12, -32, -42, -28, 32, 30, 63, 73, 74, 93, -69, 39, -37, 57, 204, 383 },
{ 9, -20, 18, -38, 32, -6, 22, -8, 23, -28, -17, 23, -38, 43, -28, -99, 34, -29, 18, 44, 40, 43, 16, -94, 49, -27, -11, -23, 14, -38, 51, 23, 145, 237, 127, -58, -17, -32, 44, -68, 102, 331 },
{ 8, -35, 41, -48, 50, -10, 9, 20, 25, -51, -32, -10, -35, -7, 87, -141, 51, -13, 46, 66, 27, 63, -39, 76, -97, -28, -51, -34, 37, -32, 63, -16, 115, 202, 91, 56, -23, -97, 97, 29, 98, 340 },
{ 8, -3, 29, 0, -1, 5, -5, 3, 2, -6, 6, -12, 1, -7, 19, -18, 2, -4, -6, 16, 8, 10, -7, 1, 2, 2, 30, -7, 14, -23, 20, -18, 7, -2, 47, -5, -6, 4, -4, 76, -8, 195 },
{ -13, -10, 5, -22, 38, -42, 28, -6, -6, -20, -33, 10, -47, 11, -18, -35, 22, -26, 24, -31, 77, 12, 72, -9, 5, -17, -29, -21, -23, 105, 191, 177, 24, 14, -23, -26, -16, 18, 42, -38, 85, 195 },
{ 7, -25, 10, -45, 38, -34, 25, -11, -7, -10, -38, 21, -35, 18, -22, -53, 34, -27, 25, -35, 49, 33, 100, 39, -19, -11, -37, -13, -33, 61, 193, 187, 66, 18, 2, -42, -12, 2, 28, -22, 74, 207 },
{ -30, 18, 20, -56, 21, -21, 28, 21, -69, -23, -36, 40, -39, -20, 44, -40, 35, -13, 21, -37, 38, 51, 135, 70, -25, -13, -23, -22, -31, 35, 158, 208, 93, -11, 17, -70, -14, 7, 47, -31, 64, 187 },
{ 21, -28, -18, -46, 41, 25, 29, 17, -71, -38, -12, -23, -8, 28, -12, -57, 27, -4, 13, -23, 38, -32, 115, 72, 48, -15, -14, -11, -32, 40, 146, 186, 136, 46, -10, -55, -44, 26, 18, -11, 42, 217 },
{ -21, -28, 41, -67, 40, 18, 47, -25, -70, -18, -41, -8, -25, 39, -39, 34, 13, -19, 35, -22, 24, 86, 177, 95, -42, 20, -7, -10, -35, 30, 136, 188, 99, 31, -12, -98, -24, 16, 49, -23, 24, 177 },
{ -25, -20, 23, -36, 31, 20, 52, -15, -110, -13, -18, -28, -18, 23, -26, 35, 24, -7, 12, -29, 37, 77, 188, 93, -86, -24, 7, -6, -28, 16, 145, 215, 116, -39, -5, -62, -16, 36, 34, -28, 49, 181 },
{ 15, -31, -16, -20, 42, -18, 68, -25, 30, -26, -37, -9, -63, -16, -24, -34, 34, -28, 56, -50, 74, -30, 66, -36, 26, -24, -23, -20, -32, 126, 178, 160, -35, 12, -22, -23, 14, -23, 76, -65, 62, 213 },
{ 15, -31, -5, -27, 36, -10, 37, -8, 28, -29, -17, -42, 16, -42, -5, -42, 34, -24, 38, -30, 11, -25, 54, -25, 19, -37, -15, -28, -31, 84, 197, 129, -23, -19, 13, -42, -7, 31, 26, -22, 84, 291 },
{ 14, -29, 9, -32, 33, -25, 40, -9, 15, -18, -33, 7, -54, 6, -24, -49, 31, -27, 47, -48, 46, -25, 82, -17, 13, -20, -22, -34, -22, 69, 205, 188, 15, -8, -17, -19, 7, -10, 45, -35, 49, 255 },
{ 18, -23, -18, -15, 34, -4, 39, -9, 6, -14, -20, -43, 11, -35, 13, -68, 36, -25, 29, -24, 11, -24, 41, 33, -17, -23, -27, -22, -15, 37, 194, 143, 67, -30, 30, -22, -15, 7, 19, -32, 60, 315 },
{ 16, -20, -19, -10, 36, 8, 31, -8, -8, -23, -11, -43, -16, -31, 18, -88, 33, -10, 30, -25, 43, -25, 61, 55, -21, -11, -34, -27, -15, 13, 173, 185, 110, -5, 22, -35, -6, -4, 15, -26, 50, 292 },
{ 12, -24, -25, -16, 18, 14, 23, 8, 21, -22, -11, -39, 13, -25, -9, -40, 30, -32, 33, -21, 27, -41, 39, -25, 8, -39, -28, -19, 36, -35, 182, 69, 62, -34, 14, -35, -3, 16, 45, -22, 73, 375 },
{ 12, -18, -19, -21, 27, 17, 24, -10, 13, -16, -28, -35, 20, -15, 11, -66, 32, -14, 8, 18, -19, -38, 25, 20, -33, -33, -22, -23, -15, 13, 153, 114, 105, 35, 21, -22, -10, 5, 20, -30, 65, 349 },
{ 11, -27, -9, -20, 32, 21, 9, 8, -1, -28, -7, -42, 2, -17, 24, -104, 37, -7, 14, -9, 44, -20, -29, 78, -21, -19, -34, -9, -18, -14, 126, 150, 164, 48, 37, -38, -16, 10, -13, -30, 69, 313 },
{ 14, -21, -22, -11, 31, 9, 37, 15, -36, -28, -10, -26, -7, -26, 34, -137, 27, -10, 16, 30, 26, 15, -29, 99, 43, -16, 17, -50, -8, -14, 104, 163, 189, 60, 38, -83, -21, -13, 16, -35, 77, 272 },
{ 9, -19, -15, -15, 21, 14, 16, -4, 16, -26, -8, -17, -10, -6, 12, -34, 24, -23, 17, 14, -13, 7, -8, -8, -20, -54, -6, -13, 28, -54, 164, -50, 95, 15, 23, -35, -23, 42, 23, -5, 112, 430 },
{ 9, -21, 4, -21, 28, 5, 8, 19, -17, -32, 13, -39, 7, 17, 40, -101, 20, 10, -13, 11, 50, -34, -23, 18, -37, -20, -17, 10, -19, -34, 52, 100, 151, 136, 43, 28, -49, -6, -16, -24, 105, 340 },
{ 9, -30, 42, -49, 17, 32, 13, 15, -9, -12, 10, -35, -4, -31, 69, -204, -21, 33, 31, 31, 71, 34, -59, 111, 125, -16, -10, -18, -28, 17, 51, 78, 248, 112, 120, -100, -15, 59, -49, -27, 85, 266 },
{ 3, -9, 13, -19, 19, 49, -24, -8, 24, -30, -8, -9, -8, 40, -28, -28, 19, 14, 0, 20, 49, -38, 77, 34, -152, -24, -17, -6, -13, -43, 31, 41, 16, 117, 73, 97, -10, -103, 58, 60, 175, 357 },
{ 14, -25, -6, -23, 40, -11, 33, -15, 9, -18, -38, 7, -46, -12, -22, -58, 28, -23, 45, -49, 55, -17, 131, -18, 9, -24, -8, -26, -31, 41, 211, 215, 44, -7, -11, -31, 18, -16, 27, -34, 57, 243 },
{ 12, -23, 13, -24, 20, -12, 41, -36, -33, -19, 11, -21, -31, -13, 11, -59, 32, -27, 42, -38, 49, 28, 160, 32, -29, -22, -17, -14, -48, 29, 174, 250, 49, -6, -18, -46, 7, 24, 32, -41, 47, 210 },
{ 12, -27, 11, -29, 22, 10, 20, 14, -44, -20, 6, -42, 7, -45, 14, -85, 36, -19, 34, -8, 29, -24, 117, 86, -21, -13, -33, -27, -20, -13, 178, 226, 112, -5, 9, -65, -8, 18, 27, -31, 42, 262 },
{ -15, -7, 30, -38, 16, 17, 11, 35, -95, -18, -27, -21, -8, -15, -11, -67, 24, 5, 13, 29, 17, 19, 124, 166, -28, -5, -26, -10, -20, -18, 157, 210, 159, -28, 8, -87, -16, 41, 11, -23, 37, 214 },
{ 17, -27, -6, -22, 47, -33, 64, -29, 34, -22, -36, -6, -34, -8, -29, -19, 37, -18, 47, -42, 24, -36, 45, -35, 35, -21, -28, -21, -37, 99, 161, 137, -21, -12, -37, -13, 15, -22, 78, -45, 40, 183 },
{ 15, -27, -8, -17, 34, -16, 49, -24, 31, -25, -9, -31, 15, -26, -8, -28, 40, -25, 32, -33, -9, -35, 26, -24, 25, -35, -14, -28, -20, 46, 196, 92, 18, -39, 5, -32, 18, -7, 53, -36, 29, 301 },
{ 12, -22, -5, -15, 40, -25, 53, -25, 30, -22, -19, -14, -33, -20, -20, -40, 38, -14, 40, -41, 18, -29, 62, -38, 27, -20, -25, -23, -28, 54, 199, 201, -21, 15, -31, -9, 13, -17, 53, -45, 18, 253 },
{ 12, -19, -10, -16, 29, -6, 22, 6, 19, -26, 10, -40, 15, -38, -9, -36, 35, -14, 19, -11, -9, -36, 26, -13, 8, -24, -11, -28, -22, 10, 176, 169, 60, -31, 18, -23, 13, -16, 34, -40, 16, 333 },
{ 8, -16, -10, -11, 18, 13, 31, -17, 26, -23, -6, -43, 11, -39, -15, -63, 31, -8, 29, 8, -4, -26, 41, 23, -7, -18, -11, -34, -11, -31, 176, 198, 115, -41, 18, -26, 16, -12, 11, -29, 14, 326 },
{ 10, -30, 17, -26, 20, -5, 22, -12, 27, -28, 21, -40, 21, -38, 15, -27, 36, -35, 28, -28, 15, -33, 22, -39, 18, -37, -8, -35, 18, -20, 148, 53, 51, -35, 20, -40, 4, 19, 40, -46, 36, 385 },
{ 11, -15, -18, -8, 19, 5, 26, -17, 27, -17, -7, -34, 11, -21, 8, -39, 32, -15, 24, -6, 7, -29, -18, -11, -11, -22, -13, -28, -10, -23, 131, 122, 102, -4, 21, -22, 5, -10, 18, -34, 26, 393 },
{ 7, -12, -15, -8, 19, 8, 24, -14, 28, -19, 2, -41, 11, -37, 17, -81, 30, -10, 22, 12, 20, -24, -20, 24, -10, -15, -15, -30, -15, -40, 130, 156, 149, 16, 29, -34, 10, -15, 6, -43, 37, 353 },
{ 7, -16, -22, 5, 25, 17, 22, 12, -11, -29, -11, -39, 11, -33, 30, -133, 46, -7, 15, 19, 36, -29, -19, 84, 18, -21, -30, -25, 17, -41, 126, 175, 195, 39, 22, -81, 23, -9, 18, -48, 27, 304 },
{ 8, -26, 13, -20, 21, -15, 33, -19, 21, -22, 11, -25, 10, -20, 10, -22, 23, -24, 18, -22, 16, -14, 15, -26, -11, -53, 27, -46, 6, -19, 136, -29, 82, -23, 37, -47, 9, 8, 23, -19, 78, 445 },
{ 7, -24, 16, -25, 18, 7, 10, -10, 25, -22, 12, -33, 8, -13, 4, -25, 31, -15, 20, 3, 12, -10, -26, -27, -30, -30, -13, -13, -35, -22, 93, 62, 105, 73, 27, -21, -14, 7, 19, -60, 89, 436 },
{ 11, -31, 16, -22, 38, -13, 25, -7, 20, -32, -18, 15, -39, 8, 18, -81, 46, -18, 15, 25, 28, -8, -11, -33, -24, -11, -32, -16, -9, -48, 64, 89, 162, 120, 65, -42, -17, 10, -9, -56, 72, 386 },
{ 7, -27, 26, -27, 28, -11, 24, 17, -11, -33, 18, -40, -16, -16, 59, -147, 48, -4, 20, 14, 45, 15, -11, -30, 50, -18, -24, -22, 11, -34, 67, 102, 197, 165, 49, -70, -13, 15, -24, -46, 70, 320 },
{ 6, -30, 5, -15, 13, 7, 15, -5, 10, -27, 7, -17, 6, -2, 6, -16, 20, -9, 5, 12, 13, -17, 18, -17, -30, -39, -13, -21, -33, -18, 103, -22, 48, -12, 32, -27, -26, 52, -8, 54, 153, 445 },
{ 6, -10, -6, -11, 18, 7, -11, 12, 15, -13, -15, -6, 9, -23, 16, -24, 27, 1, 11, -14, 44, 8, -12, -5, -101, -31, -6, -35, -20, -40, 47, 37, 72, 81, 47, 36, -49, 29, -36, 40, 148, 438 },
{ 28, -32, -2, -33, 40, -6, 5, 8, 11, -54, 7, -14, 34, 3, -18, -30, 48, -11, 4, 25, -14, 36, -16, 39, -46, -48, -40, -11, -35, -5, 15, 9, -21, 21, 43, -30, -81, 132, -26, 135, 214, 376 },
{ 14, -23, -8, -17, 24, 10, 42, -28, 24, -11, -19, -34, -31, -25, -19, -57, 31, -22, 51, -18, 13, -24, 89, -13, 19, -19, -15, -20, -28, 12, 206, 243, 31, -28, -33, -13, 16, -15, 45, -37, 15, 255 },
{ 12, -23, -7, -9, 22, 9, 44, -19, -10, -13, -20, -32, -23, -35, -21, -61, 28, -15, 42, -7, 23, -19, 145, 16, -8, -19, 7, -34, 4, -33, 183, 291, 54, -34, -26, -19, 8, -8, 35, -36, 10, 237 },
{ 11, -35, 12, -9, 27, 11, 22, 5, -15, -15, -14, -42, 15, -44, -9, -92, 25, 3, 21, 10, 15, -36, 85, 79, -22, -24, -16, -33, 11, -24, 155, 227, 147, -41, 15, -46, 21, -2, 13, -19, -14, 294 },
{ -9, -18, 27, -15, 19, 14, 20, 8, -65, -19, -5, -38, -10, -26, -29, -43, 22, 4, 46, -31, 18, 13, 211, 60, -84, -13, -20, -27, -33, 22, 172, 301, 61, -53, 12, -9, 3, 1, 41, -32, 28, 181 },
{ -11, -6, 27, -18, 11, 8, 23, 28, -55, -17, -11, -49, 5, -34, -31, -89, 29, 6, 12, 26, 20, -18, 131, 161, -72, -22, -14, -42, 19, -25, 129, 267, 177, -77, 10, -48, 13, 6, 28, 10, -31, 236 },
{ 5, -28, 14, -12, 13, 16, 17, 18, -51, -8, -10, -19, -8, 22, -24, -123, 20, -5, 26, 18, 14, -33, 51, 121, 55, -12, -37, -27, 20, 32, 100, 183, 202, 47, 24, -122, 9, 26, 13, -41, 15, 255 },
{ -7, -26, 32, -18, 14, 20, 5, 42, -102, 19, -25, -31, -12, -24, -45, -31, -16, 9, 25, -9, 31, 32, 217, 160, -160, 8, 5, -28, -22, 38, 142, 307, 104, -38, -23, 24, -12, -13, 33, -27, 28, 167 },
{ -7, 37, 25, -36, -17, 16, 9, 26, -83, -16, -15, -13, 14, 11, -29, -100, 37, 16, -14, 47, 7, -44, 132, 261, -62, -33, -32, -18, 20, 14, 102, 230, 194, -34, -67, -57, -18, 52, 41, -12, -32, 232 },
{ 5, 36, 12, -34, -12, -18, 28, -35, -75, -18, 75, -30, 29, 54, -116, 65, 25, -11, 25, 57, 85, -54, 111, 250, 67, -38, 19, -61, 73, 35, 49, 268, 147, -104, -124, -44, -17, 18, 53, 36, 33, 134 },
{ 10, -16, -12, -11, 27, -24, 56, -32, 24, -13, -11, -6, -26, 12, -27, -5, 30, -15, 30, -55, 29, -49, 29, -27, 21, -18, -23, -9, -47, 73, 124, 125, -41, 4, -26, -10, 11, -16, 61, -30, 26, 153 },
{ 9, -17, -5, -12, 30, -25, 44, -30, 22, -16, -11, -15, 22, -8, -7, -12, 32, -21, 34, -44, -13, -38, 16, -17, 17, -27, -8, -32, -17, 23, 149, 78, 10, -34, -6, -23, 16, -7, 32, 36, -56, 291 },
{ 8, -15, -9, -7, 24, -6, 28, -23, 25, -19, 2, -28, 26, -13, -7, -25, 25, -10, 26, -11, -27, -37, -10, -5, 9, -17, 2, -38, -8, -22, 160, 158, 53, -50, 20, -14, 12, -14, 17, 17, -62, 321 },
{ 7, -16, -6, -10, 17, 5, 27, -20, 33, -14, -7, -33, 20, -31, -14, -41, 27, -9, 21, 9, -5, -57, 30, -14, 19, -16, 2, -39, 10, -39, 127, 212, 109, -52, 8, -18, 10, 4, -10, 16, -56, 314 },
{ 7, -11, -7, -8, 17, -24, 46, -28, 15, -12, 8, -21, 12, -13, 6, -18, 30, -36, 37, -40, 31, -37, 13, -31, 12, -31, 9, -39, 8, -19, 97, 40, 52, -49, 25, -28, 15, -12, 18, 41, -81, 396 },
{ 6, -9, -8, -8, 12, -9, 27, -14, 18, -16, 8, -19, 5, -26, 21, -18, 31, -13, 20, -20, 22, -30, -29, -25, -4, -18, -12, -29, 10, -37, 97, 114, 97, -17, 25, -19, 6, -8, 27, -21, -49, 398 },
{ 7, -15, -5, -7, 21, 1, 23, -22, 30, -19, -5, -28, 10, -25, 17, -48, 31, -9, 18, 12, 12, -29, -38, -15, 3, -16, -5, -30, 9, -39, 88, 160, 145, 27, -8, -21, 11, -11, 23, -45, -27, 373 },
{ -5, -7, 16, -6, 23, 6, 13, -19, 34, -32, 6, -40, -15, 5, -14, -99, 24, 15, 11, 34, 22, -31, -15, 42, 25, -13, -35, -26, 28, -48, 100, 187, 188, 33, -16, -53, 17, 11, 25, -49, -20, 319 },
{ 5, -15, -9, -5, 18, -13, 35, -25, 12, -20, 14, -24, 13, -17, 14, -14, 21, -31, 28, -22, 26, -24, 11, -31, 1, -28, 3, -23, -9, -31, 95, 23, 26, -15, 22, -30, -14, 28, 33, -51, 52, 432 },
{ 7, -13, -3, -8, 15, 4, 21, -19, 12, -21, 7, -25, 12, -9, 5, -4, 36, -13, 6, 17, 10, -15, -25, -41, -23, -19, -14, -11, -21, -37, 79, 66, 87, 42, 30, -15, -13, 7, 18, -66, 51, 456 },
{ 8, -18, -3, -11, 23, 11, 6, -11, 24, -24, -3, -32, 25, -18, 14, -38, 42, -19, 24, 14, 19, -17, -15, -84, 13, -12, -24, -10, -15, -30, 63, 83, 147, 97, 32, -37, 7, -21, 19, -65, 28, 421 },
{ -3, -8, 17, -7, 23, 14, 7, -18, 27, -38, 11, -52, 17, -32, 69, -119, 45, -15, 19, 63, -15, 15, -45, -17, 34, -22, -30, 8, 20, -35, 78, 87, 187, 154, 55, -82, 25, -22, 16, -109, 53, 361 },
{ 6, -22, 12, -19, 19, 18, 18, 26, -11, -31, -9, -26, -13, -38, 64, -143, 46, 10, 21, 30, 39, 54, -89, 57, 79, -38, -16, -49, 39, 27, 35, 113, 252, 103, 42, -119, 26, 28, -15, -74, 67, 302 },
{ 4, -7, -7, -12, 7, -2, 25, -5, -5, -19, 7, -13, 8, -13, -7, 18, 20, -15, 8, 9, 18, -19, 6, -23, -15, -24, -14, -42, 5, -38, 99, 20, 33, -22, 24, -29, -26, 48, 7, 21, 115, 459 },
{ 3, -6, -6, -7, 12, 12, 6, -5, 8, -12, -10, -17, 19, -20, -12, 15, 27, -12, 22, 9, 28, 5, -21, -17, -72, -16, -13, -32, -39, -33, 64, 35, 41, 103, 47, -11, -17, -21, 43, -47, 137, 452 },
{ 6, -11, -5, -13, 38, 5, -7, -5, 27, -38, 7, -28, 20, -12, -5, -27, 41, -15, 11, 23, 24, 30, -8, -53, -57, -27, 9, -31, -31, -11, 19, 42, 97, 171, 68, -24, -13, -31, 57, -88, 133, 397 },
{ 16, -30, 23, -34, 21, 11, -20, 35, -14, -27, -11, 7, 9, -15, 16, -19, 22, 14, -22, 21, 30, -24, 15, 13, -35, -35, -15, -59, -20, 18, 37, 26, 19, -8, 18, -22, -73, 95, 22, 86, 192, 416 },
{ 5, -9, -11, -9, 27, -29, 57, -29, 30, -9, -21, 14, -30, 10, -45, -11, 29, -21, 51, -61, 4, -60, 59, -39, 17, -14, -9, -34, -25, 38, 171, 222, -33, -19, -7, -8, 10, -15, 31, 29, -46, 223 },
{ 11, -21, -9, -12, 25, 6, 28, -17, 30, -17, -6, -36, 14, -29, -35, -29, 30, -10, 30, 10, -37, -44, 68, -21, 21, -17, -9, -31, -3, -26, 177, 267, 11, -39, -8, -12, 10, -7, 21, 23, -50, 235 },
{ -4, -15, 24, -20, 25, -9, 11, 5, 17, -20, 5, -47, 13, -36, -50, -48, 31, -5, 22, 40, -33, -51, 134, 15, -16, -17, -13, -41, 31, -34, 129, 330, 48, -77, 9, -14, 12, -5, 17, 32, -73, 182 },
{ 5, -15, -4, -7, 25, 12, 22, 14, 8, -17, -16, -26, -9, -29, -21, -74, 29, -19, 29, 19, 23, -64, 57, 37, 22, -24, 10, -45, 27, -39, 111, 273, 149, -67, -19, -31, 15, 3, 18, 15, -68, 265 },
{ -8, -21, 46, -25, 26, 12, -25, 39, -30, -27, -3, -62, 24, -17, -90, -27, 26, 25, -24, 88, -32, -43, 215, 56, -104, -25, 8, -72, 65, -65, 154, 345, 39, -101, 72, -9, 16, -10, 15, 27, -37, 143 },
{ 5, -29, 12, -9, 27, 23, -4, 20, -19, -25, -5, -49, 20, 19, -74, -82, 34, -8, 19, 31, 18, -108, 146, 161, -81, -20, -12, -35, 19, 29, 93, 319, 146, -115, 12, -20, 16, -8, 38, 22, -59, 192 },
{ -9, 12, -8, 5, 12, 9, 29, 7, -19, -15, -14, -48, 22, -31, 20, -154, 26, 14, 15, 31, 15, -29, 25, 124, 50, -33, -15, -41, 25, 44, 81, 215, 198, 24, -28, -90, 24, 37, 12, -47, 14, 251 },
{ -8, -10, 47, -23, -11, 31, -37, 73, -83, -11, 27, -116, 35, -20, -104, -23, -18, 52, -35, 65, 36, -37, 308, 98, -178, 39, 14, -82, 61, -57, 151, 340, 52, -110, 69, 51, -23, -21, -22, 33, 27, 178 },
{ -4, -2, 11, -29, 10, 48, -4, 20, -18, -27, 20, -89, 13, 41, -100, -118, 28, -11, 32, 69, 32, -90, 175, 302, -141, -22, -25, -23, -22, 45, 76, 323, 182, -169, 30, -25, 26, -17, 58, 37, -54, 195 },
{ 5, 15, -15, -10, -3, 15, 30, 30, -18, 19, -6, -37, -13, -37, 50, -173, -7, 14, 32, 39, 62, -15, 33, 189, 96, -18, -25, -30, 58, 37, 62, 209, 217, -35, -78, -66, 20, 14, 38, -50, 47, 197 },
{ 6, -21, -10, -9, 20, -29, 37, -18, 19, -18, -16, 3, 19, -5, -14, -19, 21, -14, 30, -35, -24, -24, 24, -18, 21, -10, -21, -7, -33, 52, 64, 92, -22, 7, -29, -20, 7, -9, 36, 28, -37, 97 },
{ 7, -24, -11, -7, 14, -20, 31, -14, 15, -17, -10, -12, 26, -9, -13, -21, 23, -8, 26, -8, -39, -21, 26, -8, 14, -14, -21, -23, -21, 21, 83, 77, -20, -14, -15, -12, 8, -7, 33, 41, -56, 177 },
{ 4, -11, -2, -9, 18, -9, 16, -16, 18, -10, -15, -3, 27, 10, -24, -7, 19, -10, 32, -25, -36, -66, 32, -32, 18, -9, -11, -10, -27, 17, 109, 189, -37, 8, -13, -11, 6, -6, 21, 25, -61, 188 },
{ 5, -21, -9, -20, 6, -2, 33, -5, 10, -18, -12, -19, 26, -13, -5, -17, 17, -3, 22, 7, -46, -16, 24, -13, 13, -12, -16, -18, -11, -16, 101, 51, -10, -12, -14, -14, 8, -8, 32, 48, -79, 260 },
{ 3, -11, 1, -9, 9, -3, 14, -16, 17, -8, -9, -7, 19, 6, -11, -5, 10, 5, 8, 18, -38, -48, 12, -25, 7, -7, -8, -19, -2, -21, 91, 134, 28, -20, 14, -14, 6, -10, 14, 36, -99, 286 },
{ 3, -11, 3, -10, 16, -2, 11, -22, 26, -11, -9, -13, 14, 6, -3, -29, 10, 8, 7, 13, -19, -71, -16, 16, 3, -6, -8, -22, 16, -22, 62, 218, 79, -45, 17, -15, 8, -10, 11, 29, -112, 263 },
{ 4, -21, -5, -18, 4, -2, 32, -8, 3, -15, -5, -11, 16, -22, 13, -7, 14, -5, 19, 5, -24, 12, -16, -12, 10, -11, -17, -17, 7, -31, 62, 22, 24, -16, -10, -12, -3, 14, 23, 44, -107, 338 },
{ 2, -9, 5, -11, 8, 2, 13, -5, 9, -7, -8, -3, -6, 13, -9, 13, 15, -9, 20, -11, 23, -50, -19, -29, -8, -9, 5, -23, -10, -18, 61, 87, 84, -24, 29, -9, 5, -15, 7, 44, -116, 368 },
{ 5, -17, 4, -10, 15, 3, 16, -23, 16, -6, -15, 7, -20, 10, 14, -16, 7, -3, 11, 18, 23, -76, -25, -38, 14, -12, 9, -27, 15, -20, 55, 148, 125, 45, -12, -17, 7, -3, 22, -22, -109, 340 },
{ 3, -11, 13, -9, 9, 18, 21, -35, 24, -15, 18, -28, 13, -33, 66, -74, 15, -19, 20, 22, 21, -44, -94, 24, 25, -9, -17, -6, -14, 55, 40, 170, 195, 49, -17, -42, 13, 14, 26, -56, -86, 316 },
{ 3, -11, -5, -9, -2, 10, 8, 8, -6, -18, 6, -16, 8, -9, -6, 11, 17, -13, 12, -8, 32, -11, -6, -23, 2, -13, -9, -17, -8, -32, 64, -10, 42, -26, 13, -13, -11, 10, 23, 46, -96, 437 },
{ 2, -11, 6, -5, 9, -2, 13, -6, 3, -12, 8, -13, 9, -16, 11, 17, 20, -15, 25, -4, 21, -17, -32, -48, -13, -6, 8, -34, -15, -27, 56, 50, 92, 25, 32, -15, -14, 18, -31, 47, -81, 454 },
{ 6, -15, 11, -11, 15, 8, 12, -14, 16, -8, -6, -11, -16, 6, 10, -7, 16, -10, 15, 32, 33, -39, -43, -56, -8, -6, -15, 6, -30, -23, 43, 104, 139, 47, 67, -43, 4, 17, 4, -97, 38, 372 },
{ 4, -16, 2, -15, 6, 28, 30, -26, 7, -8, 22, -54, 25, -31, 61, -58, 27, -34, 46, 43, 42, -39, -81, -30, 33, -33, 12, -13, -23, 26, 42, 155, 172, 99, 47, -70, 30, 9, -20, -93, 46, 349 },
{ 1, -11, 6, -9, -4, 3, 15, 1, -6, -14, 4, -14, 8, 6, -12, 17, 13, -4, 7, 7, 25, -9, -16, -16, -8, -12, -12, -24, -22, -30, 72, 29, 11, -6, 10, -16, -21, 33, 22, -14, 83, 453 },
{ 3, -11, 6, -6, 4, 17, 5, -8, -9, -10, 7, -15, -13, 22, -4, 23, 15, -14, 9, 25, 27, -18, -19, -50, -29, -4, 12, -42, -20, -46, 71, 17, 84, 40, 56, -22, -14, 19, -23, -23, 78, 491 },
{ 9, -30, 14, -18, 38, -8, 23, -22, 22, -16, -23, -9, 4, -18, 9, -11, 25, -22, 43, 5, 35, -15, 30, -78, -30, 7, -17, -29, -40, 20, 29, 38, 83, 149, 56, -43, -10, -19, 52, -92, 97, 421 },
{ 8, -22, -8, -19, 49, -3, 19, 18, 24, -50, -1, -25, -34, -24, 43, -83, 40, 11, 21, 43, 30, 46, -8, -102, 59, -16, -21, -34, 20, -44, 44, 52, 131, 216, 87, -84, 22, -52, 47, -75, 102, 337 },
{ 3, -7, -5, -6, 3, 11, 8, 2, -12, -21, -11, 23, -7, -9, -7, 17, 25, -10, -3, 10, 23, 17, -7, -9, -23, -26, -13, -41, -16, -13, 61, 55, -17, 10, 23, -28, -49, 63, 17, 74, 181, 397 },
{ 3, -6, -7, -8, 8, 6, 11, -11, 5, -11, -18, 40, -21, 4, -37, 35, 34, -41, 29, 6, 39, -26, 33, 10, -98, -11, -17, -33, -32, -18, 43, 28, 28, 69, 12, 42, -25, -59, 68, 34, 198, 426 },
{ 3, -7, -7, -11, 13, -11, 26, -11, 22, -6, -8, -25, 28, 12, -52, -8, 14, -6, 19, 15, -71, -59, 58, -34, 17, -8, -6, -26, 18, -4, 120, 251, 20, -45, -3, -8, 4, -3, 21, 46, -99, 152 },
{ 5, -14, 5, -16, 11, 19, -12, 21, 16, -7, -5, -34, 32, -19, -9, -26, 17, -7, 13, 29, -61, -70, 12, 15, 9, -11, 3, -33, 28, -33, 116, 251, 37, -60, 15, -17, 5, -9, 28, 35, -116, 217 },
{ -3, -10, 10, -8, 15, 13, -21, 26, 11, -17, -3, -21, 41, -17, -51, -24, 27, 5, -16, 43, -86, -55, 91, 29, -24, -16, -4, -45, 41, 34, 91, 294, 20, -55, 32, -5, 2, 10, -13, 67, -115, 106 },
{ -2, -8, 4, -7, 11, 4, 20, -24, 30, -23, 22, -54, 41, 26, -62, -28, 15, 12, -19, 56, -82, -60, 63, 45, -19, -7, -8, -34, 31, 28, 82, 258, 91, -73, 27, -9, 8, -8, 16, 52, -130, 136 },
{ -8, -13, 17, -12, 12, -10, 21, -24, 32, -8, 16, -34, 16, 23, -30, -56, 19, -10, 7, 35, -25, -86, 39, 26, 11, -5, -13, -34, 29, 15, 61, 256, 143, -60, -26, -10, 3, -3, 28, 36, -123, 230 },
{ 4, -15, 10, -14, 18, 23, 17, -26, 27, -18, 7, -54, 9, -6, 28, -84, 24, -13, 18, 27, 27, -81, -31, 27, 32, -10, -32, 17, -16, 63, 38, 237, 169, 33, -57, -23, 4, 16, 37, -53, -86, 281 },
{ -13, -16, 26, -19, 8, 22, -19, 18, -12, -9, -6, -45, 18, 20, -107, 23, 10, 4, 32, 29, -46, -66, 165, 26, -62, -9, 13, -57, 47, 36, 136, 320, -24, -69, 58, -8, -4, 18, -42, 62, -82, 132 },
{ -7, -8, 10, -8, -4, 21, 28, -20, 19, -11, -7, -47, 12, 56, -110, -45, 18, 16, 36, 36, -35, -115, 141, 106, -74, -21, 10, -49, 23, 95, 88, 308, 63, -97, 33, 16, 15, -15, -20, 57, -88, 130 },
{ 4, -19, 28, -25, 15, 25, -21, 21, 22, -23, 26, -55, 23, 6, -27, -103, 23, -7, 34, 26, 8, -89, 36, 146, -42, -13, -19, -53, 61, 23, 100, 289, 159, -95, -30, -7, 9, 28, 30, 19, -104, 240 },
{ 28, -14, 11, -9, 12, 17, 21, -14, 5, -16, 3, -57, 16, -37, 64, -141, 25, 10, 31, 15, 46, -44, -48, 98, 69, -19, -39, -31, 39, 25, 56, 239, 217, -13, -57, -46, 17, 42, 33, -56, -64, 298 },
{ -10, -2, 25, -15, 23, -13, 20, -13, -23, -30, -15, -42, 24, 50, -161, 28, 38, 24, 43, -30, 20, -73, 233, 64, -128, -24, 34, -76, 54, 53, 153, 375, -19, -106, 105, 25, 5, -18, -58, 69, -65, 154 },
{ -11, -3, -25, 3, 23, 27, 34, -66, 18, -12, 18, -84, 25, 106, -160, -45, -2, 24, 35, 46, -31, -91, 147, 214, -144, -18, -3, -70, 62, 20, 151, 349, 71, -164, 83, -18, 19, 8, 11, -22, 70, 130 },
{ -4, -10, 18, -11, 32, 10, -27, 56, 19, -26, 32, -36, -30, 48, -50, -147, 22, 9, 73, -25, 69, -100, 55, 311, -118, -20, -29, -66, 71, 62, 102, 303, 169, -138, 49, -31, 18, 22, 56, -23, -63, 206 },
{ -12, 25, -48, 23, 35, 4, -28, -46, 38, -22, 25, -23, -46, 136, -212, -32, -18, 42, 46, 21, 33, -75, 241, 216, -142, -25, 28, -75, 79, -16, 179, 367, 6, -97, 36, 41, 8, -5, -53, 50, -24, 147 },
{ -25, -14, 19, 21, 57, 30, -11, -44, -40, -27, -19, -63, 81, 40, -33, -108, 14, 30, 59, 49, 89, -116, 154, 321, -81, -33, -47, -14, -63, 72, 46, 295, 134, -124, -69, 38, 23, -42, 73, 29, 75, 154 },
{ 7, -13, -6, -40, 16, -13, 23, -9, 15, -26, -11, -18, 4, -13, -17, -28, 15, -4, 16, 2, -8, -3, 23, -9, 17, -35, -14, -14, -11, 22, -11, 44, -10, -11, -16, -30, 8, -7, 25, 14, -20, 31 },
{ 7, -12, -6, -28, 17, -11, 26, -16, 12, -10, -20, -14, 7, -13, -10, -25, 15, 3, 11, 20, -28, -5, 26, -4, 15, -34, -12, -22, -7, -7, 38, 44, -13, -19, -11, -30, 9, 1, 27, 42, -61, 125 },
{ 2, -6, -1, -12, 7, -7, 12, -12, 8, -11, 7, -16, 22, 4, 8, -6, 8, 10, -5, 31, -37, -45, -14, -13, 9, -9, -4, -18, 16, -15, 61, 128, 19, -17, 22, -13, 2, 12, -10, 41, -104, 199 },
{ 4, -24, -7, -22, 9, -4, 25, 1, 5, -9, -19, -15, 23, -12, -6, -18, 16, 7, 20, 15, -47, 17, -8, 11, 11, -13, -17, -18, -11, -12, 54, 30, 8, -25, -9, -12, 2, 5, 26, 53, -94, 187 },
{ -2, -8, 6, -4, 5, 12, -11, -13, 10, -11, 11, -15, 20, 20, 19, -13, 12, -10, 8, 27, -45, -55, -48, 31, -4, -9, -6, -9, 44, -13, 73, 151, 80, -33, 30, -14, 4, 5, -18, 49, -146, 198 },
{ 3, -7, 3, -10, 4, -1, 19, -3, 4, -6, -12, -11, 14, -15, 9, -5, 8, 4, 14, 9, -19, 17, -17, -5, 8, -7, -11, -18, 7, -28, 29, 21, 23, -9, -12, -8, 4, -10, 46, 46, -132, 282 },
{ 1, -6, 5, -4, 5, 13, -7, -3, -2, -1, -7, -11, 17, -7, 18, 3, -2, -5, 21, 28, -37, 28, -61, -16, 4, 10, -13, 7, -27, -11, 45, 47, 82, -32, 39, -12, -10, 20, -18, 54, -147, 306 },
{ 4, -7, -4, 3, 16, 11, -10, -10, -5, 2, 13, -18, 13, 15, 32, -8, 3, -25, 17, 29, -37, -42, -54, -25, 9, -3, -6, 11, -33, 53, 37, 113, 102, 43, -6, -18, -1, 16, -20, 40, -118, 252 },
{ 3, -5, -22, 20, 5, 24, -26, -26, -11, -5, 21, -35, 48, 16, 56, -28, 14, -44, 23, 34, -27, -68, -73, -23, 52, -8, 20, 6, -27, 94, 62, 148, 140, 56, -21, -25, 8, -16, 39, -28, -104, 255 },
{ 2, -4, 6, -18, 2, -6, 15, 3, -5, -9, 5, -14, 5, 5, -7, 11, 6, 9, -11, 14, 27, -10, -15, -10, 2, 4, -22, -5, -13, -22, 23, 32, 13, -17, 15, -11, 11, -20, 17, 73, -110, 356 },
{ 2, -4, -4, 3, 4, 20, -5, -5, -7, -7, 11, -4, -7, 16, -7, 22, -5, 6, 10, 11, 24, -33, -13, -37, -7, 3, 13, -20, -19, -45, 75, 38, 62, 18, 28, -15, 4, -15, -8, 64, -109, 411 },
{ 10, -6, -7, 7, 5, 10, -4, -15, -12, -14, 23, -18, 12, -9, 35, 10, 13, -15, 14, 26, 27, -47, -52, -46, -7, 5, -3, -15, -39, 36, 45, 62, 135, 46, 55, -31, 7, -14, 18, -35, -80, 374 },
{ 3, 5, -26, 12, 3, 13, 39, -33, -18, -6, 5, -48, 36, -8, 76, -34, 23, -21, 35, 50, -4, -41, -84, -41, 50, -23, -26, 30, -35, 38, 48, 137, 143, 68, 43, -52, 15, 31, -9, -107, 40, 297 },
{ 26, -15, 16, -9, -4, 28, 37, -23, -26, -33, -19, -60, 56, -26, 89, -117, 35, -4, 38, 66, -33, 68, -69, -16, 87, -35, -26, -35, 41, 35, 66, 108, 220, 90, 78, -100, 32, 36, -10, -52, -91, 361 },
{ 3, -4, 1, -3, -2, 8, 11, -7, -7, -7, -4, -10, 8, 6, -11, 15, 11, -2, -6, 13, 9, 21, -21, -13, -1, 6, -19, -20, -17, -23, 43, 39, 15, -21, 22, -13, -21, 35, -9, 78, -48, 435 },
{ 2, -7, 0, 3, 12, -13, 17, -5, -18, -11, 14, -2, -7, 12, -17, 34, 14, -22, 17, 16, 37, -12, -18, -36, -24, 9, -13, -6, -49, -20, 46, 27, 65, 24, 61, -21, -18, 29, 26, -74, 50, 465 },
{ 4, -12, -8, 1, 10, 19, 21, -9, -8, -12, -11, -18, 15, -12, -5, 31, 18, -16, 14, 27, 37, -19, -11, -79, -25, -5, -18, 30, -38, -11, 66, 31, 81, 126, 56, -46, 10, -9, 47, -112, 48, 396 },
{ 8, -15, -9, -21, 27, 20, 25, 25, -9, -31, -16, -31, -31, -12, 19, -21, 20, 15, 22, 58, 31, 31, -26, -128, 71, -31, -11, -25, 33, -52, 69, 67, 68, 221, 66, -83, 26, -29, 43, -122, 85, 377 },
{ 8, -24, 7, -17, 39, -6, 33, 19, -17, -30, -73, -39, 53, -43, 53, -148, 59, 18, 52, 15, 90, 23, -59, 22, 81, -21, -82, -34, 54, 37, 39, 49, 258, 131, 127, -123, 34, -34, 73, -96, 103, 300 },
{ 2, -8, 5, -4, 8, -4, 12, 5, -12, -13, -11, 7, 22, -6, -15, 18, 21, -12, -7, 11, 23, 14, -7, -10, -13, -7, -17, -44, -15, 19, 55, 48, -13, -9, 30, -24, -51, 92, -29, 70, 147, 409 },
{ 3, -15, 9, -15, 19, -14, 4, 18, -25, -10, 12, -6, -15, 33, -40, 35, 2, 13, -19, 32, 21, 16, 28, -18, -74, 28, -15, -33, -51, 14, 31, 58, 25, 59, -24, 53, -11, -66, 68, 29, 159, 406 },
{ 5, -28, 41, -34, 24, -6, 38, -10, 17, -35, 14, 14, -19, -3, -39, 26, 44, -30, 11, 6, 62, -33, 52, 41, -140, -11, -21, -30, 47, -26, 35, 16, 58, 87, 50, 88, -37, 19, -76, 58, 140, 406 },
{ 10, -37, -7, -28, 20, -19, 25, -14, 15, -13, -8, -9, 9, -8, -8, -27, 21, -23, 21, -9, -19, -14, 24, -11, 15, -11, -14, -14, -13, 17, 22, 73, -19, -9, -18, -28, 7, -7, 26, 12, -21, 37 },
{ 2, -9, 4, -10, 14, -19, 18, -18, 17, -9, -11, -2, 28, 8, -10, -10, 15, -5, 21, -16, -33, -54, 32, -10, 12, -8, -6, -18, -10, 13, 76, 165, -36, -12, -4, -6, 5, -22, 21, 33, -62, 110 },
{ 3, -12, 4, -13, 12, -13, 18, -11, 21, -6, 6, -32, 40, 16, -41, 10, 10, 3, -5, 28, -76, -73, 66, -42, 17, -9, -10, -12, 32, -10, 89, 228, -60, 17, -10, -13, 7, 4, 13, 32, -81, 128 },
{ -2, -5, 6, -6, 5, 2, -8, -13, 14, -10, 17, -36, 45, 24, -13, -13, 11, -11, 16, 25, -70, -74, 40, -10, 8, -13, 3, -31, 24, -22, 88, 210, 40, -36, 16, -9, 3, 8, -14, 61, -120, 155 },
{ -4, -9, 19, 6, 10, -8, -40, -9, 10, -14, 5, 31, 35, 24, -53, -10, 21, 13, -27, 31, -85, -66, 66, 48, -28, -8, 8, -25, 32, 54, 93, 216, -29, -31, 27, 10, -3, 16, -53, 59, -93, 152 },
{ -5, -6, 7, 4, 7, -1, -15, -26, 19, -7, 5, 26, 29, 53, -49, -28, 8, 22, -30, 33, -80, -79, 46, 76, -27, -18, 5, -28, 19, 78, 89, 200, 61, -61, 24, 9, 3, -9, -30, 81, -128, 110 },
{ -2, -15, -4, 5, 26, -7, 12, -37, 20, -10, 27, -33, 23, 44, -14, -42, 8, -9, -10, 27, -34, -84, -10, 31, 16, 5, -12, -15, 30, 33, 83, 253, 98, -24, -18, -14, -6, 7, 27, 25, -122, 172 },
{ 2, -7, -13, 6, 35, -21, 32, -38, 8, -8, 34, -60, 35, 18, 41, -48, 13, -32, 24, 52, -31, -51, -88, 25, 41, -12, -17, 22, -16, 64, 121, 194, 116, 22, -28, -15, 5, 13, 12, -11, -117, 201 },
{ 3, -6, -4, 13, -4, 28, -23, -15, 15, -10, -9, -28, 28, 57, -89, 24, 5, 3, 33, 36, -85, -108, 113, 45, -33, -11, 18, -27, 7, 70, 133, 233, -80, -42, 45, -13, 8, 23, -57, 58, -71, 223 },
{ -3, -1, -12, 23, 8, -20, 3, -64, 31, -9, 15, -15, 29, 74, -78, -28, -4, 15, 32, 8, -47, -123, 93, 96, -42, 9, -5, -36, 33, 102, 88, 226, 39, -59, 30, 16, -4, -7, -37, 61, -92, 191 },
{ 4, -10, -6, 17, 30, -8, 8, -60, 19, -10, 8, 55, -14, 55, 20, -77, -14, 20, -23, 29, -45, -122, 23, 96, 22, 18, -28, -40, 64, 76, 166, 229, 104, -25, -64, 22, -14, -6, 10, 61, -171, 187 },
{ 22, -23, 13, -17, 52, 13, 16, -7, -12, -23, 31, -80, 49, 8, 54, -87, 23, -17, 25, 31, 26, -89, -28, 73, 25, -22, 38, -58, 60, -31, 104, 253, 165, 28, -56, -20, 5, 29, -34, 58, -136, 288 },
{ -18, 6, -18, -14, 16, 25, 13, -18, 20, -20, 12, -31, -21, 63, -144, 62, 18, -23, 57, 33, -30, -111, 185, 44, -73, -26, 23, -29, 22, 44, 232, 288, -89, -35, 70, -12, 10, 24, -77, 56, -72, 176 },
{ -17, 5, -21, 8, 41, -26, 13, -57, 35, -16, 22, 20, -35, 77, -100, -30, 24, 21, -7, 26, -25, -129, 101, 142, -94, -37, 21, -60, 67, 68, 184, 273, 53, -109, 46, 10, 7, -13, -41, 78, -100, 205 },
{ 8, 7, -9, -19, -8, 19, 54, -81, 35, -15, 28, -47, 31, 52, -21, -132, 3, 18, 47, 15, -14, -86, 11, 221, -59, -8, -24, -53, 65, 60, 194, 242, 126, -136, 59, -29, 29, -38, 27, 21, -90, 244 },
{ -16, 31, 12, -10, 22, -16, 48, -12, -13, -15, 13, -107, 50, 33, 36, -141, 11, 35, 49, 59, -38, -63, 66, 135, 50, 12, -53, -65, 50, 60, 98, 179, 246, -38, -89, 13, -6, 13, 25, 11, -129, 286 },
{ 16, -32, -8, 23, 25, 7, 38, -16, -21, -52, -50, 48, -50, -15, 87, -194, -12, 47, 24, 57, 95, -17, -39, 93, 144, -29, -15, -71, 53, 19, 65, 144, 208, 29, 86, -90, 58, -29, 38, -29, -35, 303 },
{ -29, 6, 8, -48, 14, 58, 29, -56, 28, 58, -88, -27, -25, 109, -220, 86, -51, 32, 44, 30, -25, -60, 274, 70, -147, -6, 77, -55, 21, 42, 212, 320, -80, -51, 80, 29, 18, -34, -74, 77, -47, 194 },
{ 7, -38, -7, -38, 17, -9, 20, -22, 15, -14, -8, -18, 5, -10, -8, -25, 19, -13, 7, 13, -9, 8, 4, -14, 14, -42, -3, -23, 11, -10, -16, 11, 13, -18, -10, -18, 10, -12, 15, 12, -10, -6 },
{ 4, -11, 4, -36, 15, -5, 8, -11, 9, -12, -16, -20, 23, -11, -6, -27, 17, -7, 14, 14, -28, 9, 9, -4, 11, -10, -10, -23, 15, -21, 26, 13, 14, -17, -7, -14, 5, -4, 12, 30, -42, 68 },
{ 2, -7, 8, -5, 9, -6, -5, -13, 6, -10, 10, -26, 35, 4, 6, -8, 11, -6, 12, 22, -34, -46, 23, -14, 11, -7, -5, -17, 18, -25, 76, 77, 26, -25, 11, -19, 5, 7, -8, 49, -89, 141 },
{ 3, -10, 3, -31, 11, -9, 12, -8, 9, -8, -6, -14, 21, -16, 5, -9, 11, 3, 13, 18, -32, 18, -11, 4, 8, -14, -3, -25, 11, -18, 39, 16, 22, -22, -4, -12, 6, 19, -7, 51, -74, 124 },
{ 0, -8, 12, -7, 8, -5, -7, -11, 4, -7, 8, -19, 30, 6, 13, -7, 7, -10, 10, 26, -27, -44, -10, -13, 11, -10, 11, -21, 24, -15, 34, 87, 52, -19, 27, -17, 3, 8, -24, 54, -102, 156 },
{ -5, -3, 11, 6, 7, 9, -11, -15, -10, -11, 13, -15, 20, 19, 19, -3, 8, -7, -8, 33, -24, -55, -24, -17, 12, -6, -3, -6, 27, 11, 54, 99, 67, -40, 54, -19, 9, 7, -19, 41, -105, 144 },
{ 2, -6, 2, -5, 4, -3, 23, -7, 3, -3, -6, -7, 12, -12, 6, -2, 8, -4, 15, -13, 34, -11, -7, -7, 7, -14, 10, -21, 29, -20, 19, 18, 30, -16, 15, -15, 3, 25, -22, 73, -125, 193 },
{ 5, -4, 6, -6, 3, 4, -10, 5, -7, -2, -5, -12, 19, -8, 20, 4, 5, -8, 29, -19, 32, -38, -25, -14, 2, -10, 9, -13, -18, 40, -12, 91, 67, -16, 20, -14, 6, -11, 19, 42, -125, 245 },
{ 8, -7, 10, -7, 7, 12, -15, -5, -9, -7, 14, -32, 30, -4, 38, -6, 7, -17, 32, 23, -28, -50, -29, -36, 13, -5, 14, -6, -12, 49, 39, 110, 57, 49, -17, -10, 3, 5, -16, 32, -110, 199 },
{ 3, -7, -13, 16, 11, -8, 18, -33, -9, -14, 20, -29, 20, 42, 29, -8, 22, -25, 20, 36, -40, -69, -32, -29, 48, -15, -14, 13, -12, 64, 61, 103, 94, 64, -16, -22, 8, 17, -13, 43, -107, 195 },
{ 1, -7, 18, -4, 2, -5, 28, -5, -2, -5, 8, -12, 13, -11, 10, 4, 7, -8, 10, -2, 40, -4, -13, -10, 6, 4, -15, 8, -16, -23, 40, 6, 28, -7, -10, -4, 23, -26, 17, 71, -93, 274 },
{ 0, -2, -2, 5, 19, -9, 22, -5, -13, 2, -5, -15, 13, -2, 13, 17, -9, 16, 32, -19, 30, -13, -44, -11, -11, -6, 26, -15, -39, 24, 29, 47, 53, 40, -10, -11, 9, -17, 13, 44, -100, 316 },
{ -5, 13, -5, 9, -9, 20, -10, -6, -17, 10, -11, -15, 29, 28, -12, 31, -3, -11, 24, 22, -10, -31, -27, -50, -10, 3, -5, -15, -21, 57, 50, 37, 110, 59, 32, -23, 8, 7, -12, 38, -117, 294 },
{ 24, -16, 20, -13, 10, 10, 8, -9, -11, -9, 5, -27, 4, 14, 54, -11, 24, -36, 18, 38, -25, -54, -52, -53, 15, -3, -9, 16, -20, 60, 72, 88, 140, 96, 30, -22, -8, 15, -4, -45, -92, 314 },
{ 5, 22, -21, -5, 11, 8, 37, -11, -11, -17, -17, -28, 46, -34, 88, -56, 36, -28, 19, 36, -5, -8, -82, -39, 90, -11, -43, 14, 36, 16, 60, 184, 147, 51, 76, -58, 17, 30, -20, -65, -50, 306 },
{ 2, -3, 13, -5, 4, -6, 16, -11, -3, -5, -6, -4, 25, -4, -6, 10, -5, 14, -9, 9, 34, 5, -14, -13, 3, 7, -6, -21, -19, -17, 58, 25, -22, 27, -5, -9, 12, -32, 34, 84, -65, 349 },
{ 0, -7, 32, -3, 4, 12, -6, 10, -9, -6, -5, -4, 33, -9, -6, 28, -8, 13, 16, 14, 8, -14, -4, -42, -9, 12, -15, -8, -39, -12, 58, 41, 31, 33, 34, -17, -19, 13, 53, -76, 55, 396 },
{ 2, -6, -12, 14, 28, 17, -15, 13, -21, 5, -21, 18, 9, 13, -23, 50, -7, 6, -14, 32, 46, -35, 17, -91, -13, 8, 22, -31, -15, 35, 33, 22, 90, 61, 69, -36, -7, 20, -24, 50, -122, 399 },
{ 5, -11, -2, -8, 18, 4, 20, -26, -11, -9, -38, 38, 14, -25, 53, -16, 18, -10, 7, 29, 47, -20, -34, -116, 68, -15, 7, -20, -27, 50, 65, 77, 85, 139, 91, -51, 16, -18, 30, -125, 34, 366 },
{ 2, -11, 14, -7, 11, -12, 6, 15, -24, -5, -20, 13, 19, 3, -9, 8, -15, 14, -7, 6, 21, 13, 9, -14, -10, 14, -18, -48, -24, 30, 53, 50, -12, -15, 9, -16, -35, 70, -16, 70, 100, 386 },
{ 2, -6, 7, -6, 6, -14, 30, 23, -24, -3, -20, 23, 16, -12, -36, 26, -16, 3, 21, 27, 28, -24, 23, -10, -42, 7, 20, -18, -91, 35, 41, 26, 54, 16, 45, -9, -21, 57, -63, 63, 122, 426 },
{ 10, 3, -7, -1, 15, -14, 13, 16, -20, -15, -11, 12, 3, -7, -41, 63, 15, -11, 5, 12, 22, 18, -34, 44, -117, -17, 21, -26, -26, 68, 46, 24, 16, 118, 35, 94, 31, -107, 59, 5, 81, 414 },
{ 7, -33, 37, -36, 33, 14, 8, 20, 15, -10, -26, -20, -22, 39, 13, -28, 8, -7, 28, 41, -15, 60, 29, -70, -81, -36, 59, -88, 47, -13, 81, 63, 46, 170, 119, 56, 34, -78, -75, 49, 103, 388 },
{ 10, -43, -6, -36, 19, -7, 15, -10, 14, -16, -10, -21, 13, -10, -13, -9, 20, -11, 11, 12, -12, -10, 12, -9, 15, -40, -9, -19, 10, -20, 5, 29, -4, -8, -11, -29, 7, -14, 17, 7, -11, 10 },
{ 2, -5, -8, -6, 12, -7, 16, -10, 10, -11, -4, -12, 28, -4, -4, -8, 12, 2, 18, -8, -30, -43, 19, -11, 12, -8, -12, -24, 23, -14, 61, 100, -28, -8, -5, -9, 5, -10, 18, 31, -48, 82 },
{ -2, -5, 12, -4, 7, -7, -20, -10, 11, -13, 12, -15, 39, 15, -24, 20, 9, 7, -6, 18, -55, -55, 37, -29, 10, -7, -2, -16, 15, 28, 70, 137, -34, 24, -5, -5, -3, 10, -23, 49, -88, 89 },
{ -2, -5, 10, -4, 8, 3, -13, -17, 12, -9, 13, -20, 38, 19, -7, -14, 7, 3, -8, 13, -66, -58, 44, -12, 10, -5, -3, -10, 30, 34, 69, 127, 53, -22, 12, -13, -1, 10, -24, 57, -104, 108 },
{ -5, -7, 9, 5, 4, 3, -9, -30, 7, -10, 17, -25, 33, 34, 28, -13, 7, 22, -16, 19, -62, -55, -41, 34, 6, -14, 14, -10, 37, 30, 66, 129, 61, -37, 34, -19, 7, 9, -19, 48, -109, 104 },
{ -7, -6, 16, 10, 12, -10, -36, -27, 11, -14, 6, 23, 34, 60, -52, 37, 5, 13, -11, 14, -85, -65, 49, -13, -6, -3, 7, -17, 17, 62, 90, 146, -36, -6, 10, -3, -8, 20, -54, 63, -80, 180 },
{ -3, -10, 6, 14, 39, -5, -15, -49, 21, -29, 6, 25, 26, 59, -30, -26, 4, 3, -22, 20, -80, -74, 19, 67, -14, -4, 10, -18, 32, 50, 88, 162, 28, -36, 24, 10, -6, 8, -49, 63, -98, 174 },
{ -5, -19, 2, 8, 13, -3, -7, -23, -8, -8, 27, -17, 13, 56, 32, -17, 4, 18, -27, 31, -70, -68, -46, 57, 15, -12, -8, 12, 19, 73, 79, 158, 80, -39, 27, -16, 14, 15, -29, 54, -128, 107 },
{ 21, -18, -9, 19, 38, 18, -9, -30, 12, -11, 15, -17, 25, 44, 21, -16, 16, -18, -10, 33, -36, -90, -20, -33, 77, -5, -18, 13, 5, 67, 64, 147, 109, -18, -13, -21, -4, 15, 21, 24, -97, 151 },
{ -6, 9, -8, 18, 17, -8, -21, -50, 23, -18, 6, 28, 12, 93, -90, 26, 18, 18, -10, 28, -90, -92, 81, -19, -19, -21, -13, -11, 19, 43, 135, 231, -46, 13, 26, -10, -6, 28, -55, 46, -67, 195 },
{ -1, 2, -17, 29, 14, -5, -15, -72, 26, -20, 3, 33, 26, 92, -49, -26, 4, 24, -21, 26, -85, -112, 38, 116, -37, -8, 14, -29, 27, 50, 139, 158, 10, -31, 20, 11, -3, 13, -58, 75, -99, 197 },
{ 3, -7, -6, 10, 31, -9, 4, -37, 18, -11, 19, 41, -14, 75, 13, -35, -3, 31, -53, 39, -70, -96, -39, 127, -25, -19, -10, -24, 51, 98, 98, 196, 77, 44, -50, 27, 6, -8, -25, 68, -166, 154 },
{ 0, -7, 24, -11, 9, 4, 27, -18, -13, -21, 30, -64, 29, 12, 96, -86, 22, -22, 60, 57, -11, -121, -25, 63, 69, 19, -33, -21, -34, 71, 84, 182, 109, 48, -36, -21, -7, 29, 12, 42, -129, 241 },
{ -10, 8, -17, 12, 19, -7, -15, -53, 31, -11, 13, 17, 13, 79, -112, 56, 7, -8, 33, 8, -68, -103, 110, 32, -37, -9, 19, -19, 15, 56, 215, 215, -112, 40, 45, -11, -8, 21, -63, 38, -94, 177 },
{ 6, 4, -26, 21, 14, -35, 21, -82, 49, -4, 21, 40, -12, 96, -119, 24, -12, 26, -25, 31, -46, -96, 53, 132, -31, -19, 38, -54, 42, 57, 170, 218, 22, -59, 29, -4, 9, -6, -51, 86, -119, 201 },
{ -3, 15, -29, 20, 5, -7, 40, -63, 17, -18, 50, -18, -41, 110, -27, -74, 7, 23, 50, 23, -53, -142, 75, 167, -16, -14, -10, -61, 53, 75, 128, 244, 102, -98, 31, -3, 11, -7, -4, 54, -120, 236 },
{ 4, 3, -31, -19, 27, 61, 37, 21, -32, -31, 28, -76, 31, 30, 91, -136, 19, 32, 18, 28, -24, -66, -10, 109, 47, 17, -60, -52, 59, 56, 82, 151, 164, 49, -81, 9, -6, -49, 62, -28, -142, 313 },
{ -41, 35, 12, -17, 24, -42, -9, 50, 22, -39, 19, 30, -52, 68, -192, 68, 8, 27, 35, 20, -17, -65, 170, 37, -74, -14, 11, -30, 11, 60, 214, 303, -106, 25, 78, -22, 9, 19, -59, 4, -63, 197 },
{ -35, 108, -7, 30, -17, -41, -24, -74, 31, 19, 9, -26, 52, 108, -118, -71, -25, 52, 60, -31, -58, -83, 147, 198, -111, -19, -39, -47, 53, 53, 155, 361, -19, -150, 108, -41, 42, 16, -16, 25, 70, 177 },
{ -3, 28, -49, 24, -33, 32, 43, -65, 33, 18, -9, -33, -15, 58, -64, -94, -26, 49, 83, 49, -11, -103, 170, 170, -78, 24, -29, -79, 21, 69, 153, 256, 155, -114, 100, -50, 20, -19, 37, 44, -75, 175 },
{ 3, -12, 3, -30, 11, -16, 10, -9, 9, -11, 4, -19, 9, -15, 2, -8, 16, -10, 5, 13, -5, 10, 4, -5, 10, -15, -2, -17, 30, -19, -4, -11, 11, -13, -4, -15, 9, -13, 12, 4, -5, 4 },
{ 3, -9, 6, -14, 10, -10, 6, -8, 7, -12, 8, -22, 23, -18, 12, -10, 12, -10, 14, 16, -12, 15, 10, -9, 10, -10, 5, -18, 21, -20, 21, -8, 29, -15, 4, -17, 5, 0, -4, 22, -26, 43 },
{ 1, -7, 6, -8, 9, -9, 13, -11, 6, -14, 12, -31, 32, -4, 15, -11, 11, -12, 17, 21, -18, -42, 28, -11, 7, -9, 6, -17, 32, -30, 58, 42, 27, -15, 7, -15, 6, -2, -9, 40, -71, 113 },
{ 3, -12, 11, -13, 8, -11, 7, -10, 7, -11, 12, -19, 20, -11, 7, -12, 10, -6, 13, -9, 20, -17, 27, -6, 8, -9, 7, -25, 36, -17, 42, 13, 26, -18, 16, -16, 4, 6, -11, 42, -52, 69 },
{ 3, -6, 9, -5, 6, -4, -5, -10, 12, -10, 12, -25, 27, -9, 16, -8, 9, -12, 26, -14, 34, -46, 24, -16, 10, -11, 16, -24, 32, -19, 27, 48, 53, -15, 17, -16, 5, -15, -13, 46, -79, 114 },
{ -3, -6, 11, -7, 5, -10, 15, -17, 10, -11, 24, -42, 39, -11, 26, -9, 11, -12, 15, 9, -10, -56, 32, -31, 20, -14, 12, -18, 20, 11, 59, 75, 41, -36, 8, -11, 5, 9, -24, 55, -93, 105 },
{ 2, -10, 25, -9, 6, -7, 6, -5, 4, -7, 13, -11, 9, -8, 12, -4, 8, -11, 18, -14, 29, -7, 27, -11, 5, -12, 17, -16, 30, -16, 42, -6, 44, -12, 16, -11, 17, 7, -28, 63, -94, 126 },
{ 1, -6, 6, -6, 5, -3, 3, -9, -3, -8, 15, -25, 22, -11, 19, -3, -2, 21, 23, -21, 42, -27, -14, -10, 5, -11, 12, -24, -10, 74, -7, 67, 68, -52, 17, -8, 3, 8, -20, 64, -131, 197 },
{ -4, -6, 5, 4, 6, -5, 3, -18, -3, -8, 43, -35, 39, -12, 31, -6, 8, -15, 30, 7, -32, -28, -22, -21, 12, -19, 15, -18, -23, 95, 39, 65, 86, -38, 45, -20, 6, -6, 24, 28, -104, 166 },
{ 4, -17, 12, -6, 14, -8, 53, -21, -9, -16, 17, -40, 39, -15, 42, -8, 20, -18, 18, -10, 50, -86, 39, -60, 24, -9, -2, 9, -11, 60, 45, 79, 63, 69, -16, -11, 6, -14, 8, 35, -89, 150 },
{ 2, -6, 4, -7, 3, -4, 26, -6, 3, -4, 7, -14, 36, -11, 4, -3, 4, -4, 11, -4, 30, -4, 14, -9, 3, 2, -13, 18, -13, -18, 53, 19, -17, 11, -5, -7, -7, 31, -19, 104, -68, 176 },
{ -2, -8, -2, 6, 4, -3, 5, -9, -5, 2, -12, -8, 13, -9, 12, 7, 4, -6, 29, -15, 43, -15, -19, -5, -12, -6, 23, -15, -28, 71, -16, 40, 54, 35, -7, -4, 28, -20, 9, 67, -104, 265 },
{ 3, -13, 10, -6, 10, 5, -8, 6, -20, 24, -35, -11, 24, -17, 30, 12, -17, 54, 51, -19, -46, 41, -49, -19, -13, -18, 27, -51, -10, 136, 63, -26, 91, 110, -17, -13, 8, -8, 7, 43, -113, 258 },
{ 6, -21, 7, 2, 15, 7, -12, -14, -7, 6, -16, -28, 38, -13, 44, -15, 8, -16, 45, -3, -33, -38, -56, -34, 21, -12, -13, -15, -8, 153, 86, 50, 110, 111, 5, -24, 14, 7, -12, 37, -133, 286 },
{ 6, -7, 7, -11, 3, 26, 26, -15, -9, -17, 15, -24, 71, -23, 80, -49, 15, -67, 17, 11, -22, -21, -78, -28, 127, -26, 65, -13, 54, 73, 60, 125, 150, 72, -40, -25, 17, -51, 44, -73, -64, 273 },
{ 2, -3, 17, -7, 3, 7, 3, -4, -4, -12, 22, -21, 24, -16, 10, -6, -6, 9, 8, -10, 50, 12, -24, 15, -14, 13, -16, 6, -28, -16, 83, 10, -16, 19, -4, -5, 31, -39, 42, 74, -53, 260 },
{ 1, 3, -7, 7, 27, -13, 19, -13, -9, -4, -8, -14, 38, 7, -10, 19, -4, 16, -10, 17, 33, 5, -30, -14, -12, 8, -6, -23, 24, -51, 39, 56, 28, 42, 13, -14, -17, 36, -9, 79, -86, 352 },
{ 1, -6, 26, -8, 9, 2, 10, -7, -17, 4, -15, 33, -9, 11, -9, 34, -2, -8, 24, 21, 17, -24, -8, -57, -11, 4, -16, -7, -28, 53, 60, 63, 65, 53, 45, -29, -17, 21, 47, -73, 61, 279 },
{ 23, -4, 4, -36, -5, 14, -25, -14, -15, 13, -21, 49, -6, -27, 42, 18, -17, 20, 52, 62, -56, 24, -79, -78, 28, -6, -27, 32, -74, 108, 141, 49, 126, 80, 95, -27, 12, -20, -11, -77, 6, 349 },
{ 1, -2, 15, -5, 6, -5, 9, -17, 5, -17, -21, 20, 13, 16, -22, 8, -10, 20, -6, 12, 11, 25, -13, 6, -19, -17, 24, -36, -37, 15, 48, 54, -13, 11, -17, 5, -36, 102, -34, 74, 102, 318 },
{ 3, -11, 3, 11, 14, -4, -4, 19, -24, -23, -27, 43, 21, -14, -18, 35, -27, 31, 28, 19, 15, -11, -12, -4, -34, 28, -10, -32, -73, 45, 62, 24, 64, 12, -20, 59, -18, -38, 105, -30, 110, 407 },
{ -1, -11, 28, -24, 24, -11, 25, 4, -16, -7, -29, 21, 25, -3, -38, 56, -15, -10, 27, 13, -8, 12, 18, -45, -75, 29, -24, -8, -58, 95, 59, 27, 64, 61, 49, 84, -8, -34, -38, 43, 80, 384 },
{ 4, -32, 1, -11, 12, -9, 8, -12, 7, -12, 4, -15, 13, -14, 1, -9, 13, -3, 5, 13, -9, 12, 13, -6, 12, -12, -7, -16, 14, -23, 6, 5, 15, -13, -11, -11, 8, -15, 12, 10, -13, 13 },
{ 1, -7, 8, -9, 11, -5, -6, -6, 4, -12, 8, -21, 31, -4, 5, -11, 14, -6, 14, 14, -30, -30, 49, -7, 10, -7, -18, -14, 26, -20, 53, 53, -19, -4, -7, -10, 3, -1, 14, 26, -45, 74 },
{ -1, -6, 11, -5, 12, -8, -9, -18, 11, -16, 11, -15, 34, 20, -15, -5, 11, 8, -9, 29, -49, -54, 32, -14, 8, -7, -4, -11, 24, 34, 58, 96, -37, 23, -6, -3, -3, 15, -24, 43, -62, 76 },
{ 5, -7, 7, -2, 8, -5, -4, -19, 7, -12, 10, -18, 25, 21, 10, -14, 12, -10, 5, 37, -30, -58, 52, -15, 11, -11, 10, -24, 25, -34, 72, 77, 53, -21, 7, -9, 2, 11, -23, 46, -80, 101 },
{ 1, -9, 10, -7, 7, -10, 34, -23, 6, -12, 18, -28, 26, 18, 18, -12, 14, -8, -7, 18, -29, -71, 37, -23, 14, -19, 13, -19, 19, -20, 52, 97, 104, -31, 29, -12, 4, 13, -20, 43, -90, 102 },
{ -5, -2, 14, 10, 11, -8, -30, -32, 12, -13, 20, 33, 38, 52, -39, 42, 4, 9, -14, 8, -74, -57, 34, -14, -6, -4, 8, -11, 12, 56, 83, 105, -37, 11, -6, 5, -6, 17, -42, 45, -55, 173 },
{ 17, -6, -8, 10, 10, 23, -10, -36, 14, -8, 14, -12, 27, 48, -19, -10, 33, 7, -17, 22, -54, -65, 21, -18, 24, -11, 13, -17, 28, -36, 83, 118, 78, -21, 36, -11, -4, 21, -40, 65, -86, 99 },
{ 7, -15, 11, 9, 22, 4, -9, -25, 10, -12, 14, -16, 26, 31, 18, -17, 13, 4, -12, 17, -48, -63, -22, -16, 67, -6, -8, -17, 54, 59, 57, 128, 61, -40, 6, -7, -4, 18, -27, 58, -100, 92 },
{ 5, -15, 7, 5, 16, -5, 12, -31, -4, -25, 12, -17, 21, 23, 42, -22, 36, -24, -5, 18, -33, -83, -9, -26, 55, -11, -10, 18, 16, 60, 60, 93, 157, 23, -33, 6, -6, 5, 5, -13, -70, 135 },
{ 1, -17, -4, 20, 51, -14, -21, -47, 9, -4, 8, 13, 25, 88, -48, 51, 2, 5, -13, 15, -83, -105, 58, -24, -4, -13, 12, -13, 17, 70, 132, 110, -37, 13, -9, 13, -2, 22, -50, 51, -67, 206 },
{ -20, -2, -7, 24, 17, -6, -11, -57, 19, -21, 8, 26, 16, 89, -40, -17, 15, 11, -13, 21, -76, -90, 29, 84, -22, -13, 15, -21, 9, 87, 100, 118, 54, -29, 22, -4, -7, 23, -64, 91, -107, 103 },
{ 43, -31, -15, 21, 11, -5, 4, -40, -4, -19, 15, 28, -13, 79, 13, -32, 36, 18, -38, 35, -54, -109, 16, 91, -23, -9, -10, 24, 13, 93, 78, 150, 146, -12, -17, 14, 8, -11, -29, 61, -119, 126 },
{ 4, -16, -16, 18, 11, -7, 22, -38, -12, -17, 27, -31, 13, 42, 66, -53, 17, 4, -30, 50, -24, -112, -35, 17, 56, -8, -10, -27, 26, 97, 79, 185, 155, 37, -29, -27, 39, 12, 12, 19, -116, 189 },
{ 14, -15, -8, 17, 25, -14, -6, -60, 35, 28, 23, 7, 16, 80, -92, 53, -8, -13, 18, 29, -60, -83, 98, -21, -10, -7, 15, -12, -12, 45, 175, 165, -86, 40, 16, 5, -10, 26, -71, 65, -105, 198 },
{ -4, 16, -30, 29, 15, -5, 9, -80, 43, -8, 15, 31, -22, 94, -75, -11, -12, 19, 13, 38, -39, -110, 62, 95, -16, -18, 17, -43, 16, 42, 150, 228, -33, -49, 35, -32, 23, 5, -41, 107, -115, 214 },
{ 35, -46, -18, 20, 18, -21, 35, -64, 18, 2, 56, 35, -31, 80, -15, -46, -25, 35, -17, 30, -14, -119, 29, 124, -31, 13, -9, -45, 35, 81, 107, 245, 44, 47, -26, 14, 6, -15, -18, 66, -146, 203 },
{ 7, 7, -39, 25, -9, 27, 11, -31, -23, -55, 7, 55, -31, 37, 72, -99, 9, 17, -34, 23, 43, -144, -28, 52, 78, -7, -17, 57, 44, 103, 90, 240, 118, 127, -94, 44, -12, 17, -43, -22, -107, 203 },
{ 9, -22, 8, -18, 65, 56, -15, -32, 19, -32, 31, -69, 37, -22, 57, -130, -28, 14, 12, 46, 33, -33, -47, 85, 163, 9, 72, -35, -14, 23, 145, 161, 170, 55, -76, 45, -37, -12, 60, -65, 20, 269 },
{ 17, -32, 63, -19, 26, -46, 31, -37, 40, -34, -13, 60, -28, 57, -171, 79, 38, 33, 19, -26, -31, -68, 137, 11, -48, 26, 19, -53, 57, 35, 213, 302, -70, 83, 42, -10, -49, -45, -34, 22, -94, 192 },
{ -20, 8, -31, -17, 31, -25, 66, -106, 81, 38, 47, 75, 69, 39, -79, -48, -20, 43, -37, -40, 40, -153, 186, 89, -59, 10, -26, 52, 47, 90, 112, 310, 23, -87, 73, -45, -36, 9, -58, 60, -81, 168 },
{ -5, -24, 40, -82, -39, 112, 37, -39, -39, -18, 28, -25, 58, -41, 39, -140, 37, 83, -33, -69, 82, -78, 94, 190, 147, -93, -27, -41, 40, 77, 158, 239, 197, -124, -99, -66, -85, 43, 98, 68, 316, 105 },
{ 2, -4, 3, -8, 5, -3, -2, -2, 4, -5, 1, -7, 8, -7, 2, -9, 5, 2, 2, 4, -6, 15, 2, 1, 4, -8, -2, -8, 18, -12, 39, -4, 13, -8, -1, -6, 4, 3, -5, 10, -6, 37 },
{ 3, -5, 14, -11, 7, -6, -1, -3, 6, -6, 2, -13, 14, -9, 2, -12, 6, -6, 8, 6, -11, 14, 6, 2, 4, -15, 10, -11, 27, -16, 47, 25, -5, -7, -3, -5, 2, 4, -7, 18, -13, 16 },
{ 10, -4, 5, -6, 5, -4, -3, -7, 12, -6, 5, -19, 23, -6, 12, -5, 7, -7, 16, 23, -15, -18, -2, -8, 5, -6, 6, -20, 15, -38, 43, 76, 35, -13, 4, -6, 1, 8, -19, 41, -58, 86 },
{ 3, -13, 24, -11, 7, -6, 4, -6, 5, -6, 3, -13, 12, -9, 6, -6, 7, -9, 10, 8, -14, 7, -9, 4, 4, -12, 13, -13, 42, -20, 58, -8, 40, -11, 14, -13, 10, 4, -12, 25, -24, 22 },
{ 1, -6, 7, -8, 7, -4, 18, -10, 19, -9, 8, -21, 18, -13, 15, -4, 6, -8, 18, -5, 41, -28, 5, -12, 7, -9, 15, -24, 21, -43, 31, 44, 69, -22, 32, -14, 5, -1, -15, 40, -74, 103 },
{ 9, -7, 8, -10, 9, -6, 8, -17, 6, -11, 13, -31, 25, -14, 23, -7, 8, -6, 12, 5, 35, -39, -9, -9, 34, -11, 16, -30, 28, -50, 46, 83, 40, -36, 13, -15, 5, -2, -14, 45, -85, 116 },
{ 4, -6, 20, -13, 7, -6, 21, -4, 5, -7, 4, -16, 12, -7, -5, -2, 5, -6, 10, 8, -6, 25, 5, -5, 4, -9, 16, -11, 48, -25, 67, -16, 55, -9, 16, -12, 12, 6, -22, 40, -53, 60 },
{ 1, -7, 5, -2, 4, 4, -3, -8, -1, -3, 5, -31, 30, -17, 19, -14, 7, -18, 35, -20, 40, -16, 15, -13, 6, -12, 10, -17, 49, -32, 20, 37, 81, -10, 19, -11, 5, -8, -7, 34, -78, 138 },
{ 2, -10, 5, -9, 10, -6, 14, -19, 18, -7, 13, -40, 27, -15, 24, -14, 15, -31, 45, -19, 39, -46, 38, -20, 8, -12, 16, -20, -32, 92, 25, 46, 60, -43, 15, -10, 8, -11, 28, 31, -84, 139 },
{ 4, -13, 7, -7, 14, -20, 33, -33, 6, -19, 37, -55, 30, -19, 31, -19, 24, -35, 32, 7, 55, -59, 47, -35, 14, -22, 16, -29, 72, -40, 55, 42, 75, -21, 20, -21, 13, -23, 66, 13, -80, 143 },
{ 7, -6, -1, -5, 6, 3, -3, 5, 6, -7, -8, -14, 11, -7, -11, -4, 7, 12, 10, 10, -4, 23, 7, -7, 7, -9, 13, -12, 25, -28, 97, -19, 42, -5, -5, -5, -6, 15, -34, 49, -56, 107 },
{ 1, -3, -4, 5, 3, -7, 7, -14, 2, -10, 20, -27, 23, -6, 8, -5, 5, -14, 32, -10, 37, -18, 42, -25, 2, -5, 17, -28, 68, -45, 30, 35, 61, -7, 36, -17, 4, -10, 7, 69, -78, 210 },
{ 2, -6, 22, 2, 4, -13, 13, -14, -5, 5, 16, -39, 28, -18, 14, 8, 10, -39, 72, -10, -16, -24, 23, -32, 9, -21, 15, -28, -45, 138, 37, 47, 24, 90, -9, -15, 6, -13, 14, 37, -64, 175 },
{ 5, -12, 12, -7, 2, -28, 19, -21, -3, 55, 18, -58, 33, -21, 40, -25, 19, -53, 75, -19, 13, -74, 46, -42, 41, -24, 29, -33, -32, 157, 81, 30, 71, 144, -18, -10, 12, -10, 12, -24, -74, 200 },
{ 8, -25, 23, -19, 22, -21, 43, -36, 11, -27, 34, -37, 18, -14, 28, -27, 23, -33, 59, 15, 60, 80, -77, -23, 94, -61, 15, -32, 36, -72, 110, 30, 135, 99, -28, -9, -7, -23, 60, -95, 102, 119 },
{ 3, -6, 3, -4, 10, -6, 6, -9, 6, -11, -11, -7, 7, 23, -5, -13, 10, -9, 17, 9, 32, -5, 8, -9, 7, -5, -7, 6, -21, -19, 96, 31, -23, 13, -17, 3, -12, 37, -23, 132, -53, 168 },
{ 1, -3, 2, 2, 6, -16, 46, -8, -6, -5, 5, -22, 16, 29, -18, 8, -7, -4, 12, 26, -18, 43, -6, -9, -9, 11, -9, -27, 83, -68, 68, -28, 85, 11, 13, -11, -10, 6, -13, 103, -88, 314 },
{ 2, -8, 6, -3, 5, -7, 6, 2, -10, -11, 34, -15, -4, 12, -14, 20, 7, -21, 20, 23, 40, -36, -7, -17, -13, -12, 6, -17, 62, -80, 92, 53, 57, 26, 49, -20, -7, 21, -31, 69, -57, 271 },
{ 3, 8, -8, 6, -16, 11, -35, 21, -35, 30, -32, 22, -11, -22, 49, 23, -6, -48, 70, 50, 30, -88, 10, -76, -19, 7, -24, 27, -76, 88, 149, 46, 50, 221, 45, -30, -16, 33, -53, 12, -80, 311 },
{ 4, -32, -16, 17, 23, -8, 82, -31, -19, -82, -13, 25, 69, -9, 38, -15, 16, -18, -54, 44, -16, 57, -82, -59, 104, 22, -12, 20, -22, 17, 39, 113, 169, 201, 144, -42, -17, 30, -29, -64, 23, 254 },
{ 1, -8, 8, -3, 8, -11, 21, -9, 4, 2, -17, -3, 17, 18, -11, 3, -14, 7, 14, 35, -13, 16, -5, 9, -14, 13, -24, 11, -59, -10, 68, 75, -32, 7, -16, 11, -40, 84, -33, 85, 85, 272 },
{ 2, -6, -9, 4, 12, -12, 59, -4, -13, -6, -12, -4, 50, 9, -26, 14, -5, -13, 30, 35, 17, 27, -17, -12, -18, -14, 35, -49, -35, -7, 79, 78, -46, 16, 57, -11, -23, 47, -33, 80, 48, 372 },
{ 1, -8, 8, -12, 6, -7, 9, 36, -12, -19, 22, -15, 10, 7, -18, 14, -10, -16, 21, -3, 24, 33, -16, -24, -25, -9, 38, -13, -70, 52, 43, 70, -22, 65, 83, -20, -12, 39, -50, 32, 58, 294 },
{ -61, -14, 24, -25, 119, -32, 32, -17, 61, 23, -5, -26, -25, 9, -16, 12, -30, 23, 29, -16, 51, 39, -47, -95, -20, -25, 38, -50, -38, 104, 51, 40, 107, 83, 158, -37, 17, -5, -73, 46, 74, 417 },
{ 4, -5, 2, -4, 5, -4, -2, -2, 3, -6, 1, -8, 9, -4, 3, -9, 4, 2, 5, 18, -5, -5, 8, -1, 3, -7, -3, -7, 17, -14, 43, 28, -5, -2, -1, -3, 1, 4, -6, 12, -14, 21 },
{ -1, -2, 7, -6, 3, 3, -14, -1, 8, -5, -1, -12, 22, -2, 7, -7, 5, -1, 10, 37, -23, -15, -3, 3, 4, -9, 7, -14, 15, -39, 53, 88, -7, -4, -3, -6, 12, 4, -12, 30, -44, 71 },
{ -1, -5, 10, -3, 6, -1, -8, -13, 8, -8, 9, -23, 29, 13, -6, -9, 4, 5, -4, 23, -39, -33, 71, -7, 9, -7, 6, -22, 26, -47, 63, 53, -23, 36, -5, -6, -1, 10, -15, 32, -50, 77 },
{ -1, -3, 7, -2, 2, 2, -3, -15, 4, -6, 11, -31, 29, 8, 9, -13, 7, -6, 10, 15, -22, -46, 43, -12, 8, -8, 8, -22, 22, -46, 56, 48, 61, -20, 7, -10, 2, 9, -19, 47, -75, 104 },
{ 2, -5, 6, -13, 3, -2, 21, -13, 3, -7, 14, -35, 34, -10, 24, -7, 12, -19, 29, -8, -8, -40, -8, -7, 6, -11, 15, -21, 7, -15, 94, 64, 75, -25, 13, -11, 3, 5, -17, 41, -70, 96 },
{ -4, -7, 11, 7, 15, -3, -18, -26, 9, -17, 7, -10, 29, 42, -27, 28, 26, 49, -5, 17, -50, -46, 26, -14, 17, -6, -8, -7, 36, -18, 61, 98, -25, 7, -9, 7, -2, 12, -24, 29, -30, 82 },
{ 16, -12, 3, 4, 21, -2, -4, -25, 6, -7, 16, -25, 27, 27, 27, -15, 4, 20, -7, 23, -33, -59, 65, -16, 9, -7, 11, -30, 30, -41, 58, 80, 66, -17, 28, -8, -4, 14, -23, 53, -83, 110 },
{ 8, -6, 5, 3, 4, -6, 3, -19, -3, -8, 17, -35, 26, 18, 21, -13, 12, -16, 20, 7, -21, -68, 52, -17, 8, -7, 4, -11, -9, 104, 27, 88, 117, -15, 15, -19, 1, 6, -9, 35, -83, 96 },
{ 5, -15, 8, -10, 11, 25, 8, -18, -2, -20, 18, -33, 25, -12, 29, -15, 22, -18, 9, 8, 47, -66, 55, -26, 33, -9, -3, -8, 34, -48, 59, 49, 159, 5, -9, -11, 6, -5, 13, 31, -72, 105 },
{ -3, 3, -3, 17, 14, -11, -17, -40, 15, -5, 8, 40, 22, 70, -41, 58, 3, -5, -9, 10, -64, -71, 40, -25, 17, -5, 8, 15, -12, 111, 68, 124, -46, 25, -14, 12, -4, 12, -48, 55, -67, 83 },
{ -8, 4, -6, 22, 21, -8, -14, -40, 5, -7, 9, -6, 25, 62, -16, -11, 22, -17, 20, -9, -47, -77, 19, 58, -14, -10, 11, -14, 14, 96, 64, 118, 87, -25, 18, -6, -7, 28, -56, 62, -86, 87 },
{ 5, -1, -16, 14, -17, 10, 8, -37, 9, -5, 17, -17, -20, 52, 11, -25, 30, 3, 38, 27, -39, -77, -16, 31, -15, 2, -9, -5, 21, 112, 67, 133, 183, -24, -9, 7, 3, -3, -19, 42, -92, 112 },
{ 4, -6, 4, -43, 42, -7, 15, -16, -7, -16, 29, -20, -8, 29, 45, -31, 12, -9, 15, 14, -9, -89, -22, 78, -12, -20, -19, 13, 31, 120, 79, 74, 119, 73, -31, 13, 10, -25, 9, 6, -95, 114 },
{ 17, -5, -21, 19, 17, -19, -19, -61, 20, -10, 10, 2, 34, 87, -61, 56, -6, 12, 21, -8, -74, -102, 66, -29, 10, 20, -16, -20, 9, 73, 138, 143, -44, -14, -19, 11, -6, 14, -32, 50, -37, 219 },
{ -7, 9, -6, 21, 30, -22, 8, -57, 16, -20, 6, 9, -8, 78, -21, -26, -13, 25, -24, 21, -47, -88, 49, 81, -18, 11, -12, 18, -20, 32, 140, 189, -36, -34, 21, -3, 19, 17, -57, 76, -71, 165 },
{ 38, 7, -22, 15, -3, -13, 20, -57, 16, -9, 21, -13, -13, 88, -16, -44, 29, -33, 53, 12, -35, -132, 57, 98, 33, -9, 13, -40, 39, 102, 103, 148, 125, -42, 10, -35, 9, 17, -20, 64, -106, 134 },
{ 9, -15, 6, 8, -4, -18, -50, -27, -18, -19, 12, 64, -21, 57, 33, -73, 25, 10, 89, 19, -9, -90, 21, 84, 77, -10, -41, -20, 15, 137, 141, 229, 118, 51, -62, -11, 16, -20, 55, -26, -30, 154 },
{ 8, -13, -28, 35, 14, 6, -29, -43, 22, -21, 25, -8, 15, 65, -87, 70, 17, -25, 39, -24, -45, -69, 93, -36, -29, 44, -44, 17, 19, 104, 200, 210, -60, 33, 43, -9, -24, 27, -45, 30, -89, 211 },
{ -22, 12, -28, 34, 22, -11, 19, -82, 49, 41, -11, -28, 53, -32, 41, -59, -14, 47, 57, 47, 10, -101, 101, 37, -32, -12, -25, -20, -49, 14, 78, 253, 86, -64, 23, 8, 20, -33, -30, 65, -66, 186 },
{ -11, 31, -38, 18, 20, -13, 16, -34, -26, 30, -35, 29, 33, 63, -34, -49, -34, 41, -57, 40, -52, -88, 73, 153, -60, 25, 3, -32, 65, 81, 229, 220, 69, -47, 87, 23, 13, -18, -59, -59, -105, 232 },
{ -30, 24, 38, 21, -24, -38, 77, -40, -33, -42, 76, -55, 89, -20, -40, -102, 20, 17, -43, 101, -42, 40, 64, 113, 43, -39, -39, -59, 58, 140, 253, 271, 241, -37, -109, -23, -35, 48, 36, 57, -34, 108 },
{ 1, -2, 2, -5, 3, 1, -7, 3, 3, -3, -2, -7, 9, -6, 2, -4, 3, 2, 2, 6, -6, 21, -2, 3, 1, -2, 1, -10, 7, -19, 81, -8, 24, -8, 6, -3, -1, 4, -10, 16, -11, 95 },
{ 1, -7, 13, -6, 3, 7, -4, -4, 4, -8, 8, -9, 8, -6, 2, -4, 2, 2, -3, 14, -10, 7, -5, 3, 2, -4, 5, -13, 10, -25, 81, -11, 40, -11, 5, -4, -3, 7, -16, 22, -17, 98 },
{ 1, -5, 3, -3, 3, 1, -4, -4, 21, -4, 4, -15, 11, -7, 9, -4, 2, 2, -2, 16, -7, -6, -11, 5, -2, -5, 7, -14, 13, -31, 95, 66, 41, -11, 5, -7, -1, 8, -22, 36, -48, 61 },
{ 1, -10, 29, -8, 4, -13, -3, -6, 5, -5, 15, -8, 7, -8, 16, -4, 3, 4, -12, 20, -14, 13, -11, 8, -12, -4, 6, -17, 16, -30, 85, -18, 66, -12, 25, -8, -6, 7, -15, 23, -17, 57 },
{ 1, -5, 4, -6, 4, 2, -3, -5, 3, -5, 5, -18, 13, -8, 8, -11, 5, -4, 6, 11, 16, -10, 13, -5, 3, -5, 8, -19, 21, -37, 70, 40, 51, -10, 32, -10, -2, 7, -20, 41, -60, 72 },
{ 1, -4, 4, -10, 3, 4, -4, -9, 4, -7, 15, -33, 22, -9, 10, -9, 6, -4, 9, 26, -6, -20, 47, -10, 4, -6, 7, -19, 29, -57, 28, 65, 83, -13, 5, -11, 1, 3, -19, 40, -65, 95 },
{ 4, -7, 24, -16, 5, 6, -6, 4, 5, -4, -4, -13, 7, -9, -4, -8, 9, -9, 9, 16, -9, 12, 4, -1, 5, -5, 2, -10, 39, -28, 99, -22, 53, -10, 15, -5, 6, 5, -15, 20, -14, 91 },
{ 2, -6, 4, -3, 6, -9, 6, -7, 3, -8, 12, -26, 16, -13, 12, -14, 5, -7, -2, 18, 26, -8, 4, -7, 3, -7, 10, -18, 24, -43, 90, -7, 86, -12, 6, -5, 4, -2, -9, 27, -57, 87 },
{ 3, -7, 3, -8, 6, -4, 13, -15, 5, -8, 15, -33, 15, -9, 14, -11, 11, -15, 11, 14, 12, -31, 12, -15, 5, -12, 19, -22, 29, -58, 28, 38, 94, -13, 9, -7, 4, -8, -7, 24, -60, 97 },
{ 1, -4, 2, -49, 62, -4, 15, -20, 6, -14, 24, -29, 15, -11, 15, -17, 15, -17, 13, 1, 24, -34, 21, -29, 9, -15, 14, -26, 40, -54, 25, 54, 144, -16, 18, -17, 8, -27, 15, 31, -50, 64 },
{ 6, -7, -10, -6, 9, 6, -7, 7, 8, -9, -14, -17, 10, -10, -7, -19, 8, 4, 6, 28, -13, 20, 5, -5, 10, -7, -5, -8, 13, -36, 139, -31, 16, -9, -2, -5, 11, 6, -13, 54, 27, 76 },
{ 2, -7, 4, -3, 2, 9, -5, -8, 4, -5, 3, -25, 17, -7, 4, -7, 4, -11, 16, 13, 20, -10, 9, -14, 7, -12, 7, -11, 20, -66, 44, -21, 91, -5, 27, -7, 2, -24, 41, 44, -50, 143 },
{ 23, -69, 25, 1, 49, -15, 11, -12, 18, -7, 25, -49, 30, -23, 26, -25, 12, -31, 35, 16, -13, -6, 60, -23, 9, -11, 13, -46, 95, -60, 81, -51, 33, 80, -15, -3, 10, -13, 13, 15, -60, 144 },
{ 4, -11, 2, -30, 21, -20, 30, -23, 42, -25, 31, -34, 12, -29, 19, -51, 28, -41, 39, 32, 66, -29, 24, -43, 11, -18, 7, -27, 74, -45, 76, -25, 142, 123, 28, -21, 11, -14, 39, -29, -46, 102 },
{ 6, -21, 17, -15, 27, -22, 37, -26, 12, -31, 17, -29, 23, -29, 27, -17, 38, -31, 21, -8, 38, -30, 83, -34, 102, -18, 14, -16, 77, -48, 89, -38, 233, 12, 107, -16, 19, -123, 48, -37, -53, 60 },
{ 5, -10, 4, -19, 11, 26, -8, 2, 9, -15, -9, -15, 18, -10, -7, -9, 13, -14, 15, 15, -8, 13, 11, -16, 12, -5, -9, 3, -10, -32, 64, -32, 52, -9, -5, -3, -6, 46, -21, 117, -29, 92 },
{ 2, -7, 10, 4, 8, -15, 12, -5, -9, -3, 29, -25, 25, -18, 14, -12, 4, -14, 12, 11, 33, -4, -13, 18, -7, -5, 6, -22, 67, -61, 57, -25, 90, -7, 64, -15, 2, -12, -7, 92, -60, 215 },
{ 2, -7, 5, -36, 42, -11, 17, -19, 7, -5, 11, -35, 15, -30, -11, 9, 11, -26, 20, 30, 8, -19, 31, -20, -9, -15, 18, -30, 82, -90, 98, -33, 78, 67, 54, -16, 7, -8, -8, 27, -48, 213 },
{ 2, 10, -22, 20, -8, 7, 8, -24, 18, -30, 26, -20, -8, 27, -13, 12, 18, -55, 29, 61, -22, -56, 42, -44, -6, -17, 39, -16, -68, 180, 144, -20, 31, 249, 15, -10, 21, -13, -44, 17, -52, 232 },
{ 2, -7, 7, -3, -6, 1, 46, 4, -15, 7, -14, -11, 15, 33, -9, -15, -10, -5, 20, 6, 55, -18, 10, 8, -15, 13, -11, 7, -44, -27, 75, 67, -42, 4, -14, 10, -38, 71, -25, 83, 67, 202 },
{ -2, -2, 28, -26, -35, 4, 97, 3, -18, 3, -22, -18, 78, 4, 7, -12, -24, 33, 9, -5, 13, 41, -5, 7, -16, 18, -66, -8, -69, 69, 55, -10, 46, -16, 62, -12, -23, 41, -24, 48, 64, 251 },
{ -1, 10, -4, 2, 52, -13, -6, 11, -4, 10, -16, 3, 7, 2, -23, 7, -12, -15, -27, 29, 11, 21, -6, -7, -20, -12, 43, -15, -42, -65, 86, 73, -22, 96, -10, 97, 12, -33, -41, 24, 71, 258 },
{ -2, -3, 4, 6, 2, 4, -9, -6, 8, -3, 11, -14, 16, 4, 4, -4, 17, 4, -4, 21, -23, -10, -3, 4, 2, -3, 4, -15, 19, -41, 37, 93, -9, 17, -3, -3, -2, 8, -16, 27, -33, 46 },
{ -5, -3, 3, 2, 17, 6, -7, -9, 10, -7, 8, -25, 22, 7, 7, -6, 5, 4, -4, 30, -32, -18, -6, 5, 15, -4, 4, -23, 32, -64, 62, 133, -11, 17, -5, -6, -4, 9, -16, 32, -46, 75 },
{ -1, -6, 3, 2, 3, 2, -4, -12, 17, -7, 9, -24, 18, 6, 10, -5, 5, 2, -4, 27, -20, -19, -10, 22, 3, -5, 7, -24, 32, -57, 45, 112, 58, -12, 17, -11, 4, 8, -19, 40, -63, 89 },
{ 3, -5, -2, 4, -3, 10, -3, -7, -4, -3, 10, -33, 20, -14, 20, -6, 5, -5, 27, 27, -11, -19, -10, -2, 2, -9, 12, -26, 31, -56, 34, 107, 100, -15, 4, -7, 9, 10, -22, 49, -71, 96 },
{ -1, -5, 8, -5, 6, -4, 18, -17, 3, -7, 6, -22, 14, 22, 8, -14, 4, 7, 18, 25, -21, -49, 91, 24, 6, -7, 7, -30, 32, -58, 57, 61, -36, 13, -13, -4, 2, 3, -6, 24, -39, 75 },
{ 0, -4, 4, -7, 5, -6, 7, -16, 3, -8, 9, -28, 12, 16, 10, -13, 4, 5, 22, 22, -14, -43, 75, -6, 6, -12, 5, -24, 28, -39, 152, 73, -24, 31, -5, -9, -2, 6, -14, 34, -57, 90 },
{ 2, -6, -2, 5, 28, -13, 2, -17, -4, -6, 21, -37, 34, -8, 28, -16, 7, -8, 72, 18, -17, -32, -13, 55, -9, -5, 20, -27, -3, 63, 92, 53, 154, -22, 11, -7, -2, 7, -12, 38, -81, 96 },
{ 3, -8, 4, -3, 10, -10, 17, -18, 1, -17, 20, -25, 12, -7, 20, -17, 17, -9, -4, 8, 20, -48, 55, -16, 5, -13, 11, -28, 53, -69, 49, 83, 168, -16, 6, -7, 5, -15, 3, 22, -72, 101 },
{ 27, -5, -11, 8, 8, 21, -5, -29, 54, -9, 7, -14, 26, 44, -14, -5, 9, -14, 68, -21, -30, -70, 28, -17, 12, -10, 6, -17, 36, -36, 80, 119, -33, 43, -23, 8, -2, 15, -25, 31, -54, 83 },
{ 67, -31, -37, 8, 76, -5, 18, -23, 8, -19, 9, 8, -8, 27, -7, -10, 29, -6, -15, 19, -11, -51, 97, -12, -12, -3, 6, -13, 29, -25, 188, 83, 93, -14, 16, -12, -3, 17, -26, 40, -74, 105 },
{ 5, -5, -8, 8, -3, 6, 4, -28, -5, 54, 7, -30, 25, 41, 17, -21, -29, 8, 53, 17, -28, -83, 83, 45, -13, -31, 30, -17, -14, 132, 49, 90, 197, -14, 43, -11, 5, 5, -15, 46, -91, 103 },
{ -11, 10, 36, -17, -2, -13, 25, -21, 48, -4, 18, -31, 12, -39, 39, -16, -61, 22, 66, 17, 98, -53, -21, 89, -6, -35, -15, -17, 38, -67, 88, 144, 208, 77, -19, -15, 11, -9, 21, 36, -74, 110 },
{ 3, 5, -15, 16, 8, -69, 10, -34, 10, -4, 76, -21, -26, 63, -37, 69, -5, 10, 13, 44, -54, -81, 42, -36, 17, -18, 14, -20, -20, 101, 104, 111, -80, 15, -19, 53, 22, -34, -12, 37, -50, 223 },
{ 7, -7, -20, 23, 80, 7, -7, -42, 42, -15, -15, 18, 11, 68, -17, -40, -9, 17, -17, -13, -13, -88, 36, 87, -27, 53, 15, -22, 55, -45, 77, 153, -29, 67, 10, -17, 3, -5, -28, 30, -66, 91 },
{ 2, 9, -29, 30, 6, 20, -3, -44, -20, -13, -40, 3, 25, 84, 33, -31, 8, 27, -16, 43, -44, -91, 15, 200, -28, -23, 21, -58, 55, -55, 114, 88, 155, -22, 17, -32, 8, 9, -25, 77, -92, 112 },
{ 6, -32, -28, 21, 21, 12, 15, -38, 64, -13, -22, -16, 35, 44, 13, -22, 14, 12, -20, 47, -36, -72, -56, 130, 97, -53, -15, -18, -31, 181, 108, 122, 100, -22, -49, 16, 25, -18, 34, -5, -33, 212 },
{ -4, 140, -3, 5, -54, 26, -56, -21, 26, -32, 17, -27, -32, 55, 35, -85, 51, -33, 42, 46, -26, -60, -71, 159, 23, -34, 30, -85, 30, 183, 83, 143, 189, 51, -78, 18, -69, -6, 65, -119, -92, 168 },
{ -18, 27, -17, 27, 21, 16, -33, -43, 17, -10, -21, 11, 19, 92, -108, 171, -14, 32, 19, 26, -98, -125, 80, -64, 9, 103, -46, 27, -28, 118, 199, 175, -71, 40, -52, 27, 10, -8, -54, 59, -80, 212 },
{ -23, 14, -29, 24, 29, -71, 29, -51, 36, 18, -24, 27, 15, 52, -53, -49, -38, 24, -34, 45, 41, -106, 110, 172, -81, 37, 37, -62, -40, -65, 148, 215, 47, -74, 30, 24, -78, -96, -30, 54, 145, 251 },
{ -2, -6, 1, 1, 25, -24, 7, -5, 49, 8, -1, -14, 6, 109, -4, -13, -4, -8, 5, 15, -6, 61, 1, 74, -5, 4, -12, 5, 8, -47, 51, -28, 12, -8, 76, -30, 5, -23, 63, 104, -47, 146 },
{ 3, -3, -4, -3, 1, 6, 0, 5, 2, -6, 5, -15, -6, -12, 4, -7, 1, 9, -9, 27, 29, 24, -8, 7, 1, -4, 10, -23, 29, -47, 97, -45, 26, -20, 8, -5, 1, 20, -11, 14, -9, 138 },
{ 2, -3, -7, -2, 2, 4, 6, 3, 3, -4, 2, -11, -6, -9, 1, -5, -1, 9, -7, 23, 29, 20, -5, 5, 1, -6, 10, -22, 24, -41, 76, -37, 20, -18, 8, -4, 15, 6, -16, 22, -20, 162 },
{ 1, -2, -2, 1, 0, 5, -2, -2, -1, -3, 5, -11, -3, -3, 4, -4, -2, 5, -8, 19, 3, 47, -3, 20, 2, -4, 8, -18, 25, -37, 67, -16, 10, -10, 32, -3, -2, 8, -16, 21, -18, 137 },
{ 3, -3, -6, -3, 2, 6, -3, 3, 4, -4, 1, -13, -1, -10, -1, -4, 3, 5, -7, 20, 13, 16, -2, 5, 3, -7, 8, -20, 21, -39, 95, -34, 18, -17, 6, -7, 21, 8, -17, 26, -25, 176 },
{ 2, -3, -5, 0, -1, 9, -6, 2, 10, -6, 5, -18, 6, -6, 1, -5, -1, 4, -8, 24, -3, 4, 24, -4, 2, -4, 7, -13, 19, -37, 66, -15, 78, -7, 20, -5, -1, 4, -13, 17, -24, 58 },
{ 2, -5, 2, -3, 8, 8, -3, 14, -3, -4, 6, -21, 7, -8, 8, -7, 2, 3, -9, 26, -3, 30, -5, -3, 2, -5, 10, -20, 28, -43, 98, -7, 103, -8, 29, -6, -3, 8, -17, 29, -38, 47 },
{ 3, -4, -6, -3, 3, 6, -3, 3, 4, -4, -5, -12, 15, -9, -4, -3, 4, 3, -2, 19, 14, 14, 4, -3, 5, -5, 16, -10, 15, -38, 107, -31, 13, -10, 16, -5, 21, 3, -9, 15, -18, 171 },
{ 2, -4, 14, -8, 11, 5, 1, -3, 3, -4, 9, -20, 4, -8, 3, -3, 4, -3, -6, 23, 21, 5, 4, -6, 3, -5, 4, -12, 19, -41, 86, -19, 87, -7, 5, -5, 3, 24, -9, 15, -30, 48 },
{ 2, -2, -1, -5, 6, 3, 4, -6, 3, -5, 9, -19, 3, -8, 9, -13, 5, -3, -4, 18, 9, -5, 39, -7, 2, -5, 4, -13, 29, -47, 85, -10, 101, -6, 48, -16, -2, 4, -10, 20, -40, 59 },
{ 3, -6, 4, -48, 8, -6, 14, -16, 4, -17, 21, -25, 14, -11, 12, -20, 12, -10, 3, 8, 14, -13, 9, -20, 8, -4, 6, -21, 29, -33, 67, 46, 107, 32, -10, -7, 3, -18, 11, -14, -14, 153 },
{ 4, -6, -6, -4, 7, 5, -4, 3, 6, -6, -9, -16, 9, -10, -6, -14, 6, 4, 3, 20, -7, 18, 4, -4, 8, -5, 3, -11, 6, -30, 95, -25, 39, -6, -1, -5, 8, 5, -13, 42, 44, 94 },
{ 1, -16, 61, -3, 4, -2, 4, -8, 5, -3, 8, -24, 17, -14, 6, -4, 6, -7, -7, 24, -4, 18, 13, -7, 3, -5, 6, -9, 19, -54, 32, -34, 103, -7, 6, -6, 2, 13, -10, 14, -41, 81 },
{ 2, -4, 4, -5, 4, -4, 12, -14, 9, -11, 23, -33, 18, -15, 7, -19, 10, -12, -2, 21, 4, -10, 17, -13, 5, -10, 12, -17, 37, -66, 39, -29, 84, -4, 42, -18, 3, -12, 5, 42, -42, 78 },
{ 4, -13, 10, -5, 11, -11, 19, -17, 7, -16, 17, -27, 19, -15, 11, -19, 18, -15, 13, -29, 11, -11, 16, -20, 66, -9, 2, -16, 36, -58, 55, -34, 195, -17, 79, -28, 8, -16, 31, -13, -50, 65 },
{ 8, -107, 9, -84, 49, -18, 34, -25, 11, -21, 18, -16, 11, -18, 15, -75, 36, -20, 10, 17, 36, -16, 21, -36, 106, -12, 6, -29, 26, -65, 94, -52, 213, 73, 90, -45, 9, -25, 60, -31, -31, 145 },
{ 3, -7, 4, -5, 7, 3, -7, 13, 7, -8, -5, -17, 17, -10, -13, -6, 8, -5, 10, 11, 2, 34, 9, -12, 9, -3, -8, -7, 23, -22, 104, -16, 20, -6, -3, -4, -7, 7, -13, 76, -16, 147 },
{ 2, -5, 38, -2, 4, -12, 9, -14, 7, 3, 14, -25, 13, 21, -3, -8, 20, -11, 9, 36, -26, 13, 5, -9, 2, -8, 6, -18, 83, -63, 65, -37, 80, -7, 9, -10, -11, 4, -13, 93, -35, 123 },
{ 2, -7, 6, -3, 10, -17, 22, -22, 12, -9, 26, -43, 30, -21, 6, -66, 13, -30, 27, 11, 3, -9, 18, -7, -6, -13, 16, -26, 87, -66, 70, -39, 66, 39, 40, -11, 6, -16, 29, 39, -43, 131 },
{ -59, 6, 29, -1, -22, 18, 6, -2, -13, 11, 6, -13, 28, -34, 4, 8, 11, -12, 21, 19, 14, 65, -14, -20, -19, -18, -16, -10, 28, -99, 94, -22, 147, 153, 63, -18, 5, -9, 19, 96, -57, 130 },
{ 1, -8, 10, -5, 3, -4, 52, -10, 0, 5, -12, -34, 83, 1, -7, -27, -2, -10, 33, 28, -19, 7, 12, 6, -7, 5, -16, 12, -17, -35, 64, -30, 34, -10, 7, -8, -28, 71, -37, 110, -8, 290 },
{ 2, -6, 8, -6, 3, 72, -23, 61, 24, 5, -9, -14, 61, 9, -6, -56, -12, -21, 16, 13, 62, 5, -10, -17, 10, -60, 26, -4, -38, -38, 54, 126, -39, 66, -23, 10, -22, -13, -6, 11, 48, 204 },
{ 4, -14, -11, 9, 8, 4, 55, -10, 35, -9, 12, -27, 17, 5, -23, -24, -7, -13, 14, 32, -27, 22, -14, 39, -36, -20, 29, -17, 64, -98, 114, -37, -16, 61, 66, 57, 12, -30, -17, 11, 25, 226 },
{ 12, 10, -15, 32, -19, 11, 14, -26, 114, 124, -25, -26, 28, -41, 12, 25, 13, -87, 7, -88, 33, 33, -12, -67, -33, 76, -34, 53, -44, -73, 76, -20, 75, 227, 192, -47, 9, -88, 134, -53, 21, 302 },
{ 1, -2, -2, -1, 7, 5, -1, 2, 9, -4, 5, -13, -4, -9, 4, -3, -2, 9, -13, 26, 30, 18, -9, 5, -1, -3, 9, -20, 28, -44, 87, -37, 22, -14, 6, -3, 1, 20, -8, 9, -9, 112 },
{ 1, -2, -2, 1, -1, 6, -2, -1, 0, -2, 5, -14, -2, -3, 21, -1, -2, 6, -11, 24, 29, 8, -5, 16, 1, -3, 8, -17, 25, -41, 76, -23, 12, -7, 2, -1, 2, 3, -9, 9, -10, 122 },
{ 1, -2, -3, 1, 4, 6, -1, -6, -3, -2, 2, -13, -5, 11, 3, -2, 5, 5, -7, 19, 19, -12, -6, 3, -1, -3, 6, -18, 22, -33, 79, 104, -4, 2, -4, -3, -1, 4, -7, 10, -10, 110 },
{ 1, -2, -2, 2, 2, -6, 3, -5, -3, -4, 8, -11, -6, 6, 5, -1, 8, 5, -10, 18, 6, -10, -7, -1, 7, -5, 11, -23, 32, -41, 96, 63, 62, -6, 2, -2, -4, 7, -15, 21, -29, 34 },
{ 1, -2, -8, 2, 1, 5, -3, -12, 3, -5, 10, -22, 9, 14, -4, -5, 4, -9, 30, 17, -9, -19, 9, -4, 4, -5, 9, -20, 22, -34, 139, 207, -22, 14, -12, 3, 1, -13, -3, 14, -21, 39 },
{ -1, -4, 3, -4, 35, -13, 3, -8, -4, -6, 13, -20, 6, 8, 6, -4, 7, 5, -10, 22, -7, -14, -6, -4, 2, -4, 11, -22, 30, -36, 110, 162, 81, -6, -6, -7, -7, 5, -13, 25, -35, 41 },
{ 3, -5, -7, 4, 2, 3, 10, -12, -2, -7, 12, -22, -5, 10, 10, -6, 5, 4, -9, 24, 9, -28, 47, -8, 2, -8, 10, -26, 38, -56, 25, 116, 120, -12, 25, -15, 1, 5, -12, 29, -44, 58 },
{ 23, -7, 43, -22, 2, -4, 16, -16, 6, -10, 17, -31, 15, -9, 10, -14, 9, -5, 4, 7, 18, -19, 22, -11, 40, -5, 5, -21, 26, -36, 105, 18, 165, -13, 13, -24, 2, -16, -10, 25, -48, 60 },
{ 2, -16, -5, 3, 7, -12, 15, -24, 8, -3, 10, -25, 9, 24, -11, -8, -7, 8, 38, 16, -12, -39, 123, 87, -16, 3, 11, -31, 28, -32, 75, 67, -45, 24, -11, 5, -24, -17, -6, 19, -37, 64 },
{ 2, 3, -10, 9, -4, -8, 12, -22, -5, 34, 15, -18, 27, 26, 9, -9, -19, -8, -16, 25, -7, -44, 56, -12, 5, -5, 10, -14, 36, -40, 30, 98, 119, -13, 6, -8, 3, 5, -19, 20, -49, 65 },
{ 7, -5, -11, 6, 33, 8, 13, -19, -5, -16, 9, -26, -5, 31, 5, -8, -7, 11, -10, 28, -7, -41, 67, -10, 25, -20, 10, -27, 40, -59, 57, 167, 193, -16, 20, -4, 4, 3, -16, 42, -63, 79 },
{ 3, -6, 45, -18, 12, -14, 20, -15, -4, -15, 17, -15, -7, 19, 17, -11, 11, 2, -13, 19, 41, -42, 49, -15, 40, -7, 10, -22, 52, -79, 83, 103, 216, 58, -15, 3, 2, 4, -32, 23, -59, 58 },
{ 13, -88, -1, -7, 10, 76, 13, -23, 11, -15, 9, -36, 11, 26, 52, -45, 25, -31, -22, -11, 157, -23, 15, -33, 87, -106, 11, -121, 29, -62, 87, -13, 276, 52, -21, -12, -11, -22, 47, -32, -26, 207 },
{ 7, -10, -38, 10, 14, -7, 10, -28, -44, -13, 9, -24, 14, 63, -17, 70, 17, -70, 43, 25, -53, -81, 100, -20, 10, -21, 17, -7, -11, 127, 90, 100, -25, 17, -11, 14, 8, -9, -18, 33, -49, 99 },
{ 4, 2, -11, 10, 65, 6, 3, -22, -16, -8, 7, -5, -10, 42, 24, -56, -12, 23, -22, 32, -16, -70, 190, -11, -9, 35, -5, -26, 39, -59, 77, 98, 187, -17, 21, -8, -4, 10, -11, 21, -43, 73 },
{ 5, 5, -20, 19, 7, -13, 13, -38, 28, -14, 7, -21, -10, 64, 23, -18, 6, 8, 81, 29, -29, -70, 68, 127, -14, -11, 20, -52, 48, -66, 92, 77, 154, -39, 26, -26, -6, 10, -21, 35, -46, 84 },
{ -31, 13, -37, -78, 24, -11, 21, -19, -8, 3, 16, -16, 19, 30, 20, -28, -12, 11, -24, 38, -67, 143, -69, 144, 26, -21, 92, -25, 42, -77, 149, 80, 101, -44, -10, -9, 5, -13, 16, 28, -35, 178 },
{ 16, -13, 33, -10, -166, 25, -184, -40, 30, 20, 103, -34, 29, 41, 104, -24, -84, 34, -41, 22, -58, -25, -62, -15, 59, 25, -40, 62, 102, -87, 202, 78, 237, 38, -71, 31, -19, -19, 51, -54, 47, 73 },
{ 5, 13, -34, -11, -10, 22, 16, 156, 14, 11, -48, -106, -30, 36, 15, -41, -78, -14, -24, 15, 47, -52, 47, 29, -15, -8, 23, -29, 153, -24, 78, 307, 87, -16, -125, -11, 52, 25, -30, 56, -47, 163 },
{ -54, -7, -20, 14, 28, 19, -18, -15, -12, -27, -8, -17, -23, 105, -67, 133, 45, 28, 29, 39, -100, -50, 80, -20, 14, -30, -18, 21, -24, 27, 145, 132, -91, 49, -29, 25, 10, -34, -42, 55, -79, 209 },
{ -11, -15, -20, 9, 47, 84, 55, -63, 24, -27, -65, -25, 25, 31, -44, -25, 5, 57, -36, 33, -34, -39, 88, -23, -20, -7, -54, -128, 14, -9, 255, 154, 89, -42, 46, -33, 6, 28, 88, -10, -10, 79 },
{ 13, 15, -17, -47, -20, 35, 28, -58, 25, -36, -30, -34, 22, 53, -53, -44, -78, 18, 90, -39, -32, -85, 75, 265, -53, -25, 7, -52, 24, 63, 161, 121, 55, 136, 6, 12, 23, -16, 8, 48, -103, 216 },
{ 2, -3, -3, -2, -1, 6, 36, 4, 10, -6, 5, -10, -12, -9, 4, -4, -2, 7, -9, 17, 21, 17, -8, 5, 10, -4, 9, -16, 23, -29, -23, -28, 20, -13, 6, -4, 17, 16, -5, 18, 88, -10 },
{ 2, -2, -3, -3, 15, 3, 4, 2, 24, -5, 4, -10, -9, -10, 4, -4, 10, 5, -7, 16, 18, 16, -7, 4, 9, -4, 9, -18, 22, -29, -16, -29, 21, -14, 7, -3, -1, 5, -13, 16, -13, 132 },
{ 2, -3, -2, -2, -2, 6, 32, 3, 11, -3, 7, -12, -8, -7, 31, -2, -3, 6, -10, 18, 15, 13, -4, 42, -2, -3, 9, -17, 22, -29, -15, -22, 13, -10, 41, 1, -2, 3, -11, 14, -12, 120 },
{ 2, -3, -1, -3, 1, 5, -1, 5, 17, -3, 4, -14, -4, -12, 3, -5, 1, 5, -7, 21, 7, 19, -6, 5, 7, -5, 9, -19, 24, -39, 82, -37, 22, -16, 7, -3, 22, 3, -10, 14, -17, 170 },
{ 2, -3, -2, -1, 8, 6, 13, 1, 3, -4, 5, -15, -4, -6, 2, -1, -1, 6, -10, 21, 5, 14, -4, 24, 12, -3, 9, -17, 25, -38, 71, -30, 16, -10, 5, -3, -1, 2, -9, 10, -14, 148 },
{ 2, -3, -3, 2, -5, 6, 1, -2, 1, -5, 10, -18, -2, -4, 1, -3, 2, 3, -10, 21, 10, 30, 35, 2, -3, -3, 6, -15, 26, -39, 61, -17, 104, -7, 37, -7, 2, -4, -3, 5, -8, 133 },
{ 2, -4, -1, -2, 0, 8, -4, 3, 2, -4, 5, -16, 3, -10, 1, -5, 2, 5, -7, 22, 17, 17, -3, 5, -2, -5, 4, -13, 20, -37, 109, -32, 15, -12, 5, -3, 20, 2, -8, 9, -12, 191 },
{ 1, -3, -2, 0, -1, 8, -1, 17, -2, -3, 5, -16, 1, -3, -2, -4, 17, 2, -6, 21, 28, 11, -4, 12, 2, -5, 6, -13, 21, -35, 79, -23, 11, -7, 46, -4, 2, -5, -6, 8, -13, 168 },
{ 3, -8, -5, 21, -2, 5, -8, 5, -25, -5, 8, -13, -3, -3, 25, -1, 2, 19, -8, 18, 7, 5, -4, 3, -11, -4, 5, -12, 25, -36, 53, -18, 101, -4, 38, -4, -3, 2, -15, 34, -10, 169 },
{ 2, -3, 3, -14, 2, -1, 7, -2, -1, -8, 16, -17, 18, -3, 4, -4, 4, -4, -6, 17, 5, 48, -9, 34, -3, -3, 6, -20, 28, -35, 12, -17, 164, -4, 50, -4, 1, -6, 5, -7, -8, 152 },
{ 1, -3, 3, -4, -1, 8, -7, 5, 2, -4, 5, -19, 12, -15, 2, -2, 3, 4, -6, 22, -5, 17, -4, 1, 4, -7, 3, -8, 14, -30, 100, -24, 7, -4, -4, 7, 3, -7, -3, 59, -9, 175 },
{ 2, -3, -4, 25, 3, -4, 4, -2, 11, -2, 9, -21, 8, -9, 8, -7, -6, 29, -5, 23, -3, 50, 10, -3, 3, -5, 6, -16, 28, -44, 15, -25, 71, -5, 41, -3, 2, -2, -5, 24, -14, 192 },
{ 3, -7, 5, -3, 3, 13, 4, -6, 5, -9, 15, -20, 2, -15, -5, -4, 10, -12, 10, 4, 12, -4, 9, -7, 6, -6, 5, -15, 27, -40, 18, -26, 83, -11, 28, -5, 6, -10, 13, -6, -13, 95 },
{ 5, -13, 11, -9, 10, -7, 17, -13, 5, -12, 13, -23, 13, -12, 12, -9, 12, -7, 10, 3, 75, -4, 12, -16, 9, -12, 6, -20, 36, -50, 38, -28, 138, -17, 56, -9, 7, -13, 22, -8, -22, 152 },
{ 4, -11, 9, -10, 19, 5, 3, 16, -13, -13, 18, -27, 25, -20, 13, -8, 16, -21, 14, 13, 12, -19, 28, -38, 12, -13, 14, -18, 31, -63, 67, -39, 198, 92, 80, -12, -62, -7, 27, -14, -38, 83 },
{ 1, -4, 6, -5, -3, 10, -7, 5, 4, -4, 7, -22, 13, -7, -1, -5, 4, -8, 29, 20, -10, 10, 5, -3, 4, -4, 2, -6, 16, -38, 18, -24, 84, -15, 10, -6, 4, -4, -9, 47, -12, 158 },
{ 2, -22, 30, -2, 6, 4, -6, -2, 69, 3, 4, -19, 15, -7, -5, -3, 3, -16, 11, 22, -11, 44, 12, -9, 5, -6, 7, -14, 61, -34, 35, -31, 58, -5, 6, -7, 36, -4, 15, -15, 54, 167 },
{ 2, -5, 8, -4, 13, -13, 14, -17, 11, -11, 20, -29, 21, -17, 7, -9, 31, -16, 14, 12, 4, -8, 18, -18, 10, -18, 19, -13, 25, -54, 56, -58, 46, -39, 14, -13, 6, -12, 19, 59, -42, 58 },
{ 1, -7, 13, -8, 3, 58, -5, -12, 4, 7, -17, 2, 50, 16, -14, -7, -7, -2, 11, 21, -26, 9, 4, -2, 8, -6, 3, -15, 48, -46, 60, -31, 34, -3, -2, -4, -23, 52, -14, 53, 38, 208 },
{ -5, -21, 11, 3, -32, 108, 37, -5, 11, -15, 40, -5, 32, -12, 20, -13, 9, -32, 38, -48, 14, 39, -2, -18, 23, 7, -24, 8, 89, -101, 113, -35, -12, 7, 62, -8, 14, -30, 28, 28, -51, 199 },
{ -20, -112, 5, 65, -5, 95, -13, -6, 6, 105, -14, 72, -17, 10, -12, 13, 40, -13, -41, 6, 36, 21, -8, -8, 32, -8, 25, -16, 112, -95, 75, -25, 92, 18, -19, 29, -69, 8, -34, 36, -43, 244 },
{ 2, -1, -5, 12, -1, 4, 5, 9, -2, -3, 6, -11, -11, -8, 5, -3, -3, 7, -9, 16, 21, 14, -9, 5, -1, -2, 5, -12, 18, -24, -25, -21, 15, -9, 4, -1, 22, -3, 34, -8, 16, -21 },
{ 3, -2, -5, 8, -2, 5, 5, 24, -1, -2, 6, -10, -11, -6, 4, -2, -4, 8, -12, 17, 19, 12, -8, 29, 6, -3, 7, -16, 22, -26, -21, -20, 15, -8, 30, 9, 2, -3, -1, -3, 25, -12 },
{ 3, -3, -3, 1, -2, 7, 2, -2, 21, -2, 7, -14, -7, -6, 2, -2, -3, 5, -10, 18, 17, 68, 28, -5, 3, -2, 6, -15, 23, -30, -15, -14, 69, -1, -2, 11, 1, -2, -2, -2, 28, 69 },
{ 2, -3, -3, 1, -2, 7, 2, -2, 15, -3, 7, -12, -7, -5, 3, -3, 1, 5, -9, 15, 18, 68, -4, 32, 1, -4, 5, -13, 19, -24, -20, -8, 75, -5, -4, 6, 1, -3, -5, 8, -7, 129 },
{ 2, -8, -6, 6, 19, 4, 5, -14, 2, -6, 9, -14, -6, 15, -3, 11, 3, 5, -14, 19, 5, -17, 4, -3, -4, -7, 5, -10, 23, -29, 106, 171, -11, 11, -3, -6, 2, 4, -4, -3, -5, 115 },
{ 3, -7, -10, 7, 13, 5, 7, -10, -3, -4, 8, -19, -11, 9, 8, -3, -2, 7, -7, 16, 8, -15, -12, 30, 2, -2, 3, -14, 19, -28, 59, 143, 67, -11, 15, -10, -8, 4, -5, 8, -5, 98 },
{ 3, -1, -6, 2, -5, 3, 6, -4, -7, -3, 8, -15, -3, 6, 5, -4, -1, 6, -13, 16, 13, -7, -8, 4, -4, -4, 8, -15, 26, -36, 59, 86, 99, -10, 3, -6, 1, 1, -6, 8, -7, 124 },
{ 4, -11, -11, 10, -1, 5, 6, -19, 4, 31, 6, -17, -5, 23, -13, -4, -4, -4, 54, 17, 3, -21, 9, 62, -4, 7, 10, -21, 15, -24, 121, 194, -16, 7, -12, -16, 1, -12, 41, 7, -9, 59 },
{ 5, 5, -10, 6, -8, 8, 8, -13, -8, -7, 12, -9, -9, 28, 4, -7, 3, 4, -16, 18, 4, -34, 4, -15, -13, -8, 11, -23, 31, -40, 33, 195, 147, -3, -56, -37, 21, -3, -3, 11, -15, 62 },
{ 1, 48, -22, 23, 4, -13, -43, 50, -10, -8, 10, -3, -6, 33, 25, -14, 4, 11, -15, 17, 23, -16, -21, 27, -4, -8, 9, -33, 50, -57, 47, 80, 217, -15, 13, -9, -34, -13, 27, 18, -47, 57 },
{ 6, -3, 42, 8, -11, 67, -31, -11, -23, -43, 39, 12, 13, 10, 40, 34, 6, 11, -29, 40, -43, -14, -30, -40, 32, -114, -10, -22, 55, -91, 115, 108, 315, -12, -25, -12, 13, -24, 41, 9, -38, 53 },
{ 3, -9, -7, 4, 16, -9, 22, -27, 9, -18, 25, -26, -7, 29, -10, -9, 6, -11, -9, 32, -15, -40, 135, 19, -15, 37, -2, 8, 82, 66, 185, 78, -44, 17, -21, 5, -10, 3, -8, -23, -22, 44 },
{ 5, -11, -14, 9, 15, 12, 9, -26, 3, -5, 13, -18, -19, 35, -8, -21, -36, -53, 3, 22, 4, -63, 57, 82, -13, -3, 16, -7, 83, -34, 57, 65, -16, 12, -38, 13, 6, -4, -29, 22, -16, 224 },
{ 19, 7, -8, 6, -4, -21, 17, -23, 109, -2, 4, -22, -41, 22, 18, -14, 41, 15, 71, 27, -9, -58, 119, 106, -16, -11, 16, -46, 36, -66, 72, 42, 163, -24, 17, -8, -3, 9, -6, 22, -18, 45 },
{ 4, 14, -18, 24, 21, 37, -50, -18, -16, -74, 69, -14, 27, 23, 51, -40, 70, 29, -22, 21, -44, -47, 132, 121, 16, -13, 10, -78, 50, -76, 138, -14, 173, -38, -14, -35, 19, -38, 12, 27, -46, 64 },
{ 199, -94, -21, 23, 25, 11, -20, -66, 39, -37, -26, 53, 47, 51, -68, 78, 53, 26, -62, -30, -75, -38, 105, -21, 51, -45, 23, 40, 92, 22, 153, 45, -72, -9, 11, 27, 23, -22, -75, -24, -69, 181 },
{ -9, 2, -38, 17, 11, 24, 11, -32, 27, 32, -13, -45, -8, 26, 10, -24, -100, -19, 173, -11, 34, -45, 86, 222, -23, 23, 29, -39, 33, -34, 66, 76, 34, -30, 23, 29, -12, -41, -18, -21, -17, 142 },
{ 2, -1, -5, -2, -1, 3, 7, 2, 11, -3, 3, -5, -18, -4, 38, -2, -1, 3, -5, 8, 30, 8, -5, 3, -1, -1, 3, -6, 9, -11, -33, -10, 8, -5, 2, -1, 10, -4, 6, -15, 27, -33 },
{ 2, -2, -4, -1, 12, 2, 6, 26, 11, -4, 2, -4, -16, -4, 2, -2, 16, 3, -5, 8, 26, 8, -4, 2, 17, -2, 4, -7, 8, -11, -29, -12, 8, -7, 3, -2, 30, -3, 36, -8, 19, -24 },
{ 2, -2, -3, -1, -1, 4, 3, 3, 3, -3, 4, -7, -11, -7, 3, -3, -1, 5, -6, 10, 21, 11, -7, 6, -1, -3, 5, -11, 14, -17, -22, -17, 12, -10, 5, -2, 15, 24, -5, 2, 109, -9 },
{ 3, -2, -4, -1, 9, 3, 6, -1, 2, -4, 5, -11, -9, -5, 27, -4, 10, 4, -6, 14, 16, 11, -3, 4, -1, -5, 5, -9, 12, -19, -20, -14, 85, -6, 26, -1, -1, 22, -5, 24, 50, 78 },
{ 2, -13, -6, 2, 1, 5, 3, -4, 0, -4, 6, -10, -9, -3, -1, -5, -2, 5, -8, 15, 18, 3, 20, 8, 14, -3, 6, -11, 15, -21, -17, -13, 101, -10, 42, -1, 1, -5, -2, 1, 57, 112 },
{ 1, -3, -2, -2, 0, 5, 19, 3, 2, -4, 5, -12, -4, -7, -1, -2, 2, 4, -8, 18, 9, 14, -6, 4, 10, -4, 6, -13, 20, -34, 72, -31, 16, -12, 5, -4, 2, 36, -8, 6, -5, 176 },
{ 2, -2, -6, -1, 4, 5, 1, 3, -1, -6, 7, -12, -3, -5, -2, -3, 2, 4, -7, 13, 13, 7, 7, 2, -4, -4, 7, -13, 20, -28, -5, -17, 91, -4, 66, -4, 2, 11, -6, 56, -8, 192 },
{ 2, -3, -1, -5, 7, 3, 22, -12, 2, -8, 7, -9, -6, -2, 2, -3, 1, 29, -5, 11, 15, -2, 2, 3, -3, -2, 4, -11, 19, -29, 31, -16, 97, -7, 51, -4, 1, -5, -1, 3, -9, 180 },
{ -9, 0, 3, -2, 4, -3, 5, -2, 1, -8, 8, -9, -3, 3, -7, 9, 4, -1, -2, 7, 11, -1, 6, -5, 1, -3, 4, -15, 24, -31, 8, -20, 91, 43, -9, 21, 2, -8, 4, 4, -9, 138 },
{ 1, -5, -1, -4, -1, 7, -4, 3, 2, -3, 5, -12, 36, -11, 2, -3, 3, 3, -7, 19, 10, 16, -6, 30, 3, -5, 1, -9, 16, -28, 59, -27, 14, -8, 45, -5, -1, 42, -4, 4, -11, 184 },
{ 4, 1, -1, -3, -6, 47, 8, -11, 4, -9, 14, -18, 10, -4, 8, -5, 7, -6, 51, 5, 7, -5, 12, -11, 5, -3, 5, -14, 27, -43, 26, -25, 176, -21, 126, -4, -12, -9, 7, 33, -16, 233 },
{ -2, 32, 3, 76, -29, -10, 14, -25, 12, 4, -101, 12, 17, -12, 13, -113, 14, -8, -97, 21, 10, -18, 16, -38, 22, -26, 21, -24, 33, -51, 54, 36, 287, 115, -30, 6, 28, -46, 41, -12, -13, 176 },
{ 1, -6, 6, -4, 3, 3, -6, 8, -20, -2, 3, -12, 9, -13, 10, -5, 3, -4, -1, 19, -12, 20, 27, -7, 6, -2, -8, 24, 11, -33, 21, -33, 7, 48, 38, -6, 2, -13, 60, -17, 59, 113 },
{ 3, -13, -4, 3, 6, -5, 6, -88, 24, -12, 21, -30, 16, -9, -57, -4, 6, -10, 190, 15, -8, -5, 21, -18, 5, -35, -4, 14, -7, -35, 50, -46, 24, -14, 128, -10, 8, -10, 46, 7, -19, 58 },
{ 70, -32, 4, -110, 39, 11, -18, -16, -3, -16, 27, -26, 12, 12, -7, 4, 14, -13, -18, 16, 11, -13, 23, -17, -46, -7, -37, 57, 27, -79, 67, -30, 235, 126, 127, -14, 5, -18, 25, -16, -26, 95 },
{ 0, -5, 5, -1, 4, -3, 71, -26, 3, 3, -4, -16, 14, 84, -7, -14, -5, -5, 8, 28, -43, 24, 45, -2, 2, -18, 28, 4, 5, -47, 63, -42, -4, 11, 43, -6, 4, -15, 47, -8, 75, 89 },
{ -8, -10, 12, -55, -12, 30, -22, 9, -60, 10, -6, -18, 65, 121, 8, -51, 18, -27, 42, -37, 23, 26, -16, 44, 5, 35, 15, -8, -51, -67, 57, 90, -60, 46, 57, -18, -23, 115, -10, 43, -84, 120 },
{ 3, -22, 24, 40, -9, -74, 50, 19, 25, 8, -14, 14, 14, -23, 16, -84, 60, -29, 52, -10, -32, 43, 42, -22, -150, -64, 17, 15, -34, -47, 123, -31, 54, -28, 177, -15, -68, 10, -19, -35, 59, 182 },
{ 3, -1, -6, -1, -1, 3, 8, 25, 0, -1, 3, -4, -20, -4, 22, -1, -1, 3, -5, 6, 33, 20, -3, 1, 8, -2, 4, -6, 8, -9, -36, -7, 23, -4, 18, 9, 2, -6, 7, -18, 31, -36 },
{ 2, -1, -5, 11, -1, 3, 6, 1, -3, -3, 3, -5, -16, -2, 3, 18, -2, 4, -5, 6, 27, 69, -5, -2, 22, -2, 3, -5, 7, -6, -34, 62, 66, 23, -5, 1, 3, -5, 6, -14, 25, -33 },
{ 2, 0, -5, 2, -1, 35, 5, 1, -2, -5, 4, -4, -14, -3, 3, -1, -1, 4, -5, 6, 25, 85, -8, 8, -2, -2, 55, -5, 6, -6, -34, 76, 75, -5, 19, 17, 1, -5, 18, -7, 17, -23 },
{ 2, -22, -3, -2, -2, 2, 6, -3, -3, 10, 2, -5, -13, 8, 9, 3, -4, 5, -6, 9, 17, -7, -6, -3, 1, -3, 5, -9, 9, -10, -19, 171, 57, 22, -2, -18, 3, -1, 42, -10, 14, -20 },
{ 2, -1, -6, 2, -3, 39, 10, -8, 1, -5, 5, -4, -15, 8, -3, 43, 1, 1, -11, 12, 20, -6, -5, 1, -3, -3, 5, -7, 11, -14, -17, 115, 99, 62, -7, 1, 3, -3, -2, -7, 8, -13 },
{ 3, -1, -5, 3, -24, 3, 5, -4, -3, -2, 7, -14, -8, 24, 6, -3, -25, -5, 45, 9, 13, 44, -11, 5, -5, -4, 11, -15, 15, -22, -10, 83, 90, -6, -4, 2, 25, 1, -11, 13, -6, 131 },
{ 2, -4, -24, 15, 3, 2, 5, 57, -3, 4, -6, -8, -7, 7, -7, 6, -12, 4, 2, 6, 12, -4, -14, 104, -6, -3, 5, -19, 17, -15, -7, 87, 129, -10, 50, -13, -2, 5, -8, 17, -21, 19 },
{ 3, -2, -6, 4, -4, 4, 6, -12, 2, -14, 3, -7, -11, 16, -2, -5, 11, 5, -8, 15, 17, -26, 9, 35, -5, -4, 4, -13, 18, -31, 73, 244, -18, 11, -7, 3, 1, -4, 4, -9, 9, 89 },
{ 8, -12, -3, 5, 2, -19, 5, -12, 4, 45, 9, -5, -4, 11, -8, 1, -10, -10, -7, 5, 11, -8, -10, 30, -34, -7, 22, -26, 31, -39, 16, 131, 149, -31, 29, 2, 40, 33, -13, 15, -7, 185 },
{ 2, -5, 1, -8, 3, 6, -4, 49, -7, -6, -50, -7, -3, 6, -6, 7, 45, 13, -13, 10, 93, -4, -20, 50, -7, -5, 58, -19, 30, -37, 30, 108, 222, -5, 4, -8, 6, -4, -14, 24, -44, 45 },
{ -96, 15, -5, 3, -44, -5, 8, -13, -17, -2, 13, -17, 5, 9, 10, -15, -11, -6, 4, 7, 4, -26, 58, 69, -43, 6, 8, -11, 3, 27, -7, 93, -7, 7, -15, -2, 46, -6, 4, 15, -13, 142 },
{ -2, 76, -4, -70, 4, 120, 15, -12, 107, -20, -12, -7, -43, 5, 13, -5, -11, 20, -12, 15, 78, -24, -20, 121, 8, -7, 11, -26, 22, -36, 39, 184, 107, -26, 8, -14, 11, -6, 120, 16, -17, 31 },
{ -2, 50, -69, 8, 5, 86, -1, -11, -13, -49, -13, 5, 10, 25, 36, -9, 8, 120, -30, 18, -62, -25, -41, 168, 88, -7, 108, -35, 42, -41, 127, -20, 62, -38, -14, -5, 5, -55, 36, 35, -42, 66 },
{ 14, 14, -29, -46, -250, 49, 56, -40, -41, -354, 252, -44, 103, 17, 35, 33, -201, -59, -77, 12, -125, -225, -35, -145, -59, 55, -124, 33, 64, -70, 159, -58, 403, -45, -34, -140, -35, -15, 64, 395, -64, 666 },
{ -31, 20, -6, 9, 4, -25, 6, -14, 12, -73, 19, -116, -22, 11, -20, -15, -27, 9, 17, 6, -11, -49, 209, -16, 20, -6, 61, -25, 109, 189, 37, 102, -32, 19, -23, -54, 3, -17, 12, 32, -23, 136 },
{ 7, -17, -12, 10, 13, 16, 10, -15, -14, -12, -25, -62, 147, 32, 27, -38, 26, 54, -37, -26, 17, -70, 198, 107, -11, -27, 6, 19, 22, -36, 52, 131, -12, -51, -14, -14, -104, 19, 53, 12, 108, 111 },
{ 3, 0, -6, -1, -1, 1, 7, 2, -1, -1, 2, -2, -19, -1, 1, 5, -1, 1, -2, 40, 32, 7, -1, 27, -2, -1, 3, -2, 59, -2, -33, -2, 2, -3, 1, 0, 2, -5, 8, -20, 33, -37 },
{ 3, -1, -5, 0, -1, 2, 7, 2, -2, 0, 1, -2, -20, -2, 34, 1, 0, 1, -2, 3, 32, 3, -2, 12, -1, -1, 14, -1, 46, -2, -36, -3, 17, -2, 1, -2, 3, -7, 10, -23, 37, -41 },
{ 3, 3, -8, -1, 1, -2, 13, 5, 0, -1, -1, 23, -25, -1, 1, -2, -1, 17, 20, -3, 40, 4, 42, -1, 0, 16, 18, -2, 6, 13, -47, 70, -1, 1, -1, -2, 3, -7, 11, -23, 36, -42 },
{ 2, 13, -5, -1, -2, 2, 6, 2, 0, -1, 2, -3, -16, -4, 2, -4, -1, 2, -4, 5, 27, 5, -2, 33, 8, 22, 30, -3, 19, -4, -32, -4, 19, -1, 1, -2, 2, -5, 7, -17, 28, -32 },
{ 64, 2, -9, 2, -1, -2, 10, 1, -2, -4, 0, 54, -23, -3, -2, 0, 2, 2, -3, 2, 36, 4, -2, 53, -2, -2, 1, -4, 6, -6, -37, -6, 118, -5, 31, -2, 2, -4, 8, -14, 24, -27 },
{ 2, -1, -3, -2, 11, 2, 9, -2, -3, -5, 4, -3, -16, -3, 4, -1, 10, 6, -1, 5, 25, 4, -5, 51, 13, -7, 2, -6, 4, -4, -35, 79, 52, -2, 9, -1, 10, -2, 5, -11, 23, -28 },
{ 2, -3, -3, -3, -1, 5, 3, 5, -2, -4, 2, -8, -7, -8, 18, -2, -2, 4, -5, 13, 14, 8, -3, 1, 23, 9, 3, -6, 10, -17, -12, -14, 5, -3, -3, 56, 1, -7, 65, -7, 103, 80 },
{ 2, -1, -4, 1, -2, 5, 7, 24, -2, -6, 4, -10, -6, -4, 17, -28, -7, 8, -8, 11, 13, 5, -2, 52, -1, 14, 88, -9, 15, -19, -12, -10, 70, 59, -9, 1, -3, 24, -2, -4, 100, 115 },
{ -5, -2, 1, 5, -4, 82, 78, -5, -13, 6, -2, -11, 7, 74, 1, -70, -5, 9, -8, 11, -14, 11, -9, 7, -4, -17, 5, -15, 23, -24, 80, -14, 43, 170, -13, 5, 5, -10, 1, 1, -3, 50 },
{ -20, 45, -2, 11, -7, 15, -13, 10, -6, 2, 134, -7, 5, -5, 4, -31, -30, 3, -7, 11, 5, 11, -6, -12, -18, -3, 13, -12, 14, -25, 7, -11, 4, 155, -9, 56, -2, 187, -13, 3, -6, 251 },
{ -2, 6, -2, -3, -9, 8, -3, 9, -12, 9, 77, -16, 13, -4, -58, 6, -9, 33, -13, 26, -22, 18, -5, -20, -9, -24, 12, -5, 20, -38, 31, -28, 215, 229, -7, 94, 4, -26, -6, -13, 22, 17 },
{ 14, 15, -16, 4, -2, 8, 7, -8, -92, -6, -6, -5, -4, 4, 9, -13, 22, 2, -16, 12, -4, 13, -13, 153, -15, 3, 18, -8, 9, -9, -29, 7, 281, 149, -20, -3, -2, 7, -12, 22, -28, 24 },
{ 4, -3, -3, 26, 2, -10, 4, 7, -15, 8, -6, -4, -8, -2, 3, -55, 6, -7, 10, -26, 21, -5, 90, 2, -4, -1, 44, -5, 17, -26, 77, -19, 6, 13, 37, -3, -9, 7, -15, 81, -11, 104 },
{ 2, -6, -16, 24, -19, 9, -158, 42, -8, 20, -26, -15, 27, -34, 25, -52, 41, -7, -65, 28, -14, 18, -19, -25, 15, -4, -92, -22, 27, -65, 50, -22, 208, 249, -17, 5, 24, -6, -8, 16, -50, 117 },
{ -1, -66, 6, -5, 48, -10, 12, 32, -14, 4, 88, -24, 15, -13, 33, 22, 15, -25, 18, 15, -10, -184, -16, -30, 11, 14, -22, 28, 13, -65, 56, -48, 76, 113, -33, 11, -9, -32, 19, -34, 22, 134 },
{ 3, 3, -6, 0, -1, -1, 8, -1, 10, 1, 2, 0, -18, 26, 1, -1, -2, 14, -4, 26, 29, 0, -3, 6, -2, -1, 2, -1, 3, 22, -32, 23, 3, 0, 1, 10, 3, -6, 8, -21, 31, -38 },
{ 4, -1, -8, -1, -1, 10, 13, 15, 0, -2, 1, -3, -24, -3, 2, -1, 0, 2, -2, 4, 40, 4, -2, 1, 4, -1, 1, -3, 3, -6, -42, -5, 17, -2, 9, -1, 4, -8, 13, -25, 41, -43 },
{ 3, -1, -7, 1, 1, 21, 11, -3, 15, -3, 1, -3, -22, -3, 2, -4, 11, 3, -2, 10, 37, 51, -3, 66, -1, -34, 9, -5, 3, -3, -40, 39, 34, -3, 12, -2, 4, -8, 12, -23, 40, -45 },
{ 3, 27, -7, 26, -8, 8, 10, -3, -2, -1, 5, -2, -20, -1, 3, -3, -4, 2, -2, 2, 34, 15, -5, 2, 17, -3, 10, -2, 3, -4, -37, 110, 40, -4, 33, -3, 4, -7, 9, -19, 33, -38 },
{ 4, -2, -6, 2, -3, 4, 7, -2, -5, -7, 2, -3, -13, 3, 19, 1, 51, 5, -6, 6, 21, -4, -5, 44, -7, -3, 3, -1, 4, -10, -23, 142, -6, 6, -2, -25, 2, -2, 4, -12, 23, -21 },
{ 2, -9, -6, 3, -2, 3, 4, -4, -4, 2, -6, -3, -11, 5, 4, 0, -3, 5, -3, 6, 16, -6, -5, -3, 1, 61, 4, -4, 7, -10, -15, 133, 72, 48, -6, -37, -1, 2, -5, -4, 9, -9 },
{ 1, 2, -5, 2, -2, -2, 7, -5, -5, -6, 7, -5, -7, 34, 7, -2, -4, 3, -5, 6, 12, 6, -17, 11, -3, 2, 23, -7, 9, -11, -17, 24, 132, -4, -2, 5, -2, -9, -3, 50, 11, -19 },
{ 6, -3, -3, 3, -43, 6, -11, 12, -2, 32, 18, -11, -5, -14, 5, -12, -21, 9, -8, 16, -68, 44, -5, -4, 30, 6, 39, -17, 20, -17, 18, -11, 88, 113, -6, 2, 5, -8, 10, -12, -2, 97 },
{ -33, 2, -3, 2, 20, -1, 4, -4, -4, -2, 3, -2, -7, 7, -2, 2, -3, -11, 8, -5, 16, -10, -10, 50, -1, -3, 6, -9, 11, -9, -11, 84, -11, 7, -4, 3, 1, -2, -3, -3, 18, 40 },
{ -3, 1, -3, 2, 4, 59, 3, -5, -3, -21, -20, 13, -4, 15, 33, -3, -84, -20, -5, -4, -6, -11, -18, 55, -14, 4, 7, 10, 5, 10, -25, 140, -11, 140, 37, 9, -3, 10, -21, -5, -61, 37 },
{ -123, 5, -6, -2, -4, 27, -7, 11, -9, 11, 33, 7, -21, 125, 13, -9, -16, 16, -9, -4, 5, -15, -16, 52, -7, -47, 5, 13, 111, 39, -11, 289, 160, 96, -8, -6, 7, -18, -7, 20, -22, 16 },
{ -8, 12, -42, 14, 42, -24, 126, -7, -14, -72, 4, 95, -17, 51, 6, -10, 26, 25, -17, 209, -40, -54, 34, 198, -6, -4, -23, -10, 25, -4, 65, 341, 10, -19, -20, -4, -21, 19, -30, 18, 38, -7 }
 }
 },
{ 
{ 
{ -48, -12, 15, -24, -18, 9, 29, 13, -12, -22, -2, 10, 35, 18, 13, -23, -17, -2, 32, 53, 77, 63, 51, 16, -18, -25, 13, 18, 60, 70, 105, 72, 81, 36, 22, -20, -44, 17, 35, 47, 86, 102 },
{ -32, -15, 12, -15, -8, 9, 35, -7, -8, -23, 6, -3, 23, 18, 8, -31, -21, -9, 25, 43, 68, 52, 36, 14, -12, -20, 9, 36, 68, 67, 115, 54, 62, 43, 24, -6, -15, 10, 52, 64, 88, 93 },
{ -43, -12, 12, -22, 5, -15, 46, -10, -6, -29, 15, -18, 20, 31, 27, -19, 4, -11, -17, 43, 66, 68, 55, 36, 13, -21, -30, 16, 45, 84, 107, 85, 86, 37, 30, -21, -40, 13, 37, 35, 85, 109 },
{ -11, -18, 9, -15, 9, -6, 22, -21, 14, -35, -15, 31, 43, -13, -13, 23, 7, 3, -22, -30, 82, 40, 52, 62, 55, -18, -12, 30, -15, 28, 122, 45, 111, -12, 51, 26, -14, 3, -12, 33, 113, 142 },
{ -6, 2, 13, -21, 4, -3, -5, 6, -3, -10, 3, -8, 17, -13, 6, -18, 4, -25, 15, 19, 18, 35, -117, 57, -41, -16, -13, 37, -57, -24, 55, 88, 194, 71, 135, 29, -27, -37, 81, -52, 135, 329 },
{ 1, -21, -48, 2, 21, -6, 27, 23, -14, -23, 6, -22, -3, 12, 17, 6, -78, -8, 41, -12, 28, -40, -14, -44, 17, 15, -9, -15, 27, -65, 74, 46, 140, 178, -25, 8, 4, -18, 45, -24, -84, 202 },
{ -7, -10, 9, -13, 2, -12, 45, -16, 20, -12, 13, 26, 25, 30, -25, -11, -7, 4, 4, 73, 69, 62, 3, 13, -12, -22, 16, -1, -53, 91, 136, 125, 44, 25, 18, 5, -6, 40, 32, 39, 33, 112 },
{ 9, -18, 9, -5, 12, 11, -7, 26, -6, 4, -10, -7, -4, -4, -12, 25, 12, -14, 11, 16, 59, 28, -45, -97, -27, 18, -13, -12, -44, 22, 50, 121, 107, 125, 181, -26, -10, 43, -56, -31, 138, 480 },
{ -17, 14, 6, -5, 3, -12, -11, -14, -18, -3, -5, -5, 23, 36, -70, 28, 11, 13, -15, 35, -18, -57, 187, 134, -30, -9, -14, -10, -9, 94, 74, 335, 206, -45, -21, -13, -3, 6, 18, 26, -95, 148 },
{ -19, -26, 10, -14, -9, -10, 33, 1, -14, -14, -13, 16, 18, 6, -8, -20, -13, -23, 22, 50, 83, 63, 34, -3, -15, -19, 4, 7, 49, 100, 149, 109, 56, 27, -5, -13, -23, 10, 33, 27, 91, 150 },
{ -15, -15, 5, -20, -11, 2, 36, -7, -11, -20, -12, -12, 11, 10, -6, -21, -10, -23, 28, 33, 66, 41, 20, -11, -11, -20, -5, 16, 49, 102, 148, 109, 71, 24, 10, -19, -24, 17, 28, 44, 111, 169 },
{ -18, -23, 9, -16, 3, -9, 34, -5, -16, -17, -16, -6, 11, 8, 11, -26, 4, -31, 17, 26, 77, 61, 32, 11, -9, -23, -24, 7, 36, 105, 158, 119, 74, 29, -6, -14, -25, 11, 40, 32, 87, 160 },
{ -25, -6, 5, -15, -18, 13, 28, -10, -14, -31, 19, -14, 5, -4, 3, -28, -14, 29, -51, 26, 50, 33, 10, 4, -15, -24, -31, -16, 46, 101, 151, 120, 85, 30, 39, -13, -28, 13, 48, 35, 125, 187 },
{ -30, -12, 6, -21, 8, -10, 31, 3, -20, -26, 14, -14, 6, -8, 5, -26, 6, -15, -35, 32, 45, 48, 31, 28, -10, -22, -25, -20, 27, 108, 156, 135, 95, 40, 44, -19, -28, 8, 22, 16, 107, 177 },
{ -18, -10, 5, -24, -5, -1, 29, 5, -10, -17, -12, -5, 8, -10, 2, -27, -13, -22, 27, 9, 51, 24, 19, -15, -16, -29, -6, 5, 46, 92, 145, 101, 65, 19, 20, -16, -23, 20, 55, 66, 128, 188 },
{ -25, 4, -6, -9, 6, -10, 10, 4, -17, -43, 22, -3, 12, -7, 3, -28, -23, 36, -39, 30, 12, 10, 10, -17, -19, -35, -8, -35, -19, 109, 134, 122, 93, 56, 68, 26, -27, 14, -11, 55, 147, 210 },
{ -26, 4, 10, -26, -24, 14, 7, 3, -27, 9, -16, -10, 34, -14, 3, -43, -35, 25, -26, 34, -10, 26, 56, 20, 30, -45, 38, -47, -18, 81, 169, 148, 146, 59, 16, 24, -36, 4, -32, 39, 108, 177 },
{ 2, -41, 4, -10, 19, -9, 39, -1, -5, -46, -13, 10, 10, 10, -22, -27, -30, 44, -34, 50, 22, 25, -15, 29, -36, -32, -30, -24, 44, 85, 135, 90, 44, 22, 18, -18, 12, 16, 101, 101, 133, 179 },
{ -5, 3, 3, -12, 3, -11, 10, -1, -9, -16, 2, -7, 3, -12, 31, -64, -15, 7, -7, 35, 36, -45, -61, -14, 65, -21, 21, -43, -48, 30, 137, 150, 202, 85, 79, -23, -26, 9, -42, 23, 98, 282 },
{ -12, 8, 14, -26, -6, -1, 11, 7, -29, -23, 6, -23, 8, 5, 11, -65, 5, -16, 23, 46, -50, 22, 30, 53, 81, -28, 8, -12, -55, 43, 132, 175, 209, 47, 53, -29, -28, 20, -43, 9, 81, 206 },
{ 2, 11, -12, 9, 9, 5, -6, -7, -8, 8, -24, 23, -16, 12, -6, -54, -13, 12, -2, 9, 42, 28, -108, 48, 76, -13, 33, 12, -20, -24, 81, 165, 303, 79, -18, -36, -3, 20, -28, -65, 43, 328 },
{ -19, -24, 6, -17, 14, -11, 27, -7, -21, -18, -12, -13, 10, 25, 17, -22, 2, 15, -45, 32, 64, 72, 55, 30, -18, -23, -12, -29, 35, 104, 160, 123, 85, 12, 22, -17, -22, 5, 21, 17, 89, 161 },
{ -43, 5, 12, -30, 7, -7, 18, 10, -33, -33, 7, -15, 11, 7, 26, -10, 7, 25, -50, -20, 53, 76, 93, 47, -15, -32, 13, -25, 19, 93, 158, 137, 100, 22, 37, -24, -24, 9, -17, 4, 77, 173 },
{ -15, 11, -11, -23, -18, 21, -9, 4, -37, -28, 18, -13, 35, -11, 34, -16, -35, 8, 29, -54, 19, 59, 118, 66, 22, 8, 9, -34, -31, 59, 158, 151, 147, 38, 34, -33, -24, 4, -22, 23, 67, 153 },
{ -5, -20, 3, -14, 3, -11, 34, -5, 3, -12, -8, -22, 10, -26, -15, -10, 8, -12, -15, 15, 73, 24, 16, -12, 5, -15, -12, -20, 21, 132, 212, 141, 27, -13, -15, -14, -8, 5, 41, 10, 97, 224 },
{ -5, -7, 4, -15, 9, -15, 21, -15, 6, -18, 3, -28, 12, -23, -13, -17, 7, -6, -33, 15, 60, 39, 16, -9, 12, -12, -12, -27, 12, 116, 205, 165, 69, -18, -12, -17, -8, 6, 29, 14, 77, 230 },
{ 2, -16, -3, -23, 9, -11, 38, -9, 4, -24, -5, -24, 8, -21, -9, -17, 6, -24, 29, -5, 56, 18, -8, -6, 2, -25, -14, -10, -17, 137, 192, 132, 43, 10, -22, -24, -13, 29, 32, 33, 115, 241 },
{ -3, -21, 7, -13, 4, -5, 16, -8, 5, -18, 8, -17, 8, -18, -8, -18, 9, -10, -24, 17, 22, 27, -30, 5, -14, -23, -22, -18, -18, 116, 178, 146, 84, -7, 32, -10, -15, 6, 27, 24, 117, 259 },
{ -11, -5, 4, -15, 9, -10, 18, 5, -12, -24, 3, -18, 6, -23, -16, -18, 4, 8, -33, 11, 14, 29, 23, 10, -8, -14, -8, -34, -14, 104, 213, 184, 83, 14, 33, -22, -10, 6, -8, 9, 89, 242 },
{ 3, -26, -6, -21, 8, -2, 46, -7, 2, -31, -6, -19, 7, -21, -11, -20, -6, 34, -38, 23, 35, 24, -33, 12, 3, -33, -32, -29, 44, 97, 163, 121, 61, -13, -9, -28, -18, 36, 55, 38, 129, 255 },
{ 3, -19, -6, -9, 9, -8, 17, -4, -7, -15, 6, -8, 7, -28, 17, -40, -15, 20, -33, 19, 27, -25, -7, -18, 17, -21, -5, -42, -20, 89, 171, 156, 121, 43, 45, -23, -21, 21, -20, 32, 98, 263 },
{ 3, -35, 15, -16, 9, 10, -13, 35, -37, -10, 5, -23, 6, -17, 9, -46, -34, 15, 25, -28, 36, -18, -10, 12, 48, -14, 14, -36, -31, 47, 175, 196, 159, 43, 46, -24, -27, 14, -29, 5, 102, 233 },
{ 3, -38, 32, -49, -10, 12, 37, -14, 20, -28, -7, -5, -13, 3, -8, -39, 18, -45, 57, -9, 24, 14, -29, 43, -37, -36, -37, 30, -68, 127, 132, 106, 53, -31, 18, -14, -15, 15, 84, 56, 159, 264 },
{ 3, -17, 19, -20, -9, 9, 8, -12, 4, -24, 8, -17, 2, 7, -14, -10, 7, -14, 32, -18, 17, -6, -61, 14, -31, -28, -17, -14, -44, 71, 141, 122, 84, 28, 15, 21, -24, 6, 28, 39, 128, 325 },
{ 4, -13, 14, -25, 8, -5, 13, 5, -8, -22, -4, -6, -4, -15, 31, -35, 7, -22, 11, 29, 9, -27, -52, -41, 17, -24, -17, -23, -36, 54, 135, 160, 124, 58, 24, 35, -27, -27, 37, 19, 113, 303 },
{ 5, -28, -1, -31, -9, 33, 13, 24, -7, -36, -2, -25, 6, 4, -4, -38, -17, 32, 50, -32, 18, 21, -37, 38, -30, -47, -22, -13, -96, 122, 103, 141, -68, 39, 10, -33, -10, 36, 90, 62, 180, 301 },
{ 3, -13, 1, -14, 5, 9, -4, 7, -5, -23, -7, 4, 6, -13, 16, -19, -8, 6, -7, 30, 12, -12, -45, -27, -34, -30, -9, -22, 6, -44, 125, 114, 88, 56, 24, 63, -36, 5, 26, 44, 154, 326 },
{ 47, -54, 5, -54, 41, -23, 30, 35, -3, -65, 14, -10, 3, 9, 7, -64, -15, 56, -30, 41, 12, 11, 57, -43, -24, -84, -42, -34, -54, 84, 188, -89, 65, 36, 11, -37, 35, 103, 72, 135, 92, 290 },
{ 1, -13, 15, -10, -14, 4, 18, -4, -7, -7, 3, -6, 7, -9, -7, 14, 14, -19, 31, -37, 27, 29, -31, -35, -48, -31, -12, -45, 24, -58, 83, 61, 49, 9, 43, 58, -37, 44, 26, 71, 144, 396 },
{ 5, -15, 24, -13, -8, 7, 25, -61, -9, 28, -10, -14, 12, -18, 46, -78, -4, -22, 35, -27, 35, -42, -62, -64, 133, -16, -10, 25, -28, 64, 57, 72, 177, 271, 90, -32, 10, -41, 31, -127, 104, 307 },
{ -3, 4, 50, -14, 4, -4, 4, -10, 8, 22, -21, -7, 29, -24, 18, -86, 4, -13, 42, 10, 37, 55, -118, 81, 99, -5, -8, 13, -43, 36, 59, 225, 263, 57, 36, -54, 4, 12, -12, -63, 33, 277 },
{ -8, -12, 3, -12, 8, -6, 19, -8, -14, -23, -7, -27, 15, -23, -20, 9, 3, 11, -13, -19, 67, 43, 60, -32, 8, -11, 8, -26, -18, 108, 212, 192, 68, 23, -17, -16, -9, 4, 17, -23, 71, 222 },
{ -13, 5, 5, -12, 8, -20, 7, 19, -33, -37, 8, 3, -23, -23, -19, 11, 2, 16, -28, 13, 12, 75, 94, 28, -26, -9, 5, -18, -34, 79, 218, 222, 104, -38, 12, -17, -9, 7, -16, 10, 48, 199 },
{ -8, 4, 7, -14, -7, 6, -13, 18, -33, -19, 7, -18, 20, -42, 4, -31, 7, -5, 9, -23, 31, 27, 50, 33, 11, -9, -8, -24, -48, 68, 203, 214, 140, -9, 36, -29, -14, 7, -20, 12, 62, 221 },
{ -8, -12, 18, -17, 10, -5, 9, -18, -30, -36, 3, -7, 30, -19, -40, 13, 10, -10, 24, -36, 21, 62, 131, 59, -37, -10, -5, -20, -43, 46, 184, 214, 153, 3, 22, -29, -13, 13, 20, -35, 28, 209 },
{ -12, 9, 9, -20, -3, 6, -18, 14, -35, -26, 9, -16, 29, -30, -44, 19, 7, -8, 24, -18, 51, 33, 183, 81, -36, 2, -12, -12, -14, -36, 142, 257, 150, -39, 11, -19, -12, 4, -8, 24, -19, 214 },
{ -16, -3, 7, 2, 14, -7, -7, -7, -4, -35, 44, 69, -5, -4, -22, 28, 29, -21, 21, 36, 21, 39, -36, -58, -19, -21, 30, -22, -45, -23, 36, 36, 88, 182, 101, -35, 11, 26, -30, -52, 109, 466 },
{ 4, -25, 15, -20, 14, -9, 38, -13, 10, -13, -21, -23, 4, -21, -16, -9, 9, -14, 33, -32, 65, -28, 34, -21, 16, -19, -12, -27, -39, 121, 235, 155, -10, -30, -16, -19, 2, 12, 36, 11, 89, 269 },
{ 2, -18, 11, -17, 10, -2, 18, 9, -5, -13, -11, -14, -6, -23, -28, 10, 11, -9, 19, -41, 41, -9, 23, -21, 7, -24, -12, -19, -43, 99, 235, 173, 37, -27, -5, -21, 2, 13, 28, 6, 67, 278 },
{ 3, -35, -3, -11, 25, -2, 40, 4, 6, -23, -20, -21, -17, -12, -15, -28, 12, -15, 36, -11, 37, -21, 39, -18, 9, -28, -15, -25, -41, 88, 230, 129, -23, -7, -16, -22, -4, 11, 55, 20, 121, 294 },
{ 2, -12, 9, -15, 8, -3, 17, -11, 9, -15, -6, -21, 19, -30, -21, -21, 8, -4, 17, -30, 18, -12, 35, 5, 15, -11, -9, -30, -43, 70, 234, 237, 62, -34, -13, -13, -4, 2, 23, 12, 33, 281 },
{ 4, -21, 14, -17, 11, -8, 20, 1, -7, -32, 9, -10, -22, 11, -14, -8, 10, 11, -29, 27, 15, -29, -19, -10, 1, -23, -25, -21, -39, 81, 189, 142, 78, -9, 21, -25, -6, 7, 30, 16, 96, 334 },
{ 4, -11, 6, -14, 7, -9, 13, -8, 5, -17, 5, -19, 13, -24, 15, -35, -8, 18, -16, -13, 31, -24, -43, -5, 19, -23, 10, -44, -22, 45, 175, 189, 112, 22, 38, -33, -3, 9, -19, 13, 79, 320 },
{ 4, -9, 9, -15, 8, -4, 5, -15, 4, -22, 8, -18, 19, -8, -35, -31, 7, -11, 24, -14, 20, -35, 18, 18, 25, -13, -16, -13, -54, 35, 189, 242, 144, 41, -27, -13, -12, 5, 20, -36, 60, 289 },
{ 5, -29, -9, -26, 20, -5, 42, -3, 19, -28, -4, -38, 5, -11, -2, -40, 11, -33, 70, -14, 20, -6, -29, 43, -18, -39, -19, -5, -88, 125, 148, 154, -49, 11, -7, -25, -15, 23, 87, 31, 163, 293 },
{ 0, -22, 30, -10, 9, -10, 7, -4, -2, -5, -9, -10, 12, 6, -21, 19, 12, -22, 20, -18, 14, 33, -47, -31, -57, -6, -25, -34, 37, -45, 112, -47, 141, 66, 53, 95, -51, 33, -24, 65, 160, 373 },
{ -4, -3, 8, -42, 28, -1, 8, -13, 66, 10, -49, -31, 20, -23, 36, -22, 9, -10, 26, 12, 18, 24, -132, -46, 97, -14, 17, -14, 43, 50, 48, 133, 246, 159, 58, -35, 4, 14, -14, -104, 89, 317 },
{ 1, -15, 17, -17, 9, -3, -7, 12, -24, -8, -10, -5, 16, -35, -46, 14, 6, 7, -14, 20, -23, 25, 96, 26, -20, -12, -6, -21, 9, -17, 222, 303, 81, -59, 8, -19, 2, 6, 20, -9, 3, 246 },
{ -3, -4, 9, -11, 10, -7, 5, -14, -13, -4, -14, -10, 7, 22, -48, -41, -8, -12, 34, -14, 37, -37, 69, 28, 47, 4, 8, -28, -33, -19, 178, 266, 173, 43, -25, -23, -10, -7, 19, -24, 24, 257 },
{ -7, 6, 13, -11, 23, -24, 10, -18, -17, -13, 6, -17, 16, 34, -40, -58, 4, 9, -26, 43, 19, -90, 79, 93, 81, -8, -19, 12, -38, 50, 150, 242, 241, 23, -46, -39, -7, 12, 15, -30, -30, 244 },
{ 7, -19, 4, -21, 34, -13, 39, -15, 10, -11, -26, -23, -14, -20, -29, 6, 25, -18, 49, -48, 54, -46, 65, -31, 18, -15, -31, -24, -61, 114, 249, 156, -53, -27, -24, -16, 6, -5, 46, 23, 64, 226 },
{ 2, -43, 9, -20, 34, -2, 40, -6, 14, -24, -29, -27, 12, -27, -19, -16, 16, -9, 45, -26, 23, -25, 28, 4, 10, -28, -16, -34, -36, 64, 243, 118, -30, -29, -13, -23, 2, 17, 38, 17, 54, 323 },
{ 3, -12, 4, -17, 9, -12, 22, 2, 19, -6, -4, -23, 8, -38, -20, -11, 16, -14, 29, -38, 24, -34, 44, -12, 8, -23, -20, -23, -32, 60, 240, 207, -21, -33, -11, -16, 3, 11, 40, 11, 22, 280 },
{ 4, -15, -2, -21, 9, -2, 30, -2, 17, -12, -9, -19, 17, -33, -16, -9, 14, -7, 19, -24, 9, -41, 20, -13, 11, -19, -17, -24, -36, 57, 205, 172, 42, -27, -15, -13, 6, -7, 44, 11, 11, 334 },
{ 1, -7, 2, -8, 6, -4, 13, -5, 7, -6, 6, -21, 15, -33, -13, -14, 7, -9, -12, 29, -12, -35, 11, 10, 15, -11, -8, -21, 13, -45, 235, 231, 66, -43, -8, -17, 2, 4, 26, -5, -11, 331 },
{ 3, -34, -2, -35, 34, -8, 51, -4, 32, -34, -4, -31, -7, -27, -11, -28, 11, 29, -28, 41, 22, -42, 40, -15, 9, -32, -18, -41, 57, -96, 271, 109, -39, -10, -12, -27, 3, 18, 46, 13, 63, 378 },
{ 2, -10, 2, -24, 8, 3, 22, -11, 6, -21, -5, -7, 8, -17, 6, -11, 14, -10, 24, -28, 10, -25, -40, -11, 10, -19, -18, -23, -33, 50, 182, 159, 52, 26, -22, -15, -2, 3, 46, -11, 48, 362 },
{ 2, -9, 5, -6, 7, -2, 2, -7, 7, -10, 5, -19, 13, -16, -8, -12, 13, -9, -7, 23, 15, -37, -39, -9, 9, -12, -19, 7, -26, -33, 199, 191, 100, 22, 27, -24, -8, 27, -12, -30, 35, 363 },
{ 3, -10, 10, -7, 14, -5, -8, -6, 6, -13, 14, -17, 7, 4, -31, -30, 10, -5, -7, 29, 20, -51, -26, 16, 32, -17, -15, 11, -33, -40, 190, 231, 160, 47, -26, -19, 3, 5, 10, -47, 24, 351 },
{ 30, -51, 2, -42, 14, 15, 42, -12, 25, -28, -10, -20, -5, -20, 2, -29, 16, -10, 49, -39, 9, 55, -56, 21, 4, -36, -21, -24, -73, 89, 246, -107, 120, -29, -11, -33, -4, 21, 57, 43, 72, 413 },
{ 2, -11, 7, -16, 1, 6, 17, -12, 5, -23, 9, -7, -13, 17, -9, -7, 9, 5, -22, 31, 2, -25, -55, -14, -4, -16, -26, -31, 16, -54, 201, 126, 66, 9, 35, -22, -11, 7, 42, -12, 97, 388 },
{ 2, -11, -3, 2, 11, -3, 7, -4, -5, -14, -15, -5, 11, 9, -5, -11, 11, -13, 24, -9, 6, -26, -69, -21, 8, -11, -14, -25, -49, 45, 142, 147, 124, 42, 60, -29, -11, 22, -15, -14, 89, 370 },
{ 2, -5, 10, -9, 12, -10, -6, 6, -9, -12, 11, -11, -11, 16, -6, -35, 9, -13, -4, 41, 26, -33, -67, -18, 36, -16, 11, -16, -18, -41, 143, 169, 190, 57, 79, -38, -12, 14, -46, -25, 50, 380 },
{ -7, 14, 5, -2, 5, -6, -8, 2, -13, -2, 4, -15, 17, -14, 27, -74, -8, 7, -13, 35, 27, 28, -104, 38, 61, -13, 21, -31, 31, -67, 115, 167, 269, 104, 31, -42, -13, 18, -63, 27, 9, 312 },
{ 4, -29, -4, -29, -2, 40, -8, 28, 4, -31, 3, -24, -7, -2, 7, -35, 10, 26, -35, 48, 11, 30, -61, 33, -15, -47, -38, -28, 26, -86, 278, -91, 92, -21, 10, -41, -9, 32, 92, 39, 126, 391 },
{ 1, -10, 11, -13, 5, -4, 13, -12, 7, -7, -6, -6, 9, -8, -8, 11, 14, -13, 9, 6, 18, -15, -40, -30, -27, -18, -24, -22, -35, -24, 146, 90, 49, 27, 11, 33, -31, 26, 13, 43, 115, 424 },
{ 2, -15, 14, -13, 9, -5, 9, -7, 5, -5, -3, -4, -13, 3, 8, -15, 15, -17, 11, 16, 13, 9, -72, -52, -14, -14, -15, -24, 9, -60, 115, 111, 101, 83, 95, -19, -24, 29, -29, 23, 84, 421 },
{ 1, -11, 23, -10, 7, 4, -6, 8, -8, -14, 5, -19, 10, -17, 23, -30, 10, -13, 15, 20, 26, 13, -97, -54, 32, -13, 9, -24, -34, 32, 42, 131, 164, 137, 116, -41, -20, 31, -49, -41, 113, 361 },
{ 24, -34, 4, -38, 5, -4, 45, -15, 16, -28, -10, 6, -10, 4, 6, -34, 3, 19, 9, 8, 7, 27, -34, 17, -19, -60, -16, -62, -42, 64, 149, -88, 64, -13, 16, -39, 6, 91, 38, 87, 141, 378 },
{ 5, -14, -2, -13, 12, -10, 27, 13, -6, -6, -9, -17, 8, -44, -27, 6, 7, 1, 10, -13, 19, -41, 67, -29, 17, -11, -5, -25, 10, -39, 252, 281, -10, -33, -4, -11, 4, -9, 31, 6, -16, 280 },
{ 0, -9, 4, -5, 8, 6, -7, 11, -13, -9, -10, -13, 33, -26, -52, 14, 6, 7, -9, 23, -22, -51, 106, -10, -15, -7, -6, -24, 12, -41, 215, 350, 41, -59, 7, -9, 3, -1, 15, 14, -22, 255 },
{ 1, -7, 7, -9, 5, 10, -9, 5, 3, -10, 4, -16, 12, -20, -30, -23, 7, 3, -10, 27, 22, -71, 32, 15, 29, -12, -8, -21, 21, -40, 183, 297, 132, -37, -24, -15, 1, 4, 25, -14, -33, 304 },
{ -2, -3, 9, -7, 3, 6, -18, 22, -27, -7, -4, -19, 16, -14, -73, 23, 5, 3, -10, 22, 49, -53, 161, 38, -44, -8, 3, -21, 34, -40, 149, 391, 77, -80, 33, -6, 2, 4, -13, 28, -58, 210 },
{ 3, -6, 5, -5, 5, 3, -9, 17, -16, 5, -17, -9, -7, 15, -48, -37, 6, -13, 11, 31, 37, -62, 59, 44, 40, -8, 4, -31, 22, -63, 145, 303, 198, -21, -25, -24, -7, 16, -11, 28, -66, 301 },
{ 2, -9, 10, -9, 7, 10, -13, 29, -17, -1, -8, -33, -11, 45, -118, 10, 8, 13, 25, 32, 39, -119, 152, 112, -26, 3, -24, -35, 27, 72, 71, 374, 208, -75, -30, -7, -13, 23, 12, 31, -109, 207 },
{ 5, -29, -4, -14, 32, -25, 75, -30, 17, -15, -22, -8, -21, -11, -27, -9, 18, -16, 47, -59, 51, -57, 50, -23, 16, -23, -30, -12, -64, 107, 194, 164, -76, 1, -14, -23, 6, 11, 64, -14, 49, 193 },
{ 25, -44, 2, -40, 6, -5, 51, -8, 7, -10, -5, -20, 14, -14, -8, -26, 18, 7, 17, -29, -5, -46, 34, 3, 16, -20, -24, -29, -37, 65, 206, 113, -35, -34, 2, -25, 4, 11, 43, 7, 33, 292 },
{ 5, -12, -1, -12, 7, -8, 19, -6, 7, -4, -5, -15, 4, -19, -11, -8, 8, -5, 19, -37, 28, -75, 47, -16, 6, -13, -8, -12, -39, 59, 194, 227, -45, -24, -1, -11, 4, -8, 35, 4, 7, 231 },
{ 2, -12, 5, -23, 4, -6, 28, -9, 7, -14, 3, -21, 16, -7, -4, -9, 5, 8, -16, 34, -21, -50, -22, 6, 2, -12, -12, -27, 15, -61, 212, 153, 43, -31, 18, -20, 2, 6, 18, 25, -42, 381 },
{ 2, -12, 6, -6, 9, 2, -9, 5, 7, -5, 10, -22, 28, -19, -14, -11, 7, -9, -8, 31, -23, -75, 11, -6, 13, -9, -4, -20, 19, -50, 192, 240, 56, -39, 13, -12, 3, -3, 15, 11, -61, 344 },
{ 4, -38, -3, -36, 27, -4, 42, 13, 11, -36, -1, -26, -9, -25, -4, -27, 7, 27, -27, 43, 26, -60, 28, 13, 4, -27, -9, -26, 31, -101, 231, 93, -37, -18, -7, -25, 3, 17, 41, -6, 35, 391 },
{ -3, -8, 3, -7, 6, 8, -6, -4, 7, -6, -6, -12, 10, -2, -10, -5, 7, -3, -3, 27, -7, -56, -53, 16, -7, -13, 8, -25, -8, -30, 191, 176, 112, -28, 44, -20, 2, 17, -15, -28, 10, 370 },
{ 1, -8, 10, -12, 3, 7, -14, 18, 4, 4, -10, -14, 11, -3, -22, -18, 4, -15, 6, 34, 17, -70, -38, 14, 24, -11, 23, -24, 27, -57, 138, 256, 148, 39, -11, -22, -2, 16, -15, -38, -47, 363 },
{ 26, -47, 2, -47, 18, -2, 46, -7, 21, -13, -31, 7, -19, -19, 5, -31, 6, 13, 37, -47, 30, 39, -62, 35, 6, -28, -17, -31, 14, -98, 294, -104, 77, -23, -12, -26, 8, 12, 39, 29, 34, 467 },
{ 1, -4, 6, -15, 3, 10, -17, 7, 2, 2, -14, -18, 26, -11, -5, 7, 11, -10, 12, 32, -32, -12, -57, -6, -6, -13, -13, -25, -20, -48, 188, 110, 52, 10, 16, -15, -9, 31, -16, 22, 48, 432 },
{ 3, -8, 6, -12, 3, 15, -6, 5, 1, 7, -9, -11, -6, 11, 9, -12, 3, -11, 5, 21, 10, -45, -70, -28, 5, -16, 15, -38, 7, -43, 152, 147, 130, 19, 64, -26, -4, 26, -35, -7, 32, 433 },
{ 3, -5, 4, -12, 14, 7, -5, -4, 14, 8, -10, -20, -13, 21, -12, -18, -10, -13, 21, 36, 30, -41, -93, -16, 28, 11, -18, 16, -28, -46, 128, 185, 192, 55, 67, -37, -6, -10, 29, -96, 38, 375 },
{ 4, -22, -3, -35, 4, -8, 52, -4, 14, -11, -19, -8, -15, 7, 3, -35, 19, 11, -20, 38, -9, 39, -45, -13, 27, -36, -35, -28, 17, -66, 232, -81, 75, -13, -13, -32, -12, 28, 68, 48, 81, 448 },
{ 3, -12, 1, -8, 4, -8, 27, -6, 9, -7, 5, -23, 12, -15, -25, -5, 8, -7, -7, 33, -23, -81, 58, -22, 8, -10, -7, -17, 10, -34, 208, 293, -18, -29, -6, -10, 2, 2, 31, 10, -44, 255 },
{ 2, -7, 2, -5, 17, 4, -11, 9, -7, -10, 3, -13, 20, 11, -63, 18, 8, -7, -10, 26, -16, -107, 109, -25, -11, -8, 10, -11, 12, -20, 181, 377, 16, -48, 12, -7, 5, 3, -10, 31, -59, 233 },
{ 1, -7, 6, -9, 15, 5, -14, 11, 7, -10, 8, -20, 21, -12, -30, -22, 9, -9, -8, 25, 22, -107, 29, 42, 5, -5, -3, -14, 20, -39, 162, 324, 113, -60, 12, -13, -8, 17, -18, 12, -73, 304 },
{ -11, -2, 9, -3, 26, -8, -18, 11, -16, -12, 8, -24, 17, 32, -79, 15, 7, -7, 22, 2, 36, -109, 148, 39, -32, -2, -4, -19, 42, -10, 118, 443, 26, -91, 24, -8, -2, 8, -16, 36, -61, 195 },
{ -1, -7, 5, -5, 13, 2, 13, -19, 20, -8, 4, -14, -5, 31, -76, -19, 5, 28, -21, 19, 47, -125, 52, 100, -14, -4, -12, -14, 15, 36, 75, 390, 159, -86, 25, -17, 2, 7, 7, 40, -115, 239 },
{ -7, 13, 4, 4, -2, 8, -13, -13, 9, 2, -14, 21, -13, 14, -35, -44, 7, -17, 22, 14, 52, -66, -14, 46, 55, -8, -10, -22, 46, -52, 115, 285, 244, -42, -19, -29, 3, 21, -25, 37, -93, 315 },
{ -4, -3, 8, -10, 14, -8, -13, 18, -18, 8, 4, -8, 3, 28, -78, 26, 9, -18, 38, -25, 35, -122, 168, 36, -40, -7, 17, -21, 31, 94, 101, 514, -48, -67, 27, -5, -3, 10, -38, 36, -29, 151 },
{ -3, 3, 6, -4, 21, -6, -8, -12, 12, -3, -10, 43, -23, 43, -124, 18, -2, 11, -25, 27, 22, -142, 152, 103, -49, -3, 10, -39, 42, 90, 120, 460, 83, -97, 49, -7, -5, 5, -21, 60, -101, 151 },
{ 2, -10, 31, -7, 18, 5, 31, -8, -7, 3, -7, -39, -13, 38, -47, -47, -28, 23, 49, 19, 57, -123, 61, 112, 59, 3, -16, -25, 11, 55, 45, 314, 268, -45, -47, -23, 7, 9, 18, 34, -126, 276 },
{ 0, 20, 5, -32, -10, -7, -12, 4, -20, 31, 14, 50, -45, 84, -93, 57, -10, -13, -31, 37, 59, -139, 235, 35, -47, -7, 19, 19, 48, -66, 163, 497, -41, -58, 26, -10, 3, -20, -23, -16, 127, 84 },
{ -4, 15, 9, -16, -17, 7, -7, -19, 24, -9, 21, 41, -43, 76, -126, 19, 5, 9, -8, 29, 27, -137, 136, 179, -49, 10, -18, -34, 32, 115, 82, 404, 181, -127, 47, -13, -9, 34, -35, 58, -113, 117 },
{ 28, -3, -5, 42, -1, 8, -4, 5, -4, -5, 7, -13, -7, -5, 2, -3, -1, 8, -11, 18, 17, 6, -4, 46, -3, -3, 8, -16, 22, -33, -9, -15, 36, 47, -8, 62, 53, -4, -4, 82, -10, 87 },
{ 5, -11, -26, -7, 8, -8, 56, -23, 31, -5, -8, -9, 6, -8, -16, 1, 9, -7, 28, -53, 32, -66, 36, -16, 6, -13, -10, -10, -57, 117, 96, 171, -68, -4, -20, -11, 5, -14, 51, 6, 38, 109 },
{ 16, -16, 5, -41, 9, -10, 42, -7, 9, -25, -7, -12, 15, -9, -3, -15, 9, 9, 35, -27, -29, -38, 22, 6, 11, -17, -11, -22, -30, 68, 176, 109, -27, -26, -8, -17, 13, 7, 42, 25, -27, 210 },
{ 2, -11, 2, -10, 4, -1, 20, -10, 9, -8, 7, -26, 28, -10, -3, -7, 5, 4, -9, 26, -47, -50, 17, -9, 5, -14, -3, -19, 15, -48, 197, 150, -6, -15, 12, -14, 2, 10, 13, 29, -64, 297 },
{ 24, -48, 3, -43, 23, -2, 32, -9, 7, -23, -7, -12, 16, -9, -7, -12, 9, -2, 37, -14, -30, -34, 31, -6, 11, -23, -7, -22, 11, -47, 207, 74, -26, -12, -6, -24, 3, 17, 20, 35, -52, 331 },
{ 1, -7, 4, -11, 2, -4, 22, -13, 12, 5, -9, -11, 19, 9, -14, -10, 4, -3, -7, 25, -27, -85, 14, 18, -3, -13, 5, -17, 13, -29, 153, 226, 43, -38, 29, -13, 3, 7, -3, 28, -96, 320 },
{ 2, -17, 7, -47, 6, -5, 44, -4, 20, -25, -4, -26, 6, -28, 2, -29, 8, 16, -8, 50, -53, 46, -33, 18, 8, -22, -9, -18, 10, -90, 241, -76, 58, -28, -7, -20, 4, 27, 12, 43, -69, 425 },
{ 2, -6, 7, -17, 3, 7, -15, 10, -4, -10, 3, -18, 29, -15, 12, -2, 5, 11, -7, 24, -31, -43, -22, -13, 4, -15, -7, -23, 26, -59, 152, 124, 43, -19, 27, -20, 3, 20, -6, 32, -75, 398 },
{ -4, -9, 15, 4, 6, -3, -6, -5, -5, -6, 11, -10, 11, 6, 5, -4, 6, 3, -11, 11, 20, -88, -28, -21, 9, -11, -3, -16, 15, -46, 141, 188, 72, 42, -14, -13, 1, 2, 30, -29, -68, 392 },
{ -3, -2, 7, -6, -4, 10, 10, -19, 12, -5, 8, -10, -7, 21, -9, -19, 3, -12, -10, 20, 41, -90, -64, 19, 38, -7, 9, -18, 26, -43, 108, 255, 177, -55, 47, -29, 3, 18, -18, 23, -115, 369 },
{ 3, -13, -2, -36, 7, 8, 35, -3, 15, -22, -12, -26, 4, -31, 6, -17, 16, -16, 15, 40, -39, 46, -40, 15, 6, -21, -23, 16, -34, -76, 230, -87, 42, -14, -11, -19, 2, 6, 57, -14, 27, 441 },
{ 0, -10, 4, -8, 1, 5, -10, 7, -3, -2, -4, -13, 19, -9, 13, -9, 10, -7, 6, 19, -15, -32, -55, 16, -6, -10, -11, -18, -13, -44, 154, 106, 34, 4, 23, -16, -5, 20, 21, -34, 40, 439 },
{ -2, -1, -6, 4, -4, 2, 10, -9, -4, 4, 6, -20, 17, -8, 12, 6, 5, -16, 12, 15, 17, -51, -66, -32, 5, -8, 11, -32, 22, -43, 118, 136, 121, 30, 51, -26, -3, 14, -43, 24, -51, 447 },
{ 2, -8, 5, -6, 18, 9, -9, -8, 12, 4, -7, -17, 23, -12, 30, -15, -7, 18, -18, 33, 25, -21, -133, -18, 43, -9, 9, 15, -47, 33, 62, 172, 228, 54, 63, -41, 15, 9, -26, -62, -38, 406 },
{ 4, -9, 6, -3, 31, 9, -17, -19, 16, 5, -13, -15, 16, 13, -7, -43, -11, 57, -28, 14, 68, -32, -118, 26, 72, -7, -13, 24, -36, 67, 22, 188, 278, 56, 28, -52, 6, 18, 15, -91, -37, 370 },
{ 3, -34, -3, -25, 3, 26, -4, 29, -3, -14, -7, -14, 12, -25, 6, -24, 14, -10, 13, 29, -25, 40, -34, -13, 11, -18, -31, -12, -48, -39, 217, -69, 18, 32, -21, -24, -10, 14, 63, 30, 66, 474 },
{ -3, -6, 9, -10, 8, 7, -14, 4, -5, -7, -9, 13, 7, -12, 16, 6, 9, 4, -9, 4, 24, -18, -54, -27, -4, -8, -19, -23, -9, -60, 141, 61, 61, 13, 49, -17, -19, 41, -10, -3, 90, 501 },
{ -8, -2, 13, 4, 6, -7, -4, -3, -8, -1, -8, 19, -5, -10, 25, 8, 9, -15, 6, 16, 26, -6, -73, -57, -5, -5, -13, 25, -47, -28, 95, 75, 125, 51, 98, -31, -9, 10, -35, -25, 72, 492 },
{ 2, -8, 6, -11, 5, 6, 7, -17, 7, 3, -8, -19, 34, -15, 26, -12, 17, -16, 7, 20, 26, 6, -91, -74, 39, -14, 10, 12, -39, 28, 19, 114, 183, 114, 129, -54, 1, 17, -43, -67, 62, 444 },
{ 3, -7, -10, -1, 7, 40, 11, -21, 11, 4, -13, -23, 12, -26, 35, -45, 5, -15, 19, 25, 44, 48, -159, 21, 52, -20, 7, 19, -47, 44, 42, 161, 240, 136, 58, -54, 37, 23, -67, -65, 81, 386 },
{ 4, -7, -6, -18, 3, 4, 33, -2, -6, -10, -21, 5, -3, 3, 4, -20, 22, -9, 12, 7, 27, 6, -28, -3, -7, -27, -71, 12, -50, 22, 90, 53, -6, -22, 25, -33, -19, 85, 54, 75, 126, 422 },
{ -3, -13, 25, 1, 11, -8, 3, -6, -7, -4, -15, 35, 3, 7, -18, 21, 14, -10, 30, -30, 31, 40, -46, -25, -33, -10, -14, -42, -64, 54, 99, -26, 63, 24, 39, 32, -33, 45, -17, 87, 147, 468 },
{ -5, -6, -4, 6, 6, 13, 9, -8, -2, -11, -7, 28, -13, 15, -11, 18, 8, 4, -23, 40, 21, -6, -15, -52, -44, 19, -14, -50, -26, 33, 41, 64, 77, 86, 57, 57, -26, -42, 46, 64, 89, 442 },
{ 4, -11, 4, -2, 19, -6, 20, -7, 1, -32, 41, -8, 3, -10, 16, -16, 18, -3, -18, 20, 38, 42, -31, -126, 47, -13, 20, -29, -26, 31, 23, 59, 144, 156, 149, -34, -20, 55, -79, 19, 134, 434 },
{ 5, -12, -18, -9, 8, -9, 48, -7, 8, -3, -6, -4, 3, 9, -32, 7, 6, -9, 22, -37, -15, -84, 59, -27, 7, -10, -5, -7, -36, 53, 164, 215, -79, 14, -4, -12, 4, -16, 44, 2, -15, 181 },
{ 1, -10, 4, -11, 6, -6, 21, -10, 11, -9, 3, -11, 13, 14, -29, 13, 5, 4, -8, 10, -40, -87, 45, -16, 3, -7, -6, -14, 16, -12, 176, 278, -37, -22, 25, -14, 3, -5, 20, 13, -63, 227 },
{ -4, 2, 1, -7, 13, -12, 26, -7, 6, -7, 8, -20, 19, 26, -48, 13, 7, -6, -10, 15, -59, -104, 85, -33, 11, -6, 2, -13, 40, 22, 155, 401, -53, -20, 12, -7, -4, 10, -14, 24, -79, 186 },
{ 2, -10, 4, -10, 5, -7, 18, -11, 13, -7, 10, -15, 25, 17, -43, -9, 10, -8, -20, 30, -35, -116, 51, 37, -8, -9, 8, -9, 27, 15, 142, 381, 11, -53, 31, -10, 2, 7, -11, 27, -93, 239 },
{ -7, -3, 3, 2, 10, -10, 18, -22, 20, 5, 5, -16, 18, 11, -33, -21, 6, -9, -15, 21, 25, -123, 16, 51, 3, -23, 7, -12, 27, -35, 120, 328, 85, -61, 28, -16, 2, 18, -8, 26, -104, 292 },
{ -5, -3, 5, 12, 7, 8, -21, 12, -13, 4, -21, -13, 15, 49, -75, 23, -4, 8, 42, -21, -24, -123, 137, -32, -14, -4, 3, -31, 35, 98, 124, 453, -32, -37, 42, 9, 1, 3, -19, 23, -84, 168 },
{ -7, -5, 7, -4, 12, 9, -10, -7, 12, -4, 3, -23, 19, 21, -83, 15, 10, -11, 29, 11, 40, -153, 106, 72, -31, -6, 8, -23, -18, 75, 96, 455, 42, -85, 41, 3, -5, 7, -23, 55, -87, 183 },
{ 15, -16, 4, 3, 15, 16, -11, -26, 20, 1, -21, 43, -19, 23, -26, -30, 11, -11, -14, 21, 42, -70, -48, 50, 58, -5, -14, 13, -8, 52, 46, 311, 243, -31, -24, -21, -3, 21, 35, -33, -117, 321 },
{ -7, -7, 25, 5, 19, 4, -17, -26, 21, -12, 17, -18, 51, 49, -96, -29, 10, 33, -18, -25, 58, -175, 122, 162, -38, -3, -17, -23, 40, 107, 83, 406, 190, -106, 46, -10, 4, 19, -19, 36, -143, 194 },
{ -18, 30, -13, 9, -12, 13, -11, -35, 17, -4, 9, -24, -15, 85, -159, 42, 6, -19, 34, 27, 72, -147, 183, 120, -51, -4, 32, -34, 37, -60, 168, 451, 85, -123, 31, 6, 5, -38, -40, 52, 96, 91 },
{ 3, -6, 76, -11, -12, 17, -22, 60, -17, -2, -7, -34, -16, 45, -56, -48, 14, -16, 86, 12, 48, -72, 64, 206, 72, 6, -12, -21, 26, -8, 79, 297, 222, -36, -49, -23, 13, -13, 28, 84, -84, 178 },
{ 3, -9, -6, -5, 10, -6, 26, -10, 8, -7, -9, -4, 10, -5, -4, -9, 8, -4, 43, -6, -22, -12, 34, 3, 8, -10, -2, -8, -7, 21, 39, 42, -14, -8, -2, -11, 1, 2, -8, 20, -27, 49 },
{ 5, -12, -8, -13, 8, -6, 37, -7, 9, -11, -3, -7, 2, 6, -14, -7, 8, -3, 45, -34, 47, -59, 28, -9, 10, -13, -8, -11, -36, 80, 25, 137, -49, -8, -6, -17, 3, 9, 38, 8, 43, 34 },
{ 4, -15, 2, -14, 15, -7, 29, -9, 10, -11, -7, -13, 21, -3, -14, -7, 8, 6, 37, -19, -30, -34, 41, 3, 9, -16, -7, -25, -17, 50, 99, 95, -19, -27, -5, -13, 4, 0, 40, 30, -39, 131 },
{ 3, -13, 4, -10, 4, -6, 23, -11, 9, -9, 3, -18, 28, -5, -7, -3, 7, 3, 3, 10, -44, -52, 24, -10, 6, -20, 15, -23, 18, -26, 161, 119, 22, -31, 27, -15, 23, 6, -12, 38, -84, 246 },
{ 4, -45, 1, -15, 11, -5, 45, -8, 9, -15, -1, -17, 15, -12, -7, -11, 10, 7, 32, -20, -26, -31, 29, 8, 8, -19, -6, -27, -13, 27, 127, 68, -10, -21, -9, -15, 17, 4, 46, 28, -57, 222 },
{ 1, -11, 4, -8, 10, 5, -13, -4, 7, -4, 4, -21, 33, 9, -7, -7, 6, -7, 6, 25, -44, -82, 22, -11, 19, -6, -5, -11, 28, -30, 142, 216, 29, -24, 20, -12, 2, -3, 16, 18, -100, 253 },
{ 3, -16, 1, -30, 6, -4, 40, -6, 4, -24, -5, -16, 11, -9, -3, -18, 11, 5, 15, 30, -33, -27, 36, -7, 10, -20, -9, -24, 9, -57, 198, -53, 31, -21, -12, -16, 11, 5, 56, 27, -98, 380 },
{ 1, -10, 3, -10, 1, -1, 31, -12, 6, -10, 5, -21, 22, -7, 12, -10, 9, 2, 2, 26, -28, -39, -32, 18, 2, -18, -2, -16, 16, -49, 143, 90, 42, -27, 26, -18, 3, 18, -4, 49, -89, 365 },
{ 2, -6, 6, -11, 3, 4, -9, -6, 4, -9, 15, -13, 10, 11, 8, -9, 8, -4, 8, -10, 41, -83, -44, 17, 3, -14, 10, -16, 27, -44, 109, 166, 85, -36, 44, -21, 3, 11, -3, 32, -118, 377 },
{ 5, -7, 7, -10, 4, -4, 5, -19, 12, -5, 34, -11, -6, 24, -4, -17, 5, -17, -5, 18, 50, -98, -68, 39, 39, -10, 21, -17, 49, -28, 76, 244, 171, -59, 50, -25, 3, 6, -14, 37, -141, 341 },
{ 4, -5, -19, -12, 7, -3, 38, -5, 5, -26, -8, -15, 9, -19, 2, -8, 9, 3, 14, -17, 49, -29, -14, 7, 8, -15, -13, -28, 16, -73, 182, -60, 29, -32, 21, -25, 2, 4, 28, 50, -49, 433 },
{ 12, -8, 2, -11, 4, -2, 23, -9, 3, 3, -8, -12, 7, 12, -12, 11, 8, -7, 9, 12, 21, -45, -25, -11, -8, -15, 3, -28, 20, -65, 130, 51, 57, -12, 42, -19, 3, 17, -14, 50, -81, 477 },
{ -2, -7, 9, -8, 1, 7, -6, -9, 17, 2, -5, -16, 12, -6, 26, -6, 2, 4, -9, 11, 43, -58, -57, -27, 6, -12, 6, -24, 29, -35, 74, 152, 77, 53, 43, -27, 4, -5, 40, -48, -46, 424 },
{ 2, -6, -2, 4, 6, -12, 5, -13, -6, 7, 18, -19, 33, 7, 32, -11, -9, -6, -18, 48, -15, -43, -119, -22, 54, -9, 25, 15, -21, 56, 42, 216, 170, 87, 42, -42, 8, -4, 41, -87, -64, 392 },
{ -7, -4, 36, 3, 4, 6, -14, -13, 25, 5, -19, -17, 36, -3, 39, -37, 11, -17, 28, 18, 39, -43, -159, 14, 101, -12, -6, 12, 61, -43, 156, 223, 261, 54, 51, -50, 7, 25, -11, -85, -76, 360 },
{ 4, -5, -10, -12, 4, 3, 31, -11, 7, -17, -7, -16, 3, 8, -20, -6, 13, 5, 14, -13, 36, -16, -12, -17, 14, -17, -14, -34, -3, -71, 190, -48, -8, 39, -18, -17, 4, -14, 66, 10, 60, 478 },
{ -4, -3, 7, -8, 6, -1, -13, 21, -2, -7, -7, 26, -8, 15, -12, 14, 6, 3, -6, 12, 35, -29, -32, -23, -12, -12, 27, -34, -19, -57, 116, 55, 40, 20, 46, -16, -15, 44, -14, -8, 76, 494 },
{ -2, -4, -5, 7, 3, -4, 18, -8, -12, -4, 21, -10, 27, -16, 26, 13, 6, -7, -15, 24, 52, -19, -76, -46, -7, 6, 8, -33, 40, -50, 47, 122, 91, 41, 105, -29, 4, -14, -20, -37, 62, 467 },
{ 3, -10, 3, -20, 7, -21, 12, -17, 24, 8, -10, -16, 42, -17, 33, -12, 27, -28, 34, 16, 34, 33, -125, -57, 34, -10, 26, -16, -37, 78, -18, 121, 230, 110, 48, -39, 13, 20, -59, -64, 86, 414 },
{ 4, -7, -3, -10, 8, 6, -5, 38, -8, -7, -18, -4, 9, 3, 2, -17, 20, -9, 7, 50, -9, 12, -25, -14, 7, -24, -39, -49, 42, -54, 116, 51, -32, 50, -38, -13, -27, 87, 40, 87, 103, 451 },
{ 3, -6, -16, -10, 7, -10, 38, -9, 12, -5, -8, 5, -7, 14, -19, -3, 8, -5, 18, -40, 30, -88, 40, -19, 11, -7, -7, -11, -20, 40, 95, 176, -55, 20, -10, -12, 5, -7, 29, 19, -40, 131 },
{ 1, -8, 2, -9, 7, -15, 28, -13, 13, -6, 5, -17, 21, 27, -19, -7, 4, 6, -4, 20, -45, -90, 47, -24, 13, -4, -13, -13, 23, -12, 142, 257, -72, 27, -10, -9, 2, -19, 43, 13, -57, 169 },
{ -7, -5, 14, -8, 5, -3, -22, 8, 7, -2, -14, 30, 26, 25, -42, 8, 8, 11, -9, -12, -56, -105, 73, -34, 20, 2, -7, -18, 16, 62, 129, 368, -80, 29, -14, 3, 7, -14, 31, 17, -84, 172 },
{ -5, -4, 8, -8, 7, -3, -12, -9, 14, -6, 14, -20, 42, 29, -29, -11, 4, 28, -28, 35, -53, -107, 24, 55, -8, -7, 10, -13, 15, 40, 109, 349, 21, -52, 18, -5, -4, 9, -27, 41, -115, 202 },
{ -2, -11, 6, -5, 9, 3, -4, -15, 14, -6, 10, -20, 16, 17, -21, -16, 9, -6, -10, 10, 39, -129, 28, 46, -4, -7, 3, -15, 49, -27, 87, 306, 63, -54, 49, -15, 3, 5, -8, 26, -122, 266 },
{ -3, -6, 12, -2, 13, -17, -21, 7, 10, -7, 6, 27, 25, 30, -59, 32, 1, 10, -11, -22, -46, -125, 114, -32, 25, -9, -2, -18, 24, 124, 119, 435, -63, -38, 8, -5, 2, 7, -18, 44, -95, 170 },
{ -10, 7, 1, 4, 5, 3, -10, -11, 13, -2, -9, -8, 33, 27, -56, -10, 7, -12, 57, -30, 34, -152, 69, 80, -19, -9, 15, -30, 28, 98, 55, 443, 27, -71, 25, -5, -6, 14, -34, 51, -111, 190 },
{ 8, -31, -6, 6, 14, 6, -9, -27, 19, -4, 21, -14, 50, 38, -47, -25, 10, 10, -23, 22, -19, -119, 34, 93, 28, 5, -4, -27, 26, 73, 71, 414, 111, -80, -18, 4, -5, -10, 24, 38, -127, 214 },
{ 8, -8, 24, 4, -6, 9, -16, -22, 11, 16, 11, -21, 44, 27, -12, -29, 8, -23, -15, 23, 34, -110, -52, 55, 65, -7, 30, -22, 33, -23, 106, 328, 175, 50, -53, -20, 3, 13, 3, 56, -170, 301 },
{ -2, -4, 11, -5, 19, -18, -11, -9, 20, -5, -8, 51, 12, 28, -93, 36, -10, 16, -10, -22, -14, -111, 133, -31, -24, 22, 13, -24, 38, 105, 132, 492, -40, -29, 40, 8, 3, -49, -27, 30, -50, 186 },
{ -3, -3, -4, 2, 8, 6, -16, -23, 23, -9, -10, 52, 30, 52, -114, 15, 3, 19, -19, -21, -29, -133, 128, 109, -43, -4, 17, -34, 66, 126, 155, 435, 24, -88, 33, 17, 5, -13, -36, 48, -107, 190 },
{ -3, 4, 6, 8, -8, 38, -20, -38, 26, -7, 7, -17, 54, 51, -70, -39, -3, 26, -22, 32, -34, -111, 51, 179, -25, 2, -18, -47, 61, 73, 148, 404, 189, -122, 70, -50, 3, 40, -13, 53, -147, 172 },
{ 36, -11, -6, 2, -12, 14, 28, -25, 16, 6, 9, -23, -18, 34, -17, -59, -15, -21, 60, 26, 52, -119, -9, 122, 67, 10, -16, -23, 33, -31, 137, 322, 263, -54, -46, -9, 25, -18, 31, 82, -151, 275 },
{ 5, -21, 39, -15, 40, 7, 5, -12, 15, 7, -12, -17, 9, -6, -17, -47, -18, -8, 13, 27, 32, 20, -104, 85, 120, 7, -18, 14, -19, 95, 58, 202, 269, 103, -32, -30, 3, 15, 25, -49, -91, 327 },
{ 7, 6, -12, 6, -9, 11, -20, -23, 25, 9, 9, 21, -21, 57, -108, 49, 26, -30, -17, 21, 48, -143, 174, 81, -48, -14, 18, 29, 23, -45, 238, 458, -111, -62, 38, -8, 2, 16, -58, 36, 104, 142 },
{ -9, 7, -3, 10, 12, -6, 24, -42, 25, -27, -16, -10, 54, 43, -75, -30, -15, 35, -20, -30, 77, -170, 85, 222, -32, 11, 32, -49, 68, 91, 158, 386, 208, -125, 47, -10, 46, -23, -9, 55, -127, 145 },
{ 3, -9, -4, -11, 8, -8, 28, -6, 10, -7, -4, -5, 11, -3, -9, -9, 9, -6, 19, -34, 32, -47, 29, -14, 13, -10, -9, -6, -23, 46, 44, 80, -35, 13, -9, -14, 3, -7, 37, 16, -26, 72 },
{ 25, -14, 3, -16, 4, 22, -11, 6, 9, -10, 2, -20, 30, -11, -8, -8, 8, -3, 7, 15, -41, -17, 29, 6, 7, -18, 13, -25, 31, -16, 116, 41, -9, -22, 14, -16, 24, 5, -14, 44, -59, 140 },
{ 3, -9, 5, -13, 5, 7, -11, -6, 8, -11, -5, -16, 28, 13, -9, -5, 5, 4, 10, 22, -47, -41, 48, -10, 8, -14, 7, -29, 43, -28, 130, 82, 13, -25, 33, -15, 9, 6, -22, 55, -90, 175 },
{ 3, -16, 21, -15, 11, 5, -11, 4, 27, -15, 2, -21, 28, -14, 4, -17, 8, 4, 5, 19, -35, -19, 10, 3, 7, -20, 14, -26, 33, -28, 122, 27, 19, -28, 28, -17, 26, 6, -14, 46, -79, 201 },
{ 14, -15, 6, -11, 4, 18, -13, 1, 19, -8, 7, -19, 27, -8, 4, -11, 5, 10, -8, 29, -30, -49, 12, -7, 7, -15, 4, -23, 42, -30, 113, 93, 36, -24, 34, -18, 16, 5, -14, 46, -106, 227 },
{ -2, -6, 8, -9, 3, 4, -12, -10, 7, -9, 4, -14, 27, 10, -6, -4, 14, 6, -11, 37, -29, -85, 27, -17, 34, -11, 2, -13, 45, -22, 99, 176, 62, -23, 26, -16, 9, 6, -10, 33, -118, 235 },
{ 4, -16, 6, -15, 8, -6, 46, -9, 8, -8, -9, -12, 13, -14, 4, -9, 6, 6, 5, 33, -38, 32, -22, 11, 6, -14, -6, -22, 43, -49, 140, -35, 43, -35, 12, -17, 4, -3, 47, 28, -94, 290 },
{ 7, -14, 5, -6, 19, 6, -9, -7, 3, -6, -2, -15, 24, -13, 9, -4, 6, -4, 16, -18, 50, -68, 16, -15, 17, -11, -4, -16, 39, -44, 90, 92, 40, -14, 17, -13, 4, -6, 30, 45, -87, 294 },
{ -5, -6, 8, -7, 4, 3, -5, -13, 4, -8, 16, -15, 14, 12, 13, -10, 6, -5, 13, -15, 46, -90, -17, -17, 8, -13, 21, -23, 49, -33, 74, 176, 73, -7, 41, -21, 4, 14, -8, 40, -112, 324 },
{ -1, -12, 6, -6, 35, -3, 14, -14, 4, -8, 10, -23, 10, 15, 18, -20, 4, -5, -11, 20, 41, -99, -75, 44, 49, -14, 23, -12, 51, -30, 85, 219, 138, -53, 55, -30, 17, 7, -2, 46, -138, 319 },
{ 4, -12, -2, -9, 8, -6, 40, -4, 3, -9, -8, -7, 8, -10, 4, -10, 6, 5, 14, -21, 59, -24, -13, 6, 4, -12, -7, -28, 37, -56, 126, -28, 34, -30, 26, -18, 4, -9, 33, 67, -74, 383 },
{ 1, -14, 27, -9, 4, -2, 5, -8, 5, -9, 18, -15, 15, -17, 14, 2, 7, -4, 12, -6, 59, -48, -20, -17, 10, -16, 21, -26, 40, -56, 67, 97, 36, -12, 44, -18, 3, 7, -8, 53, -82, 410 },
{ -7, 17, -6, 7, -10, 6, 18, -11, -4, 4, -5, -17, 16, -17, 27, 6, 10, -16, 23, -15, 47, -54, -51, -20, -6, -9, 7, -27, 68, -51, 92, 103, 74, 37, 66, -27, 4, 11, -31, 52, -127, 449 },
{ -3, -7, -2, 7, 39, 4, -6, -17, 11, -9, 14, -29, 18, -9, 38, -13, 5, -11, -8, 55, 30, -76, -90, -30, 48, -8, 4, 16, -33, 114, 25, 188, 148, 89, 67, -47, 3, 11, 37, -80, -82, 373 },
{ -5, -13, 49, -8, 6, -5, 17, -23, 8, -10, 15, -24, 34, -4, 38, -31, 11, -23, -9, 20, 26, -41, -149, 22, 110, -11, -11, 22, 84, -43, 181, 226, 212, 122, -26, -43, 5, 30, 32, -60, -102, 351 },
{ 4, -10, -4, -7, 20, 11, -12, 8, -1, -13, -4, -13, 11, -7, 8, -11, 12, -6, 14, -6, 58, -15, -18, -6, 11, -10, -21, 27, -48, -42, 143, -40, 20, 25, -21, -11, -12, 8, 63, -31, 90, 427 },
{ 0, -16, 13, 2, 5, 27, -5, -3, -6, -5, -10, -3, 33, -20, 19, 7, 13, -11, 24, -12, 59, -21, -39, -16, -6, -12, -7, 33, -60, -34, 81, 74, 20, 33, 44, -16, -11, 49, -14, -31, 101, 452 },
{ 7, -5, -6, 4, 7, 21, -3, -4, -7, -9, 12, -13, 59, -28, 20, 16, 4, 17, -20, 24, 37, 24, -87, -25, -14, 2, -4, -14, -32, 58, -25, 133, 82, 75, 69, -24, 20, -18, 44, -69, 68, 442 },
{ 1, -4, -6, 6, -5, 11, -29, 16, -11, 9, -3, -20, 42, -17, 28, 11, 24, -10, -18, 32, 72, -19, -111, -38, -12, -9, 17, -21, 74, -35, 100, 125, 176, 137, 49, -39, 7, 17, -43, -90, 78, 407 },
{ -9, -1, 38, -20, 11, 7, -31, -8, 13, -5, 12, -35, 20, -35, 28, -18, 10, -18, 31, 29, 77, -11, -102, -45, 69, -14, 11, 22, -38, 80, 59, 191, 206, 163, 47, -61, 10, 22, -38, -77, 88, 329 },
{ 4, -8, -3, -10, 10, 3, 29, -10, 7, -11, -9, -10, 22, 8, -2, -9, 22, -11, 7, 13, 66, -21, -7, -16, 10, -13, -45, 28, -62, -35, 126, 29, -15, 35, -29, -9, -35, 106, 22, 57, 136, 476 },
{ 3, -11, 11, -9, 8, 13, -15, 2, -7, -4, -17, -6, 69, -3, -16, 23, 14, -20, 34, 29, -18, 63, -19, -36, -18, 23, -17, -27, -90, 74, 64, 43, 12, 41, 8, 44, -22, 17, -39, 102, 121, 484 },
{ -7, -6, 7, 7, 9, 15, -4, -6, -10, -17, 58, -23, 21, -10, -10, 30, -2, -12, 37, 33, -31, 57, 10, -88, -27, 26, -18, -28, -45, 73, -14, 115, 55, 86, 68, 57, -10, -28, -33, 108, 72, 457 },
{ 15, -13, 3, -12, 10, -7, 22, -11, 10, -5, -9, -10, 19, 29, -10, -10, 8, -4, 21, -15, -31, -51, 28, -16, 12, -9, -7, -8, -23, 23, 85, 127, -47, 26, -9, -8, 3, -5, 30, 20, -38, 102 },
{ 9, -12, 5, -11, 6, 2, -10, -6, 9, -5, -6, -7, 27, 31, -13, -6, 5, -5, 12, -11, -46, -78, 35, -19, 10, -4, -5, -11, 13, 31, 109, 206, -61, 35, -4, -13, 8, 7, -11, 27, -68, 135 },
{ -1, -8, 8, -8, 5, 5, -16, -6, 6, -5, 8, -22, 36, 26, -13, -5, 7, -8, 6, 9, -54, -66, 40, -14, 31, -9, -2, -14, 40, -21, 130, 163, 29, -31, 10, -13, 14, 5, -17, 46, -102, 183 },
{ -1, -6, 9, -10, 6, -4, -15, -6, 11, -5, 6, -10, 36, 39, -26, 17, 25, -13, 27, -13, -55, -103, 48, -25, 7, -9, 6, -12, 12, 73, 116, 310, -70, 42, -6, -6, -1, 6, -18, 37, -100, 152 },
{ -6, -4, 8, -6, 1, 18, -11, -12, 12, -5, 8, -17, 31, 16, -17, -8, 5, 13, -14, 9, -53, -100, 59, -11, 29, -15, 16, -7, 39, 38, 105, 278, 48, -39, 12, -12, 6, 8, -25, 47, -127, 189 },
{ -3, -9, 2, 3, 1, 4, -7, -16, 11, -14, 19, -12, 13, 27, -13, -19, 26, -11, 7, -15, 34, -137, 35, 19, 22, -11, 5, -10, 30, 36, 53, 302, 73, -34, 23, -16, 4, 7, -8, 29, -120, 224 },
{ -20, -6, 9, -9, 29, 8, -18, -5, 16, -3, -11, -9, 29, 55, -49, 42, 25, 9, 25, -19, -39, -115, 76, -33, -14, -4, -12, -17, 23, 95, 106, 388, -72, 62, 4, -4, -1, 13, -24, 39, -108, 165 },
{ -7, -2, 6, -8, 4, 20, -6, -20, 17, -3, 4, -12, 66, 40, -55, 18, 4, -10, 31, -18, -17, -117, 37, 50, -18, -10, 16, -20, 26, 62, 125, 384, 28, -58, 32, -4, -1, 13, -45, 56, -120, 196 },
{ 1, -8, -7, 5, -2, 23, 8, -33, 19, -3, 10, -19, 34, 46, -29, -17, 2, 21, -19, 15, -26, -127, -8, 98, 16, -4, 10, -30, 31, 86, 82, 391, 76, -73, 29, -13, -7, 6, -8, 45, -141, 229 },
{ -8, 19, -2, 7, -3, 23, 10, -33, 12, -17, 13, -16, -9, 38, 30, -43, 10, 30, -32, 37, 40, -82, -93, 82, 88, -14, -6, -16, 41, -39, 129, 316, 173, -37, -28, -21, 24, 9, 9, 95, -163, 310 },
{ 1, -1, -14, 7, 33, -10, -8, -18, 35, -2, -3, 33, -18, 54, -86, 35, -5, 16, -16, 14, -25, -146, 124, -40, -22, -3, 19, -25, 34, 77, 231, 446, -88, 66, 18, 10, 12, -16, -30, 37, -89, 172 },
{ -3, 7, -10, 10, -5, 2, -4, -33, 19, 7, -2, 20, -11, 68, -86, 21, -7, 15, -24, 20, -22, -149, 87, 115, -31, -3, 14, -32, 33, 112, 158, 431, 20, -74, 35, -6, -4, 17, -47, 65, -103, 192 },
{ -6, 22, -9, 15, 5, -17, 20, -60, 23, -3, 41, -14, 45, 75, -51, -35, -25, 20, -21, 17, -37, -134, 18, 192, -9, -8, -7, -42, 54, 93, 143, 409, 137, -105, 50, -19, 30, 8, -13, 63, -145, 209 },
{ -8, -4, 35, 8, 8, -29, 10, -35, 18, 3, 26, 55, -30, 32, 32, -52, -14, 15, -27, 32, 44, -120, -48, 141, 93, 6, -18, -23, 49, -59, 208, 324, 225, -61, -46, -12, 25, -15, 37, 109, -147, 280 },
{ 20, -4, -29, -18, 21, 2, 12, -42, 32, -4, 6, -21, 37, 65, -112, 21, -12, 15, 46, -29, 25, -154, 128, 129, -43, -4, 33, -44, 33, 116, 172, 428, 59, -89, 39, 3, 4, -9, -47, 67, -86, 160 },
{ 18, -6, 31, 11, 10, 5, -13, -35, 13, -11, 8, 41, -24, 36, 61, -79, 17, -22, -18, 21, -15, -64, -26, 175, 110, -14, -25, 19, 35, 83, 142, 286, 213, -85, -52, 47, -23, 15, 31, -22, -94, 236 },
{ -9, -11, 121, -14, 10, 23, -16, -19, 7, -18, -23, -5, 16, -34, 31, -75, 31, -32, 11, 47, 43, -59, -40, 118, 149, 25, -5, -36, 15, 108, 56, 299, 134, 152, -55, -18, -51, 11, -30, 61, -59, 248 },
{ 19, -13, 2, -14, 22, 4, -8, 11, 5, -17, 3, -15, 19, -11, 5, -8, 9, -4, 8, 29, -29, -10, -3, 13, 7, -14, 3, -18, 39, -14, 69, 22, 27, -18, 16, -15, 16, 5, -16, 40, -58, 99 },
{ 17, -18, 7, -7, 7, 13, -14, 4, 3, -6, -8, -9, 20, -15, 7, -7, 6, 3, 8, 28, -36, -28, 15, -5, 9, -9, -3, -17, 39, -17, 86, 57, 37, -18, 19, -13, -1, 6, -17, 44, -80, 130 },
{ 28, -14, 2, -12, 7, -3, -3, -5, 7, -6, -7, -12, 15, -8, 2, -12, 6, 5, 4, 35, -27, -10, 22, -6, 7, -18, 19, -22, 42, -20, 73, 19, 34, -21, 25, -16, 22, 6, -17, 46, -74, 145 },
{ -2, -5, 9, -11, 3, 5, -13, -5, 5, -2, -7, -14, 23, -9, 7, -8, 6, -5, 10, 20, -26, -33, -6, 9, 7, -16, 25, -17, 28, -20, 79, 63, 52, -20, 28, -15, 17, 6, -17, 42, -92, 177 },
{ -2, -4, 9, -12, -2, 6, -12, -8, 3, -5, 10, -20, 24, 12, 4, -8, 4, 12, -8, 14, -30, -71, 31, -14, 9, -15, 38, -21, 64, -29, 84, 127, 63, -20, 38, -17, 8, 7, -22, 49, -122, 219 },
{ 28, -20, 35, -12, 8, 2, -5, -2, 4, -9, -6, -12, 16, -16, 21, -7, 7, 11, -2, 42, -24, -12, 7, -9, 8, -18, 14, -25, 57, -43, 90, -11, 62, -21, 19, -15, 3, 28, -13, 43, -91, 232 },
{ 9, -5, 5, -15, 2, 4, -10, 30, -2, -10, 19, -16, 19, -16, 12, -3, 6, -2, 13, -17, 59, -56, 29, -22, 6, -17, 22, -16, 37, -33, 61, 64, 61, -17, 36, -13, 12, 6, -15, 37, -110, 273 },
{ -2, -6, 9, -8, 3, 9, -12, -9, 16, 13, -6, -20, 26, -13, 25, -9, 5, -7, 16, -12, 59, -77, -19, -11, 27, -14, 3, -17, 52, -43, 67, 131, 70, -4, 38, -17, 3, 11, -6, 65, -108, 292 },
{ -8, -10, 19, 6, 33, 3, -8, -17, -6, -13, 9, -22, 12, 21, 24, -16, 4, 16, -14, 21, 71, -112, -35, -13, 71, -9, 4, -12, 26, -51, 66, 224, 70, -12, -7, -14, 2, -4, 32, 59, -125, 300 },
{ 3, -8, -4, -6, 7, -4, 53, -11, 4, -13, -7, -9, 8, -13, 29, -11, 9, 6, 11, -13, 52, -21, 16, -14, 11, -11, -7, -26, 65, -53, 79, -20, 61, -9, -8, -7, 2, -11, 37, 71, -73, 311 },
{ 2, -23, 29, 4, 37, 8, -14, -3, -5, 12, -15, -17, 19, -10, 17, -4, 7, -10, 16, 50, -11, -37, -18, -15, 18, -19, 8, -24, 40, -59, 86, 44, 68, -11, 67, -21, 13, 6, -15, 72, -90, 377 },
{ -7, -3, -7, 6, 16, 9, -7, -4, -8, 38, -14, -20, 19, -14, 27, 4, 3, -5, 21, -17, 51, -51, -40, -26, 8, -4, -12, 12, -39, 67, 41, 95, 49, 66, 21, -13, 7, -11, 71, -36, -80, 369 },
{ -2, -5, 3, 5, -2, 11, -14, -17, 28, 5, 18, -25, 17, -6, 39, -14, 41, -35, 83, 20, -13, -59, -72, -28, 56, -4, -14, 21, -29, 121, 47, 136, 120, 106, -18, -15, 4, 5, 43, -44, -105, 370 },
{ -6, -9, 10, -2, 3, 68, -17, -9, 31, 6, -8, -25, 66, -18, 35, -20, 14, -23, 11, 54, 16, -55, -108, -36, 133, -9, -15, 29, -22, 135, 38, 215, 198, 114, -22, -22, 5, 10, 27, -75, -94, 314 },
{ 3, -15, -4, -5, 7, 10, 34, -6, 3, -6, -9, -11, 10, -12, 26, -12, 13, -11, 10, 17, 43, -16, 14, -16, 9, -12, -12, 40, -42, -34, 66, 25, -33, 53, -16, -6, 4, -22, 77, -24, 91, 338 },
{ 12, -6, -12, 8, -6, 19, -18, 4, -9, -15, 40, -25, 16, 7, -17, 17, 7, 13, 21, -17, 66, -26, -17, -15, -14, -7, -4, -8, -61, 27, 56, 45, 10, 43, 36, -8, 6, -24, 68, -45, 94, 409 },
{ -4, -6, -6, 6, -6, 14, -9, 24, -10, 7, -9, -13, 20, 12, -20, 29, 35, -12, 28, -23, 111, -15, -60, -34, -9, -4, 6, -14, -50, 72, 43, 40, 89, 82, 51, -12, 6, -23, 66, -73, 75, 411 },
{ -10, -1, -3, 6, -4, 9, -17, 17, -15, 12, -10, -14, 56, -42, 34, 18, -7, 47, 31, 24, 41, -20, -96, -51, 18, -17, 20, -35, -30, 122, 45, 84, 171, 112, 81, -25, 6, 35, -7, -88, 65, 364 },
{ 3, -14, -6, 19, 11, 39, -6, 5, -14, -8, -8, -7, 8, -5, 8, 3, 20, -16, 32, 26, -13, 40, -6, -24, 3, -7, -23, -12, -55, -11, 88, 47, -17, -17, 28, -8, -31, 108, -21, 100, 129, 456 },
{ 5, -6, -7, 6, 13, 18, -6, -6, -6, -8, -9, -6, 55, 26, -19, 20, -15, 27, -6, 22, 40, -35, 67, -42, -15, 20, -15, -33, -74, 48, 68, 33, 37, -13, 47, 34, -16, -32, 68, 68, 79, 486 },
{ 2, -5, -8, 8, 8, -11, 76, -13, -10, 5, -13, -9, 6, 39, -23, 32, 5, -19, 17, 22, 47, -10, -7, -67, -25, 23, -18, -49, 64, -39, 78, 82, 59, 63, 65, 64, -8, -20, -36, 105, 59, 476 },
{ 1, -11, -2, 1, 2, 43, 38, -39, -8, -3, 15, -32, 17, -8, -15, 29, -8, -10, 34, 38, -8, 77, -44, -84, -25, 8, 21, -28, -55, 76, 45, 77, 118, 94, 183, -22, -15, 68, -53, -53, 116, 443 },
{ -2, -9, 8, -6, 8, -18, 35, -22, 16, -5, 15, -26, 4, -51, 18, 19, 11, -13, 16, -72, 18, -45, -30, -90, 63, -5, 14, -14, 47, -80, 122, 63, 150, 300, -17, -13, 4, -11, 41, -66, -92, 351 },
{ 2, -5, 3, -10, 6, 3, -10, -3, 4, -6, -6, -13, 19, 24, -9, -4, 10, -9, 11, 24, -38, -27, 40, -11, 8, -6, -3, -8, -4, 29, 55, 85, -26, 26, -7, -7, 3, 5, -10, 21, -42, 72 },
{ -2, -10, 7, -5, 4, 3, -17, -8, 4, -2, -3, -14, 33, 35, -16, 18, 5, -6, 14, 17, -51, -50, 64, -16, 4, -6, 5, -6, -7, 28, 79, 150, -46, 44, -7, -4, -4, 7, -19, 30, -59, 101 },
{ 10, -4, 8, -11, 4, -5, -10, -9, 8, -6, 6, -14, 30, 36, -9, -6, 3, 8, -10, 13, -47, -51, 39, -13, 7, -13, 6, -20, 17, -22, 96, 115, 51, -26, 41, -14, 10, 6, -23, 55, -102, 156 },
{ -3, -12, 11, -6, 4, -3, -15, -13, 12, -6, 8, -11, 34, 24, -29, 30, 5, 3, -7, 8, -67, -91, 40, -22, 9, -5, -5, -9, 26, 56, 98, 254, -70, 47, -5, -6, 17, 5, -16, 39, -82, 132 },
{ -1, -13, 23, 6, 11, 2, -6, -20, 6, -10, 9, -17, 21, 28, -13, -8, 9, 19, -17, 66, -30, -107, 67, -17, 10, -5, 10, -20, 35, -40, 115, 217, 45, -26, 47, -16, -4, 8, -27, 61, -135, 197 },
{ -7, -3, 3, 3, 2, 23, -8, -20, 8, -5, 9, -20, 12, 30, -10, -14, 5, -7, -5, 14, 47, -130, 52, -9, 46, -12, 26, -11, 64, -32, 72, 235, 83, -27, 35, -17, 12, 5, -15, 40, -121, 229 },
{ -2, -7, 4, 6, 7, -14, -8, -24, 17, -4, 36, -12, 25, 42, -56, 43, 4, 8, -8, 30, -54, -130, 79, -36, 5, -13, 11, -25, 19, 88, 112, 341, -79, 55, -13, 3, 21, 7, -25, 52, -106, 164 },
{ -3, -7, 6, -19, 5, 1, -14, -18, 14, -7, 13, -16, 14, 44, -46, 4, 7, 11, -9, 29, -33, -113, 56, 47, -13, -5, 11, -29, 20, 123, 74, 340, 52, -55, 20, -9, -2, 17, -36, 61, -120, 173 },
{ -6, -3, -7, 8, 30, 7, -11, -28, 10, -11, 33, -16, 12, 41, 17, -27, 5, 4, -8, 16, -18, -144, 25, 67, 8, -16, 3, -19, 12, 96, 48, 358, 95, -48, -10, 2, 18, 2, -10, 48, -123, 214 },
{ -12, -4, 4, 7, 38, -4, 4, -25, 3, -17, 6, -12, 35, 30, 25, -26, 12, 31, -22, 24, -24, -89, -82, 71, 100, -20, -8, -10, 29, 82, 85, 306, 138, -49, -14, -11, 41, 5, 7, 46, -148, 302 },
{ -3, -7, 7, 5, 42, -19, -10, -25, 18, -2, 27, 11, 9, 49, -79, 85, -8, 15, -19, 11, -26, -137, 106, -42, -17, -3, -6, -9, 19, 100, 212, 409, -92, 63, 6, -2, -4, 19, -32, 47, -98, 194 },
{ 2, -14, 5, 7, 51, -11, 7, -44, 28, -3, 13, -14, 25, 61, -66, -11, -8, 14, -19, 19, -29, -142, 79, 118, -25, -4, 17, -25, 15, 119, 157, 412, -21, -69, 39, -6, -7, 16, -48, 64, -105, 225 },
{ -12, -1, -3, 12, 5, 3, -13, -39, 18, -6, 34, 37, -10, 69, -23, -34, 3, 18, -19, 60, -30, -130, 23, 205, -14, -21, 6, -46, 57, 98, 137, 370, 102, -80, 22, 8, 28, 23, -26, 46, -141, 226 },
{ 3, -3, -25, 11, 4, 5, 16, -27, 10, -11, 11, -13, -10, 29, 55, -49, 15, -7, 110, 10, 44, -83, -88, 164, 92, -13, -22, -40, 25, 104, 174, 278, 237, -62, -47, 11, 33, -6, 31, 59, -158, 285 },
{ -6, -7, 5, 8, 2, 19, -20, -24, 9, -8, 43, -10, 27, -20, 27, -39, 12, -20, -11, 72, -7, -35, -106, 104, 122, -13, -13, 22, 28, 83, 90, 211, 233, 110, -60, -11, -2, 16, 25, -41, -96, 308 },
{ 16, -19, 5, 10, 12, -2, -12, -47, 30, -8, 16, 3, 49, 50, -99, 97, 7, 22, -14, 28, -25, -144, 146, 52, -30, -11, -28, 23, -12, 129, 248, 450, -120, -58, 40, -12, 24, 30, -61, 55, -36, 200 },
{ 9, -40, -5, 5, 33, 40, 28, -56, 31, -63, -9, -22, 86, 50, -56, -25, -11, 35, -14, -40, 56, -169, 68, 273, -38, 5, 8, -52, 47, 120, 196, 391, 136, -81, 55, 9, -5, 54, -37, 50, -121, 160 },
{ 1, -8, -2, -5, 4, 1, -2, -2, 3, -9, -3, -2, -3, 2, -4, -6, 4, -4, 7, -8, 24, -14, 24, 3, 2, -9, 7, -9, 15, 19, 14, 23, -6, -6, 8, -8, 1, 1, -5, 12, -21, 28 },
{ 2, -10, -2, -4, 5, 1, -3, 2, 3, -6, -6, -7, 5, -6, 2, -7, 1, 4, 4, 26, -13, -6, -2, 3, 4, -9, 5, -14, 24, -6, 29, 13, 34, -14, 3, -10, 2, 12, -12, 26, -37, 52 },
{ -1, -7, -3, 3, 2, 4, -8, -3, -3, -3, -6, -10, 10, 3, 9, -6, 5, -9, 9, 41, -19, -23, -9, 14, 5, -8, 14, -10, 34, -15, 44, 41, 48, -14, 2, -3, -3, 5, -16, 35, -62, 85 },
{ 3, -12, 9, -6, 4, 2, -3, -1, 5, -7, -4, -9, 8, -13, 2, -9, 4, 5, 4, 7, -22, 27, -5, 6, 4, -13, 3, -16, 43, -14, 38, 6, 50, -17, 18, -12, 9, 5, -15, 36, -59, 99 },
{ 1, -12, 30, -8, 3, 3, -6, -6, 10, -6, 2, -14, 14, -4, 8, -5, 6, -6, 9, 33, -13, -24, -8, 4, 16, -6, 4, -13, 52, -24, 47, 38, 71, -17, 5, -8, -2, 9, -22, 44, -87, 145 },
{ -3, -6, 2, 4, -2, 8, -11, -8, -2, -3, 4, -18, 20, 8, 14, -5, 3, -5, 4, 13, -25, -48, -14, -6, 6, -11, 18, -8, 65, -27, 58, 93, 80, -14, 28, -10, -2, 9, -21, 44, -107, 178 },
{ 2, -8, 33, -15, 7, 4, -6, 2, 3, -6, -8, -13, 15, -12, 26, -15, 5, 4, 6, 10, -22, 37, -8, 3, 5, -19, 21, -18, 51, -28, 48, -13, 78, -18, 28, -17, 16, 6, -15, 38, -76, 171 },
{ -2, -5, 6, -9, 7, -3, -6, 21, -4, -4, -5, -9, 8, -8, 12, -6, 3, 15, 16, -12, 58, -39, 16, -12, 8, -17, 6, -17, 46, -35, 42, 39, 80, -13, 20, -7, 3, 24, -13, 35, -99, 230 },
{ -1, -3, -7, 6, 3, 7, -5, -13, -3, -8, 30, -23, 16, 11, 18, -2, 29, -11, 10, 18, -18, -51, -17, -13, 6, -13, 5, -12, 70, -43, 60, 85, 117, -9, 55, -16, 17, 4, -16, 31, -119, 268 },
{ -2, -10, -4, 8, 55, 6, -5, -12, -9, -13, 8, -30, 14, 13, 33, -9, 6, -9, 9, 17, 36, -87, -29, -21, 66, -10, 5, -25, 83, -43, 63, 143, 60, 52, -11, -15, 3, 3, 4, 81, -121, 292 },
{ 3, -21, 59, -9, 4, 4, -8, 8, 2, -4, -9, -14, 15, -15, 21, -13, 9, -8, 11, 9, -13, 19, 3, -9, 9, -8, -2, -12, 51, -52, 69, -25, 49, -13, 26, -22, 3, 26, -20, 118, -63, 254 },
{ 15, -4, -10, 7, 13, 8, -7, -6, -4, 19, -14, -16, 15, -15, 15, -4, 5, -5, 21, -14, 70, -28, -8, -12, 5, -16, 5, -16, 41, -54, 58, 23, 69, -8, 47, -13, 34, -8, -9, 98, -90, 334 },
{ -6, -7, 8, -8, -11, 17, -14, 31, -6, 43, -9, -25, 20, -20, 21, 3, 2, -12, 33, -17, 67, -48, -18, -21, 4, -10, 14, -15, -34, 91, 13, 87, 93, 54, 29, -10, 4, 4, -13, 69, -99, 333 },
{ -3, -5, -6, 7, -9, 9, 15, -12, -6, 7, 50, -32, 21, -22, 43, -13, 5, -29, 39, 58, -10, -60, -45, -31, 54, -16, -13, 26, -45, 163, 65, 85, 94, 140, -9, -13, 3, 6, 50, -31, -103, 342 },
{ 12, -11, 6, 5, -10, 12, -11, -9, -9, 67, -13, -17, 18, -17, 44, -11, 15, -25, 25, -8, 89, -47, -98, -34, 101, -9, -13, 25, -21, 142, 61, 122, 175, 181, -25, -20, 6, 9, 22, -69, -65, 308 },
{ 6, -9, 19, -9, 6, 9, -8, 6, 2, -10, -9, -12, 8, -12, -8, 19, 9, -9, 17, 6, 61, -14, 10, -15, 8, -3, -25, 60, -45, -27, 59, 40, -35, 51, -10, -8, 3, -22, 79, -28, 123, 270 },
{ 15, -21, 69, -14, 5, -1, -2, 4, -7, 10, -11, -12, 48, 4, -20, 13, 48, -20, 15, 13, 49, -17, -10, -12, -9, -15, 8, 24, -49, -37, 66, 11, 31, 60, -8, 31, 29, -27, 68, -48, 120, 353 },
{ 20, -16, -8, 9, -3, 10, 44, -15, -10, 6, 15, -24, 22, 15, -11, 22, -5, -5, 11, 23, 48, -25, -22, -27, -16, -15, 15, -11, -24, -19, 79, 68, 34, 33, 76, -15, 5, -14, 63, -68, 93, 348 },
{ -8, -4, 11, -17, 23, -18, 16, -19, 38, 14, 57, -30, -8, 24, -35, 29, -12, 51, 40, 36, 52, -46, -44, -48, -10, -36, 25, -21, -31, 154, 57, 48, 122, 195, 92, -25, 9, -3, 47, -67, -34, 380 },
{ 6, -24, 20, -17, -16, 49, 13, -15, -11, 29, -22, -20, 20, -22, 54, -24, 12, -31, 33, -16, 24, -34, -88, -71, 53, -16, 19, -29, 35, 105, 92, 63, 213, 241, 74, -45, 10, 15, -5, -109, 105, 323 },
{ -4, -15, 19, -12, 15, 6, 8, -13, 7, -8, -6, -10, 56, -36, 34, -37, 7, -16, 7, 32, 45, -36, -112, 53, 111, 5, -25, 9, 27, -22, 94, 285, 177, 152, -42, -13, -38, 6, 58, -113, 37, 244 },
{ 3, -8, 34, -9, 7, 12, -17, 7, -14, -5, -9, -8, 8, 21, -10, 3, 13, -12, 19, 21, 45, 5, -16, 9, -15, -14, -6, -13, -68, 25, 80, 32, -17, -20, 33, -6, -26, 93, -21, 102, 132, 402 },
{ 2, -10, -7, 5, 10, 14, -11, 10, -8, -6, -19, -7, 66, 5, -9, 17, 4, -5, 34, -9, 48, 20, -20, -23, -6, 10, -9, -21, -82, 45, 67, 46, -16, 19, 75, -4, -12, 35, -35, 101, 90, 455 },
{ -6, -6, -1, 7, 6, 6, 26, -7, -7, -12, -2, -19, 46, 5, -11, 30, -6, 3, 11, 22, 28, 7, -17, -49, -18, 21, -21, 13, -64, -18, 68, 77, 56, 37, 84, 68, -8, -33, 73, -64, 129, 488 },
{ -9, -1, 5, -13, 6, 48, -6, -22, 24, -44, 56, -10, 57, -34, -9, 31, -3, -11, 31, 23, 19, 56, -30, -107, 42, -14, 32, -11, -46, -39, 50, 116, 55, 109, 186, -40, 10, 54, -49, -39, 86, 489 },
{ -2, -8, 3, -5, 3, 3, -10, 6, 2, -8, -2, -9, 12, 20, -5, -5, 4, -3, 5, 29, -21, -20, 24, 2, 3, -8, 2, -8, 30, -7, 31, 53, -19, -2, 11, -7, -1, 3, -11, 17, -30, 43 },
{ -5, -3, 7, -3, 3, 3, -16, -3, 4, -3, -8, -7, 23, 8, -6, -4, 4, -6, 7, 26, -33, -46, 54, -6, 4, -9, 14, -9, 43, -14, 59, 103, -34, 52, -11, -2, -1, 6, -15, 27, -49, 77 },
{ -2, -5, 9, -10, 3, 5, -13, -7, 5, -4, -7, -9, 17, 14, -4, -2, 5, -6, 8, 28, -24, -55, 57, -9, 5, -12, 19, -10, 53, -17, 57, 104, -26, 49, -3, -6, -4, 8, -19, 36, -74, 116 },
{ -1, -6, 9, -4, 2, 8, -15, -9, 6, -4, 3, -19, 28, 22, -14, 13, 2, 4, -7, 24, -56, -72, 79, -10, 4, -4, 7, -19, 20, -36, 101, 187, -60, 70, -4, -3, -5, 12, -23, 45, -79, 134 },
{ -4, -3, 5, 4, 4, 7, -10, -20, 8, -8, 7, -22, 23, 31, -5, -8, 3, 7, -9, 23, -38, -92, 55, 39, 5, -7, 6, -19, 23, -45, 97, 181, -30, -14, 50, -9, -6, 14, -25, 53, -102, 172 },
{ -3, -2, 1, 7, 2, 4, -7, -21, 17, -6, 9, -23, 21, 26, 15, -8, 4, 3, -7, 23, -29, -84, -28, 45, 25, -18, 26, -16, 26, -45, 80, 181, 104, -26, 41, -15, 11, 6, -14, 48, -127, 212 },
{ -1, -4, -6, 7, 32, 7, -10, -17, -4, -15, 10, -27, 13, 20, 29, -12, 3, -3, -6, 21, 59, -100, -37, 26, 52, -4, 4, -10, 27, -60, 65, 195, 157, -14, -8, -10, 5, -6, 8, 72, -107, 258 },
{ -3, -6, 11, 8, 11, -8, -11, -18, 13, -4, 7, -11, 22, 43, -33, 31, 5, 35, -8, 17, -59, -115, 42, -19, 14, -12, -10, -2, -6, 91, 103, 301, -81, 55, 4, -4, -4, 17, -29, 42, -78, 136 },
{ -9, -14, 37, 7, 39, 6, -9, -35, 16, -8, 10, -23, 13, 50, -25, -9, -6, 9, -14, 36, -35, -118, 85, 78, -8, -7, 13, -21, 85, -36, 94, 290, -34, -36, 14, -8, 5, 15, -36, 73, -100, 196 },
{ -8, 25, -10, 9, 21, -9, 26, -30, 11, -7, 13, -17, 10, 46, -14, -16, 3, 4, -11, 13, -14, -145, 87, 60, 25, -8, 2, -15, 9, 107, 58, 287, 73, -45, 39, -15, 32, 2, -12, 51, -127, 211 },
{ 1, -6, -13, 9, 34, 7, 38, -23, -5, -5, -13, -10, -8, 36, 28, -19, 11, -7, 85, 15, 29, -100, -60, 44, 83, -4, -10, -23, 21, -26, 152, 292, 212, -18, -16, -16, 19, 7, 10, 69, -120, 289 },
{ 34, -8, 6, -13, 8, 8, -11, -12, 50, -17, 11, -32, 21, -26, 42, -10, 15, -15, 30, 14, 33, -65, -88, -31, 149, -3, -24, 20, 28, -57, 93, 187, 157, 139, -47, -5, 52, -21, 46, -59, -97, 318 },
{ 14, -12, -5, 8, 32, -20, 3, -33, 21, -13, 19, 16, -23, 63, -69, 64, -4, 9, -12, 54, -24, -121, 82, -25, -10, -7, 14, -23, 26, 76, 205, 384, -98, 36, 11, 21, -2, 11, -32, 40, -89, 203 },
{ -2, -22, 40, 8, 25, -15, 5, -41, 25, -7, 24, -12, 6, 50, -39, -11, -3, 14, -18, 19, -29, -107, 41, 75, -19, -6, 17, -27, 19, 96, 160, 368, 35, -61, 36, -11, 11, 12, -36, 69, -119, 214 },
{ -8, 4, -4, 10, 12, -10, 12, -37, 14, -16, 31, -12, -12, 45, 34, -33, 39, 16, -13, 23, -19, -126, -14, 208, -17, -21, 4, -31, 32, 107, 164, 364, 76, -71, 14, -20, 6, 62, -11, 55, -139, 241 },
{ 9, -12, -9, 11, -6, 13, -6, -22, -25, -12, 17, -22, 53, 37, 30, -36, 16, -6, 68, 32, 29, -116, -46, 144, 72, 2, -23, -13, 34, -35, 199, 320, 164, -34, -45, 7, 37, -24, 36, 103, -119, 282 },
{ -11, -8, 43, 4, 31, -11, 5, -41, 33, 5, -26, 24, -11, 57, -95, 107, -20, 21, 21, 8, -33, -128, 130, 67, -23, -11, 32, -36, 15, 143, 233, 397, -108, -29, 26, 9, 50, -22, -36, 38, -50, 203 },
{ -9, 6, -3, 12, 28, -10, 16, -39, 33, 7, -11, -8, -26, 84, -104, 31, -16, 17, 49, 24, -12, -122, 80, 86, -43, 39, 20, -27, -30, 134, 167, 418, 38, -96, 46, 40, -14, 6, -51, 70, -63, 214 },
{ -23, 21, -7, 12, -10, -10, -4, -17, -21, -13, 7, 30, -12, 47, 112, -45, -5, 30, -27, 79, 29, -140, 39, 243, -31, 11, 7, -44, 51, -38, 261, 381, 123, -93, 123, 16, -9, -13, -40, 56, -103, 183 },
{ -10, 12, 13, 4, -10, 15, -24, -36, 23, 4, 76, -18, 14, 19, -43, -74, -42, 15, -9, 12, -30, -14, -29, 176, 94, 6, -18, -36, 56, 95, 208, 318, 243, -61, -62, 26, -19, -44, 44, 56, -104, 225 },
{ 2, -5, 7, -9, 59, -76, 9, -18, 11, -9, 12, -23, 27, -16, 22, -45, 8, 70, -18, 6, 19, -73, 10, 253, -16, 54, -10, -12, 33, -47, 84, 287, 157, -38, -20, 21, -33, -8, 12, 16, -72, 180 },
{ -3, -5, 1, -2, 1, 2, -3, 1, 1, -7, 1, -8, 11, -3, 2, -4, 2, -2, 3, 11, 22, -8, 3, 14, 2, -8, 2, -6, 10, -7, 45, 21, -5, -5, 14, -7, 1, 1, -6, 7, -11, 73 },
{ 0, -2, -2, -4, 3, -2, -1, -5, 3, -6, 1, -5, -1, -3, 3, -6, 3, 2, 3, 5, 28, -5, -3, 3, 3, -5, 3, -13, 42, -9, 53, 29, 18, -7, 15, -3, -3, 2, -8, 18, -25, 50 },
{ 0, -4, -1, 2, 1, 5, -6, -3, -1, -3, 4, -12, 5, 12, 6, -5, -1, 5, -6, 13, -6, -13, -8, 30, 3, -4, 7, -14, 13, -21, 91, 25, 60, -11, 4, -3, -1, 6, -18, 30, -50, 62 },
{ 1, -9, 1, -2, 4, -3, -1, -9, 2, -4, 5, -8, -1, -6, 4, -6, 4, -7, 6, 2, 26, 17, -4, 5, -2, -4, 4, -11, 55, -17, 65, -4, 61, -14, 7, -4, 7, 4, -17, 31, -50, 79 },
{ 1, -3, -3, 3, 4, 2, 9, -8, -3, -4, -5, -5, -9, 14, -5, 4, 4, -9, 7, 3, 64, -23, 23, -6, 2, -4, 4, -11, 22, -28, 23, 18, 70, -10, 4, -3, -2, 9, -21, 37, -69, 107 },
{ -2, -3, 25, 2, -4, 7, -4, -7, -4, -2, 3, -14, 6, 6, 12, -2, 18, -4, 5, 9, 59, -43, -9, -5, 32, -5, 8, -14, 21, -47, 42, 51, 94, -11, 6, -4, -2, 7, -21, 39, -89, 142 },
{ 2, -6, 24, -5, 5, -7, 2, -1, 2, -3, -2, -7, 26, -9, 3, -10, 5, -5, 7, 11, -6, 36, 3, -8, 5, -14, 26, -14, 76, -36, 32, -21, 89, -13, 5, -8, 14, 5, -16, 31, -64, 139 },
{ 1, -2, -3, 3, 3, 3, -5, -2, -3, -7, -4, -9, 49, -9, 10, -3, 4, -5, 12, 4, 28, -11, -12, 27, 1, -6, 6, -11, 73, -41, 31, 52, 91, -12, 5, -3, -2, 9, -23, 36, -86, 182 },
{ -3, -5, -3, 4, -4, 12, -10, 12, -7, -2, 5, -25, 16, -9, 20, -3, 3, -5, 11, 14, 47, -33, -11, -12, 5, -11, 4, -12, 76, -47, 38, 35, 53, -15, 62, -6, 12, 5, -17, 39, -108, 225 },
{ -1, -8, 2, 5, -5, 15, -9, -6, -8, -3, 15, -37, 24, -7, 33, -7, 5, -10, 36, 22, 44, -58, -21, -15, 7, -11, 5, -12, 28, -68, 55, 93, 161, 81, -16, 3, 11, -5, 5, 93, -109, 261 },
{ 4, -10, 21, -8, 6, 1, 38, -18, 5, -6, -9, -9, 3, -12, 31, -19, 11, -8, 10, 11, 18, 13, 11, -10, 15, -14, -6, -10, 52, -36, 136, -7, -14, 35, -9, -5, 2, 17, -17, 128, -52, 190 },
{ 4, -9, 26, -4, 6, 1, 31, -10, -2, -4, 8, -17, 9, -8, 11, -3, 6, -12, 9, 14, 44, -17, -5, -6, 4, -13, -2, -8, 64, -56, 42, 34, 61, -8, 44, -8, 23, 4, -10, 107, -79, 268 },
{ -7, -11, 4, 2, 1, 7, 17, -2, -7, 2, 13, -23, 10, -5, 16, 4, -2, -13, 11, 17, 39, -34, -6, -15, -9, -5, 9, -13, 65, -59, 60, 21, 122, 52, 66, -10, 5, -8, -8, 37, -105, 322 },
{ 3, -6, -8, 6, -13, 8, 2, -12, -6, 32, 12, -35, 21, -14, 36, -20, 12, -30, 31, 7, 22, -63, -25, -27, 66, -9, -29, 27, -43, 172, 41, 76, 93, 113, 58, -21, 7, 8, 51, -26, -84, 305 },
{ -44, -4, 2, 7, -7, 9, 59, -15, -27, 2, 13, -24, 7, 12, 39, -5, 19, -26, 18, -26, 9, -82, -35, -50, 100, -18, -11, 14, 20, 129, 40, 139, 163, 156, 64, -31, 4, 16, 15, -56, -96, 321 },
{ 6, -11, 3, -10, 4, 14, -13, 6, 4, -6, -14, -19, 14, -12, -6, -6, 15, -14, 26, 33, 50, -4, 11, -7, 9, -10, 4, -9, -36, -17, 139, 30, -50, 23, 15, -8, 14, 6, -26, 76, 91, 186 },
{ 4, -9, 18, -2, 2, 12, -7, -11, 6, -5, -8, -11, 35, 8, -11, 6, 5, -4, 22, 8, 49, -20, 11, -11, -6, -11, 12, -4, -30, -51, 59, 40, -17, 56, 51, -6, 3, 31, -17, -28, 150, 286 },
{ 3, -11, 24, 3, 28, 10, -4, -6, -4, -8, 7, -27, 70, 9, -13, 18, 7, -16, 17, 22, 60, -20, -12, -18, -14, -9, -11, 29, -44, -48, 61, 69, 19, 103, 100, -16, -3, 10, 41, -60, 95, 334 },
{ 3, -9, -10, 7, 39, 7, 4, -11, -5, 8, 41, -27, 19, -17, 18, 18, 9, -35, 46, 41, 31, -38, -34, -39, -10, -12, -37, 56, -78, 150, 70, 41, 77, 236, 97, -23, 11, -20, 12, -99, 37, 346 },
{ 4, -8, 21, -18, 7, 12, -14, 5, 4, -14, -14, -8, 6, 54, -10, -6, 9, -18, 20, 8, 86, -12, 8, -14, 6, 4, -14, -8, -58, -19, 80, 32, -40, -4, -12, 6, 20, -23, 53, 83, 110, 324 },
{ -1, -7, -7, 5, 11, 7, -7, -1, -6, -6, -10, -8, 74, -9, 10, 6, -29, 9, 15, 13, 54, 4, -15, -14, -5, 7, 5, -14, -80, 65, 43, 27, -23, 49, -7, 70, -11, 34, -32, 96, 88, 388 },
{ -15, -4, 7, 3, 26, 7, -10, 37, -8, 6, -5, -18, 24, -55, -7, 25, -10, 18, 5, 24, 19, 22, -15, -41, -11, -10, 32, -14, -70, -16, 43, 107, 29, 27, 176, -16, -9, 16, -45, -27, 127, 443 },
{ 10, -4, 2, -2, 1, 4, -8, -2, 2, -3, 3, -9, 8, 2, -2, -2, 8, 2, -4, 11, -15, -15, 39, -3, 1, -4, 3, -7, 11, -14, 34, 32, -13, 17, -4, 2, -2, -5, -6, 10, -14, 116 },
{ -2, -3, 4, 2, 14, 2, -10, -4, -2, -6, 1, -6, 9, 8, 30, -6, -1, 3, -3, 56, -13, -35, 46, 3, 3, -4, 6, -12, 15, -20, 51, 72, -28, 33, -4, -8, -2, 8, -16, 25, -41, 59 },
{ -1, -2, 17, 4, 9, 5, -9, -9, -1, -6, 6, -14, 10, 8, 12, -5, 2, 4, -6, 18, -19, -28, -15, 42, 1, -6, 5, -16, 25, -40, 46, 51, 77, -12, 41, -7, -3, 9, -21, 40, -73, 94 },
{ -4, -4, 6, 3, -1, 11, -19, -9, 17, -6, 5, -21, 28, 17, 27, -8, 2, 8, -9, 27, -45, -60, 57, 30, 5, -5, 6, -22, 29, -50, 86, 131, -46, 53, -11, 14, -4, 10, -19, 42, -66, 112 },
{ -2, -4, 4, 4, -4, 6, -4, -21, 5, -5, 11, -21, 15, 33, -10, 2, 24, 4, -7, 26, -29, -73, 88, -10, 34, -6, 4, -23, 27, -52, 72, 138, -35, 69, -8, 1, -4, 10, -18, 47, -87, 141 },
{ -2, -3, -3, 9, -2, 7, -3, -17, -6, -4, 12, -23, 8, 22, 19, -9, 3, 22, -8, 17, 64, -82, -17, 48, 26, -7, 10, -21, 35, -61, 68, 115, 134, -25, 21, 3, -6, 4, -22, 55, -120, 187 },
{ 0, -5, -2, 7, -7, 10, -7, -17, -6, 2, 7, -23, 10, 19, 26, -13, 6, -12, 34, 18, 52, -73, -31, 47, 45, -14, 42, -11, 31, -64, 57, 122, 197, -23, 83, -18, -4, 6, -13, 34, -121, 238 },
{ -5, -2, 8, 3, 22, -4, -12, -12, -5, -6, 14, -17, 21, 33, 54, -8, 18, 7, -10, 23, -40, -105, 116, -8, 9, -6, 4, -24, 30, -44, 107, 236, -67, 110, -13, -2, -5, 16, -20, 43, -70, 128 },
{ -6, -2, -6, 9, 20, 6, 35, -28, 7, -10, 13, -24, 13, 44, -13, -5, 4, 14, -18, 33, -27, -109, 153, -13, 6, 6, -8, -20, 33, -55, 83, 246, -58, 41, -9, -8, -6, 8, -13, 38, -85, 169 },
{ 1, -3, -8, 11, -5, 11, -5, -20, -6, 41, 6, -22, 13, 38, 14, -10, 6, -6, 28, 19, -29, -102, -32, 134, -8, -7, 9, -18, 9, 131, 48, 238, 155, -34, 12, -15, 8, 2, -17, 51, -126, 185 },
{ 2, -9, -4, 8, -5, 9, -10, -22, 23, -5, 15, -25, 10, 24, 25, -16, 6, 17, -13, 29, -13, -70, -53, 78, 50, 26, -9, -9, 25, -37, 68, 211, 221, -19, -17, 5, -4, -6, 14, 94, -104, 264 },
{ -7, -7, 58, 2, -4, 8, 78, -11, -11, -72, 10, -21, 14, 5, 47, -16, 14, -14, 15, -28, 38, -61, -71, -33, 149, -4, -23, 12, 28, -50, 81, 158, 158, 183, -45, 4, 27, -13, 41, -42, -101, 301 },
{ -2, 2, 7, 3, 66, -36, -13, -20, 12, -3, 5, 20, 17, 50, -34, 39, -11, 8, 23, -23, -37, -117, 131, -16, 5, -5, 14, -31, 25, 147, 87, 347, -71, 30, -10, 20, -2, 11, -24, 54, -95, 141 },
{ 4, -17, -4, 6, -4, 45, 8, -28, 12, -18, 9, -13, -22, 52, -25, -18, 34, 12, -24, 29, 57, -107, 42, 83, -15, -6, -14, 86, 18, -37, 199, 346, -39, -24, 22, -11, 20, 16, -44, 48, -88, 222 },
{ -11, 7, -11, 12, 57, -10, 11, -33, 11, -10, 6, -17, -7, 43, 48, -23, 5, 19, -15, 26, 56, -111, -21, 203, -20, -5, 30, -28, 22, -28, 180, 322, 156, -42, 8, 6, -8, 31, -17, 61, -121, 233 },
{ -13, 15, -9, 12, -9, -18, 14, -42, 16, -6, 18, -18, -5, 39, 10, -34, 10, -10, 92, 18, 97, -98, -56, 189, -15, 8, -22, -18, 32, -32, 93, 305, 129, 68, -40, 13, -6, 40, 28, 58, -122, 273 },
{ -1, -2, -10, 4, 5, 109, 13, -18, 4, -4, -91, -16, 10, -8, 49, -26, 4, 10, -10, 29, -11, -51, -114, 37, 142, 6, -20, -6, 26, -15, 79, 210, 156, 171, -70, 9, -6, 7, 45, -43, -100, 304 },
{ 4, 6, -13, 11, 6, -15, -15, -30, 25, -11, -3, 6, 69, 44, -87, 143, 13, 10, 68, -13, -11, -107, 112, -26, 52, -12, -28, -17, -41, 120, 311, 356, -73, -44, 26, -13, -6, 25, -34, 57, -45, 205 },
{ 31, -2, -28, 6, 30, -10, 18, -45, 30, -59, 14, 33, -41, 44, -61, 62, -19, 22, -17, 20, 116, -103, 60, 57, -31, 24, 29, -44, 24, -32, 238, 396, 26, -69, 31, 11, 5, -15, -32, 61, -70, 210 },
{ -11, 11, 7, 8, -10, -13, 12, -36, 27, -5, 13, 23, -20, 29, 104, -60, -7, 20, -20, 45, 33, -116, 50, 331, -31, 7, 5, -39, -49, -28, 316, 347, 107, -92, 85, 14, 4, -13, -18, 96, -106, 223 },
{ 13, -12, 13, -8, -19, -21, 18, -37, 33, 11, 108, -30, -7, 30, -21, -72, -32, 8, -25, 18, 10, -50, 31, 138, 13, 3, -11, -34, 46, -39, 208, 357, 197, -85, -30, 24, -6, 12, 31, 37, -57, 172 },
{ 1, -3, -1, -3, 0, 4, -1, 2, 1, -4, 3, -9, -2, -8, 2, -3, -1, 4, -5, 13, 50, 17, -2, 3, -1, -2, 6, -14, 19, -35, 31, -19, 24, -10, 4, -2, -1, 13, -7, 8, -10, 47 },
{ 1, -3, -1, -1, 16, 3, 3, 2, 18, -5, 4, -10, -4, -8, 3, -3, -2, 6, -7, 14, 77, 9, -6, 4, 10, -4, 8, -16, 23, -39, 34, -26, 17, -14, 6, -3, -1, 2, -11, 17, -25, 69 },
{ 11, -6, -3, 8, -4, 5, 1, -2, 9, -3, 7, -12, -5, -4, 5, -3, -2, 6, -10, 19, 12, 39, -9, 6, 2, -4, 7, -16, 24, -41, 27, -6, 25, -10, 31, -2, -1, 3, -10, 16, -24, 68 },
{ 1, -1, -2, -3, -3, 4, -1, 2, 2, -4, 3, -10, -6, -7, 29, -5, 2, 3, -5, 16, 60, 10, -6, 5, 16, -4, 6, -17, 22, -40, 105, -26, 17, -15, 5, -3, -1, 4, -14, 24, -34, 95 },
{ 1, -4, 1, -2, -5, 8, -3, 11, -2, -5, 6, -14, -3, -4, 5, -1, 6, 4, -9, 21, 44, 39, -9, 20, 1, -1, 4, -15, 24, -42, 75, -5, 27, -10, 15, -1, -1, 25, -11, 18, -33, 93 },
{ 8, -2, -3, 3, -3, 9, -6, 8, -4, -6, 10, -19, 4, -6, 11, -4, -4, 6, -13, 26, 39, -8, -14, 38, 1, -3, 7, -18, 31, -52, 37, 31, 35, -13, 44, -4, -4, 9, -19, 35, -64, 94 },
{ 2, -4, -3, -7, 2, 3, 18, 3, -2, -4, 2, -11, -4, -8, 3, -6, 3, 5, -5, 19, 38, 11, 0, 3, 3, -6, 4, -14, 15, -40, 104, -28, 30, -15, 31, -5, 13, 4, -13, 23, -38, 135 },
{ 1, -4, -2, 2, 2, 7, -3, 11, -3, -7, 19, -13, 11, -6, 7, -5, 26, 5, -4, 21, 40, 21, -8, 24, 3, -6, 5, -15, 20, -47, 101, -11, 39, -13, 15, -6, -2, 9, -20, 36, -74, 134 },
{ 1, -4, -2, 3, -4, 9, -4, -1, -6, 12, 4, -20, 4, -6, 15, -5, 2, -3, -4, 25, 51, -10, -17, 24, 2, -2, 25, -9, 19, -51, 129, 15, 43, -15, 74, -4, -2, 6, -16, 32, -83, 159 },
{ -3, -4, 2, 4, -6, 12, -8, -2, -8, 1, 4, -21, 4, 8, 11, 4, 29, 19, -8, 34, -7, -26, -14, -14, 6, 10, -7, -6, 20, -56, 63, 49, 207, -16, 51, -6, -3, 8, -12, 28, -90, 195 },
{ 3, -6, -3, -3, 5, 5, 2, -2, 4, -14, -5, -13, 9, -11, -4, -5, 5, -2, 10, 16, 4, 9, 8, -5, 7, -7, 2, -10, 11, -42, 50, -34, 24, -12, 18, -5, 13, 5, -13, 111, -27, 168 },
{ 2, -6, -4, 3, 2, 12, -8, 12, -3, -4, 16, -20, 6, -5, 3, -4, 3, 13, 5, 20, 49, -7, -1, 4, -2, -6, 2, -6, 84, -54, 32, -22, 115, -9, 60, -5, -3, 7, -14, 126, -59, 196 },
{ -5, -5, 13, 4, -6, 15, -8, -3, -4, 15, 8, -30, 12, -5, 11, -4, 3, -10, 6, 25, 25, -14, -12, 38, -8, 16, -9, 12, 42, -63, 36, 47, 121, -12, 104, -7, -3, 6, -14, 40, -74, 235 },
{ 1, -16, -1, 3, -4, 12, -4, -2, -8, -4, 15, -32, 13, -8, 18, 6, 7, -8, 43, 25, 48, -31, -9, -33, 82, -7, 6, -18, 30, -78, 66, 38, 84, 166, -15, -3, -7, 10, -5, 33, -101, 262 },
{ -55, 3, -79, 21, 2, 13, 5, -16, -9, -10, 17, -33, 13, 14, 21, 12, 12, 19, 4, -33, 23, -64, -17, -54, 133, -4, -16, -17, 52, -88, 114, 76, 109, 185, -28, -2, 8, -14, 37, -42, -97, 268 },
{ 4, -6, -10, -6, 7, 8, -9, 8, 6, -19, -11, -11, 7, -8, -12, -20, 6, 2, 19, 9, 45, 5, 21, -14, 9, -6, 23, -5, -29, -25, 66, -9, -28, -8, 17, -8, 2, 31, -21, 92, 101, 147 },
{ 22, -9, 7, -6, 4, 11, -9, -1, 2, -10, 5, -26, 18, -9, 3, -4, 47, 7, -4, 33, -17, 32, 8, -9, 4, -7, 4, -15, 23, -73, 68, -34, 71, -10, 58, -3, 1, 20, -19, 149, -63, 304 },
{ 2, -9, -4, 7, 23, 12, -5, -7, -3, 3, -4, -22, 35, 9, -13, 10, 6, -20, 26, 15, 6, -24, 5, -10, -4, -4, -11, 30, -33, -51, 58, -18, 34, 84, 93, -14, 6, -4, 12, -60, 61, 246 },
{ 2, -14, 4, 4, 37, -2, 14, -16, -4, 8, 13, -33, 29, 20, -28, 23, 12, -39, 44, 13, -4, -51, -8, -39, -4, -7, -15, 39, -67, 65, 93, -18, 67, 269, 41, -28, 5, 12, -26, -48, -52, 311 },
{ 2, -6, 3, -21, 8, 10, -17, 5, 8, -15, -15, -9, 19, -7, -7, -8, 7, -15, 29, 47, -12, 17, 24, -24, 10, 3, -12, -3, -56, 21, 39, 30, -35, 20, -19, 7, 29, -19, 53, 90, 83, 212 },
{ 2, -10, 5, -7, 4, 13, -10, 52, -4, -4, -8, -15, 72, 5, -7, 3, -1, -7, 23, 11, 7, -8, -6, 7, -5, 8, 30, -6, -47, -44, 71, -14, 21, -20, 50, 32, -8, -18, 58, -28, 100, 364 },
{ -34, -15, 17, -1, 5, 24, -5, 7, -7, -10, 4, -19, 28, -1, -26, 13, 6, -17, 27, 6, 9, 15, -14, -17, -7, -72, 18, 10, -54, -33, 46, 26, 11, 100, -14, 125, -5, -6, -13, -34, 97, 415 },
{ -13, -6, 12, -7, 3, 13, -4, -7, 79, -21, 25, -42, 20, 2, -19, 22, 35, -17, 9, 19, 24, -13, -14, -41, -16, -18, 48, -35, 16, -133, 160, -26, 43, 120, 68, -23, 9, 15, -29, -50, 65, 473 },
{ -1, -1, 1, -1, 1, 15, -3, 18, 5, -3, 4, -12, 24, -6, 4, -5, -3, 8, -10, 19, -6, 56, -8, 5, 4, -2, 8, -18, 24, -39, 44, -6, 18, -8, 3, -2, -2, 1, -9, 12, -16, 51 },
{ -1, -15, -2, 2, -2, 8, -5, -4, 17, -3, 5, -15, 33, 6, -2, -2, 7, 5, -11, 21, -6, -15, 39, -2, 2, -4, 6, -15, 21, -39, 45, 51, -11, 28, -4, 1, -1, 2, -8, 11, -15, 61 },
{ 2, -2, -3, 2, -1, 3, 21, -5, -3, -4, 7, -11, -8, 5, 4, 1, -1, 6, -12, 19, 56, -10, -11, 8, -2, -5, 7, -16, 26, -40, 28, 46, 84, -10, 4, -2, -1, 4, -13, 19, -30, 74 },
{ -3, -3, 2, 4, -2, 7, -8, -15, 6, -2, 8, -18, 9, 17, -5, -6, -2, 6, -12, 25, -12, -40, 87, 40, 4, -5, 9, -19, 27, -47, 81, 82, -35, 56, -10, 2, -2, 5, -14, 24, -32, 64 },
{ -11, -3, 29, 5, 0, 8, -5, -17, 5, -4, 8, -20, 3, 24, -4, -6, -3, 9, -10, 28, -9, -48, 73, 39, 23, -4, 12, -25, 31, -51, 68, 88, -31, 66, -11, 4, -5, 4, -15, 29, -48, 89 },
{ -1, -2, -3, 8, -3, 6, 2, -16, -3, -1, 9, -17, -8, 18, 13, -5, -4, 6, -14, 29, 48, -40, -17, 34, 23, -2, 10, -23, 36, -50, 57, 66, 151, -21, 5, -3, -5, 8, -23, 44, -85, 124 },
{ 14, -5, -6, 9, -4, 12, -5, -9, -9, -3, 12, -27, 5, 12, 23, -9, 6, -8, 51, 22, 7, -48, -21, 52, 3, -3, 6, -14, 19, -43, 154, 81, 194, -24, 49, -5, -4, 10, -19, 43, -93, 172 },
{ -2, -3, 5, 4, -2, 5, -7, -26, 6, -5, 12, -24, 19, 33, 75, -14, 24, 10, -15, 29, -27, -88, 94, 66, 7, -8, 7, -20, 32, -60, 84, 176, -61, 82, -17, 19, -5, 11, -17, 31, -44, 105 },
{ -3, -1, 30, 5, 36, -6, 9, -31, 6, -15, 9, -12, -11, 44, 27, -10, -2, 5, -16, 25, 70, -100, 131, 112, -7, -8, 15, -23, 45, -75, 71, 167, -49, 61, 5, -7, -3, 12, -24, 36, -71, 140 },
{ 4, -1, -11, 10, -6, 11, 45, -20, -3, 54, 7, -20, -6, 41, 7, 38, -8, 8, -16, 35, -16, -76, -28, 113, -11, -4, 13, -30, 48, -60, 67, 144, 207, -31, 19, -9, -3, 9, -28, 51, -103, 158 },
{ 3, -7, -9, 9, -7, 12, 6, -18, -6, 36, 11, -27, -5, 23, 20, -8, 6, -7, 76, 24, 10, -66, -25, -11, 69, 2, -8, -12, 13, -37, 68, 139, 270, -31, 78, -9, -2, 8, -8, 35, -100, 204 },
{ 3, -33, -7, 5, -17, 7, 24, -12, -6, -11, 21, -41, 18, -11, 38, -8, 16, -12, 15, 26, 58, -51, -46, -32, 156, -7, -15, -20, 41, -77, 90, 101, 127, 131, -21, -66, -5, 8, 19, 34, -136, 280 },
{ -2, 3, -15, 7, 5, -11, 27, -21, 10, -4, -11, 23, -16, 43, -26, 41, -5, 20, -17, 22, -31, -67, 91, -20, 7, 43, -12, -18, 17, 137, 193, 289, -73, 18, -13, 6, -2, 9, -15, 34, -81, 155 },
{ -10, 49, -12, 10, 45, -9, 17, -26, 7, -8, 11, -12, -8, 44, -15, -12, -7, 21, -23, 30, -13, -88, 117, 96, -12, 27, 11, -32, 36, -46, 91, 272, -55, 61, -6, 6, -19, 5, -25, 53, -89, 188 },
{ 1, 6, -8, 9, -2, -12, 13, -19, -6, -9, 17, -10, -13, 33, 14, -19, -3, 15, -26, 30, 80, -82, -33, 181, -15, 4, 68, -28, 32, -36, 220, 258, 146, -24, -11, 9, -7, 3, -12, 52, -102, 199 },
{ 3, 7, -16, 10, 44, -19, 18, -34, 9, -14, 20, -34, -5, 38, 15, -22, 9, -10, 138, 34, -14, -81, -45, 149, -13, 4, -17, -11, -12, 60, 73, 245, 153, -39, -12, 4, 3, -8, 16, 18, -118, 243 },
{ 24, -5, -11, 4, -46, 20, 7, -15, -13, -19, 15, -35, 14, 16, 53, -18, 54, -29, -22, 54, -45, -29, -118, 51, 108, 12, -27, 24, 64, -52, 96, 152, 181, 141, -58, 11, -3, -14, 58, -31, -92, 290 },
{ 10, -44, -8, 4, 27, -4, -9, -21, 19, -39, -7, 59, 24, 51, -73, 207, 57, -6, 19, -39, -32, -86, 89, -36, -2, -13, 37, -40, 55, 54, 148, 305, -39, 17, 19, 36, 5, -47, -35, 31, -101, 191 },
{ 4, -11, -8, 5, 34, -10, 17, -47, 39, 6, -4, 18, 13, 29, -54, -27, -10, 8, -13, -12, -19, -58, 79, 75, -22, -4, 18, -29, 32, 40, 102, 338, 29, -64, 37, -13, -2, 15, -30, 48, -77, 137 },
{ 7, 10, -16, 9, 5, -9, 31, -53, 28, -10, -56, -11, 31, 58, -31, -46, -6, 22, -18, 31, -31, -110, 71, 305, -48, -4, 11, -33, -41, 104, 120, 320, 85, -67, 23, 12, -34, 32, -33, 75, -123, 228 },
{ 1, -3, -3, -2, -2, 8, -1, 7, -1, -3, 7, -16, -6, -13, 5, -4, -4, 8, -12, 26, 89, 22, -10, 8, -2, -3, 11, -19, 26, -48, 75, -42, 22, -16, 7, -4, 16, -2, -3, 28, 40, 95 },
{ 12, -3, -2, -4, -1, 6, 19, 4, 11, -5, 8, -16, -7, -13, 8, -5, -3, 10, -15, 27, 82, 24, -15, 11, -1, -3, 9, -22, 31, -49, 86, -43, 28, -21, 8, -5, 19, 19, -8, 13, -14, 51 },
{ 2, -3, -5, 1, -4, 7, 3, -2, 17, -4, 8, -14, -10, -5, 14, -4, -3, 8, -12, 22, 16, 11, -8, 7, -2, -4, 9, -19, 26, -40, -14, -18, 39, -13, 55, 10, -1, 38, -10, 13, -17, 65 },
{ 2, -3, -4, -2, -1, 7, 8, 2, 14, -4, 6, -15, -7, -13, 5, -5, -3, 11, -13, 24, 11, 18, -7, 5, 13, -4, 8, -21, 33, -53, 102, -45, 27, -18, 8, -5, -1, 43, -11, 17, -25, 85 },
{ 2, -1, -5, -1, -3, 7, 5, 1, -4, -2, 8, -16, -11, -6, 8, -6, -3, 7, -12, 23, 17, 74, -11, 4, -2, -4, 9, -18, 27, -41, -18, 54, 114, -10, 68, -2, -2, 3, -10, 15, -20, 72 },
{ 1, -4, 15, -13, 2, 6, -3, 2, 28, -5, 4, -15, -4, -10, 4, -6, 2, 4, -5, 18, 12, 13, 21, -6, 4, -6, 6, -15, 23, -49, 132, -42, 19, -10, 16, -6, 22, 31, -9, 17, -31, 122 },
{ 2, -5, -3, 11, 13, 10, -4, 19, 3, -4, 4, -19, -2, -7, 3, -3, 8, 4, -7, 22, 10, 9, -7, 5, 2, -4, 6, -16, 26, -51, 100, -31, 22, -15, 18, -6, 1, 45, -12, 18, -33, 124 },
{ 1, -6, 4, -5, -1, 10, -5, 8, -3, -5, 9, -24, 39, -8, 8, -4, -2, 8, -12, 31, 5, 18, -7, -5, 4, -7, 9, -21, 35, -59, 35, -15, 53, -11, 23, -6, 13, 4, -14, 28, -60, 101 },
{ 1, -5, -5, 5, -3, 11, 58, -10, -7, -9, 11, -24, -4, 11, 7, 3, 16, 6, -18, 36, 37, -20, -12, -9, 41, 1, -2, -15, 40, -66, 26, 53, 168, 71, -16, 22, 2, -7, -3, 20, -65, 121 },
{ 13, -7, 4, -6, 4, 7, -4, 3, 4, -15, -1, -16, 3, -10, -10, -4, 4, -5, 4, 20, 3, 14, 7, -10, 5, -4, 1, -5, 8, -42, 37, -34, 24, -6, 10, -7, 33, 2, -12, 118, -26, 161 },
{ -2, -4, 7, -7, 27, 11, -9, 56, -35, -4, 5, -26, 5, -6, 7, -6, 2, 2, -7, 28, 52, 6, -5, 3, 3, -10, -2, -2, 7, -44, 31, -19, 29, -7, 3, -5, -4, 6, -10, 24, -31, 187 },
{ 1, -8, 3, 12, -4, 16, -9, 4, -3, -5, 5, -21, 69, -9, 6, -3, 4, -4, -7, 33, -4, 33, -5, -7, 16, -4, 24, -6, 24, -73, 35, -25, 47, -6, 61, -7, 14, 3, -7, 117, -57, 169 },
{ 2, -7, -58, 4, 6, 5, 23, -5, -11, -9, 9, -22, 13, 10, -59, 10, 6, 5, -14, 30, 27, -14, -6, -18, 56, 12, -6, -10, 39, -76, 55, -21, 97, 177, -23, 17, 4, -15, 12, 81, -75, 177 },
{ 2, -4, -5, -4, 6, 4, -4, 6, 8, -12, -8, -12, 4, -6, -11, -26, 5, -11, 15, 12, 1, 12, 15, -8, 6, -5, 15, -5, -15, -22, 45, -18, -18, -3, 8, -6, 32, 36, -18, 79, 77, 139 },
{ 2, -7, 3, -6, 5, 4, 7, 1, -5, -19, 36, -18, 17, -2, 56, -4, 25, 2, -24, 29, 72, -13, -4, 9, -2, -4, 4, -8, 82, -55, 38, -32, 52, -5, 69, -5, -2, 5, -19, 56, -66, 243 },
{ 2, -11, 5, -1, 5, 8, -2, 12, -7, -9, 18, -28, 19, -13, 11, -12, 7, -13, 13, 23, -8, 42, 10, -7, -2, -11, 9, -13, 19, -81, 72, -53, 42, 71, 155, -15, 3, 12, -19, 42, -77, 289 },
{ 4, -11, 3, -4, -3, 12, 27, -12, 14, -5, 18, -42, 8, 8, -12, 16, 6, -11, 29, 37, -4, -29, 17, -34, -11, -7, -60, 11, 12, -98, 112, -22, 67, 320, 86, -20, 6, -10, 24, -40, -59, 316 },
{ 11, -12, -5, -7, 13, 7, 14, 7, -17, -4, 9, -20, 19, -102, 15, 23, 45, -9, -6, 23, 22, -46, -24, -73, 51, -166, 38, -26, 40, -87, 118, 45, 111, 217, 33, -21, 19, -27, 50, -75, -59, 241 },
{ -6, -26, 21, -8, 35, 11, -16, 3, 6, -2, -7, -14, 19, -4, -5, -9, -15, 6, 13, 20, -27, 12, 4, 4, 2, 2, 3, -14, -14, -49, 91, -53, 38, -17, 8, 4, 37, -8, -14, 186, -29, 233 },
{ -30, -84, 76, -2, 5, 51, 82, -9, -1, -9, 39, -17, 6, 81, 2, -56, -4, -6, 13, 26, -8, -11, 9, -9, 8, 19, 15, -5, -34, -52, 64, 72, -30, 7, -5, 74, -6, 4, -27, 50, -36, 362 },
{ 1, -6, -14, -11, -10, 12, 12, 8, -10, 55, -6, -14, 32, -6, 7, -48, -8, 9, -94, 33, -10, 8, -10, 12, -13, -5, 24, -17, 55, -72, 38, 108, -16, -11, 139, 94, 4, -7, -22, -29, 79, 353 },
{ -3, -1, -71, 6, -9, 29, 18, 10, -17, -40, 76, -27, 5, -39, 50, -18, 25, -16, -23, 20, 21, 21, -24, -18, -13, -15, 35, -38, 14, -85, 87, -42, 37, 64, 99, -29, 10, -5, 21, -72, 59, 376 },
{ 2, -4, -2, -3, -4, 9, 29, 1, 7, -4, 10, -18, -5, -10, 59, -4, -3, 11, -18, 31, 21, 16, -11, 7, -2, -4, 9, -22, 32, -51, 83, -30, 20, -15, 6, -3, 1, 25, -6, 5, -7, 43 },
{ 1, -4, -6, 11, -5, 10, -4, 8, 8, -4, 11, -20, -2, -7, 4, -3, -4, 9, -17, 30, 20, 20, -8, 4, 8, -4, 10, -19, 30, -50, 72, -8, 25, -9, 6, -3, 1, 30, -7, 20, 38, 24 },
{ 1, -5, -3, 5, -3, 10, 15, -2, 2, -6, 10, -19, -7, -6, 5, -5, -3, 10, -16, 26, 13, 26, -12, 6, -2, -3, 8, -20, 29, -41, -16, 47, 82, -6, 2, -3, -3, 5, -8, 11, -13, 51 },
{ -5, -5, 11, 2, -2, 8, -2, -9, 6, -6, 12, -20, -2, 6, -4, 1, -5, 13, -18, 28, 55, -15, 59, -6, 5, -4, 8, -21, 30, -44, 35, 61, -8, 26, -6, -1, 7, 23, -4, 4, -5, 45 },
{ -1, -4, -4, 6, -4, 9, 26, -10, 18, -4, 10, -15, -10, 14, -6, 1, -6, 12, -18, 28, 79, -17, -7, 32, 1, -4, 14, -28, 34, -45, 31, 65, 95, -10, -3, 2, -4, 3, -10, 16, -20, 78 },
{ 1, 12, -5, 5, -5, 8, 3, -8, -6, -3, 11, -18, -8, 9, 8, -2, -5, 11, -22, 32, 21, -15, -15, 43, 1, -5, 11, -25, 42, -56, 41, 55, 158, -14, 57, -3, -5, 7, -16, 31, -55, 79 },
{ 12, -4, -6, 7, 17, 6, 3, -18, 3, -5, 9, -17, -8, 29, -5, -9, -4, 11, -15, 23, 57, -55, 101, 73, 1, -6, 11, -24, 35, -48, 74, 113, -50, 11, -11, 2, -4, 8, -15, 21, -31, 77 },
{ 2, -4, -8, 9, -3, 12, 3, -12, -6, -8, 14, -27, -2, 18, 21, -7, -4, 28, -12, 31, -10, -38, -29, 121, -6, -3, 12, -22, 37, -49, 70, 93, 123, -17, 9, -5, -4, 6, -25, 42, -70, 111 },
{ 5, -22, -10, 6, -2, 86, 9, -17, -3, -6, 18, -23, -8, 19, 16, -20, 3, 4, -18, 40, -8, -31, -28, 55, 42, -9, 32, -21, 35, -56, 80, 72, 272, -23, 20, -11, -10, 4, -28, 35, -78, 150 },
{ 3, -14, 10, 2, 3, -10, 15, -18, -11, -15, 26, -23, 24, 18, 10, 15, 9, 56, -23, 24, 13, -56, -26, -31, 123, 6, -15, -27, 40, -86, 82, 66, 119, 161, -17, -8, -19, -10, 24, 58, -87, 190 },
{ -16, 3, -5, 11, -6, 4, -15, -30, 9, -9, 12, -19, 21, 35, -17, -21, -4, 17, -14, 18, -39, -57, 183, 126, -12, 14, -13, -15, 18, 159, 86, 204, -72, 27, -8, 3, -3, 9, -17, 24, -62, 104 },
{ -28, -27, -2, 10, 27, -9, 4, -24, 6, -4, 7, -13, -2, 31, -10, -13, -13, 14, -10, 21, 7, -76, 153, 39, -11, -3, 14, -29, 32, -55, 84, 211, -64, -6, 13, -7, -73, 11, -21, 31, -40, 135 },
{ 3, 2, -13, 13, -11, 2, 12, -24, -5, -9, 16, -24, 44, 29, 11, -12, -5, 10, -20, 26, 41, -51, -26, 165, -19, -5, 6, -23, 44, -62, 73, 182, 198, -24, 13, -7, 3, 4, -16, 34, -59, 124 },
{ -13, 9, -8, 5, 5, -11, 18, -22, 39, -17, 22, -27, -10, 31, 21, -6, 6, 17, -33, 40, 23, -75, -45, 239, -12, -5, 21, -22, 38, -74, 72, 148, 138, -55, 20, -8, 1, 4, -17, 48, -94, 180 },
{ -43, 12, -9, 10, -12, 11, 123, -25, -20, -16, 47, -60, 33, 23, 38, -27, 33, -5, -45, 50, 16, -50, -86, 73, 110, 7, -28, 31, -94, -70, 99, 107, 221, -62, 23, -30, -33, 4, 26, 13, -87, 236 },
{ 14, -101, -35, 26, 62, 135, -61, -18, 18, -41, -20, -11, 28, 43, -53, 140, 22, 23, 33, -30, -70, -74, 125, -27, 48, -11, -10, -43, 51, 96, 124, 272, -59, 18, -17, 49, -6, 17, -26, 60, -164, 212 },
{ 5, -16, -12, 9, 13, -23, 11, -24, 13, -7, 83, 7, 45, 43, -26, -15, -14, 30, -30, -24, -30, -91, 211, 99, -20, 14, -58, -28, 53, 14, 85, 333, 72, -29, 29, -11, -4, 11, -18, 34, -74, 66 },
{ 14, 8, -21, 14, 40, -135, 19, -47, 27, -13, 114, -16, 81, 26, -25, -27, -71, 30, -26, 32, 31, -77, 107, 80, -29, -108, 52, -36, 53, -85, 162, 298, 52, -53, 34, -13, -53, 10, -37, 52, -73, 200 },
{ 9, -1, -6, 11, -3, 6, 6, 4, -1, -5, 6, -10, -17, -9, 7, -3, -2, 6, -11, 17, 27, 14, -10, 6, -2, -3, 8, -12, 18, -24, -32, -23, 16, -10, 6, -1, 38, -6, 52, -12, 21, -28 },
{ 2, -2, -5, -1, -2, 6, 6, 3, 1, -6, 7, -11, -16, -9, 6, -4, -1, 6, -12, 17, 26, 14, -9, 6, 9, -3, 7, -14, 21, -28, -29, -22, 16, -11, 4, -2, 37, -4, 24, -6, 47, -14 },
{ 1, -4, -3, -3, -2, 8, 39, 6, -1, -6, 7, -13, -12, -12, 7, -7, -1, 7, -11, 20, 21, 17, -8, 5, 18, -2, 7, -16, 25, -38, -16, -35, 22, -14, 6, -2, 30, -3, -4, 98, -7, 152 },
{ 2, -4, -3, -4, -4, 10, 10, 5, -3, -3, 7, -15, -11, -8, 4, -1, -3, 8, -14, 22, 22, 12, -7, 4, -3, -4, 7, -15, 25, -36, -24, -17, 41, -8, 10, 19, 19, -3, -3, 66, -5, 42 },
{ 17, -11, -3, -2, 0, 6, 12, 4, 2, -7, 9, -16, -7, -13, 6, -5, -3, 10, -14, 25, 11, 20, -9, 8, 11, -5, 11, -22, 33, -53, 35, -45, 26, -18, 8, -7, 23, 38, -9, 14, -21, 103 },
{ 6, -9, 5, -3, -3, 8, 15, 3, -1, -3, 8, -18, -8, -10, 6, 23, 17, 5, -12, 28, 12, 12, -6, -1, 2, -4, 8, -17, 30, -53, 28, -38, 23, -11, 54, -2, -3, 4, -9, 12, -21, 98 },
{ 1, -4, -4, 3, -5, 7, 5, -4, -1, -4, 10, -17, -9, -4, 5, -5, 19, 6, -14, 26, 18, 7, -6, 4, 12, -5, 7, -14, 27, -45, -14, -15, 42, -11, 73, -4, -2, 3, -6, 8, -13, 90 },
{ 14, -3, -6, 3, -5, 11, 11, -2, -6, -4, 16, -26, 8, -4, 7, -6, -5, 9, -17, 29, 11, -4, -4, 22, 40, 4, 4, -19, 38, -57, 49, -10, 139, 74, -10, 6, -2, 11, -12, 15, -44, 80 },
{ -1, -6, 10, -9, 16, 4, -7, 4, 5, -7, 5, -18, 5, -15, 5, -5, 1, 7, -11, 29, -4, 24, -8, 6, 2, -3, 6, -16, 23, -47, 45, -38, 18, -13, 4, -3, -3, 56, -11, 18, -27, 150 },
{ 8, -3, -3, -2, -3, 7, 22, 20, 1, -1, 5, -15, -5, -7, -2, -1, 2, -23, -3, 20, 8, 13, -4, 4, -6, -1, 4, -9, 21, -46, 23, -26, 36, -7, 29, 1, 6, -5, -6, 64, -24, 150 },
{ -19, -6, 66, -1, -7, 24, 3, -9, 3, -6, 12, -21, 13, -8, 6, -7, 4, -5, -5, 24, 10, 5, -6, 11, 28, -6, 1, -8, 24, -55, 45, -18, 38, -9, 60, -2, -2, 4, -7, 15, -43, 112 },
{ 4, -8, -6, 26, -2, 14, -4, -5, -4, -11, 17, -27, 17, 7, -7, 5, 6, 4, -14, 29, 8, -15, 12, -22, 8, 3, -8, -13, 39, -71, 42, -31, 86, 152, -12, -1, 43, -13, 18, 64, -61, 136 },
{ 6, -10, -7, -37, 7, 27, 9, 22, -6, -11, 11, -25, -61, -6, 22, -165, 11, -11, 19, 9, 27, -30, 17, -21, 105, -8, 12, -20, 47, -101, 94, -44, 142, 146, -20, 7, 13, -23, 15, 9, -66, 142 },
{ -7, -6, 6, -7, 51, 9, -10, 6, 5, -4, 2, -20, 12, -12, -36, -5, 3, 4, -11, 25, -7, 18, 5, -28, 6, -7, 3, -7, 12, -48, 28, -38, 67, -3, -2, -7, 1, 45, -15, 116, -14, 172 },
{ -5, -6, 5, -4, 4, 8, -7, 47, 2, -3, 6, -26, 14, -6, -2, -4, 3, -2, -34, 30, -11, 8, 3, 4, 5, -6, 5, -8, 19, -67, 45, -37, 104, -9, 70, -2, 21, 25, -11, 38, -50, 179 },
{ 3, -13, 4, 32, 14, 5, -2, -8, 1, -8, 9, -16, 18, 23, -12, -5, 8, -5, 9, 23, -12, -6, 5, -8, 6, -5, -8, -7, 29, -82, 58, -37, 52, -12, 183, -12, 2, 6, -7, 40, -56, 211 },
{ 31, -5, 4, -7, 6, 5, 7, -15, 20, -7, 14, -22, 28, 8, -7, 9, 13, -13, 13, 6, 15, -25, 9, -21, -5, -4, -13, 4, 32, -84, 70, -32, 81, 266, 108, -13, 5, -86, 30, -36, -47, 207 },
{ 4, -8, -15, -35, 7, 6, 4, 12, -10, 37, -175, -23, 8, -115, -119, 16, 7, -18, 55, 13, 38, -48, -24, -39, 31, 26, 13, -32, 44, -98, 85, 60, 110, 116, -14, 7, 6, -15, 37, -55, -49, 176 },
{ -3, -6, 10, -4, 5, 8, -23, 7, 2, 3, -6, -17, 29, -14, 6, -11, -1, -9, 15, 26, -38, 18, 9, 2, 2, 3, 4, 3, -25, -38, 67, -41, 16, -4, 3, 3, 26, -10, -16, 117, 55, 193 },
{ -21, -4, -2, 3, 57, 12, -8, -8, 16, -40, 12, -21, 12, 136, -67, -4, -5, -8, 14, 30, -14, -9, 8, -6, 9, -6, 12, 4, -14, -78, 94, -37, 17, -9, -5, 84, -7, 61, -19, 30, -65, 326 },
{ -4, -45, -3, 4, -10, 5, 28, -4, 41, 30, 3, -16, 30, 5, -82, -15, 11, -15, 13, 19, -7, 80, -12, 11, -10, -4, 9, 12, -40, -79, 75, -38, 29, 63, 125, 93, 2, -8, 88, -61, 43, 281 },
{ -15, 23, 8, -8, 34, -12, -87, 4, 53, 105, 19, -18, 21, -22, -59, 21, -6, -15, 12, 18, 13, -21, 14, -29, -9, -60, -15, 28, -27, -65, 86, -58, 40, 92, 284, -15, 24, -76, 19, -64, -24, 326 },
{ 1, -2, -5, 3, -3, 6, 6, 1, -1, -3, 5, -10, -18, -4, 2, -3, -1, 5, -10, 15, 31, 30, -4, 3, 16, -2, 5, -10, 15, -22, -36, -11, 30, -5, 2, -2, 2, -3, 4, -14, 27, -32 },
{ 2, -4, -5, 1, -3, 7, 6, 8, -3, -4, 7, -12, -17, -3, 4, -2, -3, 7, -12, 16, 28, 24, -5, 38, -1, -4, 10, -15, 22, -27, -32, -7, 33, -5, 2, -1, 1, -4, 37, -10, 18, -23 },
{ 27, -4, -3, 3, -3, 11, 3, -9, 22, -3, 9, -18, -14, 7, -5, 2, -6, 9, -14, 24, 23, -9, 20, -6, 32, -5, 11, -18, 27, -39, -22, 44, -14, 10, -8, 3, -34, 27, -1, -7, 34, 36 },
{ 1, -4, -6, 5, -4, 9, 7, -5, 1, -4, 7, -15, -15, 4, 1, -5, -6, 10, -13, 20, 28, -10, 12, 32, -2, -3, 7, -16, 22, -32, -31, 58, -11, 3, -4, 2, 18, -8, 20, -7, 40, 40 },
{ 1, -4, -3, 3, -7, 10, 2, -4, 23, -4, 12, -20, -6, -4, 8, -4, -7, 9, -17, 25, 14, 26, -17, 5, -3, -2, 10, -21, 32, -39, -16, 32, 45, -8, 16, 2, 35, -4, -6, 8, -12, 64 },
{ 1, -8, -4, 8, -4, 10, 14, -10, -9, -4, 12, -24, 33, 4, 9, -5, -2, 11, -20, 36, 8, -8, -17, 9, -7, -8, 9, -24, 40, -56, 42, 128, 200, -10, 18, 3, 16, -4, -7, 19, -43, 73 },
{ 2, -2, -6, 7, -3, 6, 5, -17, 3, -8, 14, -16, -7, 23, -13, 44, -2, 12, -17, 23, 11, -31, 7, -5, 4, -4, 7, -19, 31, -45, 41, 124, -22, 16, -13, 6, -2, -8, 42, -6, 18, 50 },
{ 1, -6, -7, 10, -4, 9, 7, -16, -5, -5, 11, -17, -13, 25, 4, 19, -8, 21, -26, 28, 13, -32, -22, 70, -9, -2, 13, -26, 43, -52, 54, 130, 131, -5, 4, 2, 1, -5, -11, 10, -19, 32 },
{ 2, -2, -7, 8, -10, 6, 10, -17, 1, -4, 17, -22, -12, 25, -6, 4, -6, 14, -24, 32, 9, -23, -17, 59, -5, -4, 14, -27, 43, -61, 57, 98, 55, -15, 8, -5, 2, 5, -11, 19, -32, 66 },
{ 2, -7, -30, 6, -2, 9, 63, -11, 24, -12, 11, -16, -14, 23, -15, 7, -3, 15, -25, 35, 11, -21, -12, -11, 83, -3, 8, -27, 42, -64, 73, 42, 271, -23, 118, -5, -3, 8, -10, 28, -56, 108 },
{ -4, 7, -16, 10, -73, 55, 11, -18, -4, -22, 14, -26, -138, 22, 12, 8, 41, 12, -15, 22, 12, -40, -28, -25, 9, 7, -10, -18, 45, -87, 67, 52, 348, 49, -20, 6, -4, -52, 13, -73, -67, 164 },
{ -5, 4, -12, 11, 3, -20, 17, -24, 4, -8, 5, -10, -6, 42, -12, -5, -6, 22, -14, 23, -12, -60, 51, -7, -7, -1, 13, -26, 32, -42, 102, 146, -56, 29, -10, 7, -18, 75, -19, 16, -22, 76 },
{ -4, 4, -12, 13, -4, 4, 13, -28, 6, -15, 8, -19, -13, 41, -14, -5, 6, 9, -12, 31, 17, -70, 131, 130, -9, -4, 6, -15, 20, -60, 63, 153, -60, 14, -8, 3, -1, 6, -11, 6, 31, 69 },
{ 1, -7, -8, 5, -3, 8, 73, -13, -6, -9, 14, -24, 6, 23, 17, -7, -6, 11, -17, 34, -9, -39, -34, 54, -15, -6, 14, -28, 34, -58, 95, 132, 192, -26, 13, -5, 4, 2, -18, 36, -38, 90 },
{ -32, -8, 10, -7, -2, 33, 6, -11, -5, -15, 16, -22, -5, 20, 25, 25, 119, 115, -19, 33, -11, -47, -54, 160, 70, -119, 11, -22, 35, -64, 56, 104, 137, -44, 9, -7, -6, 13, -17, 44, -66, 116 },
{ 143, -77, -111, 38, 49, 16, 132, 98, -25, -11, -9, -18, -43, 24, 55, -23, -3, 25, -25, 43, -23, -9, -97, 246, 73, 6, -20, 9, -111, -57, 97, 53, 226, -50, 38, -14, 6, -11, 40, -14, -58, 149 },
{ 12, -54, 6, -9, 9, -3, -21, -18, 13, -14, -15, 10, -5, 52, -34, 102, 24, 23, -21, 25, -56, -55, 45, -39, 54, -7, -8, -19, 24, 60, 128, 254, -68, 22, -18, 14, -7, 10, -19, 32, -79, 161 },
{ 91, -31, -6, 8, 13, -6, 14, -36, 20, -20, 4, -20, 38, 49, -26, -19, 10, 19, -123, 28, -38, -74, 101, -23, 31, -6, -13, -15, -21, 196, 58, 268, 52, -18, 8, -4, -9, 21, -13, 41, -55, 56 },
{ 4, -49, -8, 9, 22, 58, 7, -24, 63, -10, 9, -20, 6, 41, 19, -25, -12, 18, -11, 12, -8, -95, 181, 254, -23, 8, 7, -14, 18, -46, 49, 223, 213, -34, 24, -4, -2, -11, -25, 36, -36, 87 },
{ -10, 16, -152, 18, -5, -24, 21, -63, 15, 143, 11, -90, 25, 60, -17, -21, 43, 6, 19, -39, 105, -68, -65, 343, 260, 2, 5, -39, 131, -40, 125, 151, 135, -89, -19, 11, 7, -24, 18, 52, -61, 79 },
{ 3, -1, -6, -1, -3, 3, 7, 3, -1, -1, 3, -5, -20, -3, 3, -1, -2, 4, -7, 9, 33, 8, -7, 4, -1, -2, 17, -5, 8, -11, -40, -9, 7, -4, 2, 18, 3, -7, 9, -21, 35, -42 },
{ 31, 2, -5, 1, -4, 3, 6, 32, -1, -4, 4, -5, -19, -3, 3, -3, -1, 4, -7, 10, 29, 8, -6, 4, -1, -1, 5, -8, 10, -13, -35, -10, 8, -5, 2, -1, 3, -6, 8, -18, 29, -35 },
{ 3, -5, -8, 1, -3, 5, 8, 12, -4, -2, 4, -7, -20, -3, 1, 0, -20, 59, -5, 9, 35, 8, 64, -4, 6, -5, 5, -8, 12, -16, -37, -7, 126, -5, 12, -2, 11, -3, 7, -17, 29, -33 },
{ 13, -1, -3, -2, -3, 5, 13, 6, -4, -5, 5, -10, -8, -11, 6, -3, -2, 4, -9, 16, 16, 16, -8, 6, -2, -2, 5, -11, 18, -27, -14, -24, 13, -7, 8, 0, 24, -5, 55, -8, 87, 116 },
{ 13, -1, -4, -6, -3, 8, 1, 4, -3, 1, 24, -7, -15, -3, 1, 24, 39, -2, -6, 9, 28, 4, -5, -2, 10, -3, 3, -12, 10, -17, -28, -10, 46, -5, 35, -3, 0, 35, 40, -9, 15, -13 },
{ 58, -3, -4, 2, -5, 8, 1, 9, -4, -2, 5, -11, -13, -3, 3, -4, -6, 7, -8, 14, 25, 3, -5, 53, 38, -2, 5, -13, 20, -30, -18, -14, 44, -3, -2, -2, 2, -3, -4, 29, 80, 34 },
{ 23, -8, 16, -3, -3, 10, -5, 7, -4, -3, 6, -14, 2, -13, 4, -3, 2, 5, -9, 21, 9, 14, -7, 10, 1, -4, 7, -11, 17, -35, 27, -29, 8, -7, 11, -1, 3, -10, 67, -16, 107, 83 },
{ -1, -2, -5, 3, -4, 11, -5, 1, 30, -1, 8, -16, -8, 17, -5, -10, -5, 3, -8, 21, 12, 6, -8, 3, -2, 7, -30, -4, 17, -42, 8, -21, 105, 82, -3, 69, 61, -7, 79, -6, -7, 113 },
{ 62, -9, -13, 56, -3, 12, -7, 5, -7, -9, 15, -22, 33, 8, 5, -10, 4, 5, -17, 22, 7, -6, 1, -2, 60, 1, -5, -15, 34, -50, 14, -22, 215, 145, -10, 70, 26, 35, -8, 21, -41, 77 },
{ 26, -59, -11, 8, -11, 20, 16, -18, -4, -122, 20, -21, 67, 31, 6, 7, 41, -12, -13, 27, 41, -49, -87, -10, -6, -3, 4, -21, 42, -84, 76, -49, 153, 102, -7, -4, 10, -20, 10, 15, -46, 97 },
{ -1, -12, 23, -8, -1, 10, -8, 6, 7, -29, 20, -14, 3, -5, -6, 4, 5, -3, -7, 22, 3, 16, 29, -7, 5, -14, 19, -7, 19, -48, 24, -36, 9, 19, -6, 7, 42, 4, -10, 74, -10, 147 },
{ 9, -3, -2, -37, -39, 7, -4, 11, -8, -3, 8, -20, 15, 67, -2, -5, -3, 16, -5, 24, -19, 7, -12, 5, 16, 26, 71, -6, 18, -49, 27, -32, 14, -10, 113, -8, -9, 5, -13, 19, -32, 103 },
{ 17, -11, 8, -8, 35, 13, -11, 9, 3, -2, 6, -17, 13, -11, 8, -6, 4, -9, 19, 17, -7, 12, -16, 33, 1, -7, 25, -14, 33, -58, 33, -27, 219, -10, 227, -9, -4, 9, -14, 24, -59, 134 },
{ 2, -6, 5, 4, -6, 115, -8, -3, -14, 4, 74, -10, 11, 6, -3, 3, 12, -81, -15, 25, -12, -7, 7, -8, -6, 5, -7, 85, 47, -91, 75, -40, 94, 250, 188, -15, -6, 5, -10, 4, -61, 170 },
{ -3, 23, -16, 8, -42, 20, -78, -16, -15, 28, 29, -30, 37, -13, -16, 17, -11, -25, 15, 34, 19, -16, 8, -36, -4, -8, 11, -7, 37, -89, 78, 41, 128, 57, -17, -6, 18, -116, 12, -9, -84, 208 },
{ 8, -9, 19, -2, 6, -4, -8, 6, 1, 2, 11, -16, 15, -10, 21, -5, -7, 3, -6, 26, -21, 13, 47, 4, -2, 2, 3, -54, 6, -46, 43, -30, 32, -4, 5, -5, -9, 5, -14, 113, -22, 247 },
{ 1, -8, 3, -1, 6, -55, 11, -8, 13, 7, -7, -13, -68, 219, 41, -12, 67, -8, -31, 31, -6, -11, 11, -7, 5, -6, 10, -11, 23, -68, 50, -22, -11, 73, 74, -4, 2, 88, -24, 80, -69, 274 },
{ 3, -15, -6, 7, 8, 11, 7, -12, 4, -2, -102, -23, 17, 46, -5, -12, 5, -11, 19, -5, 11, -10, 14, 9, -4, -15, -17, 30, -7, -53, 52, -37, 61, 141, 194, -9, -5, 13, -8, -38, 37, 163 },
{ 2, -2, -13, 8, 20, 6, 34, -7, -8, -9, 13, -25, 12, -22, 14, 9, 12, -17, 5, -9, 34, -41, 28, -42, 8, -16, 11, 5, 32, -98, 107, -42, 43, 107, 201, -18, 9, 7, -8, -23, -63, 299 },
{ 3, -1, -7, 15, -2, 3, 10, 7, -3, -2, 4, -5, -23, -2, 1, -1, -1, 2, -6, 7, 38, 4, -4, 38, 23, -2, 3, -4, 6, -8, -45, -4, 26, -4, 1, 19, 3, -8, 11, -24, 40, -46 },
{ 4, -2, -8, -1, -2, 6, 10, 8, -2, -2, 4, -8, -23, -4, 48, -2, -1, 5, -6, 9, 38, 4, -2, 23, -2, -2, 4, -8, 9, -12, -44, -4, 27, -6, 48, -1, 2, -6, 11, -24, 40, -44 },
{ 3, -4, -8, 2, -3, 6, 9, -2, -4, -4, 6, -8, -21, 16, 3, -2, -2, 4, -9, 10, 34, 34, -6, 22, 28, -4, 7, -9, 12, -12, -42, 128, 49, 13, -5, 1, 3, -6, 9, -19, 33, -38 },
{ 3, -3, -9, 4, -2, 5, 10, -3, -1, -1, 5, -9, -19, 4, -2, 2, -10, 8, -10, 14, 25, 2, -7, 62, -1, -4, 8, -13, 16, -16, -33, 124, 112, -4, 61, -4, 9, -3, 2, -10, 19, -22 },
{ -4, -2, 21, -3, -18, 6, 22, 20, -3, -5, 6, -10, -10, -6, 2, -2, 1, 7, -12, 16, 19, 64, -4, -3, 61, -10, 6, -16, 29, -34, -13, -9, 188, -10, 87, -4, 27, -3, 19, -9, 104, 195 },
{ 3, -3, -8, 4, -2, 6, 7, -5, -4, -6, 4, -10, -17, 8, 38, -2, -2, 7, -7, 12, 31, -12, 64, -3, 3, -3, 6, -11, 13, -22, -29, 89, -15, 10, -10, 3, 5, -9, 11, -16, 25, -15 },
{ 19, -1, -9, 7, -5, 7, 11, -8, 1, -62, 7, -12, -22, 9, -3, -4, -4, 11, -13, 19, 30, -10, 111, 14, -67, -7, 13, -19, 22, -29, -30, 64, -9, 4, -9, 4, 2, -3, -3, -4, 9, 166 },
{ 6, -5, -7, 3, -1, 6, 8, -6, -12, -4, 7, -10, -20, 14, -8, 71, -5, 12, -14, 22, 20, -14, 59, -5, 2, -10, 12, -23, 25, -34, -12, 67, 131, -10, 2, -1, 38, -3, -4, 4, 122, 36 },
{ 4, -3, -10, 6, -5, 9, 12, -10, -8, -1, 8, -16, -10, 10, -7, 5, -5, 6, -14, 24, 11, -5, -7, -7, 51, -4, 9, -19, 32, -47, 162, 187, 82, -9, -5, 3, 83, -3, -15, 21, -30, 53 },
{ -6, 13, -16, 9, -17, 16, 59, -3, -6, -15, 7, -20, -13, 13, 14, -9, 9, 14, -17, 37, -9, 36, -22, 55, -6, 94, -77, -26, 23, -52, 40, -34, 201, -20, -7, -1, 12, -7, -9, 38, -64, 108 },
{ -29, 2, -7, 9, -31, 1, 3, -14, -11, -8, 4, 91, -16, 26, 29, 9, -7, 12, -17, 13, 20, -36, 9, -10, 3, -3, 12, -16, 23, -30, -6, 147, -17, 16, -9, 6, 3, -3, -2, -4, 68, 60 },
{ 3, -3, -7, 11, -7, 7, 7, -15, -4, -5, 6, -10, -22, 27, 3, -12, -6, 8, -13, 22, 18, -37, -10, 74, -9, -2, 7, -16, 22, -30, -9, 86, -21, 14, -6, 86, 9, -7, -2, -8, 36, 82 },
{ 2, -6, -17, 7, 8, 28, 10, -17, -2, -6, 4, -19, -7, 17, 11, -5, -4, 18, -12, 23, -5, -22, -21, 186, -7, -7, 39, -19, 23, -34, 67, 66, 168, -15, 7, -4, -7, 9, -15, 27, -25, 48 },
{ -8, 17, -10, 5, -5, 10, -7, 108, -15, -6, 9, -5, -12, 14, 14, 31, 20, 9, -19, 22, 5, -16, -33, 241, 39, -6, 8, -25, 30, -49, 27, 44, 146, -39, 13, -3, -2, 6, -17, 40, -52, 84 },
{ 5, 55, -20, 18, -2, -34, 12, -31, 68, -92, 287, -46, -17, 32, 9, 123, 48, 32, -39, 39, -30, -15, -52, 72, -13, -46, -22, -41, 91, -94, 106, -18, 182, 229, -26, 8, 195, -99, 17, -9, -67, 144 },
{ -1, 6, -9, 5, -31, 67, 10, -14, 3, -16, 11, -69, -20, 31, -11, -12, -36, 11, -21, 20, 22, -55, 63, 18, -3, 5, 35, -10, 26, -55, 53, 183, -66, 27, -7, 17, -8, 3, -37, -16, 26, 73 },
{ 1, 6, -11, 9, 10, -15, 21, -26, -3, -11, 15, 8, -14, 47, 5, -14, -3, 19, -17, -17, 29, -75, 74, 113, -3, -20, 12, -9, 28, -44, 16, 188, -35, 14, -6, 3, -2, 26, -10, 10, -13, 51 },
{ -39, 31, -6, 8, 9, -6, 3, -10, 167, -12, 3, -48, -13, 19, -8, 5, -13, 13, -12, 15, 15, -21, -44, 222, -10, -9, 10, -15, 17, -48, 62, 159, 232, -36, 17, 4, 12, 10, -40, 47, -28, 74 },
{ 22, -39, -43, 12, 102, 16, -10, 67, 10, -48, -7, -30, 20, -19, 48, -23, -10, 31, -43, 14, -220, 96, -85, 434, 100, -5, 218, -28, 34, -72, 84, 94, 115, -115, 35, -8, 12, -4, -66, 29, -31, 70 }
 },
{ 
{ -108, -32, 33, -14, -22, 25, 54, 32, 2, -32, 21, 27, 49, 34, 24, -8, -14, 23, 35, 37, 53, 39, 47, 27, 15, -35, 29, 38, 48, 48, 80, 52, 46, 43, 38, -10, -97, 56, 52, 51, 56, 84 },
{ -81, -25, 33, -16, -21, 22, 28, 21, 25, -29, 21, 16, 30, 21, 34, 40, -16, -13, 18, 23, 41, 47, 41, 48, 62, -43, 25, 19, 26, 48, 84, 73, 56, 32, 32, 33, -78, 43, 26, 34, 53, 90 },
{ -68, -25, 44, -34, 6, 6, 34, 13, -10, -31, 12, 8, 33, 11, 20, 8, -14, 14, 18, 26, 47, 32, 36, 22, 42, -39, 30, 19, 36, 45, 81, 66, 49, 48, 31, 41, 25, 19, 27, 43, 59, 90 },
{ -29, -46, 64, -37, -9, 22, 30, 11, -6, -24, 19, -16, 38, 19, 11, -12, 12, 3, 22, 21, 24, 23, 32, -3, 37, 10, 18, 19, 27, 32, 67, 47, 40, 30, 23, 69, 128, 12, 36, 39, 41, 84 },
{ 44, -100, 102, -28, 24, 9, -16, 35, 42, -18, -12, 29, -6, 16, -22, 45, -20, 19, 27, -40, 17, 30, -10, 32, 80, -35, -13, -36, 34, 25, 41, 21, 53, 58, 45, 128, 98, 13, 18, 25, 68, 97 },
{ -15, 25, -21, -18, -23, 23, 19, 32, -58, -18, 11, -21, 14, 13, 51, -137, -15, 18, 17, 9, 41, -23, -11, 34, 77, -20, -13, 23, -28, -28, 21, 111, 180, 163, 73, 63, -79, 24, -20, -34, 85, 262 },
{ -5, -13, 18, -13, 23, 9, 8, 11, -14, -25, -9, -44, 24, -15, 19, -146, 26, 3, 20, 30, 29, -43, 39, 88, 35, -11, -30, -23, 20, -43, 93, 197, 207, 64, 41, -92, 10, -4, -3, -29, 26, 295 },
{ 7, -12, 9, -35, 4, 32, 15, 32, -48, 20, -13, -66, 34, 69, -99, -129, -35, 11, 31, 61, 38, -80, 155, 297, 51, 23, -19, -69, 66, -24, 34, 293, 267, -137, -137, -54, -24, 37, 92, 51, -76, 177 },
{ -21, 24, -126, 99, 4, 9, 25, -12, -24, -30, -25, 17, 18, 33, 60, -15, 50, 231, -16, 30, -51, -60, -59, 215, 18, -201, -55, -7, 25, -44, 126, 78, 186, -39, -21, -7, 14, -25, 21, 30, -22, 81 },
{ 4, -9, 3, -33, 27, 16, -13, -12, -15, 11, -15, 75, -11, -35, 74, -28, -7, -9, 87, 39, 27, -101, 12, -113, 33, -40, 23, -22, -41, 146, 142, 70, 127, 200, 107, -70, 35, -45, 17, -90, 43, 293 },
{ -63, -20, 31, -24, -31, 16, 35, 20, -25, -43, 8, 11, 35, 21, 20, -41, -28, 5, 28, 46, 64, 51, 46, 21, -13, -21, 16, 16, 46, 80, 135, 84, 59, 28, 24, -13, -66, 26, 44, 41, 75, 139 },
{ -51, -30, 35, -33, -23, 13, 35, 15, -28, -39, -15, 11, 29, 29, -12, -36, -29, 9, 31, 28, 52, 48, 44, 16, -10, -42, 19, 15, 50, 82, 138, 92, 66, 33, 31, -17, -67, 59, 39, 43, 80, 148 },
{ -58, -9, 53, -72, -11, 15, 23, 16, -43, -17, -10, -22, 19, 19, 41, -49, -31, 9, 8, -11, 54, 64, 69, 30, 39, -26, 11, -15, 29, 68, 148, 124, 90, 49, -19, 45, -83, 22, 26, 27, 74, 155 },
{ -27, -34, 35, -48, -28, 19, 30, 26, -28, -52, -10, 15, 20, 27, -26, -40, -23, 16, 40, -28, 50, 28, 43, 26, -16, -55, 16, 21, 41, 92, 132, 96, 64, 37, 33, -16, -58, 70, 28, 54, 77, 185 },
{ -58, 31, 34, -60, -25, 7, 18, 27, -63, -35, 14, -11, 24, -19, 38, -54, -35, 19, 14, -19, 35, 41, 51, 45, 30, -43, 12, -25, 21, 49, 138, 127, 101, 50, 16, 57, -74, 17, 25, 32, 81, 192 },
{ -30, -29, 23, -24, -22, 31, 22, 30, -29, -48, 17, -12, -11, 19, 16, -62, -28, 31, 28, -34, 48, -34, 42, 17, -20, -44, 23, -19, 37, 54, 118, 79, 60, 40, 12, 38, -61, 76, 10, 49, 123, 254 },
{ -41, 24, 27, -48, -29, 6, 17, 32, -64, -33, 22, -9, 27, -17, 41, -56, -31, 21, 16, -14, 21, -33, 56, -28, 40, -57, 24, -14, -20, 28, 99, 123, 114, 79, 37, 102, -67, 18, -5, 30, 114, 241 },
{ -16, 51, -16, -42, -10, -14, 34, 13, -78, -32, 13, -14, 22, 23, 32, -94, -7, 18, 34, -33, -16, 62, -32, 108, 88, -21, 25, -18, -15, 15, 79, 128, 193, 88, 45, 34, -79, 6, -17, -37, 72, 219 },
{ -9, -43, 31, -31, 32, -18, 33, 22, -17, -80, 21, -22, 43, -19, 27, -59, 18, 11, 26, -19, -28, 38, -27, 32, -41, -58, -2, 26, -53, 59, 77, 43, 47, 35, 49, 41, 83, -76, 52, 75, 164, 309 },
{ 7, -17, -10, -20, 17, 12, 19, -4, -7, -13, -32, 12, -6, 14, 20, -60, -15, 25, 15, -24, 30, -30, 20, -9, -62, -50, 20, -30, -17, -12, 79, 89, 110, 78, 49, 74, -63, 38, -19, 39, 137, 335 },
{ 36, -85, 22, -30, 80, -32, 27, 51, -14, -63, 31, -89, 53, 45, -23, -77, -28, 66, -12, 26, 55, -26, 5, 43, -64, -128, -29, -35, -18, 35, 53, 15, 20, 47, 25, 20, 232, 93, 66, 104, 139, 204 },
{ 6, -11, -7, -15, 22, 12, -1, 27, -19, -27, -10, -17, 22, -6, 25, -75, 9, 24, 12, 15, 20, 22, -55, 69, -107, -31, -15, 8, -19, -39, 13, 37, 130, 160, 55, 128, -64, -24, 35, -28, 129, 353 },
{ 6, -18, 8, -19, 16, 40, -13, 40, -11, -31, -10, -33, 34, -24, 96, -150, 26, 13, 24, -9, 77, 43, -102, -14, 134, -11, -38, -14, -33, 75, 12, 83, 309, 151, 123, -116, 19, -17, 70, -113, 119, 290 },
{ -46, -35, 20, -37, -15, 16, 28, 23, -29, -34, -8, -7, 29, 40, 32, -37, -25, 6, 14, 28, 63, 64, 62, 19, 33, -16, 10, -19, 36, 82, 131, 111, 68, 27, 28, -25, -71, 28, 27, 38, 68, 141 },
{ -34, -36, 17, -64, 31, -12, 25, 17, -35, -22, -22, -11, 25, 43, 22, 36, -15, 20, -10, 26, 66, 69, 69, 14, 38, -32, 15, -23, 20, 59, 134, 126, 91, 34, 10, -42, -60, 18, 27, 27, 65, 146 },
{ -63, 46, 13, -98, -47, 26, 35, 26, -30, 18, -15, -37, 25, 37, 47, 70, -28, 25, 34, -35, 32, 74, 98, 57, 63, 43, 14, -25, -30, 32, 133, 129, 82, 23, 6, -73, -70, -28, 35, 27, 54, 146 },
{ -50, 42, 29, -98, -25, 24, 38, 9, -71, -35, 34, -22, 16, 19, 35, -5, -17, -8, 27, -29, 35, 43, 85, 80, 92, -20, 37, -19, -18, 27, 117, 147, 111, 48, 8, 28, -92, 14, 32, -30, 66, 153 },
{ -24, 60, -23, -74, -44, 28, 18, 26, -79, -3, 16, 19, 36, 21, 25, 76, -23, 4, 24, -40, 34, 16, 96, 177, 83, 22, 20, -15, 14, -19, 75, 152, 181, 53, 21, -31, -97, 46, -20, -42, -47, 144 },
{ -30, 63, 17, -65, -30, 9, 23, 26, -94, -22, 10, -26, 47, -10, 10, 14, -18, 7, 23, 25, -11, 19, 80, 138, 132, 13, 10, 7, -65, 23, 80, 173, 131, 70, -14, -36, -86, 29, 18, -21, 36, 151 },
{ 8, -12, -8, -14, 23, -3, 26, 12, -10, -36, -13, -10, 21, -21, 62, -148, 34, 5, -9, 37, 41, 37, 31, -87, 56, -29, 13, -39, 14, -46, 35, 36, 164, 245, 159, -39, -41, 18, -66, 41, 70, 314 },
{ 2, -9, 10, -16, 14, 8, 7, -18, 6, -6, -9, 11, 19, -12, -31, 31, 9, -30, 28, 20, 37, -25, 53, 23, -152, -22, -14, -31, -54, 27, 9, 30, 24, 68, 72, 81, -73, 71, -25, 72, 226, 391 },
{ 8, -19, 42, -18, 8, 52, -5, 14, -17, -31, -22, -38, 32, -44, 61, -180, 48, -10, 25, 46, 58, -12, 25, 68, 230, -51, -23, -26, -12, 53, 61, 170, 234, 106, -83, -75, 17, 72, 49, -73, 46, 221 },
{ -12, -17, 8, -22, 10, -10, 23, 5, -6, -21, -20, -15, -11, -9, -14, -39, -2, -23, 38, -20, 72, 35, 38, 16, -18, -30, -8, -15, 25, 112, 199, 119, 53, -12, 14, -27, -10, 14, 33, -4, 70, 243 },
{ 5, -19, 2, -44, 9, -12, 27, 21, -28, -13, -19, -26, -7, -16, 21, -53, 19, -29, 25, -11, 54, 51, 61, 31, -19, -33, -4, -33, -16, 96, 192, 157, 69, 9, 21, -36, -17, 11, 16, 19, 77, 216 },
{ 11, -21, -10, -31, 14, -15, 32, 31, -13, -32, -14, -18, -16, -11, -7, -44, 7, -11, 32, -14, 56, -13, 44, 11, -16, -43, -8, -21, 25, 84, 172, 121, 59, 3, 19, -37, -26, 34, 28, 30, 85, 274 },
{ -16, -13, 16, -18, 15, -6, 28, 19, -56, -13, -8, -31, -15, -23, 26, -62, -8, -5, 18, -25, 41, 36, 47, 46, -23, -26, -22, -28, 16, 54, 173, 139, 89, 25, 40, -23, -44, 32, 16, 11, 91, 255 },
{ 22, -26, -17, -50, 30, 16, 30, 36, -68, -16, -17, -25, -18, 17, 34, -91, -9, 2, 20, -15, 44, -37, 103, 78, -20, -19, -12, -30, -12, 34, 163, 170, 116, 53, 47, -34, -44, 19, 19, -12, 78, 230 },
{ 11, -25, -21, -21, 14, 11, 30, 18, -5, -38, -8, -23, -7, 12, -13, -51, -23, 28, 26, -16, 30, -38, 33, 22, -35, -58, 20, -42, 31, 58, 126, 105, 55, 22, 35, -30, -27, 52, 22, 31, 99, 306 },
{ 13, -22, -21, -18, 9, 18, 22, 20, -40, -8, -17, -17, -6, 11, 41, -86, -17, -8, 27, -21, 31, -52, 36, 46, -42, -43, 10, -17, -16, 45, 113, 132, 108, 79, 18, 35, -60, 29, 7, 18, 104, 289 },
{ 14, -46, 45, -57, 21, 15, -6, 51, -80, -22, 17, -16, -7, 17, 69, -122, -22, 16, 15, -30, 39, -39, 44, 51, 12, -22, 17, -39, -23, 21, 113, 142, 150, 82, 29, 52, -86, 25, -22, 23, 87, 261 },
{ 9, -27, -3, -31, 13, 9, 20, 27, -13, -37, -12, -5, -11, 12, 14, -52, -27, 34, 29, -10, -20, 19, 16, 16, -55, -41, -18, 44, -86, 64, 117, -91, 91, 50, 22, 16, -57, 108, -22, 35, 177, 372 },
{ 7, -27, 21, -28, 24, -7, 10, 27, -32, -21, 13, -29, -3, 19, 44, -122, -27, 22, 14, 21, 20, -30, 27, 14, -29, -29, 21, -18, -28, -23, 50, 95, 139, 146, 44, 98, -81, 18, -19, -7, 123, 310 },
{ -17, 30, 20, -57, -11, 11, 30, 34, -94, -31, 23, -26, 23, 27, 48, -140, 11, 24, -36, 25, 39, -32, 46, 145, 107, -13, 20, -30, -31, 26, 63, 163, 173, 128, 38, -72, -63, 17, 26, -47, 65, 190 },
{ 9, -15, -12, -29, 17, 24, 5, 9, 17, -28, -26, -13, 19, -25, 14, -38, -12, 30, 28, 9, -6, -2, 17, 35, -64, -72, 37, -34, -31, -56, 57, 52, -81, 51, 43, 10, -59, 134, -52, 103, 218, 407 },
{ 4, -7, -10, -14, 12, 19, -7, 18, -7, -7, -12, -18, 4, 3, 14, -28, 17, 4, -4, 21, 15, 15, -14, 9, -121, -44, -10, -14, -29, -30, 45, 34, 82, 78, 80, 84, -54, 41, -49, 65, 175, 390 },
{ -15, -7, 23, -57, 28, -27, 23, 22, -42, -17, -28, -12, -16, -24, 47, -55, 28, -13, 15, -12, 50, 67, 93, 51, -22, -21, -23, -29, -11, 54, 178, 162, 93, 27, 34, -54, -23, 17, 23, -26, 74, 213 },
{ -37, 31, 34, -85, -16, 4, 34, 17, -75, -15, -30, -18, -22, 20, 49, -22, 34, 16, 14, -24, 36, 81, 117, 56, 30, -25, -6, -18, -28, 29, 151, 192, 132, -19, 7, -89, -26, 18, 35, -12, 64, 180 },
{ 18, -32, 12, -74, 39, 7, 43, 36, -108, -18, -42, 25, -34, 24, 42, -71, -8, 17, 19, -17, 46, -33, 121, 95, 56, -7, 13, -42, -26, 20, 129, 191, 144, 48, 15, -56, -63, 36, -11, 26, 52, 189 },
{ -27, 22, 17, -70, 26, 27, 9, -14, -77, -21, -32, -8, 35, -20, 86, 27, -38, 19, 19, -13, -34, 85, 156, 108, 27, 46, -29, 11, -40, 21, 149, 189, 124, -44, -17, -108, -38, 20, 42, 24, 35, 148 },
{ -15, -5, 35, -88, 16, 20, 35, 30, -115, -11, 20, -24, -9, -17, 38, 80, -13, 14, -9, 19, 17, 67, 164, 158, -49, 20, -13, -24, 20, -25, 126, 191, 143, 25, -37, -74, -42, 42, 32, -9, -36, 166 },
{ -32, 26, 30, -29, -9, 28, -26, 22, -106, -19, -16, -27, 55, 64, -151, 141, 19, 61, 58, -55, 82, -54, 339, 165, -181, 6, -45, -96, 102, -14, 120, 382, 36, -151, 105, -47, 32, -29, 32, 61, 46, 75 },
{ 21, -33, 27, -29, 40, 23, -34, -15, -92, -10, 30, 69, 46, 88, -111, 74, -37, 37, -33, -33, 87, -73, 185, 215, 82, -19, 32, -37, 129, 45, -55, 276, 214, -21, -122, -89, -28, 26, 62, 79, -56, 87 },
{ 6, -8, 2, -3, 2, -2, -5, -3, 9, -7, 4, -5, 9, -6, 6, -7, 7, 4, -3, -9, 47, -18, 15, -2, 3, -9, 1, -8, 18, 37, -8, 27, -12, 4, -3, -5, 1, 15, -8, 13, -17, 46 },
{ 12, -28, -5, -25, 26, -8, 42, -2, 13, -23, -22, -27, -37, -20, -10, -36, 30, -29, 35, -20, 68, -14, 55, -18, 21, -33, -29, 11, -26, 109, 189, 158, 16, -17, -19, -28, 8, 6, 54, -46, 59, 237 },
{ 16, -41, -3, -27, 32, 7, 32, 12, 15, -27, -25, -21, -19, -33, -15, -40, 26, -14, 37, -27, 43, -6, 38, -15, 16, -44, -16, -26, -28, 102, 173, 125, 36, -16, -9, -42, 4, 32, 35, -13, 94, 287 },
{ 15, -15, -16, -28, 33, -12, 24, 17, 10, -19, -24, -27, -8, -18, -21, -61, 27, -20, 37, -24, 49, -19, 82, 16, -5, -22, -19, -23, -34, 70, 221, 185, 52, -38, 19, -26, 13, -18, 29, -18, 70, 247 },
{ 14, -26, -9, -21, 14, 24, 30, -3, 6, -20, -3, -42, -16, -27, 12, -74, 31, -19, 25, -24, 51, -16, 33, 39, -21, -25, -23, -26, -20, 56, 169, 168, 87, 12, 21, -32, -10, 12, 26, -24, 58, 304 },
{ 19, -29, -8, -24, 20, 25, 9, 7, -17, -7, -20, -42, 11, -34, 20, -93, 27, -15, 33, -15, 36, -18, 87, 56, -17, -16, -27, -14, -37, 23, 180, 206, 124, -3, 29, -42, -5, -1, 11, -22, 62, 269 },
{ 15, -28, -21, -33, 30, 16, 42, 19, 18, -28, -32, -28, -9, -30, -18, -40, 11, 14, 34, -27, 29, -12, 19, 16, -15, -52, -14, -25, -32, 58, 147, 93, 69, -33, 18, -39, -14, 33, 45, 21, 94, 368 },
{ 14, -18, -14, -15, 20, 7, 12, 5, 5, -8, -20, -30, 14, -19, 16, -77, 15, -17, 35, -25, 30, -18, -11, 48, -42, -38, -24, -6, -29, 24, 133, 139, 116, 49, 44, -26, -21, 20, 19, -20, 90, 337 },
{ 13, -34, 7, -22, 24, 23, 4, 14, -20, -17, -12, -33, 5, -18, 41, -121, 25, 13, -10, 22, 17, -28, 39, 57, -20, -30, -25, -16, -16, -15, 125, 174, 146, 81, 66, -43, -37, 26, -11, -20, 98, 293 },
{ 14, -27, 11, -34, 25, 15, 11, 19, -51, -26, -21, 7, 13, -15, 32, -147, 27, -16, 14, 27, -19, 66, -33, 140, 38, -11, -25, 19, -28, -20, 105, 158, 195, 71, 62, -65, -33, -23, 16, -16, 58, 261 },
{ 13, -18, -29, -25, 12, 19, 46, 10, 15, -24, -26, -21, -12, -1, -15, -40, -8, 35, 6, 22, -18, 27, -12, 23, -37, -64, 10, -46, 36, -53, 164, -46, 118, -24, 47, -37, -22, 64, 16, 41, 122, 415 },
{ -6, 24, -16, -37, 13, 12, 27, 43, -60, -24, 16, -32, 30, -27, 67, -200, 16, 40, -21, 39, 30, 37, -53, 148, 110, -15, 3, -41, 46, 63, 26, 88, 264, 114, 157, -90, -57, 46, -63, -12, 30, 238 },
{ 33, -58, 39, -49, -11, 56, 12, 8, 7, -65, -9, 24, 13, -12, -9, -35, 45, -21, 36, 25, -7, 29, 18, 26, -68, -63, -63, 17, -27, -16, 10, -28, 10, 29, 42, -26, 112, -106, 82, 125, 245, 374 },
{ 9, -17, -5, -10, 15, 43, 28, -18, -28, -43, 7, -15, 18, -37, 60, -217, 49, -16, 36, 20, 89, 54, -35, 173, 223, -15, -45, -23, 33, 37, 71, 104, 244, 95, 36, -144, 35, -15, -10, 89, -45, 234 },
{ 16, -22, -3, -36, 24, -9, 21, 27, -30, -21, -11, -26, -19, -34, 18, -62, 22, 11, 21, -25, 34, 37, 101, 30, -20, -12, -26, -29, -19, 33, 217, 236, 58, -18, 17, -44, 14, -11, 21, -19, 49, 195 },
{ 12, -29, 14, -49, 28, 13, 19, 34, -72, -16, -21, -19, -5, -41, 29, -50, 18, -11, 26, -10, 25, 44, 150, 77, -54, 11, -40, -14, -17, -22, 180, 233, 117, -21, 15, -59, -15, 18, 37, -23, 35, 232 },
{ 15, -26, 22, -50, 14, 13, 19, 46, -82, -5, -12, -43, 10, -33, 28, -88, 17, -16, 18, 20, 25, -20, 112, 85, 21, -4, -31, -6, -15, -19, 130, 225, 161, 33, 17, -90, -18, 18, 31, -49, 58, 245 },
{ -18, 18, 34, -62, -29, 31, 53, -6, -107, -17, 14, -47, -17, -25, 73, 9, 16, -21, 36, -15, 13, 53, 204, 125, -127, -16, 8, -53, 12, 8, 138, 253, 107, -45, 36, -75, -14, 56, 19, -4, 19, 171 },
{ 7, -26, 43, -73, 20, 14, 13, 52, -114, -8, -19, -16, 31, -13, 16, -60, 8, -6, 28, -18, 24, -27, 174, 153, 36, -8, -20, -14, 9, -11, 120, 252, 164, -16, -27, -115, -8, 26, 55, -23, 4, 195 },
{ 14, -28, -6, -21, 40, -36, 74, -32, 35, -18, -22, -19, -36, -13, -31, -24, 38, -40, 40, -25, 37, -17, 48, -38, 26, -29, -23, -13, -45, 135, 118, 200, -30, -7, -13, -24, 15, -14, 65, -24, 52, 156 },
{ 16, -27, -13, -22, 38, -14, 41, 12, 21, -24, -13, -28, -12, -28, -14, -26, 36, -25, 33, -22, 29, -24, 25, -23, 23, -34, -27, -25, -19, 49, 166, 127, 12, -28, -3, -40, 12, 26, 44, -21, 54, 284 },
{ 12, -22, -12, -16, 34, -10, 46, -24, 26, -22, -8, -36, -20, -28, -12, -49, 44, -29, 31, -14, 22, -13, 51, -20, 21, -23, -25, -20, -13, 30, 187, 226, 25, -41, 20, -27, 15, -13, 36, -28, 29, 252 },
{ 11, -22, -7, -17, 26, 9, 22, -10, 22, -16, -11, -28, 9, -29, -8, -45, 28, -11, 19, -16, 12, -31, 28, -9, 8, -24, -35, 3, -23, 8, 162, 192, 73, -20, 19, -26, 8, 12, 21, -34, 27, 331 },
{ 5, -17, 12, -21, 25, -14, 24, -4, 10, -12, -9, -32, 9, -33, -18, -58, 29, -21, 29, 18, 5, -28, 58, 35, -26, -13, -20, -29, 14, -49, 165, 222, 140, -36, 35, -23, 10, -18, 19, -20, 9, 311 },
{ 12, -26, -13, -37, 29, 9, 38, 33, 12, -19, -23, -24, -18, -25, -14, -25, 25, -12, 31, -10, 36, -29, 11, -12, 11, -43, -20, -34, 27, -49, 156, 75, 47, -22, -10, -27, -13, 38, 53, -27, 57, 405 },
{ 8, -17, 3, -20, 20, 3, 10, 10, 14, -17, 10, -37, 12, -20, -5, -42, 30, -21, 21, -18, 26, -21, -26, 24, -36, -27, -13, -18, -27, 15, 108, 136, 137, 3, 29, -15, -12, 17, 4, -24, 49, 380 },
{ 8, -12, -13, -4, 14, 14, 23, -13, 7, -19, 13, -43, 9, -23, 27, -96, 26, -13, 15, 15, 21, -27, -10, 40, -18, -20, -19, -21, 8, -49, 123, 180, 157, 44, 51, -45, 9, -22, 15, -34, 38, 358 },
{ 11, -26, -10, -35, 24, 12, 29, 33, 10, -25, -30, -6, -22, -12, -10, -30, 15, 11, 30, -11, 36, -17, -15, 23, -28, -55, -13, -52, 44, -61, 120, 54, 58, -21, 28, -46, -18, 46, 58, -14, 96, 449 },
{ 8, -14, -2, -16, 12, 14, 21, -13, 17, -11, -12, -29, 26, -21, 7, -34, 14, 5, 14, 9, 21, -31, -12, -21, -50, -17, -31, -8, -38, -19, 101, 90, 104, 90, 46, -10, -31, 18, 21, -33, 109, 407 },
{ 7, -5, -13, -13, 29, -7, 15, 19, 8, -26, -15, -8, -11, -11, 29, -93, 36, -12, 19, 14, 32, -16, 12, -30, -31, -17, -30, -10, 11, -60, 69, 93, 165, 160, 81, -40, -18, -26, 30, -47, 86, 363 },
{ 5, -13, 9, -17, 21, 10, 14, 13, -15, -27, -10, -40, 35, -8, 52, -168, 20, -7, 25, 25, 45, 11, 13, -39, 68, -10, 19, -38, 23, -45, 37, 118, 182, 217, 98, -71, -27, -21, -20, -52, 72, 315 },
{ 8, -10, -19, -30, 14, 33, 9, 4, 26, -38, -9, -4, -10, -9, 14, -38, 21, 2, 11, 22, 15, 11, -24, 31, -53, -56, -19, -20, -27, -30, 75, 65, -40, 49, 16, -22, -31, 85, 12, 59, 184, 426 },
{ 3, -13, 23, -26, 34, 20, 12, -18, 26, -36, -41, 26, 21, -16, 11, -44, 23, 7, 51, -29, 55, -43, 88, 59, -186, -20, -25, -42, 31, -35, 20, 17, 54, 127, 99, 142, -48, -62, 84, 33, 178, 341 },
{ 5, -9, 20, -50, 35, -5, 25, 12, 29, -54, -10, -46, 21, -8, 85, -165, 46, -14, 6, 51, 92, -12, 30, 71, -97, -18, -25, -35, 26, -49, 58, 26, 105, 244, 142, 83, -28, -122, 120, 30, 145, 266 },
{ 11, -14, -15, -12, 17, 12, 19, -6, 9, -13, -18, -34, 15, -41, -14, -56, 26, -24, 41, 9, -28, 7, 94, -12, 21, -18, 12, -46, 11, -31, 204, 264, 71, -36, -13, -19, 15, -24, 18, 20, -34, 261 },
{ 7, -17, 5, -20, 28, -14, 22, 21, -45, -25, 3, -39, 23, -44, -18, -50, 29, -6, 7, 47, -24, -21, 196, 42, -31, -19, -14, -28, 15, -57, 176, 298, 94, -68, 4, -31, 8, 6, 25, 23, -42, 223 },
{ 4, -28, 27, -21, 20, 13, 15, 6, -25, -14, -18, -30, 8, -26, -8, -109, 24, -10, 22, 22, 15, -29, 112, 70, 27, -12, -32, -14, 10, -50, 129, 261, 158, -26, 7, -70, 12, 8, 26, -11, -14, 270 },
{ -6, -24, 32, -30, 26, 12, 10, 58, -117, -16, 7, -64, 13, -27, -44, 43, 15, 16, -16, 46, 23, -9, 264, 79, -155, -15, -19, -48, 21, -34, 153, 306, 117, -99, 71, -37, 10, 26, 6, 48, -31, 157 },
{ 10, -15, -11, -14, 20, 26, 15, 55, -77, -10, -31, -31, 24, -20, -47, -82, 22, -10, 21, 39, 4, -50, 163, 233, -100, -14, -27, -32, 31, -52, 111, 293, 198, -93, -10, -49, 8, 6, 54, 20, -48, 217 },
{ 6, -18, 16, -19, 22, 5, 29, 30, -71, -36, 17, -36, -19, 17, 18, -163, 37, -10, 38, 25, 34, -29, 86, 151, 80, -20, -29, -25, 31, -15, 69, 179, 217, 60, 28, -123, 6, 14, 17, -30, 27, 244 },
{ 15, -16, -15, -29, -8, 24, 29, 40, -78, -10, 25, -77, 52, 72, -203, 17, 16, 26, -49, 42, 36, -85, 247, 322, -209, -17, 24, -89, 48, 52, 41, 351, 168, -198, 28, 14, 19, -40, 35, 100, -40, 110 },
{ 12, -9, -9, -29, 27, 25, 32, 44, -75, -13, -22, -44, 40, -41, 30, -153, 11, 10, 29, 47, 51, 12, 51, 247, 147, -23, -27, -27, 18, 33, 35, 201, 255, -16, -39, -131, 28, 29, 47, 52, -28, 180 },
{ 32, -17, -44, -10, 26, -17, 87, -15, 18, -7, -23, -9, -29, -9, -22, -13, 27, -29, 37, -36, 36, -39, 39, -24, 23, -17, -20, -9, -55, 121, 70, 186, -37, -26, -9, -16, 9, -31, 91, -29, 46, 117 },
{ 12, -24, -22, -21, 27, -8, 59, 17, 10, -14, -20, -8, -19, -19, -20, -9, 21, 7, 18, -43, 43, -48, 20, -9, 15, -34, -14, -31, -29, 60, 102, 147, -26, -22, 6, -29, 5, 19, 54, -13, 37, 229 },
{ 10, -20, -10, -10, 34, -14, 29, -17, 28, -10, -31, -12, 32, -18, -33, -24, 23, -26, 54, -27, -34, -39, 44, -18, 25, -15, -17, -1, -43, 23, 148, 260, -31, -20, 8, -17, 4, -8, 50, -21, 27, 194 },
{ 5, -8, -9, -11, 8, 9, 8, 15, 13, -23, 6, -22, 16, -28, 8, -28, 18, -8, 20, 7, -24, -41, 8, -14, -3, -16, -11, -24, -6, -17, 123, 185, 84, -47, 31, -16, 2, 13, 5, 35, -76, 343 },
{ 6, -11, -8, -5, 15, -6, 24, -22, 19, -13, 10, -23, -15, 23, -19, -53, 17, -17, 19, 16, -7, -67, 39, 21, -5, -12, 10, -36, 22, -42, 99, 266, 122, -46, 30, -23, 14, -29, 22, 8, -75, 300 },
{ 7, -16, -13, -30, 11, 30, 12, 27, 11, -19, -24, -28, 11, -15, -21, -14, 5, 16, 16, 33, -24, -22, 38, -18, 7, -30, -10, -39, 10, -49, 109, 83, -27, 4, -7, -23, 12, 10, 42, 32, -50, 413 },
{ 5, -7, -12, -8, 11, 3, 9, 12, 11, -10, 12, -31, 9, -11, -6, -14, 16, -6, 6, -5, 16, -43, -18, -11, -20, -12, -17, -24, 15, -38, 113, 141, 98, 6, 32, -16, -9, 12, 37, -31, -44, 410 },
{ -3, -9, 8, -11, 14, 6, 8, -20, 22, -16, 12, -34, 15, -17, 22, -60, 19, -14, 11, 15, 11, -35, -36, 11, -8, -11, -12, -6, 11, -47, 89, 168, 192, 36, 14, -25, 7, -22, 37, -47, -40, 373 },
{ -7, -7, 7, -4, 11, 17, 13, -13, 4, -14, -6, -37, 25, -24, 49, -128, 19, -12, 18, 53, 16, -35, -23, 43, 41, -6, -11, -6, 20, -49, 49, 232, 230, 42, 42, -72, 15, -16, 27, -59, -28, 312 },
{ 6, -12, -25, -12, 8, 5, 49, 9, 6, -20, -4, -25, -8, -19, -3, -22, 19, -16, 28, -13, 47, -25, 23, -20, -10, -36, -17, 2, -25, -36, 89, 59, -19, 27, -11, -21, -17, 35, 58, -46, 70, 467 },
{ 4, -5, -8, -7, 12, 8, 17, -25, 23, -14, -8, -18, 21, -7, 18, -17, 25, -16, 12, 18, 6, -10, -34, -39, -26, -18, -19, -9, -27, -31, 92, 80, 103, 59, 59, -25, -19, 30, 7, -43, 70, 454 },
{ -6, -5, 14, -20, 17, 19, 13, -42, 47, -12, -11, -25, 9, 13, -9, -57, 28, -29, 29, 22, 26, -23, -11, -41, -21, -6, -25, 6, -14, -35, 49, 105, 167, 125, 72, -45, -18, 30, -14, -71, 46, 416 },
{ -5, -9, 11, -4, 10, 6, 28, -20, 7, 6, 14, -40, -20, 27, 95, -154, -27, 12, 18, 30, 72, -25, -64, -32, 76, 9, -25, 8, 12, -30, 15, 123, 225, 211, 83, -102, 28, -18, -33, -82, 44, 343 },
{ -4, 25, -3, -21, 12, 32, -21, 26, -11, -14, -19, -33, -24, 31, 75, -175, 19, 27, 25, 15, 104, -22, -73, 63, 116, -22, -34, -20, 34, -9, 57, 123, 278, 159, 59, -133, 21, 48, -19, -82, 72, 254 },
{ 6, -12, -3, -32, 10, 2, 33, 20, -6, -14, -28, 11, -9, -17, -13, 17, 18, 24, -9, 7, 38, -18, 21, -26, -27, -35, -46, -17, -7, -41, 89, 27, 39, -11, 28, -38, -28, 84, 13, 51, 122, 465 },
{ 3, -11, 4, -9, 6, 9, 12, -10, 4, 4, -12, -11, 23, -19, -5, 15, 21, -13, 9, 27, 21, 9, -15, -17, -94, -19, -24, -23, -26, -42, 55, 48, 85, 86, 21, 56, -45, 33, -24, 30, 140, 434 },
{ 4, -9, -8, -8, 28, 15, 3, -16, 22, -27, -10, -17, 23, 9, 14, -59, 34, -19, 21, 19, 48, -16, -16, 24, -108, -14, -10, -2, -15, -38, 24, 50, 110, 204, 28, 68, -54, -15, 49, -76, 123, 386 },
{ 15, -35, 16, -21, 2, 18, 26, 2, -5, -28, -9, -8, 2, 11, 14, -37, 18, 13, -5, 21, 46, -28, 15, 32, -61, -50, -27, -23, -17, -29, 62, 26, -30, 57, 29, -36, -70, 135, 30, 90, 227, 393 },
{ 3, -11, 6, -18, 27, -24, 18, 13, 21, -7, -17, -9, 22, -45, -21, -35, 21, -11, 17, 27, -51, -45, 81, -24, 18, -8, -20, -16, 29, -37, 146, 319, 43, -53, 10, -11, 7, -12, 31, 17, -69, 210 },
{ -9, -7, 9, -16, 22, -8, 36, -13, 22, -14, -15, -53, 48, -20, -66, -46, 25, -17, 25, 75, -83, -46, 163, 56, -25, -17, 12, -47, 64, -65, 117, 365, 60, -76, 8, -18, 13, -11, 10, 47, -94, 149 },
{ 4, -18, 15, -10, 20, 5, 11, -11, 15, -9, -12, -35, 23, -7, -25, -92, 19, -14, 16, 63, -40, -49, 57, 66, 33, -23, 13, -50, 61, -61, 94, 314, 184, -80, -14, -38, 10, 10, 16, 14, -71, 257 },
{ -19, -21, 40, -35, 36, 19, -53, 100, -78, -29, -9, -50, 63, -50, -110, 50, 33, -11, 12, 49, -6, -60, 267, 66, -128, -8, -14, -84, 86, -50, 130, 394, 35, -117, 65, -7, 1, -12, 31, 78, -83, 127 },
{ 12, -28, 26, -33, -28, 38, -38, 48, -24, -9, 11, -87, 71, 39, -158, -37, 27, 23, 27, 29, -24, -72, 181, 226, -134, -21, -31, -54, 40, 65, 60, 341, 156, -168, 25, 4, 7, -11, 37, 44, -73, 147 },
{ -10, 40, 8, -12, -16, 9, 8, 33, -27, -14, 18, -53, 21, -25, -49, -127, 25, -13, 23, 57, 54, -72, 96, 257, -72, -5, -56, -27, 68, -91, 115, 274, 243, -119, -48, -31, 14, 16, 53, 39, -65, 234 },
{ -8, -11, 34, 5, 29, -7, 25, -18, -26, -31, -14, -34, 45, -20, 51, -185, 50, -21, 37, 28, 28, -29, 21, 157, 64, -18, -60, 13, -3, 49, 38, 233, 258, -6, 35, -122, 21, 14, 34, -34, -41, 259 },
{ -8, -37, 60, -62, 32, 54, -71, 167, -149, -13, -24, -109, 76, -46, -137, 73, 27, -20, 59, 53, 53, -44, 358, 141, -233, -6, -12, -33, 41, -24, 103, 386, 63, -140, 128, 34, 8, -31, -21, 60, -38, 124 },
{ 27, -12, -27, -13, 15, -10, 57, -10, 12, -3, -16, -5, 2, -7, -15, -3, 25, -19, 34, -55, 29, -49, 29, -17, 15, -13, -31, 11, -64, 116, 41, 171, -48, 23, -25, -10, 29, -9, 48, -28, 55, 51 },
{ 7, -18, -4, -11, 8, 5, 37, -2, 11, -16, -12, -6, -2, -3, -9, -13, 11, 19, 22, -48, 39, -51, 30, -12, 7, -18, -12, -9, -64, 78, 57, 142, -47, -18, 11, -20, 19, 4, 51, -8, 48, 143 },
{ 5, -10, -9, -17, 19, -10, 30, 14, 17, -8, -19, 4, -3, -4, -29, -7, 20, -22, 48, -53, 34, -77, 39, -25, 25, -14, -9, 9, -39, 44, 65, 247, -29, -22, 13, -17, 9, -7, 27, 25, -48, 164 },
{ 7, -15, -11, -28, 7, 7, 38, 10, 7, -8, -11, -14, 13, -11, -10, -15, 14, 14, 25, -49, 32, -44, 22, -4, 18, -20, -18, -16, -32, 39, 78, 95, -18, -15, -9, -15, 8, 26, 21, 64, -73, 292 },
{ 5, -10, -3, -15, 11, -1, 13, 19, 8, -17, 3, -25, 34, -25, 13, -15, 17, -2, 22, 16, -65, -31, 18, -30, 10, -11, -5, -24, 5, -17, 111, 141, 51, -16, 22, -13, 6, -10, 24, 36, -101, 306 },
{ 2, -10, 7, -13, 13, -5, 20, -20, 25, -21, 9, -20, 31, -24, 22, -36, 14, -13, 24, 36, -77, -21, -34, 40, -13, -10, 10, -24, 33, -49, 110, 206, 126, -39, 46, -14, 6, -7, -10, 37, -128, 278 },
{ 5, -10, -9, -27, 7, 9, 32, 15, 6, -13, -4, -24, -1, -13, -5, -7, 14, 4, 31, -19, 36, -34, 19, -13, 6, -17, -22, -12, -14, -35, 65, 67, -12, 6, -16, -12, -6, 34, 22, 59, -102, 389 },
{ 2, -10, 6, -11, 12, -6, 17, -13, 11, -13, 2, -13, 17, -12, 15, -9, 18, -16, 21, 28, -46, 23, -65, -6, -13, -8, -8, -26, 8, -28, 81, 88, 116, -25, 53, -17, 7, -17, 28, 36, -114, 385 },
{ 3, -14, 8, -14, 18, -4, 15, -19, 23, -13, 19, -13, 8, -11, 26, -24, 9, -16, 8, 10, 32, -68, -17, -45, 18, -13, 7, -12, 26, -31, 65, 167, 155, 50, 33, -32, 11, -19, 39, -33, -100, 339 },
{ 11, -9, 11, -14, 19, 11, 16, -45, 27, -16, 25, -31, 30, -9, 40, -90, 24, -40, 22, 39, 19, -51, -84, 33, 44, -15, -8, 15, -27, 47, 73, 221, 242, 68, -25, -44, 9, 11, 21, -48, -92, 283 },
{ 4, -9, -15, -9, 9, -7, 39, 5, 4, -12, -7, -24, 9, -20, 12, -20, 14, 5, 14, -16, 38, 18, -34, 6, -5, -15, -24, -17, -8, -38, 88, -28, 47, -32, 22, -17, -13, 40, 16, 61, -92, 494 },
{ 2, -7, 3, -5, 4, 8, 10, -12, 6, -11, 10, -14, 14, 14, -19, 19, 15, -7, 5, 5, 28, -47, 17, -64, -15, -6, -28, 20, -34, -20, 57, 88, 76, 26, 60, -21, -18, 40, 16, -76, 67, 438 },
{ 2, -8, 10, -8, -12, 13, 11, -23, 17, 17, -20, 16, -21, 22, 11, -22, -9, -8, 19, 33, 28, -25, -103, 27, -38, 16, -21, -9, -17, -10, 30, 142, 182, 52, 87, -41, -3, -13, 21, -79, 36, 372 },
{ 1, 8, -19, 16, -8, 39, -16, -27, 5, 14, 16, -52, 58, -23, 81, -95, -22, -17, 27, 60, 15, -20, -112, -10, 63, -14, 10, 22, -4, -30, 80, 174, 201, 151, 78, -99, 20, 19, -34, -114, 63, 319 },
{ 4, -19, -7, -16, -4, 10, 46, -3, -2, -10, -18, -9, 3, -11, 18, -13, 25, -9, 2, 11, 31, 25, -32, -6, -9, -19, -24, -45, 12, -32, 62, 49, -15, 18, 8, -24, -24, 60, 16, 29, 92, 472 },
{ 3, -16, 15, -7, 11, -5, 24, -6, -12, -11, 21, -16, 7, 19, -37, 43, 19, -14, -8, 36, 24, -12, -20, -44, -51, -7, -17, -19, -24, -32, 49, 74, 60, 86, 62, -18, -20, -21, 87, -65, 112, 454 },
{ 3, -24, 30, -21, 28, 13, -13, -13, 14, -24, -9, -13, 37, -17, 17, -15, 21, -13, -4, 48, 30, -18, 14, -76, -50, 18, -36, -8, -22, -15, 41, 59, 105, 196, 92, -49, -17, -28, 71, -77, 70, 425 },
{ 5, -26, 19, -25, 40, -10, 22, 23, 12, -32, -10, -23, -44, 17, 49, -95, 34, 32, -17, 45, 92, -27, -22, -107, 74, -23, -15, -17, 16, -41, 40, 61, 173, 253, 130, -87, 35, -39, 38, -95, 97, 363 },
{ 9, 5, -35, -19, 23, 27, 26, -8, 15, -43, -11, -29, 45, -57, 106, -238, 43, -16, 19, 25, 111, 40, -69, 53, 83, -3, -26, -38, 27, 39, 41, 84, 236, 175, 125, -122, -37, 75, -58, 27, 76, 278 },
{ 3, -5, -2, -18, 6, 13, 17, 3, -9, -25, -16, 20, 10, -21, 21, -13, 32, -6, -8, 24, 23, 27, -9, -14, -31, -35, -40, -30, -28, 35, 68, -30, 64, -6, 33, -33, -62, 113, 33, 85, 206, 390 },
{ 2, -8, 5, -12, 20, -13, 22, -14, 18, -9, -14, -17, 31, 17, -53, -13, 16, -7, 36, 29, -85, -57, 77, -37, 21, -9, -7, -19, 17, -22, 117, 280, 40, -31, 8, -16, 6, -9, 36, 23, -100, 179 },
{ -5, -15, 24, -13, 18, 3, -44, 7, 22, -8, -16, 33, 52, -20, -59, -21, 12, 7, -28, 50, -97, -50, 116, 72, -42, -14, 23, -50, 73, -30, 163, 313, 32, -57, 29, -5, 9, 4, -27, 86, -141, 125 },
{ 2, -11, 8, -14, 6, -12, 41, -13, 18, -5, 14, -42, 45, 24, -65, -35, 18, -9, -18, 63, -105, -74, 96, 105, -32, -11, -12, -21, 43, 40, 61, 315, 84, -78, 39, -16, 9, -13, 18, 55, -146, 158 },
{ -4, 9, 11, -12, 6, -12, 27, -23, 24, -13, 19, -26, 11, 13, -37, -64, 22, -18, 23, 28, 42, -124, 70, 41, 18, -5, -12, -22, 54, -28, 44, 314, 131, 25, -47, -17, 5, -5, 16, 37, -158, 229 },
{ -6, -14, 22, -14, 20, 11, -47, 35, -20, -19, -11, -33, 48, 14, -97, 43, 22, -13, 33, 44, -78, -102, 195, 63, -90, -5, 11, -40, 41, 78, 172, 357, -19, -39, 48, 9, -9, 5, -52, 74, -124, 102 },
{ -8, -14, 27, -16, 13, 9, -25, 26, -6, -14, 14, -55, 48, 54, -114, -25, 11, 17, 30, 36, -79, -126, 156, 125, -105, -17, -8, -36, 46, 111, 135, 345, 121, -79, 38, 14, 18, -25, -6, 53, -113, 128 },
{ -3, -12, 16, 6, 27, 21, -17, -25, 22, -24, 28, -48, 28, 58, -33, -133, 29, -18, 19, 53, -40, -128, 70, 156, 42, -13, -33, -27, 34, 63, 127, 355, 161, -103, -100, -7, 11, -10, 65, 58, -70, 148 },
{ 17, -10, -11, 10, 17, 19, 22, -33, -7, -8, -20, -57, 31, 13, 56, -152, 10, 27, 30, 63, 25, -58, -63, 118, 93, -19, -40, 18, -23, 31, 81, 235, 294, -19, -69, -58, 16, 55, -15, 47, -99, 272 },
{ -9, -11, 17, -16, 43, 27, -21, 25, -40, 8, -40, -58, 21, 48, -190, 81, -15, 15, 47, 54, 43, -109, 320, 91, -148, 34, 26, -75, 31, -65, 211, 401, -60, -140, 94, 10, -10, -14, -48, 70, 84, 119 },
{ -11, -12, -26, -12, 30, 50, -9, -19, 28, -17, 11, -68, 23, 88, -239, 60, -14, 37, 24, 33, 35, -106, 188, 239, -176, 23, -6, -64, 65, -61, 177, 346, 80, -156, 58, 38, 14, -56, -17, 63, 97, 96 },
{ 53, -23, 20, -20, -18, 18, 9, -57, 64, -15, 20, 59, -42, 101, -90, -154, 35, 28, -70, 57, 36, -98, 71, 353, -66, -30, -44, -64, 79, 51, 106, 324, 192, -169, -106, 15, 16, 28, 94, -35, 122, 106 },
{ 8, -11, 32, -18, 13, 12, 33, -20, -13, -19, 11, -69, 63, -32, 66, -199, 11, 34, 59, 87, 58, -49, 16, 209, 117, 17, -46, -50, 48, -34, 50, 241, 237, -35, -158, 42, -15, -13, 56, -28, 105, 178 },
{ -33, 28, -2, -12, 25, 41, 13, -77, 68, -18, -17, 52, -37, 119, -234, 31, 5, 15, -23, 40, 48, -87, 211, 258, -117, -28, -27, -26, 59, -40, 180, 355, 134, -168, 41, -20, 10, 42, -15, 48, 110, 69 },
{ 30, -14, -12, -12, 9, -7, 40, -5, 12, -5, -5, -4, 7, -4, -12, -4, 14, -13, 33, -51, 52, -58, 27, -18, 14, -14, -9, -1, -53, 72, 27, 130, -59, 12, -8, -10, 6, -6, 51, 3, 49, 44 },
{ 6, -19, 3, -13, 14, -5, 42, -7, 12, -6, -4, -10, 16, -10, -3, -11, 22, -17, 36, -57, 39, -54, 41, -8, 16, -17, -19, -8, -31, 45, 60, 99, -28, -8, -15, -14, 30, -3, 24, 74, -45, 142 },
{ 4, -13, 6, -14, 14, -6, 24, -18, 14, -10, -7, -16, 30, 13, -4, -10, 15, -15, 25, 39, -63, -47, 32, -31, 12, -8, -5, -6, -21, -8, 90, 156, 24, -12, 27, -18, 4, -8, 30, 33, -69, 208 },
{ 20, -23, 18, -19, 11, -10, 35, -4, 6, -11, 3, -8, 12, -8, 3, -13, 25, -19, 41, -53, 47, -55, 33, -8, 7, -18, -14, -12, -30, 10, 80, 76, -19, -22, 29, -27, 6, 22, 14, 74, -57, 226 },
{ -2, -10, 10, -7, 12, -4, -9, -24, 18, -15, 22, -11, 34, 10, 21, -21, 14, -20, 19, 43, -71, -50, -29, -17, 41, -12, -3, -8, 56, -26, 100, 174, 117, -49, 50, -22, 6, 14, -17, 39, -147, 230 },
{ 5, -12, 4, -12, 7, -12, 47, -9, 5, -10, -2, -11, 10, -9, 12, -10, 13, 4, 22, -17, 45, -33, 9, -15, 9, -15, -15, -18, 7, -32, 59, 38, 9, -16, 16, -20, 18, -6, 24, 75, -109, 324 },
{ 3, -13, 8, -9, 14, -7, 12, -6, -4, -8, -4, 2, 13, -8, 33, -8, 7, -5, 27, -27, 42, -38, -63, 32, -18, -10, 10, -41, 26, -20, 41, 96, 96, -46, 48, -7, 5, -22, 56, 26, -123, 328 },
{ 2, -15, 12, -12, 13, 7, -3, -28, 17, -16, 30, -6, -4, 32, 29, -18, 16, -31, 30, 33, -25, -70, -20, -50, 24, -17, 26, -5, -22, 41, 44, 153, 123, 47, 39, -33, 17, 10, -24, 52, -118, 259 },
{ 22, -7, -13, 9, 26, 10, -8, -17, -6, -17, 34, -37, 33, 22, 38, -41, 24, -56, 19, 60, -39, -54, -64, -25, 77, -15, 21, 9, -34, 100, 59, 163, 182, 89, -19, -36, 9, 8, -38, 47, -120, 214 },
{ 4, -8, -1, -21, -5, 10, 41, -8, -1, -11, 9, -24, 15, -7, 12, -7, 12, -4, 20, -10, 50, -15, -16, -11, 7, -8, -15, -7, -19, -34, 52, -7, 42, -28, 28, -19, 18, -17, 14, 96, -113, 419 },
{ 1, -11, 9, -5, 8, -7, 37, -13, -4, -9, 2, -11, 13, 18, -17, 26, -8, 15, 31, -7, 25, -45, 22, -63, -9, 8, -10, -32, 11, -31, 54, 61, 72, 26, 51, -18, -3, -19, 34, 48, -102, 428 },
{ 5, -18, 16, -9, 9, 2, -10, -10, 8, 5, 19, -19, 19, -21, 49, -11, -15, -13, 21, 13, 34, -45, -66, -41, -14, 10, 7, -33, -24, 55, 23, 101, 175, 66, 61, -34, 9, -16, 42, -25, -81, 361 },
{ 5, -15, 31, -10, -12, 45, -9, -12, -5, 20, -7, -53, 30, 13, 69, -53, -11, -27, 26, 65, 11, -73, -47, -83, 80, 31, -21, 6, 36, -13, 80, 192, 135, 130, 80, -62, 18, -22, 20, -116, 29, 280 },
{ 5, -16, 19, -17, -10, 45, 72, -56, 15, -8, -8, -48, 70, -34, 139, -168, 45, -32, 36, 13, 86, -38, -135, 62, 115, -34, -35, -20, 32, 33, 96, 176, 242, 110, 109, -136, 24, 71, -17, -81, -41, 288 },
{ 4, -7, -1, -21, -9, 9, 39, -6, -4, -15, -3, -6, 6, -11, 12, -8, 21, -16, 7, 11, 59, -5, -26, -10, 3, -7, -23, 13, -51, -33, 69, 31, 19, -26, 33, -18, -23, 44, 34, -20, 95, 451 },
{ 1, -7, -6, 3, 27, -2, 17, -7, -18, -11, -12, 24, 16, -15, -17, 46, 16, -11, 22, 11, 18, -19, 13, -56, -34, 9, -23, -19, -24, -22, 50, 61, 60, 50, 55, -16, -28, 50, 27, -63, 89, 478 },
{ 3, -9, 2, -16, 24, -13, 7, 34, -29, -10, -5, -14, 29, 3, -19, 31, 12, -15, -23, 54, 48, -40, 13, -86, -39, -9, 39, -41, 46, -32, 37, 65, 103, 142, 104, -44, -11, 15, 24, -105, 67, 405 },
{ 5, 21, -24, -9, 36, 33, 13, 27, -35, -12, -6, -57, 28, -23, 37, -40, -11, -18, 29, 53, 23, 34, -25, -150, 67, 13, -21, 35, -26, -12, 51, 89, 149, 234, 121, -80, -8, -23, 37, -122, 96, 356 },
{ 3, -16, 11, -9, 8, 7, 29, -4, -12, -21, -11, -5, 22, -12, 30, -21, 38, -21, 6, 21, 17, 24, -31, 20, -29, -22, -29, -58, 32, -5, 46, 66, -23, 13, 38, -32, -41, 90, 10, 97, 166, 394 },
{ 2, -7, 8, -13, 20, -13, 17, 26, -28, -19, -19, 15, 23, -13, -31, 58, 22, -20, 7, 40, 18, 16, -31, 46, -101, -13, 17, -58, -50, 6, 55, 47, 67, 46, 19, 59, -50, 76, -24, 31, 186, 411 },
{ 3, -20, 15, -19, 24, 13, -19, 26, 14, -26, -7, -11, 28, -28, 18, -15, 36, -43, 30, 24, 47, 14, 24, 61, -200, -17, 8, -42, 27, -15, 34, 56, 54, 104, 89, 135, -57, 41, -82, 66, 175, 363 },
{ 4, -8, -8, -6, 18, -16, 25, -22, 24, -7, -12, -6, 43, 4, -17, -14, 21, -22, 42, -29, -41, -51, 55, -25, 19, -9, -12, -3, -34, 39, 77, 221, -47, 11, -13, -10, 6, -9, 19, 37, -39, 106 },
{ -3, -6, 7, -13, 17, -15, 30, -17, 20, -11, -7, -15, 34, 34, -44, -6, 10, -3, 33, 17, -80, -56, 62, -42, 11, -14, 12, -20, 22, 31, 89, 228, 50, -39, 20, -11, 5, 5, -19, 51, -118, 129 },
{ 22, -21, 13, -17, 15, -6, 14, -24, 28, -12, 18, -22, 48, 7, -35, -12, 17, -13, 9, 47, -77, -76, 40, -21, 15, -8, -5, -21, 20, -8, 95, 237, 82, -38, 49, -20, 7, -10, 14, 26, -108, 167 },
{ -5, -11, 25, -9, 9, 11, -60, 20, -17, -15, 7, -27, 65, 79, -57, 39, 10, 28, -15, 40, -121, -65, 67, 39, -33, 12, -6, -18, 32, 57, 93, 267, -22, -35, 24, 16, -13, 12, -56, 73, -110, 180 },
{ 23, -26, 7, -4, 21, 24, -32, -19, 23, -11, 8, -30, 51, 33, -62, -30, 18, -14, 34, 27, -90, -84, 55, 111, -26, -5, 9, -31, 38, 80, 88, 269, 62, -60, 40, -11, 7, -8, -36, 92, -157, 114 },
{ -12, -6, 15, -10, 17, -18, 31, -40, 30, -5, 20, -24, 23, 55, -34, -41, 11, -21, -9, 39, -38, -132, 70, -20, 46, -7, -15, 9, 44, 43, 62, 265, 151, 26, -35, -27, 4, 8, 20, 19, -126, 140 },
{ 13, -12, -17, 12, 35, 20, -6, -24, -13, 10, 19, -40, 43, 36, 61, -62, -13, -17, -25, 78, -50, -74, -86, 19, 79, -9, -5, 18, -24, 71, 126, 244, 151, 59, -38, -33, 4, 9, 24, -23, -97, 166 },
{ -7, -14, 20, -8, 23, 18, -48, 17, 17, -24, 18, -43, 55, 50, -116, 25, 16, 12, 32, 55, -111, -81, 126, 51, -66, -7, -28, -14, -17, 111, 118, 341, -25, -39, 65, -14, -7, 31, -82, 84, -103, 231 },
{ -5, -16, 15, 11, 21, 11, -27, -37, 18, -18, -19, -40, 42, 75, -114, 37, 10, 17, 34, 40, -85, -114, 94, 97, -41, 10, 27, -35, 38, 88, 194, 248, 86, -44, 37, 7, 8, -21, -52, 97, -146, 124 },
{ 17, -11, -10, 16, 10, 7, 29, -46, 45, -5, 38, -42, -6, 75, -24, -94, -21, -24, 45, 40, -42, -128, 45, 96, 51, 7, -25, -15, 36, 95, 151, 339, 134, -40, -72, 22, 9, -12, 9, 58, -148, 185 },
{ 14, -11, 9, -13, 42, 14, 31, -20, 7, -15, 19, -54, 16, 14, 30, -104, 13, -17, 58, 40, 45, -64, -56, 54, 96, -7, -53, 26, 28, -39, 161, 267, 210, 26, -57, -32, 12, 23, -15, 65, -135, 278 },
{ -1, 6, -21, 8, 24, -10, -14, -31, 19, -27, 22, -24, 35, 46, -149, 96, 18, 35, -18, 36, -51, -124, 203, 79, -98, -13, 28, -29, 26, 77, 252, 325, -93, -40, 82, 35, 9, -27, -91, 76, -67, 146 },
{ -10, 35, 23, -20, 8, -31, 17, -56, 28, -20, 8, 38, -21, 103, -188, 57, 21, 26, -15, 55, 31, -104, 81, 176, -112, -13, 21, -55, 85, -49, 146, 336, 79, -154, 64, 9, 19, -34, -54, 15, 92, 151 },
{ 31, -11, -12, 14, 6, 30, 31, -92, 18, -9, 17, -44, 56, 109, -53, -121, 9, 7, 70, 14, -71, -109, 93, 173, 81, 11, -19, -91, 63, 143, 177, 299, 151, -157, -111, 16, -10, -20, 47, 114, -96, 189 },
{ -46, -12, 30, -64, 71, -32, 69, -53, 113, -29, -20, -39, -58, 95, -244, 130, 47, 41, 54, 75, -72, -46, 261, 116, -146, 8, -8, -79, 42, 56, 269, 376, -72, -95, 120, -76, -26, 45, -16, 44, 51, 109 },
{ 3, -7, 3, -12, 12, -11, 27, -10, 9, -8, -3, -4, 12, 11, -10, -3, 11, -8, 25, -42, 44, -39, 44, -7, 8, -12, -7, -3, -39, 50, 19, 74, -38, 7, -6, -11, 27, -15, 39, 4, 52, 28 },
{ 6, -10, 4, -13, 10, -16, 39, -9, 6, -10, 5, -9, 20, -8, 9, -10, 14, -2, 17, -40, 51, -49, 26, -6, 11, -17, -6, -26, 24, 16, 58, 56, 31, -31, 9, -17, 33, -2, 36, 44, -76, 135 },
{ 17, -11, 3, -11, 21, -6, 17, -14, 9, -6, 16, -26, 39, 10, 6, -14, 12, -9, 5, 32, -58, -60, 29, -19, 16, -8, -5, -18, 37, -26, 127, 115, 55, -33, 7, -13, 6, -7, 35, 42, -102, 188 },
{ 2, -17, 18, -15, 11, -14, 30, -9, 4, -9, 3, -13, 22, -10, 10, -4, 14, -6, 30, -50, 57, -50, 28, -12, 11, -21, 5, -35, 24, 8, 65, 48, 42, -35, 20, -20, 37, -4, 42, 51, -96, 184 },
{ -3, -8, 12, -8, 9, -4, -9, -11, 10, -12, 14, -31, 49, -6, 21, -12, 12, -12, 15, 40, -56, -54, 24, -36, 17, -9, 3, -11, -25, 31, 76, 115, 77, -15, 26, -20, 8, -11, 33, 33, -98, 186 },
{ -3, -12, 16, -6, 7, 3, -8, -26, 10, -13, 14, -14, 30, 23, 24, -24, 12, -14, 9, 37, -50, -72, 36, -26, 46, -10, 6, -9, 48, -9, 65, 153, 73, -39, 60, -23, 3, 10, -21, 23, -99, 182 },
{ 2, -11, 30, -13, 5, -9, 34, -4, 10, -8, 19, -18, 25, -21, 18, -12, 12, -10, 20, -28, 54, -23, 12, -18, 13, -11, -12, -15, 32, -30, 50, 16, 42, -10, -10, -11, 30, -13, 19, 90, -101, 241 },
{ 7, -9, 11, -12, 7, -4, 15, -14, 16, -8, 9, -20, 26, -15, 28, -11, 5, -10, 42, -29, 35, -68, 35, -43, 17, -14, 8, -21, -23, 47, 29, 92, 48, -26, 56, -24, 8, -19, 19, 68, -107, 277 },
{ 1, -14, 16, -6, 11, -5, -7, -11, 20, -14, 23, -35, 32, -9, 28, -17, 18, -29, 29, 36, -12, -86, 48, -64, 22, -14, 29, -14, -20, 52, 29, 144, 73, 71, -24, -12, 3, -9, 38, 18, -80, 210 },
{ 3, -11, 7, -5, 50, -14, 31, -48, 10, -21, 43, -21, 16, 22, 26, -15, 30, -43, 22, 27, -34, -89, -22, -38, 65, -12, -6, 9, -12, 72, 74, 138, 129, 98, -24, -27, 8, -20, 63, -16, -86, 199 },
{ 3, -6, 15, -11, 4, -9, 48, -4, -2, -11, 7, -24, 33, -28, 22, -10, 10, -6, 10, -11, 58, -13, -6, -16, 9, -16, 16, -23, 28, -34, 42, 28, 13, -13, 33, -21, 46, -29, 15, 91, -95, 313 },
{ 1, -8, 30, -8, 3, -6, 26, -3, -11, -6, -7, -22, 25, -11, 14, 20, 9, 25, 23, -15, 40, -40, -23, -27, -8, -5, -9, -24, -24, 40, 24, 69, 71, -27, 78, -24, 5, -18, 47, 65, -83, 313 },
{ 3, -8, 3, -5, -7, 15, 17, -14, -7, 18, 9, -47, 33, -9, 19, 19, -16, 36, 32, -15, 35, -47, -40, -52, -9, -15, 13, -32, -22, 100, 45, 45, 144, 69, 37, -21, 7, -13, 52, -20, -84, 314 },
{ 3, -15, 9, -17, 11, -7, 20, -27, -7, -8, 47, -31, 29, -2, 38, -11, 10, -21, 58, 14, 6, -68, -54, -69, 33, -19, -28, 13, -18, 104, 68, 121, 198, 102, 38, -53, 24, -39, 57, -65, -73, 306 },
{ 6, -8, -11, 25, 13, -6, 15, -7, -21, -18, 29, -27, 82, -43, 108, -85, 34, -52, 33, 23, 26, -8, -94, -32, 133, 26, -20, -9, 59, -20, 63, 163, 242, 67, 64, -61, 15, -22, 33, -111, 56, 279 },
{ 3, -10, 6, -8, 4, 2, 39, -5, -7, -16, 19, -23, 29, -23, 22, -13, 12, -9, 13, -11, 71, 5, -25, -8, 4, -7, -15, 34, -59, -16, 56, 26, -34, 33, 26, -22, 28, -31, 86, -29, 91, 367 },
{ 2, -14, 21, -10, 7, -6, 27, -8, -10, -4, -11, -3, 32, 18, -20, 32, 8, -14, 21, 21, 20, -38, 30, -53, -17, 11, -11, -24, -34, -15, 58, 55, 59, 52, 34, -14, -27, 44, 38, -49, 93, 418 },
{ 2, -14, -1, 9, 15, 38, -23, 29, -19, -15, 48, -32, 24, 17, -40, 50, 9, -8, 16, 19, 49, -36, 21, -102, -19, 16, -18, -51, 30, 24, 33, 29, 134, 89, 101, -47, 25, -26, 56, 33, -140, 401 },
{ 3, -9, 9, -4, 18, -1, -26, 16, -24, -13, 45, -31, 26, 3, 37, -25, -15, 44, -10, 27, 78, -25, -40, -151, 34, 9, -4, -23, -22, 112, 80, 105, 142, 170, 128, -60, -13, 13, -30, -90, 44, 374 },
{ 3, -7, 2, -7, 8, 5, 38, -5, -14, -19, -21, 11, 10, 17, -11, -13, 20, -10, 18, -12, 49, 30, -33, 23, -16, -28, 14, -50, -35, 32, 79, -15, 38, -18, 24, -30, -29, 115, -31, 72, 160, 432 },
{ 2, -6, 8, -9, 10, -18, 45, 25, -30, -16, 27, -9, 29, -30, -28, 51, -20, 25, -9, 42, 47, -7, -31, 41, -68, 14, -9, -53, -45, -11, 63, 61, 40, 75, 67, -43, -33, 61, -27, 70, 176, 415 },
{ 1, -14, 23, -17, -1, 21, -7, 35, -15, -15, -13, 32, -37, 22, -30, 43, -26, 29, 13, -10, 25, 36, -40, 58, -140, 25, -26, -44, -23, 81, 53, 31, 45, 137, 27, 159, 27, -104, 25, 48, 131, 367 },
{ 33, -11, -4, -10, 67, -46, 26, 22, -15, 15, -45, 16, -16, 44, 56, -57, -21, -17, 15, 25, 49, 41, -9, -48, -103, 30, -25, -37, -24, 92, 60, 81, 67, 230, 146, 92, 33, -97, -24, 44, 115, 305 },
{ 19, -15, 3, -7, 8, -7, 20, -4, 5, -7, -3, -5, 11, -5, 6, -8, 11, -8, 28, -39, 47, -56, 49, -7, 6, -6, -7, -2, -42, 41, 35, 108, -50, 15, -4, -12, 4, -2, 26, 7, 44, 38 },
{ 14, -7, 6, -12, 14, -14, 14, -10, 10, -8, -5, -4, 31, 25, -9, -8, 11, -4, 20, -21, -50, -65, 67, -13, 11, -6, -7, -9, -20, 28, 100, 164, -48, 23, -10, -11, 4, -16, 33, 27, -59, 119 },
{ -2, -7, 16, -6, 10, -8, -24, -8, 13, -10, 4, -18, 56, 40, -39, 9, 13, -2, 21, 17, -87, -50, 40, -37, 11, -8, -4, -12, 9, 56, 103, 158, 62, -33, 15, -11, -5, 17, -31, 59, -112, 121 },
{ -3, -12, 15, -7, 9, 11, -27, -7, 10, -7, 5, -34, 63, 23, -19, -12, 40, -6, 5, 27, -103, -41, 20, -31, 14, -18, 11, -15, 61, -40, 153, 150, 48, -39, 54, -22, 14, 9, -28, 59, -116, 173 },
{ -7, -8, 31, -9, 15, -5, -51, -6, -8, -15, -6, 40, 53, 52, -52, 62, 6, 13, -12, 12, -108, -57, 53, -31, -14, -7, 17, -28, 26, 124, 96, 173, 70, -19, 17, -4, -6, 24, -68, 89, -129, 83 },
{ -12, -5, 7, 6, 33, 16, -28, -28, 16, -12, 9, -24, 56, 27, -27, -37, 9, -12, 20, 46, -89, -71, 32, 93, -19, -14, 11, -15, 25, 73, 106, 215, 50, -39, 46, -14, 19, 12, -39, 81, -140, 114 },
{ -10, -7, 6, 8, 12, 21, -27, -16, -9, -6, 15, -40, 45, 36, 52, -25, 10, -12, 30, 23, -80, -58, -57, 103, -8, -22, 20, -10, 17, 68, 84, 201, 110, -44, 48, -22, 27, 9, -24, 49, -133, 142 },
{ 3, -8, -21, 10, 35, 10, 25, -43, 15, -15, 34, -40, 30, 29, 23, -32, 19, -16, -27, 48, -48, -102, 35, -63, 121, -20, -20, 11, 8, 83, 68, 181, 137, 23, -37, -34, 34, 15, 12, 44, -105, 155 },
{ -4, -11, 14, 8, 15, -6, -37, -26, 14, 19, -8, 35, 18, 87, -99, 38, -5, 16, -11, 26, -99, -94, 91, -20, -35, -10, 16, -20, 28, 82, 139, 300, -25, -17, 35, -7, -5, 22, -67, 62, -88, 239 },
{ -2, -3, 3, 13, 7, 13, -14, -53, 28, -19, 19, -20, 30, 81, -69, -27, 12, -5, -17, 40, -97, -115, 63, 152, -52, -10, 25, -27, 29, 71, 144, 212, 29, -42, 25, 12, 5, -4, -54, 86, -105, 218 },
{ 4, -6, -15, 7, 23, 27, -16, -33, 38, -8, 17, 48, -14, 89, -17, -58, 11, 18, -33, 36, -67, -115, 31, 130, 26, -11, -13, -18, 33, 118, 113, 217, 119, -38, -53, 21, 8, -15, -18, 80, -155, 129 },
{ -10, 8, -12, 12, 29, -8, 38, -59, 15, -9, 25, -50, 43, 20, 83, -106, 20, -18, 50, 42, -10, -114, -38, 86, 90, -16, -39, 15, -22, 143, 91, 220, 174, 71, -43, -20, 21, 20, 30, -35, -103, 224 },
{ 14, -23, 7, 9, 36, -22, -26, -41, 30, -14, -5, 66, 26, 71, -112, 95, 23, 5, 15, -28, -67, -143, 123, 30, -64, -11, 23, -36, 45, 94, 197, 261, -80, -12, 72, -11, -9, 27, -76, 40, -63, 248 },
{ 26, -15, -32, 22, 22, -8, -12, -68, 58, -5, 16, 57, -4, 84, -149, 41, -11, 26, -24, 31, -41, -115, 80, 178, -63, -10, 37, -46, 37, 81, 219, 245, 26, -56, 35, 18, 4, -6, -68, 90, -118, 204 },
{ 33, -52, -37, -6, 16, 23, 26, -68, 20, -11, 25, 57, 11, 94, -44, -60, 7, 45, -40, 20, -39, -144, 74, 215, -27, -32, -21, -62, 69, 67, 127, 307, 148, -104, 70, 4, 60, -4, -17, 50, -120, 213 },
{ 9, 11, -19, -28, -17, 102, 42, -25, -16, -25, 36, -72, 8, 30, 126, -185, 26, 23, 12, 66, -31, -48, -48, 147, 98, -11, -50, -34, 35, 45, 115, 253, 179, 23, -89, -10, 9, -11, 69, -36, -105, 280 },
{ 19, -78, -14, -11, 57, -16, 18, -31, 39, 63, 18, -10, -30, 78, -205, 125, -37, 21, 69, 59, -38, -51, 145, 20, -88, -28, 47, -44, 20, 17, 279, 334, -75, -74, 108, -21, 11, -11, -73, 21, 82, 172 },
{ 20, 38, -26, 14, 7, 33, -16, -88, 70, -13, -20, 55, -23, 83, -194, 17, 10, 24, 69, 23, -26, -85, 130, 216, -128, -33, 38, -51, 61, 37, 168, 337, 38, -167, 70, -21, 20, -44, -15, 21, 132, 167 },
{ 26, -24, -69, -24, -11, 39, 33, -31, 13, -28, 110, -30, -20, 78, -107, -110, -8, -72, 8, 35, 14, -59, 179, 334, -103, 43, 38, -51, 47, 65, 196, 282, 151, -163, 108, -17, 15, -18, -57, 79, -71, 182 },
{ -13, -26, 49, -31, 68, 60, -23, 66, -117, 20, -26, -96, 38, 38, 95, -126, 63, -14, 48, 71, 85, -93, 112, 291, 158, -56, -74, 44, -40, 80, 56, 133, 178, -84, -181, 44, 19, -27, 81, -48, 164, 183 },
{ 12, -9, 3, -5, 6, -8, 4, -13, 4, -11, 5, -4, 26, 6, 4, -8, 4, 2, 28, -22, 39, -32, 33, -6, 5, -12, 12, -10, -12, 33, 13, 55, -22, 18, -5, -4, 12, 5, -11, 21, -21, 75 },
{ 2, -11, 36, -10, 5, -4, -7, -3, 8, -7, 6, -6, 19, -6, 9, -11, 7, -5, 15, -33, 51, -40, 36, -9, 9, -19, 24, -22, 30, 29, 39, 35, 37, -21, 19, -8, 26, 7, -16, 52, -80, 112 },
{ -1, -7, 7, -4, 4, -3, -8, -7, 12, -7, 8, -11, 27, -7, 20, -10, 4, -11, 28, -36, 59, -76, 44, -23, 13, -8, 9, -16, -15, 64, 50, 95, 70, -22, 47, -19, 20, 6, -24, 63, -113, 175 },
{ 3, -6, 4, -11, 5, -13, 38, -14, 5, -7, 10, -25, 35, -8, 8, -11, 11, -9, 8, 36, -37, -16, 22, -7, 11, -20, 15, -22, 44, -27, 76, 45, 33, -21, 24, -19, 27, 32, -17, 62, -98, 171 },
{ -2, -10, 15, -6, 10, -9, 4, -22, 8, -8, 10, -18, 23, 16, 17, -13, 8, -9, 12, 29, -30, -83, 32, -31, 21, -18, 9, -10, -21, 72, 54, 147, 124, -14, -12, -4, 13, 6, -15, 44, -95, 145 },
{ 2, -15, 40, -12, 5, -7, 30, -8, 6, -7, 6, -15, 19, -13, 6, -10, 10, -10, 20, -19, 41, -23, 23, -9, 11, -14, -5, -19, 44, -10, 56, 24, 46, -15, -7, -12, 7, -13, 69, 46, -101, 166 },
{ 1, -7, 9, -12, 5, -9, 44, -19, 5, 28, -14, -22, 32, -17, 23, -9, -7, -8, 44, -29, 42, -56, 38, -29, 9, -10, 13, -24, -16, 70, 15, 88, 74, -9, 33, -18, 6, -15, 13, 75, -85, 208 },
{ 1, -14, 12, -21, 10, -9, 8, -26, 14, -10, 49, -39, 44, -17, 42, -11, 15, -34, 53, -7, -23, -77, 54, -53, 22, -19, 23, -24, -37, 149, 45, 87, 69, -23, 50, -15, 9, -11, 25, 52, -87, 207 },
{ 5, -17, 9, -6, 25, -15, 20, -29, 16, -32, 34, -52, 43, -15, 45, -16, 33, -31, 29, -9, 66, -111, 60, -62, 23, -23, 11, -16, -18, 86, 73, 111, 89, 92, -24, -14, 12, -9, 9, 66, -103, 183 },
{ 3, -4, 19, -14, 9, -10, 39, -7, 17, -9, 21, -20, 17, -19, 14, -11, 14, -12, 34, -4, 59, -20, 31, -18, 11, -4, -19, 18, -12, -19, 79, 8, -6, 36, -10, -12, 7, -15, 46, 93, -74, 217 },
{ 2, -7, 4, -4, 6, -10, 19, -27, 5, -10, 40, -27, 70, -20, 32, -8, 8, -11, 35, -17, 51, -28, -18, -24, 7, -11, 13, -31, -17, 63, -11, 67, 86, 5, 31, -17, 8, -19, 43, 74, -97, 300 },
{ 3, -11, 11, -13, 29, -23, 25, -17, -11, 27, -28, -43, 41, -16, 34, 7, -16, 78, 59, -17, -32, -45, -17, -49, 19, -42, 35, -73, 34, 143, 69, 17, 104, 96, 17, -21, 13, -7, 17, 27, -107, 284 },
{ 7, -19, 8, -6, 12, -17, 22, -35, 13, 63, 24, -77, 47, -30, 39, -22, -15, -34, 78, -13, 51, -112, 39, -71, 32, -22, 23, -30, -37, 233, 117, 59, 141, 153, 27, -46, 26, -15, 23, -67, -68, 293 },
{ 5, -7, -7, -6, 10, 78, 21, -13, -9, -30, 14, -41, 43, -50, 89, -68, -8, -21, 16, 33, 49, -41, -45, -60, 184, 18, 55, -35, -15, 65, 93, 118, 217, 69, 48, -57, 12, -27, 88, -143, 57, 201 },
{ 4, -5, 15, -13, 5, -2, 49, -16, -3, -23, 32, -22, 25, -22, 18, -13, 14, -12, 28, 11, 28, 21, -17, -15, 9, -15, 12, -10, -32, -14, 100, 25, -13, -9, 50, -22, -12, 50, -17, 133, -44, 286 },
{ 2, -13, 10, -6, 9, -8, 44, -11, -11, 2, -15, -5, 54, -12, -5, 28, -15, 13, 13, 8, 58, -19, -28, -17, -9, 10, -6, -17, -40, -16, 88, 43, 54, 29, 47, -21, -19, 17, 53, -54, 94, 364 },
{ 2, -13, 16, -11, 13, -19, 22, -5, -13, -21, 64, -29, 20, 34, -41, 38, 6, -10, 28, 59, 5, -37, 15, -66, -17, -26, 6, -9, -46, 28, 97, 31, 106, 115, 39, -40, 10, -18, 80, -65, 117, 272 },
{ -35, -10, 26, -22, -10, 98, 7, -14, -21, -14, -9, 25, 34, -57, 120, -77, 31, -38, 43, -32, 38, 43, -59, -95, 85, -29, 13, 15, -29, 82, 161, -41, 255, 175, 142, -63, 25, -36, 17, -120, 83, 263 },
{ 3, -12, 8, -8, 11, -11, 50, 3, -11, -22, -29, 4, 22, -7, 17, -19, 25, -21, 26, 8, 7, 59, -24, -19, 7, -41, 20, -31, -26, -19, 72, 64, -18, 20, 12, -22, -32, 128, -26, 79, 118, 397 },
{ 4, -11, -8, 38, 20, -6, -4, 27, -28, -23, -21, 43, 26, -27, -27, 44, -8, 29, -8, 16, 17, -16, 48, -20, -42, 28, -29, -84, 58, -55, 87, 63, 29, 32, -26, 97, -36, 27, 22, 77, 90, 463 },
{ -1, -2, 12, -17, -2, -6, 32, 35, -21, -20, -5, 7, 47, -14, -26, 48, -56, 12, 13, 18, 31, 11, 52, -36, -105, -45, 58, -57, -34, 43, 59, 87, 74, 69, 50, 157, -20, -52, 29, 16, 105, 382 },
{ 1, -4, 1, -6, 7, -9, -5, -7, 6, -4, 4, -6, 22, 15, -4, -4, 6, -7, 29, -11, -25, -29, 41, -3, 5, -9, -8, 10, -30, 40, 58, 79, -39, 6, -6, -7, 2, 15, -3, 25, 29, 27 },
{ 10, -5, 7, -7, 9, -6, -13, -8, 6, -5, -5, -4, 39, 22, 4, -8, 4, 3, 15, -18, -53, -55, 68, -10, 7, -5, -5, -9, -13, 76, 86, 128, -54, 53, -6, -7, 9, 5, -14, 42, -67, 116 },
{ -4, -5, 17, -7, 9, -11, -26, -7, 6, -11, 9, -10, 51, 52, -14, -6, 10, 9, -15, 43, -83, -54, 94, -17, 8, -9, -3, -9, 33, 51, 107, 160, -44, 42, 4, -11, -4, 18, -27, 49, -92, 124 },
{ -1, -9, 16, -4, 7, -3, -17, -20, 10, -10, 10, -12, 39, 27, -6, -10, 6, 11, -22, 64, -56, -77, 70, -22, 14, -6, -10, -13, 62, -20, 105, 132, 79, -27, 21, -16, 2, 32, -11, 50, -106, 162 },
{ -5, -3, 24, -6, 6, -6, -38, -20, 8, -10, 9, 42, 52, 49, -45, 50, 9, 22, -15, -11, -90, -61, 52, -23, -14, -9, 10, -6, 11, 140, 88, 171, -31, 52, -4, 5, -8, 22, -57, 68, -89, 95 },
{ -4, -6, 11, 6, 9, -10, -22, -36, 17, -11, 58, -5, 55, 38, -9, -18, 8, 12, -18, 32, -83, -71, 56, 51, -15, -4, -6, -21, 20, 54, 79, 164, 105, -36, 37, -12, -4, 17, -32, 81, -100, 126 },
{ -1, -19, 25, 8, 44, 7, -10, -39, 13, -11, 16, -23, 33, 41, 21, -19, 15, -7, -6, 16, -55, -90, 70, -28, 83, -15, -15, -10, 31, 89, 72, 144, 97, -21, -23, -10, 8, 4, 31, 43, -106, 122 },
{ 35, -8, -13, 10, 26, 12, -8, -43, 13, -31, 44, -18, 22, 36, 23, -27, 12, 37, -23, 24, -46, -93, 36, -51, 113, -10, -18, 7, 17, 79, 66, 128, 128, -12, -24, -13, 11, 7, 55, -12, -82, 175 },
{ -4, -7, 13, 10, 18, -19, -29, -39, 14, -8, 36, 34, 40, 80, -63, 57, -5, 6, -12, 8, -95, -102, 67, -18, -10, -12, 22, -12, 17, 116, 133, 174, -29, -15, 14, -4, 19, 15, -57, 56, -66, 248 },
{ 4, -15, -18, 17, 16, 8, -17, -53, 24, -13, 15, -10, 35, 87, -58, -13, 26, 4, -8, 22, -104, -90, 29, 137, -36, -9, 7, -25, 9, 95, 131, 200, 18, -22, 21, -6, -8, 13, -41, 63, -70, 199 },
{ 8, -4, -21, 10, 14, 27, -6, -45, 17, -6, 18, -9, 34, 72, -11, -38, 34, -5, -13, 29, -58, -112, 30, 155, -22, -14, 32, -6, 7, 124, 92, 189, 106, -21, -27, 14, 8, -9, -24, 70, -133, 138 },
{ 7, -16, -9, 14, 16, -3, 22, -41, -13, -20, 23, -34, 25, 51, 66, -62, 25, -22, 13, 38, -28, -122, -27, 34, 94, -8, -13, -34, 52, 133, 108, 168, 170, 54, -44, -35, 25, 10, 25, 24, -112, 170 },
{ 12, -16, 9, 17, 18, -25, -19, -57, 40, 48, 10, 13, 15, 67, -117, 84, -7, -5, 15, 35, -63, -82, 86, 56, -38, -21, 25, -26, -13, 122, 253, 222, -95, -15, 42, -10, 30, 34, -72, 70, -85, 198 },
{ 3, -5, -6, 22, 37, -18, 29, -80, 44, 11, 16, 13, -30, 112, -104, 61, -15, 6, 41, 30, -61, -145, 70, 117, -47, -24, 32, -46, 20, 128, 124, 277, 30, -73, 56, -17, 23, 8, -48, 70, -95, 198 },
{ 53, 11, -37, 29, -9, 33, 24, -68, 25, -39, 27, -26, -7, 74, -22, -71, -6, 50, 49, 22, -20, -149, 67, 230, -24, 18, -33, -40, 25, 162, 107, 216, 149, -95, 74, -37, 12, -10, 28, 74, -136, 170 },
{ 8, 9, -24, 10, -28, 42, 16, -32, -36, -31, 83, 68, -38, 29, 79, -128, 27, -19, 62, 75, 76, -115, -65, 111, 76, -26, -39, 17, 50, -53, 110, 310, 179, 87, -116, 31, -5, 25, -54, 94, -86, 227 },
{ -6, -12, 21, -30, 27, -41, 35, -60, 54, 52, 39, 37, -15, 58, -190, 105, -21, -7, -28, 26, -35, -50, 182, 16, -90, -22, -32, -32, 84, 65, 228, 295, -54, 92, 70, -22, -5, 57, -46, 40, -97, 174 },
{ 48, 11, -42, 60, -24, -21, -31, -163, 109, 60, 16, 42, 56, 63, -192, 91, -17, 41, 40, 42, -43, -49, 85, 168, -123, -34, -35, -30, -33, 105, 168, 378, -26, -88, 69, 51, 49, 27, -82, 50, 20, 158 },
{ 14, 18, -29, -34, -24, 86, 17, -56, 28, -154, 126, 35, 70, 75, -49, -121, 8, 36, 17, -58, 70, -107, 143, 204, -111, 39, -28, -68, 75, 124, 87, 285, 123, 140, -27, 9, 10, -40, -23, 59, -152, 194 },
{ 12, -18, 71, -24, -48, 59, 23, -34, -59, 15, 61, -14, -71, 51, -50, -114, -31, 88, -9, -29, -24, 76, 94, 235, 113, -70, 27, -41, 112, 150, 251, 241, 273, -151, -67, -53, -63, 39, 31, 108, -53, 237 },
{ 16, -9, 3, -9, 3, 10, -10, 11, 5, -2, -4, -7, 18, -9, 9, -9, 6, -6, 17, -21, 44, -25, 30, -5, 4, -6, 8, -7, -8, 62, 56, 34, -17, 26, -6, -6, -2, 12, -24, 41, -50, 62 },
{ -2, -4, 5, 4, 2, -2, -13, -9, -3, -6, 25, -11, 23, 7, 18, -7, 4, -6, 10, -10, -15, -38, -27, 14, -4, -12, 25, -14, 29, 46, 127, 77, 78, -23, 11, -6, 14, 8, -26, 55, -93, 112 },
{ 3, -13, 21, -11, 7, -7, 20, -7, 4, -4, -5, -8, 15, -12, 27, -9, 8, -8, 9, 24, -20, 40, -15, 12, -2, -7, -5, -14, 46, -11, 91, 12, 58, -17, 22, -14, 18, 10, -26, 58, -77, 93 },
{ -1, -6, 8, -6, 7, -5, -6, -11, 19, -6, 25, -16, 30, -8, 22, -11, 5, -13, 20, -7, -19, -26, -27, 11, -5, -15, 24, -7, -18, 71, 92, 67, 99, -30, 15, -7, 3, 18, -20, 58, -105, 159 },
{ 12, -4, 6, -9, 3, 2, -6, -6, -5, -5, 6, -25, 34, -10, 28, -4, 3, -7, 19, -11, 63, -80, 56, -30, 13, -13, 28, -21, 76, -49, 64, 86, 123, -20, 40, -7, 3, -5, -12, 46, -110, 202 },
{ 3, -20, 56, -15, 4, 19, -7, 6, -2, -3, -10, -12, 19, -16, 4, 8, 9, -6, 14, 16, -11, 41, -8, -6, 8, -13, -5, -11, 58, -21, 109, -9, 76, -9, -8, -6, 3, 52, -22, 57, -92, 129 },
{ -1, -18, 32, 3, 2, 1, 12, -10, -4, 25, -11, -22, 26, -19, 22, -8, 6, -18, 47, -21, 33, -35, -9, -15, 8, -18, 5, -10, -28, 83, 52, 50, 126, -16, 27, -10, 7, -9, 42, 31, -93, 187 },
{ 3, -11, 7, -10, 6, 5, 3, -12, -5, -6, 34, -39, 34, -24, 34, -6, 13, -33, 57, -19, 54, -80, 59, -34, 10, -15, 20, -26, -49, 144, 26, 74, 76, -22, 39, -11, 5, -14, 63, 24, -95, 218 },
{ 2, -11, 9, -17, 11, -17, 30, -32, 33, -14, 36, -59, 36, -28, 46, -17, 20, -40, 42, 4, 44, -88, 33, -47, 16, -23, 26, -27, -18, 70, 106, 138, 74, 96, -21, -18, 12, -9, 51, 24, -80, 197 },
{ 4, -7, 24, -15, 8, -7, 30, -6, 8, -6, -14, -15, 16, -12, 33, -17, 9, -9, 24, 27, 15, -10, 15, -17, 13, 2, -17, 14, -30, -16, 130, 25, -19, 21, -29, 7, 36, -30, 38, 106, -39, 157 },
{ 8, -11, 26, 2, 29, -13, 12, -20, 14, -9, 5, -28, 23, -7, 19, -14, 3, -10, 32, -14, 80, -31, -7, -13, 6, -15, 12, -26, 63, -45, 37, 23, 122, -8, 43, -10, 6, -14, 6, 118, -89, 268 },
{ 2, -9, 7, -11, 26, -14, 17, -17, -6, 10, 32, -50, 36, -9, 17, 13, 8, -43, 82, -11, -22, -35, -8, -27, -9, -24, 23, -33, -65, 176, 62, 62, 46, 94, 61, -15, 7, -9, 18, 49, -79, 247 },
{ 4, -8, 10, -29, 8, -27, 45, -32, 18, 56, 31, -69, 28, -28, 56, -26, 16, -56, 81, -9, 16, -88, 53, -66, 26, -30, 36, -42, -54, 183, 72, 76, 117, 196, -17, -27, 16, -12, 38, -82, 81, 191 },
{ 6, -16, 14, -51, 13, -22, 41, -31, -14, -16, 38, -17, 80, -14, 53, -49, 34, -32, 37, -12, 46, -78, 44, -91, 186, -36, 24, -30, 114, -38, 138, 56, 194, 95, 103, -35, 16, -51, 79, -100, -65, 226 },
{ 4, -7, 26, -18, 14, -11, 11, -6, 4, -11, -7, -23, 72, -14, 35, -24, 15, -14, 22, 37, 6, -9, 34, -17, 12, -8, -13, 7, -33, -24, 168, 22, -28, 19, -20, 4, -8, 38, -17, 167, -48, 202 },
{ 0, -6, 7, -15, 5, -9, 12, -9, -9, -5, -9, -14, 87, -18, -6, 19, 39, -21, 28, 20, 52, -11, -17, -20, -13, -19, 11, -8, -34, -26, 35, 86, 58, 62, 25, -21, 9, -12, 80, -60, 149, 274 },
{ 3, -8, 5, -41, 41, -8, 9, 4, -14, -23, 53, -22, 16, -12, -13, 31, 13, -33, 42, 12, 59, -31, -19, -31, -18, -14, 13, -45, 79, -74, 79, 118, 44, 45, 122, -21, -7, 17, 46, -79, 57, 275 },
{ 7, -14, 12, -8, 12, -25, 36, -16, -13, 17, 30, -39, 20, -27, 75, -25, 10, -79, 97, 33, 58, -100, 16, -90, -8, -40, 27, -11, -68, 163, 205, -24, 107, 266, 69, -47, 16, -38, -17, -73, 29, 270 },
{ 2, -12, 10, -4, 8, 32, -14, 7, -9, -14, -5, -24, 57, -6, 21, -14, -22, 25, 4, 32, 13, 30, -21, 17, -29, -13, 18, -28, -53, -23, 95, 98, -53, 17, 24, -19, -32, 111, -32, 83, 112, 338 },
{ 2, -13, 8, -7, 5, 11, 48, -17, -10, -19, -1, -14, 80, -20, 34, -22, 20, -17, -21, 44, 104, -30, -17, 15, -32, -18, 10, -32, -36, 12, 99, 46, -29, 76, 15, 52, -21, 27, -64, 125, 126, 323 },
{ -8, 2, -1, -10, 22, 4, 7, 31, -9, -18, -13, 7, 6, -7, -22, 21, 3, -22, 13, 17, 34, -25, 55, -25, -41, -28, 44, -23, -59, 96, -14, 61, 83, 49, -23, 170, -17, 29, -56, 29, 115, 330 },
{ -47, -20, 34, -44, 139, -30, 29, -25, 72, 21, -11, -23, 19, -25, 58, -47, -14, -29, 49, -9, 76, 67, -41, -109, 47, -37, 29, -15, -91, 94, 87, 19, 32, 193, 202, -60, 17, 49, -89, 36, 116, 402 },
{ -1, -7, 6, -4, 1, 4, -9, -6, 2, -8, 3, -7, 13, 5, 5, -4, 2, 3, 13, -4, -12, -19, -6, 4, 2, -3, -5, -4, -4, 42, 42, 38, -12, 14, -4, -2, -2, 3, -6, 12, -15, 51 },
{ -3, 6, 10, -2, 4, -4, -20, -4, -3, -3, -3, -8, 39, 33, 13, -5, 4, -2, 18, -15, -37, -47, 44, -5, 7, -4, -3, -5, -16, 82, 55, 88, -38, 57, -8, -5, -2, 8, -18, 40, -51, 76 },
{ -2, -8, 13, -6, 18, 15, -19, -7, 32, -10, 5, -17, 35, 27, -14, 6, 3, 22, -8, 28, -71, -59, 95, -15, 8, -4, 15, -10, 81, -44, 115, 120, -44, 69, -6, -9, -3, 12, -24, 46, -72, 129 },
{ 16, -7, 3, -3, 12, 13, -7, -11, -6, -3, 8, -29, 43, 33, 30, -9, 3, -9, 9, 21, -53, -50, -29, -9, 13, -8, -6, -9, 68, -42, 91, 102, 118, -21, 23, -11, 12, 10, -16, 56, -112, 175 },
{ 25, -10, 6, -8, -3, -8, 23, -18, 15, 3, 28, -25, 42, -11, 36, -15, 8, -20, 37, -10, -33, -60, -30, 36, 7, -9, 5, -15, -25, 134, 44, 125, 148, -37, 13, -14, 14, 13, -23, 60, -111, 168 },
{ -4, -8, 14, 4, 41, -4, -20, -25, 11, -15, 14, -21, 40, 47, -37, 58, -3, 69, -9, 27, -74, -59, 33, -27, 30, -6, 9, -17, 29, -57, 116, 168, -24, 61, 9, -10, -2, 17, -38, 46, -79, 135 },
{ -3, -16, 10, -7, 28, 15, -6, -25, 9, -6, 13, -28, 39, 39, -10, -8, 30, 10, -9, 19, -54, -89, 134, -24, 15, -15, 15, -27, 35, -46, 102, 156, 122, -32, 48, -12, -5, 13, -21, 60, -108, 161 },
{ 2, -11, -6, 5, -6, 9, -9, -19, -8, 38, 13, -41, 32, 29, 24, -18, 4, -18, 102, 27, -45, -97, 79, -19, 9, -4, -5, -19, -19, 151, 46, 154, 176, -22, 42, -13, 3, 7, -5, 33, -109, 163 },
{ 3, -8, 51, -10, 8, -11, 19, -20, -7, -8, 18, -21, 29, 27, 24, -22, 11, -28, 13, 54, -6, -78, -19, -25, 64, -12, 39, -8, 14, -16, 72, 130, 132, -30, 57, -33, 12, 11, -11, 77, -77, 148 },
{ 24, -6, 9, 7, 4, -12, -25, -30, 14, -2, 9, 54, 43, 61, -46, 73, -2, 23, -6, -23, -87, -72, 44, -26, 19, -5, 22, -15, 15, 154, 96, 179, -40, 24, -22, 14, 21, -7, -47, 62, -89, 116 },
{ 5, -12, -4, 11, 9, 36, -13, -30, 9, -4, 8, -9, 30, 49, -23, -25, 12, -6, -7, 19, -70, -83, 40, 95, -19, -11, 4, -10, -10, 137, 86, 211, 110, -32, 18, -4, -6, 23, -48, 72, -99, 132 },
{ 6, 19, -15, 11, -32, 13, 18, -50, 19, 65, 8, -19, -30, 63, -12, -26, -2, -8, 91, 33, -46, -106, 96, 91, -24, 3, 18, -11, 14, 161, 81, 140, 134, -33, 46, 8, -4, -16, -13, 25, -105, 129 },
{ 6, -12, 7, -19, 8, 20, 12, -26, -19, -17, 27, -26, -6, 46, 41, -43, 16, -13, 74, 24, -20, -100, -30, 81, 51, -8, -26, -7, 49, 172, 94, 117, 176, 72, -58, 23, 8, -13, 21, -6, -92, 144 },
{ -13, 4, -14, 18, 26, -18, -20, -56, 27, -11, 17, 53, 24, 86, -66, 58, 11, 21, -21, 16, -91, -100, 65, 56, -16, -3, -12, -11, -12, 175, 123, 215, -88, 11, -29, 20, 25, 8, -32, 68, -66, 117 },
{ -61, 6, -9, 23, 73, 58, -18, -52, 19, -10, -20, 11, 26, 83, -34, -16, -7, 11, 61, -21, -82, -109, 55, 94, -34, -9, 23, -34, 23, 159, 99, 193, 105, -51, 30, -1, 8, -5, -46, 76, -85, 151 },
{ 37, 7, -12, 9, -8, -6, 14, -48, 21, -13, 20, -23, -9, 86, -28, -45, 48, -25, 63, 22, -49, -113, 38, 131, -39, 12, 7, -17, 32, 140, 115, 139, 244, -38, 21, -40, 51, -9, -22, 53, -120, 138 },
{ 12, -20, -20, 23, 9, -52, 16, -65, 25, 60, 3, 65, -33, 68, -28, -67, 9, -8, 62, 73, 57, -80, 20, 123, 127, -15, -40, -76, 21, 75, 191, 268, 185, 32, -91, -21, 10, 16, 40, 59, -43, 164 },
{ 9, 90, 17, -23, -40, 51, -25, -35, 31, 8, -21, 18, 13, -52, 47, -96, 39, -42, 14, 46, 52, -36, -92, 84, 195, -21, -34, 39, -9, 126, 58, 157, 287, 129, -84, 7, -21, -28, 73, -50, -43, 234 },
{ 59, -55, -25, 14, 44, 18, -54, -44, 19, 18, -14, 8, -23, 82, -108, 146, -15, 67, 44, 24, -49, -83, 131, -60, -33, 25, -47, -17, -20, 183, 256, 224, -46, -26, 68, -15, -14, 27, -24, 30, -70, 209 },
{ 4, 83, -27, 28, -20, -16, 16, -88, 46, 42, 13, -59, 91, 58, -65, -30, -19, 24, 76, 40, -48, -85, 111, 128, -57, -28, -27, -17, -55, 44, 169, 258, 53, -42, 29, 12, 22, -28, -29, 35, -42, 136 },
{ 8, -23, -42, -37, 14, 12, 39, -59, 38, 31, 27, -24, -9, 85, -77, -61, -37, 6, 80, 48, -22, -82, 78, 275, -56, 25, 20, -37, -42, 92, 124, 247, -73, 177, -60, 25, 9, -29, -53, 76, -129, 257 },
{ -1, -7, 5, -3, 2, 2, -12, -1, 14, -4, 3, -12, 16, -3, 3, -4, 3, 3, 2, 36, -10, -7, 8, 2, 3, -4, 2, -10, 28, -9, 90, 43, 30, -12, 2, -2, -1, 6, -16, 24, -22, 119 },
{ 5, -5, 3, -4, 2, 9, -10, 16, -2, -10, 9, -9, 13, -4, 4, -7, 2, 6, 6, 30, -8, -7, -6, 3, 3, -5, 5, -13, 35, -11, 70, 60, 27, -12, 15, -7, -2, 9, -22, 35, -33, 160 },
{ -6, 7, 3, 2, -4, 31, -12, -5, -4, -4, 18, -13, 16, 33, 13, -6, -1, 4, 16, 17, -25, -14, -20, 3, 1, -4, 5, -15, 76, -31, 36, 62, 63, -13, 31, -10, -3, 13, -30, 55, -73, 96 },
{ 1, -13, 37, -9, 4, 2, -6, -2, 4, -4, -5, -10, 13, -11, 4, -13, 7, -10, 10, 7, -9, 42, -4, 6, 2, -6, 17, -13, 69, -26, 109, -7, 77, -15, 4, -7, -2, 15, -30, 53, -65, 75 },
{ -1, -3, 4, -5, 1, 3, -10, 2, -4, -5, 21, -12, 14, -5, 15, -5, 4, -3, 12, -3, 53, -22, -6, -3, 3, -6, 6, -16, 20, -47, 31, 128, 90, -14, 39, -6, -2, 10, -30, 59, -94, 128 },
{ -4, 12, -2, 5, -11, 5, -7, -7, -7, 30, 6, -23, 26, -10, 29, -4, -8, 33, -6, 22, -13, -31, -24, -8, 6, -5, 9, -15, 17, -35, 164, 67, 155, -19, 7, -6, -2, 11, -28, 57, -102, 148 },
{ 4, -23, 50, -18, 5, 3, -7, 5, 22, -5, -8, -12, 12, -15, 24, -13, 8, -5, 9, 12, -5, 38, 6, -2, 5, -8, 2, -14, 72, -32, 146, -17, 80, -16, 23, -14, 22, 59, -22, 47, -68, 106 },
{ 1, -6, 6, -3, 5, -8, 31, -10, 32, -15, 21, -18, 16, -21, 11, -6, 6, -9, 17, 8, 28, -20, 22, -14, 6, -19, 33, -12, 70, -45, 25, 99, 101, -9, 45, -9, 31, 5, -16, 43, -89, 160 },
{ 2, -17, -4, 5, 3, 3, 21, -7, -7, -4, 6, -30, 20, -8, 25, -8, 6, -9, 13, 19, 26, -35, -11, -13, 4, -9, 13, -17, 42, -37, 147, 47, 174, -14, 64, -8, 4, -4, -8, 32, -90, 177 },
{ 5, -11, 3, -66, 48, 31, 8, -16, 5, -28, 6, -26, 21, -15, 23, -13, 61, -13, 59, 22, 61, -51, 31, -33, 71, -7, 7, -36, 24, -69, 70, 69, 85, 87, -12, -6, 4, -20, 13, 53, -83, 172 },
{ 6, -10, 29, -23, 6, 10, -12, 9, 4, -30, 42, -26, 16, -10, -10, -13, 18, -9, 14, 20, -7, 51, 13, -13, 10, -4, -14, 7, -15, -31, 190, -13, -16, 52, -8, -4, -4, 12, -19, 159, -28, 111 },
{ 30, -7, 11, 2, 2, 5, 3, -15, 3, -17, 12, -24, 22, -9, 10, -8, 5, -16, 30, -16, 55, -14, 17, -12, 5, -10, 6, -24, 73, -53, 30, 62, 87, -10, 51, -7, 5, -14, 30, 103, -70, 208 },
{ 2, -10, -5, 5, 19, -6, 17, -11, -6, -3, 17, -41, 15, -6, 27, -18, 11, -33, 36, 16, 39, -43, 54, -18, -4, -11, 14, -57, 108, -64, 71, 77, 37, 102, 56, -16, 4, 5, -7, 102, -84, 234 },
{ 4, -11, 3, -27, 15, -18, 27, -22, 22, -19, 30, -43, 27, -8, -43, 31, 28, -44, 41, 46, 26, -48, 16, -72, 104, -16, 10, -38, 86, -46, 93, 110, 71, 229, 73, -31, 16, -25, 51, -55, -53, 156 },
{ 1, -63, 70, -6, 13, -21, 42, -36, 12, -26, 26, -35, 36, -39, 43, -26, 40, -45, 40, -34, 44, -35, 84, -97, 103, -26, 16, -25, 36, -67, 168, -16, 127, 208, 219, -60, 11, -38, 72, -106, -66, 134 },
{ 5, -10, 30, -23, 14, 6, -11, 18, 8, -22, -13, -17, 18, 23, -14, -27, 17, -13, 30, 8, -4, -10, 28, -16, 19, -7, -14, 11, -31, -20, 184, 42, -38, 21, -14, -7, -10, 61, -12, 143, -30, 142 },
{ 1, -10, -4, 4, 5, -4, 7, -10, -6, 1, 16, -25, 16, 43, -26, 10, -13, -5, 51, 31, 24, -21, 3, -8, -16, -20, 18, -7, -22, -57, 56, 86, -14, 76, 73, -11, 8, -20, 73, -42, 66, 213 },
{ 4, -8, 6, -19, 42, -7, 19, -8, -9, -8, 21, -40, 18, -32, 44, -23, 8, -17, 13, 37, 13, -25, -18, -17, -7, -17, 12, -48, 132, -94, 91, 44, 32, 115, 134, -19, 7, -16, 89, -49, 63, 236 },
{ 8, -24, 16, -3, 25, -46, 50, -40, 15, -18, 58, -52, 20, -9, 34, -17, 36, -67, 51, 29, 68, -78, 31, -84, 48, -28, 30, -16, -63, 220, 159, -15, 44, 283, 61, -35, 20, -7, -21, -78, 22, 237 },
{ -6, 23, -30, -192, 43, 195, 29, -24, 15, -53, 36, -59, 78, -86, 42, -43, 24, -26, 45, -35, 64, 97, -29, -111, 224, -14, 20, -38, 32, -46, 128, -56, 192, 152, 106, -43, 11, -39, 47, -132, -32, 243 },
{ 2, -12, 9, -7, 10, -9, 58, 5, -18, -9, -13, -23, 79, 10, -14, -5, -19, 8, 38, -27, 20, 54, -18, 18, -26, 15, -20, 15, -81, 11, 73, 73, -40, 15, -21, 11, -23, 70, -14, 92, 80, 271 },
{ -16, -12, 11, -10, 5, 5, 82, -12, -10, -40, -3, -18, 130, -8, 16, -50, -8, -6, 33, -10, 15, 53, -19, -5, -23, 19, -13, -13, -69, 19, 107, 45, -24, 52, -3, 74, -33, 44, -38, 87, 119, 282 },
{ -4, 40, 1, -13, 21, -47, 50, -19, 51, -49, 39, -14, -12, -8, -19, 9, -26, 20, 83, -30, 87, -28, 22, -43, -37, 5, 32, -12, -50, -25, 61, -51, 54, 264, 127, -58, 16, -29, 15, -48, 71, 371 },
{ -1, -6, 5, -1, 3, -3, -10, -3, 3, -1, 8, -10, 18, -3, 3, -5, 2, -5, 4, 29, -12, -9, 17, 2, 1, -6, 13, -7, 26, -11, 103, 30, -6, -5, 8, -5, -2, 7, -15, 21, -20, 123 },
{ -2, -3, 7, 1, 2, 3, -16, -8, 17, -3, -4, -11, 27, 33, 9, -6, 2, 3, 27, 18, -36, -16, -12, 6, 8, -5, 3, -14, 18, -47, 59, 69, -13, 33, -7, 8, -3, 12, -24, 41, -55, 77 },
{ -5, -2, 7, 4, 15, 4, -13, -16, 29, -10, 22, -15, 22, 34, -12, 6, 14, 5, -6, 28, -46, -56, 94, -14, 8, -5, 3, -19, 31, -70, 100, 82, -31, 85, -9, -3, -2, 12, -22, 46, -73, 123 },
{ -1, -3, 10, -2, 11, 2, -11, -11, -3, -3, 4, -17, 21, 16, 13, -3, 9, 4, -5, 26, -34, -37, -22, 34, 26, -4, 7, -22, 35, -71, 83, 96, 100, -17, 5, -4, 7, 9, -30, 60, -102, 149 },
{ -3, -7, 10, -2, 6, 7, -16, -10, -5, -4, -3, -26, 28, 28, 57, -11, 32, 12, 62, 33, -49, -69, 122, -9, 12, -14, -3, -28, 33, -78, 109, 128, -48, 96, -17, -4, -3, 8, -9, 39, -61, 133 },
{ -2, 20, 3, 6, -7, 5, -9, -18, -8, -4, 11, -27, 26, 34, 14, -12, 27, 59, -8, 25, -34, -88, 137, -21, 11, -16, 12, -33, 51, -72, 102, 105, 175, -27, 8, -10, -3, 10, -26, 58, -106, 157 },
{ -4, 21, -4, 10, -2, 5, -12, -22, -10, 22, 13, -36, 33, 20, 29, -16, -16, -3, 63, 29, -42, -58, -25, 75, -4, 7, -4, -16, -15, 164, 37, 106, 220, -21, 72, -6, -6, 7, -13, 51, -119, 152 },
{ 4, -8, -7, 9, 9, -2, 15, -18, -15, -13, 11, -31, 15, 6, 33, -17, 16, -8, 73, 9, 17, -61, -31, 96, -11, -17, 6, -44, 21, -40, 234, 103, 109, -37, 20, -15, 8, -16, 45, 12, -77, 157 },
{ 2, -11, 9, -2, 8, -30, -16, -16, 52, -14, -9, 53, 29, 26, -15, -12, 62, 7, 28, -40, -51, -43, 79, 37, 17, -5, -6, -22, 24, 113, 88, 191, -74, 20, -15, 6, -7, 15, -23, 44, -88, 147 },
{ 68, -29, -6, 2, 78, 57, 28, -7, -21, -36, 10, -19, -18, 37, 29, -16, 16, -24, 53, 27, 86, -112, 140, 90, -13, -6, 7, -27, 33, -57, 87, 181, 134, -39, 21, -17, 5, 7, -16, 44, -78, 129 },
{ -20, 19, -14, 13, -6, 5, 2, -34, -12, 24, 11, -40, 33, 53, 13, -24, -12, -53, 36, 26, -38, -109, 120, 124, -21, -15, 11, -12, -19, 200, 59, 158, 282, -24, 13, 24, 4, -6, -13, 27, -98, 149 },
{ -89, 14, 40, -24, -2, -13, 27, -25, 50, 4, 19, -39, 20, -39, 46, -25, -11, 19, 53, 30, 136, -85, -47, 204, -19, -33, -14, -14, 25, -65, 121, 78, 164, 166, -33, 12, 15, -22, 22, 69, -87, 153 },
{ 5, -9, 24, -8, -29, 19, 20, -29, -14, 9, 80, -19, 19, 68, 26, -50, -32, -15, -16, 9, 59, -57, 41, -47, 149, -6, 26, -51, 44, -83, 151, 107, 211, 143, -13, -18, -5, -14, 55, -64, -70, 160 },
{ 9, -10, -26, 5, 53, -17, 55, -27, 15, -10, 28, -24, -16, 57, -49, 155, -4, -29, 106, 49, -59, -96, 66, -38, 11, -15, -10, 19, -35, 189, 101, 206, -53, 37, -33, 5, 4, 16, -42, 46, -66, 114 },
{ 13, -11, -14, 23, 130, -13, -6, -48, 17, -28, 20, -25, 16, 52, -29, -30, -15, -10, 104, 42, -44, -79, 60, 115, -27, 19, 33, -11, -38, 159, 63, 250, -33, 63, -12, -73, -4, 9, -26, 55, -90, 130 },
{ 6, 9, -26, 25, -18, 10, 6, -47, -14, -8, -30, -16, 35, 91, -20, -32, 9, 23, 72, -15, -71, -90, 20, 316, -41, -17, 13, -35, 20, 189, 137, 167, 88, -38, 3, 22, 4, -20, -103, 44, -79, 126 },
{ -30, 23, -13, 10, -41, -10, 18, -30, 12, 9, -17, -16, -14, 44, -22, -32, -10, 10, 25, 28, 15, -63, -27, 196, 140, 13, -15, -22, -26, 190, 231, 227, 149, -26, -64, 24, -11, -12, 34, -23, -21, 125 },
{ 4, -8, -50, 19, 30, 65, -37, -16, -21, -44, 23, -11, 30, 95, -98, 274, 70, -31, 55, 53, -83, -125, 125, -106, -41, -11, -31, 129, -27, 76, 195, 159, 77, 23, 78, -27, 33, 23, -39, -69, -36, 207 },
{ 15, -28, -40, 34, 38, -26, -25, -68, -36, -6, 35, 36, 26, 74, 67, -81, -9, 24, -57, 62, -76, -133, 114, 257, -127, -25, 25, -86, 40, 160, 134, 199, 56, 140, -52, 52, -89, -47, -26, 77, -138, 197 },
{ 2, -2, -4, -2, 4, 5, -4, 5, 2, -7, 3, -16, 22, -17, 6, -8, 2, 6, -6, 23, 43, 17, -6, 5, 3, -5, 11, -25, 31, -52, 168, -44, 26, -20, 8, -6, 16, 4, -18, 26, -26, 89 },
{ 2, -4, 5, -9, 3, 4, -3, 4, 2, -5, -3, -9, -4, -9, 16, -5, 2, 8, -5, 19, 50, 13, -5, 5, 2, -7, 7, -24, 27, -44, 122, -34, 20, -16, 44, -5, 14, 6, -18, 33, -30, 244 },
{ -2, -2, -1, 4, -2, 5, -7, -3, -2, -3, 9, -18, 11, -4, 6, -8, -2, 5, -9, 22, -9, 47, -13, 3, 13, -6, 8, -19, 24, -38, 93, 53, 65, -10, 26, -4, -4, 11, -23, 33, -33, 79 },
{ 2, -3, -2, -8, 3, 5, -5, 5, 1, -5, -5, -8, -3, -9, 18, -13, 3, 8, -5, 18, 34, 12, -3, 4, 3, -9, 5, -22, 23, -41, 140, -32, 18, -15, 32, -7, 33, 8, -20, 37, -34, 268 },
{ 1, -4, -1, 2, -1, 8, -5, -5, 12, -5, 7, -20, 12, -6, 8, -5, 11, 5, -6, 16, 54, -8, -5, 13, 1, -6, 8, -21, 27, -42, 87, 60, 105, -13, 49, -4, -3, 12, -27, 47, -62, 66 },
{ 1, -4, 3, -3, -2, 10, -8, 14, -4, -9, 5, -22, 12, -11, 16, -3, 37, 21, -6, 21, 46, -13, -12, -5, 3, -3, 7, -17, 26, -46, 122, 48, 132, -11, 48, -6, -6, 13, -27, 45, -64, 84 },
{ 3, -6, 1, -5, 3, 10, -9, 5, 3, -4, -10, -14, 6, -10, -5, -7, 6, -4, 8, 14, 32, 8, 8, -9, 4, -5, -3, -5, 8, -39, 141, -26, 64, -7, 2, -5, 24, 24, -9, 122, -25, 116 },
{ 2, -4, -2, 1, 2, 7, -5, -3, 14, -4, 18, -18, 9, -7, 4, -11, 2, -4, 4, 17, 41, -6, 37, -7, 4, -7, 7, -11, 11, -42, 119, -10, 98, -7, 57, -7, 2, 40, -10, 14, -35, 148 },
{ 3, -4, -4, 2, -2, 11, -2, -5, -4, -3, 7, -24, 9, -6, 16, -13, 5, -5, -5, 31, 33, -24, 58, -16, 1, -15, 37, -12, 26, -64, 30, 111, 99, 109, -8, -2, 2, -4, 3, 94, -49, 110 },
{ 4, -5, -13, -58, 3, 10, 8, -8, -6, -14, 23, -32, 17, -14, 14, 10, 14, -12, -7, 28, 34, -28, -11, -28, 10, -4, 5, -16, 36, -74, 56, 65, 200, 144, -20, 31, 10, -21, 26, 17, -79, 141 },
{ 4, -9, 26, -19, 6, 11, -11, 6, 5, -15, -6, -20, 16, -8, -11, -4, 9, -6, 16, 14, -6, 9, 15, -14, 6, -7, -1, 3, -13, -28, 163, -12, -14, 50, -4, -4, 16, 37, -17, 78, 58, 225 },
{ 2, -6, 3, -3, 3, 5, -4, -5, 14, -5, 4, -18, 50, 6, -5, 2, 3, -6, -5, 35, -14, 30, 5, -11, 3, -2, 5, -8, 13, -70, 44, -25, 139, -8, 86, -11, -2, 5, -13, 133, -41, 148 },
{ 2, -4, 6, -7, 27, -3, 11, -6, 11, -6, 12, -27, 9, -16, 17, -14, 7, -18, 13, 23, 56, -16, -3, -7, -6, -11, 12, -11, 16, -65, 39, 94, 78, 43, 105, -14, -10, 8, -6, 86, -56, 162 },
{ 1, -42, -23, -29, 3, 15, 13, -11, -9, -19, 17, -34, 18, 2, -13, 19, 25, -19, 22, -7, 20, -44, 20, -49, 86, -16, 5, -24, 36, -65, 69, 120, 96, 155, 105, -24, 10, -35, 41, -35, -65, 154 },
{ -45, -123, 36, -7, 22, -27, 20, -126, -15, -21, 54, 17, 15, -30, 36, -29, 32, -19, 8, 20, 62, -18, 39, -74, 181, -18, 14, -16, 38, -110, 173, -63, 195, 182, 118, -45, -7, -14, 65, -86, -17, 79 },
{ 3, -7, 30, -16, 8, 6, -10, 3, 5, -12, -11, -14, 19, -8, -4, -10, 8, -11, 17, 15, -9, 55, 11, -13, 7, -9, 10, -6, -11, -21, 139, 39, -24, 9, -5, -6, 25, 4, -20, 142, -16, 135 },
{ 2, -5, 29, -6, -9, 15, -10, 5, -5, 6, -10, -25, 22, -5, 7, -3, -23, -8, 11, 35, -25, -3, 14, -11, -4, -13, 11, -12, 79, -71, 65, -28, 119, 32, 87, -11, 2, -10, -6, 142, -59, 222 },
{ 1, -10, 16, -10, 10, -12, 7, -6, 8, -9, 23, -20, 29, -28, 15, -30, 11, -32, 33, 6, 13, -21, 22, -15, -10, -14, 7, -74, 93, -74, 83, -36, 111, 36, 153, -19, 4, -5, 26, -64, 174, 192 },
{ -25, -7, 9, -12, 3, 19, 19, -7, -21, -15, 10, -38, 32, -16, -21, 10, 25, -30, 44, -25, 40, -35, 38, -59, -9, -29, 8, -24, 135, -76, 79, 61, 85, 233, 70, -34, 11, -18, 75, -103, 90, 183 },
{ 2, -13, 15, -6, 10, -7, 52, -19, 13, 8, -27, 8, 65, 6, -12, -9, -14, -3, 21, 9, 56, -22, 10, 6, -23, 8, -8, -6, -27, -33, 62, 35, -33, -5, 8, -8, -16, 63, -33, 171, -35, 276 },
{ 2, -6, 52, -14, 6, 4, 49, -9, 73, -11, 12, -26, 103, 13, -7, -63, -17, -32, 21, 16, 63, 9, -19, 8, -19, 15, -10, 44, -116, -16, 82, 88, -31, 20, 42, 60, -40, -14, 79, -23, 83, 276 },
{ 5, -11, -40, 9, 11, -5, 79, -13, 6, -12, 29, -5, 9, -6, -40, 10, -16, 13, -13, 12, 15, -25, 46, -17, -36, -75, 33, -33, 101, -74, 63, 65, -12, 65, 111, 123, 11, -41, 12, -50, 70, 311 },
{ 3, -127, -53, 17, 80, 30, -139, -36, 86, 14, -78, -42, 7, 42, 28, -46, -8, 42, -72, -134, 234, -45, 41, 107, -34, -19, 22, 126, 28, -64, 96, 176, 56, -44, 43, 30, 11, -19, -17, -40, -26, 98 },
{ 0, -3, 14, -2, 19, 4, -5, 20, 11, -4, 6, -18, 8, -12, 6, -4, -2, 8, -14, 30, -8, 20, -9, 39, 2, -4, 7, -19, 31, -50, 167, -35, 19, -13, 29, -1, -2, 4, -12, 16, -20, 75 },
{ 0, -4, 13, 2, 19, 5, -6, -6, -1, -2, 3, -11, 5, 22, 7, -4, -1, 4, -8, 15, 38, -10, -6, 18, 2, -5, 10, -21, 27, -39, 108, 72, 45, -7, 22, -2, -2, 7, -17, 21, -22, 60 },
{ -1, -4, 6, 12, 19, 7, -12, -7, -3, -4, 4, -17, 12, 14, 5, 20, 18, 4, -9, 24, -19, -20, -17, 3, -3, -6, 10, -21, 28, -47, 37, 69, 77, -8, 3, -3, -1, 8, -18, 24, -27, 81 },
{ 0, 19, -1, 3, 1, -8, 15, -8, -3, -3, 6, -10, -8, 19, -4, 3, 1, 1, -5, 14, 31, -18, -11, 31, -4, -6, 13, -26, 35, -45, 168, 60, 113, -12, 4, -4, -3, 13, -30, 47, -63, 71 },
{ 15, -3, 5, -7, -2, 7, -10, -10, -5, -6, 10, -22, 13, 23, 60, -13, 21, 8, -12, 31, -26, -41, 11, 74, -5, -4, 7, -23, 39, -64, 63, 152, -35, 16, -8, 1, -8, 3, -11, 21, -44, 83 },
{ 13, -5, 2, 4, 56, -10, 7, -24, 3, -5, 14, -25, 12, 32, -12, 5, 3, 6, -16, 29, -19, -43, 51, -20, 3, -5, 8, -26, 50, -63, 55, 117, 123, 54, -6, -3, -15, 11, -19, 34, -70, 90 },
{ 3, -3, -8, 6, -3, 7, 7, -17, -5, -11, 13, -30, 7, 18, 17, -7, 1, 3, -11, 33, -6, -53, 58, -17, 58, -4, 9, -26, 41, -68, 54, 101, 199, -11, 54, -9, -3, 8, -19, 45, -78, 108 },
{ 2, 2, -13, 9, 30, -21, 29, -35, 3, -11, 21, -42, 12, 28, -13, 10, 8, 30, -6, 28, 30, -37, -8, -20, 4, -5, -11, -11, 22, -64, 49, 87, 293, -16, 89, -14, 24, 4, -7, 28, -69, 127 },
{ -5, -5, 6, -17, 9, -10, 7, -20, 5, -15, 13, -26, 19, 17, 10, -22, -4, 50, 64, 18, -19, -59, 178, 101, -6, -16, 11, -29, 35, -46, 100, 135, -65, 25, -10, 21, 7, -22, -7, 21, -52, 112 },
{ -3, 9, -11, 13, -4, -16, 8, -37, 4, -8, 12, -17, 13, 48, 44, -15, 4, 15, -21, 28, -25, -73, 18, -19, 52, -6, -12, -26, 51, -64, 74, 191, 238, -17, 11, -13, 3, 13, -18, 30, -68, 94 },
{ 6, 3, -14, 8, -8, 11, 14, -25, -7, -13, 12, -27, -10, 37, 11, -10, 39, 4, -16, 42, -10, -61, -21, 124, -15, -15, 10, -13, 40, -82, 83, 174, 276, -17, 12, -10, 4, 6, -20, 39, -80, 127 },
{ 4, -5, 64, -12, -29, -6, 20, -20, -4, -5, 17, -24, 12, 29, 18, -20, 7, 22, -13, 36, -18, -55, 77, -19, 103, -22, -14, -13, 33, -69, 93, 108, 301, 118, -13, -17, 4, -10, 30, -6, -73, 132 },
{ -48, -7, -11, 5, 14, 42, 18, -18, 14, -52, 12, -25, 13, 32, -39, 94, 18, -29, 45, 19, -37, -61, 162, -18, 44, -16, 18, -15, 9, 147, 135, 190, -66, 32, -16, 12, 7, -75, -17, 35, -83, 138 },
{ 3, 42, -6, -65, 10, -1, 11, -19, 11, -18, 9, -17, -30, 27, -17, -20, -16, 21, -16, 36, 109, -74, 232, -6, -10, 10, 56, -20, 34, -88, 78, 200, 89, -54, 43, -13, 32, -33, 92, -29, 51, 77 },
{ 8, -18, -26, 16, 11, 5, 23, -45, 61, -14, 8, -17, -31, 69, -10, -44, -8, 12, -21, 35, -26, -72, 39, 210, -25, 2, -11, 83, 17, -31, 114, 191, 168, -37, 37, -37, -58, 6, -17, 10, -43, 138 },
{ -14, 17, 9, 7, -11, -62, 14, -20, -43, -13, -14, -18, 18, 44, 16, -39, 21, 39, -29, 38, -60, 188, -81, 190, 178, -32, 24, -19, 50, -114, 163, 100, 182, -89, 20, -22, -4, 69, 10, 38, -63, 139 },
{ 9, -62, -25, 34, 28, -13, -318, 55, -62, 6, 406, -39, 36, 180, -151, -12, -313, 92, 153, -276, 57, -36, -105, 48, 164, -49, 2, 19, 121, -44, 185, 17, 226, 76, -87, -15, -30, 124, 74, -67, 92, 135 },
{ -52, 22, 12, -12, 23, -13, -25, 15, 65, -16, -22, 35, -34, 27, -35, 168, 37, 24, 31, -15, -75, -97, 86, 67, -44, -14, -39, 31, 33, 99, 180, 212, -59, 67, 71, -12, -17, 27, -61, -46, -101, 189 },
{ -72, 6, -20, 9, 86, 19, 32, -61, 32, -26, -26, -29, 46, 20, -43, -38, -9, 158, -29, 29, -49, -49, 251, 153, -36, 32, -36, -46, -96, -26, 101, 276, 30, -61, 40, -25, -151, 23, 126, 20, 124, 136 },
{ 33, 16, -21, 31, -25, -197, 17, -50, 31, -38, 26, -38, -26, 52, -73, -50, 24, 14, 90, -50, 91, -63, 74, 335, -72, 22, -23, -28, 12, 70, 107, 205, 111, 185, -26, 23, -48, -24, 84, 56, -100, 164 },
{ -33, -19, -49, 31, 81, 12, 33, -44, 26, -17, -43, -48, 39, -37, 54, -93, -127, 24, 45, -19, 16, -65, -23, 206, 114, 16, -29, -42, 48, 174, 203, 67, 196, -124, -29, 35, 93, -18, 83, -39, -75, 144 },
{ 1, -4, -2, -4, -1, 6, 27, 5, 14, -5, 9, -17, -8, -14, 6, -6, -5, 12, -18, 34, 78, 30, -16, 10, -1, -4, 14, -27, 39, -57, 121, -54, 36, -24, 11, -5, 21, 29, -12, 12, -11, 201 },
{ 3, -4, -2, -4, -1, 6, 22, 4, 18, -6, 7, -16, -6, -13, 4, -4, -4, 11, -17, 32, 66, 27, -13, 9, -3, -4, 13, -26, 35, -53, 117, -49, 32, -22, 11, -4, 20, 4, -16, 22, -20, 241 },
{ 2, -3, -4, 11, -3, 10, -1, 16, 19, -3, 8, -18, -5, -10, 57, -3, -4, 11, -19, 31, 65, 15, -7, 5, -2, -7, 13, -25, 35, -49, 112, -35, 22, -14, 6, 28, -2, 4, -16, 21, -21, 227 },
{ 2, -4, 14, -5, -1, 8, -4, 6, 14, -4, 5, -18, 3, -15, 6, -7, 1, 5, -10, 23, 60, 24, -10, 8, -3, -4, 10, -23, 30, -48, 147, -43, 27, -20, 9, -6, 20, 40, -14, 24, -23, 275 },
{ 2, -4, -5, 1, 12, 8, -3, 23, -1, -3, 6, -15, -7, -4, 3, -3, 2, 5, -14, 28, 39, 11, -3, 32, 22, -6, 9, -21, 32, -47, 131, -29, 16, -13, 52, -3, -1, 26, -11, 20, -22, 251 },
{ 2, -2, -8, 6, -4, 10, -1, -6, 2, -4, 10, -20, -3, 7, -11, 3, 2, 3, -12, 28, 40, 25, 34, -8, 41, -3, 7, -14, 26, -47, 116, -11, 170, -10, 42, -3, 3, -6, -6, 11, -23, 98 },
{ 2, -4, 2, -5, 2, 7, -6, 3, 3, -15, 3, -18, 7, -13, 4, -5, 2, 4, -5, 21, 44, 17, -4, 6, -3, -6, 4, -12, 18, -42, 143, -29, 26, -10, 29, -6, 21, 16, -10, 86, -8, 298 },
{ 2, -3, -3, -3, -4, 14, -7, 4, -1, -15, 55, -16, -14, 41, -6, -3, 3, 21, -5, 26, 36, 7, 3, -7, 4, -17, 52, -14, 17, -43, 116, -18, 93, -8, 60, -3, 1, 32, -9, 10, -24, 122 },
{ 4, -5, -6, 6, -2, 9, -5, 5, -6, -18, 7, -17, -7, 8, 18, 2, 64, 18, -8, 24, 41, -5, -5, 38, -14, -3, 5, -10, 20, -42, 34, -8, 176, -6, 60, -5, -2, 4, -4, 32, -22, 115 },
{ 1, 28, -5, 2, 54, 27, -44, 9, -7, -12, 25, -21, 4, 3, 6, 4, 5, -10, -15, 26, 29, -12, -10, -11, 24, -5, 13, -18, 18, -39, 124, 109, 182, 43, -17, 14, 2, -15, -9, 21, -47, 73 },
{ 1, -4, 26, -13, 3, 8, -9, 3, 3, -2, -2, -18, 15, -12, 10, -4, 4, 0, 3, 20, -9, 18, -6, 4, 4, -4, -5, -5, 7, -35, 51, -21, 61, -9, 7, -4, 36, 3, -13, 120, -24, 143 },
{ 2, -3, -8, 4, -5, 10, -4, 82, -7, -6, 6, -27, 11, -5, 77, -9, 3, -3, 12, 27, -4, 76, -9, 6, -2, -6, 7, -10, 20, -62, 37, -26, 35, -12, 90, -4, -5, 28, -18, 83, -28, 168 },
{ 2, -3, -15, 37, 21, 4, -19, 22, -2, -12, 20, -25, -30, 9, -13, 7, 6, -8, 44, 15, 8, 23, -9, 12, -6, -5, -14, -4, 28, -65, 42, -31, 118, 66, 156, -13, 6, -20, 21, -11, -22, 132 },
{ 5, -10, 9, -9, 9, -3, 15, -8, -50, -19, 20, -30, 20, -7, -4, 8, 13, -9, 7, 67, 20, -30, 27, -32, 89, -14, 13, -24, 43, -74, 64, -30, 246, 173, 63, -10, 9, -20, 28, -7, -71, 135 },
{ 4, -7, -9, 5, 54, 57, -2, 11, -15, -23, 28, -37, 35, -37, 47, -32, 19, -22, 16, 2, 23, -36, 18, -61, 22, -155, 5, 36, 50, -66, 103, 43, 161, 252, -38, 18, 27, -28, 51, -21, -75, 137 },
{ 1, -4, 11, -1, 9, -5, 38, -9, 8, -5, -3, -15, 10, 37, -8, -6, 7, -14, 7, 12, 15, -8, 15, -9, 5, -4, -9, -2, 13, -28, 82, 25, -16, 6, -6, -6, 21, 6, -19, 139, -33, 168 },
{ 3, -10, 7, -4, 7, -42, -5, -2, 77, 7, -3, -18, 7, -4, 3, -8, 3, -16, 14, 23, 53, -12, 13, -7, 36, -7, 7, 43, -11, -37, 22, -18, 116, -16, 14, -9, 27, 53, -4, -28, 144, 179 },
{ 3, -10, 9, -8, 20, -24, 26, -16, 27, -15, 28, -37, 19, -7, -56, -8, 16, -30, 27, 36, 16, -29, 34, -19, -5, -15, -5, -6, 33, -77, 72, -41, 59, 64, 214, -12, 11, -19, 34, -30, -50, 155 },
{ 27, -15, 6, -13, 87, 8, 1, 42, -13, -13, 31, -49, 48, -32, 12, 8, 16, -28, 37, -25, 22, -27, 34, -46, -21, -12, 15, -21, 43, -89, 94, -23, 57, 330, 143, -25, -24, -11, 61, -86, 72, 162 },
{ 2, -13, 19, -9, 5, 83, -6, -17, 5, -15, 38, -31, 35, 100, -16, -20, -6, -4, 13, 33, -41, 12, 14, 3, 4, -12, 7, 14, -26, -43, 71, 91, -52, 17, -6, -3, -25, 98, -28, 96, 97, 224 },
{ 0, -97, 31, -17, -11, 93, 84, 16, -2, -18, 65, 59, -21, 20, -7, -13, 14, -47, 58, -40, 19, 29, -28, 27, -3, 7, -8, 37, -67, -56, 76, 138, -56, 42, 99, -17, -16, 55, -17, 48, -57, 339 },
{ 3, -18, 14, -5, 5, 28, -4, -14, 100, -17, 115, -15, 40, -25, 10, -14, 14, -31, 17, -35, 35, -16, 40, 25, -29, -6, -41, -6, 22, -48, 44, -43, 120, 15, 162, -11, 12, -12, 19, -108, 119, 253 },
{ 26, -2, -6, 12, -3, 8, 24, 3, -2, -6, 10, -19, -5, -13, 6, -4, -3, 11, -19, 34, 63, 26, -13, 7, -2, -4, 11, -21, 36, -56, 113, -48, 28, -16, 9, -4, 1, 11, -6, 46, -4, 139 },
{ 3, -4, -2, -2, -4, 11, -3, 5, -2, -3, 10, -18, -5, -8, 15, -2, -6, 13, -23, 35, 59, 20, -10, 4, -2, -3, 11, -25, 39, -57, 126, -39, 23, -10, 4, 14, -2, 2, -8, 7, -8, 169 },
{ 2, -4, -3, 2, -2, 11, -3, -3, -2, -3, 8, -19, -5, 3, 30, -2, -5, 9, -15, 31, 36, 54, 26, -4, 42, -4, 10, -23, 32, -49, 113, -16, 104, -5, 18, -1, -1, 2, -9, 6, -8, 193 },
{ 2, -3, -4, 4, -2, 8, 29, -4, -2, -7, 10, -17, -5, -3, 8, -4, 3, 9, -15, 22, 11, 61, -15, 8, -4, -6, 56, -15, 23, -30, -19, 124, 79, -5, -4, 13, -3, 6, -10, 16, -16, 209 },
{ 4, -4, -7, 5, 52, 5, 3, -14, 27, -10, 7, -16, -4, 21, -6, 4, 27, 8, -11, 24, -5, -21, -9, -7, 23, -5, 4, -15, 25, -34, 143, 118, -12, 11, -10, -5, -7, 5, -5, 3, -9, 66 },
{ 3, -2, -11, 6, -2, 6, 9, -13, 2, -3, 9, -19, -9, 16, -8, 61, -1, 6, -15, 24, 68, -16, -11, 60, -10, -5, 8, -14, 32, -46, 157, 62, 196, -7, 5, -7, 2, 5, -17, 22, -34, 53 },
{ 6, -4, -15, 25, 5, -6, 17, -19, 65, -7, 16, -16, -15, 20, -14, 13, 2, -2, -14, 37, -16, 125, -29, 105, -7, -5, 16, -38, 46, -61, 33, 77, 95, -14, 8, -6, 21, -5, -5, 26, -61, 101 },
{ 62, 2, -6, 9, -3, -6, 10, -22, -8, -5, 13, -19, -10, 54, -9, -6, -8, 9, -9, 37, -22, -62, 16, 89, -10, -3, 20, -29, 17, -43, 58, 164, -27, 23, -16, 8, 5, -10, -3, 19, -19, 121 },
{ 5, -130, -18, 17, 68, 8, 16, -33, 11, 53, -10, -23, -11, 43, -19, 7, -7, 15, -10, 27, -15, -50, 90, -13, -15, 1, 14, -28, 43, -46, 54, 122, 272, 13, 23, -5, -6, 6, -18, 29, -57, 46 },
{ 5, 47, -14, 9, -26, 8, 9, -14, -12, -9, 8, -18, -14, 39, 121, -3, 65, 9, -14, 31, -7, -41, -11, 9, -22, -15, 16, -35, 46, -73, 56, 120, 109, -15, 3, -17, 4, 8, -12, 35, -50, 85 },
{ 7, 9, -21, 85, -38, -8, 11, -11, -12, 38, 8, -13, -3, 16, 15, 4, 9, 74, -6, 20, -2, -32, -30, 66, -10, 52, 25, -25, 41, -71, 70, 94, 154, -25, 10, -16, -12, 6, -12, 31, -75, 119 },
{ 9, -9, 115, 56, -4, -16, 43, -12, -23, -13, 10, 123, -26, 36, 15, 20, -192, -15, -29, 41, -22, -52, -15, -51, 170, 10, 44, -49, 81, -101, 132, 66, 191, 71, -22, -22, -55, -19, 25, 95, -80, 96 },
{ 8, -10, -13, 7, 12, -58, 31, -35, 7, -9, 11, -23, -7, 47, -15, -28, 107, 14, -33, 45, -21, -56, 80, 116, -12, -15, 8, 34, 100, -28, 99, 176, -82, 26, -15, 7, -4, -80, -35, 12, -30, 99 },
{ -49, -13, -12, 7, 60, 12, -14, -17, -18, -12, -68, 22, 9, 33, 22, -34, -31, -73, -19, 184, 82, -99, 225, 130, -14, 55, 22, -22, 37, -36, 67, 132, 199, -12, 26, -25, -5, 26, -9, -7, -26, 43 },
{ 23, 8, -8, -19, -6, -151, 26, -24, 81, -25, 12, -31, 12, 15, 22, -3, 83, 118, -6, 24, -11, -37, -50, 218, -26, -5, 17, -26, 13, -50, 237, 165, 265, -38, 13, -8, -65, 9, -20, 49, -39, 113 },
{ -101, 28, -15, 14, 15, 9, -24, -22, -8, -8, 60, 13, 6, 17, 60, -23, -4, -12, -13, 42, -32, -71, -54, 262, 64, 22, -15, -20, 25, -60, 124, 89, 190, -60, -10, -5, 12, -20, 139, 36, -69, 142 },
{ 244, -121, -35, 19, 23, 14, -135, -64, 60, -35, -36, 49, 49, -14, -51, -26, 58, 19, -35, -21, -42, -34, 146, 102, -35, -59, 41, 52, 69, 100, 150, 111, -97, 44, 35, 10, 36, -33, -79, -29, -84, 189 },
{ 18, -22, -15, 94, -123, 40, 15, 130, -52, 24, -286, -46, -14, 115, 28, -42, -101, -7, 114, 43, -24, -94, 112, 250, -33, 15, 12, -49, -40, 111, 72, 216, -46, 44, -26, 23, -8, 14, -39, 66, -62, 73 },
{ -70, 31, -27, 36, -132, -22, 19, -56, 16, 23, 112, -67, 28, 33, 60, -48, -9, -67, 217, -55, 119, -120, 28, 148, -72, -24, 25, 130, 39, -52, 98, 198, 66, -58, 36, 22, 15, -34, -55, 162, -22, 132 },
{ 3, -1, -6, -2, -2, 5, 7, 3, -2, -3, 68, -6, -21, -5, 15, -2, -2, 5, -7, 11, 33, 12, -8, 6, -2, -2, 7, -10, 13, -17, -37, -16, 12, -8, 5, -2, 2, -5, 20, -14, 28, -34 },
{ 3, -1, -6, -2, -2, 4, 8, 15, -2, -4, 5, -9, -16, -8, 5, -4, -2, 6, -10, 14, 28, 14, -9, 4, 16, -3, 6, -13, 18, -21, -32, -21, 17, -10, 4, -2, 45, -3, 30, -6, 52, -14 },
{ 3, -2, -6, 19, -5, 5, 7, 26, -2, -3, 4, -6, -20, -5, 1, 20, -2, 7, -8, 12, 32, 101, 41, -6, 36, -3, 6, -13, 20, -23, -31, -17, 13, -5, 20, 16, 1, -4, 29, -9, 50, -15 },
{ 3, -3, -2, -3, -3, 8, 22, 6, -3, -4, 7, -14, -8, -12, 7, -3, -3, 8, -12, 19, 18, 18, -10, 7, -3, -3, 8, -16, 24, -32, -17, -29, 19, -13, 6, -1, -2, 72, -9, 11, -11, 224 },
{ 3, -3, -4, -1, -1, 7, 26, 5, -3, -4, 7, -12, -11, -7, 5, -5, -5, 8, -11, 21, 16, 14, -7, 3, 27, -4, 7, -16, 20, -29, -21, -18, 50, -9, 32, 15, -1, 11, -8, 12, -10, 226 },
{ 3, -3, -7, 4, -26, 9, 11, -3, -32, -4, 10, -21, -3, -2, 2, -3, -4, 8, -14, 28, 10, 27, -4, 19, 18, -4, 10, -21, 30, -47, 136, -19, 152, -12, 55, -3, 1, -4, -3, 6, -7, 281 },
{ 37, -4, -3, -1, 1, 6, 25, 3, 2, -4, 4, -16, -4, -11, 34, -4, 2, 6, -8, 22, 7, 17, -5, 29, 3, -7, 5, -16, 25, -43, 134, -37, 17, -10, 46, -5, 21, 73, -10, 9, -14, 105 },
{ 2, -17, -5, 3, 1, 6, 3, -2, 0, -9, 14, -21, 33, -10, 36, -14, -1, 7, -14, 27, 17, 12, -3, 4, -4, -6, 6, -16, 28, -43, 110, -23, 92, -5, 105, -4, 1, 46, -8, 86, -18, 115 },
{ 2, -2, -3, 1, -3, 8, 27, -3, 3, -11, 11, -16, -3, -2, -2, 1, 2, 4, -13, 21, 13, 29, -5, 5, -7, -2, 4, -11, 23, -41, 104, -18, 53, -8, 114, -4, -3, 2, -6, 5, -18, 112 },
{ -9, -2, -3, 4, 3, 3, -3, 46, -2, -5, 7, -11, -7, 9, -3, 2, -6, 8, -15, 25, -6, 8, -13, 60, -4, 8, 4, -18, 21, -34, 66, -20, 243, 119, -13, 3, 1, -5, -7, 23, -44, 54 },
{ 2, -5, 6, -8, -4, 12, -8, 7, 31, -2, 6, -20, 7, -15, 4, -4, 4, -3, -1, 17, 84, 18, -10, 4, 3, -3, 8, -10, 13, -36, 102, -27, 11, -10, 59, -4, -2, 78, -15, 14, -22, 145 },
{ 2, -6, 4, -12, -77, 10, -5, -3, 3, -5, 12, -20, 80, -5, -2, -4, 5, -63, -5, 19, 11, 5, 7, -12, 6, -5, 3, -7, 14, -37, 91, -17, 41, -9, 86, -4, -2, 2, -5, 104, -25, 161 },
{ -7, 4, -4, 1, -6, 3, 50, 9, -12, -7, 74, -6, -4, 27, -14, 3, 6, -6, -8, 24, 2, 32, 9, -6, -2, -11, 5, -13, 34, -68, 40, -33, 94, 78, 89, -5, 2, -19, -2, 57, -19, 137 },
{ 52, -7, -9, 71, 5, 21, -11, 43, -2, -13, 12, -10, 110, 7, 2, -12, 9, -46, -16, 14, 30, -13, 23, -19, 61, -60, 10, -16, 46, -73, 61, -39, 231, 125, 107, -9, 2, -18, 13, 10, -72, 124 },
{ 44, -10, 6, -4, 5, -2, 31, 5, -14, -3, 4, -16, 9, -13, 81, -22, 5, -10, 7, 12, 61, 9, 3, -5, 4, -6, -4, 13, 11, -37, 21, -29, 58, 2, 57, -4, -3, 7, -20, 128, -16, 167 },
{ 2, -5, -11, 11, -3, 18, -19, 13, -3, 4, 5, -26, 21, -19, 7, -4, 5, -8, -3, 22, -11, 16, -16, 59, 62, -1, -17, 10, 62, -46, 40, -36, 124, 4, -17, 179, 2, -6, -10, 240, -55, 147 },
{ 19, -26, -3, -42, 29, 9, -7, -21, 32, -10, 23, -37, 25, -19, -104, 7, 5, -12, 213, 33, -22, -15, 29, -23, 6, -57, -36, 17, 16, -83, 101, -56, 21, 126, 206, -10, 8, -8, -15, 36, -37, 150 },
{ 95, -31, -21, -66, 7, 48, 15, -30, 48, -14, 19, -37, 31, -29, 20, -14, 13, 74, 13, 9, 20, -16, 17, -26, -35, -22, -21, 19, 35, -105, 87, -37, 112, 262, 207, -27, -25, 23, -16, 16, -73, 210 },
{ 0, -9, 13, -5, 59, 67, -3, -29, 5, 10, -15, -11, 18, 94, -11, -19, -8, -9, 21, 19, -26, 73, 14, -3, 19, -23, 57, 19, -37, -29, 63, -25, -16, 39, 10, -7, 32, -15, 95, -24, 122, 227 },
{ 3, -21, 20, -9, 67, 158, -11, 14, -11, 13, 31, -34, -16, 253, 16, -35, 7, -37, 64, -44, 29, 29, -36, 42, 18, 34, 19, -19, -26, -110, 102, 105, -99, 83, -29, 89, 60, -27, 25, -65, 66, 204 },
{ -5, -17, 27, -5, -33, 28, 76, -16, 66, 9, -27, 34, 21, -26, -143, 15, 32, -58, 72, -55, -28, 39, 19, -27, -90, 12, 10, 51, -71, -19, 148, -46, 104, -85, 210, 170, -151, 43, -33, -40, 88, 236 },
{ 3, -3, -7, 14, -2, 4, 9, 35, -1, -2, 4, -7, -22, -5, 40, -2, -2, 5, -7, 10, 38, 30, -5, 3, -2, -3, 5, -9, 11, -16, -42, -10, 30, -3, 28, 5, 3, -7, 8, -19, 35, -39 },
{ 3, -1, -7, 2, -4, 7, 6, -2, -5, -5, 6, -10, -15, 3, 3, 24, -3, 7, -11, 12, 26, 96, -10, 2, 14, -4, 6, -11, 16, -14, -36, 132, 90, 35, -8, 2, 2, -4, 59, -9, 19, -30 },
{ 2, -1, -8, 4, -2, 6, 6, -5, 35, -7, 6, -14, -12, -5, 8, 1, -3, 8, -12, 18, 24, 133, -7, 16, -3, -5, 11, -17, 23, -28, -24, -11, 138, -7, 62, 35, 2, -5, -6, 6, -5, 175 },
{ 3, -2, -5, 1, -5, 7, 27, -3, -3, -7, 7, -13, -14, 12, 62, 1, -3, 7, -15, 17, 8, -11, -7, 55, -5, -7, 7, -11, 23, -27, -9, 99, -17, 15, -8, 3, 8, -4, 45, -12, 101, 121 },
{ -1, 2, -13, 4, -13, 117, 7, -8, -6, -8, 13, -12, -11, 12, 6, -2, -8, 8, -20, 22, 14, -14, -8, 58, 83, -4, 11, -18, 30, -39, 50, 172, 150, -6, -5, 3, 4, -4, -11, 8, -11, 150 },
{ 6, -5, -4, 5, -2, 20, 4, -9, -2, -5, 12, -14, -9, 13, -24, 4, -4, 5, -11, 20, 3, 38, -14, 66, -1, -3, 12, -16, 21, -37, 69, 124, 155, -8, -9, 3, 1, 19, -13, 18, -8, 176 },
{ 3, 2, -9, 8, -10, 6, 59, -15, -2, -3, 10, -11, -12, 20, 8, -11, -5, 9, -11, 16, 14, -36, 118, 96, -7, 2, 4, -23, 31, -45, 124, 149, -27, 17, -11, 5, -2, -5, 9, -10, 86, 21 },
{ 19, -28, 21, -10, 3, -7, 15, -9, -9, 3, 14, -9, -12, 17, 6, -12, -13, 2, -14, 17, 16, -25, -12, 89, -16, -11, 28, -34, 40, -61, 28, 117, 254, -14, 11, -3, 89, 41, -16, 25, -27, 49 },
{ -5, -68, 56, 42, 4, -6, 5, -22, -5, -9, 3, -9, -13, 16, -15, 12, 25, 17, -16, 14, 37, -10, -34, 67, -10, -15, 15, -21, 38, -54, 47, 264, 166, -17, -13, 6, 4, -4, -14, 45, -72, 90 },
{ -142, 21, -6, -12, -6, -17, 18, -15, 7, 118, 30, -25, 4, 16, 35, -17, -22, -6, -25, 20, 65, -50, 139, 99, -6, 7, 15, 17, 44, -46, 38, 209, -35, 25, -11, -8, -5, 30, -73, -22, -18, 40 },
{ -70, 13, -16, 7, -3, 72, 6, -18, -13, -81, -15, 121, -6, 29, 17, -39, -4, 6, -17, 20, 13, -60, 53, 179, -3, -2, 19, -28, 33, -37, 55, 143, -46, 12, -36, 3, 26, -6, -15, 34, -44, 93 },
{ 2, 144, -6, -20, -44, 117, 15, -2, 53, 7, 22, -25, 18, -20, 38, -6, -11, -11, 114, 23, 173, -49, -55, 277, -11, -34, 23, -24, 25, -36, 49, 102, 344, -22, 11, -19, 32, -74, -17, 60, -60, 76 },
{ 36, -53, 346, 327, -18, 54, 450, -25, -58, -113, -60, 40, -405, 168, 19, -89, -88, 155, -108, 26, -131, 174, -93, 44, -22, 66, 464, -35, 109, -136, 239, -34, 224, 398, -107, -115, -26, -401, 80, 174, -51, 70 },
{ 4, -19, -16, 4, 5, -22, 25, -20, 11, -11, 34, -130, -24, 27, -12, -42, -41, 92, -17, 142, 132, -67, 141, 106, 121, 5, 70, -65, 34, -27, 53, 217, -62, 20, -23, -26, 4, -21, 18, 22, -23, 61 },
{ -37, 21, -5, 12, -62, -15, 7, 44, -17, 108, 139, -28, 12, 24, 58, -57, 84, 15, -19, 17, 39, -86, 195, 84, 39, -59, -58, -10, -48, -79, 34, 234, 146, -22, -15, -25, -9, 26, 31, 41, 190, 53 },
{ 7, 143, -29, 8, 74, 50, 6, -20, 15, -10, -26, -2, 8, 18, 4, 95, 20, 11, -25, -26, 9, 18, -50, 93, -28, -20, -6, -8, 24, -57, 52, 169, 146, -49, 12, -17, 27, 17, -33, 47, -40, 48 },
{ 4, 3, -9, -1, -2, 3, 10, 3, -2, -1, 3, -3, -24, -2, 3, -1, -1, 1, -4, 4, 39, 20, -2, 13, -2, -2, 3, -3, 4, -5, -43, -3, 24, -4, 11, -1, 3, -8, 11, -24, 40, -45 },
{ 4, -1, -8, -1, -2, 4, 9, 4, -3, 20, 2, -3, -26, -2, 33, -1, 6, 1, -3, 6, 40, 5, -3, 1, 4, -2, 1, -4, 28, -6, -46, -4, 91, -3, 1, -1, 4, -10, 14, -30, 47, -52 },
{ 6, -1, -13, 6, -4, 3, 16, 8, 2, -2, 49, -4, -33, -1, -1, -5, -3, 3, -4, 6, 48, 93, 80, -3, 15, -1, 3, -6, 8, -11, -52, -9, 112, -5, 44, -1, 4, -9, 13, -26, 41, -44 },
{ 4, -1, -8, 5, -2, 5, 6, 6, -3, -5, 5, -7, -20, -5, 4, -4, -2, 3, -6, 8, 33, 8, -5, 17, -4, 4, 16, -3, 8, -9, -40, -7, 39, -2, 3, -2, 2, -6, 9, -22, 33, -38 },
{ 27, -4, -11, 2, -3, 6, 11, 3, -5, -6, 4, -7, -25, -3, 2, -4, -1, 6, -6, 10, 38, 8, -5, 2, -1, -3, 4, -8, 12, -14, -43, -10, 52, -5, -3, 37, 2, -9, 69, -8, 87, -12 },
{ 2, -3, -6, -6, -4, 11, 7, 4, -1, -2, 51, -12, -18, -9, -2, 2, -4, 14, -12, 13, 35, 7, 6, -7, 3, -5, 9, -20, 25, -34, -25, -17, 118, 5, -8, 4, -4, 18, -6, 99, 29, 180 },
{ 4, -6, -7, 22, -2, 10, -2, 6, -4, 1, 1, -12, -5, -10, 3, -3, -4, 3, -4, 15, 12, 15, -10, 26, -2, 12, 6, -8, 13, -23, -15, -15, 125, -7, 49, 26, 1, -4, 76, -12, 149, 161 },
{ 4, -2, -7, 2, -5, 8, 56, 3, 4, -3, 8, -14, -8, -6, 5, -6, -93, 8, -11, 19, 12, 10, 67, -20, -1, 41, 37, -10, 15, -24, -17, -15, 168, -4, 44, -4, 48, -3, 50, -9, 122, 188 },
{ 1, -6, -6, 2, -2, 15, -5, 9, -5, -5, 46, -14, -5, 5, -5, 4, -7, 14, -15, 26, 33, 8, -7, 79, -8, -3, 41, -17, 28, -39, 140, -16, 127, 44, -9, -6, -8, 6, 2, -13, 132, 208 },
{ -6, -8, 3, -2, -2, 57, 235, -7, -4, -11, 9, -23, 8, -5, 8, -120, -4, 11, -6, 16, -86, 9, -9, 104, 2, 2, 90, -24, 34, -43, 17, -22, 85, 265, -12, 2, 2, -12, 50, 18, -34, 49 },
{ 15, -6, -6, 9, 24, 6, -12, 2, 3, -28, 4, -14, 7, -8, 86, -4, 2, -6, -3, 18, 10, 10, -8, 6, -3, 8, -9, 35, 10, -27, 23, -18, -3, 60, 39, -2, -6, 105, -11, 171, -19, 130 },
{ -16, 77, -5, 59, -13, 26, -17, 9, -16, 3, 179, -15, 8, -9, 11, -56, -74, -4, 12, 12, 130, 10, -11, 5, -116, -10, 12, -16, 17, -39, 12, -19, -4, 83, -11, 26, -4, 77, -22, 16, -7, 116 },
{ -4, 10, -8, 1, -17, 17, -7, 42, -19, 14, 7, -23, 21, -4, -30, 8, -7, 6, -19, 29, -27, 17, 53, -14, -12, -89, 16, -7, 30, -57, 54, -38, 113, 122, -27, 55, 6, -46, -17, -5, -27, 61 },
{ 4, 51, -27, 24, -188, 35, -14, -23, 130, 12, -23, 10, -115, -7, 70, 6, 12, -17, 102, 31, 7, -23, -16, -16, 30, -3, -11, 21, -47, -59, 43, -99, 240, 138, -26, 10, 3, -6, 44, 8, -65, 180 },
{ 5, -129, 7, 32, -11, 115, -3, 131, -29, 16, 205, -18, 17, -7, 77, 20, 14, -56, 35, -5, -95, -82, -42, -30, 14, 17, -19, 42, 15, -87, 85, -73, 279, 184, -40, 21, -9, -38, 26, -44, 43, 179 },
{ -5, 63, -97, 24, 42, -38, 226, -89, 26, -44, 576, 63, -101, -44, -470, 118, 74, -140, 128, -64, 42, -90, -73, -323, -60, 32, -35, 38, 68, -209, 118, 34, 89, 148, 47, -48, -194, 100, 133, -165, 81, 426 },
{ 1, -9, -73, 112, 58, -63, 108, 4, 44, -55, 219, -7, -38, 7, 3, -6, 12, -16, 19, 21, -20, 6, 55, -25, 114, 7, -10, 22, -9, -46, 40, -15, 11, -8, 94, -30, -23, -23, 129, 152, -34, 323 },
{ 12, -24, 20, -26, 6, 4, -92, 4, 16, 139, -27, -8, 9, 99, -15, -83, 22, -17, -25, 28, 16, -17, 89, -38, 22, -12, 25, -17, 25, -111, 89, -13, -24, 56, 48, -15, -153, 3, 20, -33, -43, 299 },
{ 3, 16, -8, 2, -2, 1, 11, -4, 12, 1, 3, -1, -22, 16, 1, -1, -2, 35, -6, 42, 36, -2, -4, 1, -1, -2, 3, -3, 6, 33, -41, 68, 3, 11, 11, 1, 4, -10, 11, -26, 38, -49 },
{ 5, -2, -13, 23, -1, 4, 16, 1, 3, -3, 8, -4, -32, -2, 30, -4, -2, 2, -1, 5, 52, 59, 32, 25, 18, -2, 4, -6, 6, -11, -52, -7, 22, -2, -2, 43, 6, -14, 19, -33, 53, -56 },
{ 4, -2, -11, 1, 13, 2, 16, -7, 12, -5, 5, -6, -27, -4, 2, -3, -1, 3, -5, 28, 46, 75, -4, 70, -3, -18, 4, -9, 5, -6, -53, 137, -3, 25, -5, 4, 5, -13, 16, -29, 50, -53 },
{ 6, 34, -14, 112, -1, 2, 14, -6, -2, -2, 14, -7, -27, 11, 4, -3, -4, 5, -7, 6, 41, 75, -6, 44, 48, -5, 2, -5, 8, -9, -49, 191, 88, -7, 35, -5, 4, -7, 10, -21, 37, -45 },
{ 4, -6, -8, 13, 3, 1, 9, -3, -10, -5, 6, -7, -17, 7, 29, 1, 7, 16, -6, 8, 27, -7, -6, 66, -4, -4, 4, -5, 9, -13, -30, 72, -8, 8, -8, 4, 2, -4, 3, -11, 23, -24 },
{ 6, -13, -9, 32, 4, 2, 10, -4, -15, 3, -4, -7, -17, 18, 2, -1, -8, 13, -10, 14, 15, -17, 4, -3, 3, 72, 4, -12, 16, -24, -9, 206, -6, 4, -14, 3, -2, -62, -1, 7, 5, 124 },
{ 9, 6, -9, 4, -3, -1, 5, -17, -9, -4, 12, -11, -3, 14, 8, -2, -3, 7, -12, 16, 10, 7, -19, 14, -5, 1, 127, -11, 17, -18, -12, 39, 194, -5, -7, 3, -3, -9, -8, 7, 42, -14 },
{ 6, -8, -71, 3, -5, 17, -13, 5, -12, -17, 21, -7, -4, -108, 4, -22, -21, 3, -8, 18, 12, 31, -9, -12, 136, 3, 40, -20, 22, -33, 104, -5, 282, 222, -21, 14, 6, -9, -33, 20, -15, 65 },
{ 21, 5, -9, 7, -9, 4, 7, -19, 2, 2, 3, -5, 52, 19, -9, -4, -7, -6, 16, -12, 16, -27, 9, 90, -3, -62, 13, -13, 16, -23, -5, 169, -26, 14, -13, 2, 1, -5, -5, 57, 38, 15 },
{ 4, -12, -9, 7, 3, 10, 157, -7, -7, 79, -6, -6, -8, 16, -7, 13, -8, -6, 105, 7, 18, -22, -24, 107, 58, -5, 25, -30, 27, -40, 14, 50, 195, -15, -23, 5, 87, -16, -13, 27, -18, 34 },
{ 55, 11, -16, 77, -13, 14, -4, 162, -57, 16, -6, -158, -10, 61, 6, -179, -4, -1, -10, 22, 14, 13, -22, 205, -20, 82, 10, -16, 4, -26, 30, 27, 454, 208, -35, -11, 92, -8, -12, 45, -56, 58 },
{ -6, 7, 7, 5, -3, -21, -4, -10, 34, -8, 8, 2, 33, 21, 6, 128, 10, -7, -4, -16, -11, -29, -35, 148, -7, -26, 20, -9, 11, 139, -29, 127, -38, 26, -6, 12, -71, -3, -17, 15, -27, 57 },
{ -68, -47, -4, -73, 11, -5, 6, 11, 2, 6, 125, 12, -36, 224, 9, 24, -19, 63, -30, 10, 4, -25, -45, 420, -22, -71, 57, 18, -15, 210, -21, 92, 317, 43, 11, -17, -8, 3, -23, 34, -51, 68 },
{ 15, -85, -28, 13, 33, 12, -12, -25, -19, -48, 144, 20, 183, 67, 56, -53, 29, 33, -22, 289, -38, -69, 67, 32, -11, -17, -51, -15, -16, -33, 46, 180, 313, -33, -18, -40, -78, 56, -30, 59, 58, 35 }
 }
 },
{ 
{ 
{ -23, -10, 14, -15, -10, 10, 26, 15, -15, -31, 4, 17, 29, 20, 21, -31, -15, -3, 41, 53, 69, 46, 47, 22, -17, -22, 29, 31, 66, 57, 85, 57, 73, 39, 38, -15, -26, 15, 47, 63, 92, 77 },
{ -27, -18, 15, -21, -17, 15, 22, 25, -14, -20, 3, 5, 25, 30, 30, -22, -13, -8, 28, 44, 71, 61, 60, 40, -10, -19, -1, 20, 52, 71, 83, 63, 78, 47, 33, -12, -30, 17, 32, 45, 83, 90 },
{ -26, 7, 6, -20, -12, 11, 17, 16, -15, -32, 16, 9, 9, 10, 38, -8, 12, -13, -19, 20, 61, 60, 69, 47, 37, -32, -7, 15, 47, 74, 82, 73, 81, 51, 34, 24, -27, 13, -11, 40, 86, 99 },
{ -12, 5, 20, -19, 3, -4, 12, 10, -10, 3, -4, 15, -19, 16, 15, -39, -36, 37, -4, 5, 38, 46, -149, 11, 100, 12, -24, 46, -75, 83, -42, 198, 307, 107, 132, -20, -24, 57, -40, -53, 55, 304 },
{ -16, 9, 6, -17, 9, -17, 12, 8, -38, -27, 13, 10, 12, 23, -15, -64, -8, -21, 42, -47, 55, -45, 53, 72, 114, -19, 21, 33, -71, 97, 110, 215, 228, 50, 67, -42, -20, 16, -47, -45, 77, 187 },
{ -12, 10, -32, 38, 17, -22, 57, 3, -10, -17, 12, 35, 27, 12, -5, -14, -27, 8, 17, 72, 81, 49, 9, -1, 24, 4, 22, -7, -42, 80, 113, 112, 61, 31, 39, -26, -9, 71, 21, 36, 32, 88 },
{ 10, -8, -2, -2, 2, 11, -5, 13, -3, -3, 5, -23, 3, -12, 10, -3, 2, 4, -11, 26, 89, 54, -13, 8, -5, -5, 7, -18, 29, -61, 49, -7, 45, -13, 44, 4, -6, 56, -14, 24, -41, 156 },
{ 2, -25, 17, -19, 9, -7, 19, -14, -13, -14, 10, -12, 20, 31, -11, -54, -17, -6, 47, -23, 43, -67, -13, -25, 82, -17, 20, -27, -27, 39, 128, 167, 208, 113, 70, 50, -47, 22, -44, -14, 125, 219 },
{ 2, -4, -17, 3, 33, -6, 11, 21, -14, -4, 25, -44, 26, -35, 75, -52, -11, 26, -20, -50, 43, -36, -63, -101, 108, -10, 33, -28, 22, -64, 111, 72, 171, 215, -39, -17, 9, -21, 58, -140, 98, 254 },
{ -19, 4, 1, -10, 16, 12, -8, 46, -39, -9, -12, -17, 21, 60, -83, 72, 3, 9, -14, 24, 19, -122, 246, 186, 47, -7, -7, -17, 50, 83, 48, 336, 275, -96, -27, -28, -7, 31, 30, 33, -131, 91 },
{ -33, -13, 7, -16, -14, 18, 27, 12, -12, -14, -15, 19, 28, 23, -7, -22, -9, -21, 26, 56, 88, 67, 42, 15, -19, -18, 3, 27, 62, 90, 114, 101, 67, 20, 23, -14, -30, 12, 33, 29, 90, 119 },
{ -24, -17, 5, -8, -10, 14, 32, -4, -12, -20, -10, 8, 18, 8, 9, -31, -9, -20, 19, 47, 71, 53, 26, 12, -23, -21, 9, 18, 64, 91, 115, 98, 77, 26, 25, -10, -33, 8, 58, 57, 108, 128 },
{ -33, 5, 11, -18, -13, -3, 18, 13, -18, -16, -20, 15, 21, 17, 19, -26, 6, -32, 22, 34, 75, 73, 51, 31, -21, -18, -16, 15, 48, 88, 124, 114, 80, 20, 38, -13, -34, 13, 35, 33, 95, 128 },
{ -21, -15, 7, -13, -6, 7, 26, 2, -23, -17, -11, 23, 8, -8, 18, -34, -29, 37, -46, 33, 61, 49, 37, 23, -12, -42, 11, -15, 66, 84, 121, 110, 94, 40, 53, -12, -41, 55, 6, 54, 112, 151 },
{ -24, 11, 5, -22, -26, -6, 20, 23, -30, -20, 34, -8, 7, -22, 24, -38, -29, 32, -46, 28, 58, 41, 44, 15, 28, -16, -16, -27, 46, 95, 119, 133, 133, 54, 22, 27, -45, 5, 19, 37, 106, 150 },
{ -15, -22, 6, -9, -16, 20, 17, 16, -18, -17, -7, 8, 11, 4, -5, -31, -11, -25, 26, 28, 49, 31, 5, 22, -21, -33, -3, 18, 63, 90, 108, 95, 66, 49, 29, -18, -27, 21, 81, 63, 129, 158 },
{ -13, -20, 7, -13, -6, -6, 24, 16, -20, -14, 15, -14, 17, -7, 20, -37, -15, -19, 38, -18, 49, 18, -19, 20, -28, -36, 2, -34, 36, 96, 121, 112, 79, 52, 49, 46, -37, 12, 49, 77, 126, 179 },
{ -17, -27, 30, -34, 9, -8, 13, 15, -33, -48, 43, -4, 9, -9, 25, -42, -17, 27, -35, 52, -13, 37, -21, -16, 65, -32, 5, -47, 12, 63, 137, 126, 159, 65, 47, 60, -43, 3, -12, 52, 138, 172 },
{ 2, -30, 4, -18, -9, 16, 25, 20, -10, -45, 33, -36, 24, 2, 6, -40, -43, 40, -26, 42, 42, 27, -19, 40, -48, -50, 16, -29, 59, 74, 118, 91, 49, 34, 20, 11, -18, 89, 68, 111, 130, 149 },
{ 1, 3, 2, -19, -4, -8, 20, 5, -2, -24, 3, -9, 16, 7, 24, -35, -7, 10, -7, 23, 15, 22, -106, 70, -55, -44, 59, -73, 31, 39, -107, 142, 201, 116, 92, 125, -56, 79, -62, 51, 166, 267 },
{ -22, 4, 18, -24, -25, 15, -6, 17, -36, 12, -6, 20, 9, 12, -45, -22, -20, -8, 34, 22, 69, -42, 134, 70, 117, -26, 19, -34, -52, -59, 129, 209, 207, 71, 46, -27, -16, 31, -29, 27, 60, 166 },
{ -35, 5, 20, -28, -24, -7, 23, 22, -24, -23, 30, -13, 10, 5, 23, -13, 8, -24, -31, 34, 65, 80, 73, 54, -21, -16, -19, 21, 36, 91, 124, 113, 102, 26, 48, -20, -36, 10, 18, 10, 92, 139 },
{ -32, 5, 18, -32, -35, 15, -6, 27, -38, -24, 43, -24, 24, 10, 9, 34, -21, 26, -43, 14, 42, 96, 92, 66, -17, 7, -8, -32, 22, 75, 137, 134, 134, 28, 54, -22, -38, 15, -8, 6, 81, 124 },
{ -22, -25, 28, -36, 11, -13, 17, 22, -43, -31, 16, 13, 14, -15, 14, -38, -41, 47, -44, 40, 6, 56, 83, 53, 55, -23, 27, -43, 18, 73, 122, 133, 162, 40, 26, 42, -44, 3, -33, 16, 95, 165 },
{ -34, 7, 20, -35, -25, 14, -9, 42, -46, -33, 34, 10, -13, 7, 4, 65, -31, 18, -21, 41, -15, 89, 148, 73, 69, 5, 10, -32, -29, 60, 111, 149, 163, 25, -28, -31, -33, 19, 35, -16, 82, 114 },
{ -19, -8, 8, -9, -4, -11, 32, 19, -16, 9, -23, 12, 3, -9, -25, 9, -14, -19, -18, 45, 68, 56, 17, -23, -12, -15, 11, -7, 44, 125, 172, 141, 67, 20, -8, -8, -23, 30, 23, 24, 93, 180 },
{ -18, -7, 11, -12, -8, -11, 31, 16, -23, 3, 12, -24, 8, 13, -35, 8, 3, -16, -36, 31, 53, 50, 31, 34, -27, -12, -16, -7, 30, 113, 185, 159, 85, -12, 32, -13, -23, 10, 29, 16, 83, 192 },
{ -11, -11, 5, -15, -10, 27, -12, 20, -14, -13, 5, -12, 18, -19, 6, -17, -10, 17, -47, 34, 57, 42, -33, 24, -19, -15, -12, -18, 58, 115, 162, 134, 80, 3, 6, -13, -26, 37, 41, 50, 107, 202 },
{ -14, -7, 7, -7, -4, 7, -13, 17, -18, -6, -4, 6, 24, -35, 8, -20, -15, 30, -61, 14, 57, 31, -14, 21, -18, -16, -9, -20, 34, 110, 176, 153, 105, 14, 39, -4, -33, 29, 17, 26, 102, 207 },
{ -17, -5, 10, -11, -11, 13, -10, 21, -27, -18, 20, -16, 22, -33, 12, -21, 8, 16, -47, 27, 22, 29, 49, -20, 38, -19, -30, -8, -14, 107, 179, 195, 127, 21, 44, -35, -27, 26, 32, -15, 88, 197 },
{ -6, -10, 3, -24, 3, -10, 13, 35, -18, -23, -6, 7, -11, 12, -16, -19, -14, 29, -44, 31, 44, 23, -42, 35, -24, -32, 7, -30, 54, 98, 145, 123, 80, -11, 20, -14, -27, 49, 60, 59, 124, 217 },
{ -10, -11, 4, -12, -13, 1, 23, 5, -12, -18, 18, -17, 10, -11, 17, -33, -22, 38, -36, 18, 41, -16, -35, 18, -19, -27, -25, -36, 38, 102, 148, 141, 123, 28, 53, 4, -35, 49, 13, 51, 112, 226 },
{ -11, 10, -4, -14, -16, 2, 12, 10, -16, -21, 15, -12, 18, -14, 11, -39, -14, 16, -28, 46, -8, 13, -38, 40, -20, -28, 10, -36, -23, 99, 154, 161, 149, 44, 68, 29, -39, 18, -20, 39, 121, 219 },
{ -13, -11, 19, -22, 7, -7, 16, 5, -20, -27, 8, 11, 9, -13, -18, -44, -23, 30, -35, 46, -20, 21, 36, 37, 57, -31, 28, -41, -10, 61, 160, 179, 201, 28, 64, -25, -30, 30, -25, -11, 79, 213 },
{ 3, -36, 8, -22, 20, -14, 36, 8, -4, -50, -9, 4, 7, -20, 21, -37, 24, -58, 85, -17, 42, 17, -47, 39, -40, -44, -25, 37, -82, 139, 120, 99, 80, -21, 13, 5, -33, 72, 73, 95, 141, 240 },
{ 4, -27, 30, -31, 7, -2, 3, 6, -15, -16, 15, -8, 9, 4, 4, -23, -8, -23, 24, 31, -12, -27, -27, -21, -19, -37, 20, -28, -27, 63, 123, 159, 126, 84, 55, 50, -35, 35, -14, 28, 124, 272 },
{ 4, -4, -5, -46, 8, -15, 35, 35, -6, -57, -8, 8, 9, -20, 21, -58, -31, 79, -25, 31, 22, 15, -46, 78, -60, -63, 19, -56, -46, 172, -77, 236, -65, 25, 10, 7, -23, 111, 59, 94, 182, 261 },
{ 2, -20, 18, -17, 5, -7, -7, 4, 6, -18, 12, -15, 21, -11, 21, -24, 10, -33, 26, 26, 25, -26, -72, 21, -53, -42, -25, 11, -68, 140, -73, 195, 73, 37, 39, 55, -34, 64, 23, 53, 154, 323 },
{ 2, -22, 24, -21, 11, -7, 9, 10, -12, -23, 10, -11, 8, 8, 11, -21, 11, -28, 16, 19, 21, -21, -86, 29, -56, -27, 15, -39, 37, -72, 135, 116, 128, 86, 59, 102, -48, 40, -19, 30, 141, 326 },
{ 57, -57, 4, -60, -3, 63, -25, 41, 10, -74, 5, 8, -4, 22, -10, -74, -32, 39, 76, -28, 64, -11, -44, 80, -61, -85, -23, -32, 57, -88, 212, -78, 108, 17, 34, -39, 85, 87, 106, 125, 130, 239 },
{ -20, -10, 16, -14, 10, -10, -11, 31, -30, -13, 24, -16, 23, -31, 12, 20, 8, -18, -49, 20, 46, 70, 59, 34, -27, -11, 10, 26, -14, 106, 182, 186, 94, -10, 44, -22, -20, 11, -29, 8, 62, 192 },
{ -22, -8, 23, -20, 9, 11, -20, 28, -39, -23, -6, 18, 19, -41, 13, 35, -10, 27, -24, -22, -3, 71, 105, 50, -29, 7, -12, -27, -20, 97, 181, 223, 134, -32, 26, -16, -26, 16, 18, 14, 19, 192 },
{ -22, 6, 8, -20, -17, 9, -17, 37, -52, -14, -9, 27, 27, -32, 6, 97, 8, 16, -12, -50, -11, 106, 180, 53, -33, -15, -16, 16, 30, 37, 145, 223, 127, -30, 26, -28, -17, 9, 24, -23, -29, 172 },
{ -22, 8, 8, -22, -17, 15, -5, 34, -47, -25, 6, 6, 44, -39, -36, 37, 13, -12, -21, 35, -42, 26, 200, 128, -17, -20, 6, 32, -21, 46, 127, 204, 200, -28, 69, -34, -11, 17, -24, -41, 20, 184 },
{ -11, -10, 7, -16, 2, -10, 44, -12, 12, -15, 8, -10, 15, -12, -29, 9, -8, 16, -31, 9, 44, 27, -20, 17, -9, -12, 6, -37, 24, 138, 212, 187, 35, -20, -13, -12, -15, 32, 13, 41, 60, 242 },
{ -8, -12, 5, -9, 4, -11, 43, -9, -15, 5, -15, 12, -18, 22, -36, 17, -6, -4, -20, -9, 40, 26, 31, -16, -12, -13, 14, -28, -11, 116, 210, 210, 36, -20, 34, -16, -12, 31, -14, 28, 74, 239 },
{ -5, -14, 4, -12, -12, 11, 31, -11, 5, 11, -26, -3, 5, -9, -9, -13, 7, -24, 15, -8, 22, 36, -35, 27, -12, -26, -22, -18, 16, 140, 179, 165, 49, -14, 9, -31, -16, 35, 46, 35, 72, 272 },
{ -10, 4, 4, -17, -12, 15, -7, 13, -8, -9, 14, -10, 10, -14, 19, -18, -17, 23, -42, 17, 26, -18, -39, 13, -12, -17, 8, -36, -20, 105, 178, 195, 88, 9, 34, -14, -17, 38, -14, 53, 88, 275 },
{ -10, 5, 20, -17, -17, 11, -15, 23, -20, 12, -7, -6, 21, -30, 18, -24, -14, -12, 26, -23, 26, -13, -18, 27, 16, -12, 13, -21, -37, 77, 191, 244, 148, -18, 33, -19, -23, 21, -29, 33, 46, 265 },
{ 2, -23, 5, -28, -5, 25, 37, -4, -3, -7, -20, -16, 8, -21, 7, -19, 15, -44, 56, -19, 28, 19, -47, 27, -12, -38, -31, 28, -52, 144, 159, 142, 51, -21, 26, -38, -18, 39, 90, 20, 117, 273 },
{ -9, 6, 3, -13, -13, 17, -10, 7, -12, -17, 16, -14, 12, 30, -26, -16, -28, 31, -29, 36, -8, -27, -26, -23, 35, 10, -27, -24, -22, 74, 170, 204, 160, 31, 54, -15, -21, -19, 47, -9, 93, 244 },
{ -4, 6, 4, -24, -9, 4, -7, 20, -21, -10, 12, -19, 30, 10, -18, -43, 6, -21, 25, 40, -27, -28, -15, 29, 49, -30, 21, -21, -51, 54, 171, 231, 210, 49, 58, -26, -12, 15, -53, 13, 51, 236 },
{ 3, -51, 8, -19, -8, 48, -4, 34, -4, -41, 4, -17, 19, -40, 13, -24, -23, 69, -39, 24, 25, 15, -47, 34, -26, -41, 4, -20, -85, 145, 124, 171, -73, 45, 24, -29, -12, 20, 94, 61, 192, 261 },
{ -5, -5, 7, -13, 5, -14, 26, -3, -3, -13, 11, -11, 9, -6, 9, -11, -16, 31, -37, 32, 14, -34, -44, -23, -18, -19, -20, -26, -33, 72, 136, 142, 102, 36, 61, -14, -25, 17, 54, 33, 97, 342 },
{ 2, 34, -17, -17, -12, 26, 6, -6, -6, -11, -9, 14, 7, -21, 12, 5, 11, -31, 11, 29, 14, -16, 25, -45, -80, -42, -23, -28, 43, -63, 79, 59, 55, 17, 84, 77, -41, 98, 31, 50, 183, 387 },
{ -12, 3, 16, -13, -14, 10, -18, 14, -19, 9, -9, 10, 37, -31, -25, 24, 5, -13, -22, -9, -6, 29, 62, 25, -25, -13, -19, 28, -14, 73, 228, 241, 75, -23, 23, -15, -9, 10, 22, -16, 25, 233 },
{ -14, 4, 9, -11, 9, -10, -9, 33, -36, -28, -10, 25, 29, -32, -42, 27, 5, 19, -22, -15, -10, 19, 124, 63, -38, 5, -12, -11, 12, 26, 195, 321, 118, -62, 25, -10, -16, 20, -7, 36, -46, 212 },
{ -10, 3, 13, -22, 10, -12, 19, 6, -24, -22, 8, -15, 33, -11, -55, 17, 15, -23, 47, -26, 18, -28, 45, 73, -24, -22, 21, -23, -26, 53, 161, 277, 191, 19, 26, -11, -11, 15, -40, 24, -37, 256 },
{ -16, 7, 10, -10, 11, -8, -17, 60, -46, -25, 6, -9, 30, -40, -39, 79, 17, -13, 11, 25, -39, -26, 230, 40, -52, -6, -8, 10, 10, -11, 161, 349, 116, -63, 53, -12, -9, 11, -21, 12, -43, 192 },
{ -13, 4, 24, -5, 7, -16, -3, 28, -32, -15, 3, -16, 18, 35, -105, 19, 11, -9, -13, 54, 20, -69, 136, 114, -11, -15, 28, -12, 29, -41, 133, 333, 237, -55, 36, -28, -7, 16, -28, 20, -74, 229 },
{ -11, 30, 10, -17, 9, -26, -13, 65, -48, -34, 7, -15, 41, -36, -67, 122, 16, 5, -7, 15, -63, -10, 279, 45, -57, -4, -10, 12, 33, 105, 89, 412, 87, -81, 57, -23, 2, 11, -18, 40, -94, 126 },
{ 2, -17, 4, -18, -10, 8, 52, -13, 6, 11, -14, -17, 10, -7, -12, -8, -3, -9, 26, -22, 20, -23, 13, 23, -7, -12, -12, -18, -23, 126, 242, 184, -17, -27, -8, -11, -9, 7, 63, 9, 43, 283 },
{ -7, -7, 6, -15, 3, -13, 37, 16, -12, 6, -3, -15, 13, -20, -11, 13, -12, 3, -13, -6, 19, -21, 13, 5, -13, -11, 15, -19, -15, 72, 237, 228, 25, -42, 31, -10, -9, 10, -11, 41, 22, 281 },
{ 2, -15, 5, -20, 3, -5, 37, 7, -5, -12, -6, -15, 14, -11, -17, 7, 3, 9, 20, -32, 24, -24, 10, 16, -10, -16, -17, -27, -28, 124, 198, 182, -20, -20, -9, -9, -12, 11, 50, 42, 48, 316 },
{ -6, -12, 3, -8, 6, 13, -7, 22, -5, -13, 13, -19, 25, -26, -14, 6, 10, -14, 17, -36, 18, -18, -17, 7, -13, -17, -12, 11, -49, 104, 207, 195, 71, -31, 38, -15, -8, 14, -20, 44, 31, 320 },
{ -5, -4, 5, -13, -7, 14, -4, 12, -9, 7, -6, -10, 33, -11, -25, 7, -7, 8, -21, 33, -26, -31, 9, -21, 16, -9, -16, -11, -14, 29, 200, 262, 106, 31, -11, -16, -15, 13, 47, -30, 11, 290 },
{ 3, -21, 1, -28, -2, 17, 17, 24, -9, -12, -10, -14, 14, -19, 7, -15, 9, -26, 43, -14, 9, -4, -32, 33, -6, -21, -28, 25, -80, 108, 161, 170, -39, 14, -13, -18, -9, 8, 73, 37, 81, 340 },
{ 2, -15, 7, -20, 3, -4, 20, -8, 14, -8, 4, 5, -12, 19, -15, -8, -9, 20, -35, 24, -8, -23, -46, 19, -13, -13, -4, -36, -17, 79, 159, 179, 88, 35, -28, 12, -13, -13, 71, 8, 44, 342 },
{ -6, -6, 6, -11, 8, -11, 22, -13, 5, 7, -19, 7, 7, 9, -17, -19, -16, -12, 34, -30, 22, -32, -63, 14, 21, 10, -11, -16, -26, 49, 163, 224, 158, 45, -20, 20, -21, -17, 41, -26, 41, 322 },
{ -9, 3, 21, -11, 10, -11, -9, 31, -15, -14, 4, 19, -14, 19, -25, -31, -10, -5, 12, 16, 32, -62, -26, 26, 47, -10, 29, -12, -34, 23, 134, 255, 237, 33, 40, -32, -15, 27, -44, -18, -5, 303 },
{ 4, -37, 2, -20, 21, -11, 46, -3, 17, -23, -17, -12, 15, -18, -3, -33, 14, -48, 64, 27, -9, 22, -57, 54, -19, -43, -21, -7, 62, -130, 222, 171, -73, 20, 20, -37, -21, 51, 73, 43, 118, 371 },
{ 2, -9, 22, -18, 11, -8, 4, -11, 12, -22, 8, -10, 13, 11, 5, -19, 9, -19, 29, 22, -9, -21, -91, -30, 18, -20, 6, -24, -45, 55, 121, 171, 162, 70, 85, -19, -25, 21, -44, 42, 83, 335 },
{ -7, 7, 24, -11, -18, 12, 2, -13, -9, 15, -24, 37, -9, 18, 15, -55, -13, -23, 19, 43, 21, -36, -78, -22, 64, -12, 27, -30, 14, -51, 146, 174, 234, 112, 103, -35, -16, 29, -57, -38, 86, 295 },
{ 3, -9, 51, -25, 4, -13, 14, 11, -26, 5, -30, 25, -8, 25, 12, -75, -8, -7, 34, 44, 42, -67, -30, 32, 120, -17, 20, -16, 37, -94, 132, 191, 292, 102, 97, -32, -21, 41, -62, -42, 53, 243 },
{ 5, -29, -7, -37, -8, 51, -4, 48, -8, -23, 16, -50, 17, -10, -4, -34, -20, 35, -47, 96, -12, -6, 45, -70, 28, -66, 7, -42, 61, -131, 181, 143, -89, 56, 21, -52, 7, 90, 42, 79, 171, 347 },
{ 3, -11, 40, -17, -8, 8, 25, -8, -9, 3, -15, -14, 15, 13, 26, -48, -11, -3, 10, 21, 37, -9, -87, -61, 56, 13, -23, 16, 21, -43, 59, 127, 221, 163, 102, 39, -21, -58, 45, -76, 112, 316 },
{ 45, -50, -3, -42, 3, 59, -21, 45, -3, -53, -11, 8, 14, -13, 12, -50, -7, 28, 7, 36, 17, 19, -37, 34, -39, -62, -32, -52, 30, -55, 105, 103, -52, 8, 34, -33, 31, 100, 80, 104, 170, 345 },
{ 11, -17, 6, -6, 5, 28, -10, -6, 3, -15, 37, -14, 17, -10, -9, 10, 7, -18, -6, 39, -27, 22, 43, -81, -71, -31, 15, -48, 19, 59, -19, 65, 96, 111, 64, 134, -40, 55, -44, 80, 162, 347 },
{ -19, 4, 31, 3, -1, -6, 13, -20, -2, 6, 3, -9, 59, -20, 30, -57, -9, -12, -10, 25, 97, -42, -106, 55, 199, 42, 5, -19, 42, -23, 167, 287, 249, 109, -96, 66, -15, -13, 50, -119, 57, 232 },
{ -9, 3, 2, -8, -11, 11, -12, 27, -11, 10, -11, -5, 36, -20, -30, 9, -2, -16, 20, -24, 7, -30, 40, 34, -25, -14, 30, -16, -25, 53, 215, 305, 56, -49, 40, -8, -6, 8, -16, 22, -20, 268 },
{ -12, 17, 8, -8, 5, -8, -19, 24, -26, -21, 11, -6, 50, -30, -56, 30, 6, 5, -15, 41, -36, -24, 103, 51, -27, 5, -12, -21, 38, -34, 185, 400, 65, -66, 32, -12, -15, 14, 11, 19, -50, 230 },
{ -10, 6, 8, -11, -14, 25, -18, 14, -16, 6, -12, 15, 32, 30, -56, -14, -14, 6, -16, 40, -49, -43, 57, 59, 35, 5, -14, -12, 33, -39, 200, 286, 189, -34, -18, -19, -15, 6, 52, -20, -48, 275 },
{ 7, -8, 5, -10, 21, 11, -19, 23, -32, -16, 5, -22, 53, -29, -68, 38, 11, -8, -12, 28, 58, -91, 176, 69, -42, -9, -9, 18, 42, -33, 94, 503, 69, -87, 29, -12, -5, 11, -24, 62, -76, 161 },
{ 2, -14, 41, -24, 8, 1, -7, 19, -16, 8, -8, -24, 23, 42, -50, -48, -35, 29, -7, 46, 45, -79, 28, 70, 90, 9, 17, -37, 36, -51, 145, 272, 277, 29, -23, -31, -15, 7, 36, -47, -35, 274 },
{ -11, 18, 7, -21, -7, 9, -12, 36, -22, 9, -26, 26, 21, 29, -134, 49, -15, 14, -29, 23, 69, -126, 257, 176, -59, -3, -9, -13, 47, 59, 27, 393, 224, -100, 43, -27, 4, 7, 31, 25, -149, 163 },
{ -18, 4, 13, -9, 50, -20, -15, 21, -32, 4, -20, 32, 23, 28, -65, -29, -22, 12, -25, 29, 49, -70, 125, 122, 92, -7, 16, -29, 72, -42, 72, 253, 281, 39, -33, -38, -9, 21, 46, -41, -74, 231 },
{ -5, 4, -18, -16, -7, 12, -23, 16, -23, 25, 7, -17, 36, 64, -118, 93, 22, -29, 79, -69, 52, -164, 334, 61, -69, -6, 22, -23, 77, 126, 134, 471, 20, -74, 20, 10, 16, -29, -34, 55, -90, 150 },
{ 2, -18, 4, -13, 6, -12, 54, -3, -6, -5, -6, -1, -3, 7, -16, 6, 5, -4, 26, -43, 22, -43, 19, 11, -9, -21, -7, -15, -32, 112, 229, 176, -25, -26, 4, -18, 3, 12, 46, 8, 34, 267 },
{ 2, -14, 8, -13, 5, -4, 26, 14, -10, -9, -1, -11, 10, -13, -12, 8, 5, -3, 19, -30, 22, -59, 10, 15, -13, -22, 24, -25, -19, 48, 213, 237, -7, -22, 19, -23, 18, 6, -12, 49, -18, 303 },
{ 3, -16, 2, -16, 9, -2, 29, 19, -3, -16, 6, -17, 12, -13, -6, -8, 3, 19, -35, 41, 14, -50, 34, -14, 7, -23, -9, -30, 43, -81, 255, 118, -47, 27, -21, -21, 14, 6, 55, 19, 26, 396 },
{ -5, -7, 8, -13, 6, -5, -12, 35, -11, -12, 7, -13, 15, 10, -25, 2, -5, 9, -13, 45, -15, -62, -26, 28, -6, -11, 26, -30, 10, -34, 191, 225, 136, -31, 47, -14, -11, 13, -24, 36, -53, 370 },
{ 2, -10, 4, -14, -9, 19, 15, -8, 6, 5, -5, -8, 6, 5, -8, -2, -15, 4, 30, -25, 26, -42, -44, 19, -7, -10, 10, -37, 17, -56, 216, 160, 75, -12, 34, -15, -11, 16, -21, 41, 7, 392 },
{ 3, -18, 7, -15, 4, -6, 36, -13, 6, 4, 30, -22, 11, 15, -20, -32, -13, -12, -8, 32, 35, -82, -41, 36, 57, 3, -16, 28, 22, -42, 135, 295, 199, 57, -20, -22, -13, 11, 35, -74, -27, 334 },
{ 4, -39, -1, -18, -12, 42, 42, -6, 5, -35, 9, -20, 14, -43, 4, -14, 3, 43, -36, 41, -38, 76, -58, 42, -8, -29, -21, -22, 29, -104, 307, -117, 96, -14, -7, -20, -12, 21, 83, 29, 50, 451 },
{ -2, -14, 7, -12, 4, 15, -12, 4, -6, -13, 11, -26, 35, -15, 14, 2, -2, 10, -15, 46, -46, 33, -64, -26, -8, -33, 14, -28, -18, -44, 283, -74, 156, 24, 53, -20, -9, 23, -32, 40, 63, 466 },
{ 3, -13, 39, -17, 3, -9, 24, -13, 9, 9, -10, -14, 17, -7, 15, -12, -12, -8, -7, 35, 12, -43, -68, -40, 13, -14, 36, -30, 9, -47, 156, 152, 172, 43, 74, -22, -12, 21, -59, 39, 31, 402 },
{ -7, 25, 6, -13, 15, -24, 30, -12, 5, 13, -17, -10, 42, -17, 30, -56, -18, -9, 17, 13, 61, -42, -137, 25, 49, -11, 36, 25, -28, -24, 95, 155, 296, 109, 36, -28, -9, 21, -75, -46, 40, 337 },
{ 3, -5, 15, -18, 7, 36, -21, 40, -16, 4, -19, -11, 46, 17, 12, -88, -22, 52, -13, 12, 28, 24, -95, 46, 137, -3, -4, 13, 32, 19, 32, 208, 306, 104, 70, -52, -8, 28, -56, -83, 32, 273 },
{ 5, -36, -5, -17, 8, -9, 75, -4, 6, -13, -36, 4, 6, -36, 8, -21, 13, 23, -41, 45, 22, 63, -70, 20, -17, -44, -32, -24, -53, 183, -138, 198, -46, 28, 20, -43, 24, 17, 114, 38, 147, 365 },
{ 2, -6, 7, -18, -9, 5, 38, -7, -4, -7, 8, -24, 14, 12, -15, 7, 16, -15, -17, 31, 26, 11, -98, 28, -45, -28, -34, -32, 30, -69, 236, -96, 156, 34, 49, 8, -34, 74, 7, 58, 127, 391 },
{ 3, -13, 29, -11, 11, -14, 7, -4, -5, -10, 8, -27, 40, -6, 19, -12, 11, -19, -6, 34, 15, 21, -78, -53, -22, -24, 11, -32, 19, -58, 174, -62, 236, 90, 58, 47, -32, 41, -28, 10, 93, 437 },
{ 3, -14, 26, -16, 6, -8, -4, 29, -7, -10, 10, -10, 37, -12, -26, 12, -6, 9, -21, 25, -37, -52, 33, 27, -14, 8, -13, -14, 26, -33, 243, 309, 17, -47, 14, -11, -6, -9, 22, 32, -36, 275 },
{ -10, 17, 8, -8, 8, -14, -22, 26, -19, -20, -6, 10, 59, -27, -47, 17, 5, 19, -15, 28, -61, -27, 95, 43, -26, 23, -12, -10, 29, -25, 188, 430, 14, -76, 32, -12, -11, 11, -21, 54, -44, 200 },
{ -7, -10, 8, -9, 4, 26, -12, 45, -14, 7, -15, -15, 14, 13, -62, 11, -6, -12, 27, 11, 41, -111, 57, 73, -14, -11, 19, -16, 21, -36, 145, 396, 134, -73, 34, -12, -4, 9, -14, 29, -71, 277 },
{ -7, 4, 24, -15, -8, 21, -10, 21, 4, 3, -16, 19, 12, 29, -92, -10, 4, 31, -26, 17, 50, -152, 104, 156, -15, -12, -16, -16, 30, 59, 57, 441, 194, -72, -19, -17, 16, 10, 14, 63, -129, 206 },
{ -11, 22, 6, -6, 3, 5, -26, 53, -19, -20, 35, -18, 47, 27, -40, -49, 10, -29, -8, 46, 60, -101, 16, 75, 103, -14, 35, -11, 36, -44, 83, 325, 304, -62, 31, -51, -11, 39, -44, 37, -99, 279 },
{ -6, 6, 13, -6, 36, -25, -29, 32, -39, -9, 11, 31, 30, -37, -71, 59, -14, 11, -12, -41, 89, -128, 274, 50, -59, 44, 17, -35, 66, 137, 65, 532, 12, -81, 61, 13, -6, -13, -32, 55, -97, 100 },
{ -4, 28, 14, -7, -9, -11, -24, 59, -19, -11, 16, -21, 34, 28, -147, 50, 14, 6, 41, -46, 74, -167, 246, 131, -49, 4, -8, -42, 72, 152, 89, 516, 106, -109, 66, -21, -3, 7, -15, 62, -124, 90 },
{ -5, 19, 7, -9, -4, 8, -20, 75, -13, 6, -19, -23, -17, 73, -148, 23, -12, 43, 52, 51, 44, -202, 173, 215, -42, 10, -18, -42, 46, 118, 74, 459, 242, -119, 60, -21, 21, -9, 16, 27, -140, 114 },
{ 3, 16, 13, -23, -22, 14, 30, -17, 31, 5, -32, 63, -28, 55, -85, -39, 48, -17, -11, 62, 72, -123, 57, 163, 107, -8, -7, -6, 38, 47, 60, 308, 387, -34, -44, -39, 15, 16, 14, 41, -198, 217 },
{ -8, -8, 30, -12, 44, -11, -22, -10, -12, -7, -36, -14, 49, 91, -121, 53, 15, 22, 51, -43, 77, -236, 270, 168, -82, 6, -6, -56, 66, -68, 197, 494, 37, -162, 31, 24, 4, -17, -10, 65, 168, 126 },
{ 21, -20, 6, -17, 4, -8, 51, -9, 6, 3, -10, -5, 6, -6, -7, -5, 3, -14, 26, -58, 40, -60, 43, -9, 6, -18, -11, 7, -55, 98, 188, 166, -57, 8, -11, -20, 3, 8, 63, -14, 43, 240 },
{ 1, -15, 4, -14, 5, -8, 41, -9, 28, -4, -6, -8, 23, -18, -6, -7, 7, -8, 40, -28, -34, -40, 38, 13, -10, -19, -8, -11, -22, 49, 209, 211, -26, -25, 24, -15, 3, 18, 34, 23, -43, 260 },
{ 3, -18, 11, -26, 6, -6, 31, 2, 23, -9, -5, -9, 11, -8, -5, -10, 7, 7, 28, -29, 33, -63, 19, 15, 4, -20, -14, -26, 23, -46, 236, 99, -10, -16, -10, -19, 18, 5, 53, 35, -69, 392 },
{ 2, -14, 4, -15, 21, 3, -8, 31, -5, -9, -3, -7, 22, 8, -20, 7, 7, -3, 31, -29, 31, -81, 13, 22, -11, -20, -10, -19, 22, -41, 216, 162, 46, -43, 31, -14, 3, 5, 26, 31, -81, 376 },
{ 1, -11, 4, -14, 6, -6, 21, -13, 10, -14, 15, -14, 22, 17, -24, -9, 7, 9, -11, 49, -43, -77, 25, 45, -7, -12, -7, -17, 16, -26, 199, 243, 77, -46, 28, -9, 4, -8, 8, 47, -91, 344 },
{ 3, -25, 15, -21, 4, 35, -8, 20, 3, -15, -4, -30, 15, -8, -5, -12, 6, 19, -26, 61, -37, -27, 48, -11, 7, -23, -17, -13, 15, -90, 278, -63, 57, -22, -10, -15, 2, 8, 49, 54, -55, 432 },
{ 5, -14, 7, -16, 4, 5, -15, 24, 3, -15, 10, -21, 26, -9, 11, -9, 6, 6, -10, 48, -35, -40, -31, 23, -6, -25, 14, -29, 19, -58, 186, 131, 67, -25, 29, -10, -4, 10, -19, 65, -45, 407 },
{ -3, -6, 5, -12, 6, -9, 26, -11, 8, -14, 7, -15, 20, -10, 7, -15, 9, -8, 10, -10, 59, -85, -50, 25, 7, -17, -13, 13, -17, -14, 153, 217, 99, 62, -17, -9, 5, -10, 52, -43, -36, 387 },
{ -10, 21, 8, -14, -6, 5, -13, 16, -11, -11, 28, -12, 34, 13, -9, -19, 6, -12, -14, 23, 50, -100, -47, 40, 54, -9, -7, 11, 33, -31, 124, 274, 197, 58, -16, -19, 6, -9, 39, -55, -77, 348 },
{ 5, -22, -2, -41, 2, 21, 52, -6, 15, -14, -4, -38, 7, -20, 8, -20, 5, 17, -26, 65, -29, 56, -58, 20, 10, -24, -24, 11, -18, -85, 261, -93, 51, 21, -18, -25, -4, 14, 82, -8, 49, 468 },
{ 9, -15, 6, -14, 3, 25, -11, 9, 5, -15, 9, -23, 17, -8, 11, -11, 8, 8, -16, 32, -29, -18, -68, 13, -9, -17, -4, -22, 12, -71, 200, 97, 90, -17, 62, -19, -5, 14, -27, 52, 28, 443 },
{ -7, 28, -13, 7, -9, 7, -16, 26, -15, 9, -9, -17, 25, -6, 9, -6, -14, 12, -3, 19, 28, -50, -74, -21, 22, -12, 26, -11, -19, -29, 134, 143, 166, 42, 67, -27, -11, 44, -23, -34, 53, 424 },
{ 2, -10, 33, -11, 21, -9, 7, -9, -3, 8, -14, -15, 44, -14, 43, -44, -16, 18, -24, 58, 29, -31, -144, 13, 61, -8, 32, 12, -31, 35, 39, 183, 282, 115, 26, -35, -6, 21, -42, -81, 32, 352 },
{ -6, 3, 2, 4, -4, 28, -15, -14, 36, 9, -29, 67, -15, 9, 38, -72, -15, -15, 27, 27, 50, -21, -179, 52, 157, -9, 17, 25, -23, 88, 61, 170, 391, 100, 29, -62, 24, 36, -33, -80, -70, 326 },
{ 5, -20, -4, -37, 8, -5, 77, -6, 3, -19, 2, -23, 7, -22, 8, -29, 6, 24, -39, 20, 56, 21, -52, 20, -11, -26, -34, -17, -52, 136, -96, 180, -40, -11, 41, -28, -11, 12, 102, 58, 129, 373 },
{ -4, -4, 8, -12, -11, 38, -11, 4, -3, 6, -6, -20, 16, 30, -19, 14, 5, -16, 20, 34, -27, 21, -57, -30, -18, -28, 30, -56, 19, -52, 196, -60, 139, 7, 86, -17, -22, 70, -20, 43, 114, 471 },
{ 2, -9, 10, -22, 6, 30, -4, -9, 23, -10, -2, -4, -11, 8, 17, -12, 5, -18, 19, 15, 30, 11, -80, -76, 30, 11, -31, -21, 33, -23, 56, 116, 131, 94, 110, -22, -9, -27, 68, -48, 86, 430 },
{ 13, -4, 9, -14, 8, -5, -12, 14, -13, -16, 28, -6, 24, -12, 36, -33, 18, -18, 17, -9, 55, 4, -124, -65, 66, -15, 18, -16, 16, 51, -25, 137, 254, 141, 156, -39, -10, 61, -66, -69, 59, 366 },
{ 1, -20, 16, -7, 21, 4, -13, 12, -7, -3, 36, -12, 29, -36, 48, -68, -15, -19, 44, 16, 69, 38, -176, 28, 117, -11, 17, 25, -38, 55, 27, 153, 307, 191, 86, -62, 27, 22, -91, -62, 116, 332 },
{ 7, -15, -8, -20, 6, -10, 92, -4, -3, -36, -12, 4, 5, -24, 12, -15, 17, -6, -9, 30, 47, 21, -25, -14, -18, -46, -76, 46, -23, -31, 97, 88, -18, -16, 43, -36, -16, 156, 64, 71, 177, 389 },
{ 1, -14, 39, -13, 7, 23, -5, -12, 3, -2, -16, 17, 23, 12, -19, 16, 23, -31, 32, 33, -22, 22, -50, 34, -68, -26, -22, -41, -40, 69, 48, 56, 55, 16, 30, 85, -36, 79, 21, 93, 162, 416 },
{ -7, 23, 6, -6, -8, 36, -7, 30, -19, -6, 7, -9, 16, -13, 27, -15, 21, -25, 40, -12, 21, 35, -41, -145, 74, -13, 29, -44, 22, 37, 40, 53, 181, 199, 136, 72, -33, 52, -90, 82, 98, 341 },
{ 2, -11, 5, -17, 1, 7, -9, 11, 17, 4, -7, -5, 41, 14, -29, 6, 2, -14, 34, -18, -31, -78, 29, 18, -8, -14, 12, -17, 9, 11, 204, 297, 23, -39, 29, -14, 3, -7, 25, 23, -75, 249 },
{ 14, -13, 6, -16, 2, 17, -11, 26, -8, 3, -16, 15, 14, 34, -61, 19, 5, -8, -8, 30, -45, -99, 80, 60, -27, -17, 24, -18, 25, 8, 139, 451, 23, -68, 22, -9, 1, 20, -10, 56, -66, 185 },
{ -15, 5, 29, -10, 6, -17, 27, -10, 9, -7, 23, -10, 19, 24, -42, -18, 5, -7, -21, 35, -38, -86, 31, 73, 25, -9, 17, -7, 40, -11, 142, 357, 136, -61, 22, -13, -7, 10, -15, 34, -102, 281 },
{ -8, 18, 8, -10, -2, 9, -19, 39, -17, -8, -10, -22, 30, 48, -105, 40, 27, 20, -17, 29, -66, -99, 189, 47, -50, 32, -22, 33, 21, 105, 111, 544, -64, -58, 32, 13, -18, 12, -28, 60, -51, 132 },
{ -13, 14, 10, -5, 25, -10, -18, 16, 6, -4, -8, 36, 20, 13, -88, 43, -9, 4, -14, -8, 17, -137, 139, 87, -18, 4, 27, -22, 26, 105, 69, 535, 39, -95, 42, -9, -9, 5, -15, 49, -102, 171 },
{ -12, 5, 35, -7, -10, 5, -6, -21, 55, -9, 7, -18, 25, 22, -18, -65, 31, -34, 47, 25, 29, -76, -65, 78, 146, 8, -13, -16, 27, 46, 40, 353, 314, -52, -38, -34, -5, 18, 11, 45, -158, 295 },
{ -5, 19, 12, -14, -5, -11, -20, 40, -22, 11, 6, -11, 47, 65, -116, 71, 20, -16, 66, -52, -23, -146, 248, -43, -43, -6, 26, -38, 57, 132, 134, 574, -39, -41, 66, 11, 15, -27, -31, 48, -61, 178 },
{ -6, 6, 44, -24, -14, 46, 42, -6, 3, 7, -12, -26, 37, 20, -26, -71, -26, 50, 20, 13, 56, 13, -47, 78, 180, -11, 19, -14, 35, 32, 50, 234, 344, 76, 77, -77, 6, 25, 35, -105, -107, 284 },
{ -7, 5, 17, -18, -9, 12, -17, -19, 82, -5, 8, 76, -40, 89, -149, 16, -11, -17, -23, 41, 69, -214, 137, 285, -58, 12, -8, 31, 63, -34, 161, 447, 175, -191, 61, -12, 60, -12, -40, 36, 131, 73 },
{ -7, 69, -2, 86, 5, 7, -20, -27, -21, -33, -8, -9, 87, 45, -49, -46, -20, 84, -23, 32, 55, -115, 136, 211, 81, 14, -23, -21, 58, 72, 99, 349, 231, 89, -107, -28, -5, 34, 43, 64, -126, 87 },
{ 3, -20, 5, -17, 28, -1, 40, -6, 5, -17, 2, -23, 25, -16, 6, -12, 10, 21, 16, -47, 38, -58, 31, 13, 3, -20, -12, -19, -23, 51, 167, 101, -12, -20, -9, -17, 3, 24, 50, 37, -63, 278 },
{ 1, -15, 6, -16, 4, -9, 49, -10, 6, -13, 8, -9, 22, -8, 31, -17, 13, 9, -7, 40, -58, -57, 34, -9, 25, -20, 10, -18, 10, -21, 208, 155, 20, -22, 27, -24, 19, 8, -8, 41, -89, 307 },
{ 3, -19, 39, -13, 15, 5, -10, -6, 9, -9, 8, -21, 28, 28, -18, -12, 5, -7, -6, 63, -47, -85, 40, 16, 15, -18, 22, -13, 29, -27, 164, 269, 37, -28, 27, -17, 2, 16, -11, 32, -99, 294 },
{ 3, -23, 14, -24, 7, -6, 46, -4, 4, -13, -4, -8, 9, -23, 16, -18, 8, 19, 12, -32, 54, -62, 8, 24, 4, -27, -9, -18, 9, -63, 172, 76, -15, -15, -10, -18, 11, 8, 40, 79, -65, 385 },
{ 3, -18, 28, -15, 12, 9, -16, 3, 2, -12, 14, -10, 14, 5, 8, -12, 4, 8, 13, -30, 44, -66, -31, 24, 2, -19, -3, -19, 28, -39, 160, 126, 55, -27, 31, -19, 3, 25, -8, 72, -73, 376 },
{ -2, -6, 6, -13, 3, -4, -11, 34, -9, -12, 24, -10, 15, -5, 8, -9, 10, -10, 21, -23, 61, -83, -52, 38, 15, -16, -10, 26, -20, -15, 117, 229, 62, 60, -21, -6, -8, 9, 60, -33, -57, 371 },
{ -6, -5, 6, -11, 7, -13, 24, -19, 16, -7, 32, -9, 28, 19, -13, -24, -6, -2, -17, 15, 56, -108, -51, 45, 54, -8, 2, 32, -16, 56, 75, 298, 154, 79, -24, -15, -4, 11, 36, -50, -92, 335 },
{ 4, -17, -2, -14, 3, 10, 49, -5, 4, -16, -3, -10, 4, -5, 8, -24, 9, -5, 22, -31, 59, -21, -44, 26, 7, -21, -15, -24, 20, -74, 225, -70, 56, -18, -15, -23, 8, 6, 59, 68, -53, 472 },
{ 1, -8, 10, -15, 5, -6, -11, 49, -9, -8, -7, 15, 12, -17, 16, -9, 7, -4, 9, -21, 56, -46, -37, -15, 23, -21, 15, -28, 27, -48, 132, 102, 68, -15, 53, -20, -7, 36, -15, 68, -39, 453 },
{ 1, -6, 8, -22, -4, 14, -17, 45, -11, 8, -12, -14, 11, -6, 19, -9, 19, -21, 36, 11, 74, -68, -64, -23, 26, -22, 32, 13, -40, -27, 115, 165, 117, 56, 67, -27, 3, 29, -23, -46, 60, 396 },
{ -11, 29, 5, -17, -7, 8, -13, 33, -4, 11, -11, -16, 18, -20, 39, -26, -6, -24, 62, 14, 55, -32, -156, 10, 64, -6, 47, 13, -33, 104, 20, 199, 264, 113, 29, -33, -8, 26, -21, -107, 56, 315 },
{ 6, -28, 16, -26, 5, 52, -11, 42, 3, -18, -5, -17, 9, -13, 10, -22, 11, 5, -14, 61, -17, 24, -57, 10, 7, -22, -18, -30, -6, -60, 238, -63, 45, 26, -31, -18, -13, 19, 105, 22, 82, 472 },
{ 18, -16, 4, -7, -10, 12, 40, -7, -4, 8, -16, -5, 39, -16, 29, -17, 8, -18, 15, 11, 41, -11, -79, 22, -15, -22, 44, -62, 31, -77, 137, 59, 71, 8, 67, -11, -19, 64, -20, 70, 66, 457 },
{ -6, -10, -2, 7, 31, -4, 27, -14, -5, -15, 12, -19, 25, 27, -23, 18, -9, 30, -22, 19, 60, -16, -81, -66, 22, -17, 44, -23, -22, 34, 60, 79, 170, 56, 116, -26, -8, 28, -69, 67, 23, 446 },
{ -3, 26, 4, -13, -6, 5, -8, 12, -5, 4, -4, -19, 15, -17, 33, -32, 29, -30, 36, 12, 32, 51, -125, -73, 93, -13, 24, 13, -20, 81, -14, 121, 249, 133, 136, -43, -6, 20, -48, -82, 96, 397 },
{ 6, -8, -3, -20, 11, -12, 96, -10, 6, -15, -29, -11, 18, -6, 16, -25, 31, -27, 32, -14, 97, -14, -8, -29, 6, -48, -70, 60, -46, -26, 123, 70, -32, 60, -16, -31, 49, 25, 132, 68, 145, 433 },
{ 9, -30, 38, 4, 6, 26, -16, 9, -10, 15, -13, -12, 57, 11, -14, 22, -20, 9, 37, 31, -35, -21, 80, -67, -64, 23, -26, -62, 42, 14, 72, 59, 107, 87, 44, 142, -25, -31, 94, -14, 158, 415 },
{ 4, -19, 3, -17, 10, -14, 64, -7, 8, -3, -14, 6, -11, 19, -33, 6, 11, -18, 49, -73, 55, -105, 70, -29, 11, -20, -8, -4, -59, 88, 169, 169, -83, 17, -15, -20, 2, 3, 55, 29, -31, 204 },
{ 2, -13, 3, -14, 11, -13, 40, -9, 8, -15, -4, -7, 18, 18, -15, -9, 30, -7, 61, -18, -42, -56, 65, -13, 8, -10, -12, -5, -25, 33, 182, 208, -46, 17, -10, -21, 11, 5, 33, 21, -55, 221 },
{ 20, -16, 7, -15, 7, -10, 44, -15, 9, -7, -8, -4, 12, 38, -19, 15, 7, -5, 33, 25, -67, -64, 79, -14, 23, -10, -10, -9, -10, -6, 189, 304, -48, -11, -5, -13, -2, 6, 19, 28, -65, 215 },
{ -13, 4, -5, 4, -5, 14, -12, 14, -7, 16, 8, -11, 22, 40, -40, 36, 5, -13, -15, 40, -51, -109, 57, 37, -12, -13, 33, -10, 44, 30, 141, 405, 45, -70, 18, -5, -3, 8, -23, 45, -104, 190 },
{ -8, 5, 25, -15, 20, -20, 26, -14, 13, 1, -7, 27, 5, 12, -35, -10, -9, 6, -19, -7, 54, -128, 51, 58, 33, -15, 31, -13, 23, 15, 75, 375, 100, -66, 32, -24, 3, 14, 4, 48, -109, 255 },
{ -10, 4, -12, 25, 33, -11, 36, -13, -8, -8, -11, -18, 22, 78, -99, 49, 2, 7, 55, -7, -14, -145, 206, -78, -18, -6, 8, -30, 44, 77, 127, 544, -86, 68, 27, -8, 4, -9, -10, 17, -108, 198 },
{ -6, 4, -2, 18, 24, 5, -26, 46, -10, -7, 7, -21, 19, 31, -64, -14, 5, -13, -10, 32, 23, -169, 64, 168, -17, 4, 22, -13, 33, 84, 72, 441, 174, -109, 51, -20, -10, 9, -15, 43, -137, 224 },
{ -9, 3, 46, -14, -20, 6, 32, -17, 9, 3, 10, -20, 48, 25, 29, -68, -20, -7, -15, 47, -30, -67, -95, 79, 159, 20, 31, -6, -15, 89, 79, 331, 301, -68, -49, -21, -8, 14, 10, 68, -142, 271 },
{ -10, -5, 10, -1, 7, -7, -16, -11, 20, 7, -17, 33, 60, 69, -158, 46, 9, -9, 36, -47, 68, -174, 195, 140, -60, -5, 19, -35, 72, 100, 101, 556, 58, -98, 40, -13, 7, -9, -31, 46, -87, 191 },
{ -4, 7, -10, 4, -11, 45, -10, -27, 16, -15, 17, -20, 63, 65, -109, -24, 3, -13, 76, -33, 48, -180, 123, 211, 48, 9, -19, -36, 47, 139, 54, 444, 237, -110, -37, -8, 18, -9, 34, 63, -140, 141 },
{ 35, -1, -17, 8, -11, -23, 42, -29, 17, -34, 5, 75, -19, 50, -46, -54, 4, 44, -51, 87, 92, -163, 31, 158, 150, 38, -17, -11, 36, -44, 140, 363, 344, -27, -79, -18, 3, -11, 37, 142, -160, 152 },
{ -6, -3, 20, -25, 30, -12, -26, 52, -39, 39, 12, -16, 27, 48, -114, 136, 16, -51, 132, -75, 135, -206, 242, 73, -56, -12, 22, -30, 74, -70, 278, 541, -132, -75, 27, 11, -14, 18, -58, 63, 145, 115 },
{ 21, -20, 6, -18, 8, -11, 53, -11, 6, -18, 3, -12, 31, -12, 4, -14, 7, 16, 47, -20, -51, -30, 51, -8, 38, -16, -10, -19, -21, 34, 177, 74, -25, -5, -5, -17, 3, 3, 36, 41, -60, 208 },
{ 22, -17, 6, -17, 4, 22, -17, 23, 3, -13, 4, -18, 41, -11, 35, -17, 3, 9, -7, 39, -68, -38, -14, 39, 6, -6, -13, -19, 53, -23, 177, 125, 60, -23, -8, -10, 3, -9, 69, 31, -105, 266 },
{ 2, -15, 2, -15, 5, -8, 57, -10, 7, -9, 9, -14, 13, -6, 26, -20, 10, 3, 14, -47, 55, -58, 28, 13, 10, -21, -9, -27, 25, 25, 133, 74, 31, -27, -11, -17, 4, 17, 59, 46, -105, 267 },
{ 22, -14, 3, -12, 3, 20, -4, -11, 6, -7, 11, -19, 55, 19, -7, -11, 4, -6, 11, -21, 60, -123, 52, -8, 28, -19, 29, -19, 47, -20, 122, 238, 69, -17, 31, -17, 3, 19, -7, 30, -115, 287 },
{ 3, -16, 23, -18, 5, -6, 50, -7, 5, -15, -2, -11, 11, -12, 6, -9, 11, -3, 41, -30, 58, -52, 21, -7, 11, -20, -16, -11, 48, -31, 147, 50, 28, -11, -13, -22, 20, 7, 54, 33, -96, 343 },
{ 9, -11, 7, -17, 5, -10, 41, -15, 7, -10, 21, -14, 7, 17, -10, -5, 8, -6, 25, -16, 65, -89, 33, -15, 8, -5, -21, -15, 63, -37, 114, 141, 41, 22, -14, -10, 4, -10, 53, 31, -109, 359 },
{ 18, -15, -12, 6, 31, 2, 29, -14, -12, 3, -16, -14, 18, 26, 24, -7, 3, -14, 11, 47, -31, -63, -62, 42, 14, -21, 5, -12, 44, -39, 137, 167, 98, -32, 67, -22, 3, 38, -15, 76, -122, 366 },
{ 11, -8, 6, -9, 5, 20, -4, -14, 8, -13, 31, -13, 22, -12, 16, -18, 3, 18, -21, 33, 56, -98, -65, 42, 61, -21, 37, -14, 34, 58, 48, 305, 114, 91, -31, -15, 2, 7, 63, -30, -114, 302 },
{ 3, -21, 22, -16, 8, -5, 53, -6, 3, -21, -6, 4, -12, 10, -8, -10, 9, 21, 15, -36, 80, -29, -18, 17, 8, -25, -11, 18, -35, -42, 208, -43, 26, 25, -12, -25, 13, 6, 68, -31, 71, 368 },
{ 16, -20, 6, -13, 16, -3, 51, -13, 4, 3, -18, -9, 16, -16, 17, -7, 5, -3, 14, -15, 81, -59, -27, -22, 11, -23, 16, -31, 51, -49, 98, 114, 27, 50, 17, -17, 13, 12, -23, 91, -71, 434 },
{ -7, -8, 3, 4, 4, -11, 47, -16, -8, -7, 4, -15, 21, -22, 26, 5, 7, -17, 67, -16, 79, -56, -71, -22, 16, -14, -8, 16, -44, 55, 71, 151, 100, 80, 35, -14, 5, -8, 61, -78, 58, 356 },
{ -9, -6, 4, 5, -8, 44, -14, -16, 32, 6, 27, -9, -16, 19, 20, -18, 31, -38, 57, 31, 31, -76, -111, -24, 90, -21, 17, 11, -23, 130, 49, 194, 218, 112, 39, -32, 5, 8, 35, -78, -71, 379 },
{ -8, -8, 11, -7, 44, 12, -10, -25, 14, 7, -17, -21, 73, 19, 33, -56, -24, 78, -27, 50, 85, -80, -133, 51, 171, -11, -10, 21, -43, 141, 146, 212, 315, 142, -22, -43, -4, 25, 69, -72, -97, 341 },
{ 4, -20, -1, -14, 2, 23, 65, -8, 5, -7, -18, -4, 6, -13, 10, -18, 4, 24, -10, -13, 87, -18, -19, -13, 11, -27, 22, -59, 47, -62, 187, -33, 16, 51, -21, -17, -15, 60, 47, 15, 104, 443 },
{ -4, -8, 12, -19, 7, 23, -12, 34, -8, -11, -5, -18, 59, 18, -28, 19, 11, -13, 11, 19, 62, -44, -30, -30, -12, -24, 36, -53, 66, -51, 82, 104, 34, 47, 79, -14, -15, 65, -21, 48, 73, 453 },
{ -9, -6, 9, -9, -4, 10, -12, 40, -9, 5, -5, -13, 23, 17, -26, 29, 6, -24, 56, 14, -21, 81, -96, -33, -18, -16, 41, -14, -47, 82, 58, 62, 173, 80, 118, -15, -15, 67, -30, -37, 99, 451 },
{ -8, -11, 3, 4, 3, 7, -5, -13, 31, 4, -6, -9, 55, -25, 35, -27, 66, -17, -15, 28, 84, 30, -102, -85, 38, -22, 7, 58, -37, 134, -27, 173, 167, 124, 155, -49, 15, 24, -50, -81, 110, 395 },
{ -7, -5, 11, 3, -3, 18, -7, 8, -13, 9, -29, -7, 78, -48, 50, -43, -3, -10, 52, 16, 94, 29, -148, -30, 62, -24, 6, 28, -38, 97, 47, 119, 340, 220, 102, -50, 25, 15, -34, -87, 105, 317 },
{ 21, -36, -6, 7, 34, 16, -13, -17, 10, 7, -15, -10, 11, 12, 19, -95, -26, 76, -22, 82, 46, -16, -137, 87, 217, -4, -20, 16, -15, 64, 89, 297, 259, 160, -52, -39, -7, 34, 32, -70, 75, 228 },
{ 5, -10, 2, -24, 14, 44, -6, 55, -7, -20, -21, -18, 22, -6, 14, -21, 34, -27, 45, 17, 95, -25, -14, -20, 8, -40, -35, -48, 50, -46, 95, 71, -30, 59, -23, -21, 48, 23, 123, 60, 163, 436 },
{ 20, -31, 37, 1, 11, 6, 40, -14, -16, -10, -2, -16, 81, 10, -27, 26, 23, -27, 48, 41, -50, 85, -26, -30, -33, 9, -49, -28, -63, 88, 55, 50, 49, 32, 20, 82, -17, -23, 139, 35, 163, 451 },
{ -4, 29, -13, 5, 5, 8, -14, 10, -8, -17, 60, -17, 7, 73, -32, 33, 4, -22, 63, 22, -36, 80, 33, -118, -35, 19, -23, -42, -36, 75, 49, 61, 95, 111, 53, 141, -15, -50, 73, 73, 120, 423 },
{ -3, -20, 43, 3, 2, 3, 11, -10, -3, 6, -11, -13, 16, -17, 20, -23, -5, -14, 36, 15, 89, 52, -71, -131, 77, 23, -15, -11, -40, 81, 43, 34, 209, 140, 177, 77, -33, 64, -100, 73, 99, 458 },
{ 29, -22, 5, -16, 8, -11, 36, -11, 11, -6, -8, 10, 4, 11, -16, -6, 11, -10, 35, -67, 73, -89, 41, -15, 11, -22, -11, -7, -33, 65, 116, 147, -59, 17, -15, -18, 18, 6, 63, 22, -48, 154 },
{ 12, -17, 5, -16, 8, -8, 27, -13, 9, -10, -4, 5, 13, 11, -2, -16, 32, 4, 12, -51, 61, -86, 65, -6, 10, -5, -15, -19, 39, 29, 103, 202, -47, 39, -14, -17, 2, 3, 44, 27, -85, 183 },
{ -2, -10, 8, -11, 6, -4, -12, -3, 29, -5, -6, -7, 26, 43, -18, -3, 19, 9, -8, 46, -62, -77, 89, -18, 10, -4, -11, -13, 44, -17, 161, 255, -42, 45, -9, -14, 4, -8, 48, 15, -81, 199 },
{ 11, -14, 6, -12, 5, 25, -14, 32, -9, -4, -10, -11, 28, 46, -26, 15, 5, -9, 12, -7, -64, -78, 99, -21, 21, -6, 16, -13, 28, 68, 123, 386, -32, -23, 40, -17, -3, 11, -18, 44, -99, 164 },
{ -3, -15, 7, -3, 20, 10, -19, -9, 4, -17, 36, -17, 36, 48, -21, -7, 19, 9, -17, 14, -66, -93, 106, -4, 5, -7, 5, -20, 46, 64, 114, 351, 74, -47, 66, -20, 7, -5, -11, 45, -119, 210 },
{ -2, -4, 7, -7, 24, -14, 28, -15, 15, -4, 7, -13, 11, 16, -23, -19, 3, -2, -12, 23, 60, -132, 59, 34, 44, -12, 28, -22, 78, -26, 77, 365, 93, -25, -11, -13, 4, -9, 36, 24, -112, 274 },
{ -13, -4, 11, 14, 8, -10, -27, 11, -13, -4, -6, 39, 27, 76, -66, 98, -2, 10, -20, -16, -45, -125, 136, -49, -7, 5, 32, -19, 54, 129, 103, 507, -86, 59, -8, 7, -2, -10, -12, 43, -91, 145 },
{ -5, -7, 7, -7, 3, -3, -10, -14, 16, 19, -16, 29, 56, 36, -81, 63, 20, -7, 6, -25, 51, -135, 75, 74, -16, -18, 13, -27, 15, 100, 75, 485, 56, -69, 84, -20, 22, 5, -18, 62, -116, 196 },
{ -3, -13, 6, -6, 36, 8, -14, 32, 5, -14, 5, -18, 13, 24, -45, -29, 2, 30, -21, 12, 26, -114, 64, 169, -10, 4, -12, -6, 56, 58, 74, 430, 124, -88, 63, -28, 13, 4, 22, 28, -120, 224 },
{ -2, -9, 5, 5, -3, 60, -11, -23, 9, -16, 20, -29, 59, 31, -24, -44, 6, -9, -20, 47, 51, -74, -70, 58, 129, -25, 53, -16, 77, -49, 176, 322, 237, -43, -43, -18, 34, 6, 7, 105, -150, 308 },
{ -16, 13, 17, -8, -6, -13, -21, 40, -16, 17, 14, -21, 37, 92, -92, 124, 3, -19, 76, 16, -49, -129, 173, 54, -43, -5, 13, -12, -35, 132, 175, 543, -71, -75, 38, 35, -7, 13, -52, 46, 43, 158 },
{ 2, -14, 10, -9, -8, 17, -15, -11, 29, 10, -13, -5, 80, 48, -104, 60, -3, -9, 32, -45, 22, -187, 154, 152, -55, -14, 26, -38, 52, 168, 180, 509, 55, -86, 41, -4, 27, 4, -49, 75, -144, 166 },
{ -4, -8, 2, 7, 10, -12, 33, -33, 17, -6, 13, -25, 52, 76, -77, -34, 14, 12, -28, 34, -52, -155, 85, 243, -14, 6, -18, -32, 59, 150, 161, 438, 199, -123, 101, -34, -3, 53, -5, 55, -162, 160 },
{ 3, -11, 12, -17, 27, 21, -12, -26, 22, -49, 58, -18, 39, 31, -28, -53, 9, 61, -24, 37, 112, -83, -50, 221, 130, 6, -33, 27, -44, 93, 169, 285, 350, -55, -83, 39, 25, -34, 42, 131, -159, 219 },
{ -5, -14, 27, 17, 12, 9, -49, 25, -15, 10, -26, 75, -48, 61, -134, 86, 25, -28, 12, 45, 126, -163, 236, 85, -73, -16, 39, -33, 63, -46, 227, 528, -39, -83, 61, 49, 8, 22, -93, 59, 100, 134 },
{ -8, -11, 13, -23, 11, 28, -14, -40, 21, -10, -17, -8, -44, 80, -159, 62, -8, 19, 93, 67, 133, -175, 179, 145, -87, 9, 33, -53, 66, -53, 189, 560, 37, -129, 43, 24, 6, -42, -46, 67, 122, 149 },
{ 8, -25, -7, 8, -10, 26, 5, -35, 20, 22, -17, -36, -22, 68, -94, -39, -37, 18, 59, 76, 128, -153, 123, 236, -59, -17, 10, -57, 62, -50, 163, 460, 196, -181, 109, -13, 68, -8, -33, 58, 123, 102 },
{ 25, -5, 23, -18, 24, 100, -19, -12, -37, -28, 15, -24, 30, 84, 63, -89, -13, 14, -24, 28, -31, -36, -32, 260, 114, 11, -30, -13, 24, 56, 185, 300, 270, -76, -86, 80, -38, 38, 40, 113, -127, 211 },
{ 14, -18, 10, -10, 5, 13, -21, 20, 5, -12, 10, -23, 54, -12, 12, -19, 4, 9, -4, 44, -84, -19, 35, 14, 6, -19, 24, -26, 57, -15, 184, 29, 46, -27, 7, -10, 20, 9, -24, 66, -112, 219 },
{ 21, -9, 9, -16, 6, 17, -18, -9, 10, -9, -9, -10, 40, 51, -8, -7, 6, -9, 27, 30, -77, -44, 75, -12, 8, -6, 6, -9, 42, -14, 165, 120, -31, 58, -7, -9, -3, 10, -22, 47, -105, 205 },
{ 26, -13, 6, -20, 2, 20, -15, 4, 13, -20, 24, -11, 31, -8, 7, -13, 9, 5, 33, -17, -46, -33, 25, 4, 12, -17, -10, -22, 52, 6, 144, 45, 63, -24, -14, -11, 4, -3, 73, 51, -119, 241 },
{ -4, -9, 12, -15, 2, 21, -13, -6, 19, -10, 8, -15, 32, 7, -7, 3, 7, 7, -11, 50, -54, -61, 61, -17, 8, -10, 13, -20, 60, -24, 153, 107, 57, -22, 53, -19, 11, 10, -21, 55, -130, 276 },
{ -4, -9, 10, -8, -5, 22, -14, -9, 4, -8, 7, -17, 31, 15, -6, 19, 5, -8, 9, 54, -45, -94, 64, -21, 9, -21, 38, -13, 66, -33, 142, 185, 102, -22, 57, -24, 24, 9, -20, 44, -133, 274 },
{ 21, -16, 6, -13, 6, -11, 53, -11, 5, -21, 40, -20, 16, -14, 8, -8, 11, -4, 19, -42, 71, -50, 41, -9, 8, -25, -15, 28, -22, 22, 96, 49, 56, -14, -10, -17, 27, 5, 37, 44, -94, 279 },
{ -2, -11, 10, -5, 40, -2, -10, -6, -6, -4, -5, -15, 20, 18, 16, -13, 9, -12, 5, 46, -37, -43, -27, 21, 11, -11, -8, -10, 54, -39, 127, 101, 86, -13, 35, -22, 5, 29, -7, 98, -101, 317 },
{ -7, -7, 5, 4, 47, -18, 45, -17, -8, -6, 30, -3, -10, 34, -11, 9, 5, -15, 10, -8, 80, -121, 45, -34, 9, -19, 30, -9, 65, -44, 103, 198, 91, 34, 23, -10, 5, -4, -6, 64, -122, 355 },
{ -4, -7, 12, -20, 62, -13, 52, -21, 9, -13, 9, -12, -19, 39, -10, 15, 4, -16, 52, 9, 67, -118, -42, -25, 94, -4, -2, 28, -32, 103, 59, 254, 97, 93, -16, -7, 7, -15, 64, -35, -104, 309 },
{ 36, -23, 6, -14, 3, 43, -11, 25, -5, -11, -11, -8, 15, -16, 7, -11, 9, 6, 15, -31, 94, -35, -18, 7, 4, -18, -13, -24, 64, -45, 114, 33, 44, -23, 38, -29, 3, 28, 24, 119, -75, 379 },
{ -2, -8, -6, 10, 34, 32, -7, -7, -7, -13, -17, -6, 16, -14, 28, -10, 7, 8, 77, -30, 90, -62, -23, -17, 8, -32, 34, -32, 26, -39, 96, 102, 39, 75, -8, -9, 3, 64, -15, 106, -91, 420 },
{ -12, -5, 4, 4, 42, -17, 56, -19, -11, 8, -4, -7, -8, 36, -13, 19, -8, -8, 18, -17, 102, -91, -31, -38, 30, -3, -4, 20, -57, 87, 64, 162, 62, 111, 10, -19, 6, -11, 64, -77, 92, 313 },
{ -11, -11, 10, 4, -6, 8, -15, -19, 40, 6, 55, -29, 26, -33, 41, -24, 24, -14, 90, 19, 72, -82, -80, -35, 95, -20, -15, 25, -38, 177, 63, 174, 171, 130, 43, -25, 6, 5, 52, -70, -79, 370 },
{ -9, -3, -11, 10, 2, 44, -5, -14, 63, -5, 15, -34, 20, -28, 42, -38, 14, -20, 101, 18, 130, -59, -150, 37, 183, -26, -22, 31, -30, 111, 138, 242, 245, 103, -56, -21, -8, 25, 74, -60, -104, 335 },
{ 3, -30, 58, -17, 8, -5, 81, -8, 4, -7, -18, -9, 9, -12, 11, -20, 14, -14, 22, -21, 107, -22, -15, -13, 10, -20, 34, -23, -38, -30, 119, 42, -36, 53, -10, -14, -6, 19, -20, 113, 92, 396 },
{ 1, -35, 49, 5, 6, -3, 56, -18, -6, -11, -10, 59, -8, 23, -30, 20, 13, -15, 20, -19, 117, -39, -32, -23, -12, -41, 63, -12, -67, 37, 83, 63, 39, 64, 62, -16, 3, 84, -17, -23, 141, 444 },
{ -6, -5, -8, 12, 5, -19, 103, -23, -15, 13, -24, 90, -20, 16, -15, 34, 41, -30, 27, -16, 118, -26, -72, -37, -17, -26, 70, -19, -51, 89, 50, 72, 149, 119, 95, -14, 8, -13, 61, -69, 106, 435 },
{ -21, -7, 22, 7, 10, 13, -21, -16, 45, 10, 31, -23, 61, -43, 45, -13, -8, -10, 81, 27, 119, -23, -119, -57, 47, -30, 25, -16, -51, 197, 59, 92, 206, 95, 143, -36, 9, 38, -23, -82, 95, 399 },
{ -9, -6, 7, 9, 5, -38, 7, -9, -7, 13, -11, -20, 22, -24, 44, -27, 22, -12, 107, -31, 120, 37, -150, -49, 130, -25, 12, 22, -13, 128, 72, 104, 306, 251, 40, -40, 8, 39, -39, -93, 112, 315 },
{ 4, -13, -7, -3, 16, -10, 82, 6, -17, -17, -7, -8, 8, -11, 6, 4, 36, -30, 9, 81, 5, 67, -30, -30, 6, -20, -33, -34, -69, 30, 120, 56, -17, 53, -29, -9, -28, 162, 18, 165, 118, 423 },
{ 7, -8, 9, -17, 14, -6, 52, -5, -13, -23, -21, 17, 99, -5, -26, 36, 14, -9, 40, -29, 107, -35, 44, -59, -22, 12, -41, -18, -99, 129, 80, 37, 35, 65, 15, 101, -13, -25, 95, 75, 156, 479 },
{ 2, -6, -8, 9, -5, 20, -15, 47, -11, -17, 80, -30, 21, -11, -19, 40, -11, 21, -20, 28, 100, -16, -32, -47, -53, 28, -24, -42, -46, 124, 19, 65, 135, 65, 35, 148, -13, -47, 153, -33, 152, 440 },
{ -6, 19, -11, 4, -35, 67, 16, -9, -10, 9, 12, -25, 14, 11, -22, 22, -5, -11, -10, 24, 129, 17, -52, -97, -34, -11, 59, -62, -39, 53, 79, 90, 180, 121, 215, 63, -17, 69, -82, 68, 99, 439 },
{ 11, -12, 6, -14, 7, -8, -11, -4, 50, -9, -8, 38, 33, 17, -9, -10, 12, -15, 24, -32, -60, -39, 77, -14, 12, -13, -16, 45, -25, 37, 144, 87, -30, 56, -16, -10, 1, 8, 37, 27, -70, 157 },
{ -3, -5, 11, -14, 2, 5, -25, 13, 5, -5, -4, -10, 42, 31, -9, -4, 5, -10, 10, 39, -81, -61, 93, -16, 9, -8, 2, -12, 63, -32, 174, 195, -44, 71, -7, -11, 18, 7, -17, 40, -102, 215 },
{ -3, -11, 8, -5, 22, 3, -17, -8, 6, -5, 9, -14, 41, 62, -22, 7, 5, -5, -15, 33, -73, -83, 94, -22, 24, -13, 21, -4, 63, 64, 118, 338, -45, 60, 29, -22, 12, 6, -16, 30, -112, 190 },
{ -2, -18, 10, -7, 10, 35, -15, -10, 4, -3, 7, -16, 38, 6, 26, -11, 6, -7, -15, 50, -35, -120, 64, -11, 70, -7, 12, -10, 42, 72, 81, 318, 136, -26, 24, -25, 2, 4, -4, 74, -108, 227 },
{ -7, -9, 17, -9, 5, 25, -14, -11, 23, -13, 12, -17, 22, 13, 21, -18, 6, -15, 50, -30, 88, -115, -71, 99, 90, -16, 4, 10, -17, 100, 76, 288, 145, -63, 74, -43, 43, 7, -10, 85, -119, 256 },
{ -6, -10, 12, 4, -2, 9, -16, -16, 6, -4, 12, -20, 39, 72, -53, 11, 29, 37, -23, 15, -57, -86, 66, -17, -11, -18, 17, -16, 16, 166, 89, 416, 102, -53, 24, 30, -6, 5, -37, 58, -120, 148 },
{ -15, -6, 5, 5, 56, -10, -7, -23, 15, -16, 53, -13, 16, 33, -32, -21, 8, -11, 49, -29, 87, -135, 63, 107, 27, -14, -8, -10, 15, 103, 100, 442, 90, -63, 23, -15, 29, 7, 16, 28, -117, 223 },
{ 2, -9, 8, -10, 6, 50, -10, -22, 15, -20, 37, -5, -5, 27, 20, -41, 6, -11, -16, 75, 28, -95, -74, 60, 166, -9, 61, -12, 31, -30, 177, 345, 183, -58, -22, -14, -3, 22, -28, 146, -140, 298 },
{ -10, -14, 10, 41, 51, -16, -13, -4, 13, 14, 11, -19, 31, 58, -83, 110, 56, -14, -11, 14, -35, -117, 121, 55, -34, -29, 17, -13, -16, 146, 97, 497, -52, -65, 32, 38, -7, 18, -53, 56, -23, 271 },
{ -3, -28, 7, 2, 23, -7, -8, -10, 15, -9, 19, -24, 44, 52, -110, 66, 7, 12, -27, 27, -21, -137, 123, 125, -35, -35, 24, -14, 32, 182, 153, 499, 75, -90, 41, -7, 43, 16, -36, 60, -98, 192 },
{ -11, -7, 37, 7, -4, 4, 28, -31, 23, -3, 33, -19, 46, 54, -60, -27, 5, 15, -22, 26, -28, -124, 32, 265, -16, -20, -10, -16, 18, 164, 187, 424, 168, -108, 105, -21, 3, 56, -13, 47, -133, 205 },
{ 4, -8, 8, -28, 4, 19, 63, -12, -25, 5, -15, -16, 61, 46, 97, -63, -17, 67, -12, 27, -35, -69, -78, 132, 144, 9, -23, -19, 74, 123, 177, 356, 269, -73, -67, 51, 29, -28, 43, 91, -121, 257 },
{ -12, -14, 25, -5, 20, -25, -21, -17, 18, 14, 9, 59, -14, 44, -131, 97, -10, -16, 69, 36, 103, -124, 164, 81, -52, 37, 40, -32, -19, -36, 227, 512, -23, -79, 49, 66, 3, -32, -59, 51, 144, 164 },
{ -8, 95, -45, 10, -14, 29, -22, 104, -22, 12, -22, -14, -58, 91, -134, 43, -16, 24, -16, 31, 22, -156, 155, 114, -80, -12, 37, -42, 81, 154, 197, 473, 133, -124, 72, 24, -16, 59, -54, 65, -71, 163 },
{ -43, 18, 33, 11, -11, -36, -12, -30, 16, -6, 9, 105, -33, 51, -53, -29, -66, 22, -40, 46, 71, -146, 109, 272, -70, 10, -17, -17, 45, -102, 233, 463, 152, -135, 162, 21, 33, -14, -51, 84, 162, 84 },
{ -3, -12, 10, -4, 2, 20, -23, 16, 3, -11, 2, -13, 46, -15, 8, -8, 6, -4, 23, 57, -82, 50, -15, 9, 3, -8, 7, -11, 69, -16, 146, 21, 67, -16, 12, -6, -2, 14, -26, 56, -102, 172 },
{ -5, -10, 6, 4, 2, 20, -18, -10, 15, -13, 8, -10, 38, 57, 8, -7, 4, 6, -9, 76, -76, -28, -15, 36, 5, -5, -5, -12, 83, -22, 149, 64, 83, -16, 20, -6, -6, 13, -25, 61, -117, 178 },
{ -3, -5, 9, -11, 4, 9, -17, -3, 6, -17, 22, -12, 34, -13, 12, -12, 4, 5, -6, 66, -66, 54, -25, 14, 3, -9, 15, -18, 78, -15, 123, 15, 38, -25, 31, -7, 12, 12, -25, 63, -118, 208 },
{ -6, -10, 7, 4, 20, 13, -15, -7, -4, -6, 5, -16, 31, 33, 18, -10, 3, 6, -6, 61, -49, -41, -20, 30, 6, -7, 2, -15, 78, -24, 116, 80, 99, -18, 33, -8, -3, 14, -27, 62, -133, 231 },
{ -5, -4, 7, 2, -6, 8, -19, -6, -4, -2, 6, -18, 38, 29, 24, -9, 6, -10, 11, 52, -52, -60, -33, 41, 4, -6, 22, -10, 100, -33, 115, 152, 130, -19, 35, -6, -4, 13, -24, 55, -149, 263 },
{ 15, -16, 8, -7, 2, 4, -17, 6, -4, -5, 3, -14, 22, -10, 9, -10, 10, -14, 20, -34, 96, -43, 39, -8, 4, -11, -9, 15, -18, 35, 78, 25, 76, -10, -7, -16, 21, 7, 18, 145, -90, 256 },
{ -2, -7, 11, -11, 2, 5, -22, 28, -6, -7, 5, -18, 38, -9, 24, -9, 7, -7, 7, 60, -36, -41, -22, -12, 9, -6, -11, -11, 91, -45, 105, 76, 89, 46, -10, -5, 4, -6, 31, 111, -112, 311 },
{ -10, -5, 3, 7, -5, 7, -10, -15, -8, -4, 35, -14, 16, 21, 17, 5, 4, -9, 16, -10, 76, -97, -22, -24, 32, -17, 40, -22, 115, -51, 94, 145, 59, 49, 31, -8, 2, 5, -11, 96, -126, 327 },
{ -4, -10, 5, 12, 3, 7, -8, -21, -8, -8, 35, -21, 23, 20, 29, -5, 9, -14, 24, -7, 101, -116, -41, -21, 91, -11, 11, -37, 114, -50, 95, 223, 95, 64, -10, -10, 4, 8, -17, 47, -141, 353 },
{ 22, -12, 7, -6, 4, 11, -12, -4, 4, -5, -16, -16, 13, 9, -25, 24, 14, -11, 17, -14, 89, -38, 34, -18, 11, -22, -16, -13, 77, -49, 110, -14, 103, -7, -10, -14, 2, 8, 31, 156, -96, 371 },
{ 14, -11, 10, -17, 4, 8, -15, 45, -11, 2, -13, -13, 23, -20, 25, 5, 3, -10, 34, -24, 75, -50, -27, -22, 10, -21, 38, -11, -40, 70, 51, 88, 86, 93, -8, -10, -5, 15, -17, 150, -93, 388 },
{ -3, -22, -6, 14, 31, 5, 27, -17, -12, 10, -11, -11, -9, 30, 20, 11, -7, -12, 29, -19, 95, -86, -35, -26, -8, -12, 17, -10, -47, 118, 37, 167, 54, 68, 87, -13, 20, 13, -28, 105, -96, 383 },
{ -16, -11, 5, 10, -5, 16, -13, -8, -13, 9, 83, -37, 32, -29, 55, -8, 5, -34, 51, -14, 113, -92, -62, -38, 101, -30, -11, 36, -69, 198, 82, 167, 115, 186, 57, -30, 7, 7, 67, -56, -64, 355 },
{ 2, -19, 15, -23, 16, 8, -13, -15, 7, 15, 50, -30, 20, -43, 49, -21, -24, -22, 23, 81, 28, -69, -94, -46, 192, 8, -17, 39, -43, 241, 67, 210, 193, 143, -28, -35, 10, -8, 54, -145, 111, 252 },
{ 5, -33, 54, -10, 9, -5, 74, -6, 3, -15, -9, -9, 15, -23, 52, -14, 12, 8, 11, -10, 93, -24, -4, -8, 13, -16, -7, -13, -47, -27, 117, 56, -22, -15, 53, -17, 29, 12, -25, 101, 116, 352 },
{ -2, -36, 72, 6, 29, 13, -15, -5, -13, -17, 40, -23, 24, -14, 24, 11, 7, -11, 21, -10, 106, -37, -36, -13, -11, -6, -23, 75, -57, -41, 102, 61, 43, 68, 79, -13, 5, -8, 83, -45, 174, 419 },
{ 1, -10, -3, 7, 2, 10, -5, 30, -17, -14, 71, -23, 15, -18, 27, 18, 38, -8, 25, -22, 160, -23, -80, -21, -17, -30, 13, -9, -58, 124, 32, 79, 86, 67, 113, -20, 7, -7, 84, -77, 153, 422 },
{ -21, -2, 4, 6, 56, -37, 21, -5, -12, 15, 77, -23, 65, -52, 45, 11, -10, -13, 146, 29, 84, -20, -113, -53, 47, -51, 39, -20, -51, 216, 69, 80, 184, 217, 74, -41, 10, 47, -26, -65, 70, 396 },
{ -50, -13, 11, 3, 5, 9, -19, -13, -23, 35, -31, -9, 37, -53, 58, -21, 11, -17, 72, 11, 24, -32, -104, -61, 205, -59, 5, 10, 28, 179, 65, 127, 247, 315, 62, -58, 11, 20, -35, -125, 198, 331 },
{ 4, -6, -9, 15, 14, 7, -9, 42, -12, -12, -13, -8, 10, 33, -11, 10, 25, -23, 28, -13, 96, 29, -20, -25, 4, -22, -36, -21, -76, 55, 125, 74, -15, -6, -21, 22, -15, 117, 15, 119, 175, 460 },
{ 16, -9, -7, 8, 11, 17, -14, 24, -13, -19, -8, -15, 83, 10, -15, 31, 12, 32, -16, 20, 103, -30, -24, -25, -20, 9, -29, -31, -73, 23, 119, 102, -19, 64, 26, 71, -21, 78, -20, 118, 167, 448 },
{ 1, -10, -3, 10, 11, -8, 70, -8, -16, 7, -15, -11, 42, 18, -30, 53, -6, -9, 13, 30, 72, -14, -31, -50, -45, 12, 24, -47, -57, 23, 89, 75, 93, 65, 25, 184, -13, -15, -50, 117, 154, 444 },
{ -13, 15, 3, 2, 3, -4, -8, -9, 54, -14, 15, 81, -22, 12, -15, 29, 10, -22, -12, 23, 55, 86, -13, -153, 44, -15, 28, -14, -28, -13, 31, 119, 121, 141, 295, -44, 5, 82, -50, -44, 125, 444 },
{ -4, -13, 13, -5, 2, 37, -27, -5, 7, 6, -14, -8, 46, 64, -5, -3, 4, -7, 6, 71, -82, -57, 106, -9, 9, -6, -5, -6, 65, -31, 153, 161, -50, 89, -8, -5, -4, 15, -23, 46, -97, 175 },
{ -3, -5, 12, -6, 4, 3, -25, 29, -7, -8, 3, -12, 40, 34, 14, -5, 14, 8, -13, 93, -73, -51, -25, 57, 4, -7, 5, -13, 82, -23, 143, 138, 96, -26, 9, -9, -2, 13, -29, 64, -135, 209 },
{ -5, -8, 14, -8, 2, -2, -26, -10, 7, -15, 7, -11, 57, 79, -11, 26, 3, 2, -7, 28, -85, -90, 136, -14, 4, -4, 21, -10, 45, 107, 130, 304, -73, 34, -9, 2, -5, 11, -25, 50, -108, 167 },
{ -4, -10, 7, 4, -3, 6, -20, -15, 4, -5, 13, -22, 40, 33, -18, 8, 2, 2, -10, 20, -66, -110, 103, -17, 70, -6, 32, -6, 134, -39, 156, 244, 124, -43, 17, -13, -3, 17, -38, 68, -136, 222 },
{ -5, -1, 8, 4, -10, 4, -17, -17, 5, 1, 28, -14, 27, 30, 40, -9, 13, -8, 7, 33, -39, -110, -24, 51, 40, -4, 25, -7, -9, 134, 78, 279, 176, -27, -10, 3, 3, -12, 28, 36, -135, 231 },
{ -10, -6, 8, 3, 37, 8, -12, -12, -4, -8, 9, -26, 17, 15, 26, -13, 3, 10, -7, 17, 119, -121, -51, 57, 62, -10, 30, -8, 26, -69, 94, 268, 122, -41, 75, -29, 6, -8, -7, 46, -127, 308 },
{ 14, -6, 7, -6, -7, 12, -28, 14, -8, 13, 7, -12, 38, 71, -23, 11, 2, 3, -12, 10, -79, -86, 182, -34, 8, 2, -6, -10, 14, 158, 114, 413, -59, 59, 30, -10, -5, 12, -20, 41, -107, 157 },
{ -3, -7, 9, -12, 36, 9, -18, -11, 11, -7, 11, -23, 40, 25, -36, 22, 6, 4, -19, 14, -61, -102, 155, -14, 59, -18, 30, -12, 10, 181, 85, 381, 136, -57, 17, -14, -2, 16, -29, 67, -138, 198 },
{ -6, 1, -4, 10, -13, 52, -6, -38, 18, 55, 7, -16, 20, 47, -19, -22, -26, 14, -16, 17, -30, -143, 106, 96, 46, 4, 39, -7, 43, 173, 67, 371, 90, -56, 44, -12, -3, 7, -14, 44, -136, 231 },
{ -7, 26, -7, 9, 43, -15, 8, -32, 8, -11, 5, -12, 43, 37, 13, -28, 11, -10, -12, 19, -13, -107, -64, 109, 103, -12, -16, 16, 34, 120, 127, 360, 125, 100, -37, -13, 65, -10, 44, -53, -88, 266 },
{ 26, -7, -10, 6, -16, 19, -16, -8, -7, -8, 14, -37, 34, -36, 50, -34, 17, -20, 105, 12, 118, -66, -120, 57, 218, 26, -41, 55, -40, 106, 52, 270, 186, 97, -54, -21, -5, 13, 63, -138, 113, 219 },
{ -5, -26, 14, -4, 26, -12, -12, -8, 14, 62, -11, 26, 13, 22, -76, 89, -6, 11, -15, -6, -17, -97, 117, -35, -10, -6, 8, -31, 36, 119, 240, 456, -76, 104, -19, 67, -12, 14, -29, 53, -120, 209 },
{ -14, -23, 10, -4, 42, -16, 68, -22, 21, -6, 59, -17, -11, 53, -83, 10, -3, 20, -26, 43, -37, -96, 85, 135, -35, -26, 8, -12, -9, 173, 160, 475, 131, -77, 34, -1, 32, 8, -37, 61, -96, 188 },
{ -23, 69, 5, 4, -9, 59, -17, -31, 22, 7, 10, -8, -12, 57, -48, -18, -11, 48, -22, 36, -16, -136, 109, 251, -15, -25, 44, -14, 71, 158, 174, 448, 134, -71, 69, -21, 3, 48, -16, 36, -114, 218 },
{ -70, 12, 56, 8, -7, 4, -13, -38, 26, -15, 39, 58, -20, 36, 58, -61, 11, -14, 108, -14, 49, -69, -78, 115, 171, 2, -25, -18, 25, 155, 223, 345, 233, -57, -63, 38, 38, -38, 51, 79, -144, 282 },
{ -6, -7, 14, -6, -20, 11, 14, -22, 12, 13, -5, -27, 21, -25, 34, -50, 11, -11, 29, 13, 125, -40, -108, 41, 215, -10, -14, 17, -20, 52, 96, 312, 215, 108, -65, -17, -9, 18, 42, -97, 45, 246 },
{ -23, -7, 16, 43, 33, -12, -17, -18, 19, 47, 6, 17, -28, 55, -121, 142, 11, -49, 113, 22, -46, -123, 198, 148, -36, -15, -26, 45, -21, 277, 329, 455, -98, -57, 62, -23, -12, 38, -60, 35, -33, 149 },
{ -4, -8, 16, -25, 20, -12, 46, -31, 30, -9, -14, -17, -60, 77, -136, 34, 86, 23, 47, 39, -32, -110, 135, 128, -60, -5, -35, -32, 45, 203, 240, 472, 79, -91, 46, -13, -7, 24, -44, 68, -77, 190 },
{ -36, -4, 21, 9, 78, -41, 16, -43, 33, -6, -17, 24, -36, 66, -82, -30, -6, 20, -41, 58, 185, -99, 130, 256, -69, 16, -25, 51, -43, -60, 295, 423, 151, -141, 172, 20, -7, -17, -36, 23, 265, 128 },
{ -28, -15, 38, -35, -24, 18, -23, -19, 30, 165, 111, -41, 18, 32, -33, -73, -54, 51, -17, 17, -35, 14, -41, 227, 54, 14, -21, -41, 64, 64, 241, 356, 265, 139, -116, 56, -12, -9, 65, -20, -120, 141 },
{ -7, 29, 24, -24, -33, -18, 7, -21, 28, 18, 10, 9, -25, 20, -41, -72, 12, -22, -26, 13, -14, -54, 207, 205, 143, -8, -23, -24, 45, 117, 173, 338, 285, -86, -54, 24, 5, 101, 21, 14, -89, 202 },
{ -7, -3, -69, 10, 53, 25, -11, 32, -15, -28, -14, 30, 8, -70, -10, 38, 53, -17, 31, 19, 22, -17, -35, -57, -30, -13, 37, -45, 50, -130, 177, -40, 111, 141, 167, -40, -6, 21, -44, -31, 116, 481 },
{ -3, -3, 8, -2, 15, 13, -19, 9, 14, -8, 7, -13, 37, -10, 8, -8, 2, 9, -10, 37, -71, 69, -16, 15, -3, -4, 2, -18, 34, -20, 105, 16, 80, -17, 15, -2, -3, 9, -22, 52, -79, 115 },
{ -4, -3, 10, -6, -1, 2, -21, 20, -1, -4, 4, -10, 31, -11, 11, -7, 17, 6, -6, 95, -56, 68, -16, 8, 9, -6, 5, -15, 33, -21, 94, 62, 31, -20, 46, -9, -3, 12, -27, 56, -100, 148 },
{ 1, -12, 8, -7, 6, 34, -15, 30, -5, -12, -6, -7, 21, 41, 8, -4, 2, -2, 10, 56, -41, -26, 51, -8, 5, -6, 7, -14, 112, -38, 102, 39, 87, -17, 8, -6, -4, 12, -32, 62, -112, 179 },
{ -1, -6, 9, -4, 3, 5, -16, -4, 2, -9, 4, -15, 27, -10, 11, -8, 15, 10, -4, 98, -46, 67, -16, 9, 1, -7, 5, -22, 43, -32, 94, -11, 43, -21, 33, -5, -3, 14, -28, 65, -117, 198 },
{ -4, -4, 6, 3, 4, 17, -13, -8, -6, -7, 2, -14, 24, 47, 16, -4, 5, -4, 6, 22, -35, -32, -12, -7, 8, -14, 38, -11, 107, -32, 82, 48, 44, -17, 48, -6, -5, 18, -35, 64, -127, 202 },
{ -5, -1, 5, 8, -5, 7, -18, -12, -6, -7, 11, -23, 32, 13, 22, -9, 2, 5, -10, 27, -52, -45, -33, 74, 4, -6, 40, -13, 53, -49, 99, 98, 63, -24, 69, -6, -4, 14, -29, 61, -141, 229 },
{ 6, -5, 6, -6, 1, 3, -13, 7, -3, -2, 3, -14, 18, -11, 10, -12, 8, -13, 15, -20, 112, -29, 40, -7, 8, -11, -4, -11, 111, -41, 77, -10, 37, -7, -4, -11, 23, 8, -7, 73, -100, 245 },
{ -3, -7, 6, 4, 5, 47, -14, -7, -9, -2, -4, -10, 17, 12, 8, 6, 7, -16, 10, 87, -25, -31, -13, -14, 56, -4, -6, -7, 111, -52, 77, 39, 116, 53, -7, -4, -3, 9, -11, 67, -112, 270 },
{ -5, -6, 24, 12, -2, 13, -16, -14, -11, -7, 9, -26, 24, 25, 15, 8, 17, 2, -11, 33, -31, -64, -27, -21, 58, 1, -10, 10, 113, -68, 92, 99, 66, 88, -12, 46, -7, 8, -14, 54, -129, 307 },
{ -4, -5, 2, 8, 4, -6, 8, -22, -10, 3, 30, -11, -10, 39, 26, -7, 5, -10, 6, 19, 126, -108, -46, 100, -8, -8, 5, -10, 18, -73, 88, 188, 112, -27, 131, -18, -1, 7, -18, 64, -121, 307 },
{ 28, -13, 61, -17, 5, 8, -6, 71, -9, -6, -5, -17, 10, -11, 7, -11, 12, -15, 20, -5, 100, -22, 5, -10, 9, -27, -8, -10, 98, -66, 91, -33, 43, -13, 17, -15, 30, 9, -18, 82, -96, 331 },
{ -3, -8, 14, -5, 6, 45, -8, -11, -2, -6, -7, -12, 7, 14, 15, -6, 8, -8, 22, -3, 96, -51, -7, -16, 10, -18, 26, -20, 119, -74, 88, 34, 89, 75, -21, 6, 5, -19, 68, 55, -110, 384 },
{ -15, -7, 8, 5, -5, 19, -22, 21, -15, 19, 3, -30, 29, -12, 44, -20, 21, -7, 15, 11, 26, -69, -28, -22, 50, -9, 11, -17, 113, -87, 97, 87, 99, -11, 138, -16, 3, 8, -24, 65, -123, 416 },
{ -12, -19, 3, 7, 35, -13, 6, -15, -11, 6, 60, -21, 20, -26, 60, -19, 13, -37, 44, -16, 122, -80, -54, -28, 90, -8, -32, 42, -64, 217, 39, 186, 115, 176, 107, -30, 5, 10, 64, -49, -55, 343 },
{ -81, -72, 13, 8, -5, 46, 8, -17, -5, -4, 29, -42, 28, -41, 50, -42, 8, -17, 16, 12, 49, -70, -57, -53, 171, -15, 8, 28, -45, 65, 143, 240, 179, 113, 119, -38, -90, 26, 94, -93, -33, 306 },
{ 3, -33, 80, -15, 8, 53, -9, 11, -3, -10, -17, -11, 14, -15, 7, -6, 10, 9, 19, -9, 38, -19, 29, -20, 15, -14, 4, -14, -61, 21, 128, 67, -65, 53, 39, -18, 32, 13, -31, 94, 179, 264 },
{ -4, -27, 88, -4, 6, 58, -16, 4, -11, -7, -16, -3, 80, -15, 22, 9, 33, 6, 29, -11, 135, -34, -16, -20, 6, 4, -12, 63, -55, -36, 59, 60, -22, 65, -22, 66, 4, -15, 97, -53, 104, 340 },
{ -3, -8, -10, 14, -7, 17, 51, -14, -8, 10, -10, -25, 72, 30, -21, 29, 58, -20, 31, 16, 58, -45, -25, -29, -12, -14, -17, 47, -95, 143, 35, 77, 37, 67, 154, -22, 8, -7, 14, -85, 84, 394 },
{ -8, -17, -5, 11, 43, 7, -10, 12, -13, 5, 103, -23, 16, -18, 31, 18, 10, -33, 37, -10, 33, -61, -60, -65, 47, -26, 22, 33, -81, 219, 66, 91, 136, 302, 183, -38, 14, 4, -14, -69, 42, 371 },
{ -32, -10, -7, 10, -10, 17, 11, -29, 6, 21, 13, -18, -11, -108, 54, -15, -9, -19, 37, -6, 45, -60, -63, -80, 147, -13, 28, -42, -18, 80, 110, 209, 183, 217, 154, -38, 5, 19, -21, -110, 135, 314 },
{ 4, -8, -5, -13, 10, 13, -12, 10, -2, -13, -26, -13, 81, -5, 10, -10, 23, -21, 23, 6, 62, -24, 44, -38, 12, -14, -11, -23, -85, 25, 107, 99, -27, -24, 12, -11, -9, 145, -21, 85, 167, 387 },
{ 1, -12, -4, 7, 16, 14, -12, -2, -13, -10, -25, 45, 82, 10, -16, 28, -5, 34, 11, 11, 47, -10, -27, -15, -15, 12, -17, -35, -54, -14, 141, 90, 19, -21, 115, 28, -18, 85, -31, 68, 111, 466 },
{ -10, -5, 12, 4, 12, -4, -8, 59, -13, -14, 14, -21, 32, 11, -23, 41, -13, 11, -16, 32, 73, 21, -60, -24, -35, -14, 46, -42, -37, -50, 55, 69, 73, 73, -11, 235, -15, 2, -40, 75, 127, 503 },
{ -4, -6, -6, 19, 79, 6, -18, -14, -6, -13, 57, 27, 24, 3, -19, 33, 23, -30, -11, 34, 11, 25, -26, -98, -15, -33, 42, -26, -59, 52, 56, -33, 177, 121, 185, -66, 9, 18, -79, 59, 65, 461 },
{ 20, -8, -2, 17, -6, 11, 31, 7, -2, -5, 11, -19, -9, -6, 5, -5, -1, 9, -17, 26, 20, 51, -9, 5, -3, -8, 10, -16, 26, -40, -25, -12, 45, -10, 36, 24, -4, 12, -4, -2, 52, -12 },
{ -6, -6, 10, -6, -1, 6, -26, 36, -3, -4, 5, -16, 45, -12, 12, -6, 1, 5, -9, 23, -80, 85, -26, 10, 27, -4, 37, -15, 53, -42, 120, 50, 92, -14, 30, -4, -5, 11, -24, 47, -90, 141 },
{ -4, -5, 8, 3, 4, 21, -20, -12, 4, -6, 3, -15, 37, 21, -10, 40, -4, 5, -8, 46, -61, -62, 141, -13, 5, -4, 6, -17, 27, -48, 126, 117, -35, 75, 28, -10, -3, 17, -36, 56, -96, 145 },
{ -4, -4, 3, 8, 25, 4, -20, -6, -8, -3, 2, -10, 33, 61, 20, -7, -5, 7, -8, 134, -51, -42, -30, 96, 4, -6, 5, -20, 34, -53, 120, 89, 54, -24, 72, -7, -5, 13, -28, 61, -132, 189 },
{ -4, -7, 14, 2, -5, 12, -34, -6, -8, 13, 6, -20, 49, 16, 79, -4, 5, -11, 6, 98, -58, -95, 155, -12, 8, -5, 9, -23, 35, -51, 131, 232, -65, 51, -17, 28, -7, 12, -25, 51, -100, 167 },
{ -6, -4, 14, -8, -11, 78, -22, 46, -12, -4, 11, -20, 33, 22, 82, 44, 3, 4, -11, 24, -53, -83, -27, 64, 6, -10, 29, -25, 40, -67, 133, 201, 155, -32, 71, -12, -4, 18, -27, 75, -146, 215 },
{ -3, -4, -3, 14, -5, 13, -15, -24, -7, -5, 13, -30, 33, 34, 18, -7, 1, 35, -9, 34, -50, -93, -41, 100, 34, -15, 32, -11, 54, -49, 113, 199, 83, -35, 86, -9, -4, 9, -19, 55, -145, 248 },
{ -3, -14, 16, 38, 62, 9, -24, -12, -15, -10, 15, -30, 49, 102, 87, -18, 5, 7, -14, 28, -51, -117, 87, -15, 10, -9, -4, -11, 29, -64, 149, 346, -79, 158, -17, 40, -3, 11, -21, 46, -99, 201 },
{ -6, -6, 17, -11, -9, 60, -14, -19, 13, -5, 12, -21, 34, 33, -20, 49, -13, 3, 48, 16, -57, -122, 147, -19, 55, -1, -6, -5, -18, 74, 94, 337, 149, -41, 13, -12, -2, 14, -31, 74, -127, 174 },
{ -13, 5, -6, 15, -4, -17, 60, -37, 8, -9, 8, -20, 22, 43, 67, -11, -15, 86, -16, 27, -51, -117, -40, 187, -10, 7, -5, -6, 69, 196, 80, 329, 95, -40, 37, -27, -7, 68, -16, 48, -151, 241 },
{ -4, -7, 12, -20, 60, -14, 22, -23, 7, 22, 11, -19, 12, 26, 27, -26, 7, -9, 64, 21, -14, -96, -73, 110, 122, -5, -12, 12, -18, 165, 158, 319, 154, -33, -24, 5, 3, -14, 20, 24, -117, 289 },
{ -6, -115, 10, -16, 88, 98, -8, -9, -7, -7, 14, -34, 30, -79, 44, -20, 19, -18, 44, 10, 162, -80, -73, -39, 242, -10, -21, 37, -16, -23, 77, 304, 166, 108, -59, -9, 7, -20, 52, -105, 62, 223 },
{ -2, -28, 14, -9, 30, -14, -12, 35, 8, -3, 11, -17, 36, 56, -48, 127, 56, -44, 59, -59, -39, -67, 81, -25, -18, -19, 8, -16, 19, 80, 282, 447, -67, 121, 17, 8, -6, 12, -33, 38, -109, 193 },
{ -3, -20, 11, -7, 65, -5, -13, -16, 24, -20, 7, -12, 21, 24, -45, -21, -11, 17, 83, -13, -18, -90, 72, 62, -25, 8, -11, -31, 16, 176, 220, 429, 146, -80, 42, -14, -3, 18, -30, 66, -112, 221 },
{ 50, -8, -21, 6, -5, 7, 8, -30, 15, 101, -22, -11, -25, 56, -35, -26, -9, 20, -21, 41, 127, -117, 59, 273, -21, 7, -10, -20, 27, -42, 205, 402, 96, -47, -7, 7, -6, 80, -14, 41, -107, 259 },
{ 8, -5, -8, 7, 61, -18, 13, -49, 29, 114, 11, -26, 11, 42, 39, -51, -36, 47, 113, 36, -40, -81, -76, 114, 110, 10, -28, -25, 45, 80, 100, 364, 185, 121, -78, 14, -6, -9, 58, -8, -124, 263 },
{ 11, -16, -42, 24, 19, 16, -26, 12, 69, 8, -31, 18, -17, 39, -110, 240, -16, 13, 72, -19, -26, -122, 160, -47, 162, 69, 34, -68, 41, 188, 166, 420, 52, -30, -71, 44, -17, -64, -26, 87, -86, 368 },
{ 4, -66, -31, 21, 45, 6, 12, -36, 39, -9, -31, -25, -24, 55, -117, 126, 10, 13, -22, 39, 64, -99, 125, 92, -35, 5, 29, -27, 18, -73, 238, 446, 64, -96, 33, -3, -26, 13, -25, 31, 70, 183 },
{ -36, 16, 2, 9, -10, 63, 40, -50, 44, -12, -42, 18, -27, 91, -127, 168, 15, 14, 24, 18, -32, -68, 27, 404, -48, 13, -18, -29, -71, 159, 333, 379, 214, -92, 126, 23, -5, -18, 29, 68, -144, 185 },
{ -4, -136, 52, 4, 28, -29, 25, -42, 33, 129, -7, 18, -16, 39, -35, -53, 8, -24, -26, 14, 44, -112, 82, 193, -22, 12, -15, -36, -24, 72, 19, 328, 235, -51, -130, 15, -8, -11, 25, 12, -74, 192 },
{ -2, -3, 4, -4, 19, 1, -8, 18, 2, -4, 3, -12, 16, -12, 50, -4, -2, 4, -3, 25, -20, 20, -5, 5, 6, -21, 11, -13, 25, -16, 86, -9, 22, -14, 14, -6, -3, 6, -14, 24, -32, 110 },
{ -2, -4, 3, -2, 2, 13, -7, 17, -1, -6, 4, -13, 12, -12, 7, -3, 18, 4, -2, 25, -11, 64, -8, 4, 3, -7, 6, -16, 32, -24, 71, -6, 29, -14, 12, -7, -1, 8, -18, 32, -46, 138 },
{ -2, 18, -3, 5, 2, -3, -5, -7, -2, -4, 6, -12, 9, 21, 11, -7, 1, 6, -9, 41, -11, -14, -14, 33, 33, -4, 8, -21, 26, -40, 87, 46, 117, -10, 4, -3, -6, 11, -28, 47, -77, 101 },
{ -2, -4, 20, 1, 3, 14, -2, -6, 2, -6, 3, -12, 55, -6, 7, -6, 4, 3, 24, 34, 74, -6, -4, 3, 3, -7, 4, -18, 43, -34, 66, -13, 43, -14, 11, -7, -3, 13, -25, 48, -82, 129 },
{ -3, -3, 2, 2, 22, 5, -7, -6, -4, -8, 8, -17, 51, 4, 10, -3, 20, 6, -7, 9, 71, -22, -6, -4, 53, -9, 9, -21, 27, -45, 65, 22, 128, -12, 66, -7, 22, 10, -27, 52, -99, 146 },
{ -3, -2, 4, 5, -2, 17, -12, -5, -6, -7, 10, -15, 17, -11, 26, -8, -2, 5, -10, 11, 85, -32, -25, 90, -6, -5, 12, -21, 33, -55, 70, 58, 55, -17, 53, 3, -3, 70, -25, 54, -115, 167 },
{ -1, -7, 50, -10, 3, 6, -8, 1, -1, -4, 3, -19, 17, -17, 7, -6, 8, -7, 10, 13, -17, 77, 43, -6, 10, -6, 21, -16, 49, -55, 56, -38, 54, -15, 27, -8, -3, 117, -19, 45, -97, 204 },
{ -4, -5, 50, 5, 3, 7, -11, -4, -8, -4, 5, -22, 19, -9, 14, -5, 5, -8, 13, 6, 89, -30, 58, -11, 5, -8, 7, -14, 46, -59, 52, 67, 45, -13, 97, -9, -4, 14, -32, 58, -122, 238 },
{ -6, -4, 28, 12, -7, 17, -14, -10, -11, 4, -7, -9, -10, 30, 8, 8, 32, -7, 10, 16, 101, -53, -16, -15, 60, -8, 5, -11, 51, -64, 49, 59, 79, -17, 99, -8, -5, 14, -30, 57, -133, 262 },
{ -5, -5, -5, 12, -4, 13, -2, -17, -15, 1, 59, -21, -7, 37, 20, 9, 3, 60, -14, 33, 153, -88, -32, -18, 94, 9, -7, -10, 33, -92, 71, 131, 130, -31, 140, -12, -9, 12, -20, 53, -144, 296 },
{ -3, -7, 5, -3, 9, 4, -8, 3, 3, -7, -7, -16, 13, -12, -3, -9, 10, -16, 20, 6, 95, -11, 16, -8, 9, -10, -5, 11, -18, -36, 59, 63, -20, 17, -6, -10, 22, 8, -19, 204, -37, 275 },
{ -2, -9, 9, 36, -4, 21, -25, 8, -11, -2, -3, -31, 31, -13, 11, 5, 3, -4, 10, 36, -37, 77, -13, -13, 5, -3, 3, -7, 117, -85, 84, -27, 83, -11, 86, -10, -6, 13, -33, 101, -107, 329 },
{ -6, -11, 89, 9, -4, 25, -21, -4, -14, -7, 7, -39, 29, -7, 22, 9, 51, -5, 11, 35, -24, -23, -28, -20, 52, -9, 9, -9, 48, -87, 79, 38, 59, 143, -11, 38, -4, 10, -27, 73, -114, 368 },
{ -17, -8, -4, 10, 18, 4, 14, -7, -18, -13, 18, -40, 25, -13, 39, 10, 9, -13, 21, 31, 55, -54, -48, -41, 107, -1, -12, 21, -19, -45, 97, 137, 122, 274, -21, -6, 3, -10, 27, -35, -78, 335 },
{ -86, 10, -6, 9, -8, 22, 26, -14, -14, -21, 31, -50, 41, -27, 68, -20, 18, -18, 9, 15, 27, -78, -38, -51, 173, -6, -20, 36, -21, -20, 94, 189, 177, 122, -30, -10, 5, -10, 40, -62, -70, 307 },
{ 4, -10, 6, -11, 11, 9, -15, 6, 5, -20, -19, -8, 11, -4, -14, -4, 9, -7, 36, -7, 126, -19, 22, -17, 12, -2, -14, 36, -54, -28, 47, 39, -50, 36, -19, 2, 62, -17, 106, -17, 233, 247 },
{ -3, -13, 16, -6, 3, 23, -26, 26, -14, 34, -7, -35, 34, -12, 19, -6, 6, -8, 16, 42, -39, 81, -15, -11, 8, -12, 6, -14, 109, -103, 111, -32, 33, 115, -16, 66, -6, 11, -32, 93, -95, 435 },
{ -2, -14, -11, 16, 52, 11, 14, -11, -10, 7, -11, -28, 38, 25, -24, 24, 27, -21, 32, 21, 30, -36, -16, -18, -9, -3, -21, 47, -62, -55, 76, 36, 45, 151, 175, -18, 10, -13, 40, -72, 87, 349 },
{ 3, -8, -23, 7, -4, 19, 19, -22, -7, 9, 24, -32, 36, 33, -18, 35, 22, -32, 48, -29, 26, -83, -30, -54, -7, -10, -15, 47, -80, 79, 76, 67, 102, 420, 69, -43, 6, 17, -28, -90, 56, 324 },
{ 64, -10, -9, 4, 10, 13, -11, -32, -7, -16, 45, -24, 28, -60, 49, -29, 12, -11, -5, 32, -15, -33, -120, 72, 247, 6, -32, 41, -28, -19, 103, 254, 220, 79, -58, -6, -7, -31, 62, -67, -33, 296 },
{ 1, -10, 5, -21, 12, 13, -20, 9, 3, -27, -26, 18, 21, 9, -14, -20, 14, -12, 43, -16, 18, -16, 77, -23, 11, 4, -19, -12, -78, 26, 76, 55, -46, 24, -24, 6, 78, -23, 103, 144, 86, 290 },
{ 4, -13, 11, -49, 16, 12, -12, 106, -10, -11, -23, -13, 50, 11, -19, 18, -21, 1, 51, -12, 16, -26, 23, -14, -9, 8, 7, -16, -101, 111, 49, 43, -17, 80, -6, 119, -17, 44, -23, 31, 132, 426 },
{ -53, -14, 7, 13, 14, 19, 120, -13, -12, -16, -10, -16, 59, -7, -129, 33, -11, 21, 22, -13, 21, -27, -11, -36, -20, -10, 44, -32, -90, 44, 45, -46, 91, 76, -15, 236, -18, 24, -44, 17, 126, 457 },
{ -5, -2, 6, -8, 4, -2, -11, -3, 3, -6, 4, -11, 21, -7, 9, -4, -1, 9, -4, 101, -27, 58, -9, 6, -1, -4, 11, -14, 28, -22, 88, 20, 54, -10, 35, -21, -4, 6, -12, 21, -32, 104 },
{ -3, -5, 8, -1, 2, 1, -11, -7, 18, -3, 4, -12, 19, 31, 4, -5, 1, 3, -4, 28, -20, -21, 58, -5, 3, -4, 4, -12, 34, -26, 84, 40, -15, 17, -7, 3, -4, 6, -12, 25, -36, 110 },
{ -4, -6, 6, 2, -3, 12, -16, -12, 36, -6, 11, -28, 31, 51, 6, -4, -5, 13, -24, 49, -67, 84, -29, 11, -4, -4, 11, -28, 49, -78, 96, 63, 58, -17, 26, -4, -6, 11, -26, 44, -80, 108 },
{ -3, -8, 55, 5, -5, 15, -16, -7, -4, -7, 14, -27, 24, 55, 13, -7, -5, 11, -21, 38, -39, -20, -16, 63, 4, -5, 12, -28, 47, -78, 83, 76, 54, -24, 96, -6, -4, 11, -29, 56, -96, 137 },
{ -5, -4, 43, 8, -5, 8, -10, -10, -8, -9, 9, -16, 9, 14, 18, -11, 52, 30, -10, 13, 87, -50, -16, 57, 4, -5, 8, -16, 28, -49, 84, 80, 161, -18, 111, -9, -7, 14, -32, 62, -116, 162 },
{ -8, -9, 9, 7, 29, 12, -21, -21, 3, -4, 8, -29, 43, 24, 84, -15, -4, 66, -9, 30, -54, -79, 159, 68, 4, -3, 11, -24, 33, -66, 107, 157, -55, 156, -17, 4, -5, 8, -25, 46, -69, 125 },
{ -7, -9, 7, 8, 56, 10, -17, -14, -12, -10, 10, -28, 26, 32, 101, 3, -5, 15, -22, 46, -51, -58, -30, 45, -10, -6, 17, -38, 55, -88, 107, 125, 207, -29, 15, -4, -3, 12, -41, 76, -124, 180 },
{ -6, -9, 70, 12, 47, 10, -12, -23, -10, -12, 11, -27, 19, 37, 14, 40, 23, 7, -13, 38, -30, -78, -33, 107, -8, -4, 10, -29, 49, -79, 89, 135, 89, -35, 18, -6, -7, 13, -33, 65, -139, 211 },
{ -5, -16, 15, -6, -3, 45, -14, -18, 9, -5, 10, -23, 35, 28, 84, -20, -7, 19, -21, 36, -54, -118, 190, 156, -7, -9, 13, -30, 40, -71, 132, 305, -93, 46, -14, 6, -5, 6, -26, 51, -76, 173 },
{ -8, -4, 5, 7, -3, 12, -13, -39, 11, -11, 15, -31, 34, 38, 92, -23, 3, 75, -13, 33, -38, -131, 223, 64, -15, -15, 19, -30, 50, -72, 108, 293, -81, 143, 8, -16, 4, 13, -29, 48, -101, 203 },
{ 1, -10, 4, 6, -8, 11, -5, -21, -6, 58, 16, -34, 17, 34, 19, -13, -6, -9, 68, 27, -20, -94, -44, 239, -14, 56, 6, -21, 24, -29, 92, 275, 242, -40, 17, -12, -8, 8, -21, 57, -131, 241 },
{ -6, -5, -10, 15, -7, 16, 31, -26, -9, -5, 9, -37, 12, 25, 41, -21, 6, 1, 113, 37, -12, -89, -71, 90, 97, -16, -8, -21, 35, -32, 94, 264, 163, -51, 141, -20, 17, 9, -5, 43, -127, 283 },
{ 3, -47, -9, 6, -9, 11, 29, -15, -7, -11, 21, -48, 28, 7, 41, -19, 11, -12, 5, 16, 10, -85, -51, -38, 204, 6, -23, 22, -9, -28, 93, 258, 178, 212, -28, -10, 38, -16, 48, -36, -84, 285 },
{ -3, 3, 9, 4, 2, -15, -15, -18, 11, -7, 79, -16, 42, 39, -32, -15, -7, 15, 113, 24, -92, -89, 275, 202, -18, -10, 6, -19, -33, 122, 109, 404, -77, -19, 15, -4, -17, 13, -34, 58, -75, 150 },
{ 3, -9, -12, 10, -10, 17, -17, -6, -16, 7, 6, -18, 22, 25, 160, -34, -11, 4, 101, -25, 54, -139, 74, 247, -29, -20, 26, -41, 66, -71, 109, 341, 79, -51, 32, 22, -4, 5, -40, 61, -111, 192 },
{ 3, 3, -14, 9, -5, 4, 46, -21, -9, -10, 29, -40, 22, 39, 125, -21, 5, -10, -14, 37, -25, -82, -40, 313, -22, 2, 21, -25, 38, -42, 269, 384, 118, -47, 13, -2, -4, 59, -21, 49, -128, 263 },
{ 4, 11, -24, 17, -9, -8, 19, -42, 13, 91, 27, -48, 21, 33, 21, -31, -40, -9, 63, 27, -14, -93, -54, 66, 151, 11, -24, -12, 7, -26, 118, 331, 214, -38, -33, -8, 37, -11, 39, 39, -111, 289 },
{ -26, -23, 10, 67, 34, -11, -25, 33, 11, -35, -14, 55, 20, 25, -81, 317, -15, 10, 40, -49, -13, -104, 145, -34, -22, 10, 30, -46, 50, 120, 194, 374, 103, 123, 36, 43, 3, -76, -38, 42, -148, 185 },
{ 2, -36, 9, -9, 22, -13, 9, -27, 26, -3, 19, -11, 29, 27, -61, -19, -27, 67, -30, 17, -48, -61, 125, 94, -18, 28, -39, 33, -14, 125, 221, 481, 71, -48, 39, -16, -4, 21, -32, 53, -90, 170 },
{ -24, 42, -31, 83, 8, -38, 52, -56, 38, 6, 6, 27, -28, 87, -88, -30, -20, -69, -30, 51, -49, -67, 218, 236, -65, -5, -82, 38, -37, 123, 201, 363, 127, -95, 15, 19, -103, 57, -31, 76, -142, 233 },
{ -9, 13, -6, 8, -17, -46, 98, -34, 20, 8, -22, 55, -12, 57, -55, -70, 9, -34, -15, -20, 144, -94, 89, 156, 93, -12, 10, -27, 11, 52, 26, 405, 171, 102, -89, 14, 11, -16, 59, -42, -77, 148 },
{ 14, -8, 28, -2, -2, 9, -8, 14, 29, -5, 8, -18, 47, -15, 6, -5, -1, 8, -10, 21, 85, 34, -4, 4, -1, -4, 8, -20, 29, -50, 56, -31, 20, -14, 7, -6, -4, 16, -10, 16, -21, 89 },
{ -2, -8, 43, -5, -31, 6, -2, 12, 3, -5, 8, -12, -5, -12, 13, -6, 11, 6, -10, 20, 32, 8, -4, 5, -2, -8, 10, -22, 31, -52, 51, -29, 45, -9, 7, -5, -3, 73, -13, 21, -27, 114 },
{ 5, -3, -2, -5, -4, 7, 29, -6, 6, -4, 10, -23, 25, -8, 7, -4, -4, 9, -15, 30, 65, 22, -12, 65, -2, -3, 8, -19, 31, -56, 47, -12, 52, -15, 8, -3, -4, 81, -13, 17, -27, 113 },
{ -2, -8, 13, -7, 18, 8, -6, 2, 24, -6, 3, -15, 13, -13, 3, -5, 2, 4, -6, 19, 88, 9, -5, 4, 4, -6, 7, -18, 27, -52, 50, -32, 51, -12, 43, -8, 33, 62, -14, 24, -38, 151 },
{ 2, -7, -5, 57, -3, 12, 48, -10, -4, -10, 10, -23, -9, 8, 11, -5, 27, 8, -14, 32, 36, -14, -17, 54, 2, -8, 9, -27, 44, -76, 68, 38, 72, -19, 27, -5, 37, 6, -20, 42, -79, 115 },
{ 0, -7, 67, -15, 3, 7, -5, -3, 8, -8, 4, -19, 6, -15, 3, -5, 3, 5, -5, 22, 56, 8, -4, 5, 5, -6, 3, -12, 21, -55, 55, -26, 45, -17, 46, -7, -3, 122, -17, 30, -52, 221 },
{ -2, -7, 10, 1, -3, 14, -7, -3, -3, -6, 12, -30, 10, -10, 8, -2, 7, -4, -6, 29, 105, -6, -10, 7, -3, -9, 19, -10, 27, -69, 74, -17, 64, -19, 128, -9, -4, 18, -31, 48, -95, 178 },
{ 15, -7, -4, 6, 8, 13, -8, -11, -10, -6, 5, -24, 49, 12, 15, -6, 33, 5, -12, 31, 29, -23, -17, 42, 2, -6, 16, -15, 34, -72, 67, 28, 68, -25, 148, -9, -7, 13, -28, 56, -113, 200 },
{ 53, -9, -13, 9, 80, 17, -8, -12, -8, -10, 32, -25, 22, 17, 31, -14, 6, 4, -12, 39, 82, -50, -36, 136, 3, -6, 19, -25, 41, -100, 65, 57, 104, -17, -11, 7, -5, 27, -23, 56, -124, 248 },
{ -4, -6, 3, 1, 9, -16, 61, -7, 7, -15, -10, -12, 9, -6, -7, -5, 5, -12, 15, 13, 68, -3, 14, -12, 10, -9, 16, -11, 16, -47, 65, -12, -14, 52, -6, -8, 2, 92, -17, 203, -28, 254 },
{ -2, -6, 9, -3, 45, 17, -22, 8, -3, -9, 8, -40, 21, -9, 5, -5, 7, -6, 66, 45, -22, 102, -14, 4, 2, -4, -8, 4, 29, -77, 51, -22, 159, -9, 99, -10, -4, 12, -23, 88, -86, 271 },
{ 2, -12, 4, 42, 3, 28, -26, 14, -18, -9, 33, -40, 23, -16, 18, 6, 7, -14, 51, 47, -17, -14, -12, -21, 23, -5, -7, 13, 37, -95, 66, 26, 71, -10, 144, -11, -4, 12, -24, 77, -96, 309 },
{ 1, -9, -6, 10, 21, 18, 16, -10, -17, -14, 10, -26, 20, 17, 17, 15, 9, 41, -18, 44, 16, -46, -25, -31, 9, -22, -6, -18, 36, -103, 69, 56, 120, 319, -31, 8, 3, -16, 17, 63, -120, 331 },
{ 12, -191, 34, -72, 41, -13, 13, 33, -18, -24, 27, -37, -107, 23, -128, 33, 15, -18, 71, 12, 38, -47, -42, -51, 175, 6, -19, 20, -12, -75, 65, 94, 206, 120, -33, 30, -25, -8, 38, -45, -79, 298 },
{ -1, -7, 6, -9, 11, 6, -9, 4, 7, -15, -16, -20, 22, -10, -10, -5, 5, -22, 32, -16, 29, -5, 26, -7, 5, 3, -10, 15, -51, -14, 67, 16, -65, 24, -13, 4, 82, -18, 119, -22, 289, 193 },
{ -2, -6, -21, 7, 10, 6, 91, -12, -7, -19, 92, -33, 16, 88, 8, -10, 3, -13, 13, 33, -15, -9, -2, 2, 2, -15, 10, -13, 106, -92, 64, 91, -22, 39, -11, 93, -4, 7, -30, 112, -103, 394 },
{ 7, -14, 11, -4, 21, 15, -10, 38, -10, -4, -7, -22, 37, 17, -19, 17, 15, -29, 40, -10, 21, -39, 18, -18, -6, -11, -20, 42, -45, -36, 57, 50, -34, 95, 211, -19, 5, 10, 52, -72, 90, 321 },
{ 6, -6, -17, 7, -5, 8, 47, 6, -21, -9, 21, -36, 54, 16, -17, 38, 12, -23, 14, 12, 13, -45, -49, -55, -13, -13, -64, 30, -14, -80, 83, 54, 64, 220, 55, -41, 14, -45, 32, -107, 91, 343 },
{ -82, 5, -22, 15, 43, -16, 31, 10, -17, -8, 24, -44, 15, 11, 12, 35, 12, -19, 55, -65, 44, -68, -57, -122, 107, -14, 18, -108, 10, -75, 107, 61, 175, 113, 77, -39, 21, -34, 67, -136, 31, 261 },
{ -1, -11, 4, -4, 12, 72, -15, 10, -9, -18, -23, 7, 13, 52, -11, -12, -22, 16, 25, 12, -32, 11, -3, 13, -4, 3, 6, -22, -53, -26, 82, 57, -32, -22, 16, 7, 120, -19, -21, 91, 172, 264 },
{ 5, -18, 9, -5, 42, 16, 143, -7, -4, -18, 79, -29, 111, 11, -8, 8, -52, 3, 19, 33, -22, -4, -71, 19, -11, -14, 17, 11, -111, 45, 70, -26, -17, 13, 91, 99, -9, 62, -13, -33, 140, 432 },
{ 5, -19, 9, -12, 15, -10, 99, 23, -7, -11, 120, -15, -8, 51, -121, 16, -11, 19, -104, 31, 2, -7, -63, -28, -30, -14, 37, -35, 53, -123, 83, 105, 10, 103, 64, 186, -4, 20, -86, 43, 82, 448 },
{ 3, -14, 7, -12, -37, 43, -14, 28, -24, 23, 20, -34, 116, -9, -45, 42, -23, -108, 45, -15, 36, -8, -22, -39, -39, 23, 19, -25, -27, -53, 39, 48, 62, 106, 192, -50, 11, -12, 63, -71, 114, 452 },
{ -2, -5, 49, 38, -3, 10, -7, -7, 3, -5, 10, -20, 9, -5, 64, -2, -4, 7, -16, 31, -10, 36, -15, 5, -3, -7, 10, -21, 32, -53, 63, -10, 43, -15, 15, -2, 16, 16, -10, 15, -20, 84 },
{ 13, -6, 7, -5, -7, 12, -13, -3, 42, -7, 12, -22, 10, 50, 3, -4, 22, 7, -17, 34, -14, -7, -8, 44, 3, -10, 9, -22, 38, -59, 81, 58, 21, -7, -3, -4, -2, 7, -10, 16, -26, 96 },
{ 3, -4, -5, 28, -6, 14, -5, 12, -7, -9, 16, -27, 5, -9, 14, -6, 24, 9, -18, 30, 127, -11, -15, 11, 44, -9, 8, -24, 43, -69, 70, 43, 52, -13, 68, -3, -5, 8, -18, 30, -53, 75 },
{ -4, -12, 30, 5, -4, 15, -13, -17, 4, -2, 8, -23, 77, 27, -14, 55, -4, 13, -18, 39, -13, -48, 145, -10, 65, -11, 11, -25, 36, -61, 110, 96, -48, 22, -12, 4, -2, 9, -17, 25, -43, 79 },
{ -5, -7, 47, 7, -21, 17, -10, -18, -7, -4, 31, -16, -4, 20, 14, 17, -5, 16, -18, 32, 27, -44, -27, 74, 55, -13, 15, -35, 49, -73, 108, 82, 182, -23, 29, -11, -5, 19, -34, 56, -81, 107 },
{ -5, -6, -6, 9, -2, 10, 7, -18, -11, -6, 13, -25, -7, 24, 13, -6, -3, 9, -19, 38, 122, -47, -26, 36, -9, -3, 100, -17, 38, -68, 83, 89, 238, -19, 11, -11, -8, 18, -33, 58, -103, 159 },
{ -4, -9, 51, 8, 3, 17, -14, -12, -13, -14, 14, -26, 54, 29, 14, 8, 6, 4, -12, 38, -4, -56, -28, -17, 94, -1, -5, -15, 25, -68, 104, 111, 125, -24, -14, 77, -8, 11, -20, 57, -114, 217 },
{ 5, -4, -10, 10, -3, 10, -4, -24, 8, -7, 9, -18, 16, 34, -9, -23, 23, -55, 88, -15, 61, -116, 106, 10, 8, -19, 20, -37, 56, -69, 79, 218, -70, 45, -27, 84, 11, 6, -25, 48, -69, 128 },
{ 3, -6, -4, 10, -8, 15, -7, -25, -11, -10, 117, -16, -7, 60, 26, -15, 35, 16, -12, 32, 35, -127, 196, 65, -5, -8, 14, -39, 45, -87, 73, 228, -74, 48, -15, 5, -13, 12, -24, 44, -67, 152 },
{ -4, 31, -9, 16, -6, 12, 7, -34, 6, -12, 11, -35, 13, 37, 23, -14, 3, 69, -16, 42, -26, -72, -49, 86, -17, -6, 10, -16, 33, -57, 127, 210, 273, -39, 21, -15, -3, 17, -41, 70, -119, 213 },
{ -6, 2, -10, 20, -6, 71, 12, -34, -5, -24, 18, -26, -5, 38, 32, -12, 30, 15, -21, 42, -5, -77, -58, 192, -15, -55, 112, -20, 31, -69, 122, 197, 164, -49, 21, -12, -10, 8, -21, 51, -121, 267 },
{ -2, 3, -13, 9, -19, 47, 45, -24, -5, -128, 17, -40, 32, -31, 48, -14, 6, 76, -11, 19, 12, -51, -59, -39, 231, 4, -27, 26, -156, -40, 91, 205, 198, 87, -31, -16, 63, -45, 45, -29, -89, 304 },
{ -18, 9, 6, 46, -12, 9, -16, -12, 40, -10, 13, -16, 12, 36, -22, -19, 12, 16, -22, 31, -31, -85, 117, -20, 9, -3, -7, -20, 28, -46, 154, 348, -79, 64, -27, -9, -5, 17, -21, 48, -70, 182 },
{ -2, 5, -10, 9, -5, -10, 6, -33, 16, -91, 18, -28, 11, 44, -17, -21, -6, 135, -10, 19, -5, -105, 92, 75, -31, -4, 17, -30, 45, -63, 98, 357, -78, 49, 16, -15, -7, 13, -40, 49, -89, 219 },
{ 16, -6, -2, 9, 2, -10, 8, -24, -12, -21, 28, -39, 19, 34, 25, -15, 4, 22, -34, 49, -30, -69, -58, 132, -40, -19, 30, -27, 53, -75, 407, 320, 115, -44, 25, -13, 5, 15, -19, 47, -96, 216 },
{ 5, -15, -6, 17, -5, -6, 26, -27, 5, -13, 26, -44, 76, 24, 22, -14, 13, -11, -11, 38, 25, -102, -53, 243, -14, -2, -14, 5, -9, -34, 112, 285, 216, -51, 11, -17, 17, 8, -7, 33, -104, 252 },
{ -3, -55, 39, -8, -22, 36, -16, -32, 58, 17, 65, -28, 14, 39, -21, 20, -10, -19, -64, 26, 24, -37, -89, -62, 118, -39, 26, -195, 35, -116, 153, 157, 296, 122, -39, -81, -17, 34, -35, 68, -135, 313 },
{ 5, 14, -56, -6, -73, 73, 31, -24, 25, -15, 23, -31, 23, 41, -95, 274, 22, 13, -32, 22, -83, -22, 146, 92, -40, -6, -36, 41, 60, 48, 153, 370, -92, 114, 71, -20, -16, 23, -37, -50, -125, 217 },
{ 11, 9, -15, -113, 6, -22, 24, -35, 25, -11, 50, -6, 16, 25, -23, -32, -6, 28, -47, 38, -63, -71, 88, 358, -35, 7, -10, -23, 47, 48, 200, 380, 123, -68, 29, -17, -152, 66, -10, 37, -123, 187 },
{ -13, -87, 7, 8, 6, 5, -15, -24, 43, -15, 8, -69, 17, 59, 158, -35, 11, 70, 37, -16, -13, -102, 80, 128, -32, -48, -41, -22, 44, -71, 65, 351, 164, -68, 33, -8, 148, 5, -27, 56, -67, 159 },
{ -2, -9, 56, -5, -3, 14, -9, 12, -2, -4, 10, -21, 34, -18, 6, -5, -4, 9, -14, 31, 102, 28, -13, 9, -2, -5, 13, -23, 32, -59, 45, -51, 25, -19, 9, -2, -3, 43, -11, 63, 92, 44 },
{ -3, -4, 40, -3, -2, 11, -10, 7, -3, -8, 10, -22, 54, -17, 10, -5, -2, 10, -17, 31, 25, 25, -14, 8, 6, -8, 12, -24, 39, -61, 49, -51, 32, -20, 9, -3, -3, 97, -11, 14, -21, 104 },
{ -3, -8, 61, 9, -7, 13, -8, 3, -2, -5, 12, -23, -3, -8, 6, -4, -4, 9, -18, 35, 27, 15, -9, 7, -4, -5, 16, -28, 40, -64, 40, -31, 70, -15, 65, 18, -3, 56, -9, 12, -13, 81 },
{ -2, -6, 13, -8, 2, 9, -6, 8, 26, -7, 10, -22, 37, -16, 8, -11, -4, 12, -17, 34, 71, 27, -15, 8, 18, -9, 11, -24, 36, -63, 61, -54, 33, -21, 8, -7, 40, 66, -12, 21, -30, 141 },
{ -2, -11, 54, -3, -3, 14, -6, 18, -3, -7, 8, -24, -4, -10, 2, 4, -6, 13, -18, 37, 22, 17, -8, 3, 1, -3, 10, -24, 39, -67, 38, -29, 68, -16, 25, -3, -4, 63, -10, 14, -21, 129 },
{ -3, -4, -5, 4, -8, 12, 16, -10, 0, -2, 12, -26, -10, 3, 5, -4, -6, 10, -24, 45, 23, 68, -12, 4, 8, -6, 13, -26, 45, -73, 52, -9, 69, -15, 20, -2, 17, -5, -8, 13, -23, 125 },
{ -1, -8, 65, -4, 40, 7, -3, 11, 4, -6, 5, -18, -3, -16, 4, -5, 4, 4, -9, 28, 101, 20, -7, 9, -3, -7, 6, -17, 26, -60, 62, -46, 21, -14, 6, -6, 44, 83, -15, 23, -35, 195 },
{ -2, -10, 19, 2, -6, 11, -6, 5, -3, -5, 6, -22, 20, -11, 9, 1, -5, 9, -16, 39, 29, 6, -7, -3, 3, -6, 5, -13, 28, -67, 52, -20, 58, -10, 52, -2, -2, 73, -9, 14, -28, 188 },
{ 2, -8, -4, 6, -3, 14, 47, -14, -4, -10, 10, -28, 5, -4, 16, -7, -5, 11, -21, 48, 54, -3, -18, 6, 58, -5, 9, -23, 43, -82, 69, 31, 46, -6, -11, 102, -3, 58, -14, 32, -62, 132 },
{ 30, -7, -9, 14, -7, 19, 21, -17, -13, -10, 15, -30, -4, 15, 18, -8, 1, 9, -26, 50, 18, -25, -21, 126, -4, -10, 7, -26, 51, -84, 104, 36, 98, -17, 129, -7, -3, 12, -25, 55, -101, 180 },
{ -2, -13, 17, -10, 5, 7, -8, 3, 13, -6, 2, -19, 6, -19, 8, -5, 4, 3, -39, 24, 12, 14, -7, 5, 4, -8, 11, -8, 14, -46, 59, -36, 19, -14, 8, -7, -8, 44, -20, 205, -27, 246 },
{ 8, -7, 50, -9, 13, 8, -10, 8, -4, -3, 5, -21, 19, -4, -8, 3, 2, -43, -5, 31, 86, 4, 2, -3, 2, -5, 5, -3, 12, -61, 66, -12, -8, 46, -9, 33, -9, 36, -16, 219, -54, 185 },
{ 3, -9, -3, 9, -2, 21, -8, -6, -3, -8, 13, -39, 13, -9, 22, -12, 8, -15, 67, 35, 20, -11, -19, 6, 83, -5, -7, -5, 22, -76, 104, 3, 72, -17, 48, -14, -2, 13, -21, 35, -89, 248 },
{ 16, -6, -9, 7, -7, 18, -4, -12, -11, -11, 27, -39, 38, 14, 11, 12, 9, -4, -23, 48, 14, -31, -17, -27, 115, 11, -16, -9, 42, -99, 53, 85, 106, 105, -15, -3, 3, -19, 20, 41, -107, 279 },
{ 5, -20, 22, -146, -8, 65, 9, 49, -16, -17, 28, -49, 23, -27, 58, -277, 7, 31, -29, 41, 29, -57, -15, -37, 17, 13, -13, -11, 57, -151, 126, 49, 220, 85, -36, 16, 35, -29, 41, -27, -80, 275 },
{ -4, -7, 12, -9, 10, 65, -15, 29, 7, -2, -13, -6, 12, -6, -8, -6, 8, -8, 30, -14, 21, -15, 23, -2, 6, 1, -8, 12, -35, -17, 52, 12, -40, 15, -13, 4, 76, -19, 141, -19, 233, 247 },
{ -10, -21, 27, 3, 40, 21, -24, 6, -8, -3, 8, -37, 21, 21, 4, -14, 5, -9, 9, 43, -22, -10, 4, 10, 3, -5, 3, -24, 55, -99, 79, -22, -17, 30, -9, 107, -5, 23, -17, 87, -78, 329 },
{ 77, -32, -2, 3, 5, 49, -8, 15, -14, -54, -7, -9, 31, 15, -133, 13, 4, -8, 45, 27, -85, -21, 19, -17, 25, -8, -13, 10, 20, -103, 87, -38, 60, 164, 247, -13, -8, 17, -17, 69, -89, 389 },
{ 4, -6, 21, -7, -11, 15, 17, -17, -9, -13, 23, -31, 52, 9, -102, 25, 27, -25, 21, 59, -44, -42, -61, -41, -7, -13, -29, 26, 15, -61, 33, 82, 94, 174, 259, -24, 4, 18, 25, -43, -97, 342 },
{ 7, -155, -17, 12, 8, -10, -35, 39, -36, 16, -13, -15, 34, -193, 16, 37, 7, -29, 44, 11, 13, -55, -42, -83, 31, 64, -12, 30, 15, -112, 144, 90, 114, 184, -29, -80, 28, -176, 60, -135, 66, 218 },
{ -4, -12, 8, 9, 10, 27, -20, 5, -14, -4, -17, -9, 27, -9, 12, -13, -12, 8, 23, 23, -40, 14, 9, 2, 1, 3, 10, -7, -50, -32, 69, 45, -40, 12, -7, 7, -7, 92, -28, 185, 90, 241 },
{ 2, -10, -8, 7, 11, 167, 21, -14, -3, 39, -20, -6, 51, 41, 5, -107, -10, -15, 40, 11, 13, -37, 16, -9, 8, -13, 27, 13, -65, -61, 76, 57, -49, 24, -15, 181, -6, 12, -46, 31, 73, 385 },
{ -9, -12, -30, 4, -7, 12, -13, -5, 83, 10, -20, 38, 48, -8, -83, 8, -7, -17, 30, 5, 6, -9, -23, 16, -29, -13, 24, 24, -50, -51, 64, -35, 15, 43, 229, 220, 10, -18, 51, -92, 108, 393 },
{ -9, -10, 20, -11, 76, -38, 19, 16, -17, 63, -14, 93, -31, -99, 5, 30, -139, -23, 40, -35, 11, -35, 42, -42, -39, -140, 26, 6, -42, -40, -94, 89, 67, 65, 196, -31, 7, 17, 46, -126, 108, 338 },
{ 1, -15, 33, 5, -6, 16, -5, 10, -3, -6, 13, -26, -4, -7, 6, -4, -4, 11, -21, 37, 39, 30, -9, 26, -3, -4, 14, -20, 32, -52, -15, 52, -9, 4, -5, 3, 21, -5, -4, -4, 25, 51 },
{ -2, -8, 55, 2, -9, 21, -10, 37, -4, -5, 15, -32, 5, -11, 7, -4, -9, 12, -22, 40, 101, 79, -9, 4, 4, -7, 12, -25, 43, -67, 49, -10, 55, -13, 3, -2, 12, -3, -4, 25, -11, 89 },
{ 16, -11, -3, 3, -6, 15, -3, -13, 4, -7, 12, -25, -5, 17, -9, 52, -3, 10, -20, 39, 28, -25, 68, 45, -5, -7, 16, -24, 40, -67, 62, 122, -19, 8, -7, 1, 2, -3, -4, -6, 106, 71 },
{ 2, -12, 64, 5, -7, 18, -2, -10, -16, -10, 8, -22, -12, 17, -5, 42, -6, 17, -22, 38, 114, -19, -8, 26, -3, -12, 15, -31, 42, -65, 64, 108, 42, -14, 13, -5, 45, 12, -7, 16, -21, 115 },
{ -1, -13, -4, 10, -7, 17, 84, -15, -8, -4, 11, -26, -7, 18, 7, 56, -8, 11, -25, 41, 116, -20, -19, -7, 4, -4, 15, -31, 56, -79, 93, 86, 89, -17, 97, -7, -3, 9, -23, 37, -64, 98 },
{ 56, -76, -15, 11, 18, 131, 48, -21, 4, -11, 9, -13, -20, 36, -19, 62, -6, 24, -24, 32, 64, -68, 20, -13, 37, -8, 16, -41, 62, -90, 54, 255, -42, 25, -12, 6, -10, 7, -20, 27, -40, 86 },
{ 15, -9, -10, 16, -11, 20, 18, -37, 8, -6, 16, -42, 99, 39, 21, -20, -5, 26, -20, 43, 9, -75, 199, 52, -8, -3, 20, -29, 35, -83, 100, 149, -42, 45, -14, 7, 3, -9, -22, 36, -32, 103 },
{ 15, -4, -13, 15, -11, 50, 9, -34, 30, -4, 24, -27, -12, 44, -13, 5, -9, 10, -26, 38, 40, -48, -30, 133, -7, -8, 15, -30, 57, -85, 120, 132, 303, -21, 11, -10, -3, 13, -31, 40, -64, 132 },
{ 6, -10, -12, 8, -6, 17, 27, -19, -11, -16, 18, -34, 27, 25, 13, 7, 3, 12, -33, 52, 57, -48, -32, -14, 128, -5, 16, -22, 45, -87, 128, 122, 153, -27, 111, -10, -6, 18, -27, 42, -93, 208 },
{ 4, -43, -3, 121, -17, 22, 42, -143, -21, -26, 28, -49, 8, 30, 25, 14, 52, 17, -29, 31, 3, -46, -48, -40, 82, 4, -28, 19, 19, -72, 65, 144, 165, 194, -26, 7, -3, -40, 26, -33, -87, 278 },
{ -3, -3, -6, 13, 33, 8, -12, -22, 16, -9, 10, -19, -13, 58, -20, 92, -8, 23, -30, 50, -23, -70, 63, -23, 94, 59, 12, -19, 42, -70, 120, 268, -79, 37, -16, 72, -9, 10, -31, 29, -57, 151 },
{ -77, 4, -13, 17, -22, -3, 52, -38, 10, -11, 15, -22, -12, 56, -14, -14, -4, 12, -33, 45, 134, -99, 90, 53, -24, -5, 21, -16, 44, -91, 133, 259, -73, 23, 8, 26, -10, 8, -37, 33, -60, 180 },
{ -6, -9, 5, 10, -5, 46, -7, -22, -7, -13, 26, -34, 15, 35, 20, 22, 11, -15, -10, 33, -12, -63, -70, 236, -8, -21, 48, -28, 40, -72, 134, 283, 102, -22, -19, 8, -6, 5, -18, 63, -92, 184 },
{ -8, -12, 15, 2, -11, 22, 5, -20, -11, -21, 18, -26, 8, 30, 40, -20, 55, 9, -32, 47, -8, -68, -86, 99, -16, -15, -3, -12, 33, -73, 51, 250, 224, -46, 7, 74, -3, 44, -28, 42, -98, 253 },
{ 9, -41, 8, -3, 17, 2, 39, -22, 21, -75, -45, -16, 28, 44, -56, 100, 47, 12, -64, -14, -62, -37, 125, -74, 43, 26, -10, -31, 44, 74, 139, 391, 84, 37, -18, 7, -11, 16, -26, 54, -109, 155 },
{ 83, -103, 13, 7, 4, -10, -12, -44, 23, -12, 13, 29, 29, 63, -28, -32, 5, 38, -41, 60, -69, -108, 90, 76, -28, -22, -67, 24, 55, 37, 78, 390, 200, 60, 50, -18, 4, 27, -17, -40, -84, 103 },
{ 14, -4, -5, 5, -3, 7, 5, 3, -4, -3, 24, -7, -22, -3, 25, -3, -6, 5, -10, 15, 36, 12, -9, 5, -2, -2, 6, -10, 15, -20, -46, -16, 12, -7, 27, -1, 46, -7, 36, -16, 32, -41 },
{ 19, -4, -5, -2, -3, 7, 9, 64, -2, -3, 5, -13, -22, -7, 4, -5, -3, 8, -10, 17, 38, 10, -7, 39, 28, -5, 9, -16, 18, -25, -46, -11, 61, -10, 41, -4, 10, 37, 3, -15, 33, -39 },
{ -3, -4, 19, -2, -7, 8, 79, 4, -5, -2, 7, -12, -15, -10, 9, -8, -6, 8, -14, 21, 26, 18, -14, 6, 6, -7, 9, -16, 23, -31, -31, -23, 18, -11, 6, -3, -5, 33, -5, -5, 80, -14 },
{ 21, -7, -5, 2, -5, 9, 5, 55, 41, -4, 5, -13, -22, -3, 3, -8, -6, 7, -11, 20, 35, 7, -4, 18, 5, -5, 9, -15, 21, -32, -37, -13, 54, -7, 19, -2, 39, -4, 3, -11, 20, -21 },
{ 3, -8, -7, 2, -2, 10, 7, 14, -8, -4, 9, -17, -19, -8, 4, 12, -4, 12, -17, 22, 36, 3, -10, 10, -4, -5, 7, -15, 25, -34, -43, 35, 37, -7, 19, -3, -2, 26, -8, -5, 77, -10 },
{ 48, -6, 81, -3, -2, 6, -4, 9, -6, -6, 13, -22, 58, -21, 11, -9, -5, 8, -19, 34, 6, 27, -15, 6, 3, -7, 10, -17, 30, -53, 34, -45, 25, -14, 4, -4, -7, 136, -9, 13, -18, 150 },
{ -4, -11, 32, -3, -4, 8, 14, 67, 1, -3, 8, -17, -8, -7, 2, -5, -5, 5, -9, 21, 25, 9, -10, 1, 1, -6, 9, -16, 25, -45, -17, -18, 63, -11, 56, 31, -7, 26, -6, 5, -9, 123 },
{ 25, -6, -10, 5, -10, 17, -7, 121, -8, -4, 99, -17, -12, -3, 7, -13, -5, 15, -17, 29, 25, 12, -9, 6, 15, -6, 7, -19, 28, -54, -8, -15, 78, -10, 84, -2, 1, 52, -13, 9, -7, 127 },
{ -9, 17, -6, 172, -5, 18, -8, -8, -14, -15, 10, -22, 38, 4, 6, 4, -8, 15, -22, 30, 11, -8, -8, -14, 63, 11, 121, -18, 34, -57, 7, 33, 76, 124, -12, 4, 12, 1, -11, 9, -20, 77 },
{ 3, -8, 89, -12, -4, 13, -6, 9, -3, -4, 5, -19, 24, -13, 3, -2, 2, 45, -7, 20, 11, 13, 68, -8, 5, -8, 5, -8, 12, -44, 64, -32, 6, -6, 62, -7, -9, 46, -17, 158, -10, 193 },
{ 8, -4, -5, 4, -1, 10, -1, 6, -14, -3, 86, -22, 59, -9, 2, 3, -3, 3, -13, 25, 18, -3, 6, -6, 15, 3, 6, -14, 26, -57, 177, -20, 124, 122, -9, 3, -13, 6, -16, 22, -40, 113 },
{ 29, -5, -3, 4, -9, 25, -12, 6, -16, -5, 18, -37, 133, -4, 8, -13, -9, 36, -17, 47, 18, 4, -15, 106, -4, 2, 10, -6, 32, -85, 35, -27, 59, 109, -7, 185, -7, 13, -23, 37, -73, 153 },
{ 5, 3, -14, 40, -12, 19, -14, 17, -21, -9, 19, -34, 48, 14, -13, 7, 4, 42, -25, 38, 39, -20, -7, -10, 108, 7, -13, -16, 31, -63, 12, 58, 289, 109, -19, 144, -2, 36, -18, 40, -87, 162 },
{ 46, 3, -29, 17, -12, 30, 5, -15, -8, -12, 115, -25, -23, 40, 24, -25, 60, -11, 6, 40, 48, -54, 15, -22, 31, 10, -23, -21, 20, -87, 75, 36, 209, 38, -28, 15, 82, -22, 9, 30, -93, 201 },
{ -1, -14, 46, -11, -1, 14, -14, 6, 6, -2, 65, -25, 18, -9, -5, -3, 6, -7, 1, 25, -7, 13, 4, 40, 4, -9, 9, -12, 16, -62, 44, -44, 14, -13, 25, -10, 65, 10, -21, 21, -29, 306 },
{ -3, -10, 40, 5, 6, 10, -22, 64, -121, 4, -3, -21, 11, 42, -7, -66, 2, -8, 12, 26, 25, -7, -13, 2, 5, 13, 4, -11, 198, -74, 53, -18, -10, 48, -9, 51, -9, 4, -16, 29, -58, 231 },
{ 32, -14, -14, 8, 2, 25, -21, 136, -6, 6, -7, -24, 16, 28, -11, -2, 4, -9, 33, 34, -15, -24, 14, -4, -4, 41, -4, 7, 54, -52, 21, 60, -27, 371, 321, -10, -18, 19, -20, 28, -94, 267 },
{ 20, -5, 23, -25, -12, 19, 8, -18, -17, 3, 42, -24, 18, 15, -49, 13, 72, -11, -19, 29, -15, -8, -10, -16, -9, 9, -21, 23, 33, -107, 95, -33, 155, 157, 287, -14, -6, 12, -18, 66, -95, 293 },
{ 37, 28, -44, 26, -37, 9, 22, -24, -19, 32, 45, -14, 15, -95, -7, 30, 10, -33, -24, 43, 39, -72, -42, -51, 113, -30, 65, 29, 38, -121, 145, 65, 57, 143, 285, -18, 18, -168, 21, -31, -84, 297 },
{ 0, -17, 51, -3, 5, 10, -21, 12, -7, 6, -10, -15, 20, -11, 17, -12, -2, -11, 14, 16, -17, 14, 16, 8, -3, -72, 12, -24, -13, -44, 36, 55, -26, 12, -7, 2, -9, 118, -22, 86, 55, 338 },
{ 4, -17, 7, -24, -42, 25, -13, 13, 17, 10, -12, -38, 16, 102, -11, -27, 8, -10, -8, 51, -14, -12, 12, 17, 3, -13, 13, 83, -5, -82, 50, 37, -38, 136, -12, 51, -8, 6, -20, 97, -58, 427 },
{ 5, -23, -17, 12, 17, 19, -36, -17, 4, 10, -31, -34, 56, 10, -16, -6, 2, -10, 16, 17, -30, 12, 21, -12, 44, -32, 14, 29, -33, -40, 60, -39, -18, 298, 219, 177, 9, 25, -15, -70, 69, 316 },
{ -31, 6, -15, 5, 63, 26, -16, 20, -14, -15, 24, -40, 14, -42, 20, 27, 9, 5, -17, 21, -191, 39, -16, -8, -16, -26, 30, 10, 19, -150, 168, -77, 150, 144, 160, -25, 17, 11, -12, -61, 62, 335 },
{ 17, -6, -6, -2, -4, 6, 8, 7, -4, -3, 24, -6, -25, -4, 19, -1, 23, 4, -8, 12, 43, 9, -8, 14, 40, -6, 24, -6, 11, -14, -55, -10, 166, -3, 9, -2, 3, -7, 12, -26, 43, -53 },
{ 3, -3, -11, 63, -3, 7, 13, -7, 26, -4, 7, -8, -28, 11, 2, -2, -3, 6, -12, 13, 46, 85, -6, 22, -3, -4, 5, -7, 11, -12, -62, 34, 72, 1, -2, -2, 62, -6, 10, -27, 45, -58 },
{ 29, -1, -8, 3, -3, 8, 11, -6, 2, -11, 10, -15, -21, 2, 63, -6, -3, 10, -13, 15, 41, 53, -7, 25, 5, -4, 7, -16, 17, -18, -54, 45, 94, -4, -3, 1, 42, -7, 12, -23, 42, -51 },
{ 49, -7, -7, 5, -2, 10, 9, -5, -5, -3, 5, -13, -24, 4, 3, -5, -3, 10, -11, 19, 38, 27, -10, 26, -6, -5, 8, -13, 16, -23, -49, 46, 124, -9, 4, -2, 35, -5, 105, -14, 33, -41 },
{ 1, -6, -8, 7, -5, 11, 8, -10, 2, -5, 13, -20, -16, 8, 101, -3, -3, 11, -17, 22, 33, -12, -9, 19, 23, -9, 14, -23, 26, -31, -30, 95, 129, -5, -6, -5, 4, -3, 4, -9, 24, -32 },
{ 2, -5, -6, 6, -14, 12, 7, -6, -2, -6, 14, -21, -13, 3, 2, 2, -5, 14, -25, 30, 25, 14, -14, 12, 2, -7, 11, -25, 36, -43, -28, 72, 35, -16, -2, 1, -5, 32, -10, 11, 193, 143 },
{ 2, -13, -6, 7, -9, 13, 34, -3, -3, -5, 12, -20, -14, 69, 9, -6, -9, 17, -25, 33, 23, -5, -14, 108, -4, -11, 16, -27, 39, -50, -17, 74, 55, -6, -6, 4, 74, -5, -6, 35, -3, 74 },
{ -9, 3, -6, 7, -7, 10, 120, -9, -10, -4, 9, -12, -21, 22, -8, 6, -9, 14, -22, 32, 16, -13, -8, -13, 30, -4, 16, -30, 49, -72, 94, 59, 102, -9, 77, 3, -5, 8, -20, 28, -41, 73 },
{ 4, -11, -9, 10, -1, 15, 7, -22, 3, -9, 9, -21, -12, 26, -14, 60, -12, 17, -18, 34, 17, -33, 25, 97, -39, -9, 16, -27, 27, -56, 33, 192, -30, 18, -12, 7, 6, -8, 3, -61, 15, 73 },
{ -1, -5, -8, 15, -4, 16, 8, -28, 4, -8, 11, -27, -6, 31, -12, -5, -12, 20, -23, 37, 20, -45, 41, 49, -9, -36, 17, -28, 33, -64, 53, 96, -35, 15, -6, 8, -3, -11, -15, 27, 111, 33 },
{ 6, -3, -13, 12, -7, 14, 13, -19, -6, -6, 20, -31, -14, 30, -15, 6, -11, 21, -35, 48, 8, -21, -20, 46, -11, -15, 21, -36, 52, -77, 66, 69, 72, -11, 4, 8, -5, 12, -27, 41, -42, 79 },
{ -2, -6, -14, 17, -6, 20, 92, -14, -25, -3, 12, -31, 211, 14, 12, 4, -5, 15, -28, 40, -11, -11, -28, 191, -3, -10, 14, -32, 56, -86, 35, 126, 180, -23, 20, 6, -7, 11, -29, 60, -88, 143 },
{ -3, 8, -23, 20, -13, 29, -15, 80, -19, -7, 12, -32, -10, 34, 10, 10, 21, 9, -33, 36, 17, -49, 72, -49, 19, 5, -14, -225, -19, -39, 44, 39, 291, 96, -46, 13, 128, -14, 83, 52, -111, 204 },
{ 5, -40, -13, 17, -26, 38, 9, -29, -9, -20, 11, -10, -16, 50, -12, 64, -6, 19, -33, 30, 18, -66, 203, -13, 5, -13, 20, -25, 47, -65, 91, 178, -55, 39, -21, 11, 18, -2, -17, 10, -23, 69 },
{ 5, -23, -12, 21, -11, 18, 8, -29, -8, -21, 52, -18, -27, 46, 8, -6, -6, 27, -31, 46, 17, -62, -15, 76, -19, -6, 19, -26, 42, -80, 87, 196, -37, 10, -10, 50, -55, 9, -17, 20, -17, 81 },
{ 1, -11, -11, 12, 13, 26, 14, -21, -3, -17, 8, -29, -12, 24, 22, -10, -17, 37, -27, 41, 6, -37, -50, 321, -13, -4, 188, -42, 43, -80, 101, 167, 134, -34, 11, -11, -2, 15, -31, 69, -66, 130 },
{ -31, 31, -17, 13, -10, 13, -15, 136, -24, -12, 21, -15, -16, 27, 32, -3, 6, 13, -29, 23, 112, -25, -73, 138, -4, -9, 11, -21, 35, -63, 85, 144, 262, -56, 22, -13, -5, 17, -33, 60, -87, 177 },
{ -15, 27, 2, 24, -23, -11, -95, -21, -28, -14, 128, -130, 71, 23, 54, -14, 20, 21, -90, -50, -131, -50, -65, 144, -21, 46, -32, 49, 42, -24, 100, 177, 259, 116, -38, 14, 29, -14, 31, -85, -94, 245 },
{ -4, 6, -15, 13, -17, 75, -51, -24, -5, -21, 16, -9, -9, 58, 90, -27, 7, 26, -26, 29, 19, -98, 147, 85, 4, -195, 11, -20, 48, -101, 56, 316, -96, 25, -7, 54, 2, 5, -25, -17, 45, 111 },
{ -6, 14, -26, 16, 12, -25, 24, -48, 4, -16, 33, -11, -16, 83, -19, -24, -11, 62, -32, 79, 25, -89, 119, 78, -11, -88, 22, 64, 33, -62, 30, 315, -45, 19, 13, -14, -11, 63, -30, 27, -31, 126 },
{ -51, 9, -17, 27, 28, 6, -6, -38, 20, -52, 32, -66, 183, 55, -15, -8, -13, 33, -28, 7, 113, -36, -60, 127, -6, 13, -3, -39, 41, -90, 111, 319, 141, -64, 24, 12, 82, 22, -60, 72, -56, 164 },
{ -5, 6, -45, 18, 62, 38, -57, 11, -30, -164, -16, -7, -30, 114, 65, -56, -26, 19, -53, 20, 25, -91, 172, 171, -34, 22, 33, -29, 36, -52, 62, 166, 212, -103, 32, 19, 12, -33, -20, 34, -30, 143 }
 },
{ 
{ -130, -29, 56, 11, -16, 32, 51, 36, 13, -23, 16, 36, 47, 36, 38, 6, -18, 28, 37, 37, 45, 39, 44, 33, 21, -35, 35, 37, 41, 45, 62, 44, 38, 37, 38, 17, -111, 64, 54, 57, 46, 57 },
{ -104, -36, 71, -18, -19, 22, 42, 27, 17, -26, 24, 20, 34, 30, 19, 14, -10, 15, 32, 31, 38, 32, 34, 30, 36, -26, 30, 41, 41, 47, 63, 50, 42, 35, 29, 40, -37, 58, 40, 41, 54, 69 },
{ -85, -25, 50, 33, -23, 13, 24, 15, 34, -40, 20, -17, 29, 20, 35, 54, -29, 23, 21, 22, 41, 35, 34, 51, 80, -50, 15, -10, 27, 47, 65, 71, 56, 34, 42, 64, -44, 55, 14, 30, 51, 74 },
{ 63, -118, 72, 55, -7, 4, 8, -10, 61, -33, -25, 42, -38, 37, -16, 54, 12, 7, -24, -10, -5, -7, 29, 12, 120, -36, -22, 23, -11, 23, 40, 54, 52, 38, 74, 127, 147, -28, 14, 17, 81, 73 },
{ -39, -44, 103, -45, 11, 2, 30, 17, -6, -11, -3, 39, -20, 29, 26, -2, 18, 3, 9, 11, 33, 12, 19, 17, 43, 41, -3, 16, 40, 47, 38, 35, 33, 30, 28, 95, 157, 8, 17, 25, 46, 69 },
{ 9, -39, 39, -50, 16, 19, 29, 40, -99, -28, 19, -29, 36, 38, 39, -106, -33, 35, 27, 15, -26, 29, -52, 92, 101, -53, 51, -27, 22, -40, 39, 95, 170, 143, 109, 141, -86, 33, -59, -53, 90, 230 },
{ -41, 71, 57, -114, -41, 41, 34, 47, -99, -33, 30, -31, 36, 16, 11, 113, -33, 24, 42, 24, -7, -35, 114, 161, 177, 17, 31, -45, 30, -64, 84, 126, 143, 101, 50, 57, -96, 75, -53, -76, -55, 127 },
{ -69, -25, 13, -16, 47, -17, 40, -10, -22, -81, 27, -35, 137, -35, 43, -51, -4, 19, 7, 69, 42, -78, 122, -158, 112, -17, 69, 15, 71, 77, 123, 22, 304, 270, 224, -60, -45, -21, 40, -141, -45, 212 },
{ -94, -24, 41, -16, -25, 27, 47, 26, -20, -46, -13, 34, 49, 39, 26, -35, -20, 17, 36, 42, 61, 54, 47, 30, -17, -32, 24, 33, 50, 72, 97, 78, 58, 40, 24, 23, -96, 43, 48, 55, 72, 102 },
{ -80, -21, 46, -26, -29, 18, 43, 26, -34, -38, -24, 27, 39, 33, 21, -45, -36, 23, 41, 39, 54, 45, 47, 34, -19, -42, 36, 27, 50, 70, 99, 76, 63, 40, 29, 35, -89, 61, 52, 55, 74, 121 },
{ -56, -31, 49, -66, -17, 30, 26, 13, -31, -33, 12, -12, 32, 32, 26, -20, -37, 19, 19, -16, 55, 59, 69, 30, 75, -39, 20, -20, 38, 67, 116, 114, 74, 40, 8, 55, -89, 26, 34, 43, 62, 139 },
{ -52, -28, 46, -33, -35, 32, 37, 22, -41, -67, 16, 21, 23, 19, 24, -56, -21, 19, 47, -38, 47, 39, 38, 37, -14, -59, 31, 29, 49, 74, 108, 94, 65, 35, 12, 50, -77, 85, 38, 51, 86, 154 },
{ -73, -4, 71, -76, -18, 27, 30, 34, -67, -35, 16, -18, 43, -19, 38, -36, -60, 32, 19, -22, 25, 43, 55, 54, 50, -56, 41, -20, 28, 49, 98, 125, 97, 51, 12, 112, -81, 23, 20, 22, 71, 171 },
{ -31, -20, 27, -29, -35, 22, 34, 46, -33, -56, 16, 24, -30, 26, 14, -50, -28, 36, 36, -39, 40, -37, 41, -22, 23, -52, 15, 47, -24, 78, 93, 85, 57, 42, 10, 62, -64, 99, 14, 45, 135, 231 },
{ -39, -33, 63, -61, -14, 18, 26, 46, -72, -35, 14, 20, -32, 33, 34, -46, -50, 36, 34, -23, 19, -45, 33, 13, 69, -67, 47, -16, -32, 38, 83, 109, 111, 72, 22, 147, -57, 40, -44, 28, 104, 243 },
{ 6, -56, 31, -30, 29, -25, 63, 40, -33, -51, -13, -39, 35, 16, 12, -54, -18, 55, 4, -22, 26, -40, -6, 53, -38, -78, 4, 15, -16, 41, 56, 60, 38, 53, -13, 87, 158, -65, 51, 87, 175, 256 },
{ -8, -27, 66, -41, -10, 9, 9, 26, -61, -26, 14, 6, -10, 60, 43, -106, -34, 33, 35, -42, 37, -32, 24, -46, 62, -55, 28, 10, -35, -18, 48, 115, 136, 123, 71, 141, -77, 32, -20, -9, 128, 278 },
{ -3, 42, -4, -12, 26, -17, -13, -19, 35, 25, -24, 19, 50, 18, 20, -76, -58, 39, 8, 18, -38, 56, 43, 70, -174, -69, 38, -50, 12, -50, 33, 44, 17, 84, 193, 215, -56, 90, -25, 84, 157, 282 },
{ 45, -99, -37, 13, 203, 25, -187, -61, 87, -23, -28, 99, 40, 23, -114, -71, 139, 68, -38, -47, 112, -79, 205, 330, -156, -119, 38, -44, 28, 135, 200, 183, 108, 161, -69, 66, -110, -28, -57, 57, -130, 192 },
{ 17, -6, 24, -18, 2, 11, 30, 51, -96, -15, -10, -18, 63, -38, 38, -175, 43, -11, 68, -14, 83, 53, -69, 208, 277, 23, -47, 41, -9, 57, 63, 147, 288, 105, 59, -122, -31, 40, 50, -37, 46, 139 },
{ -84, -16, 38, -43, -21, 24, 32, 27, -23, -39, 13, -9, 30, 40, 23, 43, -20, 10, 11, 30, 60, 64, 67, 12, 51, -14, 15, -12, 38, 65, 111, 103, 75, 42, -9, 31, -99, 16, 29, 45, 65, 116 },
{ -83, 51, 24, -97, -21, 35, 32, 21, -23, -31, 32, -44, 31, 40, 56, 89, 11, 9, 16, -10, -32, 75, 92, 94, 74, -12, 28, -30, -13, 48, 118, 114, 87, 40, -39, 33, -111, 23, 15, 20, 55, 107 },
{ -42, 50, 40, -115, -65, 43, 34, 30, -38, -27, 36, -42, 71, -14, -17, 33, -22, 35, -23, 25, -36, 22, 79, 92, 168, -52, 24, 14, 10, 26, 56, 131, 112, 60, 31, 78, -94, 41, -9, -56, 49, 171 },
{ -77, 48, 49, -123, -41, 14, 32, 47, 23, 38, 29, 27, -36, -42, 92, 182, -25, -27, 35, 24, 40, -57, 115, 177, 79, 68, -48, -18, -13, 32, 82, 159, 78, 19, 23, -97, -87, 75, 38, -36, -23, 107 },
{ -7, 59, 19, 29, 18, -52, 76, 41, -170, -3, 11, -64, 70, 94, -61, 64, 8, 30, -44, 118, -15, -31, 112, 275, 142, -22, -7, -37, 56, 20, 33, 215, 172, -39, -107, -119, -34, 134, 55, 65, 120, 87 },
{ -26, -20, 26, -26, -21, 14, 18, 22, -27, -28, 13, -17, 19, -9, 26, -38, -27, 19, -8, 35, 52, 49, 38, 12, -25, -26, 10, -7, 43, 98, 176, 127, 49, 23, 24, -15, -38, 33, 33, 23, 72, 193 },
{ -25, -21, 25, -40, -7, 11, 21, 33, -39, -13, 13, -35, -22, 28, 34, -54, -22, 11, -21, 25, 54, 61, 64, 13, 36, -21, 14, -25, 28, 64, 178, 143, 83, 25, 24, -41, -45, 31, 9, 26, 70, 193 },
{ -18, -17, 22, -23, -25, 18, 21, 33, -29, -29, 4, 6, -16, -22, 25, -55, -33, 13, 30, -14, 36, 32, 29, 35, -36, -47, 34, -16, 30, 92, 156, 120, 63, 30, 26, -15, -41, 60, 34, 33, 76, 229 },
{ -23, 9, 21, -28, -13, 7, 10, 24, -63, -13, -5, -17, -20, 27, 43, -70, -21, 11, 18, -26, 58, -25, 81, 60, -42, -33, 16, -19, 17, 68, 142, 161, 82, 37, 23, 67, -72, 13, 23, 28, 68, 225 },
{ -33, 31, 21, -54, 4, -13, 23, 32, -76, -12, -20, 5, -11, 36, 44, -69, -16, 7, 12, -29, 58, -41, 91, 65, 41, -26, 38, -26, -15, 50, 127, 173, 138, 48, 5, 51, -95, 26, -15, 25, 72, 201 },
{ -13, -24, 9, -24, -17, 22, 44, 43, -42, -40, 11, -19, -17, 7, 20, -57, -24, 26, 24, -22, 29, -23, 34, 33, -52, -64, 43, -50, 41, 70, 106, 101, 57, 42, 17, 18, -50, 86, 32, 44, 90, 301 },
{ -22, -12, 51, -37, -10, 13, 9, 21, -58, -20, -5, 20, -19, 31, 21, -53, -29, 16, 16, -26, 44, -56, 51, 23, -37, -41, 13, -22, -14, 38, 108, 134, 103, 79, 42, 79, -77, 41, 23, 27, 112, 256 },
{ -31, 34, 26, -45, -5, -10, 18, 26, -73, -39, 7, 29, -14, 40, 43, -109, -21, 22, 36, -41, 32, -44, 44, 77, 24, -43, 17, -8, -20, 17, 90, 151, 153, 96, 31, 107, -87, 27, -26, 20, 85, 221 },
{ -35, 69, 15, -76, -34, 22, 22, 52, -122, -23, 21, 4, 29, 16, 47, -68, -29, 13, 43, -42, 15, 17, -39, 154, 88, -23, 40, -23, -19, 18, 57, 140, 180, 105, 51, 64, -130, 40, 23, -61, 71, 188 },
{ 7, -21, -28, -19, 15, 20, 31, 8, 21, -31, -27, -21, 32, -30, 23, -66, -28, 50, 16, 22, -26, -11, 33, 25, -51, -78, 50, -50, 39, -54, 106, 106, -52, 90, -14, 41, -38, 105, 6, 39, 162, 372 },
{ -12, -8, 28, -21, -9, 6, 14, 34, -46, -17, -9, 15, -6, 19, 48, -86, -30, 18, 28, -19, 31, -35, -15, 44, -71, -56, 28, -15, -18, -20, 78, 93, 110, 80, 80, 101, -70, 66, -10, 29, 119, 325 },
{ -23, 52, 28, -66, -34, 20, 24, 41, -144, -28, 21, 21, 6, 48, 42, -34, 26, -18, 35, 21, -16, -32, 61, 129, 162, -28, 37, -9, 24, -30, 93, 121, 180, 132, 33, 48, -95, 20, -37, -26, -34, 198 },
{ 7, -29, -9, -20, 33, 6, 12, 10, 31, -50, -41, 24, -9, 36, -28, -58, -24, 68, 22, -9, 6, 33, -14, 59, -66, -74, 40, -61, -28, -21, 48, -63, 92, -55, 61, 33, 107, -81, 52, 94, 219, 403 },
{ -6, -5, 19, -23, -20, 15, 27, 27, -38, -11, 7, 10, -6, 15, 34, -52, -28, 22, 9, -4, 8, 12, 11, 38, -141, -70, 44, -31, -20, -28, 65, -30, 99, 90, 118, 110, -63, 72, -13, 39, 168, 368 },
{ -7, 11, 12, -21, -10, 6, 24, 35, -54, -15, 9, -16, 40, 22, 62, -113, -25, 15, 10, 13, 19, 23, -57, 70, -76, -72, 55, -13, 16, -33, -31, 83, 120, 143, 116, 174, -75, 40, -14, -21, 122, 310 },
{ 51, -65, 6, -26, 93, -32, 22, 48, -22, -105, -40, 42, 20, 46, -30, -77, 56, -63, 38, 38, 47, -30, 34, 68, -91, -87, -52, 17, -31, -14, -19, 25, -45, 49, 36, 45, 295, -66, 98, 132, 203, 258 },
{ -31, 9, 31, -71, 3, -10, 39, 31, -58, -14, -13, -17, -21, 30, 55, -45, -14, 3, 18, -14, 49, 66, 87, 42, 44, 6, -8, -12, -17, 59, 153, 173, 106, 34, 11, -56, -50, 22, 41, -23, 72, 181 },
{ -41, 38, 44, -111, -22, -17, 40, 42, -66, -29, 30, -11, 34, -23, 58, 49, -21, 33, 9, -25, -32, 81, 131, 62, 56, 34, -8, -25, -22, 39, 145, 183, 127, 33, -19, -92, -61, 31, 43, 7, 26, 144 },
{ -37, 66, 32, -89, -23, -20, 29, 50, -106, -20, 19, 7, 4, 25, 31, -29, -23, 13, 28, -36, 40, -40, 119, 116, 90, -5, 27, -19, -37, 32, 114, 169, 150, 55, 37, -37, -93, 32, 50, -48, 55, 178 },
{ -37, 53, 37, -138, -29, 29, 33, 31, -58, -27, 16, 6, 24, -11, 52, 78, -29, 22, -14, 33, -32, 54, 140, 180, 93, 34, 28, -22, -34, 28, 84, 187, 136, -50, -15, -83, -66, 28, 40, -13, 31, 126 },
{ -18, 28, 24, -16, 3, -40, 26, 21, -68, -12, 20, -16, 30, 45, 83, -179, -15, -20, 46, 23, 8, -47, -32, 118, 92, 15, 28, 16, -12, -57, 56, 199, 229, 159, 75, -92, -26, -10, -12, -81, 21, 273 },
{ -8, 35, -22, -25, -19, 58, 62, 22, -131, -24, -31, 41, 41, -31, 126, -185, 32, -25, 39, 46, 25, 27, -87, 189, 118, -17, 44, 31, -31, 78, -53, 111, 275, 149, 136, 37, -118, 68, -79, -58, 32, 194 },
{ 4, -11, 30, -13, 3, 12, -8, 11, -6, -5, -3, -12, -8, -11, -10, 83, 12, 2, -9, 23, 121, 24, -12, 74, -1, -8, 8, -10, 17, -42, 26, -30, 74, -15, 28, -5, -6, 119, -5, 106, 94, 116 },
{ -8, -18, 22, -24, -11, -8, 43, 4, -21, 10, -23, 13, -26, 29, -12, -23, -9, -27, 42, -31, 49, -15, 31, 20, -22, -21, -9, 16, -24, 120, 208, 164, 17, 14, 8, -25, -20, 27, 49, -24, 76, 238 },
{ -11, -10, 17, -33, 3, -27, 41, 30, -30, 6, -15, 12, -17, -46, 41, -57, 8, -12, 19, -28, 37, 47, 64, 24, -26, -27, -17, 8, -27, 79, 208, 185, 60, 25, 29, -21, -14, 23, 16, -28, 56, 241 },
{ 8, -24, -6, -23, -12, 19, 44, 28, -28, -18, 3, -8, -23, 9, -3, -26, -13, -4, 27, -35, 23, -18, 35, 11, -26, -41, 11, -20, 18, 87, 187, 139, 37, 21, 26, -37, -25, 48, 36, 18, 45, 306 },
{ -14, 7, 21, -29, -4, -13, 15, 15, -33, -6, 10, -17, -10, -11, 52, -81, -5, 16, -25, 35, -42, 39, 33, 56, -34, -34, -3, -29, 25, 34, 177, 175, 92, 27, 49, -22, -29, 37, 27, -13, 53, 263 },
{ -21, 31, 18, -32, -9, -21, 16, 20, -68, 6, -24, 24, 7, -34, 80, -94, -7, 9, 28, -34, 25, -26, 85, 93, -31, -18, 13, -31, -12, 23, 143, 201, 152, 25, 43, -20, -40, 27, 7, -21, 50, 237 },
{ 5, -38, 3, -30, 7, 24, 35, 30, -18, -20, -9, -12, -8, -11, 31, -56, -23, 19, 35, -26, 17, -25, -10, 51, -45, -40, -22, 32, -53, 71, 138, 99, 87, -33, 47, -22, -45, 66, 50, 24, 77, 350 },
{ -11, -8, 23, -23, 13, -22, 29, 24, -48, 8, -18, 16, -16, 14, 51, -86, -27, 15, 16, -36, 12, -34, 30, 43, -49, -36, 23, -37, 11, 21, 131, 139, 125, 67, 17, 52, -53, 12, 20, 12, 69, 317 },
{ -24, 27, 22, -28, -6, -24, 27, 25, -64, -15, 29, -16, -3, 21, 65, -133, -8, -7, 26, -24, 31, -49, 59, 46, 28, -20, 6, 22, -46, 17, 83, 186, 171, 86, 26, 54, -63, -12, 11, -34, 87, 266 },
{ -21, 30, 33, -56, -26, 12, 30, 43, -106, -8, 8, -12, 18, 29, 65, -133, -29, 35, 13, 32, -50, 48, -38, 139, 67, -8, 20, -18, -22, -35, 108, 178, 180, 126, 83, -15, -81, 42, -36, -32, 62, 221 },
{ -14, -11, 17, -32, 24, -22, 20, 28, -46, -15, -21, 19, -21, -23, 60, -69, 19, -13, 27, -29, 32, 41, 86, 31, 40, -15, -20, 15, -32, 35, 179, 229, 125, -16, -2, -51, -18, 22, 30, -29, 38, 224 },
{ -18, 33, 20, -72, -18, -18, 33, 73, -104, -24, -17, 10, 13, -45, 20, 58, 19, 19, 14, -15, -17, 54, 150, 110, -89, -17, -27, 9, 22, -30, 148, 245, 130, 24, 29, -77, -19, 40, 41, -33, -27, 201 },
{ -27, 51, 22, -49, -28, -32, 35, 67, -136, 5, 20, -17, 37, -15, 28, -41, -26, -8, 29, 17, -43, 21, 100, 101, 84, 16, -34, 22, 16, -34, 123, 247, 184, 38, 15, -93, -47, 30, 37, -26, -28, 199 },
{ -33, 19, 31, -71, -19, 39, 31, 82, -126, -28, -10, -20, 69, -58, -45, 108, -12, -12, 20, 13, -24, 56, 204, 203, -50, 23, -22, 14, 29, -45, 110, 287, 141, -50, -36, -104, -20, 43, 76, -31, -40, 168 },
{ -25, 30, 22, -72, -10, 23, 44, 83, -152, -31, -11, -35, 88, -17, -57, 12, -9, 18, 16, 36, -59, 52, 124, 239, 115, 41, -10, -21, 29, -20, 86, 206, 232, -84, -35, -90, -56, 43, 54, -25, -33, 179 },
{ -41, 23, 31, -77, 24, 6, 60, 47, -119, -27, -28, -29, 23, 18, -28, 160, -30, 42, -4, 35, 35, -10, 191, 162, 54, 38, -26, 42, 28, -55, 103, 238, 165, -28, -93, -101, -16, 36, 77, -14, -57, 121 },
{ -13, 37, 76, -60, -29, -14, 68, 63, -136, 18, -12, -18, 43, 68, -108, 37, 1, -32, 40, 26, 47, -41, 68, 213, 174, 32, 36, -30, 53, 10, 23, 167, 246, 108, 30, -86, -77, 55, -32, 19, -84, 158 },
{ 14, -21, 9, -25, 10, -13, 49, 10, -10, -8, -9, 12, -27, 11, -11, -16, 13, -12, 17, -34, 39, -40, 24, 24, -20, -34, -12, 4, -26, 84, 234, 165, -17, 6, 6, -22, 17, 14, 47, -14, 34, 293 },
{ 3, -24, 14, -25, 21, -19, 44, -14, 27, -12, -14, 15, -23, 14, -9, -52, 12, -11, 16, -24, 14, -30, 68, 27, -27, -13, -28, -8, 16, 22, 187, 215, 49, 7, 35, -12, -11, 17, 18, 16, -44, 303 },
{ 5, -34, 20, -30, -5, 19, 52, -6, 17, 8, -17, -7, -18, -10, 11, -22, -13, -6, 22, -33, 32, -33, 27, -13, -17, -24, 5, -9, -21, 69, 176, 142, -7, 21, 16, -23, -12, 40, 29, -9, 55, 343 },
{ -19, 16, 21, -14, 26, -37, 26, 24, -45, -22, 13, -18, 17, -22, 59, -96, 16, -21, 15, 19, -27, -29, 63, 41, 31, -6, -30, 24, 22, -38, 149, 231, 151, 15, 25, -47, -16, 21, 19, -14, -44, 319 },
{ 4, -33, 22, -29, 3, 17, 27, 31, -5, -6, -10, -17, -6, -9, 12, -28, -24, 25, 27, -26, 19, -26, -14, 35, -36, -35, 6, -14, -35, 51, 112, 80, 61, -24, 39, -32, -18, 65, 37, -32, 64, 401 },
{ 8, -25, 16, -20, 15, -11, 25, 28, -27, -12, 12, -9, -10, -13, 54, -61, 18, -16, 20, -7, -17, -13, -26, 44, -43, -28, -12, 12, -35, 27, 119, 150, 134, 32, 51, -15, -26, 29, 23, -31, 50, 375 },
{ -11, -16, 34, -24, 29, -42, 34, 32, -40, -6, -10, 16, -14, -13, 72, -128, 6, -10, 16, 27, -5, -23, -18, 56, 32, -15, -13, 13, 15, -57, 123, 196, 177, 87, 71, -51, -28, 25, -17, -26, 20, 341 },
{ 8, -27, -24, -11, 9, 34, 38, 22, -9, -20, -7, -10, -30, -12, 33, -36, -16, 20, -10, 23, 46, -32, -8, 26, -60, -65, 51, -67, 59, -70, 98, 61, 34, 33, 38, -31, -19, 85, 31, -6, 94, 453 },
{ -9, -14, 22, -13, 27, 13, -35, 37, -27, -13, 8, 15, -20, 9, 39, -56, -21, 26, 7, -10, 9, -36, -13, 35, -89, -41, 10, -19, -39, 37, 66, 103, 139, 70, 38, 67, -50, 53, 8, -21, 102, 387 },
{ 5, -21, 18, -17, 21, -11, 33, 26, -40, -14, 9, 10, -13, 13, 72, -128, -25, 35, -9, 15, 15, -19, -33, 47, -31, -31, 25, 9, -12, -33, 63, 120, 181, 167, 75, 54, -64, 24, -17, -49, 83, 314 },
{ -11, 20, 29, -31, 11, -11, 17, 25, -55, -16, 12, -25, 41, 67, 77, -179, -24, 33, -6, 24, 31, 11, -22, -85, 147, -20, 32, 5, 22, -71, 22, 106, 265, 274, 133, -49, -57, 40, -55, -41, -36, 304 },
{ 8, -32, -13, -23, 29, 15, 32, 9, 24, -24, -48, -6, 13, 28, -42, -19, 42, -28, 31, 15, 37, -41, 26, 39, -75, -130, 50, -35, -28, 49, -32, 90, -30, 74, 47, -57, 57, 59, 31, 64, 171, 408 },
{ 4, -2, 27, -30, -2, 17, 17, 40, -60, -25, -8, -6, 36, 34, 96, -169, 12, 16, -14, 30, 53, -31, 43, -67, 62, -15, -25, 31, 38, -52, 26, 58, 153, 328, 157, 69, -91, 60, -50, -45, 65, 258 },
{ 29, -42, -4, -10, 25, 5, 40, 11, -8, -46, -42, 25, 24, 15, -11, -46, -17, 41, 35, 18, 37, -15, 46, 32, -92, -59, -44, -30, -12, -6, 29, 20, -26, 47, 61, -36, -62, 206, 51, 94, 221, 363 },
{ 2, -7, 10, -10, 3, 32, 16, -24, 3, -11, -1, 13, 22, 12, 4, -14, -15, 10, 7, -28, 47, 36, 51, 55, -217, -33, -12, -15, -42, -40, 76, 42, -29, 82, 129, 129, -96, 119, 46, 54, 181, 340 },
{ -26, 15, 12, -26, 17, 45, -33, 77, -95, -17, -43, -12, 66, 83, -156, 16, -27, 41, -31, 62, -23, -96, 194, 212, 59, 24, -49, 28, 75, -73, 43, 352, 236, -116, -90, -89, -17, 16, 105, 20, -97, 186 },
{ -20, 12, 15, -18, 23, -49, 31, 13, -25, -19, -14, 23, 18, -32, 22, -53, 16, -23, 19, 18, -48, 15, 118, 44, -29, -12, 23, -26, 42, -43, 205, 254, 71, 3, 28, -25, -10, 19, -13, 14, -57, 267 },
{ -17, 21, 25, -28, -7, -19, -12, 69, -98, 17, -19, 9, 40, -19, -27, 46, -9, -19, 7, 46, -53, -20, 206, 60, -52, 15, -25, 15, 47, -76, 131, 327, 108, -35, 23, -45, -20, 15, 30, 6, -71, 187 },
{ -22, 27, 23, -11, 11, -44, 28, 42, -86, -17, -9, 9, 14, 12, 4, -98, 20, -20, 28, 30, -32, -39, 98, 111, 74, -13, -21, 19, 19, -53, 110, 279, 217, 9, 9, -99, -15, 28, 23, -8, -60, 236 },
{ -28, 19, 30, -45, 11, -13, 27, 124, -183, -6, -34, -18, 37, -50, -92, 166, 29, -40, 34, 18, 37, -22, 297, 86, -175, 17, -21, 13, 29, -62, 72, 366, 148, -86, 25, 42, -12, -48, 48, 46, -96, 136 },
{ -21, 37, 27, -27, -11, -11, 27, 28, -117, -17, 33, -21, 19, 62, 27, -137, -14, -28, 29, 47, 39, -40, -18, 258, 118, 16, 14, 7, 28, -32, 60, 188, 261, 66, 30, -114, -41, 36, 16, -31, -42, 201 },
{ -31, 19, 44, -55, -14, 31, -48, 148, -154, 29, -36, -40, 67, -39, -235, 276, 22, -46, 39, 37, 92, -71, 372, 112, -245, -5, -17, 14, 35, 103, 32, 401, 139, -79, 63, 47, -10, 15, -31, 46, -130, 92 },
{ -34, -38, 54, -30, 25, 54, -41, 87, -137, 20, -56, -67, 90, 47, -231, 167, 23, -42, 10, 70, 47, -105, 243, 339, -197, -30, 31, -28, -33, 167, -21, 402, 147, -243, 85, -20, 25, -55, 53, 111, -65, 96 },
{ -27, 42, 29, -45, 26, -7, -31, 93, -57, -46, 6, 43, 26, 106, -146, -96, 38, 33, -50, 45, 33, -89, 132, 439, 72, -37, -76, -29, 108, 97, -50, 311, 272, -130, -134, -106, 15, 87, 163, -25, -108, 113 },
{ -40, 94, 37, -75, 13, 30, 21, -23, 34, -43, -23, -31, 84, -18, -311, 250, 23, 53, -25, 79, -3, 63, 219, 339, -236, 21, 18, -25, -54, 134, 125, 299, 101, -149, 74, -14, 9, -83, 57, 91, -36, 101 },
{ 6, -25, 24, -23, 14, -21, 59, -9, 20, 13, -37, 34, -19, 13, -22, -7, 21, -32, 59, -91, 51, -52, 30, -25, 20, -27, -10, 9, -54, 92, 206, 133, -15, 14, -4, -26, 27, 5, 54, 36, -53, 319 },
{ 7, -13, -9, -23, 25, -23, 45, 6, 25, -11, -29, 17, 20, 10, -23, -38, 26, -34, 53, -15, -59, -39, 75, -24, 36, -23, -17, 18, -14, 13, 199, 239, 10, 25, -11, -23, 12, -10, 53, 16, -88, 280 },
{ 22, -22, 6, -26, 9, -5, 45, 10, 15, 8, -11, -2, 8, -16, -7, -12, 20, -20, 32, -68, 44, -32, 18, -23, 14, -31, -17, 6, -26, 42, 165, 102, 20, -12, 13, -29, -6, 55, 26, 54, -72, 414 },
{ 4, -15, 30, -25, 21, -23, 14, 40, -9, -14, 13, -12, 17, -32, 31, -37, 10, -9, 11, 21, -44, 19, -29, 29, -31, -24, 12, -32, 21, -41, 138, 154, 99, 20, 40, -8, -16, 42, -20, 45, -81, 404 },
{ -13, 7, 17, -15, 18, -23, 32, -7, 12, -18, 11, -17, 36, -22, 16, -67, 11, -8, 16, 21, -37, -56, 47, 52, -19, -4, 7, -25, 37, -47, 133, 245, 151, 33, 53, -29, 13, -39, 36, -24, -82, 312 },
{ 7, -19, 6, -27, 22, -13, 37, 18, 4, -16, -9, -10, 17, -19, 9, -14, -4, 9, 25, -28, 43, -36, -3, 15, -26, -19, -23, -18, 16, -42, 123, 66, 35, -21, 35, -19, -15, 54, 29, 53, -86, 481 },
{ 7, -29, 42, -14, 16, 8, -21, 21, -8, -13, -12, 24, 18, -25, 47, -92, 16, -33, 30, 38, -22, -52, 17, 44, -9, -12, 18, -19, 21, -37, 97, 196, 185, 54, 76, -41, -18, 27, -32, 27, -85, 340 },
{ -5, -10, 17, -23, 23, 36, 12, -47, 32, -26, -36, 41, 26, -26, 107, -191, 24, -10, 20, 58, -15, -35, -69, 113, 89, 7, -16, 3, 15, 45, -34, 260, 260, 106, 48, -87, 4, -15, 26, -101, -34, 268 },
{ 6, -22, -7, -13, 8, 28, 37, 7, -2, -12, -8, -18, -14, 9, -5, -20, 5, 11, 15, -12, 63, -35, -5, 23, -36, -62, 30, -53, 23, -46, 77, 55, 34, -27, 65, -51, 26, 22, 59, -24, 68, 454 },
{ 4, 12, -25, -8, 24, -35, 27, 26, -13, -11, 12, -13, -3, 17, 23, -26, -9, 20, 24, -15, 24, -34, -29, 17, -62, -31, 15, -31, 9, -50, 94, 91, 164, 32, 34, 38, -38, 47, 9, -13, 51, 424 },
{ 13, -16, 20, -25, 43, -54, 20, 27, -14, -19, 28, -14, 6, 31, 51, -91, -12, 24, 24, 17, 14, -70, -41, 46, -37, -19, 17, -24, -14, -20, 67, 134, 180, 141, 114, -31, -30, 17, -21, -46, 63, 359 },
{ -9, 23, -6, -27, 10, 35, 15, -39, 17, -19, -28, 48, -37, 45, 131, -206, 20, -24, 36, 40, 71, -46, -127, 63, 93, -40, 29, 40, 27, -53, 42, 130, 260, 278, 130, -95, 41, -7, -78, -92, 16, 278 },
{ -12, 57, -12, -6, 13, 29, -30, 59, -52, -14, 21, -51, 73, 55, 136, -228, -24, -27, 16, 22, 80, -66, -81, 42, 176, 42, 26, -40, 42, 53, 78, 136, 286, 232, 107, -158, -24, 32, 26, -90, -56, 254 },
{ 8, -17, -21, -14, 16, 29, 29, -6, 20, -19, -25, 11, -18, 28, -9, -36, 13, 9, 9, -17, 71, -13, -7, 32, -55, -85, 44, -57, -44, 31, 85, -56, 108, -43, 53, -21, -18, 106, 26, 89, 125, 451 },
{ 2, -17, 14, -13, 20, -16, 33, 6, -14, -22, 25, -8, 13, -12, 53, -40, 12, -6, 10, 10, 40, -27, -21, 16, -121, -36, -22, -13, 3, -54, 42, 96, 91, 83, 65, 89, -55, 75, -17, 40, 130, 424 },
{ -10, 24, 22, -25, 10, 18, -23, 18, -11, -43, 12, 20, 22, 24, 67, -96, 20, -23, 17, -6, 40, -17, -10, 34, -128, 21, -11, -15, 25, -50, 36, 67, 135, 193, 72, 144, -87, 35, -24, 16, 74, 344 },
{ 14, -21, 10, -17, -7, -8, 48, 47, -62, 5, 17, -10, 60, -32, 172, -274, -34, 26, -7, -13, 97, 40, -87, 72, 141, 44, -39, 7, 31, 8, 83, 96, 266, 211, 140, -65, -62, -42, 117, -73, 60, 208 },
{ -16, 12, 30, -18, 26, -35, -12, 48, -21, -19, -23, 25, 33, -10, 24, -54, 28, -23, 37, 49, -112, -43, 117, 39, -31, -10, -24, -13, 61, -59, 157, 336, 40, -7, 44, -22, 7, -14, 37, 33, -138, 240 },
{ -15, -14, 41, -28, 21, 43, -59, 68, -89, -24, -11, -44, 61, 57, -48, 65, 27, -32, 32, 95, -113, -87, 182, 54, -96, 13, -50, 16, 83, -91, 108, 404, 100, -42, 44, -24, -12, 18, 36, 18, -115, 154 },
{ -9, -15, 43, -26, 20, 35, -50, 39, -34, -15, -39, 25, 40, -41, 55, -113, 20, -32, 41, 33, 21, -95, 84, 108, 57, 9, -43, 20, 39, -59, 80, 306, 222, -60, 29, -82, -16, 29, 25, 8, -110, 242 },
{ -21, 27, 20, -29, -25, -16, -28, 136, -140, 28, -24, 18, 67, -63, -46, 136, 22, -33, -58, 105, -70, -91, 300, 100, -146, 13, 25, -31, 140, -60, 131, 421, 21, -71, 73, 16, -21, -19, -28, 64, -159, 173 },
{ -19, 8, 40, -35, -16, 38, -47, 85, -96, -14, 20, -51, 65, 109, -221, 101, 41, -43, 5, 92, -66, -127, 272, 196, -95, -17, -36, 9, 58, 72, -41, 421, 185, -131, 41, -45, 9, 36, 28, 55, -141, 134 },
{ -7, -9, 39, -32, -22, 36, -33, 78, -57, 35, -31, -58, 41, 138, -181, -30, 13, -28, 59, 71, -25, -195, 239, 217, 52, -19, -34, 11, 44, 87, -75, 440, 260, -39, -134, -63, 9, 26, 82, 40, -111, 85 },
{ -15, 15, 30, -35, 44, -12, 35, -26, -42, -23, 31, -69, 75, 62, 65, -205, -31, 59, -13, 80, 36, -74, -87, 257, 143, 40, -57, 67, 43, -36, 84, 213, 366, 35, 34, -160, -6, 36, 56, -79, -120, 216 },
{ 51, -18, 25, -14, 24, 28, -40, 86, -85, -15, -19, 35, 76, 99, -42, -142, -23, 59, -13, -36, 72, -127, 52, 312, 153, -32, -23, 14, 57, 74, 76, 230, 317, -34, -109, -82, 52, 41, 66, 68, -88, 145 },
{ -1, 7, 23, -30, -28, 72, -43, 105, -95, -31, 28, 6, -32, 159, -213, 73, -37, 36, -33, 103, 97, -147, 217, 324, 80, 79, 29, -73, 78, 127, -29, 359, 169, -182, -112, -89, 7, -14, 89, 49, 106, 77 },
{ 7, -23, 6, -13, 9, -12, 68, -8, 11, 5, -24, 21, -12, 22, -35, 8, 20, -28, 57, -96, 71, -84, 42, -27, 18, -21, -16, 22, -81, 105, 143, 181, -82, 11, 19, -28, 8, 10, 63, -6, 65, 198 },
{ 7, -10, -12, -19, 17, -12, 54, 22, 8, -9, -14, -11, 30, -26, 10, -32, 15, -14, 21, 37, -92, 39, -26, 41, -15, -18, 22, -28, 27, -25, 141, 173, 49, -11, 55, -15, 11, -26, 26, 45, -87, 303 },
{ 7, -15, 6, -20, 12, -19, 60, 10, 14, 8, -24, 10, 16, -17, 7, -15, 11, -19, 39, -70, 45, -48, 30, -11, 10, -39, 29, -23, -21, 34, 138, 102, -15, -18, 23, -27, 6, 25, 22, 79, -64, 342 },
{ -4, -9, 13, -22, 30, -26, 49, -13, 27, -13, -18, -11, 29, 22, -18, -44, 20, -32, 46, 47, -82, -40, 43, -22, 37, -11, -13, 5, 29, -24, 102, 248, 133, 66, -7, -26, 12, -24, 56, -7, -136, 279 },
{ 4, -11, -6, -12, 5, -5, 44, 9, 2, -16, 7, -17, 29, -21, 5, -9, 10, 5, 17, -25, 36, -44, 11, -15, 6, -23, -10, -30, 20, -41, 112, 65, 15, -17, 18, -17, -10, 43, 20, 85, -111, 454 },
{ 2, -11, 4, -16, 19, -11, 33, -10, 30, -9, -6, 14, -7, 16, -17, -8, 10, -26, 48, -44, 61, -60, 23, -25, -19, -17, 19, -23, -19, -10, 102, 111, 104, 19, 56, -10, -19, 41, -15, 53, -93, 425 },
{ 9, -10, 11, -22, 17, -7, 30, -26, 16, -15, 32, -15, 22, 21, 16, -59, 10, -16, 15, 47, -21, -56, -27, 58, -21, -14, 23, -18, 12, -25, 93, 163, 172, 37, 82, -35, 17, -6, -24, 48, -117, 352 },
{ -4, -6, 15, -17, 8, 23, -12, -30, 46, 16, -24, 31, 35, 21, 63, -131, 11, -48, 26, 73, -35, -65, -76, 71, 93, -22, 21, 15, 39, -37, 105, 255, 254, 82, 17, -79, 13, -6, 33, -36, -92, 203 },
{ 4, -21, 4, -8, 2, 12, 42, 5, -6, -13, 5, -19, 6, -15, 13, -11, 11, -9, 9, -23, 53, 30, -30, -11, -11, -33, -10, -20, 18, -60, 116, -35, 56, -9, 31, -25, -11, 24, 63, 69, -77, 505 },
{ 4, -11, 22, -16, 15, -9, 31, -7, 7, -12, 22, -19, 22, -8, 27, -7, -7, 21, 22, -18, 42, -33, -29, -11, -43, -24, 25, -31, -17, -27, 79, 96, 80, 56, 74, -17, -26, 62, 16, -60, 83, 446 },
{ 7, -11, 12, -18, 16, -3, 14, -16, 15, -17, 29, -27, 18, 7, 50, -58, -12, 39, 19, 42, -7, -31, -49, -63, 38, -12, 8, -17, -41, 59, 22, 157, 172, 111, 93, -42, -19, 47, -21, -65, 36, 364 },
{ -7, 41, 12, -15, -8, 20, -15, -36, 24, 16, 40, -40, 11, 23, 138, -170, -26, -31, 63, 36, 45, -75, -102, 22, 97, 37, -17, 31, -33, 77, 53, 141, 244, 209, 108, -94, -6, 20, -49, -76, -39, 334 },
{ 30, -17, -23, -3, 3, 8, 47, 12, -8, -19, -10, -5, 9, -18, 13, -17, 9, 12, -16, 15, 82, -29, 13, -12, -26, -33, -18, -39, 16, -49, 76, 59, -20, 20, 44, -27, -25, 99, 25, 74, 82, 439 },
{ 19, -14, 7, -13, 32, 4, 16, -13, 12, -15, 13, -17, 33, 13, -21, 11, 13, 3, -19, 24, 42, -17, -17, 11, -96, -43, 13, -40, 36, -59, 45, 67, 89, 100, 33, 55, -27, 42, 52, -52, 107, 441 },
{ 20, -9, 6, -14, 21, -14, 26, -24, 9, -11, 7, -18, 31, 25, 48, -57, -6, -9, -4, 57, 39, -28, -60, 23, -90, 25, -29, 9, 19, -25, 18, 64, 186, 164, 93, 65, -53, 52, -25, -33, 57, 393 },
{ 11, -4, 8, -12, -5, 24, -10, 47, -16, -13, 11, -38, 16, 20, 111, -157, -21, 44, -13, 9, 87, -41, -12, -95, 94, 24, 38, -26, 36, -41, 42, 66, 217, 309, 192, -53, -55, 46, -74, -55, 78, 281 },
{ 5, -9, 22, -35, -8, 13, 53, 17, -8, -49, -27, 34, 14, -21, 34, -32, 29, -16, 12, 46, 12, 49, -9, 19, -70, -88, -43, 36, -32, -16, 81, 45, -21, 53, 43, -39, -38, 174, 66, 85, 214, 350 },
{ -5, -5, 19, -23, 10, 2, 28, -23, 31, -14, 9, -6, 33, 8, 48, -50, -11, 18, 17, 10, 43, -29, 73, 39, -212, -46, 19, 24, -50, 22, 61, 46, 84, 119, 163, 187, -85, 64, -26, 56, 157, 311 },
{ 21, -24, 5, -18, 26, -20, 50, -10, 40, -8, -25, 17, 17, 30, -37, -10, 28, -27, 43, -25, -70, -33, 67, -45, 28, -20, -18, 32, -33, 42, 166, 239, -35, 37, 7, -16, 11, -19, 44, 14, -59, 197 },
{ -7, -10, 18, -18, 20, 32, -40, 61, -14, -18, -9, -46, 85, -27, 37, -48, 25, -20, 56, 54, -130, -40, 86, -37, 56, -10, -20, -16, 51, -43, 122, 325, 56, 14, -14, -22, 6, -13, 63, 35, -148, 208 },
{ -8, -14, 27, -11, 25, 45, -68, 35, -58, -33, -19, -46, 97, 34, -49, 75, 37, 34, 16, 72, -127, -80, 143, 74, -55, 11, -2, -41, 68, -44, 146, 407, -25, -37, 55, -9, -11, 8, -60, 119, -149, 169 },
{ -5, -12, 23, -17, 20, 30, -59, 65, -24, -14, -25, -14, 71, 42, -130, 56, 19, -27, 26, 95, -102, -87, 157, 71, -78, -13, 32, -30, 86, -31, 88, 369, 140, -39, 58, -21, 8, 11, -37, 78, -183, 179 },
{ 5, -12, 19, -30, 15, 11, 26, -21, 42, -23, 25, -56, 59, 26, -38, -65, 24, -34, 43, 54, -77, -90, 84, 66, 46, -7, -11, 21, 57, -28, 113, 334, 185, 49, -56, -32, -13, 25, 14, 38, -162, 206 },
{ -20, -9, 24, 28, 29, 14, -97, 80, -79, -17, -27, -38, 102, -28, -99, 75, 23, 12, 58, 58, -105, -90, 226, 74, -122, 35, -2, -43, 57, 82, 137, 478, 36, -81, 81, -16, -23, 31, -54, 96, -153, 149 },
{ -12, -23, 46, -24, 12, 27, -72, 36, -30, -20, -11, -39, 99, 67, -165, 61, 13, 24, 16, 82, -36, -132, 189, 208, -94, 17, -38, -29, 140, -94, 188, 342, 103, -54, 78, -34, 8, -19, 27, 65, -187, 148 },
{ -7, -12, 42, -26, -7, 18, -28, -27, 71, -14, 16, 91, -17, 111, -121, -90, 28, -11, -61, 65, -73, -141, 114, 191, 82, -22, -41, 42, 58, 101, 137, 347, 243, -132, -106, -35, 8, 21, 59, 62, -140, 153 },
{ -13, 18, 28, -24, 30, 29, 7, -60, 63, -18, -17, 79, 31, -16, 85, -195, 34, -35, -18, 69, 74, -86, -63, 193, 158, -51, 33, -23, 75, -71, 125, 264, 320, 25, -69, -93, 8, 73, -21, 55, -133, 265 },
{ -17, 28, 17, -26, 26, 9, -56, 98, -110, -29, -56, -41, 69, 54, -242, 235, 27, 11, 44, 96, -40, -157, 271, 124, -189, 65, -30, 25, -91, 95, 249, 435, -74, -126, 139, -16, -30, 19, -67, 86, 111, 70 },
{ -22, -12, 36, -30, 48, 15, -29, 35, -29, -7, 16, -31, 40, 74, -278, 110, -11, 30, -49, 78, 60, -138, 212, 268, -204, 18, 22, -30, 81, -64, 146, 377, 132, -153, 72, 42, 20, -96, 47, -35, 130, 159 },
{ 50, -20, 21, -15, -16, -30, 30, -70, 86, 12, 16, 84, -61, 152, -165, -140, 16, -20, -53, 90, 45, -118, 97, 381, 94, 39, -64, 47, -33, 148, 160, 324, 280, -206, -171, -22, 48, -53, 124, 135, -137, 108 },
{ 69, -14, -44, -55, 18, 19, 15, 34, -142, -23, -39, 79, 58, 133, -250, 273, 17, -54, 16, -60, 85, -72, 352, 104, -211, 66, 14, -51, 140, -57, 146, 373, -66, -113, 147, -57, -16, 27, 53, -79, 189, 169 },
{ 27, -16, 9, -17, 14, -14, 54, -15, 10, -5, -18, 6, 16, 14, -26, 8, 17, -25, 68, -95, 69, -97, 54, -28, 11, -15, -17, 13, -92, 92, 123, 163, -89, 19, -10, -10, 8, -7, 70, 12, 66, 159 },
{ 6, -10, -12, -8, 13, -13, 67, -14, 16, -7, -10, -24, 52, -20, -21, -5, 18, -17, 25, 46, -127, 39, 48, -31, 8, -13, -8, 4, -40, 33, 151, 203, -22, 49, -8, -9, 8, -12, 45, 31, -52, 184 },
{ 4, -23, 18, -23, 10, -15, 61, -8, 6, -10, 17, -18, 16, -12, 10, -9, 21, -26, 36, -61, 78, -63, 31, -24, 19, -27, -24, 22, -24, 15, 121, 80, 31, -14, -9, -25, 6, 38, 26, 105, -98, 300 },
{ 4, -10, 12, -20, 14, -8, 50, -21, 18, -12, -7, -14, 23, 22, -18, -13, 6, 13, 8, 44, -60, -57, 55, -23, 28, -22, 12, -18, 14, -27, 133, 159, 57, -28, 45, -19, 9, -15, 54, 31, -112, 294 },
{ 19, -19, -9, 12, 16, 31, -12, -30, 11, -8, -12, -19, 57, 28, 34, -34, 12, -18, 54, 36, -107, -30, -31, -25, 64, -12, -8, 14, 34, -31, 135, 196, 146, 64, -21, -24, 8, -15, 83, -20, -132, 254 },
{ 3, -10, 5, -18, 4, -6, 52, -7, 16, -10, 16, -29, 23, -14, 11, -10, 13, -8, 19, -16, 56, -52, 16, -28, 9, -22, -15, -12, 13, -46, 92, 50, 37, -4, -7, -15, -8, 46, 20, 91, -120, 389 },
{ 17, -9, 4, -16, 16, -12, 42, -12, 32, -17, 8, -25, 34, -21, 18, -13, 14, -17, 20, 50, -65, 42, -42, -34, 13, -17, 9, -26, -11, -5, 84, 105, 88, 50, 10, -18, 7, -18, 64, 60, -110, 336 },
{ 9, -6, 4, -23, 17, -7, 43, -25, 20, -25, 41, -19, 32, -9, 34, -26, 15, -31, 35, 62, -47, -51, -12, -37, 25, -13, 36, -11, -30, 47, 71, 176, 143, 83, 23, -29, -10, 26, -29, 51, -99, 292 },
{ -5, -13, 28, -11, 11, 6, 38, -34, 51, -13, 17, -28, 48, 12, 44, -96, 19, -47, 19, 52, -48, -54, -39, 23, 96, -17, 21, 31, -32, 91, 90, 266, 168, 114, -18, -44, 16, -15, 51, -9, -111, 189 },
{ 21, -24, 34, -33, -2, 6, 51, -4, -7, -16, 12, -26, 27, -22, 24, -13, 6, 20, 9, -21, 75, -32, 15, -34, 11, -18, -14, -26, 19, -51, 71, 35, 15, -6, 19, -20, -20, 60, 24, 104, -112, 448 },
{ 2, -10, 5, -13, 12, -12, 27, 27, -14, -7, 6, -9, 31, -18, 32, -13, 20, -28, 33, -16, 57, -28, -58, 20, -31, -12, -9, -39, 43, -19, 37, 96, 92, 17, 88, -24, -20, 69, -9, 87, -86, 421 },
{ -6, 14, 7, -11, -7, -7, 37, -13, 7, 8, 25, -27, 39, -11, 23, -20, -27, 65, 20, 25, 33, -57, -28, -36, -24, -16, -12, 13, -25, 68, -15, 159, 169, 53, 112, -29, -7, -11, 46, -71, 58, 316 },
{ 30, -14, 12, -15, 18, -19, 32, -39, 34, -4, 29, -28, 9, -12, 74, -83, -15, -11, 81, 56, 14, -60, -46, -62, 97, 4, -40, -4, -17, 97, 39, 196, 179, 170, 98, -74, -12, 6, 29, -102, 45, 272 },
{ 10, -21, -10, 7, -8, 30, 55, -27, -21, 55, -60, 81, 74, -44, 135, -213, 31, -80, 44, 40, 71, -32, -108, 92, 221, -14, 20, -29, 34, 79, 118, 174, 267, 159, 118, -128, 13, 9, 29, -77, -79, 269 },
{ 5, -16, 6, -12, -8, 14, 51, 2, -11, -20, 9, -15, 16, -21, 33, -20, 26, -15, -11, 11, 79, 18, -29, -21, -8, -39, 28, -16, -31, -39, 96, -17, 37, 15, 39, -24, -28, 104, 40, -42, 146, 471 },
{ 10, -28, 47, -39, 4, 23, 40, -9, -7, -20, 28, 3, 28, -6, -22, 25, 17, 22, -22, 12, 73, -62, 55, -79, -32, -20, -21, -27, 48, -55, 53, 46, 80, 94, 80, -30, -20, 43, 88, -75, 120, 412 },
{ -8, -2, 37, -19, 8, 20, 13, -19, -18, -15, -11, 42, -8, 24, -14, 22, -9, -7, 38, 26, 48, -33, 31, -114, -46, -33, 39, -20, -33, 63, 27, 76, 126, 202, 155, -44, -24, 43, 41, -83, 63, 349 },
{ 6, 26, -35, 20, 14, -9, 37, -28, -12, -13, -15, 57, -44, 25, 81, -94, 10, -43, 35, 43, 70, -33, -46, -166, 75, -17, 36, 53, -31, 82, 49, 105, 165, 308, 202, -73, -27, 32, -75, -83, 84, 308 },
{ 38, -23, -3, -15, 4, 29, 11, 25, -14, -25, -26, -5, 42, -19, 34, -36, 43, -28, 27, 15, 67, 17, -36, 25, -37, -72, 16, -54, -34, 49, 52, 36, 12, 21, 58, -42, -35, 159, 46, 87, 213, 361 },
{ 2, -22, 43, -11, 16, 30, 12, -7, -14, -27, -17, 21, 44, -23, 41, -29, 16, -42, 60, 76, -33, 22, 26, 71, -149, -47, 28, -27, -51, -23, 62, 49, 57, 75, 64, 87, -45, 74, 43, 15, 219, 380 },
{ 3, -5, 27, -8, -17, 29, 21, 46, -39, 5, -30, 25, 14, -21, 138, -153, -31, 36, -10, 35, 49, 69, -50, 97, -158, -21, 41, -18, -14, 46, 37, 116, 159, 146, 240, 204, -81, 67, -132, 67, 89, 279 },
{ -2, -13, 18, -19, 22, 18, -38, 45, 35, -13, -22, -22, 80, -25, -19, -25, 20, -17, 29, 51, -122, -16, 75, -23, 39, -18, 9, -7, 50, -12, 154, 249, 81, -43, 80, -30, 6, 9, -33, 55, -135, 160 },
{ -13, -9, 22, 6, 20, 32, -70, 25, -45, -18, -21, -16, 89, 66, -59, 102, 6, 38, 28, 37, -137, -58, 93, 40, -51, 8, -9, -20, 35, 85, 85, 320, 101, -65, 80, 6, -14, 9, -51, 103, -165, 111 },
{ -7, -13, 20, -20, 14, 40, -43, 47, -5, -8, 5, -35, 74, 28, -79, -19, 22, -31, 37, 45, -125, -71, 102, 121, -36, -4, -32, 59, 27, 64, 93, 339, 81, -39, 38, -19, -11, 63, -23, 60, -160, 141 },
{ -4, -26, 42, -17, 17, 30, -20, -23, 80, -24, 19, -30, 83, 43, -39, -69, 17, -23, 26, 43, -75, -66, 68, 39, 63, 12, -26, 31, 22, 37, 95, 281, 156, 63, -62, -31, 9, -12, 21, 55, -140, 164 },
{ -13, -15, 14, 29, 18, 9, -75, 51, -48, -7, 11, -43, 66, 38, -105, 68, 24, 12, 43, 55, -136, -89, 140, 75, -94, -14, 8, -37, 38, 159, 101, 456, -14, -49, 63, -6, 6, -18, -57, 94, -141, 227 },
{ -21, -20, 43, -13, 20, 38, -54, 19, -16, -13, -32, -38, 50, 67, -120, 54, 31, -17, 60, 37, -81, -160, 168, 166, -63, -16, -6, 14, 36, 133, 195, 355, 47, -60, 70, -11, 5, 6, -58, 96, -142, 123 },
{ -7, -8, 9, -21, 23, 13, 33, -26, 67, -18, 64, -42, 34, 81, -94, -47, -11, -13, 47, 51, -61, -128, 128, 148, 33, 35, -47, 14, 30, 136, 141, 350, 187, -43, -38, -26, -14, -8, 36, 61, -178, 152 },
{ -19, 27, -12, 15, -9, 57, 31, -65, 45, 33, -34, 63, -14, 31, 61, -155, -16, -31, 58, 40, -56, 97, -80, 123, 153, 22, -38, 38, 18, 165, -49, 304, 230, 90, -45, -67, -17, 52, 14, -53, -59, 189 },
{ 38, -30, 17, -12, 24, 25, -51, 35, -39, 7, -13, 44, 44, 49, -216, 173, -5, 11, 39, -46, -18, -114, 210, 65, -179, 35, -30, -49, 78, 132, 267, 422, -65, 60, 105, 7, -17, 33, -96, 62, -124, 138 },
{ -14, 54, 27, -6, 14, -19, -53, -16, 16, -15, 13, 72, 31, 82, -225, 116, -36, 25, -41, 51, 53, -189, 145, 243, -172, -5, 18, -25, 15, -54, 228, 346, 110, -141, 71, -3, 18, -37, -20, 41, 144, 122 },
{ 48, -19, -8, -13, 15, 16, 27, -35, 10, -33, 28, -22, 44, 140, -168, -35, 31, 31, -44, 31, 47, -159, 158, 270, 30, -8, -32, -63, 67, -40, 165, 366, 242, -141, -111, 23, 54, -22, 88, 46, 124, 73 },
{ 11, -7, -15, 104, -39, 59, -50, -34, -43, 7, 34, -59, 52, 50, 37, -112, -45, 88, 62, 45, 33, -61, -53, 251, 180, 45, -32, -38, 21, 10, 123, 221, 302, -39, -154, 30, -29, 47, 66, 49, -83, 187 },
{ 69, -14, 74, -46, -10, -17, -40, -17, -33, -35, -28, 18, 67, 68, -257, 257, 39, 52, 71, 73, 37, -82, 271, 82, -197, 7, -46, -53, -74, 105, 209, 355, -37, -87, 137, -60, 45, 19, 35, 71, 48, 158 },
{ -15, -30, 88, 21, 22, -64, -85, 62, 35, 82, -39, -30, -32, 127, -320, 116, 25, 60, 80, 43, 87, -104, 265, 319, -212, -27, -81, -51, 21, -35, 109, 347, -40, -105, 60, -72, -23, 110, 21, 101, 177, 267 },
{ -17, 11, 8, -2, -13, 26, 79, -19, -46, -18, -25, 58, 41, -17, 58, -192, -21, -8, 8, 12, 37, 22, 66, 91, 290, 59, 43, -9, 36, 34, 20, 165, 292, 65, 71, -130, 29, -24, -13, 72, -76, 240 },
{ 20, -17, 10, -17, 6, -10, 49, -11, 5, -9, 5, -5, 16, 20, -13, 7, 18, -10, 23, -67, 84, -90, 21, -15, 13, -18, -19, -28, 51, 16, 147, 71, 67, -37, -4, -16, 5, 19, 77, 74, -145, 257 },
{ 3, -8, -5, -10, 7, -6, 53, -17, 12, -6, -4, -15, 33, 23, -23, 11, 12, -3, 18, 39, -86, -54, 51, -34, 12, -13, -6, -21, 26, -26, 192, 157, 62, -18, 22, -13, 6, -4, 53, 40, -128, 241 },
{ 10, -9, 8, -14, 10, -12, 38, -9, 4, -19, 22, -7, 24, -11, 20, -10, 15, 9, 18, -64, 93, -67, 22, -20, 16, -23, -22, -16, 27, 11, 117, 67, 38, -12, -8, -17, 41, 3, 29, 104, -107, 265 },
{ 1, -14, 21, -10, 5, -3, 30, -15, 9, -14, 7, -23, 33, 8, 25, -15, 14, -13, 14, 51, -66, -60, 53, -39, 15, -12, 14, -5, -33, 51, 114, 156, 77, 9, 23, -17, 8, -13, 45, 29, -102, 251 },
{ -3, -9, 9, -10, 6, 5, -9, -23, 18, -17, 20, -21, 44, 22, 29, -32, 15, -17, 17, 53, -73, -60, 64, -36, 72, -14, 5, 1, -21, 54, 105, 185, 101, 15, -18, -13, 12, -15, 43, 49, -94, 183 },
{ 2, -14, 25, -7, 9, -13, 60, -1, -9, -7, 15, -26, 25, -17, 20, 10, 11, -13, 41, -27, 89, -36, -6, -24, 9, -23, -11, -11, 37, -14, 51, 45, 49, 7, -14, -18, 46, -10, 26, 116, -123, 302 },
{ -4, -5, 7, -15, 5, -4, 31, -15, 5, 2, -5, -10, 20, -14, 28, -14, -12, 29, 26, -40, 73, -79, 52, -61, 19, -14, 14, -46, 24, 34, 47, 138, 48, 58, -8, -11, 9, -20, 19, 102, -125, 333 },
{ -4, -12, 18, -11, 7, -8, 32, -29, 18, -6, 14, -33, 48, -16, 46, -29, 13, -24, 30, 56, -45, -66, 66, -54, 36, -20, 6, -11, -27, 78, 76, 139, 122, 74, 33, -27, 11, 10, -19, 70, -102, 226 },
{ 12, -16, 17, -13, 14, -14, 23, -56, 27, -29, 89, -18, -6, 51, -27, -37, 23, -45, 29, 31, 80, -109, 63, -35, 82, -17, -4, 27, -37, 85, 83, 166, 174, 151, -21, -21, 11, -46, 95, -31, -77, 176 },
{ 2, -21, 36, -5, 13, -5, 50, -14, 10, -15, 23, -32, 39, -39, 32, -14, 37, -17, 10, -17, 97, -20, -18, -15, 13, -18, -12, -8, 36, -23, 46, 51, 36, -6, 40, -26, 49, -20, 18, 151, -126, 349 },
{ 4, -6, 26, -24, 6, -11, 81, -9, -5, -17, 12, -27, 26, -15, 11, 15, 6, 22, 21, -16, 43, -61, 48, -52, -17, -27, 37, -41, 50, -34, 65, 88, 70, 52, 49, -16, -11, 24, -20, 116, -91, 393 },
{ -8, -9, 19, -11, 26, -22, 54, -5, -8, 14, -3, -43, 31, -12, 29, -7, -26, 105, 36, 29, -22, -44, -45, -46, -13, -31, 23, -61, 39, 115, 60, 73, 178, 46, 93, -21, 11, -14, -18, 88, -123, 350 },
{ -6, -10, 12, -21, 58, -26, 16, -27, 9, 15, 43, -38, 10, -25, 48, -47, -12, 49, 84, 40, 22, -89, -46, -48, 51, -46, 18, -30, 48, 170, 61, 148, 237, 148, 73, -75, 15, 11, -26, -54, -55, 284 },
{ 37, 12, -24, 15, -22, 60, 22, -30, -28, -6, -27, 25, 107, -17, 117, -151, 12, -33, -18, 28, 37, 80, -121, 39, 190, 52, 39, -22, 58, -60, 74, 144, 314, 112, 79, -67, 14, -25, 24, -120, 44, 263 },
{ 4, -13, 7, -14, 5, -9, 65, 14, -8, -23, 9, -12, 23, -31, 34, -21, 11, -7, 14, -23, 94, 14, -31, -19, 11, -29, 51, -26, -59, 35, 66, 28, -14, 26, 19, -20, -20, 111, -11, 63, 108, 372 },
{ 2, -7, 4, -15, 6, -10, 73, -7, -10, -14, 7, -13, 70, -13, -12, 39, 16, -18, 14, 35, -18, 80, -27, -66, -19, -12, 12, -28, -50, 30, 23, 102, 47, 100, 85, -37, -22, 68, 83, -73, 116, 397 },
{ -5, -1, 42, -18, -8, 31, 19, -18, -8, 50, -34, 46, 9, -2, -11, 35, -9, -22, 45, -21, 86, -23, 14, -130, -25, 16, -10, -26, -18, 78, 24, 63, 114, 171, 155, -51, -12, 22, 45, -76, 104, 378 },
{ 4, -13, 7, -34, 74, -24, 17, -26, -4, 26, -6, -41, 10, -25, 83, -64, 37, -18, 113, 48, 57, -38, -58, -128, 32, -29, -19, 18, -18, 212, 91, 73, 169, 251, 182, -73, 29, -62, 12, -114, 64, 314 },
{ 6, -18, 6, -30, 40, -11, 51, -48, -14, 17, -7, -54, 60, -36, 164, -188, -18, 27, 71, 54, 65, -13, -57, -52, 116, 11, -16, 8, 25, 129, 78, 73, 257, 286, 141, -72, -47, 72, -44, -114, 62, 263 },
{ 52, -34, -4, -11, 12, 5, 75, -9, -18, -25, -18, -33, 15, 33, 16, -34, 32, -13, 53, -21, 40, 78, -53, 24, -27, -29, -48, -44, -15, 37, 65, 24, 46, -16, 34, -43, -38, 190, 24, 97, 151, 435 },
{ 3, -10, 48, -18, 15, -8, 33, 29, -37, -18, -34, 56, 27, -17, -38, 60, -15, 57, -19, 30, 43, -10, -31, 106, -108, -29, 49, -95, -20, 30, 64, 65, 35, 77, 25, 91, -55, 123, 24, 32, 192, 394 },
{ 28, -14, 37, -7, -7, 25, 25, 16, -21, -17, -14, 61, 4, -8, -14, 36, -13, 5, 20, 14, -22, 50, -28, 93, -171, 18, -12, -32, -44, 81, 41, 111, 33, 158, 49, 253, -33, -94, 72, 75, 165, 282 },
{ 26, -12, -9, -14, 15, -18, 54, -13, 11, -6, -15, 16, 13, 29, -36, 16, 18, -9, 30, -78, 82, -122, 72, -50, 19, -12, -10, -28, 43, 29, 145, 146, -70, 33, -22, -14, 31, 6, 56, 45, -101, 210 },
{ 18, -10, 12, -15, 13, -6, -25, 23, 4, -9, -8, -7, 50, 37, -41, 28, 18, -14, 14, 25, -127, -21, 50, -46, 39, -8, -11, 2, 45, -34, 205, 199, 14, 37, -8, -16, 6, -11, 52, 25, -119, 210 },
{ 22, -13, 14, -27, 18, 13, -36, 48, 13, -10, 15, -37, 83, -33, 24, -31, 16, -20, 7, 38, -155, 45, -33, 58, 17, -15, 8, -15, 89, -59, 237, 172, 78, -49, 80, -27, 26, 12, -28, 58, -135, 241 },
{ -12, -7, 25, -9, 46, 10, -60, 44, -11, -23, 37, -14, 86, 26, -64, 84, 16, -11, -10, 23, -145, -51, 101, -28, -25, -9, 5, 45, 8, 143, 107, 289, -26, 64, -5, 7, -11, 14, -60, 81, -123, 102 },
{ -6, -13, 12, -12, 63, 17, -40, -12, 18, -7, 41, -19, 75, 74, -48, -32, 10, -20, 4, 65, -124, -53, 51, 112, -22, -17, 43, -24, 20, 79, 124, 278, 77, -45, 70, -18, -7, 19, -41, 90, -158, 156 },
{ -13, -10, 5, 5, 25, 23, -25, -18, 8, -6, 49, -36, 61, 21, 35, -50, 10, -10, -18, 56, -103, -33, -38, 88, 66, -13, -20, 7, 80, -36, 142, 249, 159, -30, -23, -33, 7, 46, 33, 92, -105, 142 },
{ -10, -17, 19, -7, 10, 15, 43, -45, 26, -11, -17, -34, 42, -8, 39, -83, 21, -26, 45, 43, -60, -71, 42, 26, 122, -17, -17, 25, -26, 128, 99, 180, 179, 90, -44, -41, 48, 10, 76, -11, -88, 142 },
{ -11, -10, 25, -16, 22, 35, -61, 45, -16, -19, 11, -20, 70, 51, -73, 105, 21, 25, -19, 28, -121, -112, 120, 46, -52, -12, 10, 40, 11, 184, 135, 300, -53, -28, 29, 7, -11, 20, -79, 69, -80, 245 },
{ -9, -13, 18, -20, 12, 36, -51, -16, 45, -8, 87, -19, 34, 86, -91, -12, 13, -13, -11, 33, -86, -144, 132, 159, -56, 3, -19, 38, -29, 199, 111, 315, 85, -24, -7, 17, -13, 44, -42, 86, -121, 140 },
{ -11, -5, 18, -19, 59, -18, 63, -39, 21, -15, 32, -34, 27, 68, -63, -59, 15, 28, -27, 50, -68, -115, 122, 148, -18, -26, -23, -10, 26, 152, 95, 294, 145, 74, -48, -22, 8, 41, 39, 42, -146, 147 },
{ 15, -10, 14, -12, -18, 34, 42, -47, 25, 16, -44, 51, -33, 62, 55, -105, 70, -15, 47, 26, 85, -96, -25, 121, 170, -8, -26, 13, 5, 85, 164, 249, 255, 51, -56, -31, -17, 25, 35, -57, -92, 231 },
{ -8, -19, 24, -10, 22, 24, -36, 38, 24, 10, 16, -9, -21, 61, -166, 96, -16, -20, 70, 40, -30, -114, 156, 60, -85, 41, 28, -34, 23, 154, 300, 337, -77, -43, 81, -8, -17, 26, -91, 54, -82, 178 },
{ 7, -20, 9, -14, 27, 13, -26, 28, 62, -4, 39, -31, -41, 125, -220, 78, -8, 12, 65, 35, -46, -116, 97, 218, -97, -19, 24, -62, 42, 133, 261, 318, 85, -46, 42, 16, 12, -25, -36, 88, -117, 170 },
{ 11, -3, 6, -10, -47, 26, 16, -47, 75, -9, 52, 62, -23, 110, -80, -73, 23, 55, -10, 36, -38, -151, 157, 236, 80, -26, -34, -42, 33, 195, 137, 318, 217, -106, -73, 18, 27, -37, 17, 101, -143, 182 },
{ 26, -36, 42, -48, -23, 39, 138, -19, -30, -4, 29, -76, 19, 52, 58, -145, 20, 54, 31, 35, 50, -48, -58, 208, 210, -14, -29, -34, 39, -26, 154, 267, 291, 32, -168, 32, 11, -33, 73, -39, -49, 218 },
{ -6, -23, 36, -23, 20, 30, -42, 89, -32, 14, -23, -20, -48, 97, -264, 221, -7, 11, 52, 27, 79, -78, 211, 88, -128, 16, -33, 106, 40, -37, 331, 347, -38, -75, 134, -44, -6, 60, -92, -12, 174, 127 },
{ 29, -19, -31, -28, 76, 46, -21, 89, 42, -19, 60, 20, -68, 56, -262, 138, 81, -64, -71, 58, 77, -88, 153, 225, -221, 11, 42, 125, 80, 80, 214, 419, 25, 136, 37, -16, -38, -40, -69, 71, -84, 115 },
{ 36, -37, 43, -33, 8, 28, 50, 80, -22, -68, 21, -49, -63, 122, -229, 74, -34, 38, -56, 58, 144, -84, 185, 338, -113, -15, 43, -84, 68, -28, 199, 323, 207, -162, 118, 47, 14, -18, -41, 49, 133, 67 },
{ -29, 16, 57, 182, 69, -51, -94, 117, -155, -60, -47, 82, 54, -41, 26, -66, 42, 41, 18, 86, -29, 106, -115, 411, 133, -40, -77, -54, -25, 51, 74, 230, 224, -58, -228, 110, -26, 79, 97, 65, 109, 128 },
{ 22, -13, 3, -8, 9, -17, 47, -14, 3, -12, 19, -22, 59, -25, 24, -8, 10, 11, -18, 50, -101, 64, -41, 26, -7, -14, 12, -28, 56, 33, 154, 36, 78, -28, 32, -14, 33, 11, -25, 81, -130, 202 },
{ 1, -10, 27, -9, -4, 24, -7, 30, -10, -8, 27, -11, 8, 23, -8, 18, 9, -15, 35, -52, 91, -98, 52, -32, 4, -7, -3, 8, -32, 37, 81, 137, 105, -6, 24, -13, 4, -10, 11, 95, -106, 235 },
{ 2, -11, 41, -13, 5, -14, 48, -8, -3, -3, 7, -9, 21, -6, 20, -10, 9, -12, 17, -52, 104, -67, 38, -12, 9, -14, 7, -30, 69, 38, 78, 60, 78, -26, 37, -23, 5, 74, -29, 92, -160, 248 },
{ 13, -12, 16, -10, 8, -14, 23, -21, 11, -13, 46, -23, 42, 18, 19, -16, 12, -18, 23, 29, -61, -88, 78, -39, 14, -9, -3, 7, -35, 89, 110, 190, 71, -16, 54, -17, 7, -4, 8, 72, -95, 214 },
{ 18, -16, 58, -15, -3, -7, 47, -6, -6, -8, 10, -13, 15, 7, -10, 13, 13, -17, 52, -28, 68, -28, -9, -12, 6, -19, -13, -9, 42, 11, 78, 51, 55, 13, -15, -14, 54, -11, 24, 149, -116, 240 },
{ -4, -8, 13, -4, 6, -17, 11, -18, 6, -10, 46, -22, 25, -14, 27, -16, 6, -9, 43, -48, 86, -73, 40, -43, 15, -20, 37, -19, -19, 89, 29, 146, 105, -6, 26, -12, 6, -8, 8, 111, -110, 293 },
{ -2, -11, 16, -14, 12, -12, 6, -21, 23, -10, 49, -19, 26, -19, 48, -20, 11, -31, 57, -32, 103, -120, 48, -50, 14, -15, 16, -29, -38, 147, 53, 191, 81, 34, 49, -22, 12, -8, 47, 48, -105, 263 },
{ 20, -8, 9, -21, 11, -6, 56, -17, 4, -19, 65, -32, 42, -27, 29, -20, 25, -28, 24, 31, 111, -130, 87, -62, 92, -28, 26, -27, -25, 52, 78, 191, 139, 122, -18, -19, 19, -25, 102, -27, -91, 230 },
{ 3, -12, 27, -7, 3, -7, 31, 7, -9, 33, -19, -8, 23, -14, -13, 18, 12, -17, 63, -23, 94, -27, 43, -15, -14, -20, -8, -15, 46, -21, 101, 49, -14, 17, 50, -24, 54, -14, 13, 172, -103, 294 },
{ 3, -20, 62, -11, 17, -19, 56, 15, -13, 11, -15, -19, 33, -19, -12, 40, -29, 83, 44, -35, 46, -55, 58, -50, -12, -18, 18, -35, -22, 96, 16, 93, 50, 61, 66, -13, 12, -31, 78, 38, -112, 370 },
{ -11, -13, 21, -10, -9, -23, 36, -39, 21, 28, -25, -37, 33, -40, 52, -8, -34, 184, 53, -31, 79, -67, -46, -46, 36, -38, -6, -30, -20, 203, 63, 87, 118, 117, 36, -37, 8, 19, 49, -86, 80, 268 },
{ 4, -16, 10, -27, 12, -14, 14, -40, 27, 43, 88, -79, 31, -60, 71, -48, -43, 21, 203, 54, 29, -146, 61, -56, 32, -78, 45, -62, 49, 299, 120, 106, 170, 210, 63, -77, 24, 15, -25, -92, -19, 294 },
{ 34, -13, 13, -15, 33, -30, 43, -29, -20, -21, -14, -5, 125, -35, 109, -126, 11, -7, 24, 7, 78, -22, -93, 29, 226, -35, 58, 22, -18, 137, 102, 138, 256, 119, 98, -86, 52, -54, 62, -134, 53, 256 },
{ 54, -22, 18, -17, 5, -4, 48, -7, -4, -27, 42, -19, 24, -15, -10, 14, 15, -7, 18, -16, 67, 28, -25, -4, -12, -27, 24, -4, -90, 42, 121, 63, -26, -10, 49, -16, -9, 97, -21, 86, 107, 295 },
{ 1, -6, 39, -4, 6, -13, 91, -16, -14, -11, 15, -15, 19, 9, -30, 46, 26, -41, 85, 17, 29, -40, 63, -67, -19, -16, 27, -13, -34, -25, 66, 120, 63, 54, 101, -27, -18, 69, 82, -70, 98, 358 },
{ 2, -9, 7, -5, 17, -28, 26, -4, -20, -11, 70, -21, 4, 54, -41, 43, 9, -11, 28, 35, 59, -30, -13, -117, 66, -44, 30, -9, -64, 114, 89, 61, 122, 94, 166, -51, 11, -8, 91, -66, 73, 340 },
{ 5, -10, 8, -40, 47, -24, 17, -20, -9, 12, 23, -19, 18, -67, 98, -51, -15, -14, 145, 59, 82, -70, -62, -91, 65, 20, -74, -31, 49, 189, 96, 129, 172, 231, 171, -95, 21, -14, -113, 77, -35, 318 },
{ 45, -16, 13, -59, 19, -16, 88, -19, 3, -26, -17, -31, 37, -15, 32, -22, 35, -30, 12, 75, 9, 62, -47, 21, -31, -25, -34, -24, -81, 26, 119, 73, -18, 7, 30, -21, 92, -31, 100, 111, 134, 385 },
{ -1, -57, 70, -7, 10, -18, 24, 23, -38, -19, -29, 58, 27, -22, -33, 58, -13, 44, -18, 30, 65, -3, -35, 76, -94, 32, -30, -98, 73, -17, 62, 105, 57, 42, 21, 153, -51, 101, 42, 40, 114, 435 },
{ 29, -29, 87, -8, 14, -19, 44, -10, -22, -28, 8, 37, 22, -5, -32, 49, -36, 12, 10, 23, 53, 21, -11, 42, -154, 35, -26, -53, -45, 43, 114, 82, 53, 138, 56, 219, -27, -79, 65, 77, 155, 311 },
{ -7, 13, 27, -29, 15, -15, 24, 33, -31, -26, -20, 36, -19, 50, 58, -67, -25, -41, 80, 40, 59, -37, -32, 106, -122, 45, -52, -23, 96, 20, 49, 103, 43, 213, 181, 118, 85, -82, -60, 62, 91, 279 },
{ 24, -10, 2, -7, 10, -17, 21, -18, 4, 3, -13, 16, 37, 26, -10, 8, 8, -11, 30, -38, -60, -59, 83, -12, 6, -4, -15, 43, -34, 47, 157, 96, -39, 48, -6, -8, 17, 9, -16, 56, -98, 179 },
{ 19, -5, 8, -8, 10, -10, -12, -9, 10, -8, -8, 31, 42, 29, -10, -7, 5, 9, 14, -34, -74, -65, 64, -25, 16, -9, 5, -32, 46, 92, 167, 128, 40, -32, 40, -10, 11, 9, -16, 78, -153, 224 },
{ -3, -10, 7, -13, 31, -6, 30, -20, 17, -9, 14, -20, 40, 82, -32, 7, 5, 8, -19, 64, -98, -54, 40, -38, 14, -9, 11, -19, 23, 77, 154, 210, 116, -34, 60, -10, -5, 12, -18, 64, -139, 190 },
{ -2, -5, 6, -9, -8, 14, -7, -21, 16, 3, 8, -16, 47, 37, 7, -20, 37, -22, 5, 57, -81, -80, 89, -27, 19, -7, -7, -9, 81, -41, 174, 190, 119, -32, 45, -14, 6, -10, 55, 37, -125, 249 },
{ -5, -5, 21, -8, 22, 14, -51, 37, -9, -20, 54, -14, 84, 23, -45, 76, -4, 12, -14, 49, -139, -39, 55, -31, -8, -5, 7, -21, 19, 149, 130, 255, 93, -10, 40, -7, -5, 21, -44, 75, -122, 122 },
{ -8, -6, 15, -11, 37, 10, -31, -13, 11, -11, 16, -19, 67, 79, -13, -20, 8, 59, -32, 42, -85, -64, 91, 58, -8, -14, -16, -10, 44, 90, 88, 250, 81, -44, 59, -18, 5, 20, -19, 56, -114, 163 },
{ -5, -8, 14, -7, 13, 5, -12, -31, 13, -7, 16, -25, 43, 26, 39, -29, 6, -16, 15, 46, -74, -91, 94, -18, 78, -21, 45, -32, 68, 113, 103, 224, 132, 15, -43, 29, 7, -12, 15, 19, -117, 164 },
{ 46, -15, 20, -24, 42, 11, 48, -53, 31, -59, -19, -18, 17, 46, -20, -43, 17, -16, 42, 60, -46, -83, 115, -36, 135, -14, -9, 19, 20, 113, 80, 176, 163, 42, -56, -27, -8, 17, 86, -14, -90, 179 },
{ -7, -10, 29, -15, 12, 55, -52, -12, 41, -6, -5, 42, 63, 40, -69, 104, 20, 18, -19, 54, -106, -73, 76, -24, -30, -13, -21, 58, -13, 198, 128, 294, -18, -9, 20, 32, -9, 20, -67, 64, -66, 296 },
{ -4, -10, 18, -13, 26, 20, -25, -23, 15, -11, 19, -19, 41, 79, -103, 37, 9, -11, 42, 27, -102, -92, 82, 126, -42, -27, -9, -19, -29, 212, 114, 325, 83, -30, 81, -14, 33, 22, -44, 81, -109, 129 },
{ 15, -9, 9, -33, 5, 12, 45, -37, 23, -14, 57, -16, 15, 48, -32, -45, 7, 81, -24, 30, -59, -90, 68, 194, -36, -20, -24, 24, 25, 171, 82, 209, 176, 97, -53, 10, 6, 44, -14, 35, -106, 124 },
{ 35, -15, 12, -17, 13, 8, 25, -56, 24, -25, 9, -24, 37, 46, 37, -101, 25, -19, 78, 34, -23, -121, 61, 47, 155, -21, -17, -28, 64, 185, 130, 146, 255, 80, -70, -30, 6, 14, 14, 66, -106, 140 },
{ -3, -32, 35, -9, 26, 53, -32, -28, 46, 53, -12, -24, 37, 67, -102, 108, -9, -26, 111, 23, -59, -112, 101, 91, -47, -15, 29, -19, -18, 152, 167, 318, -28, -50, 41, -17, 54, 23, -66, 68, -61, 288 },
{ -9, -13, 12, -13, 39, 34, 36, -19, 43, 13, -23, -19, -39, 90, -116, 139, -18, 22, 65, 30, -37, -133, 80, 107, -110, -26, 32, -45, 28, 178, 121, 336, 161, -70, 53, 32, 13, -16, -44, 65, -90, 167 },
{ 3, -20, -11, 19, 13, 11, 45, -54, 29, -11, 48, -24, -24, 80, -56, -81, 23, 32, 89, 28, -30, -145, 93, 155, 109, -29, -20, -40, 30, 139, 111, 301, 182, -123, -55, -8, 57, -25, 32, 31, 89, 135 },
{ 16, -16, 14, -96, -29, 34, 36, -28, -65, -22, 14, 122, 86, 66, 42, -135, 74, -25, -29, 160, 55, -95, -28, 182, 95, 5, -36, -42, 30, 62, 152, 291, 301, -37, -147, 57, 12, -33, 79, -63, 145, 150 },
{ 15, -37, -11, 82, 80, 34, -43, -25, -40, 12, -24, 64, 15, 112, -239, 117, -28, 31, -40, -32, 50, -62, 186, 100, -85, 39, -13, -34, 48, -38, 398, 334, -109, -99, 88, 20, 19, -17, -41, 27, 120, 174 },
{ -11, 81, 33, -79, -16, -75, 40, -76, 40, 66, 35, 73, -47, 107, -158, 81, 64, -51, 15, 88, 14, -164, 243, 158, -99, -57, 21, 41, -52, 102, 247, 365, -45, -64, 118, -55, 30, -64, -78, 144, -85, 235 },
{ -11, -11, -5, -48, 64, 144, 22, -42, 125, -70, 24, -41, -60, 97, -133, 136, 30, -32, 51, 39, 69, -134, 80, 316, -107, -32, -49, 143, -30, 103, 54, 339, 102, 169, -84, 53, 105, 21, -142, 104, -77, 127 },
{ -59, 47, -22, -45, -13, 340, 71, -96, -69, -98, 52, 155, 79, 99, -215, 20, -35, -89, -54, -156, 75, 93, 140, 275, 188, 42, 27, 61, -56, 92, -136, 293, 281, -261, -131, 207, -73, -101, 102, 33, 293, 343 },
{ -3, -4, 13, -4, 3, -7, -24, -4, 27, 11, -5, 35, 47, 45, -10, 6, 6, -10, 24, -35, -54, -33, 18, -13, 4, -5, -6, 51, -27, 130, 112, 66, -25, 47, 20, -9, 26, 10, -29, 60, -95, 157 },
{ -2, -8, 12, -3, 5, -10, -12, -12, 3, -10, 8, -6, 39, 28, 12, -7, 7, 7, 29, -25, -44, -26, -17, 9, 3, -11, 19, -21, 55, 85, 86, 69, 62, -17, 19, -8, 24, 13, -34, 86, -135, 175 },
{ -2, -6, 10, -3, -2, 6, -17, -13, 23, -4, 9, -19, 38, 52, 24, -9, 6, -5, 3, 73, -70, -34, -47, 22, -10, -7, -4, 47, -22, 115, 89, 112, 149, -35, 15, -6, 23, 10, -34, 79, -139, 197 },
{ 1, -12, 52, -6, -4, 12, -9, -4, -4, -7, 7, -9, 22, -5, 16, -6, 8, -7, 14, -35, 95, -43, -9, 5, 5, -12, 16, -18, 79, 12, 118, 54, 99, -22, 24, -11, 37, 15, -37, 92, -152, 191 },
{ -8, 2, 17, 3, -13, 29, -12, -9, -5, 2, 34, -15, 15, 27, -7, 14, 3, -16, 31, -37, 90, -86, 67, -24, 26, -12, -6, 49, -23, 110, 45, 101, 68, -32, 15, -12, 3, 45, -20, 70, -157, 232 },
{ -4, 10, 9, -13, -2, -8, 43, -18, -5, 4, 30, -19, 29, 18, 26, 36, -9, -4, 20, 44, -47, -82, -35, -23, 11, -17, 31, -6, -32, 161, 64, 177, 97, -35, 82, -13, 34, 4, -8, 48, -134, 233 },
{ 22, -17, 61, -10, 3, -14, 61, -9, -4, -11, 4, -13, 9, 10, -10, 9, 9, -10, 49, -8, 52, -26, 35, -10, 3, -10, -15, -7, 71, -17, 134, 23, 66, 32, -15, -8, 53, -9, 14, 188, -105, 204 },
{ 2, -6, 5, -13, 5, -18, 67, -11, -6, 27, -7, -10, 19, -10, 40, -5, -9, -11, 40, -34, 95, -54, -29, -14, 6, -12, 44, -13, -38, 127, 28, 88, 72, -18, 63, -13, 6, -12, 11, 151, -105, 269 },
{ -4, -9, 11, -9, 8, -16, 38, -13, -10, -5, 31, -30, 39, -17, 48, 3, 8, -29, 58, -21, 93, -93, -33, -30, 32, -29, 16, -25, -46, 171, 37, 151, 103, -12, 75, -14, 50, -10, 10, 102, -110, 288 },
{ 3, -11, 12, -27, 7, -2, 93, -18, -3, -17, 20, -38, 37, -24, 48, -21, 19, -33, 29, 7, 111, -124, 58, -50, 64, -16, 15, -18, -17, 83, 38, 231, 113, 64, 33, -31, -26, 15, 96, -19, -87, 262 },
{ 33, -25, 68, -12, 23, 3, 23, -8, 23, -4, -14, -14, 13, 39, -31, 7, 10, 17, 15, -10, 70, -15, 35, -15, 9, -12, -20, 9, -35, 36, 144, 13, 73, -8, -13, -9, 65, -18, 18, 176, -69, 259 },
{ 1, -5, -5, 8, 25, 7, 20, -14, -8, 2, -16, -30, 22, 24, -13, 21, -7, 37, 36, -19, 84, -72, 76, -29, -5, 3, -21, 5, -66, 112, 31, 74, 95, 50, -15, -9, 11, -27, 92, 57, -97, 345 },
{ 2, -20, -8, 9, 37, -12, 19, -18, -18, 13, 49, -55, 44, -27, 31, 18, -4, -37, 74, 34, -19, -76, 56, -63, 31, -26, 25, -11, -84, 221, 61, 89, 46, 55, 130, -25, 5, -9, 34, -96, 133, 291 },
{ 6, -11, 8, -36, 86, -15, 27, -30, 43, 15, 21, -57, 38, -47, 59, -28, -13, -34, 52, 12, 122, -117, 94, -86, 21, -28, 45, -56, -60, 240, 71, 180, 160, 233, 37, -52, 19, -13, 42, -114, 96, 254 },
{ 2, -7, 11, -46, 12, -20, 47, -37, 13, -19, 14, -31, 61, -25, 59, -58, 23, -13, 21, 45, 47, -84, 132, -110, 141, -42, 16, -29, 114, -27, 92, 162, 218, 98, 132, -50, 25, -27, 74, -152, 51, 210 },
{ 3, -31, 68, -18, 10, -6, 45, -9, 40, -44, 73, -24, 21, -20, 14, -17, 22, -15, 25, 18, 28, -28, 65, -28, 11, -15, -18, 7, -44, -26, 248, 76, -70, 32, -23, 8, -12, 82, -6, 192, -51, 303 },
{ 27, -11, 12, -15, 8, -35, 89, -16, -16, -9, -10, -9, 14, 70, -36, 33, 5, -5, 28, -21, 104, -26, -14, -37, -9, 10, -24, 30, -100, 89, 58, 29, 43, 147, 46, -41, -15, 18, 120, -103, 123, 397 },
{ 2, -9, 9, -67, -3, 64, 13, -9, -12, -28, 109, -35, 32, -19, -15, 42, 7, -27, 54, -15, 124, -25, -50, -29, -30, -19, 20, -32, -74, 143, 46, 78, 75, 74, 206, -38, 15, -14, 118, -73, 85, 359 },
{ 6, -9, 5, -54, 90, -89, 32, -34, 60, -5, 34, -25, 9, -52, 109, -41, 14, -69, 86, 105, 84, -68, -68, -64, -13, -35, 28, -59, -44, 96, 156, 74, 125, 361, 112, -70, 31, -37, 53, -105, 68, 326 },
{ 2, -29, 51, -3, 10, 50, -16, 12, -13, -18, -10, -6, 51, -9, 29, -22, 30, -38, 22, 54, 43, -47, 28, 25, -45, -32, -17, -11, -108, 54, 128, 141, -39, -11, -11, 19, -25, 115, 67, 46, 147, 344 },
{ 1, -5, 38, -26, 14, 41, -5, 24, -30, -24, -37, 26, 113, -25, -35, 52, 17, -15, 27, 38, 42, -28, -11, 49, -65, -24, 20, -29, -95, 107, 75, 67, 23, 27, 30, 137, -19, 124, -63, 76, 149, 419 },
{ -14, 8, -17, -18, 38, -20, 42, 53, -29, 7, -21, -16, 15, 28, -43, 45, -25, 16, -8, 30, 58, -55, -19, 49, -82, 32, -40, -19, -41, -18, 103, 57, 129, 91, -44, 299, -24, -51, 102, 52, 130, 287 },
{ -3, -3, 14, -4, 6, -6, -28, -5, 4, 12, -10, 41, 57, 45, -10, 9, 5, -8, 26, -33, -83, -22, 41, -14, 4, -1, -8, 47, -30, 46, 141, 75, -15, 57, -6, -4, -4, 15, -31, 63, -102, 162 },
{ -2, -4, 10, 2, 2, 18, -26, -4, -10, -6, 6, -16, 50, 94, 17, 5, 23, 7, -18, 39, -91, -38, -31, -16, 11, -12, 16, -17, 48, -43, 167, 90, 149, -14, 43, -10, -3, 16, -33, 73, -140, 205 },
{ 10, -5, 14, -14, -3, 9, -27, 32, 5, 2, 8, -36, 77, -27, 27, -16, -4, 5, -8, 42, -138, 166, -82, 29, 35, -12, 43, -18, 49, -54, 177, 140, 188, -40, 11, -11, 24, 8, -27, 74, -137, 213 },
{ -3, -6, 7, 31, 13, -4, -15, -11, -6, -6, 12, -21, 50, 76, 32, -12, 8, -11, 12, 36, -73, -68, -51, 66, 7, -6, -8, 35, -20, 134, 100, 186, 71, -41, 14, -16, 37, 11, -22, 65, -143, 202 },
{ -5, -3, 20, -6, 12, -7, -27, -9, 11, -4, 11, -17, 63, 97, -16, -20, 6, 7, 22, -5, -82, -82, 68, 93, -18, -11, -7, -12, 50, 160, 106, 272, -62, 103, 10, -8, 27, 14, -29, 53, -109, 144 },
{ -1, -9, 9, -9, -4, -8, 42, -24, 12, 42, 21, -39, 42, 23, 65, -23, -10, 16, -16, 44, -71, -113, 169, -22, 67, -17, -3, -9, 159, -61, 154, 245, 84, -51, 24, -20, 49, 10, -18, 45, -119, 229 },
{ -3, -4, 9, -6, -7, -24, 12, -27, 5, 134, 26, -53, 37, 23, 13, -21, -30, -20, 33, 18, -51, -120, 130, -20, 40, 6, 9, -17, -19, 267, 82, 214, 110, -22, -16, 6, 8, -14, 38, 40, -140, 224 },
{ 3, -13, 10, -10, 42, 5, 18, -13, -11, -23, 17, -36, 17, 27, 23, -21, 44, -14, -7, 26, 89, -141, 149, -39, 98, -22, 94, -17, 20, -43, 79, 223, 143, 86, -33, -11, 3, -9, 15, 34, -106, 219 },
{ -9, 3, 17, -6, -5, -10, -33, -11, 47, 4, -9, 83, 63, 36, -49, 61, 65, 11, -14, -24, -113, -65, 58, -39, -20, 3, -15, -15, 19, 222, 139, 310, 89, 44, 16, 16, -9, 11, -45, 78, -145, 158 },
{ -12, -7, 6, 17, 12, 18, -9, -23, 36, -8, 17, -29, 37, 36, -14, -39, 16, -9, 27, 25, -71, -107, 97, 66, -30, 6, 8, -21, -6, 199, 102, 303, 197, -41, 15, 9, -4, -7, -32, 53, -115, 170 },
{ 51, -30, -7, 7, 7, -8, 53, -37, 18, 76, 14, -17, -37, 68, -21, -37, -3, -8, 147, 46, -61, -117, 80, 144, -17, -22, -6, -22, 5, 245, 94, 238, 163, -25, -19, 45, 28, -11, 17, 15, -119, 179 },
{ 6, -8, 65, -27, 3, -8, 20, -54, 30, -7, 17, -7, -23, 71, -27, -47, 8, -8, 168, 10, 41, -131, 108, 25, 120, -10, -29, -41, 103, 90, 94, 188, 236, 126, -56, 62, 4, -21, 41, -19, -116, 198 },
{ -8, -25, 19, -8, 9, -13, -22, -40, 113, 106, 12, 86, 36, 63, -76, 72, -10, 20, -9, -18, -85, -93, 86, 74, -32, -17, 15, -27, 45, 152, 156, 297, -101, 60, -35, 102, 10, -26, -28, 83, -79, 190 },
{ -13, 5, 9, 7, -6, 73, -20, -39, 16, 17, -34, -14, 26, 66, -53, -10, -8, 27, 36, 24, -58, -88, 75, 214, -42, 16, -17, 35, -18, 160, 269, 311, 45, -50, 31, 26, -8, -19, -38, 63, -107, 218 },
{ 65, -6, 5, -29, -13, 71, 12, -55, 28, -29, 10, -29, 21, 74, -49, -54, 47, 6, 84, 29, -56, -93, 65, 225, -76, 17, 46, -21, 24, 264, 141, 151, 119, 271, -35, 15, -8, -20, -69, 57, -168, 150 },
{ 20, -90, -13, -35, -8, 67, 19, -57, 44, 101, 15, 85, -43, 76, -54, -105, -10, -5, 11, 24, 34, -41, 87, 114, 138, 7, -41, -56, 49, 120, 210, 300, 200, 129, -150, -28, -8, 21, 66, 130, -72, 214 },
{ -4, 81, -10, -14, -34, 14, 25, -22, 19, 31, -19, -31, 22, -49, 73, -91, -41, 93, 39, 59, 144, -88, -85, 166, 289, -27, -53, -14, 33, 53, 52, 169, 310, 131, -147, 163, -31, 64, -89, -44, 69, 163 },
{ 59, -43, -28, 17, 63, -22, -77, -33, 5, 31, 37, 18, -46, 60, -112, 249, 33, 13, -40, 53, -68, -108, 153, 13, -92, -23, -59, 139, 107, 299, 305, 298, -74, 20, 87, 43, 7, 16, -68, -61, -63, 217 },
{ -26, 132, -47, 52, 23, 30, -161, -18, -27, -33, 12, 29, 29, 46, -32, 80, -3, 26, -37, 35, -22, -110, 71, 148, -98, 72, -28, 107, -81, 139, 83, 305, 88, -38, 44, -54, -37, -7, 9, 149, -44, 145 },
{ 71, -100, -151, 20, 95, -14, 41, -58, 62, -21, 13, 35, 18, 66, -118, 125, 45, -51, 28, -50, 128, -91, 79, 396, -49, 32, 54, -30, -40, 155, 130, 222, -100, 263, -158, 95, -10, -49, -40, 69, -96, 199 },
{ -51, 17, -15, 57, 25, -17, 10, 91, -43, -32, 23, -15, -14, 20, -20, -99, 25, -19, -28, 120, 32, 60, 76, 250, 119, -32, -39, -49, 51, 63, 158, 251, 282, -106, -93, -46, 9, 21, 61, 98, -69, 124 },
{ -3, -3, 6, -3, 4, -6, -10, -3, 19, -5, 5, -8, 26, -11, 9, -8, 7, -6, 14, -32, 90, -35, 12, -6, 8, -8, 30, -14, 60, 91, 59, 51, 60, -14, 32, -8, -4, 19, -38, 71, -96, 104 },
{ -2, -4, 7, -10, 20, -3, -14, 34, -3, -14, 5, -9, 25, -12, 12, -12, 7, -7, 18, -31, 84, -31, 7, -9, 7, -9, 30, -15, 61, 74, 136, 61, 71, -14, 20, -6, -4, 19, -42, 83, -113, 123 },
{ -5, -6, 9, 3, 17, 6, -24, -5, -5, -8, 22, -13, 40, 60, 16, -4, 22, -9, 11, 81, -47, -30, -21, -5, 4, -5, 6, -15, 48, -50, 93, 100, 145, -17, 74, -11, -5, 13, -40, 77, -131, 183 },
{ -1, -10, 4, -5, 2, 29, -12, 5, -4, -17, 18, -11, 19, -15, 13, -14, 10, -9, 19, -18, 94, -22, 34, -3, 5, -8, -3, -13, 108, -16, 128, 31, 108, -18, 35, -20, 2, 101, -28, 77, -126, 154 },
{ -3, -4, 6, 4, -5, 2, -19, 20, -11, -8, 54, -12, 27, -8, 30, -5, 3, -9, 7, 50, -24, -21, -40, 17, -9, -6, 39, -16, 100, -18, 185, 65, 55, -20, 86, -5, -5, 16, -38, 83, -140, 177 },
{ -3, -4, 12, -4, -3, 3, -17, 34, -10, 24, -6, -14, 36, -17, 32, 5, 5, -10, 27, -15, 138, -72, -19, -26, 10, -11, 8, -14, 117, -56, 73, 99, 247, -18, 84, -9, 22, 10, -33, 76, -156, 259 },
{ 21, -18, -4, 4, 6, -11, 53, -13, 6, -25, 14, -11, 16, -13, 8, -16, 9, 10, 14, -9, 96, -11, 52, -14, 8, -11, -8, -11, 78, -31, 161, 87, -13, 22, -13, -8, 30, 46, 5, 202, -76, 165 },
{ -4, -4, 8, -5, -2, 9, -22, 9, -8, -4, 4, -25, 40, -20, 19, 3, 5, -8, 15, 26, -53, 97, -24, -16, 6, -28, 37, -13, 137, -76, 88, 132, 60, -9, 101, -14, 2, 78, -17, 56, -134, 258 },
{ 11, -2, -6, 7, -7, 11, -12, 29, -18, -2, 36, -28, 29, -17, 50, -20, 7, -9, 13, 14, 133, -72, -36, 78, -13, -14, 15, -41, 113, -83, 92, 72, 100, -12, 114, -11, 23, 11, -20, 73, -101, 271 },
{ 1, -8, 75, -68, 77, 6, 9, -15, -11, -46, 96, -26, 26, -13, 50, -17, 14, -8, 8, 30, 52, -76, -61, 118, -29, -20, 9, -26, 22, -88, 101, 120, 139, 95, 130, -20, 7, 8, -10, 54, -124, 275 },
{ 2, -26, 74, -22, 7, -2, 29, -6, 6, -36, 54, -21, 20, -13, 66, -31, 18, -14, 29, -5, 86, -13, 14, -6, 9, -14, -12, 24, -44, -18, 215, 79, -24, 24, -5, -10, 54, 9, -23, 250, -62, 216 },
{ 1, -18, 23, 2, 8, -6, 19, -14, -5, -12, 13, -31, 32, -15, 15, 11, 6, -5, 16, 3, 91, -45, 50, -26, 25, -7, 6, -42, 125, -93, 100, 102, 60, 53, -9, -5, 7, -23, 76, 77, -121, 351 },
{ 2, -11, -12, 15, -4, 37, 13, -14, -18, -28, 19, -53, 30, -7, 46, -26, 14, -16, 87, 61, -23, -77, 100, -28, -5, -14, 18, -59, 154, -124, 152, 54, 68, 40, 154, -26, 6, 10, -22, 71, -127, 384 },
{ 1, -55, -4, -28, 77, 57, 13, -60, -20, -42, 15, -36, 20, 20, -31, 48, 26, -40, 38, 14, 83, -70, -15, -94, 153, -17, 10, -87, 139, -85, 153, 101, 139, 119, 154, -37, 11, -28, 58, -75, -74, 301 },
{ 2, -46, 36, 14, -41, -16, 29, -24, 4, -22, 17, -36, 35, -32, 36, -63, 39, -29, 42, -39, 64, -48, 134, -155, 179, -26, 14, -31, 166, -70, 150, 73, 214, 122, 145, -37, 12, -44, 91, -131, -34, 226 },
{ 5, -9, 4, -28, 15, -6, 56, -5, 7, -20, -23, -16, 58, 11, -13, -15, 19, -12, 45, -7, 60, -28, 25, -13, 18, -11, -12, 12, -67, 41, 237, 36, -58, 31, -21, -6, -9, 97, -9, 219, -50, 234 },
{ 2, -13, 11, -25, 10, -5, 65, -15, -14, -7, 16, -20, 11, 21, -15, 18, 6, -16, 27, 57, 27, -49, -10, 9, -18, 3, -27, 40, -93, -25, 197, 101, -53, 75, 120, -15, -21, 10, 122, -74, 132, 339 },
{ 2, -63, -7, 6, 32, -13, 19, -3, -22, -7, 38, -28, 58, 18, -52, 38, 12, -40, 40, 33, 12, -53, -24, -50, 25, -24, 19, -37, 182, -135, 124, 62, 64, 80, 165, -28, -25, 8, 126, -64, 75, 397 },
{ 2, -121, 13, -8, 18, -33, 27, -16, -6, 9, 50, -28, 18, -22, 47, -17, 19, -53, 72, -9, 152, -56, -7, -112, 132, -31, 25, -17, -47, 242, 137, 34, 111, 352, 113, -69, 30, -12, -14, -82, 52, 292 },
{ -17, 28, -27, -171, 57, 46, 21, 25, 26, -43, -4, -53, 67, -66, 62, -52, 32, 4, 23, 16, -34, 91, 40, -169, 378, -54, 39, -68, 111, -105, 200, -143, 305, 209, 112, -31, 19, -66, 47, -175, 52, 203 },
{ 3, -21, 15, -10, 17, 31, -15, 21, -17, -21, -25, 7, 73, -8, 23, -24, 13, -20, 47, -25, 103, 22, -61, 40, -26, -14, 18, -21, -116, 42, 130, 126, -51, 10, -26, 10, -25, 136, -18, 167, 85, 291 },
{ 1, -16, 11, -8, 13, -30, 155, 19, -27, -16, 14, -34, 58, 38, -46, 44, -17, 29, -28, 45, 57, 27, -53, -23, -19, 21, -19, -21, -90, -13, 207, 106, -36, 62, 93, -19, -19, 37, -15, 94, 176, 393 },
{ -11, -2, 16, -31, 5, -6, 21, 81, -26, -25, 14, 30, -29, -14, -34, 38, -40, 25, 28, -42, 22, 21, -21, -10, -72, 27, 34, -55, -88, 125, 49, 104, 98, 59, -33, 383, -13, -55, 55, 22, 143, 423 },
{ -6, 18, -25, 17, -14, -26, 54, -33, 57, -28, 49, -34, 25, -49, -30, 22, -26, 37, -26, 32, 35, 18, 24, -48, -61, 19, -14, -7, -36, -66, 92, -68, 148, 173, 206, -79, -14, 69, 40, -70, 74, 430 },
{ -5, -10, 12, 3, 4, 34, -29, -5, -5, 20, -6, -14, 47, 45, 11, -6, 5, -6, 7, 113, -59, -27, 53, -6, 6, -13, 25, -17, 43, -39, 98, 71, -16, 58, -10, 17, -6, 17, -35, 61, -83, 117 },
{ -6, -3, 10, 3, 37, 5, -29, -10, -2, -5, -4, -16, 50, 68, 15, -7, 3, 5, 7, 21, -76, -25, -22, 34, 4, -6, 4, -23, 47, -53, 127, 104, 89, -13, 30, -5, -3, 17, -40, 75, -107, 149 },
{ -3, -5, 19, -9, -1, 28, -33, 68, -4, -8, 7, -22, 67, -15, 24, -10, 27, 13, -14, 45, -123, 185, -77, 32, -11, -3, -5, -23, 45, -89, 164, 95, 206, -21, 76, -7, -2, 16, -29, 72, -134, 196 },
{ -3, -4, 14, -3, 21, 38, -22, -8, -9, -6, 2, -12, 30, 32, 95, 8, 31, -5, 8, 121, -46, -73, -29, 93, -13, -9, 13, -20, 35, -74, 128, 106, 216, -31, 22, -10, 43, 10, -44, 80, -146, 220 },
{ -3, 26, 16, 8, -18, 13, -17, -17, -9, 59, -4, -21, 30, 25, 27, -6, -14, 46, 6, 27, -39, -76, -36, 108, -7, -4, 11, -24, 60, -68, 99, 118, 272, -40, 24, -10, -2, 13, -39, 72, -136, 244 },
{ -4, -8, 15, -4, 41, 7, -20, -12, 86, 2, -9, -15, 27, 42, -31, 104, 18, 4, 91, 29, -65, -101, 79, -34, 18, -8, 51, -30, 44, -101, 168, 235, -73, 205, -20, -11, -2, 11, -7, 42, -92, 210 },
{ -4, 22, 9, -8, 4, -8, 64, -13, 5, -8, -13, 6, -12, 43, -20, 9, -6, 91, -10, -8, 196, -127, 202, -43, 111, -8, 7, -21, 62, -84, 122, 191, 96, -35, 19, -19, 18, 11, -29, 62, -146, 223 },
{ -15, 3, 32, 12, -6, 7, -15, -24, -13, 2, 18, -41, 50, 20, 40, -13, -4, -7, 99, 37, -64, -80, -54, 171, -19, 20, 8, -24, -15, 233, 58, 182, 141, -32, 14, -11, 2, -10, 78, 44, -139, 216 },
{ 5, -11, 11, -5, 13, -25, 20, -23, -9, -11, 16, -39, 45, -13, 51, -19, 7, 34, 18, -12, 102, -73, -79, 123, -11, -8, -24, -38, 75, -23, 89, 210, 163, -28, 92, -19, 4, -12, 21, 10, -101, 242 },
{ -9, -76, 5, -7, 14, -14, 9, -24, 19, 21, 13, -24, 42, 86, -18, -20, 3, -12, 59, 16, -77, -77, 230, 98, -24, 56, -12, 9, -21, 204, 113, 317, -66, 114, 17, -6, -12, 21, -40, 44, -89, 151 },
{ 34, -14, 6, 3, 9, 16, -19, -21, 11, -4, -29, -28, 50, -12, 136, -44, 3, -21, 29, -34, 211, -125, 89, 130, -24, -5, 53, -15, 61, -77, 128, 279, 206, -56, 64, -31, 6, 14, -27, 130, -91, 196 },
{ 8, -13, -10, 5, 13, 8, 34, -20, -16, -23, 12, -44, 33, 50, 20, -31, 9, -14, 53, 45, -57, -140, 53, 211, -37, -25, 45, 54, -33, 107, 104, 232, 163, 127, -27, 13, -2, 44, -33, 42, -167, 210 },
{ 8, -11, 42, -46, 19, -6, 24, -29, 41, -21, 13, -25, -20, 59, 15, -36, -45, 32, 89, 22, 99, -121, -51, 181, 124, -51, -28, 25, -41, 249, 83, 202, 214, 148, -48, -10, 19, -44, 66, -24, -84, 205 },
{ -28, -7, 11, -9, 20, -16, 33, -53, 16, -24, -8, -31, 37, 53, -80, 288, 13, 16, 127, 27, -49, -59, 118, -48, -25, 5, -38, -7, -27, 175, 155, 296, -86, 61, 18, 52, -32, 14, -43, 49, -82, 237 },
{ 9, -17, -17, 45, 22, -20, -40, -12, 92, -44, 21, -30, -38, 55, -33, -39, 124, 79, 174, 87, -73, -84, 143, 76, -53, -67, -30, -25, -33, 120, 89, 289, 54, 90, -26, -29, 19, -19, 21, 47, -107, 114 },
{ 42, 4, 111, -91, -8, -29, -3, -45, 16, -13, 20, -19, 48, 58, -30, -52, 11, -15, 131, -13, -57, -90, 30, 226, -63, -39, 19, -27, 26, 210, 241, 193, 139, -57, 31, -29, -7, 17, -18, 44, -117, 183 },
{ -56, 39, -9, 10, -25, 12, 24, -48, 29, 18, -34, 104, -17, 51, -51, -70, -19, 5, 71, 10, 62, -62, -33, 170, 226, 16, -34, 21, -93, 131, 246, 323, 161, 28, -88, 19, -8, 5, 36, -37, -56, 221 },
{ -102, 20, -70, 42, -29, 83, -22, 36, -49, 35, 50, -44, -27, 51, -108, 225, -29, -39, 68, 43, -41, -147, 223, 21, -87, 199, -37, 205, -23, 225, 218, 238, -105, 100, 131, -39, -62, 25, -70, -86, -47, 332 },
{ -44, 9, 13, -107, -16, -17, 163, -33, 33, 53, 15, -11, -17, 25, -112, 97, 8, -33, 20, 47, -22, -47, 127, 177, -65, 27, 37, -32, 23, -39, 107, 370, 77, -184, 35, -23, -33, -22, 28, -33, 305, 130 },
{ -1, -4, 5, -4, 4, 4, -13, 32, 4, -9, 2, -18, 17, -13, 4, -7, 5, 3, 40, 18, -17, 76, 10, -3, 6, -5, 5, -17, 21, -45, 96, -27, 29, -15, 35, -12, -2, 64, -20, 34, -37, 137 },
{ 0, -6, 4, -10, 3, 7, -13, 4, 12, -6, 12, -17, 14, -13, 6, -7, 4, 6, 4, 12, -10, 84, -6, 8, 1, -6, 6, -21, 18, -39, 225, -15, 107, -17, 16, 2, -3, 80, -24, 46, -50, 144 },
{ -4, -3, 4, 4, 5, 4, -13, -6, -2, -3, 37, -15, 16, 54, 10, -7, -2, 8, -8, 18, -18, -8, -16, 10, -2, -5, 5, -17, 20, -36, 189, 67, 80, -16, 58, -5, -6, 14, -30, 49, -55, 140 },
{ 14, -17, 3, -11, 4, 6, -12, 4, 12, -5, -3, -12, 10, -13, 4, -7, 8, -11, 17, -5, 85, 23, 3, 3, 5, -18, -3, -15, 101, -32, 184, -18, 30, -19, 33, -9, 34, 100, -20, 44, -51, 159 },
{ 1, -2, -4, 4, 2, 37, -4, -10, 22, -4, 18, -7, -5, 21, -11, 4, 3, 37, -6, 11, 71, -23, 43, -13, 4, -7, 7, -18, 33, -53, 169, 52, 156, -13, 79, -6, -4, 18, -43, 71, -108, 125 },
{ 23, -3, -8, 7, 11, 12, -8, -16, -5, -4, 42, -21, 12, 35, -9, 9, 5, 49, -8, 38, -29, -46, 98, -29, 59, -4, 46, -19, 40, -89, 78, 97, 182, 113, -18, 43, -6, 12, -28, 61, -113, 163 },
{ 29, -24, 53, -14, 5, 7, -9, -2, 6, -5, -5, -16, 10, 19, -10, -11, 10, -11, 19, -7, 105, -12, 18, -7, 7, -10, -5, -7, 68, -40, 181, 90, -27, 14, -11, -5, 53, 5, -10, 194, -38, 203 },
{ 1, -7, -3, 5, 3, 4, 20, -13, 30, 13, -4, -12, -5, 21, -11, 4, 5, -5, 7, 18, 102, -25, 93, -20, 7, -12, 26, -9, 25, -82, 35, 78, -13, 96, 70, -13, 3, 96, -16, 65, -63, 160 },
{ 3, -8, 14, 5, -7, 22, -20, 5, -12, 1, -3, -27, 23, -7, 26, 4, 33, 58, -13, 44, -22, -33, -13, -24, 60, 5, -8, -7, 35, -104, 78, 83, 65, 198, -23, 38, 7, -12, 9, 55, -91, 209 },
{ 7, -6, -13, 10, -7, 19, -8, 51, -22, -12, 24, -52, 36, -21, 41, 11, 7, 43, -12, 39, 24, -72, -28, -20, -16, 18, -10, -19, 47, -117, 103, 67, 156, 173, 109, -25, 4, -13, 13, 64, -112, 245 },
{ 2, -18, -3, -5, 5, 4, 57, -10, 5, -5, -8, -17, 15, 14, -8, -11, 10, -17, 21, 32, 77, -13, 15, -11, 7, -9, -4, 12, -20, -30, 211, 25, -22, 66, -7, -5, 43, 58, -20, 184, -28, 235 },
{ 2, -7, 44, 4, -5, 12, 16, -11, -4, -14, 5, -31, 73, 25, -10, 7, 5, -7, 18, 43, -14, -23, 72, -17, 44, 10, -11, 8, 89, -93, 63, 179, -12, 90, 111, -16, -7, 13, -31, 80, -71, 266 },
{ 4, -8, 4, -20, -2, 15, 7, -6, -5, -6, 12, -36, 70, 23, -20, 19, 4, -18, 20, 31, 67, -43, -7, -9, -7, -16, 22, -11, -7, -60, 274, 86, -32, 79, 140, -21, 3, 4, -11, 47, -73, 266 },
{ -1, 5, -91, -5, -17, 132, 10, -57, -14, -13, 19, -30, 7, 17, -16, 38, 20, -22, 23, -14, 32, -61, -54, -64, 145, -87, -13, 9, -20, -32, 129, 99, 147, 94, 104, -27, 7, -18, 67, -63, -77, 288 },
{ 6, -7, -175, -12, 70, 90, -20, 25, -16, -193, 103, -19, 13, -35, 24, 22, -126, -8, 10, -62, 72, -59, -30, -111, 334, 36, 48, 58, -17, -120, 237, -34, 246, 288, -69, 44, -25, -34, 98, -148, 38, 176 },
{ 3, -11, 4, -15, 14, 37, -10, 11, -8, -10, -12, -19, 22, 20, -4, -11, 9, -25, 29, 22, 81, -26, 28, -23, 6, -9, -7, 21, -23, -49, 47, 163, -40, 65, 13, -7, 39, 59, -26, 261, -42, 217 },
{ 3, -12, 28, 7, 12, -29, 12, -23, 10, 3, -18, -13, 21, 24, -12, 7, 25, -14, 32, 25, -13, -29, 65, -3, -6, 4, -17, 43, -84, -18, 162, 71, -41, 163, 111, -15, -19, 101, 13, -56, 90, 271 },
{ 1, -3, -39, 4, 10, -5, 25, -16, -5, -16, 38, -11, 13, 4, -32, 23, 9, -25, 33, 24, 23, -36, 3, -6, -28, -27, 40, -34, 32, -102, 93, 61, 58, 51, 123, -40, -23, 22, 102, -84, 104, 312 },
{ -6, -12, 10, -9, 20, 23, 40, 5, -11, -13, 17, -50, 60, -35, -50, 34, 17, -34, 58, -40, 35, -43, 37, -114, 161, -26, 16, -30, 112, -54, 82, 75, 44, 204, 238, -49, 19, -25, 100, -169, 90, 293 },
{ 18, -24, -4, -24, 55, 50, 71, -66, 46, -142, 18, -18, -8, 105, 37, -30, 23, -62, -41, 9, 37, -39, -34, -134, 164, 42, 31, 14, 24, -70, 174, 36, 181, 209, -68, 22, -53, -35, 59, -148, 168, 219 },
{ 3, -16, 11, -3, 10, 16, 70, -7, -12, -14, -27, 8, 103, 13, -14, -14, -15, 16, 36, -15, 21, -34, 31, 17, -21, 12, -17, -43, -89, 84, 94, 58, -47, -15, 9, -7, 75, -33, 93, 117, 69, 260 },
{ 5, -11, 34, -3, 11, 52, 6, 171, -20, -20, 76, -18, 91, 30, 16, -126, -24, 2, 36, 17, 10, 2, -32, 20, -9, 16, 28, -29, -121, 156, 49, 46, -35, 52, -30, 161, -18, -34, 96, 46, 100, 372 },
{ 7, -39, 45, -19, 12, 17, -18, 29, -19, -16, 26, -11, 28, -18, -43, 46, -14, 32, -33, -23, 18, -4, -8, 55, -98, -71, 41, -44, 148, -86, 71, 79, 28, 33, 56, 288, -16, 84, -84, 50, 84, 423 },
{ -3, -3, 7, -3, 3, 33, -16, 26, 1, -4, 23, -16, 23, -9, 46, -7, 2, 16, 24, 15, -26, 97, -6, 8, 10, -5, 7, -16, 22, -43, 101, -16, 33, -12, 31, -3, -3, 6, -19, 30, -36, 119 },
{ -3, -4, 5, 4, 2, 28, -16, -4, -4, -1, 41, -12, 19, 53, 10, -6, 23, 2, -9, 17, -22, -10, -15, 52, -2, -6, 7, -16, 27, -42, 82, 55, 78, -7, 37, -1, -4, 9, -24, 35, -43, 113 },
{ -2, -7, 37, 6, 29, 13, -15, -13, -8, -7, 34, -23, 26, 26, 106, -6, 25, 8, -13, 36, -45, -34, -13, 62, 4, -8, 8, -31, 46, -89, 88, 143, -15, 137, -16, 34, -2, 11, -24, 46, -70, 107 },
{ -4, 17, 44, 6, -5, 8, -12, -11, -13, 11, 36, -17, 17, 27, 81, 6, -4, 12, -16, 34, -31, -37, -17, -12, 50, -6, 14, -36, 57, -88, 74, 131, 200, -14, 65, -8, -8, 17, -35, 64, -102, 131 },
{ 29, -13, 9, -4, 6, 81, -10, -8, -12, -7, -11, -10, 14, 43, 113, -23, 29, 19, -11, 28, -46, -83, 209, 79, 9, -6, 40, -31, 46, -73, 102, 174, -60, 171, -21, 18, -5, 9, -16, 46, -75, 136 },
{ -4, 10, 6, 2, -2, -15, 61, -17, -11, -6, 20, -33, 26, 27, 14, 77, 3, 9, -20, 42, -44, -62, -18, -17, 61, -10, 9, -27, 60, -93, 105, 226, 232, -12, 8, -11, -4, 20, -37, 57, -111, 165 },
{ 5, -5, -9, 6, -3, 13, 18, -9, -10, -13, 7, -35, 27, -15, 50, -18, 26, 33, -4, 24, 102, -66, -46, 64, -19, -4, 42, -14, 14, -48, 115, 132, 359, -32, 23, -12, -5, 15, -29, 57, -105, 169 },
{ 3, -13, -7, 7, -7, 5, 22, -36, 36, -17, 15, -53, 47, -15, 36, -12, 9, -5, -10, 30, 80, -89, 73, -39, 91, 43, -9, -8, 11, -60, 81, 71, 145, 155, -27, 15, -4, 2, 8, 37, -138, 229 },
{ 2, -8, 7, -22, 7, 72, -8, -22, 93, 10, -23, -19, 21, 39, -15, -24, -13, 14, 60, 25, -40, -67, 256, 164, -11, -92, 16, -39, 36, -48, 145, 247, -83, 51, -17, 8, 4, -11, -21, 51, -78, 195 },
{ 3, 69, -26, 4, -7, 4, -60, -22, -11, -17, 8, 71, -12, 72, 86, -24, -9, 9, -36, 38, -30, -127, 118, -42, 88, 87, -79, 93, 42, -69, 112, 212, 122, -26, 28, -23, 13, 11, -34, 41, -106, 144 },
{ 9, -4, -23, 19, -8, 9, 20, -43, -14, -3, 14, -29, -14, 77, -22, 73, 13, 54, -21, 37, 52, -141, 107, -38, -15, -15, 3, 32, 41, -90, 107, 193, 155, 188, -14, -11, 7, -9, -23, 27, -113, 189 },
{ 3, 35, -16, 53, 8, -5, 30, -26, -11, -11, 21, -39, 14, 26, 37, -21, 8, -6, 83, 25, 91, -70, -83, 87, -33, -14, -15, -15, 33, -91, 103, 180, 220, 209, -22, 7, 9, -15, 19, 11, -94, 209 },
{ -9, 14, -23, -23, -14, 39, 24, -25, 47, 34, -24, -39, -36, 55, 24, -31, 26, -23, -11, -32, 83, -108, 21, -97, 270, -18, 20, 24, -28, -99, 158, 119, 310, 85, -42, -15, -21, 20, 72, -103, 99, 151 },
{ 4, -6, 8, -9, 13, -12, 9, -4, -9, -61, 14, -33, 33, 32, -27, -34, 54, -12, -17, 17, -51, -70, 152, 160, -29, -132, 25, 50, -20, 302, 153, 347, -67, 100, 25, 8, -21, -9, -40, 43, -94, 190 },
{ 9, -8, 71, -75, 8, -91, -7, -17, -21, 93, 8, -21, 28, 29, 120, -44, -24, 9, 144, -57, 177, -104, 111, 128, -39, -6, 13, -28, 56, -68, 90, 344, 120, 180, 22, -11, 9, -33, -19, 21, -103, 132 },
{ 5, 8, -11, 17, -16, -16, 27, -30, 13, 15, -38, -22, -20, 43, -23, -42, -26, 21, -20, 33, 165, -99, 38, 410, -45, 2, -19, 68, 23, -39, 130, 355, 123, -26, 33, -24, -2, 13, -95, 57, -77, 207 },
{ -33, 8, -20, 13, 108, 46, 28, -38, -17, -81, -28, -21, 50, -22, 70, -68, 24, 29, -45, 31, -25, -54, -78, 138, 284, -18, -11, 84, 118, -50, 74, 243, 202, -116, 32, -49, 14, -19, 62, -27, 69, 177 },
{ -199, 18, 10, 23, -29, 33, -51, -46, 35, -197, 75, 264, -204, 74, -62, -29, -37, -53, 158, 23, 79, 60, -104, 89, 149, 20, -4, -99, 55, -105, 143, 139, 288, 83, -113, 53, -97, 196, -77, -61, 82, 136 },
{ -84, -17, 23, -33, 28, 14, -49, 27, 100, 12, -28, 74, -52, 55, -83, 222, 22, -24, -54, -43, -49, -68, 206, 128, -92, -43, 37, 40, 63, 141, 188, 272, -103, 91, 84, 44, 12, -53, -75, -38, -117, 245 },
{ 36, 14, -32, 47, -24, -164, -12, -52, 103, -22, 55, 9, 38, 54, 60, -85, -159, -53, -50, -64, -44, -87, 82, 212, -66, 36, -18, 93, 44, 173, 166, 343, 127, 164, -19, 28, -21, 59, -31, 35, -119, 110 },
{ 22, -8, 32, -7, -2, 12, -8, 5, 39, -6, 7, -20, 17, -19, 5, -4, 6, 7, -12, 28, 77, 20, -6, 6, 18, -7, 12, -25, 39, -63, 248, -55, 32, -22, 11, -6, -2, 81, -20, 27, -30, 130 },
{ 29, -7, 35, -7, -3, 10, -4, 6, 6, -3, 7, -21, 57, -20, 20, -4, 2, 4, -11, 27, 94, 18, -7, 3, 18, -8, 11, -24, 35, -62, 238, -49, 29, -19, 9, -8, 27, 90, -21, 35, -40, 147 },
{ 42, -7, -6, 6, -3, 11, -4, -2, 31, -4, 9, -21, 66, -10, 5, -5, -3, 8, -17, 38, -6, 41, -6, 78, 2, -6, 11, -27, 40, -68, 206, -18, 171, -16, 62, -3, -3, 8, -20, 31, -31, 129 },
{ 2, -10, 48, -3, 3, 8, -8, 5, 1, -7, 11, -16, 76, -16, 1, -4, 2, 6, -10, 24, 90, 13, 64, -5, 3, -5, 7, -22, 32, -58, 238, -42, 18, -13, 63, -5, -3, 121, -19, 33, -41, 164 },
{ 19, -10, 61, -2, -3, 13, -8, 41, -2, -5, 4, -21, 7, -10, 6, -4, 5, 7, -9, 25, 87, 69, -8, 46, 3, -7, 47, -12, 23, -56, 172, -14, 194, -16, 62, -6, -3, 8, -19, 30, -36, 158 },
{ 1, -4, -3, 8, -4, 15, -9, -10, -7, -8, 10, -24, 9, 10, 10, -3, 4, 38, -15, 24, 84, -22, -15, 76, -4, -7, 53, -11, 23, -49, 186, 82, 144, -12, 57, -4, -3, 10, -19, 27, -31, 140 },
{ 40, -7, 4, -15, 5, 7, -8, -1, 4, -3, -3, -17, 11, -7, -9, -1, 5, -9, 13, 12, 108, 4, 12, -6, 4, -7, 14, -8, 7, -46, 87, -31, 84, -11, 55, -7, 40, 76, -17, 171, -15, 177 },
{ 26, -2, -8, 2, 1, 14, -11, 84, -7, -23, 69, -22, -4, 14, -8, 3, 4, -3, 6, 24, 116, -11, 3, -11, 58, -29, 23, -18, 17, -54, 190, 108, -12, 48, -8, 2, 1, 35, -7, 114, -31, 201 },
{ 5, -6, -10, 7, 50, 12, -8, 65, -13, -13, 7, -20, -5, 27, -8, 10, 30, 5, -13, 30, 103, -27, -14, 27, -13, -7, -4, -13, 37, -88, 49, 171, 103, -10, 190, -10, -3, 13, -20, 35, -76, 131 },
{ -10, 96, 51, 2, -8, 6, -5, 21, -10, -19, 23, -31, 111, 25, -3, 9, 18, -23, 21, 23, 7, -39, 66, -19, -12, -36, -14, -13, 40, -80, 44, 170, 137, 182, 106, -6, 33, 9, -16, 35, -112, 189 },
{ 19, -7, 5, -13, 4, 11, -18, 7, 2, -5, 15, -23, 23, -13, -10, 34, 8, -6, 13, 15, -9, 99, 14, -12, 7, -13, -3, 16, -25, -29, 99, -9, -31, 16, -7, -4, 67, 72, -12, -18, 192, 195 },
{ -1, -16, -4, 9, 27, 24, -19, 50, -7, -6, 81, -28, 67, 25, -15, 27, 36, -6, 14, 27, 45, -26, 73, 3, 4, -13, 9, -6, 16, -104, 74, 26, -31, 80, -23, 147, 3, -13, 18, -36, 81, 115 },
{ 4, -7, -39, 10, 81, 18, -23, 18, -12, -11, 169, -15, -13, 24, -12, 9, 10, -23, 18, 11, 25, -32, -20, 13, -14, -13, -45, 5, 24, -96, 53, 93, -22, 88, 301, -20, -40, 13, -13, 49, -66, 180 },
{ 5, -6, 36, -10, -32, 14, 34, 59, -22, -19, 17, -28, 18, -5, -3, 27, 27, -27, 35, 8, 45, -72, 21, -55, 122, -18, 9, 16, -26, -49, 50, 53, 110, 299, 163, -26, -4, 21, -42, 77, -124, 281 },
{ 15, 78, -167, 7, 13, -14, 13, 42, -47, -43, 54, -51, 60, -77, 102, -40, 31, -35, -36, 43, 23, -53, -36, -71, 132, -21, 38, 153, -57, 90, 120, 84, 167, -33, 140, -26, -30, 57, -68, 30, -129, 298 },
{ 3, -10, 66, -3, 11, 25, -7, 1, 4, -6, -7, -15, 16, 18, -9, -9, 11, -13, 21, 4, 26, -11, 14, -14, 7, -9, 5, -5, -10, -31, 181, 7, -17, 70, -5, -4, 37, 8, -27, 230, -30, 267 },
{ 24, -10, 6, -7, 8, 26, -28, -3, 20, 7, -17, -9, 85, -10, 15, -14, -3, -13, 22, 27, 19, -18, -10, 10, 3, -21, 24, 61, -33, -51, 41, 102, -18, 153, -18, 182, 22, 123, -14, -37, 105, 180 },
{ 3, -10, 32, -33, 8, 28, -73, -6, 33, -5, 111, -23, 16, -23, 8, -29, 12, -30, 34, 46, 8, -31, 6, 9, -20, -107, -11, 10, 115, -83, 100, -59, 67, 76, 369, -16, 2, -89, 49, -118, 129, 239 },
{ 4, 33, -29, 17, -13, 48, 16, -21, 32, -8, 46, -57, 48, -24, -93, 28, -29, 27, 18, -18, 55, -19, -13, -33, -35, -12, 13, -23, 39, -83, 97, 35, 54, 266, 218, -43, 5, -14, 95, -177, 110, 221 },
{ 2, -16, 29, -1, 3, 101, 11, -18, -6, -6, -20, 4, 113, 27, -22, -23, -10, -13, 46, -10, 71, -26, 11, 20, -9, -6, 10, -10, -77, 101, 67, 29, -37, -17, 34, 26, -15, 144, -17, 57, 151, 362 },
{ 5, 5, -6, -15, -24, 151, 120, 16, 110, -25, 136, -21, 58, -30, 25, -130, -22, 14, 32, -174, 38, 20, -40, 107, -8, 12, 40, -33, -111, 187, 52, 188, -33, 65, -52, 83, -28, 53, 47, -93, 103, 415 },
{ -14, -146, 44, -13, 5, 29, 43, -5, -5, -27, 56, -20, 30, -34, -28, -12, -5, 29, -24, 17, 24, -32, 34, 55, -58, -40, 41, -44, -23, 59, -53, 128, 24, 16, 299, 179, 32, -37, 36, -161, 205, 353 },
{ 12, 37, -46, -10, 40, -28, -238, 44, -24, 74, 31, 22, -23, -68, -215, 72, 51, -57, 47, 177, 24, -47, 26, 45, -143, 43, -16, -35, -40, -53, 164, -113, 153, 182, 243, -92, 47, -124, 129, -105, 130, 246 },
{ 28, -8, 38, -6, -4, 10, -5, 15, 14, -3, 7, -19, 58, -16, 6, -3, -3, 11, -16, 31, 85, 16, -9, 59, -2, -7, 12, -26, 43, -69, 71, -47, 29, -16, 8, -2, -1, 73, -15, 18, -21, 99 },
{ -3, -4, 7, 25, -3, 11, -9, -5, 1, -3, 10, -22, 79, 6, 44, -4, -3, 11, -22, 39, -10, 130, -7, 2, 2, -5, 11, -24, 41, -69, 71, -21, 132, -6, -3, 14, -3, 3, -12, 15, -17, 100 },
{ 2, -8, 24, 5, 32, 13, -7, -9, -5, -3, 3, -24, 10, 11, 106, 4, -4, 7, -12, 28, -9, -18, -9, -10, 68, -5, 8, -21, 28, -53, 261, 106, -10, 10, -12, 25, -3, 8, -14, 18, -21, 110 },
{ 5, -7, -11, 14, -6, 19, -13, -4, -16, -9, 11, -26, 9, 9, 15, -11, 7, 50, -13, 27, 88, -19, -21, 13, -6, -8, 11, -24, 34, -64, 78, 93, 242, -15, 140, -11, -2, 16, -35, 58, -77, 113 },
{ 1, 71, -10, 9, -6, 15, 61, -24, 96, -8, 10, -20, -11, 43, -14, 7, -5, 15, -32, 56, -27, -46, 137, -14, 53, -8, 13, -28, 56, -89, 61, 224, -32, 30, -29, 5, 2, -3, -6, 48, -32, 71 },
{ 6, 19, -19, 17, -10, 11, 7, -30, 4, -7, 21, -39, 8, 39, -18, 6, -9, 11, -18, 44, -17, -50, 93, -23, 9, 18, 54, -25, 46, -78, 55, 180, 242, 148, -22, 3, -16, 11, -18, 34, -58, 80 },
{ 102, -3, -16, 7, -6, 109, 9, -21, -6, -7, 18, -24, -6, 42, -16, 10, 9, -11, -19, 33, 155, -64, 146, -24, 72, -7, 53, 80, 33, -81, 60, 132, 109, -20, 12, -15, -4, 20, -42, 50, -70, 111 },
{ 87, -9, -32, 8, 59, -2, 89, -15, -8, -14, 29, -15, -18, 40, -18, 16, 10, -9, -37, 70, -46, 195, -51, 138, -16, -6, 14, -31, 56, -99, 66, 51, 139, 176, -10, -15, 26, -32, 62, 44, -106, 187 },
{ 5, -21, -13, 15, -7, 18, 67, -26, 75, 14, -24, -28, -13, 46, -12, -23, -10, 40, 10, 43, -10, -73, 90, 265, -13, -7, 29, -33, 21, -68, 150, 172, -60, 55, -17, 13, 2, -20, -31, 53, -58, 136 },
{ 154, -21, -11, 20, 4, 22, -9, -23, 31, -9, 11, 42, -31, 61, 8, -20, 5, -15, -18, 33, 18, -116, 87, -12, -38, -8, 23, -33, 54, -104, 96, 159, 162, 88, -29, 8, -5, 22, -21, 55, -102, 160 },
{ -3, 8, -15, 10, -23, -8, 102, 10, -30, -6, 17, -22, 9, 17, 33, 15, 9, -3, -17, 29, 9, -76, -80, 82, -25, 4, 108, -31, 55, -82, 80, 151, 221, 109, 44, -27, -12, -6, 17, 30, -135, 221 },
{ 4, -10, 14, 7, -36, -14, 13, 39, -26, -268, 131, -19, 30, 21, 45, -38, 16, -16, -10, 102, 32, -81, 56, -121, 170, 14, -25, -21, -21, -53, 111, 121, 188, 116, -77, 13, -15, -5, 58, 167, -107, 243 },
{ 8, -16, -5, -10, 8, 11, 32, -32, 12, -134, -27, -28, 25, 17, -13, -34, 4, 50, 16, 44, 33, -66, 117, 297, 5, -13, 27, -30, 58, -54, 403, 311, -84, 10, -34, 15, 8, -57, -25, 44, -56, 152 },
{ -14, -45, 3, -47, 125, 6, 236, -31, -18, 181, -12, 136, 53, 57, 103, -50, -39, -36, -20, 40, -16, -110, 117, 179, -16, -5, 35, -25, 15, -50, 80, 269, 105, 119, -28, 23, -5, -10, -38, 65, -93, 124 },
{ -11, 16, -18, -24, -11, 7, 21, -26, 77, 9, -46, -13, 6, 27, 38, -29, 6, 35, -17, -74, 55, -83, -54, 128, -33, -27, 96, -26, 31, -50, 353, 325, 159, -36, 20, -23, 42, 7, 46, 39, -77, 193 },
{ 8, 32, -26, -49, -24, 30, 44, -26, -37, 1, -35, -20, 28, 46, 77, -43, 112, -14, 13, 24, 59, -96, -69, 168, 111, 13, -14, 28, 39, -114, 138, 198, 193, -126, 33, -30, 102, -221, -9, 55, -73, 222 },
{ 16, -14, -12, 16, -88, 11, 17, -68, 58, 25, -78, -32, 25, 62, -105, 59, 60, 46, -26, 23, -42, 121, 151, 161, -34, -47, 25, 72, 39, -46, 130, 271, -125, -54, 34, -45, 33, -35, -40, -33, 152, 204 },
{ 29, -43, -37, 184, 7, 49, 33, -50, 55, 32, -122, -45, 33, -25, -27, -23, -108, -43, -16, 75, -45, -69, 130, 132, -78, 17, 16, -79, -79, 94, 292, 403, -50, 66, 75, -22, -17, 35, 179, 18, -49, 156 },
{ -244, -11, 316, -23, 33, -102, 228, 33, -32, -31, 46, -13, 182, 25, 30, -94, 241, -55, -102, 28, -289, -46, 72, 254, 118, -17, -27, 46, -36, 94, 119, 109, 308, -186, 16, 208, 23, -41, 57, -30, 33, 59 },
{ 2, -2, -5, -2, -5, 7, 28, 4, -3, -2, 7, -11, -17, -8, 5, -4, -1, 7, -12, 15, 33, 52, -9, 4, 23, -5, 8, -16, 25, -29, -35, -20, 19, -9, 13, -2, 9, -3, 49, -10, 79, -25 },
{ 33, -11, 70, -9, -4, 12, -5, 8, -3, -5, 9, -22, 42, -18, 7, -4, -7, 12, -18, 35, 110, 31, -16, 6, 33, -4, 12, -24, 37, -60, 199, -53, 31, -19, 8, -5, 27, 72, -11, 13, -13, 102 },
{ 2, -4, -9, 51, -6, 11, 58, -5, 43, -5, 10, -21, -4, -12, 57, 24, -8, 14, -23, 39, 115, 19, -7, -3, 17, -4, 14, -28, 42, -65, 63, -44, 27, -15, 4, 26, -5, 5, -13, 16, -16, 104 },
{ 34, -5, 72, -8, -4, 14, -9, 9, -4, -5, 5, -22, 4, -17, 7, -6, -3, 10, -15, 32, 81, 28, -12, 6, -2, -9, 9, -21, 37, -62, 69, -50, 29, -18, 10, -8, 41, 118, -14, 17, -21, 142 },
{ 34, -8, -5, 14, -2, 13, -3, -2, 2, -3, 6, -23, -4, -5, 66, -3, 2, 24, -18, 34, 106, 13, -10, 40, 52, -6, 7, -19, 30, -59, 47, -32, 83, -13, 73, -3, -4, 95, -14, 13, -18, 137 },
{ 1, -49, -15, 14, -2, 15, 9, -14, -44, -9, 10, -29, 47, 19, -12, 2, 32, 13, -17, 34, 120, -16, -4, 43, -5, -9, 8, -15, 23, -56, 60, 76, -16, 114, -7, 89, -5, 4, -13, 15, -15, 146 },
{ 47, -13, 20, -3, 39, 11, -7, 4, 3, -9, 10, -22, 12, -17, 5, -6, 6, 12, -8, 25, 83, 17, -8, 3, 5, -8, 20, -10, 21, -52, 67, -32, 36, -7, -4, -2, 32, 149, -16, 13, -22, 193 },
{ 23, -12, -7, 6, 7, 10, -2, -7, -2, -7, 5, -19, 39, -6, 3, -18, 2, 5, -13, 26, 88, 6, 16, -9, 44, -2, 84, -15, 26, -51, 40, -19, 134, 87, -15, 119, -2, 86, -13, 14, -26, 196 },
{ 1, -4, -5, 7, -6, 17, -6, -4, -7, -15, 18, -27, 21, 9, 6, -10, -6, 8, -26, 40, 81, -12, -7, 33, -3, 13, -4, -9, 32, -75, 36, -19, 97, -8, 190, -11, 4, -6, 30, 31, -35, 222 },
{ -6, 5, -7, 4, -5, 80, -20, 12, -10, -9, -17, 102, -12, 23, -17, 15, 77, 13, -23, 26, 2, -15, -35, -17, 40, 4, -9, -13, 28, -41, 106, 76, 97, 92, -29, 76, 4, -25, 14, 14, -66, 106 },
{ 24, -6, 7, -10, 3, 7, -11, 60, 6, -3, -5, -12, 11, -15, 6, -4, -7, 13, -5, 13, 144, 12, -14, 17, -3, -35, 11, -11, 18, -34, 55, -25, 101, -21, 27, 6, 28, 75, -24, 200, -19, 244 },
{ 5, -5, -10, 5, 6, -81, 10, -15, 7, -7, 10, -22, -7, 36, -7, -3, 4, 14, -10, 30, 44, 1, -3, 9, -5, -4, -6, -6, 8, -46, 58, -5, -18, 128, 78, 11, 4, 60, -23, 90, -54, 159 },
{ 4, -9, -9, 39, -4, 21, -9, 12, -14, -12, 57, -21, 10, -11, 18, -16, 2, 40, -18, 45, 21, -12, -7, 5, -6, -4, -3, -32, 43, -122, 91, -38, 54, 179, 182, -8, 5, 3, -17, 86, -50, 129 },
{ 34, 3, -13, 99, -5, 190, 74, 14, -21, -15, -4, -11, 72, 20, -15, 24, 11, -5, -17, 10, 36, -42, -19, -25, 126, 15, -24, 11, 22, -79, 59, 103, 88, 189, 186, -17, -4, -24, 31, 125, -93, 199 },
{ 15, -63, 218, -39, 199, 58, -15, 18, -38, -82, -96, 43, 99, 12, -108, 41, 17, 42, -39, 60, 45, -46, -13, -110, 71, -162, 10, -17, -64, -41, 74, 133, 224, -53, 159, -34, 40, -40, 45, 107, -113, 278 },
{ 12, -17, 46, -8, 4, 6, 73, -4, 5, 23, -5, -18, 17, -15, 9, -13, 4, -11, 10, 9, 43, -12, 9, -8, 7, 3, -4, -4, 91, -47, 38, -32, 61, 32, -6, 7, 82, -9, -11, 196, -18, 305 },
{ 1, -5, -19, 18, 4, 17, -20, 12, -6, 3, 2, -27, 19, -12, 38, -39, -4, 22, -13, 50, -23, 13, -19, 3, 88, -11, 9, 7, 118, -88, 77, -44, 114, 139, -23, 264, -12, 121, -9, 98, -85, 275 },
{ 7, -95, -18, 7, 13, 252, -4, -135, -5, 8, -16, 80, -16, 11, 4, -25, -8, 96, -22, 69, -21, -43, 39, -13, -9, -84, -27, 21, 103, -125, 146, -45, -17, 125, 314, -11, 12, -29, 112, -39, 77, 208 },
{ 60, -10, 15, -36, -61, 15, 18, -51, 74, -8, 70, -9, 81, -16, -219, 27, 14, -19, 25, 41, 34, -46, 18, -65, 13, -10, -15, 57, 111, -108, 104, 143, 95, 184, 360, -48, -57, 43, -36, 35, -79, 316 },
{ 20, -9, 8, -3, 164, -10, 13, -26, 16, 9, -22, 47, 14, 133, -22, -16, -28, -6, 28, 32, 83, -18, 19, -12, 79, 4, -3, 16, -50, -35, 62, 105, -25, -29, 57, 32, -6, 171, -40, 76, 99, 377 },
{ 3, -16, 13, -8, -18, 151, 45, -19, 33, 21, 24, -51, 64, 243, 18, -50, 162, -46, 62, -38, 43, 41, -60, 15, 143, 46, 31, -12, -83, -51, 163, -112, 87, 68, -54, 282, -23, 87, 32, -63, 115, 359 },
{ -140, -13, 25, -16, -12, -75, 182, -13, 109, -37, 38, 80, -29, -31, -30, 23, 68, -95, 111, -53, -31, 122, 26, -31, -29, 15, 21, 35, -84, -24, 185, -67, 64, 108, -80, 188, 12, 30, -44, -36, 95, 287 },
{ 3, -4, -7, 3, -7, 11, 84, 32, -4, -2, 8, -15, -14, -8, 7, -3, -3, 8, -14, 19, 31, 129, -12, 3, 1, -3, 7, -15, 23, -25, -43, 167, 94, 3, -5, 3, 38, -9, 69, -12, 78, -27 },
{ 4, -12, -6, 5, -2, 14, 46, -8, -3, -5, 6, -23, -10, 11, -8, 23, -5, 12, -18, 35, 170, 121, -11, 51, 29, -7, 5, -13, 22, -40, -21, 88, -19, 15, -11, 5, 37, -3, 10, -11, 176, 205 },
{ 3, -3, -5, 22, -6, 11, 16, -12, -4, -6, 9, -22, -6, 8, 6, -5, -4, 8, -17, 31, 114, 120, -12, 38, -6, -6, 12, -17, 24, -35, -20, 224, 167, -12, 51, 80, 3, -4, -13, 20, -20, 103 },
{ 21, -5, -75, -5, -4, 8, 61, -5, -12, -4, 11, -16, -13, 23, 21, 3, -3, 14, -28, 33, 73, -33, 88, -7, 36, -14, 7, -17, 40, -64, 26, 181, -28, 24, -15, 5, 7, -6, 19, -13, 108, 85 },
{ -2, -9, -14, 10, -4, 19, 56, -21, -56, -25, 13, -14, -10, 36, -11, 6, -2, -7, -17, 26, 93, -40, 100, -14, 80, -6, 21, -23, 39, -60, 39, 115, 221, 9, -18, 42, 7, -8, -22, 18, -23, 104 },
{ 9, -8, -12, 14, -21, 97, 9, -24, -2, -35, 15, -16, -14, 34, -21, 11, -5, 8, -22, 31, 174, -29, -11, -10, 100, -7, 21, -34, 52, -87, 41, 116, 262, 101, -12, 6, -5, 16, -21, 45, -49, 69 },
{ 10, -17, -13, 12, 6, 18, -12, 43, -3, -10, 38, -21, -9, 13, -24, 14, 6, 12, -15, 42, -9, 96, -44, 53, -16, -14, 5, -25, 22, -53, 36, 79, 122, 154, -10, 92, 5, -6, -14, 60, -99, 108 },
{ 8, -11, -7, -9, 5, 50, 20, -23, -6, -13, 11, -24, -13, 39, 6, -14, -4, 27, -22, 43, 48, -67, 76, 39, -9, -16, 28, -30, 38, -101, 57, 270, -46, 21, -20, 107, 66, -18, 12, 9, 43, 46 },
{ -15, 10, -11, 10, -28, 11, 12, -32, -8, -4, 12, -19, 65, 50, 19, -12, 4, 9, -23, 28, 188, -104, 344, -29, 18, -12, 15, -44, 65, -94, 70, 135, 340, -14, -32, 22, 40, 10, -13, 33, -37, 79 },
{ 5, -9, -12, 15, 7, -7, 14, -23, -5, -11, 23, -22, -8, 28, 25, -10, -14, -8, -14, 26, 134, -52, -47, 197, -7, -14, 50, -66, 69, -105, 69, 138, 490, -17, -14, 102, 163, -8, -19, 67, -75, 125 },
{ -7, -25, 2, 71, 5, -72, 52, -18, -21, -20, 61, -7, -5, 27, -24, 24, 27, 60, -29, 236, 224, -22, -75, 237, -20, -18, -14, -4, 21, -30, 59, 116, 246, 229, -35, 15, 7, -5, -22, 60, -136, 188 },
{ -63, 40, -183, -64, -6, 213, 40, -12, -23, -14, 15, -36, 15, 30, 27, -61, 34, -33, -30, -9, 66, -92, 126, 196, -14, -59, 138, 44, 51, -53, 152, 232, -72, 38, -27, -8, -7, 19, -33, 37, -78, 148 },
{ -4, 12, -14, 15, -203, 84, -29, -40, -13, -5, -10, 21, 39, 66, -32, -14, -12, 77, -21, 8, 15, -68, 86, -38, 34, -63, 34, -45, 38, -70, 303, 241, 140, -13, -12, 3, 80, -25, -21, 61, -48, 118 },
{ 18, 9, -12, 7, -12, 71, -24, 160, -24, -116, 58, -16, 129, 60, 56, -15, -14, 20, -19, 34, -13, -70, -81, 471, -17, -30, 10, -5, -17, -46, 316, 267, 138, -48, -16, 119, 8, -14, -26, 89, -61, 162 },
{ -30, 32, -30, 7, 17, 15, -7, -17, -49, -40, 9, 21, 23, 12, 22, -17, 10, 54, -19, 15, 55, -43, -94, 160, 78, -14, -8, 17, -22, -11, 143, 234, 300, -60, -29, 16, 7, -13, -10, 41, -86, 209 },
{ 38, -65, -35, 41, 25, 53, -37, 39, -26, -82, -122, 54, -68, 119, -29, -50, 89, -48, -205, 66, -83, 186, -103, 139, 82, 94, -47, -53, 49, -74, 161, 85, 318, 252, -153, -41, 506, 43, 57, -64, 79, 132 },
{ -26, 19, -163, -54, 77, 101, 45, -29, 46, -28, 18, -71, 161, -26, -55, -69, -96, 303, -25, -23, 101, -30, 229, 308, 121, 11, 9, -8, 73, -87, 66, 406, -72, -99, 252, -40, 100, -43, 68, -193, 85, 104 },
{ -81, 22, 201, 13, -17, -48, -15, -23, -14, -119, 225, 31, 34, 46, 48, -87, 8, 13, -53, 21, 76, -91, 100, 132, -31, -94, 7, -30, 35, -50, 136, 414, 32, 242, 28, -33, -13, 35, 275, -20, -61, 105 },
{ -34, -13, -28, 30, 31, -90, -41, -65, 32, 82, -43, 80, 10, 32, 71, -60, -29, 64, -81, 31, 55, -24, 116, 154, -76, -94, -133, 156, -53, -28, 343, 273, 174, -41, 40, -26, 224, -20, 143, 41, -75, 94 },
{ 4, 9, -10, 1, -2, -3, 16, -5, -2, -1, 6, 45, -31, 27, 15, 21, -3, 3, -9, 69, 51, 25, -4, 19, -3, 1, 37, -4, 23, 115, -64, 41, 12, -6, 39, 17, 47, -8, 12, -27, 48, -61 },
{ 3, 50, -12, 13, -5, 2, 16, 2, -3, 8, 40, -5, -36, -1, 23, -3, -2, 2, -7, 4, 57, 60, -3, -5, 2, 6, -4, 3, -4, 39, -75, 65, -4, 22, -2, -1, 4, -10, 15, -34, 57, -68 },
{ 120, -5, -13, 4, -5, 7, 17, -5, -1, -7, 8, -9, -35, 22, -2, 3, -4, 109, -10, 11, 55, 129, -6, 22, 21, 20, -4, -7, 11, -13, -73, 52, 24, 13, -3, 1, 46, -8, 15, -30, 45, -54 },
{ 32, -5, -6, -2, -9, 11, 88, 8, -6, -5, 12, -20, -12, -13, 6, -6, 16, 4, -11, 18, 32, 15, -7, -2, 2, -3, 62, -6, 16, -24, -41, -15, 63, 8, -6, 59, -3, -4, 35, -20, 107, -16 },
{ 6, -9, -16, 2, -2, 14, 14, 52, 23, -5, 6, -22, -25, -7, -4, 2, -8, 15, -18, 30, 39, 10, -3, 24, -8, -5, 9, -20, 29, -46, -37, -21, 67, -7, -2, 114, -3, 19, -13, 112, 175, 304 },
{ 47, -8, -14, -3, 1, 11, -67, 9, -7, -2, 40, -22, -9, -5, 250, -112, -14, 6, -30, 35, -7, 16, -5, -3, 4, 2, 62, -11, 18, -45, 27, -25, 223, 61, -19, 125, -33, -7, -5, 76, 122, 138 },
{ 5, -14, 4, -8, 29, 13, 80, -6, -9, -3, -6, -14, -7, 67, -2, 8, -3, 13, -26, 23, 95, -23, 176, -6, -6, 2, 22, -17, 26, -46, 156, -10, 285, 80, -20, 56, -11, 12, -17, 15, -18, 172 },
{ -7, -13, 9, 209, -13, 194, 94, -16, -3, -18, 21, -24, 9, -11, 14, -26, -14, 7, -10, 22, 35, 13, -19, 218, 3, 9, -8, -16, 50, -88, 36, -27, 185, 451, -26, 18, 18, -8, -19, 38, -55, 96 },
{ 2, -11, 111, 19, 6, -5, 180, -7, 7, -62, 17, -22, 165, -22, 6, 36, 7, -10, -9, 23, 65, 9, -8, -34, 4, -14, 37, -5, 18, -37, 68, -37, 12, 7, -10, 17, 74, 77, -21, 56, -17, 233 },
{ 6, -9, -9, 170, -2, 8, -33, 3, 154, 18, -246, -15, -6, -10, 98, 4, -10, 18, -28, 43, -6, 10, -20, 17, -10, -6, 186, -14, 38, -60, 63, -13, -8, 265, -16, 56, 13, -23, 12, 318, -60, 111 },
{ -6, 8, -13, 59, -23, 36, -24, 225, -20, -28, 16, -36, 23, -36, 22, -26, 5, 12, -29, 60, -42, 26, -36, 14, -141, 11, -19, 17, 26, -79, 48, -37, 114, 163, -20, 77, -3, 107, -29, 26, -60, 120 },
{ -5, 20, -13, 38, -27, 17, 54, 64, -17, 21, -24, -25, 8, 8, -98, 15, -6, -10, 18, 27, 72, -14, 5, -37, 99, -134, 10, -72, 32, -77, 70, -37, 154, 232, -27, 217, 6, -217, -41, 20, -39, 62 },
{ 5, 101, -28, 16, 14, -9, 35, -53, 23, 155, -56, 454, -72, 39, 120, 17, 46, -184, 55, -40, 36, -40, 40, -123, 133, 22, -100, 86, -74, -35, 44, 99, 189, 246, -96, 13, 6, 11, -40, 87, -71, 156 },
{ 9, -19, -25, 50, 10, 15, -41, 70, -11, -51, 206, -29, 7, -14, 14, -16, -5, 13, -29, 39, 22, -21, 15, -8, 194, 105, -56, 23, 42, -51, 58, -36, -32, 612, -35, 205, -12, -283, 19, -27, -60, 253 },
{ -17, 185, -11, 33, -265, 29, -33, 110, -16, 27, -35, -48, 43, -9, -29, 33, 140, -46, 38, 20, 23, -21, -20, -65, 111, 9, -21, 61, -43, -90, 67, 41, -38, 195, -38, 16, 6, -29, -9, -35, 146, 228 },
{ 11, -15, 17, -9, 78, -11, 18, 73, -59, 29, -19, -89, 47, 10, -15, 51, 294, -45, 39, -33, -5, -493, -35, -74, -12, 5, 35, 30, 9, -103, 84, 51, -50, 339, -35, 9, -22, 30, -17, -57, 86, 244 },
{ 40, -21, 45, 2, -32, 18, -33, 16, 8, 8, 223, -30, 28, -31, 19, -9, -23, 168, 42, -66, 28, -22, 148, -12, 9, 4, 74, 22, -69, 154, 21, 33, -46, 21, -13, 4, 111, -41, 81, -22, 315, 410 },
{ 32, -23, 25, -78, 82, 39, -24, 7, 29, 11, -24, -73, 40, 182, -28, -91, 33, -31, -250, 79, -35, 97, 46, -40, 40, 179, 19, -36, 24, -147, 89, 40, -78, 183, -39, 108, 7, -39, 48, -31, 38, 429 },
{ 3, 51, -10, 2, -8, 42, 13, -4, -2, 1, 5, -3, -26, 125, 32, -1, -4, 66, -8, 24, 43, -5, -5, 8, -3, -3, 6, -4, 11, -4, -48, 109, 4, 8, 8, 50, 94, -9, 12, -29, 42, -58 },
{ 6, -2, -15, 20, -2, 5, 21, -6, -1, -4, 4, -8, -38, 20, 76, -4, -4, 4, -6, 9, 60, 59, -8, 70, 3, -3, 5, -9, 11, -12, -71, 178, 27, 57, -3, 4, 33, -14, 21, -38, 58, -71 },
{ 5, 38, -19, 9, -3, 3, 26, -18, 3, -8, 8, -11, -32, 9, 26, -11, 70, 6, -9, 46, 61, -15, 69, 102, 61, -7, 5, -16, 10, -14, -62, 94, -11, 9, -12, 5, 6, -16, 21, -31, 58, -67 },
{ 7, -3, -13, 43, -5, 9, 14, -19, 60, 32, 22, -9, -29, 4, 61, 3, -9, 8, -11, 18, 40, 83, -14, 70, 58, 67, 82, -13, 11, -16, -57, 117, 161, -8, -2, 31, 2, -12, 61, -19, 37, -47 },
{ 4, -3, -13, 8, -7, 14, 9, -15, -3, -3, 9, -17, -16, 14, 110, 5, -7, 13, -23, 32, 16, -5, -9, 59, -5, -4, 10, -22, 33, -38, -26, 98, -15, 18, -12, 5, -4, 4, -12, 14, -10, 102 },
{ 26, -3, -17, 7, -57, 8, 135, -10, -22, -15, 9, -8, -13, 25, 51, 2, -6, 15, -25, 22, 18, -34, -8, 84, -10, -4, 11, -18, 35, -47, 165, 174, -23, 21, -17, 11, 60, -6, 36, -4, 53, 87 },
{ 6, -213, -12, 12, -5, 5, 9, -14, -14, 7, -10, -11, -22, 39, -9, 4, -16, 26, -30, 33, 243, -33, 20, -20, 10, 48, 5, -12, 27, -48, 64, 126, -17, 24, -20, 8, -3, 4, -23, 8, -8, 24 },
{ 5, 5, -11, 8, -8, 6, 6, -35, -10, -6, 18, -17, -7, 13, 6, 23, -6, 11, -24, 31, 208, -8, -30, 137, -2, 5, 47, -18, 32, -49, 20, 56, 304, 20, -14, 9, -7, -10, -10, 23, -16, 70 },
{ 10, -8, 11, -51, -13, 20, -28, 209, -29, 8, 275, -5, -21, 7, -8, 10, -21, 20, -17, 51, -43, 102, -27, -12, 300, -104, 11, -36, 33, -70, 22, 104, 113, 445, -30, 10, 147, -4, -23, 54, -51, 64 },
{ 4, 4, -11, 12, -20, 7, 13, -25, -16, 128, 3, -11, 26, 40, -4, -7, -8, 4, -18, 15, 11, -50, 98, 92, -7, -19, 17, -25, 30, -68, 28, 331, -43, 21, -21, 7, 5, -2, -11, 9, 56, 31 },
{ 17, -15, 154, 8, 11, -21, 77, -14, -5, -16, 13, -7, -17, 27, -14, 24, -10, -12, -8, 20, 25, -45, -46, 235, 7, -4, 30, -36, 54, -87, 50, 91, 174, -33, -9, 8, 24, 5, -43, 56, -42, 78 },
{ 21, -11, -32, 18, 5, 21, 16, -19, -63, 11, -21, -26, -23, 22, -33, 25, -8, 14, 13, 35, 55, -20, -68, 143, -25, 11, -10, -16, -27, -42, 232, 81, 317, -37, -28, 13, -7, 13, -57, 107, -107, 165 },
{ 6, -176, 101, 12, 302, -22, -58, -19, -24, -16, 4, 268, 18, 52, -14, -17, -14, 33, -25, -44, 13, -59, 319, 183, -18, 7, 27, -43, 48, -49, 303, 246, -67, 69, -34, 12, -334, -10, -2, 47, -63, 103 },
{ 6, -18, -12, 13, 10, 361, 105, -27, -17, -14, -86, 18, -24, 60, 13, -17, -6, 96, -39, 19, -12, -80, 91, 107, -22, -16, 25, 140, 26, -38, -18, 194, -45, 109, -12, 26, -37, -13, -55, 34, -41, 139 },
{ -3, -142, -221, -17, 48, 107, 42, 17, -29, -48, -5, -23, -35, 38, 13, 245, 10, 43, -27, 22, 88, -27, -87, 230, -34, -80, 19, -20, 19, -38, 26, 149, 445, 46, 15, -23, -8, 17, -25, 72, -116, 156 },
{ 183, -37, -257, -303, 20, 254, 45, -59, -11, -52, -235, -13, -31, 14, 22, -17, 80, 25, 23, 40, -15, 17, -79, 190, -43, -17, 33, -72, 44, -107, 91, 22, 305, -152, 52, -18, 17, 50, -30, 44, 340, 77 },
{ -70, 25, -20, 366, -39, 196, -107, -42, 55, -338, -323, 28, -39, -53, -32, -67, 15, 9, 17, 330, 98, -86, 248, -30, -11, 58, 457, -52, 50, 158, 101, 370, 32, 39, -119, -146, -57, -82, 18, 117, -81, 191 },
{ 30, -136, -40, 47, 40, 142, -65, -22, -18, -44, 31, 52, -43, 76, 80, -74, -42, 45, -38, 359, -49, -122, 104, 113, 159, 9, 23, -48, 76, -75, 93, 308, 107, -98, 42, 9, -35, -16, -28, -12, 408, 85 }
 }
 },
{ 
{ 
{ -29, -15, 17, -14, -21, 35, 28, 34, -20, -30, 27, 13, 30, 20, 32, -27, -12, 21, 32, 45, 60, 40, 49, 36, -19, -21, 26, 41, 57, 51, 71, 55, 66, 43, 28, 10, -40, 42, 36, 49, 77, 64 },
{ -36, -9, 18, -21, -15, 27, 20, 36, -17, -20, 20, -11, 28, 30, 42, -12, -23, 16, 15, 51, 67, 60, 63, 39, 22, 14, -7, 13, 48, 61, 71, 59, 78, 42, 16, 26, -43, -21, 39, 47, 82, 66 },
{ -31, 15, 23, -24, -19, 3, 32, -16, 26, -11, 26, -4, 13, 23, 3, 20, -15, 5, -11, 26, 57, 48, 52, 37, 55, 8, -13, -4, 48, 54, 82, 84, 68, 48, 22, 58, -32, -19, 32, 28, 85, 86 },
{ -15, -39, 89, 7, 35, 10, -4, -32, 38, -29, 35, 35, 12, 47, -3, -18, 4, 5, 7, 65, 60, 59, -9, 18, 26, -26, 37, -6, -49, 61, 117, 115, 34, 47, 36, -13, 32, 72, -23, 38, 8, 96 },
{ -3, -11, 19, -10, 17, 74, -35, 13, -10, 3, -8, -16, 46, 126, -18, 68, 26, 23, 6, -10, -63, -120, 115, -27, 52, -15, 36, -14, 52, 75, 115, 434, -57, 135, -15, -10, -7, 11, -17, 42, -120, 188 },
{ -67, 141, 32, -27, -53, 112, -34, -22, 19, 14, 58, 4, 130, 21, -32, -75, -44, -27, -36, -8, 50, 56, 106, 301, 38, 14, -35, -14, 30, 92, 113, 321, 275, 219, -133, 132, 3, -20, 66, -38, -123, 150 },
{ -8, -12, 8, -27, 49, -7, -8, 73, 3, -18, 17, -17, -13, -20, 39, -43, -15, 13, -26, 41, 78, 111, -231, 93, 49, -23, 39, 52, -105, 16, 144, -90, 401, 282, 190, -25, -16, 62, -60, -34, 137, 300 },
{ -10, -60, -10, 22, -36, 35, 14, -13, -18, 6, 24, -15, 40, -23, 75, -73, -6, -27, 12, -89, 59, -15, -55, -124, 125, 15, 12, 31, -15, -20, 62, 109, 202, 219, 65, -29, 11, -39, 37, -151, 100, 257 },
{ -44, -8, 11, -7, -16, 23, 29, 27, -24, -17, 17, 15, 33, 14, 26, -26, -24, -13, 28, 62, 81, 70, 39, 28, -12, 6, 16, 20, 54, 75, 94, 83, 75, 25, 28, -15, -48, 29, 27, 46, 86, 97 },
{ -33, -6, 5, -6, -10, 18, 19, 26, -19, -24, 23, -7, 30, 4, 19, -34, -10, -26, 27, 57, 68, 55, 33, 32, -22, -21, 9, 34, 66, 75, 95, 81, 82, 23, 29, 5, -53, 52, 44, 57, 96, 108 },
{ -45, 7, 15, -23, -10, -6, 27, 33, -20, 3, -21, 18, 21, 14, 39, -19, -10, -28, 23, 46, 82, 69, 54, 43, -27, -18, 14, 15, 56, 67, 101, 91, 88, 34, 31, 26, -48, 6, 30, 33, 90, 103 },
{ -31, 4, 18, -25, -11, 1, 12, 31, -24, -16, 17, 14, -4, 4, 21, -29, -20, -27, 23, 19, 58, 48, 27, 36, -23, -29, 6, 15, 44, 75, 100, 95, 85, 58, 47, 41, -49, 39, 24, 60, 107, 133 },
{ -39, 4, 22, -29, 7, -18, 12, 37, -31, -10, 23, -8, 15, 11, 21, -26, 7, -21, -35, 39, 50, 58, 66, 27, 38, -30, 16, -16, 53, 71, 112, 117, 107, 48, 36, 41, -56, 24, -20, 42, 94, 135 },
{ -24, 4, 15, -22, -19, -6, 25, 32, -20, -29, 17, 14, 11, 4, 15, -36, -40, 32, -15, 50, 61, 37, 19, 33, -39, -22, 29, -5, 67, 81, 82, 92, 76, 33, 29, 17, -50, 62, 63, 74, 103, 125 },
{ -31, 11, 4, -16, -27, 6, 24, 17, -39, -22, 42, -16, 8, 6, 31, -45, -20, -17, 67, -13, 38, -42, 61, -14, 76, -27, -9, -22, -12, 87, 122, 123, 124, 92, 44, 85, -55, 24, -18, 56, 99, 161 },
{ -13, 3, 2, -15, -14, -5, 26, 44, -26, -30, 12, 14, 7, 2, 24, -50, -39, -18, 42, 29, 45, 29, -15, 43, -46, -48, 10, 37, -27, 82, 101, 98, 73, 56, 59, 9, -22, 95, 58, 80, 111, 147 },
{ -29, 11, 3, -7, -30, 27, 13, -11, -11, -25, 21, -10, 26, -17, 37, -20, 10, -22, 43, 80, -42, -83, 67, -28, 153, -52, 25, 42, -111, 64, 77, 75, 206, 127, 49, 146, 11, -55, -35, -82, 235, 192 },
{ -9, 7, 2, -22, -15, 7, 22, 6, -11, -15, 16, -13, 6, 8, 21, -37, -11, -13, 33, 53, -24, 30, -98, 57, -60, -30, -15, -10, 24, -73, 228, -71, 228, 81, 61, 136, -51, 58, 10, 24, 108, 303 },
{ 10, -13, -25, -9, -19, 16, 39, 41, -36, 73, -12, -18, 31, 62, -76, 99, -20, 22, -9, 50, -45, -45, 194, 213, 139, 11, -8, -35, 24, 70, 56, 309, 231, -73, -67, -29, -11, 40, 25, 37, -88, 95 },
{ -49, 4, 20, -24, 7, -18, 11, 43, -27, 6, -26, 18, 23, 7, 38, 24, -7, -33, 28, 22, 79, 82, 79, 47, -20, -21, 9, 17, 26, 76, 99, 114, 98, 35, 53, -13, -49, 40, -9, 11, 79, 104 },
{ -50, -15, 39, -46, 8, 32, -8, 50, -31, -27, -27, 29, -4, 8, 30, 68, 12, 30, -48, 16, 59, 100, 118, 29, 60, -5, -14, -23, 40, 67, 113, 134, 119, 25, -22, -35, -55, 34, 42, 3, 62, 91 },
{ -44, 6, 27, -38, 7, -14, 21, 43, -46, -37, 16, 19, -21, 11, -13, 38, 6, 41, -61, 51, 24, 74, 92, 40, 73, -38, 29, -35, 17, 64, 107, 123, 143, 69, -15, 70, -60, -6, -18, 29, 81, 127 },
{ -55, 7, 29, -12, 5, 9, 20, 42, -49, -33, 24, -23, 17, -24, 28, 124, 7, -22, 29, -48, 34, 113, 146, 70, 111, -39, 21, -30, 51, 48, 55, 118, 164, -13, -38, -45, -43, 67, 25, 14, 36, 104 },
{ -44, 13, 20, -22, 6, -8, 18, 19, -46, -45, 27, 15, 42, -20, -16, 58, -30, 27, 32, -57, 61, -49, 156, 67, 140, 8, 27, -34, -45, 51, 128, 181, 173, 58, -55, 54, -41, -34, 37, -12, 65, 137 },
{ -7, 5, -4, 6, 20, -24, 52, -17, 31, 7, -30, 93, -32, 13, 43, -92, -12, -17, 12, 66, 29, 26, -184, 60, 206, -6, 29, 21, 32, 41, 48, 204, 381, 97, 98, -71, -4, 40, -53, -78, -74, 294 },
{ -27, -14, 16, -16, -13, 43, -15, 42, -10, 9, -30, 13, 21, 13, -21, -11, 12, -29, 12, 41, 76, 58, 18, 34, -24, -21, -17, 12, 59, 113, 141, 123, 71, 11, 12, -14, -33, 68, 17, 42, 90, 143 },
{ -31, -9, 16, -13, -6, 35, -18, 50, -27, -18, 26, -18, 23, 7, -22, 28, -10, 23, -60, 39, 74, 58, 34, 28, -20, 9, -14, -16, 56, 94, 150, 145, 98, 9, 40, -17, -43, 38, 12, 26, 88, 147 },
{ -20, -11, 10, -10, -18, 44, -13, 30, -26, -15, 20, -18, 19, -22, 31, -24, -18, 26, -46, 49, 73, 46, -13, 27, -22, -21, -11, 5, 67, 111, 134, 117, 90, 18, 18, -13, -38, 79, 30, 59, 93, 168 },
{ -28, 9, 13, -16, -7, 6, -18, 42, -44, -17, 14, 6, 39, -31, -17, 22, -9, 20, -47, 33, 38, 60, 47, -40, 17, -20, -11, -11, 48, 96, 131, 149, 102, 37, 50, -18, -36, 53, 28, 26, 101, 170 },
{ -31, 10, 18, -14, -10, -15, 23, 20, -34, -20, 24, 16, 16, -32, 18, -26, -21, 40, -61, 29, 27, 52, 29, 31, 22, -18, 15, -30, 22, 78, 149, 168, 140, 34, 39, 33, -50, 38, -27, 25, 93, 174 },
{ -17, -4, 6, -13, -17, 13, 15, 18, -12, -17, 7, 9, 5, -25, 33, -41, -31, 36, -49, 62, 46, 44, -44, 44, -31, -36, 22, -29, 64, 88, 125, 112, 85, 35, 14, -11, -35, 83, 68, 61, 101, 189 },
{ -19, 5, 11, -28, -9, -9, 24, 14, -13, -21, 38, -24, 15, -7, 27, -34, -23, 23, -32, 38, 60, -33, -21, 48, -25, -37, 8, 9, -47, 133, 115, 138, 125, 36, 30, 34, -45, 62, 28, 48, 128, 206 },
{ -23, 6, 17, -31, -15, -8, 25, 14, -30, -22, 44, -11, 10, -22, 37, -38, -13, 14, -31, 47, 38, -23, 26, -30, 44, -44, 40, -29, -30, 71, 142, 161, 136, 80, 49, 53, -47, 46, -18, 28, 110, 197 },
{ -20, 9, 26, -25, -14, -7, 23, 12, -43, -21, 30, -3, 13, 18, -16, -35, -33, 53, -22, 28, 14, -35, 27, 20, 99, -9, 27, -28, -30, 65, 127, 201, 218, 88, -29, 81, -40, -24, 13, -25, 70, 213 },
{ -11, -17, 17, -12, -11, -7, 29, 31, -23, -40, 32, -9, 11, -12, 33, -52, -36, 58, -43, 31, 52, 31, -36, 41, -49, -33, 8, -57, 62, 98, 101, 90, 53, 33, 32, 4, -38, 99, 67, 90, 125, 192 },
{ -11, 3, 5, -22, -18, 6, 18, 12, -15, -8, -16, 22, 19, -13, 11, -27, -16, -29, 66, -8, 33, -15, -49, 35, -47, -54, 15, 9, -52, 93, 111, 121, 113, 58, 27, 65, -34, 56, 36, 60, 124, 261 },
{ -12, 9, 3, -26, -19, 9, 6, 25, -20, -26, 38, -21, 30, -18, 37, -49, -35, 61, -43, 47, 21, -26, -38, -39, 37, -42, 24, -28, -41, 78, 96, 155, 173, 106, 14, 98, -52, 14, 46, 29, 108, 222 },
{ -17, 13, 26, -25, -20, 14, -14, 19, -25, -26, 30, -14, 17, 37, 18, -73, 10, -34, 79, -32, 52, -65, -42, 24, 93, -52, 23, 19, -67, 46, 132, 178, 188, 118, 78, 68, -31, 29, -68, 29, 90, 207 },
{ -17, 8, 32, -37, 30, -6, 18, 16, -43, -35, 20, -6, 33, 18, 29, -96, -24, 31, -16, 62, -28, 51, -60, 67, 161, -37, 50, -32, 36, -66, 120, 133, 281, 121, 118, 15, -43, 41, -56, -24, 88, 186 },
{ 4, -19, -2, -23, -12, 24, 17, 42, -21, -22, -31, 17, 6, 19, -14, -44, -27, -28, 90, 7, 23, 26, -39, 66, -73, -64, 22, 5, -90, 112, 176, -85, 172, -35, 48, 4, -20, 149, 54, 99, 136, 250 },
{ 4, -23, 47, -29, 11, -7, 11, 18, -17, -35, 28, -15, 19, 12, 23, -67, -26, -8, 49, 24, 50, -57, -37, -39, 92, -32, 18, 56, -23, -61, 118, 109, 193, 182, 95, 108, -39, 23, -54, -36, 140, 250 },
{ -13, 5, 9, -13, -19, 60, -10, 7, -8, -35, 43, -19, 16, -13, 11, -15, -25, 26, -15, 13, -7, 86, -86, 66, -106, -35, 12, -52, 71, -40, 114, -70, 176, 56, 127, 181, -41, 73, -17, 67, 139, 292 },
{ -35, 9, 31, -14, -15, 11, -13, 39, -32, -15, 37, -28, 21, -35, 16, 32, -13, 33, -54, 24, 54, 83, 70, 40, -21, 9, -27, -18, 18, 94, 147, 173, 115, -8, 49, -18, -42, 36, 16, 17, 69, 161 },
{ -32, 4, 20, -39, 8, -15, 37, 38, -35, -37, 44, -21, 26, -62, 17, 66, 7, 35, -42, 27, -17, 98, 142, 61, -25, -7, -28, 28, -31, 65, 145, 206, 139, 9, 48, -34, -32, 24, 24, -31, 25, 164 },
{ -31, 12, 20, -17, -31, 28, -12, 13, -39, -9, 28, 22, 16, 24, -53, 17, -13, -20, 37, -46, 24, -36, 131, 43, 79, 16, -19, 31, -45, 75, 176, 189, 162, 62, -49, 68, -46, -37, 17, 6, 54, 173 },
{ -24, -15, 12, -25, 16, 16, 8, 55, -57, -12, -10, -11, 38, -64, 24, 121, -24, 20, 25, 38, -69, 71, 207, 65, 63, 11, 3, -23, -11, 34, 129, 236, 154, -31, -47, -41, -18, 19, 35, 36, -47, 141 },
{ -28, 8, 51, -37, 8, -13, 22, 15, -50, -28, 6, 15, 25, 13, 24, -65, -11, 18, 46, -24, 51, -42, 54, 113, 158, -26, 19, -38, 32, -43, 130, 196, 221, 73, 47, -24, -20, 50, -49, -27, 37, 200 },
{ -21, -6, 13, -9, -19, 35, -18, 44, -15, -14, 28, -16, 28, -26, 23, -13, -15, 23, -46, 38, 69, 54, -36, 20, -12, 10, -16, -10, 30, 125, 176, 138, 79, -19, 21, -12, -35, 41, 29, 36, 84, 199 },
{ -21, -10, 12, -12, -5, 17, 34, -14, -12, -13, 21, -21, 17, 29, -38, 13, -12, 30, -38, 18, 29, 39, 20, 25, -25, -10, -10, -28, 32, 91, 175, 194, 104, -14, 40, -18, -25, 16, 50, 18, 63, 213 },
{ -16, -5, 8, -16, -10, -6, 45, 7, -14, 8, -20, 5, 18, -21, -14, 15, -19, 25, -36, 39, 33, 30, 36, -33, -22, -18, 8, -31, 53, 119, 160, 146, 63, 8, 24, -13, -31, 66, 17, 51, 90, 221 },
{ -20, 12, 11, -13, -15, -6, 28, 9, -26, 11, -19, 21, 31, -31, -23, 20, -13, -14, 39, -27, 37, -18, 32, 41, -12, -20, 44, -32, -24, 83, 174, 223, 140, 21, 56, -21, -20, 25, -28, 30, 53, 223 },
{ -10, -10, 9, -19, -10, 6, 29, 19, -10, -20, 20, -23, 12, -8, -9, -14, -29, 41, -31, 36, 17, 47, -45, 37, -30, -32, 10, -32, 48, 101, 143, 140, 76, -7, 19, -21, -26, 96, 26, 72, 105, 233 },
{ -12, -4, 8, -19, -7, -4, 33, 8, -21, -27, 33, -14, 23, -22, 30, -17, 8, -38, 51, -13, 19, 29, -54, 15, -22, -34, -31, 42, -56, 98, 157, 162, 129, 17, 84, -31, -18, 21, 64, 32, 105, 237 },
{ -16, 5, 29, -27, -25, 12, 30, 9, -22, 7, -21, 16, 19, -27, 15, -32, -12, -20, 45, 41, -44, 43, -42, -7, 40, -28, 35, -34, -50, 74, 153, 181, 165, 55, 79, -21, -20, 19, -28, 60, 72, 254 },
{ 2, -16, 5, -21, -17, 19, 22, 20, -9, -36, 37, -18, 7, -25, 42, -48, -34, 50, -29, 20, 44, -12, -36, 66, -44, -45, 32, -7, -75, 154, 103, 185, -56, 57, 26, -21, -24, 106, 61, 59, 141, 236 },
{ -10, 3, 6, -21, -29, 44, 13, -5, -5, 10, -11, -13, 23, -13, 14, -14, -22, -26, 54, 32, -10, 26, -89, 45, -67, -62, 30, -27, -66, 67, 179, -97, 193, 57, 38, 72, -33, 95, 28, 47, 133, 340 },
{ 47, -75, 4, -17, -21, 58, 49, 2, -5, -57, -6, 18, 19, -11, 11, -68, -28, 58, -6, 29, 54, 14, -45, 63, -69, -101, 27, -28, -60, 165, -114, 120, 59, -3, 68, -33, 120, 67, 82, 103, 117, 293 },
{ -11, -9, 26, 4, -21, 42, 7, -9, -7, -14, 5, 17, -5, -5, 17, -16, -35, 13, 7, 21, 19, -37, 29, 53, -122, -41, 18, -47, 36, -74, 155, -61, 167, -69, 121, 121, -29, 116, 13, 88, 141, 338 },
{ 3, -9, -16, 5, 55, -3, -14, 55, -7, 6, -18, -11, 24, -18, 37, -58, -34, 55, 19, -14, 32, 34, -68, -94, 94, -17, -9, 45, -39, 85, -58, 117, 169, 250, 133, 122, -44, 44, 50, -61, 156, 228 },
{ -27, 9, 32, -11, -10, -17, 23, 13, -31, -27, 28, 13, 22, -55, 32, 12, 5, 18, -46, 15, 8, 64, 48, 37, -20, -12, 24, -7, -12, 79, 192, 224, 120, -29, 58, -17, -24, 18, -27, 26, 30, 200 },
{ -14, -5, 12, -22, 10, -16, 37, 26, -63, -30, 10, 17, 47, -66, 10, 70, 6, 19, -50, 48, -58, 68, 146, 58, -27, -23, 18, 10, 34, -50, 201, 282, 126, -44, 47, -23, -9, 20, -32, 39, -36, 198 },
{ -20, 9, 32, -14, -13, 9, -15, 28, -46, -30, 25, -11, 24, 43, -61, 27, 7, -21, 57, -36, 13, -42, 106, 48, 48, -27, 30, 28, -62, 67, 134, 260, 170, 19, 51, -33, -16, 24, -38, -21, 13, 218 },
{ -11, 9, 11, -8, -33, 20, -27, 40, -58, 12, -4, -12, 78, -57, -34, 136, 26, -9, 19, 41, -61, -5, 243, 55, -41, -11, -7, 5, 29, 30, 106, 413, 85, -97, 66, -21, -14, 16, -10, 37, -74, 138 },
{ -24, 11, 7, -21, -23, 9, -10, 63, -38, 6, 24, -20, 59, -49, -54, 38, -31, -14, 51, 44, -62, 9, 202, 104, 69, 11, 27, -17, -10, -16, 137, 296, 196, -39, -40, -29, -17, 10, 30, 28, -63, 180 },
{ -20, 67, 8, -19, -22, -15, 22, 54, -45, -7, 12, -32, 60, 40, -101, 216, 7, 11, 27, -16, -45, -88, 306, 142, -42, 37, 11, -64, 55, 199, 142, 369, 68, -99, 61, -22, -3, -44, 49, 37, -135, 100 },
{ -10, -10, 34, 10, 39, -21, 52, -19, -22, 7, -12, -4, -11, 25, 16, 9, 46, -23, 110, -19, 82, -69, -92, 54, -19, -35, 53, 13, -47, 109, 59, 209, 65, 61, 57, -11, 9, -11, 74, -80, 115, 345 },
{ -10, -15, 5, -16, -19, 29, 37, 24, -14, -12, 22, -32, 20, -29, 20, 9, -8, 34, -33, 22, 30, 34, -31, 18, -20, -15, -11, -19, 20, 119, 230, 164, 38, -33, 21, -15, -13, 11, 53, 40, 51, 247 },
{ -8, -9, 8, -16, -12, 33, -8, 35, -12, -8, 11, -25, 31, -14, -29, 11, -8, 31, -23, 28, 5, -5, 31, -9, -8, -34, 30, -26, -22, 89, 209, 182, 77, -12, 50, -15, -9, 20, -34, 59, 48, 284 },
{ -7, -13, 5, -13, -4, -6, 42, 22, -16, -24, 25, -22, 21, -34, 25, -19, 5, 24, -43, 21, 31, 14, -21, 31, -15, -14, -22, -11, 14, 117, 200, 150, 54, -34, 19, -15, -17, 14, 56, 56, 71, 264 },
{ -16, 6, 8, -11, -32, 40, -15, 23, -22, 11, -13, 6, 48, -28, -24, 22, -14, -13, 51, -37, 20, -15, 29, -9, 31, -19, 26, -35, -12, 52, 174, 242, 133, 56, -30, -18, -11, 14, 40, 23, -14, 283 },
{ -6, -12, 6, -15, -17, 42, -5, 26, -5, 13, -21, -9, 17, -13, 5, -13, -11, -33, 28, 25, 16, 12, -41, 26, -25, -15, -19, 31, -60, 125, 162, 148, 45, -13, 34, -22, -21, 22, 77, 44, 93, 285 },
{ -14, 5, 20, -13, -22, -1, 23, 16, -10, 10, -21, 12, 7, -7, -20, 6, -31, 34, 36, -36, 29, -12, -39, 24, -23, -16, 14, -40, -35, 113, 141, 176, 141, -10, 55, -16, -15, 11, 51, 28, 66, 281 },
{ 3, -20, 38, -25, 7, -6, 29, 12, -21, -26, 10, -16, 21, -15, 12, -24, -19, 45, -40, 46, 22, -38, -48, 33, 9, -18, 39, -29, -29, 71, 128, 236, 154, 27, 87, -27, -16, 27, -52, 38, 56, 281 },
{ -16, 9, 49, -24, -20, -11, 36, 6, -20, 9, 14, -11, 16, 16, -21, -34, -24, 28, -18, 61, 33, -59, -13, 51, 68, -17, 19, 25, -21, -30, 147, 240, 250, 23, 85, -39, -14, 25, -47, -41, 33, 275 },
{ 2, -16, 4, -20, -8, -3, 57, 14, -18, -41, 20, 1, -13, -3, 8, -14, -15, 53, -59, 32, 61, 18, -55, 28, -23, -41, -12, 5, -44, 227, -118, 229, 69, -40, 40, -25, -23, 116, 48, 42, 123, 261 },
{ -10, 3, 3, -16, -16, -4, 39, 14, -18, -11, 10, -18, 16, -7, 22, -26, -9, -24, 41, 30, -9, -15, -66, 19, -23, -45, 12, -29, -34, 96, 133, 142, 89, 60, 64, -16, -15, 70, 16, 36, 103, 316 },
{ 4, -21, 35, -19, 11, -11, 19, 4, -13, -22, 9, -2, 27, -7, 11, -24, -26, 20, 63, -57, 31, -16, -59, -34, 25, -25, 29, -22, -48, 82, 111, 152, 188, 83, 103, -20, -25, 40, -43, 35, 82, 295 },
{ 4, -20, 48, -24, 9, 19, -8, 15, -25, -32, 2, -11, 40, 8, 17, -61, 3, 25, -27, 72, 36, -35, -62, -31, 108, -26, 30, -23, 22, -61, 143, 144, 249, 132, 105, -17, -28, 39, -47, -43, 67, 295 },
{ -15, 7, 57, -32, 27, -2, 3, 46, -18, -25, 20, -13, 13, -17, 35, -107, -29, 42, -7, 36, 42, 29, -82, 65, 146, 13, 18, -42, 40, 70, -53, 191, 271, 161, 106, -20, -34, 44, -66, -53, 43, 237 },
{ 3, -20, -2, -29, -14, 55, 6, 30, -6, -42, 25, -24, 6, 11, -15, -33, -29, 52, -28, 49, 15, 39, -68, 77, -54, -63, -7, -19, 73, -82, 242, -87, 131, -9, 29, -21, -16, 144, 73, 71, 108, 333 },
{ -15, -15, 46, -17, 3, 10, -15, 18, -14, -18, 21, -16, 57, -29, -12, 10, -11, 21, -51, 25, 27, 19, 9, 24, -14, -18, 37, -24, 13, 85, 214, 233, 61, -38, 39, -19, -11, 17, -12, 55, 25, 246 },
{ -11, -13, 14, -15, -15, 42, -20, 22, -23, 8, -7, 12, 47, -55, 20, 25, -20, 12, -32, 25, -21, 32, 39, 41, -26, -6, 37, -16, -9, 44, 207, 281, 91, -52, 54, -16, -15, 16, -23, 32, 21, 222 },
{ -16, 6, 42, -11, -12, -2, -21, 23, -38, -21, 23, 7, 67, -39, -48, 41, 7, 15, -23, 27, -41, 33, 139, 78, -35, -7, -17, -10, 38, -19, 171, 368, 92, -65, 32, -17, -13, 13, 38, 20, -58, 198 },
{ -20, 33, 13, -10, -19, 6, -24, 26, -31, -21, 31, 5, 47, 29, -71, 12, 10, 15, -26, 55, -47, -40, 86, 59, 50, -14, -28, 24, 19, -28, 174, 299, 188, 19, -27, -30, -14, 18, 63, -54, -26, 243 },
{ -10, 42, 11, -18, -29, 23, -18, 23, -43, 14, -5, -13, 72, 53, -102, 33, -14, -6, -8, 72, -39, -59, 162, 124, 53, -7, 34, -13, 51, -36, 105, 345, 234, -15, -46, -35, -16, 13, 32, -31, -52, 195 },
{ -10, 6, 56, -29, -25, 25, -12, 37, -25, 8, -16, 29, 12, -4, 35, -64, -18, 30, -10, 44, 55, -67, -15, 112, 146, -9, 24, -7, 25, -35, 87, 264, 326, 51, -42, -39, -15, 15, 39, -55, -36, 213 },
{ -6, 44, 8, -13, -23, -9, -7, 91, -57, -5, 14, -25, 56, -65, -49, 185, 11, 28, -20, 13, 91, -117, 336, 45, -51, -16, -7, -25, 34, 124, 28, 465, 59, -97, 65, -12, 21, -7, 40, 40, -114, 99 },
{ -21, 40, 9, -7, 3, -20, -25, 47, -63, -20, 2, 27, 37, 89, -120, 74, 5, 38, -45, 50, -16, -152, 284, 182, 29, 14, -13, 19, 38, 110, 53, 395, 208, -103, -48, -26, -9, 12, 40, 42, -135, 128 },
{ -14, 13, -11, -9, 47, -28, 40, 47, -32, 8, -20, 42, -14, 45, -56, -42, -31, -13, 7, 51, 53, -65, 81, 158, 174, 36, 45, -49, 39, 59, -17, 294, 303, 33, -54, -46, -16, 12, 88, -67, -68, 180 },
{ -6, -17, 5, -12, -21, 25, 60, -9, -8, 9, 10, -30, 15, -29, 25, 3, -11, 20, -35, 16, 37, 9, -24, 29, -16, -27, 23, -29, 16, 89, 246, 165, 12, -37, 24, -27, 3, 52, -12, 71, 28, 286 },
{ 3, -26, 39, -22, 11, 20, -3, 27, -7, -17, 14, -27, 28, -26, 25, -11, -13, 27, -37, 24, 17, -38, 13, 44, -12, -15, 10, -32, -17, 59, 226, 228, 26, -45, 47, -15, -15, 63, -19, 38, 46, 294 },
{ 3, -21, 21, -22, 5, -7, 29, 32, -7, -14, 8, -29, 22, -10, -22, 4, 2, 32, -25, 22, 32, -47, 14, 47, -19, -14, -18, -25, -20, 95, 213, 158, 22, -39, 10, -16, -16, 11, 69, 31, 61, 310 },
{ -13, 5, 27, -16, -19, 29, -6, 30, -14, 8, -9, -17, 22, 25, -46, 14, -14, -4, 21, 36, -39, -42, 17, 42, -13, -14, 52, -35, 26, -40, 228, 252, 126, -41, 75, -20, -14, 14, -26, 43, -27, 309 },
{ 1, -17, 8, -23, -12, -2, 51, 13, -5, 9, -26, 13, 4, -25, 14, -16, -33, 18, 56, -37, 36, 19, -51, 52, -6, -22, 17, -57, 75, -83, 253, 137, -32, 27, -28, -17, -13, 16, 92, 15, 64, 387 },
{ -6, -9, 8, -13, -16, 36, -10, 21, -16, 13, -13, 6, 11, 33, -27, 9, -22, -11, 38, -47, 28, -34, -39, 30, -13, -16, 37, -34, 36, -45, 227, 159, 87, 10, 44, -21, -11, 21, -24, 60, 39, 371 },
{ -11, 5, 39, -18, 6, -31, 30, 11, -9, -15, 18, -7, 29, 11, -42, 9, -14, 18, -23, 37, 19, -73, 7, -25, 50, -25, 48, -27, 17, -35, 167, 232, 136, 22, 66, -33, -7, 26, -45, 41, 28, 312 },
{ -11, 7, 52, -28, -15, -7, 37, 7, -15, 10, -26, 24, 6, -13, 29, -40, -23, 34, -16, 48, 33, -65, -61, 46, 100, 7, -23, 37, 8, -27, 115, 269, 267, 69, -19, -26, -15, 16, 41, -63, -34, 302 },
{ 4, -30, 24, -27, 4, 25, -6, 36, -11, -22, 12, -13, 13, -13, -15, 3, -7, 41, -58, 26, 74, 23, -70, 46, -19, -23, -10, -22, -32, 193, -138, 267, -39, 10, 18, -24, -16, 25, 87, 61, 105, 306 },
{ -8, -13, 6, -12, 6, 16, -9, 42, -17, -18, 23, -10, 18, -19, 21, -16, -23, 40, -31, 48, -16, 23, -93, 39, -16, -18, -25, -39, 55, -50, 173, 131, 126, 13, 53, -15, -18, 16, 74, 38, 49, 369 },
{ 3, 3, -36, 19, 2, 24, -6, 28, -11, -21, 42, -14, 9, -8, 26, -19, -14, 18, -36, 58, 22, -44, -70, -21, 43, -28, 32, -31, 19, -42, 162, 156, 190, 50, 91, -25, -26, 31, -45, 55, 19, 385 },
{ -18, 49, 8, -10, -20, 31, -15, -11, 33, 9, -13, 37, -16, 29, -8, -50, -16, -12, 15, 42, 49, -44, -91, -25, 110, -18, 33, 34, -17, -31, 83, 167, 305, 96, 90, -20, -15, 29, -51, -59, 34, 334 },
{ -8, 10, 30, -12, -22, 42, -22, 35, -10, 39, -8, 9, 27, -25, 63, -109, -33, 50, -5, 48, 37, 46, -211, 125, 135, -14, 17, 23, -42, 46, 49, 117, 445, 130, 62, -21, -17, 60, -56, -49, -7, 271 },
{ 3, -33, 25, -26, 19, -5, 47, -6, 18, -38, -6, 4, 15, -21, 7, -37, -17, 40, -48, 45, 69, 16, -65, 59, -46, -65, 21, -33, -58, 195, -129, 234, -53, 39, 23, -32, 28, 79, 80, 76, 152, 294 },
{ -10, -20, 21, 5, 4, -6, 47, -15, -6, -16, 16, -13, 7, 4, 8, -4, 5, -32, 13, 30, 41, -41, -62, 43, -59, -43, -10, 20, -71, 53, 188, -72, 189, 23, 34, 57, -33, 20, 111, 29, 101, 383 },
{ 4, -19, 39, -19, 17, 11, -21, 15, -10, -20, 2, 33, 7, -21, 22, -25, -18, 10, -22, 42, 12, 35, -120, 26, -40, -26, 39, -39, -27, 116, -64, 156, 188, 92, 80, 78, -25, 29, 17, -26, 116, 325 },
{ 4, -31, 73, -19, 34, 12, -16, 21, -22, -32, 17, -17, 53, -19, 56, -70, 10, -24, 43, 24, 29, 44, -138, -29, 108, -33, 23, 30, -64, 33, 145, -88, 313, 162, 106, 58, -35, 51, -56, -56, 114, 300 },
{ 38, -20, 1, -63, 37, -15, 77, -9, 8, -86, 29, 5, 8, -23, 21, -38, -26, 56, -4, 15, 45, 42, -54, 35, -47, -100, 20, -33, -52, 155, -89, 195, -81, 44, 52, -44, 113, 38, 135, 101, 146, 290 },
{ -13, 16, 7, -19, -25, 27, -10, 54, -13, 12, -5, -16, 36, -36, -17, 34, -13, -12, 17, 16, -40, 14, 36, 15, -9, -12, 46, -11, -25, 32, 232, 292, 50, -46, 43, -11, -11, 9, -15, 61, -13, 261 },
{ -13, 24, 5, -17, -13, 24, -11, 64, -18, 7, -10, -9, 33, -35, -54, 30, -26, 32, -13, 46, -36, -34, 113, 84, -31, 35, 22, -20, 25, 9, 176, 406, 80, -82, 43, -9, -19, 9, -13, 37, -60, 202 },
{ 19, -19, 8, -21, 9, -7, -6, 58, -16, -22, 43, -10, 17, -15, -45, 19, -12, 8, -11, 35, 51, -99, 56, 77, 38, -13, 42, -24, 13, -22, 141, 352, 202, -58, 37, -34, -10, 20, -22, 51, -75, 263 },
{ -4, 30, 9, -19, -13, -8, -15, 74, -27, 8, -18, 38, 27, -48, -41, 137, -17, 32, -24, 20, 60, -120, 223, 42, -41, 50, -16, 6, 35, 58, 64, 532, 17, -95, 30, -13, -13, 10, -17, 98, -68, 143 },
{ -14, 7, 51, -21, -8, -12, -21, 23, -32, 6, -14, 54, 14, 58, -108, 30, -20, 48, -18, 26, 43, -132, 197, 165, -21, 6, -11, -10, 14, 45, 47, 436, 216, -105, 27, -23, -11, 36, 10, 44, -108, 185 },
{ 7, -14, 39, -28, -15, 86, 9, 51, -22, 3, -22, 8, -32, 27, 45, -87, -10, -28, 86, 10, 33, 37, -74, 112, 216, 28, -19, 8, 53, 65, 27, 200, 291, 144, 77, -76, 33, 26, -37, -119, 27, 205 },
{ 13, -23, 7, -15, 7, -11, 63, -6, -7, -19, 21, -11, 18, -18, -7, 9, 3, 20, 12, -51, 49, -40, 44, -6, -6, -22, -8, -16, -51, 125, 234, 165, -33, -24, 16, -24, 3, 36, 42, 21, 64, 278 },
{ 3, -25, 37, -18, 21, -4, 24, 24, -13, 5, -23, 15, -21, 21, -25, 7, -18, 25, 16, -52, 67, -67, 31, 29, -12, -13, 35, -15, -46, 87, 235, 236, -15, -43, 56, -14, -7, 8, -14, 27, 49, 255 },
{ 3, -23, 6, -17, -9, 10, 38, 29, -15, -12, 3, -10, 10, -11, -16, 10, 3, 23, 12, -54, 63, -57, 17, 32, -14, -20, -16, -15, -37, 110, 196, 159, -11, -35, -4, -9, -6, 9, 61, 20, 69, 308 },
{ 4, -27, 49, -25, 4, -2, 30, -1, 8, -14, 13, -9, 9, 12, -25, 9, 6, -5, 15, -42, 37, -73, 15, 31, -25, -32, 30, -23, -14, 55, 197, 223, 36, -40, 64, -23, 3, 54, -19, 54, -46, 349 },
{ -8, -13, 11, -7, -7, 44, -16, 10, -8, 4, -16, 3, 41, -14, -20, 7, 3, -17, 25, -42, 51, -67, 36, 51, -11, -25, 32, -21, 24, 17, 189, 281, 77, -50, 64, -22, 19, 9, -25, 50, -84, 337 },
{ 4, -23, 12, -22, 4, -7, 39, 23, -10, -17, -10, 4, 2, -7, 18, -12, 4, 33, 18, -48, 41, -62, 44, -22, 12, -23, -16, -43, 60, -65, 226, 114, -21, 24, -31, -22, -4, 10, 93, 47, -59, 455 },
{ 3, -18, 27, -20, -12, 19, 31, -2, -7, 12, -13, -4, 4, 6, -17, 11, -11, -8, 24, -21, 47, -78, 20, -28, -6, -31, 26, -29, 16, -47, 197, 183, 25, 20, 53, -18, -6, 19, -33, 55, 32, 366 },
{ 4, -26, 45, -20, -8, 4, 32, -9, 7, 7, -12, -20, 17, 26, -21, -7, -8, -10, 41, 38, -35, -75, 34, -29, 37, -20, 49, -29, 28, -31, 165, 240, 104, 43, 46, -20, -4, 17, -42, 44, -70, 401 },
{ 3, 2, -14, -4, -11, 26, 50, -26, 26, 6, -18, -9, 26, 10, -18, -28, -24, 49, -11, 20, 83, -82, -40, 34, 82, -14, 29, -12, 28, -32, 112, 289, 217, 81, -28, -18, -6, 11, 40, -59, -56, 340 },
{ 5, -28, 22, -33, -7, 47, -6, 27, 2, -18, 6, -12, 3, 10, -9, -20, 12, -30, 43, -36, 77, -56, 38, -27, 14, -19, -25, 16, -28, -69, 314, -98, 59, 39, -20, -21, -13, 14, 105, 24, 59, 453 },
{ 3, -18, 42, -22, -14, 3, 36, -11, 5, 12, -12, -11, 12, -11, 28, -18, -22, -7, 38, -33, 64, -32, -47, -23, 32, -17, 29, -29, 13, -40, 174, 116, 90, 24, 52, -22, -14, 22, -25, 87, 29, 416 },
{ 3, -19, 39, -20, 6, -11, 5, 44, -13, 7, -24, 47, -18, 7, 13, -17, -16, -12, 32, 23, 48, -42, -88, -10, 46, -16, 9, 33, -58, 38, 95, 180, 181, 26, 85, -25, -8, 28, -61, 51, 26, 380 },
{ -6, -6, 11, -18, 22, 2, -15, 66, -10, 9, -36, 61, -18, 8, 24, -55, -6, -16, 45, 18, 76, 6, -181, 48, 97, -16, 19, 20, 22, -52, 80, 164, 324, 113, 48, -29, -11, 26, -57, -52, 26, 334 },
{ 4, -35, 31, -34, 4, 42, -9, 51, -7, -26, 5, -15, 13, -13, 9, -19, -14, 39, -39, 49, 55, -52, 48, -41, -10, -32, -18, -18, -67, 185, -100, 201, -53, 31, 32, -32, -13, 40, 110, 70, 135, 328 },
{ -13, 21, 9, -19, -13, -4, 45, -11, 12, 4, -22, 31, 12, -14, 19, -16, -4, -9, 35, -24, 35, 12, -91, 40, -42, -25, -22, -26, 8, -28, 144, 95, 93, 28, 63, 11, -24, 77, 11, 70, 102, 418 },
{ 3, -8, -20, 4, 5, 3, 51, -13, -7, -17, -7, 57, -28, 16, 14, -11, -12, 25, 2, 33, 24, 9, -71, -88, 40, -26, 29, -39, -16, 31, 59, 122, 177, 86, 86, 51, -25, 55, -39, 40, 89, 384 },
{ -10, 14, -15, 8, 17, -17, 7, 46, -23, 10, -19, 53, -25, 34, 39, -48, -24, -14, 56, 10, 37, 18, -136, -41, 85, -6, 23, -24, 27, 49, -4, 112, 277, 150, 200, -25, -18, 52, -64, -70, 97, 297 },
{ 5, -21, -6, -30, 38, -12, 87, -4, 4, -23, -30, 9, 15, -11, 10, -33, 18, -28, 45, 22, 36, 20, -36, 29, -36, -81, -54, 75, -28, -43, 121, 106, -31, 27, 25, -36, 90, 43, 168, 53, 183, 333 },
{ -14, 30, 8, -11, -16, 8, -13, 65, -14, 4, -12, 47, 12, -13, -15, 19, 23, -54, 66, 19, -12, 19, 44, -46, -72, -32, -45, 32, -63, 63, 70, 54, 44, 37, 56, 110, -20, 74, 91, 66, 160, 378 },
{ -6, 8, 37, -25, -4, -5, 35, -8, 24, -6, 40, -28, 13, 37, 13, -21, 9, -34, 9, 77, -30, 62, -90, 47, -108, 12, -52, -28, 28, 67, 35, 36, 111, 96, 84, 186, -34, -18, 128, -11, 175, 341 },
{ -7, -14, 8, -15, 39, 3, -8, 40, -8, -15, -13, -5, 67, -23, -20, 7, 4, 11, -25, 24, -68, 34, 48, 24, -9, -22, -5, -22, 25, -15, 256, 288, 36, -43, 49, -31, 4, 29, 38, 29, -56, 280 },
{ -17, 6, 48, -17, -15, -6, -8, 63, -19, 5, 41, -24, 44, -39, -29, 64, 31, -29, -7, 53, -44, -33, 72, 41, -15, -17, 40, -10, 41, 17, 156, 423, 56, -63, 57, -18, -7, 8, -11, 36, -77, 209 },
{ -12, 27, 9, -19, 19, -15, -11, 52, -8, -19, 24, 25, 13, 14, -50, -12, 8, -15, 10, -16, 66, -98, 42, 82, 32, -10, -18, 51, -17, 17, 125, 367, 161, -62, 46, -23, -4, 19, -13, 53, -97, 293 },
{ -21, 3, 7, 21, 67, -12, -19, 23, -29, -18, 5, -27, 49, 43, -121, 48, 9, -17, 46, 10, 25, -136, 213, 149, -50, -6, -11, -13, 15, 61, 71, 506, 95, -90, 63, -34, -4, 13, 41, 28, -72, 169 },
{ -14, 28, 8, -7, -17, 57, -22, 19, -24, 4, -13, -19, 26, 65, -103, 16, -13, 39, -12, 61, 29, -130, 128, 218, -19, 7, 25, -35, 33, 59, 43, 416, 227, -60, -54, 34, -15, -11, 23, 29, -128, 187 },
{ -8, 9, 14, -3, -27, 55, -24, 54, -23, -14, 11, -16, 28, 38, -31, -66, 30, -29, 57, 28, 81, -117, 47, 93, 181, 12, -11, -22, 24, 27, 45, 338, 321, -43, -49, -38, -4, 18, 41, 41, -129, 262 },
{ 32, -22, 11, -10, -6, 30, -27, 29, -50, 44, 6, -37, 67, 65, -86, 159, -15, -14, 61, 55, -44, -140, 344, 47, -66, 13, 9, 62, -67, 123, 125, 547, -60, -104, 43, 30, -3, -21, -39, 44, 113, 107 },
{ -6, -19, 23, -20, 29, 5, -26, 46, -45, 14, -21, 62, -32, 73, -128, 89, -8, 5, -42, 67, 86, -182, 311, 132, -61, 50, 9, -32, 67, 73, 71, 520, 113, -114, 73, -15, -19, -5, 12, 50, -110, 175 },
{ -10, 10, 13, -8, -8, 49, -41, 11, -29, -13, 18, -19, 83, 76, -161, 53, 8, -18, -23, 56, 46, -199, 229, 216, -23, 52, -23, 29, -36, 119, 96, 417, 296, -144, 69, -30, 4, -19, 24, 78, -121, 131 },
{ -7, 8, -24, 47, -15, 47, -10, 38, -13, -11, 11, 50, -51, 53, -60, -58, 8, -41, 87, 25, 108, -73, 34, 190, 157, 52, -29, -17, 30, 42, 75, 332, 358, -58, -66, -40, 23, 11, 32, 96, -177, 188 },
{ -9, 8, 19, -22, -7, 7, -39, 57, -36, 64, -4, 79, 44, 102, -122, 259, 5, -35, -44, 100, -39, -240, 402, 65, -90, 11, 8, 124, -105, 69, 213, 487, -91, -87, 82, -29, -13, 20, -54, 151, 114, 209 },
{ -24, 4, 20, -3, 109, -15, -48, 43, -13, 17, 14, 59, -34, 105, -170, 125, -15, -60, -57, 125, 30, -234, 328, 200, -123, 17, 16, 52, -43, 78, 146, 490, -19, -140, 49, 44, -12, -27, -31, 95, 149, 154 },
{ -14, 35, 24, -8, -11, -25, -17, 106, -24, 7, -15, 13, -59, 81, -152, 54, 12, -18, 80, 70, 98, -155, 189, 286, -68, 41, -31, -34, 41, -71, 141, 416, 150, -161, 106, -13, -6, 13, -17, 36, 100, 137 },
{ 2, -23, 8, -8, 25, -9, 69, -4, -10, 8, -23, 10, -7, -3, 29, -16, -10, 14, 43, -61, 78, -73, 23, 16, 4, -22, -6, -18, -18, 80, 227, 151, -31, -17, -10, -22, 17, 7, 63, 42, -53, 300 },
{ 2, -20, 34, -17, 5, -9, 52, -10, 7, -22, 32, -24, 28, -24, -5, 16, 5, 27, -9, 25, -99, 79, -28, 24, -13, -13, -11, -12, -19, 27, 284, 163, 53, -30, 33, -14, 5, -7, 49, 36, -67, 302 },
{ 25, -23, 8, -21, 14, -7, 51, -10, 6, 3, -16, 10, -4, 5, -8, -11, 7, -5, 41, -68, 45, -72, 32, 19, 6, -30, -14, -23, 9, 78, 159, 139, 26, -29, -18, -12, 3, 7, 62, 54, -77, 336 },
{ 2, -16, 7, -17, 39, -5, -5, 35, -9, -13, -15, 23, 31, -13, 30, -5, 8, 19, 10, -56, 42, -98, 28, 34, -10, -21, -13, -19, 17, 29, 189, 218, 28, -35, 43, -27, 16, 4, 32, 47, -96, 354 },
{ -3, -12, 10, -12, 19, -5, -11, 13, 6, -12, -8, 46, 9, 6, -13, -10, 8, -9, 12, -47, 67, -116, 46, 40, -5, -21, 12, -19, 34, 18, 182, 300, 46, -27, 54, -16, 2, 37, -14, 87, -87, 326 },
{ 3, -16, 2, -20, 14, -6, 58, -6, 4, -19, 6, -16, 14, -25, 5, -16, 6, 24, -24, -21, 70, -45, -26, 29, -15, -28, -17, -26, 42, -47, 196, 77, 35, -30, 20, -12, 1, 9, 52, 90, -61, 403 },
{ -2, -22, 11, -15, 15, 31, -17, 41, -2, -7, -17, 11, 9, 9, -20, 6, 11, -7, 38, -30, 67, -91, 34, -18, -7, -20, -23, 15, -46, 57, 130, 190, 22, 19, 19, -16, -5, 13, 66, -43, 81, 315 },
{ -8, -3, 10, -21, 15, -6, 29, -15, 10, -10, -9, 5, -8, 12, 27, -14, 7, -6, 36, -22, 71, -82, -54, 49, 17, -19, 10, -36, 44, 12, 135, 233, 102, 76, -34, 5, -14, 62, -19, 38, -95, 388 },
{ -9, 8, 13, -15, -4, -15, 49, -15, 8, -19, 57, -16, 30, 20, -17, -22, 10, -18, 20, -16, 89, -101, -37, 69, 71, -9, -14, 21, 13, 34, 74, 316, 175, 100, -28, -19, -8, 13, 66, -50, -78, 303 },
{ 6, -20, -3, -20, 5, -5, 77, -8, 4, -20, 15, -22, 9, -25, 7, -18, 10, 14, -37, 32, 38, -66, 26, -22, 7, -21, -29, -26, 49, -60, 185, 113, -36, 35, -12, -14, -11, 12, 87, 22, 80, 384 },
{ 2, -24, 5, -14, -9, 58, -12, 40, -10, 7, -33, 34, 5, -15, 20, -17, 11, -2, 19, -31, 37, -31, -77, 65, -14, -29, 19, -33, 24, -55, 173, 102, 93, -20, 70, -8, -8, 15, -32, 104, 28, 397 },
{ 2, -16, 9, -12, 30, 20, -10, 7, -18, -16, 28, -21, 38, 14, -10, 4, 6, -19, 52, -8, 80, -51, -72, -32, 48, -35, 25, -26, 50, -25, 121, 151, 178, 59, 54, -15, -14, 84, -40, 45, -61, 420 },
{ -6, -7, 7, -19, 9, 31, -15, 67, -11, -24, 30, -12, 19, -26, 27, -34, 37, -27, 59, 13, 94, -24, -157, 21, 120, -14, -13, 26, -39, 95, 48, 183, 298, 120, 53, -43, 14, 9, 32, -104, 36, 328 },
{ 5, -15, -4, -18, -5, 29, 74, -9, 2, -22, 3, -20, 7, 11, -29, 6, 12, 25, -29, 43, -26, 75, -36, -23, 4, -28, -23, -31, 37, -82, 237, -45, 50, 47, -22, -18, -13, 29, 106, 89, 81, 421 },
{ -6, -5, 8, -21, 7, -12, 66, -9, 12, -27, 51, -12, 8, 18, -34, 13, 7, 35, -30, 20, 80, -38, -68, 18, -33, -50, 37, -62, 44, -44, 135, 88, 92, 13, 53, 37, -15, 77, -13, 84, 96, 424 },
{ -4, -7, 10, -18, -7, 49, -12, 32, -6, 6, -25, 56, -12, 21, -20, 11, 42, -36, 45, 2, 43, 35, -119, 38, -47, -12, 20, -55, 75, -3, 76, 77, 188, 48, 148, 12, -21, 86, -70, 44, 44, 408 },
{ -6, 38, 9, -16, -10, 5, -7, 22, -14, 8, 34, -13, 53, -44, 53, -41, -5, -41, 60, 25, 64, 19, -128, -57, 98, -8, 40, -8, 34, 74, 12, 116, 271, 135, 211, -41, -13, 25, -60, -68, 75, 398 },
{ -8, 16, -10, 10, 6, 6, -15, -12, 44, -12, 66, -9, 55, -50, 78, -101, -15, -33, 72, 29, 100, 89, -235, 28, 90, 5, 26, -17, -47, 128, 40, 98, 398, 208, 135, -45, -22, 31, -102, 113, -30, 358 },
{ 47, -36, 28, -36, 12, -12, 108, -13, 29, -26, -14, 26, -30, 7, 13, -33, 19, -20, 50, 18, 70, -14, -32, 32, -24, -63, -29, -57, 64, -48, 137, 70, 27, -34, 50, -31, 94, 42, 129, 105, 153, 386 },
{ 24, 4, -14, 2, -2, 70, -7, -7, 6, 5, -14, -8, 54, -33, 19, -20, 6, -24, 24, 49, 43, 24, 67, -194, 43, -27, 59, -11, -47, 54, 44, 42, 205, 197, 182, 122, -41, 38, -78, 125, 107, 340 },
{ -7, 11, 10, -8, -3, -16, 21, -23, 13, 7, 13, -20, 12, 11, 56, -55, 7, -74, -8, 15, -68, -50, -88, 80, 121, -19, 14, 92, -38, 63, -21, 308, 235, 117, -68, -20, -7, 23, 34, -71, 56, 264 },
{ -4, -6, 11, -23, -14, 39, -15, 27, 4, 6, 14, -15, 26, 37, -35, 11, 4, -17, -13, 71, -74, -47, 48, 27, -10, -30, 40, -11, 35, -9, 254, 277, 44, -29, 41, -18, 3, 39, -8, 33, -84, 284 },
{ 3, -22, 21, -5, 5, 45, -12, 14, -15, -11, -12, -8, 59, 50, -49, 17, 28, 25, -18, 56, -62, -67, 70, 68, -25, -20, 31, -23, 30, 27, 168, 436, 56, -54, 22, -6, 3, 5, -17, 96, -85, 208 },
{ -11, -5, 11, -14, 37, -5, -9, 31, -6, 8, -33, 34, 31, 8, -38, -9, -21, 36, 7, -13, 90, -122, 48, 72, 59, -21, 50, -10, 19, -15, 131, 358, 137, -80, 72, -33, 33, 6, -14, 42, -123, 313 },
{ -20, 22, 7, 5, -9, 5, -16, -12, -13, 4, 56, -29, 80, 88, -69, 148, 4, -36, 52, 17, -65, -96, 185, -25, -31, -18, 64, -18, 40, 100, 99, 521, 61, -66, 25, -7, -12, 11, -14, 79, -75, 123 },
{ 3, -10, 30, -16, 7, 7, -10, 47, -7, -30, 46, -19, 20, 20, -91, 26, 25, 49, -34, 23, 62, -150, 123, 172, -25, 6, -19, -10, 68, 47, 81, 492, 121, -92, 68, -23, -16, 35, 25, 32, -102, 201 },
{ -6, 2, 3, 27, 7, -25, 41, -13, -14, -9, 45, -19, 10, 31, 51, -68, -21, 59, -15, 33, 59, -98, -41, 95, 161, 34, -10, -12, 25, 73, 60, 347, 285, 62, -67, -24, -16, 19, 72, -31, -121, 233 },
{ -10, 34, 12, -7, -12, 44, -13, 106, -11, 4, -18, 68, -52, 45, -133, 126, 33, 11, -36, 35, 101, -168, 209, 107, -58, -4, 6, -47, 28, 84, 102, 551, 55, -100, 105, -31, -9, 6, 43, 51, -61, 176 },
{ 16, -11, 12, -4, 6, 38, -14, -40, 57, -18, -13, 5, 65, 52, -131, 46, 26, 30, -22, 39, 70, -122, 129, 204, 77, 16, -24, -35, 28, 146, -58, 486, 265, -111, -60, -17, -10, 39, 20, 42, -100, 183 },
{ -7, 3, -16, 53, 47, -29, 70, 21, -6, 12, -21, -15, 13, -35, 26, -108, -18, -19, 32, 110, 47, 72, -122, 107, 274, 35, -16, 30, -16, 80, 54, 245, 278, 131, 110, -92, 17, 31, -18, -131, 71, 173 },
{ -7, 29, 107, -21, 9, 9, -36, -29, 64, -24, 37, 87, -41, 96, -145, 31, -18, 13, -19, 86, 56, -133, 155, 262, 92, 9, -27, 34, -51, 168, 89, 319, 222, 95, -124, 104, -10, -15, 88, 38, -124, 148 },
{ -7, -6, 14, -5, 6, 38, -31, 48, -3, -8, 9, -17, 60, -15, 16, -14, 17, 11, -14, 53, -106, 40, -27, 18, -4, -9, 50, -21, 55, -29, 166, 67, 43, -16, 53, -5, -6, 17, -33, 66, -116, 171 },
{ 29, -21, 7, -20, 6, -12, 62, -14, 4, -16, 16, -13, 41, 4, 23, -21, 7, 16, 58, -32, -46, -57, 55, 27, 5, -25, -11, -8, -34, 67, 209, 133, -38, -9, -7, -22, 4, 35, 53, 45, -57, 245 },
{ 2, -14, 5, -8, 27, -11, 45, -6, -8, -15, 10, -22, 24, 39, -4, 5, 6, 28, -20, 68, -55, -64, 57, -17, 11, -19, -8, -17, 56, -4, 201, 171, 42, -15, 47, -24, 2, 43, -6, 57, -118, 321 },
{ 3, -17, 4, -20, -4, -5, 49, -5, 16, -10, 8, -10, 41, -7, 9, -15, 8, -3, 47, -49, 80, -75, 59, -9, 9, -26, -15, 18, -30, 80, 127, 148, -30, 14, -9, -16, 2, 10, 60, 69, -55, 269 },
{ -2, -13, 9, -9, 3, 33, -16, 12, -9, -23, 27, -7, 13, 11, -11, 12, 9, -9, 17, -42, 96, -122, 38, -29, 27, -9, -8, 33, -14, 48, 139, 283, 66, 26, 18, -15, -6, 19, -23, 43, -121, 329 },
{ 15, -25, 7, -18, 14, -5, 67, -13, 5, -16, 5, -12, 10, -5, 7, -16, 8, -5, 48, -53, 37, -56, -15, 33, 5, -28, -6, -25, 26, 41, 133, 97, 47, -18, -12, -14, 5, 15, 58, 55, -85, 357 },
{ -8, 8, -13, 7, -6, -7, 40, -22, 7, -11, 5, -7, 8, 23, -25, 20, -9, 8, 31, -34, 88, -102, 55, -24, 11, -21, 26, -23, 50, -21, 151, 170, 18, 52, -13, -8, -3, 16, -20, 58, -103, 395 },
{ -3, -5, 12, -8, 2, 14, -14, 29, -17, -15, 36, -17, 8, 19, -10, 8, 6, -7, 9, -22, 106, -121, 43, -30, 25, -26, 51, -19, 56, -17, 109, 253, 62, 40, 41, -14, -3, 17, -25, 99, -111, 402 },
{ 10, -12, 9, -13, 8, -8, 46, -17, 10, 21, -35, 98, -22, 14, 15, -26, 7, -22, 65, -7, 97, -97, -83, 31, 69, -14, -5, 20, -30, 95, 96, 286, 149, 131, -31, -12, 11, -18, 41, -54, -75, 333 },
{ 29, -29, 8, -22, 2, 58, -14, 53, -8, -13, -20, 4, 10, -20, 13, -16, 9, -4, 19, -32, 106, -38, -29, 35, 2, -17, -14, -21, 27, -60, 187, 57, -19, 38, -22, -23, 3, 7, 94, -26, 109, 385 },
{ 4, -24, 61, -21, 4, 13, -12, 60, -19, -7, -24, 39, 11, -10, 10, 5, 9, -8, 18, -31, 108, -59, -26, -30, 8, -35, 37, -40, 36, -48, 124, 130, 33, 35, 38, -24, 6, 43, -13, 110, -61, 447 },
{ -10, -6, 7, -8, 6, -9, 59, -8, -13, 6, -25, 51, -19, 14, 16, -12, 24, -20, 57, -6, 80, -59, -89, 68, -14, -28, 39, 10, -44, 72, 88, 176, 118, 89, 72, -12, 6, -11, 65, -79, 93, 387 },
{ -8, -3, 11, -14, 47, -30, 56, -22, 15, 7, 47, -17, 19, -26, 33, -38, -31, 96, -51, 129, 15, -37, -131, 41, 99, -12, 20, 31, -36, 163, 36, 217, 208, 81, 80, -41, 4, 22, -22, -104, 65, 310 },
{ -7, -3, 10, -26, 8, 32, 43, -21, 13, 13, -19, -14, 16, -37, 52, -78, -38, 98, -26, 142, 56, -50, -142, 38, 253, -10, 40, 10, -36, 167, 104, 224, 306, 79, 81, -68, -14, 31, 43, -99, -76, 329 },
{ 4, -31, 38, -24, 2, 23, 78, -11, 5, -25, -8, 5, -9, 16, -32, 8, 17, -14, 32, -47, 104, 18, -48, -11, 5, -24, -14, -35, 61, -60, 214, -41, 43, 77, -33, -13, -10, 16, 110, 27, 121, 447 },
{ -5, -5, -13, 10, -9, 42, 67, -18, -13, -16, -3, -18, 44, 23, -26, 17, 9, 13, -28, 44, 94, -43, -45, -28, -12, -38, 65, -49, -27, 37, 99, 107, 49, 26, 98, -7, -8, 82, -27, 93, 87, 428 },
{ -11, -6, 11, -8, -16, 53, -9, 28, -10, 4, 38, -24, 81, -45, 28, 11, 6, -25, 63, -19, 74, 51, -90, -72, 43, -21, 68, -19, -31, 86, 62, 93, 155, 64, 173, -20, -13, 27, -80, 124, 44, 402 },
{ -8, 53, -18, 9, -9, 8, 6, -19, -10, 12, -17, 57, 10, -37, 43, -18, 61, -43, 122, -31, 114, 26, -141, -67, 105, -33, 39, 22, -28, 165, 44, 104, 233, 134, 203, -41, 5, 39, -47, -81, 91, 416 },
{ -16, 13, 8, 6, 41, -21, 4, -10, -12, 19, -14, 36, 2, -47, 74, -68, -16, -10, 159, -18, 143, 42, -155, -44, 94, -30, 27, -19, 24, 131, 79, 155, 309, 315, 68, -61, 5, 63, -69, -53, 116, 256 },
{ 5, -9, -17, -23, 13, -17, 148, -7, 23, -18, -34, -11, 11, -20, 19, -27, 33, -35, 21, 111, -19, 79, -27, -15, -10, -51, -43, -36, -34, 73, 94, 80, -17, -14, 65, -41, 91, 36, 156, 81, 180, 397 },
{ 2, -6, 60, -24, 10, -6, -4, 40, -12, -13, 32, -14, 10, 73, -42, 36, 29, -51, 59, 25, 52, -43, 88, -52, -51, 26, -60, -26, -57, 109, 51, 94, 23, 43, 31, 121, -31, 81, 77, 74, 167, 403 },
{ -6, 22, -8, 7, 33, 5, -4, -6, -11, 4, -16, 20, 8, 76, -46, 33, 35, -45, 18, 110, -32, 57, -91, 81, -108, 23, -28, -34, -43, 46, 105, 33, 167, 29, 95, 207, -21, -50, 102, 79, 150, 376 },
{ -10, 2, 5, 4, -13, 34, -11, -6, 4, 14, -15, 41, 6, -11, 25, -46, 45, -43, 75, 7, 28, -36, -120, 67, 218, -14, -9, 14, 134, -39, 155, 290, 234, 135, -55, -24, -12, 32, 16, -117, 116, 235 },
{ -3, -5, 12, -20, -12, 30, -18, 76, -12, -12, 13, -21, 52, -31, 41, 6, 7, -5, -14, 55, -120, 83, -35, 13, -10, -8, -8, -15, 66, 14, 256, 143, 80, -33, 44, -15, 5, -9, 66, 36, -108, 266 },
{ -3, -18, 12, -8, 6, 53, -27, 15, -5, -13, -10, -13, 53, -43, 36, 8, 7, 36, -22, 39, -125, 83, -40, 34, -9, -11, -19, -8, 61, -17, 248, 222, 38, -24, 56, -25, 5, 24, 36, 35, -107, 272 },
{ -2, -6, 11, -11, 7, -10, 22, -12, 7, -26, 44, -7, 26, 66, -42, 15, 4, 47, -24, 81, -89, -66, 65, -31, 51, 7, -14, -4, 10, 61, 161, 400, 84, -36, 39, -23, -7, 24, 5, 99, -99, 206 },
{ -7, -5, 7, -8, 8, -10, 41, -20, 7, -6, -5, 35, 10, 25, -22, -9, 8, -20, 11, -25, 91, -122, 68, 59, 58, -9, 24, -13, 25, 55, 80, 388, 91, -38, -11, -10, 6, -7, 7, 98, -120, 289 },
{ -14, 3, 6, -4, -17, 42, -10, -10, 10, -10, 15, -16, 13, 16, -13, -25, 8, -11, -16, 32, 88, -115, -36, 83, 103, -12, 21, 24, -25, 102, 76, 347, 133, 125, -42, -14, 3, 6, 65, -41, -87, 271 },
{ -7, 7, 49, -14, -8, -10, -19, 25, -15, 5, 57, 48, 36, 75, -71, 157, -5, -15, -48, 16, -47, -102, 145, -45, 25, -10, 30, 64, 29, 148, 110, 488, 78, -73, 19, -18, -3, 18, -24, 45, -101, 146 },
{ -17, 7, 79, -7, 30, -29, -15, 13, -8, -17, 10, 83, 15, 37, -72, 104, 11, 21, -35, -12, 72, -130, 112, 107, -27, 8, -14, -18, 73, 78, 115, 517, 47, -84, 89, -19, -8, 7, -8, 60, -105, 205 },
{ -3, -15, 9, -6, 8, 72, -21, 12, -7, -9, -18, -9, 35, 57, -41, -14, -23, 91, -25, 73, -39, -96, 80, 110, -24, 4, 73, -43, 18, 141, 69, 422, 165, -87, 62, -24, -13, 58, -18, 58, -132, 208 },
{ -12, 5, 41, -16, 37, -7, 44, -17, 8, -31, 7, -15, 23, 20, -17, -51, 10, -15, 69, -39, 102, -69, -70, 86, 148, 20, -27, 21, 67, 102, 92, 374, 207, 98, -55, -25, -13, 15, 36, -48, -112, 256 },
{ 76, -30, 7, 48, -6, 28, -26, 12, -30, 12, 7, -52, 41, 80, -107, 87, -12, -15, 79, 94, -44, -116, 218, 113, -66, 35, 29, -22, -63, 126, 228, 567, -68, -108, 45, 81, -16, -12, -38, 59, 160, 70 },
{ 3, -27, 62, -8, -6, 11, -18, 53, -14, 42, -10, 62, -40, 76, -108, 56, -11, 10, -19, 32, 91, -150, 111, 246, 77, 14, -17, -42, 21, 120, 87, 471, 217, -117, -33, -9, -21, 33, 89, 50, -95, 180 },
{ -3, -11, 14, -10, 17, -14, -18, 56, -30, -39, 80, 30, -18, 28, 95, -93, 5, -8, -25, 146, 54, -127, 49, 168, 156, 35, -12, 18, -35, 115, 140, 340, 317, -58, -86, 74, 39, -49, 20, 137, -140, 230 },
{ -8, 12, 42, -8, -2, -12, 54, 30, -9, 7, -14, -2, 25, -33, 35, -93, 5, -17, -11, 112, 26, 65, -129, 98, 275, -13, -6, 16, -24, 109, 61, 290, 246, 154, -64, -51, -8, 39, 66, -109, 113, 191 },
{ -11, -14, 25, 45, 9, -24, -42, -32, -10, 85, -14, 102, 67, 19, -102, 228, -5, 23, -31, 170, 158, -215, 304, 60, -67, -7, 40, -29, -88, -15, 207, 511, -86, -118, 49, 117, 5, -28, -62, 89, 161, 206 },
{ -29, -12, 34, -17, 96, 25, -20, 90, -12, 12, -23, -19, -54, 80, -157, 74, 12, 15, 111, 56, 123, -171, 247, 174, -87, 5, -40, -53, 54, -27, 185, 497, 49, -117, 83, 6, -16, 11, -27, 65, 120, 155 },
{ -5, 6, 44, -25, -20, 30, -14, 139, -36, 8, -39, -24, -70, 72, -120, 89, 12, 15, -24, 81, 189, -118, 111, 267, -67, 4, -25, 16, 45, -102, 241, 392, 181, -151, 174, -18, -15, 52, -33, 29, 125, 115 },
{ -15, 8, 101, -13, -7, 11, -15, -10, 14, 10, -16, 13, 37, 20, -16, -75, 2, -21, -21, 86, 31, -19, -70, 90, 288, 53, -26, 42, -4, 143, 38, 266, 307, 113, -106, 42, -8, -25, 26, -119, 157, 220 },
{ -221, -211, 19, -41, -218, 76, 70, -57, 26, -24, 336, -59, 36, 67, -158, -31, 24, 35, -59, 48, -29, -35, -116, 138, 241, 7, -32, -20, 62, -37, 104, 270, 263, 83, -96, 8, -8, -115, 86, -51, -39, 298 },
{ 3, -18, 6, -10, 9, -16, 54, -10, 22, -13, 9, -12, 42, -15, 15, -8, 5, 18, -25, 64, -104, 74, -37, 12, 8, -16, -15, -21, 92, 15, 217, 55, 95, -20, -12, -9, -4, 9, 72, 48, -116, 251 },
{ -5, -8, 16, -8, 10, -11, -14, -8, 5, -17, -9, 7, 32, 83, 36, -21, 3, 15, -15, 71, -99, -40, -19, 58, 8, -12, 22, -25, 35, -14, 230, 130, 106, -34, 53, -12, 1, 14, -24, 68, -139, 272 },
{ 17, -13, 7, -25, 10, -17, 62, -11, 11, -7, -14, 14, 15, 6, 10, -15, 13, -16, 94, -56, 94, -76, 76, -9, 7, -15, -12, 26, -24, 58, 117, 118, -31, 56, -13, -17, 3, 8, 39, 47, -86, 257 },
{ -3, -25, 15, -11, 39, 34, -23, 30, 2, -17, 5, -13, 45, -18, 20, -10, 7, 6, -13, 79, -103, 90, -60, 39, 8, -12, -10, -16, 64, -9, 189, 117, 38, 38, -18, -16, 3, 7, 42, 44, -119, 309 },
{ -4, -11, 12, -13, 4, 35, -14, -11, 7, -9, -6, 23, 18, 11, 39, -5, 6, -8, 27, -51, 93, -123, 76, -28, 13, 2, -13, 6, -18, 72, 127, 246, 72, 67, -9, -6, -7, 11, -13, 55, -130, 303 },
{ -4, -16, 11, -16, 7, -15, 65, -14, 17, -8, 10, -18, 16, -7, 20, -10, 10, -13, 67, -49, 106, -56, -20, 16, 8, -24, -16, 42, -31, 61, 89, 98, 59, -15, -14, -12, 3, 47, 45, 115, -68, 298 },
{ -2, -8, 12, -11, -7, 50, -17, 16, -8, -9, 38, -25, 21, 3, 17, -9, 10, -10, 16, -43, 121, -101, 55, -30, 17, -14, -10, -18, 79, -8, 119, 158, 63, 49, -15, -11, 4, 7, 39, 50, -123, 370 },
{ -10, 6, -13, 10, -16, 75, -10, -15, -11, -10, 59, -19, 12, 32, -10, 9, 7, -14, 21, -31, 129, -135, 58, -34, 35, -12, -5, 51, -28, 88, 92, 241, 43, 75, 52, -17, -6, 16, -21, 118, -118, 375 },
{ -4, -12, 10, -5, 44, 23, -10, -11, -3, -6, -9, 46, -7, 23, 18, -18, 16, -23, 16, -12, 122, -128, -54, 78, 94, -10, -10, 34, -43, 105, 43, 377, 77, 82, -17, -13, -10, 16, 69, -76, 102, 202 },
{ 29, -28, 10, -19, 3, 65, -20, 71, -17, -10, -14, -12, 26, -20, 6, 4, 11, -11, 19, -40, 104, -55, 28, -17, 9, -20, -20, 47, -57, 49, 93, 100, -40, 31, -15, -26, 6, 47, 92, -35, 181, 324 },
{ -2, -8, 10, -13, -4, 10, -25, 99, -31, 7, -23, -14, 27, -15, 13, 10, -14, 14, 62, -18, 86, -60, -34, -27, 6, -11, 6, -28, -19, 51, 69, 156, 29, 74, 50, -16, -4, 17, -25, 174, -70, 412 },
{ -9, -4, -6, 12, 10, -22, 98, -15, -13, 100, -24, -16, 20, -31, 42, -15, 43, -18, 91, 13, 106, -78, -99, -19, 102, -23, -17, 35, -52, 210, 64, 221, 154, 113, -19, -25, 6, 6, 66, -112, 98, 326 },
{ -10, -5, 8, 12, 7, -20, -8, -17, 20, -5, 110, -39, 78, -47, 57, -35, 9, -15, 101, 13, 114, -36, -108, -42, 95, -12, -38, 42, -30, 124, 138, 258, 190, 189, -37, -31, 5, 17, 100, -131, 126, 292 },
{ 3, -13, 6, -19, 7, -3, 81, -12, 2, -14, -24, 29, -15, 29, -28, 5, 9, 19, -36, 27, 151, -71, 46, -25, 4, -25, -20, -43, 79, -52, 121, 85, -35, 88, -18, -17, -5, 14, 102, 59, 146, 418 },
{ -4, -30, 61, 8, 6, 45, -6, -20, -12, -18, -8, -9, 77, 25, -32, 25, 14, -12, 22, -22, 132, -46, -35, -30, -15, -34, 77, -34, -47, 48, 88, 104, 35, 87, 38, -12, -16, 97, -34, 125, 69, 427 },
{ 22, -13, 16, -30, -6, 19, -17, 54, -13, 15, -20, -12, 47, 21, -33, 34, 45, -40, 19, 54, 78, -27, -76, -43, -23, 45, -43, 98, -58, 109, 69, 78, 152, 80, 142, -17, -14, 10, 97, -98, 100, 427 },
{ -9, -7, 15, -18, 107, -27, -51, 15, -11, 9, 45, -20, 96, -61, 51, -11, 49, -25, 104, 24, 76, 74, -147, -51, 65, -53, 36, 46, -59, 186, 84, 65, 253, 130, 145, -28, -29, 40, -39, -73, 138, 391 },
{ 5, -15, -7, -5, 15, -5, 124, -5, -8, -12, -24, -31, 14, 12, -21, 10, 37, -30, 16, 94, 5, 53, -44, 28, -30, -48, -49, -14, -75, 82, 113, 107, -16, -17, 64, -34, 89, 29, 149, 73, 199, 423 },
{ 9, -8, -5, 11, 16, -21, 84, -9, -16, -14, -14, 89, -15, 12, -17, 45, 27, -33, 29, -9, 160, -64, 66, -55, -44, -15, -22, -43, -70, 110, 107, 57, 63, 22, 36, 130, -23, 137, -25, 109, 143, 440 },
{ 1, -11, 12, 6, 5, 64, -6, 21, -12, -19, -13, 76, 10, -13, -30, 44, -11, 23, 86, -52, 125, 31, -45, -54, -68, 15, -18, -31, -64, 41, 137, 46, 125, 71, 64, 229, -38, 98, -58, 131, 188, 387 },
{ -10, 12, -6, 52, 78, -28, -10, 13, -14, -72, 101, -10, 14, -24, 46, -41, 10, -39, 73, -26, 146, 32, -35, -169, 71, -19, 54, -33, 57, -53, 55, 91, 161, 163, 244, 90, -23, 83, -100, 89, 130, 398 },
{ -6, 1, 19, 3, -9, 7, -16, -28, 15, 4, 25, -15, 20, 41, -16, -33, -13, 28, 108, 7, -19, -124, 61, 154, -27, 4, -5, -16, 66, 86, 185, 420, 137, -59, 15, -9, -9, 28, -24, 42, -129, 259 },
{ -6, -5, 12, -6, -5, 36, -13, -12, 12, -7, 8, -17, 38, 65, -15, 33, 9, -6, -18, 87, -85, -68, 75, -18, 8, -8, -6, -7, 37, -33, 227, 205, 94, -29, 72, -9, -2, 10, -19, 53, -140, 277 },
{ -5, -4, 14, -7, 16, 2, -17, -9, 10, -10, 9, -14, 36, 30, -33, 47, 6, -7, -15, 79, -90, -73, 123, -18, 54, -11, 27, -9, 81, 91, 167, 349, 131, -39, 15, -15, -4, 15, -17, 40, -124, 204 },
{ -4, -19, 10, -6, 42, 32, -15, -2, 8, -19, 39, -17, 21, 24, -9, -15, 6, -12, 20, -34, 120, -142, 34, 58, 48, -10, 43, 21, -15, 101, 97, 352, 67, -43, 38, -12, 3, 6, -24, 46, -116, 275 },
{ -3, -9, 17, -10, -5, 13, -28, 17, -10, 9, -5, -11, 27, 91, -63, 31, 44, -12, 47, 15, -90, -73, 122, -34, -15, -16, 49, -28, 47, 171, 145, 462, 134, -72, 42, -12, -5, 17, -35, 52, -105, 141 },
{ 1, -8, 7, -16, 2, 59, -13, -7, 10, -10, 9, -15, 40, 90, -45, 40, 23, 9, -23, 12, -65, -97, 63, 150, -15, -13, 36, -18, 20, 200, 100, 428, 82, -82, 23, -14, -2, 11, -21, 56, -129, 199 },
{ -4, -4, 18, -21, 35, -9, -22, -11, 11, -3, 30, 41, 23, 18, -48, -15, -12, 12, -22, 92, -25, -99, 51, 159, 71, 2, -8, -31, 24, 138, 126, 470, 103, -56, -12, -12, -11, 10, 55, 87, -116, 239 },
{ 2, -32, 30, -24, 38, 2, 56, -18, 20, 8, -6, -15, 32, 23, -19, -41, -23, 17, -20, 18, 78, -79, -60, 86, 162, -5, 83, -31, 21, 75, 106, 374, 158, 120, -58, -12, -9, 22, -17, 133, -158, 300 },
{ -26, 60, -18, 4, -2, 21, -37, 34, -16, 20, -12, 96, 5, 21, -102, 187, 6, 44, -13, -41, 38, -104, 212, -47, -33, -7, -20, -17, 42, 134, 225, 553, -69, 122, 19, -9, -4, 12, -14, 88, -94, 129 },
{ -7, -27, 10, 41, 40, 40, -25, 15, -21, 4, 11, -16, 34, 93, -80, 13, 57, -11, 26, -32, -20, -91, 127, 91, -48, -23, 8, -19, 15, 223, 203, 520, 66, -90, 38, 39, -6, 6, -35, 50, -81, 157 },
{ -24, -6, 16, 42, 13, 5, -19, -9, 17, -10, -17, 86, -20, 42, -92, -28, 50, 11, -22, 69, 50, -113, 80, 185, -41, 8, -50, -13, 38, 186, 200, 461, 142, -109, 152, -46, -7, 125, 44, 36, -137, 180 },
{ -25, 2, 13, -20, 10, -5, 81, -19, 16, 13, -26, 57, -62, 20, 127, -85, -19, -14, 105, 12, 35, -94, -38, 172, 185, 65, 23, -15, 75, 138, 203, 337, 245, 119, -114, 91, 41, -59, 48, 102, -154, 237 },
{ -30, 36, 18, 120, 60, -25, -33, -49, 11, 14, 17, 60, 88, 43, -122, 214, -10, -24, -43, 64, 181, -146, 250, 99, -49, -21, 36, 21, -59, -79, 271, 523, -48, -85, 51, 100, 4, -23, -53, 37, 282, 142 },
{ -41, -24, 29, 14, 45, 24, -36, -37, 36, 10, -62, 61, -46, 85, -124, 189, 87, -19, -39, 90, 209, -119, 92, 286, -87, 10, -22, 149, -63, -57, 174, 440, 153, -122, 65, 8, 7, -18, -40, 103, 197, 138 },
{ -33, -6, 50, -42, 24, 178, -48, -23, 14, -28, 149, -8, -28, 65, -66, -60, -43, 28, -50, 44, 111, -40, 36, 274, 98, 17, -25, -21, -42, 148, 288, 296, 249, -65, -124, 173, -24, -18, 58, 46, -113, 228 },
{ -17, 38, -20, -36, -37, 132, 37, -35, -26, -229, 59, -109, 71, 9, 48, 6, 121, -410, -82, 100, -76, 107, -133, 138, -33, 26, -43, 14, 65, -130, 89, 196, 239, 161, -47, 17, 50, -37, 31, -26, -104, 298 },
{ -2, -8, 14, -8, 3, 20, -28, 15, 2, -11, 11, -20, 66, -22, 19, -12, 4, 11, -15, 92, -111, 98, -31, 15, 2, -10, 22, -26, 42, -15, 203, 20, 45, -25, 37, -10, -2, 17, -30, 76, -133, 232 },
{ -5, -8, 14, -4, 5, 16, -24, -7, 30, -10, -6, -6, 45, 72, 10, -8, -4, 14, -9, 98, -97, -37, -22, 45, 8, -8, 6, -23, 43, -25, 198, 99, 116, -21, 42, -11, -4, 18, -34, 77, -151, 246 },
{ -4, -18, 15, -8, -6, 48, -27, 33, -2, -10, 15, -16, 52, -19, 16, -7, 8, 5, -18, 88, -93, 101, -37, 14, 15, -8, -15, -16, 40, -15, 172, 29, 111, -6, -13, -16, 15, 7, 41, 65, -106, 245 },
{ -5, -4, 14, -12, -4, 33, -26, 37, -11, -18, 8, -12, 41, 40, 12, 7, 6, 5, -11, 100, -73, -42, -27, -9, 39, -7, -11, -4, 101, -32, 166, 101, 47, -10, 25, -7, -2, 8, -5, 60, -121, 271 },
{ -2, -10, 13, -9, 3, 4, -28, 25, -9, -10, 40, -11, 35, 14, 87, 6, -5, 8, -18, 36, -63, -73, -24, -13, 69, -10, 4, -7, 105, -40, 152, 177, 63, -10, 41, -10, -2, 13, -17, 60, -128, 290 },
{ -1, -7, 11, -16, 5, -12, 57, -18, 3, -4, -17, 17, -12, 33, -16, 6, 9, 7, 26, -41, 127, -70, 78, -13, 5, -13, -12, -16, 57, 21, 110, 53, 98, -16, -8, -11, 4, 5, 49, 76, -108, 304 },
{ -5, -9, 10, 6, 3, 26, -18, -13, -6, -10, 3, -15, 33, 12, 13, 5, 11, -6, 4, 92, -62, -40, -41, 53, -7, -11, -6, -9, 97, -42, 146, 98, 45, 51, -5, -7, -6, 16, -14, 73, -138, 367 },
{ -8, 3, -2, 11, -4, 4, -12, -19, -7, 3, -5, -9, 14, 44, -6, 12, 3, -16, 31, -34, 119, -136, 82, -38, 6, -21, 22, 43, -28, 100, 77, 211, 54, 80, 64, -14, 23, 11, -25, 64, -138, 346 },
{ -8, -17, 43, 11, -8, 6, -8, -17, -9, 6, 43, -18, 21, 20, 25, -14, -10, -14, 29, -15, 136, -130, -43, -20, 104, -15, 13, 33, -40, 159, 47, 294, 115, 136, -30, 5, 6, -10, -10, 51, -130, 349 },
{ -3, -10, 14, -8, -3, 14, -25, 8, -12, -12, 6, -17, 25, -14, 17, -9, 12, -15, 13, -31, 146, -42, -19, -6, 10, -20, -14, -21, 82, -32, 127, 35, 92, -17, 29, -23, 46, 18, -19, 103, -106, 413 },
{ -3, -10, 8, 6, -9, 17, -14, -14, -10, 5, -12, -14, 15, 30, -20, 18, 7, -6, 24, -32, 129, -74, -22, -16, -7, -16, 6, -15, -32, 94, 70, 120, 100, 89, 75, -14, -5, 18, -25, 220, -92, 421 },
{ -6, -34, 63, 10, 57, 12, -16, -12, -14, 8, -14, -15, 9, 22, 20, 12, 3, -12, 38, -14, 110, -91, -43, -32, 26, -24, -14, 31, -78, 133, 57, 198, 57, 59, 87, -23, 29, 10, 81, -77, 156, 352 },
{ -12, -11, -9, 15, 72, -23, 83, -23, -12, 5, 63, -23, 25, -37, 50, -10, 6, -23, 116, 20, 124, -96, -70, -45, 159, -18, -25, 44, -70, 242, 50, 240, 109, 139, -25, -15, 10, -15, 109, -96, 72, 320 },
{ 29, -19, 9, -13, 3, 19, -20, 69, -12, -2, -21, -17, 21, -21, 12, 6, 20, -12, 14, -20, 165, -36, -18, -14, 8, -16, -26, 10, -66, 52, 108, 66, -41, 92, -17, -14, -8, 16, 130, -22, 257, 404 },
{ -5, -17, 7, 10, 4, 64, -3, -11, -16, 4, -15, -7, 44, 33, -40, 30, 8, -19, 28, -18, 149, -65, -21, -26, -11, -14, -16, 88, -60, -32, 115, 96, 48, 55, 77, -14, -12, 8, 129, -74, 152, 404 },
{ -16, -13, 63, 11, -6, 24, -26, 12, -27, 9, 73, -36, 34, -20, 33, 23, 16, -19, 26, -18, 136, -39, -75, -37, -21, -28, 7, 44, -58, 146, 53, 100, 112, 90, 65, -25, -9, 9, 102, -89, 163, 453 },
{ -28, 47, -13, 11, -9, 9, -1, -17, -9, 17, 124, -30, 16, -47, 61, -12, -17, 175, -19, 28, 169, -27, -117, -59, 102, -73, 51, -17, -55, 299, 55, 115, 213, 258, 106, -44, 8, 24, -51, -46, 99, 394 },
{ -32, 37, -12, 23, 15, -22, 12, -27, -37, 33, -21, -8, 89, -49, 76, -42, 14, -22, 189, 20, 31, -68, -87, -79, 109, -72, 26, -29, 65, 82, 149, 199, 248, 384, 89, -65, 6, 29, -69, -78, 203, 280 },
{ 4, -13, -4, 24, 13, 14, -11, 47, -9, -16, -13, -10, 46, 16, -15, 15, 43, -29, 12, 35, 126, -21, -20, -14, -17, -32, -48, -27, -106, 95, 173, 118, -24, -28, -23, 38, -13, 178, 30, 195, 156, 359 },
{ -3, -15, 17, -8, 16, 11, -16, 62, -18, -22, 35, -17, 87, 18, -23, 47, 15, 34, -24, 21, 114, -20, -49, -13, -43, -9, -25, -58, -58, 38, 174, 80, 39, 25, 17, 164, -21, 139, -24, 85, 165, 442 },
{ -3, -7, -4, 11, 8, 68, -12, 12, -19, 6, -21, 8, 65, 7, -28, 56, 17, -19, 30, -16, 119, 23, -63, -36, -69, 7, 16, -51, -45, 57, 78, 70, 137, 83, 42, 256, -32, 35, -51, 88, 159, 450 },
{ -5, 30, 15, -9, -32, 90, -20, 24, 28, 8, -7, 74, 16, -24, -9, 27, 46, -20, -16, 31, 59, 112, -69, -66, -37, -33, 57, -23, -4, -34, 48, 33, 268, 135, 229, 136, -14, 49, -91, 50, 42, 412 },
{ -6, -30, 15, 36, -19, 27, -20, 21, -21, 36, -59, 62, -10, -27, 44, -17, -12, -37, 154, 14, 18, 36, -149, 91, -36, -16, 30, -28, 58, -44, -19, 107, 209, 336, 204, -50, 19, 11, -78, -53, 196, 320 },
{ -2, -9, 43, -4, -4, 13, -8, 9, -6, -12, 11, -18, -7, -13, 9, 30, -4, 7, -19, 29, 20, 20, -12, 39, 32, -6, 10, -16, 31, -47, -22, -31, 19, -12, 32, -4, -9, 120, -10, 58, -12, 114 },
{ -9, -3, 16, -5, 5, -8, -27, -4, 5, -9, -4, 59, 50, 40, -17, 5, 6, -5, 9, -21, -92, -77, 53, -16, 50, -5, -2, -7, 68, 93, 172, 230, -58, 117, -6, -5, -8, 15, -26, 50, -123, 201 },
{ -4, -10, 19, -7, -7, 7, -29, -11, 7, -7, 9, -15, 57, 83, 11, -11, 5, 2, -8, 75, -98, -54, -35, 79, 7, 3, -16, 74, -11, 126, 149, 195, 57, -33, 51, -6, -5, 12, -25, 63, -153, 239 },
{ -6, -6, 12, -5, 6, -5, -21, -7, 8, -9, -4, 33, 37, 102, -23, 76, 3, 4, -10, 36, -89, -90, 71, -25, 9, -6, 16, -8, 89, 137, 144, 358, -70, 54, -14, -3, -6, 12, -21, 44, -123, 187 },
{ -4, -10, 14, -4, 26, 6, -36, 11, -9, -6, 10, -13, 53, 73, -7, 53, 4, 4, -13, 51, -82, -99, 137, -26, 109, -7, -3, -6, 65, 143, 144, 305, 76, -45, 10, -8, -2, 14, -24, 57, -154, 226 },
{ -6, -5, 10, 3, -10, 37, -19, -8, -8, -4, 9, -11, 34, 19, 89, -8, 2, 4, -11, 70, -54, -100, -38, 108, 69, -4, -7, 6, -11, 172, 104, 313, 82, -23, -6, -9, 3, 5, -6, 55, -128, 255 },
{ 28, -11, 8, -20, 5, 48, -11, -12, 8, -10, 7, -15, 15, 18, 11, -18, -16, 8, 72, -26, 187, -122, -50, 101, 92, 44, -7, -23, 132, -50, 91, 306, 152, -36, 76, -22, -13, 10, -20, 63, -131, 326 },
{ -11, -6, 10, -6, -8, 7, -22, 11, -13, 6, 54, -9, 30, 119, -34, 94, -3, -8, -16, 11, -92, -80, 92, -19, -7, -8, 17, -10, 42, 238, 155, 418, 134, -65, 28, -8, -1, 11, -42, 70, -116, 145 },
{ -8, -6, 9, -21, 4, -13, 85, -22, 17, -5, 8, -7, 15, 34, -33, -25, 6, 62, -25, 67, -24, -127, 64, 136, 67, -12, -12, 11, 8, 208, 59, 409, 112, -57, 50, -16, 7, -11, 14, 109, -125, 254 },
{ 5, -11, 41, -19, 4, 7, -7, -14, 9, -21, 51, -21, 23, 17, 67, -28, 5, 79, -20, 22, -24, -84, -65, 152, 142, -7, -14, 14, 87, 159, 153, 387, 157, 56, -46, -10, 7, -11, 43, -52, -95, 254 },
{ 3, -21, 11, 5, 11, -6, 2, -35, 16, 2, -13, 92, -15, 35, -24, -35, 14, -19, 94, 12, 93, -24, -120, 51, 243, -15, -21, 32, -33, 97, 124, 294, 186, 134, -47, -25, -12, 42, 46, -112, 131, 232 },
{ -23, -23, 8, -7, 111, 7, -28, 24, -10, -4, -25, -10, 26, -34, -48, 125, 74, 11, 109, -38, 158, -65, 146, -21, -18, -16, -12, -19, -10, 68, 250, 493, 130, -75, 41, -17, -8, 28, -36, 69, -86, 131 },
{ -31, 66, 3, 6, -15, 4, -8, -21, 25, 60, 5, 12, -25, 47, -73, -32, -9, 5, -30, 57, 101, -106, 72, 184, -30, -25, -8, 82, 24, 192, 209, 457, 134, -111, 179, -27, 7, 62, -30, 32, -123, 218 },
{ -41, 26, 10, -11, -3, -22, 85, -35, 37, 44, 40, 53, -22, 33, -31, -76, 10, -10, 44, 47, -50, 182, -73, 160, 73, -14, -19, -28, 132, 185, 198, 346, 223, 178, -116, 100, 46, -32, 80, -35, -113, 214 },
{ -13, 12, 111, 3, -59, -14, 18, -41, 28, -6, 31, -19, -11, 40, -13, -66, 14, -16, 11, 49, 84, -41, -63, 76, 265, -20, -13, 32, -12, 28, 110, 322, 250, 77, 156, -55, -19, 56, -11, -114, 66, 204 },
{ 5, -7, -49, 51, -11, 20, -18, -45, 86, 6, 17, -36, 51, 6, -89, 193, 111, -62, 51, 199, 140, -130, 237, 223, -39, -9, -30, 88, -142, -25, 336, 447, -55, -84, 74, -34, -30, 33, -52, 50, 278, 98 },
{ 3, -51, 39, -11, 168, -12, 38, -19, 7, 20, -17, 6, -68, 51, -137, 140, -18, -29, 55, 26, 188, -118, 219, 160, -66, -30, 22, -40, -25, 61, 259, 436, 125, -97, 25, 52, 6, -9, -24, 76, -64, 155 },
{ -68, -28, 48, 4, 138, 10, -36, 93, 21, -15, -53, 115, -46, 66, -147, 214, 17, 15, -28, 30, -60, 191, 23, 297, -90, 54, 11, -41, 50, 148, 284, 292, 271, -122, 267, 14, -3, -21, -10, 65, -206, 174 },
{ -20, 15, -53, -97, 46, 276, 13, 26, 26, -57, -12, -104, 92, -157, -37, -112, 31, 236, -55, 276, 122, -38, 85, 204, 146, -166, 20, -242, -50, 73, 241, 183, 216, 205, -125, 95, -30, 21, -105, 68, 101, 180 },
{ -6, -3, 16, -7, 23, -4, -31, 73, -3, -11, 12, -11, 55, -18, 16, -8, 4, 8, -12, 133, -96, 35, -28, 11, 40, -7, 12, -21, 55, -31, 158, 55, 46, -23, 21, -11, -6, 20, -39, 80, -135, 207 },
{ -8, 5, 7, 6, 2, -7, -23, -17, 24, -9, 5, -9, 49, 30, 9, -8, -4, 15, -16, 49, -92, -25, -29, 21, -6, -6, 8, -18, 61, -37, 163, 61, 186, -28, 72, -6, -5, 15, -37, 79, -144, 216 },
{ -5, -4, 13, -7, 22, -2, -25, 37, -1, -9, 9, -10, 50, -23, 19, -11, 5, 10, -14, 30, -85, 42, -24, 9, 2, -14, 34, -23, 53, -37, 156, -8, 58, -21, 42, -12, 31, 16, -31, 75, -138, 245 },
{ -7, -6, 10, 4, -5, 9, -26, -6, -8, 2, 34, -18, 44, 72, 13, 6, 7, -7, -8, 39, -64, -40, -19, -13, 77, -13, 29, -12, 52, -39, 130, 67, 66, -13, 60, -15, 30, 14, -28, 61, -149, 257 },
{ -6, -4, 8, 5, -6, 10, -26, -13, -10, -8, 9, -19, 42, 81, 32, -10, -7, 12, -11, 140, -52, -60, -36, 79, 3, -10, 70, -14, 61, -49, 121, 127, 75, -23, 34, -12, -9, 23, -37, 66, -154, 277 },
{ 19, -10, 12, -7, 1, 7, -25, 15, -3, -13, 4, -17, 42, -17, 16, -4, 4, 10, -9, 42, -65, 101, -34, 11, 4, -10, -6, -16, 67, -30, 121, 15, 112, -8, -13, -10, 29, 7, 51, 143, -66, 302 },
{ -2, -9, 7, 5, 4, 4, -19, -10, -9, 2, -13, 39, 11, 33, -10, 12, 5, -10, 24, -25, 111, -90, 107, -21, 38, -11, 10, -15, 32, -52, 111, 75, 52, -9, 75, -12, 28, 9, -17, 84, -121, 314 },
{ -2, -6, -5, 11, 2, 51, -8, -22, -15, -7, 6, -15, 16, 34, 21, 22, 6, -10, 9, -12, 154, -114, -26, -19, 93, 22, -13, 6, 43, -60, 100, 153, 80, 109, -20, 57, -11, 12, -19, 77, -148, 368 },
{ -8, -11, 61, 12, 5, 9, -16, -21, -33, -14, 66, -11, 18, 23, 33, -8, 8, -15, 26, -19, 192, -113, -53, -24, 51, 3, -26, 24, -48, 209, 41, 254, 109, 160, -28, 6, -9, 10, -21, 65, -144, 356 },
{ -5, -9, 10, -8, 2, 8, -21, 17, -11, -4, -22, -14, 26, -17, 7, 9, 8, 3, 22, -25, 160, -44, 15, -17, 7, -14, -12, 13, -55, 88, 59, 64, -53, 49, -11, -12, 52, 5, 118, -38, 292, 244 },
{ 23, -10, 9, -7, -3, 16, -22, 29, -10, 8, -17, -9, 12, 30, -19, 17, -13, -7, 39, -19, 155, -79, 96, -26, 55, -13, 10, 26, -51, -33, 65, 130, -48, 79, -20, 43, 6, -13, 119, -49, 254, 302 },
{ -10, -4, -3, 17, 6, -5, 86, -33, -7, 7, -16, 23, -14, 60, -17, 23, -4, -11, 37, -22, 65, -106, -21, -25, -10, -13, 15, 9, -69, 128, 53, 162, 70, 44, 153, -17, -6, 23, -42, 79, -111, 433 },
{ -22, -6, 25, 12, -9, 11, -12, -10, -13, 9, 83, -32, 38, -26, 60, -14, -4, -19, 23, 10, 121, -89, -64, -32, 98, 7, -24, 42, -67, 205, 95, 270, 104, 151, -37, 47, 6, -17, 27, -104, 66, 301 },
{ -78, -20, 18, -78, 17, 11, 118, -19, 7, -6, 20, -47, 25, -34, 32, -21, -6, 2, 16, 16, 36, -49, -81, -38, 207, -19, 24, -43, 125, -46, 244, 299, 194, 174, -39, -22, -12, 26, 51, -104, 92, 258 },
{ 33, -14, 2, -5, 9, -5, 110, -6, -4, -12, -12, -5, 14, -17, 21, -17, 17, -8, 32, -23, 58, -32, -9, -10, 17, -25, 32, -10, -64, 68, 70, 61, -55, 123, -10, -16, 52, 13, -29, 144, 242, 342 },
{ -4, -18, 37, 7, 9, 1, 61, -14, -12, -3, -17, 68, -16, 37, -31, 24, 12, 4, 23, -10, 183, -57, -22, -13, -11, -12, -10, 95, -62, -44, 101, 65, 85, 117, 55, -20, 10, -16, 140, -57, 128, 388 },
{ -3, -21, -9, 22, 96, 10, 54, -24, -12, 11, -16, -12, 30, 40, -26, 38, 2, -17, 43, -23, 57, -56, -35, -42, -15, 5, -29, 49, -96, 174, 29, 123, 63, 106, 176, -28, -9, 12, 107, -92, 106, 429 },
{ -14, -16, -3, 14, -13, 76, 12, -25, -7, 18, -17, 68, -14, 43, -53, 30, 20, -50, 60, -37, 178, -33, -73, -83, 94, -27, 39, 30, -91, 109, 65, 103, 179, 361, 122, -50, 14, 9, -35, -61, 117, 382 },
{ -71, -30, -5, 13, -12, 11, 8, -27, 12, 27, 32, -32, 34, -108, 51, -35, -15, -22, -6, 24, 19, 25, -72, -107, 108, 9, 28, -135, 28, -52, 180, 200, 180, 244, 173, -33, 10, -32, 70, -131, 209, 337 },
{ -9, 13, 37, -17, -4, -27, 39, -36, 22, 6, 22, -14, -16, 34, -102, -48, 18, -37, 28, -39, 66, -25, -98, 93, 291, 15, -34, 54, -31, -28, 30, 290, 259, 133, -62, -22, -13, 17, 50, -99, 90, 247 },
{ 4, -10, 37, -30, 13, 20, -22, 35, -17, -19, -27, -27, 18, 64, 16, -17, 39, -36, 23, 80, 77, -34, -9, -31, 12, -23, -34, -20, -94, 28, 146, 152, -26, -26, 22, -18, -11, 162, 24, 185, 153, 383 },
{ 38, -24, 21, -12, 19, 19, -23, 77, -14, -17, -38, 9, 44, 13, -24, 43, 11, 33, 30, -15, 114, -17, -17, -38, -23, 14, -27, -59, -74, 91, 87, 111, 62, 92, -7, 63, -12, -22, 156, 67, 150, 455 },
{ -24, -11, 28, 10, 14, 13, -15, 72, -23, -23, 42, -18, 38, 8, -19, 54, 4, 5, -10, 35, 17, -30, -19, -40, -57, 16, -27, 21, -40, -57, 63, 98, 76, 43, 77, 223, -29, 64, -39, 47, 131, 497 },
{ -10, 64, -9, 14, 52, -13, 3, -29, 7, -17, 22, 91, 26, 17, -22, 36, 40, -33, -15, 84, 15, 28, -78, -62, -40, -39, 54, -38, 64, -25, -32, 118, 184, 143, 125, 149, -23, 52, -104, 65, 107, 389 },
{ -6, -2, 14, -6, -4, 33, -34, 44, 2, -6, 8, -17, 65, -19, 18, -14, 4, 4, -16, 54, -106, 116, -26, 73, 6, -7, 1, -11, 58, -40, 161, 66, 39, -16, 42, -9, -4, 18, -35, 63, -120, 188 },
{ -10, -4, 13, 3, 4, 36, -29, -5, -6, 4, -14, -11, 50, 119, 37, 23, 28, -7, 10, 43, -87, -62, 51, -21, 7, -3, 19, -11, 129, -44, 162, 162, -49, 50, -12, -4, -8, 15, -31, 60, -112, 191 },
{ -6, 34, -5, 8, -7, 12, -23, -8, -8, -7, 11, -25, 50, 84, 20, -3, 3, 60, -14, 28, -85, -48, -38, 93, 5, -5, 4, -17, 70, -55, 161, 128, 59, -21, 71, -9, -8, 17, -39, 74, -152, 236 },
{ -9, -6, 9, 7, 4, 16, -26, -17, -7, -6, 5, -19, 46, 21, 29, -11, -6, 11, -13, 54, -61, -66, -44, 85, 5, 4, 18, -14, 70, -51, 147, 154, 89, -26, 79, -6, -9, 14, -33, 63, -159, 279 },
{ -7, -3, 16, -5, -7, 45, -27, -17, 6, 5, 2, -8, 43, 35, -26, 72, -7, 4, -11, 193, -76, -100, 97, -27, 7, -7, 13, -26, 41, -60, 168, 278, -67, 71, -17, 6, -3, 11, -36, 65, -139, 229 },
{ -3, -15, 10, 7, 38, 13, -30, -24, 4, -5, 6, -31, 64, 144, 41, -10, 10, -8, 16, 69, -56, -115, 58, -19, 118, -11, 10, -22, 219, -44, 160, 243, 221, -44, 15, -12, -1, 10, -28, 71, -146, 236 },
{ -6, -8, 4, 10, 5, 5, -19, -15, -12, -5, 13, -13, 31, 38, 80, 6, -6, 10, -11, 20, -62, -97, -53, 83, 69, -4, -6, 29, -14, 262, 76, 285, 108, -38, 27, -17, 38, 8, -16, 45, -158, 251 },
{ -6, -10, 18, 14, 7, -7, 5, -31, -22, -4, 6, -11, 14, 37, 30, -14, 33, -10, 18, -21, 175, -136, -65, 38, 63, 6, -11, 15, -30, 227, 49, 306, 102, 124, -36, 12, 2, -25, 14, 194, -149, 308 },
{ -7, 68, -17, 11, -4, 8, -11, -32, 16, -6, 9, -12, 20, 55, -25, -24, 4, 8, -22, 16, -45, -152, 81, 191, -11, -22, 79, -16, 108, 320, 81, 365, 127, -56, 24, -24, -15, 73, -14, 50, -159, 268 },
{ -6, -8, 6, 4, 32, -13, 24, -34, 15, 60, 11, -21, 18, 35, 68, -29, -10, 24, -15, 30, -30, -94, -65, 168, 153, 11, -14, -19, 71, 171, 205, 378, 144, 102, -55, 13, -13, -16, 24, 43, -134, 290 },
{ -9, -14, 21, -13, 63, -16, -28, 24, -11, -4, 12, -9, 36, 95, -48, 180, 66, -18, -18, 26, -79, -69, 123, -38, 18, -32, 49, 27, -42, 140, 95, 467, 189, -60, 29, -14, -5, 26, -44, 74, -89, 116 },
{ 5, -10, -10, -5, 76, -32, 16, -23, 20, 3, 14, -16, -30, 67, -42, -21, -19, 5, -5, 25, 232, -91, 116, 100, -22, 1, 26, -24, 31, -42, 252, 466, 181, -77, 29, -18, 2, 14, -29, 53, -95, 232 },
{ 1, -19, 7, -8, 25, -8, 15, -23, 23, 6, -25, 128, -25, 40, -42, -28, -7, 27, -25, 10, 105, -127, 181, 173, -30, 10, -18, 60, 15, 202, 195, 456, 138, -66, 121, -10, -74, 10, -13, 35, -124, 253 },
{ -159, 18, 209, -37, 18, -42, 77, -38, 40, 8, 39, 11, -31, 58, -38, -47, -10, -8, 125, 24, -23, -111, 103, 108, 136, 12, -25, 95, -14, 191, 113, 379, 222, 209, -98, 16, -11, -18, 70, -42, -88, 207 },
{ -47, 28, 13, -10, 73, -33, 46, 10, 143, 19, -16, -10, -73, 72, -94, 291, -32, -57, 78, 29, -57, -93, 192, 107, -40, -14, 23, 67, -52, 104, 467, 484, -82, -99, 95, -21, -32, 36, -86, 55, 197, 120 },
{ 7, -11, -15, -7, 4, 12, 19, -28, 20, 25, -11, -15, 32, 37, -109, 198, 4, -3, -22, 47, -43, -51, 107, 137, -42, -12, 31, 15, -25, 309, 127, 432, 68, -65, 33, -24, 9, -7, -16, 38, -66, 150 },
{ -63, 27, 126, -87, 17, -48, 35, -29, 43, -66, 90, 70, -28, 98, -181, 281, 27, -18, -44, 68, -59, 164, -68, 340, -74, -47, 10, -20, 60, -155, 197, 401, 131, -127, 105, 11, -13, 40, -22, -21, 211, 193 },
{ -6, 15, 44, -48, -24, -9, 9, -41, 44, 18, -18, 99, 28, 42, -71, -74, 12, -23, -87, 18, -37, -31, 84, 253, 173, -15, 132, -16, 18, 105, 128, 352, 273, 225, -116, 23, 13, -41, 72, -27, -70, 117 },
{ -6, -2, 9, -3, 6, -6, -16, -6, 36, -4, -8, 9, 24, 50, -6, 5, 2, 4, 115, -10, -31, -15, 32, -11, 13, -6, 46, -10, -9, 67, 114, 57, -15, 16, -6, -3, -5, 11, -21, 33, -44, 148 },
{ -6, -2, 39, 2, 36, -5, -6, -12, 21, 2, -11, 9, 45, 11, 5, -6, 3, -2, 14, -27, 145, -37, 30, -6, 6, -9, 24, -23, 39, -12, 53, 40, 83, -14, 58, -11, -5, 16, -28, 47, -68, 179 },
{ -4, -8, 13, -3, 6, 78, -20, -8, -2, -6, -5, -14, 29, 22, 8, -4, 3, 34, 8, 34, -41, -22, -15, 4, 38, -4, 27, -22, 65, -50, 94, 62, 54, -17, 83, -11, -7, 17, -33, 63, -103, 153 },
{ -5, -7, 10, -7, 4, 44, -18, 5, 3, -7, 5, -18, 30, -15, 90, -6, 5, 6, -5, 43, -45, 43, -13, 6, 4, -12, 14, -23, 68, -43, 84, -25, 64, -18, 70, -14, 54, 12, -29, 60, -111, 191 },
{ -5, -9, 13, -7, 3, 68, -20, 51, -5, -5, 29, -17, 27, -10, 17, -6, 23, 7, -9, 27, -57, 45, -34, 12, -5, -5, 47, -18, 68, -58, 85, 47, 62, -12, 25, -8, -9, 19, -37, 67, -129, 210 },
{ -6, -4, 6, 7, -4, 112, -19, -20, -9, -8, 12, -21, 31, 15, 25, -7, 42, 3, -15, 31, -47, -42, -38, 39, -6, -6, 73, -12, 86, -62, 87, 90, 92, -27, 47, -6, -9, 18, -41, 75, -145, 222 },
{ -4, -7, 10, -6, 3, 30, -18, 28, -2, -3, 10, -14, 21, -9, 11, -5, 11, -12, 24, -25, 188, -36, 12, -10, 9, -14, -6, 49, -15, -19, 48, 55, -17, 78, -9, -10, 54, 89, -6, 162, -41, 264 },
{ -6, -10, 9, 6, 2, 4, -13, -11, -7, -3, -4, -8, 52, 31, -10, 10, 5, -8, 20, -13, 53, -62, 96, -20, 17, -12, 8, -18, 55, -63, 71, 36, 53, -6, 58, -9, 3, 83, -22, 99, -105, 263 },
{ -7, -8, 33, 11, -4, 13, -18, -18, -16, -7, 10, -30, 27, 20, 28, -9, 4, 20, -16, 42, -38, -50, -40, 84, 52, 38, -19, 7, 72, -85, 85, 102, 97, -24, 56, -14, -11, 16, -29, 56, -155, 326 },
{ -9, -8, 89, 13, -5, 19, -22, -12, -18, -8, 13, -37, 24, 29, 31, 9, -3, 36, -25, 54, -42, -66, -65, -26, 38, 10, -17, 17, 43, -88, 99, 169, 131, 184, -37, 23, 3, -22, 10, 73, -140, 352 },
{ -9, -6, 126, -3, 6, 5, -13, 5, -3, -5, -10, -15, 23, -13, 5, -15, 11, -9, 30, -15, 153, -32, 17, -7, 11, -15, -13, 24, -50, -21, 54, 74, -37, 38, -12, -14, 46, 5, 37, -38, 260, 282 },
{ -8, -10, 7, 104, 9, 8, -16, -10, -9, -8, -8, -19, 81, 36, -13, 10, 6, 5, 21, 35, 90, -59, -9, 7, -9, -13, 4, -26, 53, -91, 102, 28, 63, -20, 135, -12, 58, 7, -26, 125, -117, 388 },
{ -10, -5, 56, 18, -6, 18, -18, -18, -14, 4, -10, -19, 78, 57, -23, 26, -6, 39, -10, 49, -32, -62, -25, -25, 31, -6, 11, -15, 57, -101, 104, 95, 191, 81, -18, 70, -9, 12, -33, 94, -129, 428 },
{ -4, -19, 31, 8, -10, 15, -10, -7, -18, 10, 27, -39, 37, -19, 42, 15, 10, -42, 38, 18, 113, -66, -60, -40, 110, 7, -24, 71, -76, -45, 101, 209, 93, 164, -41, 29, -5, -16, 34, -98, 92, 294 },
{ -107, 4, -12, 8, 34, -7, 23, -17, -20, 3, -27, 52, 29, 11, 66, -17, 13, -24, 17, -18, 46, -43, -97, -54, 303, 17, -34, 68, -38, -50, 86, 218, 156, 187, -64, 25, 6, -35, 51, -118, 100, 215 },
{ -1, -11, 12, -11, 12, 10, -23, 9, -5, -2, -25, -15, 27, 40, -16, 2, 12, -23, 41, 42, -47, 19, 12, -23, 9, -6, -19, 26, -77, -43, 106, 169, -62, 63, -16, -5, 93, -13, 172, -46, 163, 290 },
{ -2, -17, 10, 9, 14, 80, -6, -15, -10, -5, -22, -10, 128, 38, -20, 19, -6, 11, 32, -11, 49, -54, -11, -10, -5, 6, -11, 21, -86, 59, -28, 142, -63, 75, -10, 111, 4, -29, 164, -52, 141, 349 },
{ -5, -18, -5, 17, 25, 17, -15, 17, -23, 12, -23, -13, 44, 33, -24, 37, 35, -28, 61, -28, 43, -49, -19, -34, -17, -25, 16, 38, -108, 211, 37, 91, 44, 105, 214, -19, -8, 23, -29, -60, 116, 397 },
{ 4, -15, -13, 16, 4, 8, 33, -6, -21, 3, 24, -26, 60, -19, 72, -42, 24, -30, 33, -35, 28, -71, -74, -50, 12, 4, -31, 64, -87, 118, 43, 135, 125, 543, 96, -53, -46, 25, -16, -90, 64, 364 },
{ -5, -12, 8, -24, 12, 19, -25, 22, -10, -21, -25, -21, 27, -19, 22, -18, 18, 23, 19, -13, 124, 9, -26, -21, 12, -1, -28, -31, -80, 45, 100, 64, -46, 33, -28, 9, 161, -36, 69, 183, 133, 340 },
{ 1, -14, -13, 10, 20, 69, 10, 54, -18, -17, -29, 60, -8, 54, -24, 38, -5, 31, 15, 17, 68, -27, -9, -26, -11, 9, -9, -38, -66, 66, -27, 113, -6, 132, -12, 60, -20, 42, 106, -17, 195, 454 },
{ 6, -29, -36, 16, 19, 8, 55, -15, -19, -34, 38, -24, 36, 14, -171, 45, -7, 48, 25, -51, 11, 16, -49, -24, -40, -13, 43, -33, -93, 74, 62, -58, 131, 114, 69, 276, -21, 36, -61, 43, 132, 468 },
{ -6, -11, -10, 13, 55, 21, -28, 59, -18, -48, -24, 54, 19, -57, -31, 54, -16, 48, 26, -17, 15, 19, -38, -67, -42, -7, 53, -78, 29, -130, 168, -32, 150, 183, 205, -35, 8, 38, -90, 98, 65, 386 },
{ -4, -6, 13, -5, -3, 11, -27, 98, -5, -7, 9, -28, 47, -18, 16, -6, 41, 6, -13, 32, -78, 57, -31, 14, -6, -6, 20, -22, 82, -53, 106, 47, 47, -17, 27, -5, -7, 16, -34, 56, -89, 132 },
{ -5, -8, 13, 27, 6, 13, -23, -20, 6, -4, -6, -19, 42, 40, 52, -8, 42, 3, 6, 46, -52, -53, 49, -11, 8, -10, 5, -21, 59, -49, 99, 110, -44, 66, -19, 2, -4, 13, -28, 46, -72, 125 },
{ -10, -10, 14, 19, 52, 11, -28, -14, -7, -12, 6, -23, 43, 39, 18, -8, 30, 8, -13, 32, -62, -36, -24, 101, 45, -3, 45, -23, 89, -61, 106, 83, 187, -19, 78, -10, -6, 15, -34, 70, -113, 162 },
{ -8, -7, 21, -6, -6, 14, -37, -17, 33, 48, 6, -32, 63, 59, -16, 58, -8, 7, -11, 36, -77, -73, 80, -12, 87, -9, 15, -27, 41, -84, 140, 201, -64, 68, -20, 31, -13, 20, -34, 57, -97, 170 },
{ -9, -5, 5, 10, -8, 9, -14, -30, 6, 2, 109, -16, 19, 52, -22, 65, -10, 6, -14, 31, -30, -110, 79, -18, 9, 2, 15, -10, 143, -44, 138, 252, -66, 71, -23, 4, -13, 10, -28, 52, -98, 188 },
{ -5, -12, 52, 13, 43, 12, -15, -26, -11, -12, 10, -35, 38, 32, 25, -8, 3, 39, -17, 42, -48, -89, -45, 163, 55, 47, -9, -13, 83, -69, 107, 196, 101, -33, 74, -12, -9, 14, -30, 78, -155, 254 },
{ -11, -12, 14, 15, 8, -2, 27, -27, -16, -9, 49, -22, 16, 30, 35, -13, -11, 18, 5, 18, 121, -105, -61, 49, -7, 6, 3, -18, 33, -40, 108, 251, 137, -36, 54, -16, -15, 16, -22, 51, -148, 303 },
{ -8, -3, 18, -4, -7, 10, -25, -23, 9, -8, 22, -31, 47, 87, -27, 110, -3, 6, -20, 31, -61, -113, 133, -36, 14, -5, 11, -27, 52, -81, 162, 357, -70, 78, -23, -7, -10, 12, -20, 52, -107, 194 },
{ -11, 4, 10, -10, -4, 56, -9, -23, 14, -17, -10, -4, 16, 38, -31, 88, -4, 9, 33, -23, 113, -165, 113, -29, 99, -8, 20, -34, 47, -74, 124, 320, 251, -34, 12, -14, -8, 15, -35, 74, -144, 226 },
{ -5, -4, -5, 13, -7, 25, -22, -21, -11, 5, 57, -28, 32, 36, 17, -14, -11, -3, 79, 35, -50, -99, -56, 105, -23, 7, 34, -14, -10, 229, 333, 359, 131, -57, 22, -9, -9, 4, -22, 58, -139, 253 },
{ -3, -43, -3, 15, 17, -14, 21, -34, -8, 77, -7, 39, -14, 60, 22, -21, 11, -20, 17, -15, 90, -128, -58, 203, -13, -37, -15, 30, -15, 178, 71, 326, 194, -33, 76, -25, -9, 25, -26, 45, -120, 285 },
{ -6, 7, -13, 8, -10, 45, -72, -24, 16, 12, -14, -29, 17, 26, 27, -23, -6, 63, -90, 29, -15, -86, -62, -35, 254, -15, 16, -31, 18, -28, 110, 310, 195, 127, -35, -20, 113, 6, 35, -52, -73, 315 },
{ -30, 9, 16, -7, -4, -21, -27, -16, 15, -7, 7, 132, 66, 143, -39, 99, 22, 21, -24, -36, -86, -79, 134, -49, 119, -104, 29, -29, 41, 124, 109, 449, 190, -15, -19, 5, -6, 11, -24, 74, -129, 142 },
{ 29, 103, 8, -17, -12, -57, 34, -20, 16, 80, 7, -20, 50, 30, -29, -34, -37, 4, 92, -37, -67, -109, 143, 88, -27, -16, 15, -29, 31, 121, 83, 404, 102, -63, 24, -10, 74, 10, -25, 65, -121, 193 },
{ -31, 9, 30, -26, 23, -10, 13, -38, 26, -19, 56, -14, -20, 52, -20, -35, -34, 12, 90, 19, 99, -120, -33, 107, 171, 11, -24, -18, -25, 79, 104, 375, 224, -32, -39, 38, -27, 60, 35, 76, -123, 307 },
{ 10, -70, 23, -16, 29, -17, -30, 48, -33, -58, -11, 119, -39, 70, -75, 394, -27, 14, 19, -39, 20, -120, 219, 95, -70, 31, 44, -34, 55, 110, 211, 398, -57, 94, 77, 18, 8, -54, -66, 51, -179, 244 },
{ -33, 48, -40, 32, 7, -69, 19, -34, 30, 82, -19, 9, 85, 68, -105, 95, 72, -194, 45, -50, -32, -115, 159, 251, -73, -21, 14, -41, 47, 143, 222, 379, 185, -94, 30, 16, -129, 77, -19, 54, -122, 186 },
{ -36, 42, -42, -4, 16, -19, 20, -19, 38, 9, -20, -6, 17, -18, -48, -83, 128, -56, -20, 39, 29, -42, 110, 219, 122, 7, -8, -23, 18, 75, -47, 385, 208, 80, -83, 19, 14, -24, 53, -28, -73, 207 },
{ -7, -6, 25, -5, 3, 5, -13, 5, 13, -8, 11, -13, 16, -11, 10, -4, 16, 9, -7, 52, -17, 41, -9, 5, 11, -5, 9, -20, 19, -39, 102, -19, 50, -16, 22, -9, -6, 10, -19, 28, -33, 134 },
{ -4, -10, 42, -8, -16, 10, -13, 4, 7, -9, 8, -19, 16, -18, 5, -4, 4, 62, -4, 19, -14, 42, -8, 3, 4, -4, 32, -15, 47, -40, 91, -18, 41, -13, 9, -10, 35, 83, -14, 26, -37, 165 },
{ -4, 3, -5, 7, -7, 4, -8, -10, 21, -4, 9, -18, 50, 12, 6, -6, -5, 7, -9, 12, 43, -26, -5, 28, 3, -13, 12, -19, 27, -50, 70, 70, 35, -17, 60, -5, 33, 24, -18, 32, -45, 154 },
{ -4, -6, 5, -7, 4, 6, -6, -2, 3, -7, 2, -19, 39, -10, 5, -8, -4, 8, 24, 7, 39, -12, 14, -4, 9, -11, 11, -20, 18, -43, 74, -15, 45, -11, 18, -14, 33, 38, -20, 38, -54, 210 },
{ -6, -8, 16, 5, -3, 9, -9, -10, -5, -5, 111, -22, 47, 8, 10, 10, 3, 36, -12, 20, 136, -22, -6, -13, 7, -11, 11, -21, 35, -65, 84, 28, 69, -17, 96, -9, 52, 38, -30, 54, -97, 149 },
{ -7, -7, 29, 4, -7, 11, -10, -17, 69, -3, 8, -20, -9, 31, -10, 8, 3, 47, -13, 27, 165, -47, 116, -21, 7, -7, 22, -17, 40, -81, 114, 52, 144, 147, -18, 55, -8, 12, -25, 50, -107, 158 },
{ -3, -13, 17, -9, 10, 9, -10, -6, 7, -4, -7, -17, 14, -9, 12, -8, 7, -11, 22, -4, 45, -17, 16, -10, 10, -4, -6, 9, -17, -29, 57, 36, -28, 14, -11, -6, -5, 145, -13, 251, -36, 265 },
{ -3, -14, 57, -27, 3, 7, -8, -11, 57, 64, -5, -21, 15, -8, 11, -8, 4, -15, 13, 16, 82, -19, -10, -6, 8, 4, -11, -10, 51, -56, 78, 13, 52, -14, 94, -10, -9, 63, -23, 53, -111, 226 },
{ -7, -8, 21, 13, -3, 15, -6, -27, -10, -6, 56, -25, 4, 30, 17, -9, 7, -9, 11, 23, 38, -59, -26, 90, 22, -11, 102, -14, 53, -61, 106, 69, 75, -24, 107, -6, -10, 21, -42, 76, -143, 258 },
{ -11, -9, 29, 13, -12, 24, -10, -26, -14, 54, 12, -43, 19, 38, 14, 15, 55, -8, -16, 61, -36, -68, -38, -19, 35, 19, -13, 92, 50, -127, 105, 107, 107, 275, -27, 4, -12, 9, -24, 123, -133, 309 },
{ -5, -40, 174, -6, 14, 3, -15, -7, 11, -4, -19, -15, 18, 11, -20, -7, 7, -10, 42, -10, 31, -30, 40, -12, 5, -3, -6, 11, -53, -16, 92, 20, -52, 29, 80, -13, 52, 131, -28, 129, 204, 267 },
{ -5, -14, 13, 5, 3, 27, -27, -8, -6, -8, 6, -51, 41, -10, 24, -10, 6, 2, -7, 71, -64, 174, -30, 11, 4, -15, 5, -9, 63, -108, 99, -16, 64, -18, 46, -18, 47, 45, -29, 120, -99, 333 },
{ -7, -12, 24, 9, 81, 28, -20, -7, -15, 5, -19, -35, 100, 42, -30, 23, 9, -19, 28, 34, 34, -68, 50, -28, 7, -15, 17, 15, -17, -93, 58, 88, -26, 91, -18, 99, -11, 16, -37, 122, -102, 364 },
{ 10, -22, -8, 19, 43, 10, -13, -8, -25, -3, 15, -23, 93, 21, 36, 16, 8, -9, -6, 38, 20, -59, -69, -31, 142, 8, -14, 16, -21, -60, 100, 164, 140, 119, -51, 18, 29, -29, 12, 73, -111, 362 },
{ -86, 4, -141, 8, -16, 62, 74, -10, -20, 16, -38, -29, -23, 44, -154, 32, 9, -20, 66, 33, 50, -79, -56, -58, 240, 15, -29, 33, -20, -58, 113, 223, 186, 160, -23, -8, 7, -30, 60, -78, -66, 344 },
{ -2, -10, 12, -7, 10, 9, -23, 8, 3, -3, -13, -24, 37, -14, -8, -2, 9, -14, 41, 12, -41, 92, 24, -12, 9, 4, -15, 25, -76, -26, 67, 77, -81, 29, -18, 4, 108, -24, 212, -36, 176, 241 },
{ -3, -10, -4, 9, 9, 11, 20, -15, -18, 43, -22, -28, 197, 30, -8, 7, -3, -27, 25, 36, -28, -22, 20, -12, 1, 9, -13, 30, -68, -77, 106, 53, -36, 73, -14, 141, 52, -23, 52, -51, 134, 339 },
{ 74, -9, -11, 13, 80, 18, -13, 52, -20, 36, -17, -23, 49, 25, -22, 30, 11, -23, 40, -12, 26, -55, 19, -24, -14, -10, -27, 52, -63, -41, 83, 101, -36, 118, 317, -22, 7, 11, 28, -85, 116, 388 },
{ 6, -9, -13, 14, -26, 9, 40, 18, -35, 10, 30, -30, 38, 19, -14, 50, 19, -37, 23, 24, -20, -33, -41, -58, -22, -15, -9, 45, -49, -31, 42, 124, 59, 269, 85, -47, 9, 18, 22, -111, 107, 376 },
{ -122, 10, -24, 15, 47, -5, 40, 33, -38, -14, 25, -35, 40, -157, 36, 22, 24, -47, 28, 11, 38, -26, -76, -108, 113, -16, 25, 39, -37, -63, 77, 141, 203, 166, 85, -36, 21, -36, 55, -157, 44, 291 },
{ -1, -17, 19, -11, 15, 14, -32, 23, -11, -9, -34, 11, 20, -4, 12, -13, -35, 26, 40, 8, -33, 37, -16, 12, -9, -14, 10, -34, -90, 37, 95, 61, -34, -19, 19, 4, -12, 248, -51, 129, 124, 306 },
{ 8, -15, 115, -19, 48, 22, 135, 5, -9, -23, 120, -42, 10, 40, -15, 20, -40, 12, 18, 38, -13, -19, 10, -8, -17, -7, 34, -25, -118, 68, 89, -43, 53, -10, 21, 202, -11, 37, -50, 44, 128, 456 },
{ 6, -25, 10, -18, 16, 10, -19, 75, -7, -12, -15, 60, -25, 25, -33, 43, -6, 21, -143, 34, 38, -18, 6, -21, -41, -29, 54, -33, -85, 45, 129, 18, 38, 31, 257, 317, -15, 40, -84, 61, 97, 423 },
{ 9, -9, -27, 6, -44, 8, 28, 33, -26, 178, -36, 173, -16, -17, -97, 60, 37, 7, -117, 7, 14, 28, -50, -49, -47, -6, 41, -39, -26, -84, 99, 61, 138, 107, 237, -45, 4, 23, -38, -54, 125, 483 },
{ 36, -10, 23, -3, -5, 14, -18, 88, -4, -9, 10, -24, 20, -10, 11, -5, -8, 13, -16, 33, -29, 34, -21, 11, -4, -6, 11, -23, 28, -52, 108, 44, 37, -11, 17, -3, -3, 92, -14, 26, -37, 128 },
{ -3, -8, 79, 6, -10, 16, -18, -17, 58, -7, 7, -22, 19, 14, 16, -2, 45, 73, -12, 26, -19, -43, 46, -9, 5, -9, 11, -19, 28, -51, 114, 73, -25, 37, -16, 24, -8, 6, -16, 23, -31, 130 },
{ -10, -9, 37, 11, -5, 13, -19, -11, -13, -10, 16, -23, 16, 23, 31, 4, 62, 3, -20, 30, -19, -28, -21, 67, 7, -10, 15, -29, 43, -66, 130, 49, 65, -9, 65, -10, -6, 16, -31, 51, -89, 112 },
{ -7, -18, 40, 12, -3, 22, -22, -22, 10, 12, 38, -31, 28, 40, -18, 81, -13, 9, -22, 43, -44, -83, 96, -18, 95, -7, 16, -30, 40, -88, 103, 145, -49, 70, -22, 104, -9, 14, -34, 57, -70, 117 },
{ 41, -17, 82, 11, -8, 22, -22, -15, -15, -7, 12, -27, 27, 27, 6, 81, -6, 7, -19, 38, -24, -58, -23, 188, -9, 48, 4, -19, 43, -74, 141, 161, -38, 55, -22, 125, -14, 14, -28, 57, -101, 159 },
{ -14, -4, 12, 15, -4, 14, -15, -28, -9, -7, 15, -34, 22, 32, 26, -7, -7, 10, -23, 50, -38, -50, -48, 65, -10, 81, 11, -22, 40, -64, 149, 144, 87, -15, -11, 8, -12, 11, -38, 72, -136, 201 },
{ -1, -10, -10, 18, 6, 21, 28, -33, -19, -21, 78, -22, -11, 43, 23, 7, 9, 141, -14, 38, 75, -99, -58, 148, 78, -5, -7, -20, 41, -115, 95, 154, 156, -37, 116, -11, -6, 20, -32, 73, -154, 289 },
{ 4, -7, 22, 10, -19, 21, -32, -20, -16, -9, 193, -28, 37, 51, 258, -35, 68, 21, -28, 36, -59, -139, 122, 79, -7, -21, 21, -40, 46, -73, 141, 317, -109, 21, -15, 145, -18, 7, -29, 53, -78, 154 },
{ -43, -26, 13, 17, 5, 8, -18, -24, -23, -12, 148, -16, 13, 59, 45, -22, 4, 3, -14, 19, 65, -164, 402, 80, -12, -12, 21, -31, 44, -88, 84, 304, -82, 206, 6, -15, 2, 16, -41, 61, -99, 202 },
{ -13, -7, 23, 17, 84, 7, -45, -40, 39, -8, 16, -40, 21, 51, 18, -14, -15, 44, -14, 51, -39, -72, -67, 123, -23, -48, 16, -28, 18, -64, 156, 282, 109, -43, 18, 9, -4, 28, -42, 76, -137, 263 },
{ -6, -7, 121, 17, -11, 13, -6, -33, -3, -5, 10, -28, 12, 37, 28, -13, 79, 27, -24, 53, -16, -71, -76, 84, -14, -17, 99, -24, 31, -86, 145, 252, 216, -45, 221, -20, -32, 21, -20, 38, -116, 310 },
{ -2, 4, -16, 14, -267, 55, 32, -37, -5, -12, 96, -25, -16, 36, 17, 16, 7, 31, 6, 24, 27, -91, -47, -56, 116, 7, -37, 39, -48, -39, 112, 247, 206, 114, -39, -15, 16, -20, 70, -64, -59, 343 },
{ 6, -12, 15, 7, 10, 57, -30, -15, -9, -14, 6, -17, 44, 48, -34, 121, -9, 23, -22, -15, -89, -89, 141, -48, 11, 30, 31, -35, 54, 166, 108, 371, 86, 17, -30, 3, -12, 21, -36, 80, -165, 145 },
{ -12, 7, 37, 12, -16, -15, 22, -21, 10, -10, 20, -14, -18, 45, -20, -18, -6, 16, -31, 20, 106, -128, 161, -31, 7, 8, 21, -24, 66, -88, 78, 392, 135, -29, 14, -13, -5, 108, -30, 57, -117, 186 },
{ -7, -15, 9, 12, 84, 6, -11, -35, 14, -21, 21, -8, 13, 51, -16, -34, 7, 149, -15, 15, 168, -113, 74, 146, -35, -22, -11, -13, 31, -70, 128, 377, 112, -48, 20, -12, 2, 20, -25, 41, -97, 249 },
{ -40, -7, 14, 149, 7, 10, -17, -30, 17, -18, 129, -41, 52, -15, 30, -21, 7, 22, -24, 35, 11, -103, -56, 133, -22, -28, -20, -12, 21, -44, 140, 347, 243, -53, 43, -27, 28, 13, 19, 13, -98, 302 },
{ 6, -15, 17, -7, -155, 350, -19, -39, 19, -17, 37, -45, 31, 22, -69, -12, 58, -59, -42, 64, 32, -38, -103, 66, 257, -15, 15, -148, -31, -43, 153, 257, 279, 60, -62, -29, -146, 23, 34, -34, -40, 282 },
{ -8, 3, 19, -26, -22, -21, 42, -31, 18, -4, 35, -77, 54, 63, -98, 376, -7, -13, -24, 95, -64, 81, 156, 129, -55, 39, 25, 59, -35, -117, 135, 384, -120, -43, 92, -79, 150, -18, -56, -235, 221, 248 },
{ -10, -5, 26, -18, 10, -37, -12, 67, 19, -114, 72, -20, 37, 34, -91, -18, -9, 15, -24, -44, -72, 142, 146, 87, -37, 224, 17, -49, 53, 106, -55, 442, 148, -59, 80, -12, -188, 27, -62, 43, -124, 222 },
{ 15, 6, -36, 27, -12, 15, -96, -26, 21, 19, -12, 20, 11, 46, -47, -16, -11, 172, -35, 33, -81, -47, 252, 455, -32, -77, 36, -35, 24, 85, 180, 452, 135, -33, -24, 17, -123, 62, -24, 55, -117, 167 },
{ -7, -85, 27, -8, -16, -7, -22, -37, 29, -15, 286, -7, 20, 40, -26, -45, 10, 20, -18, 19, -15, -24, -52, 174, 382, 9, -16, -279, 24, -38, 86, 374, 195, -96, -9, -44, -7, 32, 26, 48, -83, 271 },
{ -5, -7, 100, -6, -3, 13, -10, 7, 29, -9, 9, -20, 94, -12, 6, -5, -3, 6, -11, 24, 108, 16, -8, 4, 36, -6, 16, -24, 33, -57, 67, -46, 27, -19, 10, -6, -6, 41, -17, 18, -20, 110 },
{ -5, -7, 23, -3, -3, 11, -13, 95, -2, -11, 12, -21, 103, -13, 9, -9, 4, 6, -14, 27, 108, 16, -10, 5, 5, -11, 11, -22, 34, -60, 79, -48, 29, -19, 22, -6, -5, 49, -14, 24, -31, 152 },
{ -7, -10, 79, 3, -8, 20, -11, 3, -1, -8, 5, -24, 35, 59, -7, 31, -4, 10, -19, 33, -6, 44, -5, 7, -8, -10, 14, -25, 37, -66, 69, -19, 53, -7, 47, 36, -6, 153, -14, 20, -26, 139 },
{ -1, -12, 33, -6, 4, 9, -9, 61, 2, -8, 2, -19, 20, -15, 3, -6, 3, 2, -9, 28, 36, 9, 2, -6, 6, -12, 6, -13, 25, -62, 73, -39, 68, -11, 3, -8, 54, 65, -8, 53, -21, 178 },
{ -7, -10, 23, 27, 5, 14, -8, 5, -6, -11, 6, -23, 34, -13, 11, -8, -3, 7, -17, 32, 20, 26, -11, 3, 20, -7, 50, -20, 32, -70, 54, -13, 77, -17, 21, -6, -7, 8, -15, 25, -35, 188 },
{ -5, -9, 27, 5, -6, 23, -15, -14, -13, -3, 12, -32, 11, 10, 9, 5, -4, 11, -19, 45, -7, -13, -15, 51, -4, -9, 14, -28, 47, -83, 100, 63, 79, -16, 132, -6, -3, 131, -18, 33, -58, 107 },
{ -5, -10, 41, -4, 4, 7, -11, 3, 2, -15, 5, -21, 13, -13, 5, -9, 3, 5, -6, 29, -4, 10, 44, -4, 7, -88, 14, -12, 51, -53, 76, -30, 43, -5, 1, -6, -9, 65, -22, 32, -45, 268 },
{ -3, -15, 28, 4, 9, 9, -4, -5, -7, -4, 5, -24, 36, -9, 11, -8, -8, 4, -15, 36, 37, -10, -10, 6, 48, 17, 8, -15, 29, -80, 84, -9, 67, -12, 52, 4, -10, 152, -28, 46, -80, 170 },
{ 33, -9, 40, 7, -10, 21, -13, -13, -16, 15, 3, -28, 34, 7, 17, -9, -1, 5, -18, 44, 23, -23, -12, 71, 4, -9, 10, -22, 44, -98, 132, 53, 80, -17, 44, -7, -7, 19, -39, 60, -103, 197 },
{ 41, -14, 67, 12, -6, 22, -10, -25, -16, -7, 16, -34, 129, 23, 29, -13, -6, 19, -12, 48, 31, -48, -33, 9, -10, -6, 24, -20, 32, -92, 183, 71, 121, -22, 62, -11, -4, 20, -40, 66, -122, 242 },
{ -9, -27, 31, -10, 111, 14, -19, 6, 17, -3, -4, -22, 22, -15, -7, -3, 5, -5, 16, 23, -15, 14, 19, -6, 8, -21, -5, 14, -33, -31, 90, 17, -43, 18, -12, 31, 132, -18, 177, -35, 109, 256 },
{ -10, -9, 174, 7, 14, 13, -23, 8, -15, -4, 7, -33, 24, 62, 6, -8, 4, -11, -8, 50, -23, -3, -11, 9, 17, 5, -8, 10, 61, -93, 55, -24, 84, -12, 24, 32, -10, 144, -29, 117, -77, 269 },
{ -4, -19, 130, 6, 26, 19, -16, -5, -8, -16, 16, -27, 30, -3, 34, -10, 6, -20, 10, 30, 44, -27, -41, 9, 22, -44, -15, -3, 20, -98, 62, 23, 101, -22, 244, -10, 4, -6, -8, 123, -88, 293 },
{ 22, -16, -15, 18, -8, 27, -9, -14, -23, -12, 28, -41, 184, 23, 24, 17, 9, -9, -14, 54, -9, -44, -27, -31, 45, 8, -28, 27, -22, -60, 158, 77, 113, 150, -20, -8, 5, -22, 22, 15, -126, 356 },
{ 7, -116, -14, 9, -15, 96, 45, 20, -42, -30, 23, -28, -14, 53, 63, -275, 9, 90, -50, 32, 76, -93, -38, -35, 73, 58, -43, 43, -50, -89, 90, 150, 157, 133, -24, -11, -156, 14, 38, -53, -59, 331 },
{ -6, -8, 17, -9, 13, 99, -23, 4, 3, -4, -17, -6, 20, -12, -10, 0, 8, -59, 33, -12, 56, -20, 31, -14, 6, -4, -9, 18, -58, -17, 37, 56, -52, 21, -17, 6, 123, -22, 200, -22, 124, 304 },
{ -69, -9, 4, 5, 14, 45, -14, 6, -18, 40, -26, -25, 230, 21, -13, 9, -2, -15, 26, 35, -20, -24, 12, 80, -7, -14, 6, 22, -49, -81, 82, 75, -41, 42, 111, 25, -7, 35, -8, -44, 152, 289 },
{ 12, -16, -11, 15, -5, 82, -9, -6, -17, 13, -21, -10, 24, 5, 12, 18, 13, -11, 30, 38, -17, -29, -9, -14, -8, -20, 12, -21, 49, -135, 99, 109, -18, 117, 336, -14, -12, 30, -41, 63, -118, 469 },
{ 5, -14, 10, -18, 2, 54, -13, 21, -26, -21, 10, -19, 49, 9, -117, 39, 31, -29, 20, 76, -13, -43, -23, -77, 21, -15, -27, 28, 15, -49, 91, 134, 38, 253, 328, -37, -6, 37, 17, -58, -88, 427 },
{ 4, -13, -49, -10, 67, -19, 14, 59, -51, 16, -29, -137, 25, -33, 49, 28, 63, -31, 8, -132, 64, -36, -72, -79, 122, 91, -24, 48, -42, -117, 133, 70, 112, 189, 18, -27, 7, -152, 71, -169, 89, 295 },
{ -4, -15, 18, 10, 14, 31, -16, -7, -23, -59, -28, 6, 17, 26, 7, -10, -14, 19, 25, 20, -44, 25, -8, 9, 1, -15, 19, -21, -63, -38, 94, 76, -29, -50, -6, 8, -16, 208, -42, 113, 136, 312 },
{ 3, -14, -10, 9, 18, 92, -25, 22, -8, 69, -34, -9, 60, 58, -29, 12, -6, -17, 47, 13, -77, -23, 35, -7, 6, -16, 37, -8, -117, 73, 37, 32, -52, 34, -19, 299, -7, 17, -64, 75, 89, 452 },
{ 4, -7, -22, 6, -12, 27, -28, 25, -17, 52, -20, 88, -11, -8, -63, 25, -11, 15, 23, -126, 16, -15, -32, 18, -45, -19, 30, 18, -76, -15, 79, 13, 32, 37, 305, 324, 7, -14, 70, -115, 161, 415 },
{ -66, -18, 54, -15, 112, 47, 20, -23, 86, 85, -23, -22, 19, -75, -15, 40, -161, -51, 23, -23, -12, -14, 24, -53, -48, -169, 45, -24, -20, -251, 40, 47, 106, 118, 276, -49, 47, 19, 50, -151, 147, 415 },
{ -5, -13, 57, 2, -5, 17, -11, 3, 15, -6, 8, -24, 27, -11, 33, -3, -3, 8, -17, 36, 22, 46, -9, 9, 3, -14, 15, -22, 35, -69, 67, -20, 61, -15, 5, -2, -4, 21, -12, 50, -9, 91 },
{ -6, -10, 5, 17, -7, 20, -15, -7, -6, -10, 14, -32, 12, 10, 19, 2, -5, 15, -23, 42, -12, -9, -12, 15, -4, -9, 21, -33, 46, -69, 93, 88, 115, -8, 25, -3, -4, 10, -20, 22, -24, 112 },
{ 12, -6, -7, 4, -12, 20, -9, -6, -7, -5, 11, -29, 81, 12, 7, -8, 8, 6, -15, 37, 160, -26, 19, -9, 23, -16, 14, -26, 41, -70, 74, 77, 51, -7, -5, 4, -3, 111, -18, 27, -35, 143 },
{ 2, -12, 3, 31, -5, 20, -19, -11, -8, -5, 13, -37, 13, 23, 87, 22, -12, 12, -22, 49, -21, -34, -13, 152, -6, -10, 20, -31, 46, -76, 136, 107, -30, 16, -18, 29, 49, 8, -25, 31, -45, 74 },
{ -8, -7, 23, 11, -6, 18, -11, -21, -5, -9, 16, -39, 13, 25, 29, 6, -12, 17, -25, 53, -19, -29, -26, 32, -8, -6, 20, -39, 60, -85, 150, 89, 79, -23, 7, -9, 6, 11, -33, 46, -74, 98 },
{ -15, -16, 41, 12, -12, 23, -7, -25, -11, 61, 19, -44, 20, 22, 22, -7, -9, 13, -32, 61, -21, -34, -34, 50, -11, -8, 21, -33, 58, -92, 168, 72, 96, -13, 122, 3, -5, 11, -39, 63, -108, 161 },
{ -4, -14, 23, 15, -85, 20, -27, -19, -11, 6, 68, -21, 20, 27, 30, -13, -15, 1, -19, 46, 140, -56, -34, 168, -12, -17, 8, -21, 32, -83, 136, 99, 141, -22, 181, 4, 51, 12, -42, 69, -124, 228 },
{ 0, -5, 73, 7, -8, 20, -22, -26, -4, -17, 17, -25, 178, 47, -11, 6, -8, 31, -41, 62, -41, -63, -21, 142, -13, -6, 106, -29, 47, -75, 203, 255, -73, 37, -24, 13, -17, 18, -33, 55, -78, 147 },
{ 20, -5, -8, 17, -10, 21, -13, -42, 8, -7, 19, -51, 24, 59, -18, 8, -10, 10, -32, 48, -16, -104, 124, -24, 10, 31, 32, -20, 36, -82, 167, 234, -82, 36, -17, 8, -12, 7, -31, 47, -72, 170 },
{ -4, -5, 5, 20, -16, 161, -9, -44, 33, 23, 17, -34, 20, 48, 16, -12, -14, 11, -27, 50, -26, -65, -47, 89, -14, 18, 9, -32, 56, -88, 170, 196, 111, -33, 18, -10, -11, 19, -46, 71, -114, 210 },
{ 5, -18, -83, 12, -4, 24, 25, -32, -5, -15, 16, -39, 40, 58, -18, 22, 6, 39, -20, 43, 49, -81, -33, -34, 235, -15, 20, -28, 33, -96, 164, 195, 182, -25, 54, -5, -105, 46, -20, 37, -107, 268 },
{ 7, -18, 20, -8, -21, 34, 30, -17, 44, -6, 17, -39, -33, 69, 44, -222, 7, 15, -15, 30, 46, -71, -61, -41, 82, 7, -18, -25, 20, -107, 78, 198, 241, 67, -26, -10, -12, 20, 23, -15, -74, 344 },
{ 23, 4, -7, 5, -18, 15, -17, -15, 8, -10, 20, -19, 14, 57, -37, 105, -3, 23, -16, 44, -39, -73, 147, -26, 28, 24, 19, -32, 38, -82, 198, 344, -80, 34, -7, -11, -19, 18, -29, 48, -72, 181 },
{ -7, 11, -17, 22, -20, 7, 9, -35, 47, -9, 7, -20, -19, 59, -20, -16, 4, 18, -31, 49, 289, -119, 129, 88, -31, -41, 195, -13, 32, -89, 114, 358, -85, 84, 15, -96, -5, 16, -38, 47, -78, 229 },
{ -13, -13, 19, 10, 22, 86, -22, -17, -18, 3, -22, -20, 16, 37, 23, -10, -22, 12, -15, 25, 193, -100, -48, 150, -21, -7, 12, -41, 55, -96, 155, 356, 123, -49, 24, -19, 3, 14, -34, 73, -105, 247 },
{ -3, -17, 34, -6, -56, 185, -13, -15, -15, -23, 113, -17, 12, 41, 33, -12, 8, 9, -51, 54, -23, -78, -99, 149, -24, -13, -3, 34, 23, -56, 144, 318, 256, -27, 20, 7, -4, 21, -37, 34, -122, 295 },
{ 20, -127, 48, -29, -71, -7, 33, -19, 26, -209, 10, -30, 40, 34, -75, 235, 68, -17, 16, -32, -78, -18, 95, -67, 73, -3, 18, -24, 33, 126, 146, 421, 130, -22, 21, -7, -41, 5, -29, 64, -121, 169 },
{ -35, 21, 9, 55, -14, 31, -13, -37, 36, -11, 28, -29, 42, 43, -47, -29, 7, 8, -31, 37, -76, -48, 123, 80, -31, -34, -33, 16, 59, 225, 111, 429, 161, 69, 52, -9, 3, 31, -17, -45, -111, 157 },
{ -16, 42, 129, -18, 14, -17, -68, -16, 63, -19, 39, -11, 35, 33, 50, -38, -42, 100, 62, -16, 131, -119, 112, 211, -19, 8, 9, -35, 44, -74, 65, 419, 135, -47, -32, 32, 3, -31, -17, 55, -72, 196 },
{ 50, -4, -3, -5, -7, 9, 21, 4, -4, -3, 30, -8, -21, -4, 15, -4, -3, 7, -11, 16, 39, 57, -8, 32, 1, -4, 9, -12, 18, -24, -49, -15, 14, -8, 36, -6, 57, -3, 82, -14, 32, -46 },
{ -3, -6, 24, 5, -5, 14, -4, 7, -3, -4, 9, -16, -10, -11, 7, -5, -5, 8, -16, 22, 28, 18, -15, 7, 52, -9, 10, -19, 28, -38, -32, -29, 22, -12, 25, -5, -3, 38, -5, 68, 72, -16 },
{ 13, -7, -5, 53, -7, 14, 4, -5, 17, -5, 6, -18, -20, 3, -8, 16, -6, 13, -12, 25, 33, 51, -5, 30, -7, -9, 14, -20, 22, -36, -38, -12, 75, -12, 26, -4, -6, 134, -4, -9, 26, -29 },
{ -2, -10, 94, 38, -6, 17, -7, 132, -4, -8, 9, -21, -11, -9, -4, 82, -4, 8, -16, 35, 20, 16, -9, 78, -4, -3, 11, -20, 31, -50, -28, -17, 64, -9, 37, -2, -8, 6, -8, 168, -7, 113 },
{ 31, -8, -10, 3, -9, 27, -4, 3, -7, -2, 13, -31, -6, -14, 167, -6, -6, 11, -21, 42, 18, 5, -3, -7, 4, -6, 12, -20, 36, -67, -14, -17, 84, -10, 117, -6, -4, 11, -13, 67, -7, 128 },
{ -3, -3, 51, -8, -5, 11, -12, 10, -4, -16, 8, -20, 139, -13, 7, -6, 33, 7, -14, 31, 5, 24, -15, 9, -5, -4, 9, -17, 28, -56, 50, -40, 19, -12, 8, -10, -11, 55, -17, 21, -26, 233 },
{ -2, -17, 58, 3, -4, 17, -11, 59, -11, -5, 6, -27, 44, -9, 9, -4, -7, 4, -15, 30, 12, 7, -15, -3, 13, -10, 11, -19, 32, -72, 78, -22, 77, -6, 6, -5, -6, 201, -12, 17, -28, 95 },
{ -7, -10, 5, 181, -7, 27, -14, -13, -3, -7, 8, -30, -6, 7, 12, -21, -14, 18, -21, 49, 69, -12, -9, 77, 54, -7, 4, -23, 35, -74, 57, 143, 143, 197, -11, 4, 17, 101, -20, 20, -33, 96 },
{ -5, 39, -10, 7, -9, 19, -19, -13, -10, -12, 14, -30, 57, 9, 10, 6, -8, 14, -33, 52, -14, -11, -20, -12, 40, 10, -7, -18, 40, -79, 122, 83, 115, 87, -21, 9, -4, 40, -16, 31, -59, 125 },
{ -2, -16, 52, -6, -5, 10, 83, -102, 1, -5, 7, -23, 12, -11, 10, 27, 4, 19, -8, 22, 7, 11, 7, -17, 6, -8, 12, -10, 7, -48, 84, -28, 74, 4, -7, 3, -13, 64, -21, 63, -21, 299 },
{ 15, -6, -4, 43, -102, 17, -36, 7, -19, 18, -6, -25, 44, -9, 37, -3, -7, 11, -10, 34, 6, 6, -20, 12, -4, 81, 8, -15, 25, -68, 284, -20, 305, -24, 92, -12, -9, 12, -28, 30, -53, 181 },
{ -6, -12, 38, 6, -7, 32, -10, -9, -14, 9, -12, -35, 47, 124, 11, -15, -5, -4, -3, 46, 8, -17, -26, 13, -10, -7, 5, 3, 172, -62, 151, -7, 84, -11, 75, 88, -10, 16, -38, 54, -93, 211 },
{ 5, 69, -26, 11, -9, 31, 121, -25, -24, -19, 12, -46, 97, 26, -20, 19, 8, 66, -29, 52, 54, -27, -21, -22, 44, 4, -14, -26, 37, -100, 47, 69, 159, 170, -27, 215, -3, 11, -21, 67, -126, 244 },
{ 72, -3, -358, 217, -21, 28, 109, -19, -15, 19, -20, 33, -48, 67, 13, 24, 30, -35, -18, 46, 48, -38, -44, -39, 101, 16, -21, 27, -56, -89, 111, 135, 128, 54, -47, 70, 57, -56, 17, 40, -125, 284 },
{ 16, -25, 42, -3, 8, 8, -9, -9, 10, -3, -13, -15, 16, 11, -20, 38, 12, -4, 12, 18, -13, 8, 15, -6, 7, -14, -8, 10, -12, -63, 64, -43, -13, 55, -6, -3, -6, 75, -14, -21, 334, 355 },
{ -6, -9, -5, 13, 7, 14, -29, 59, -5, -58, 38, -39, 9, 77, -6, -41, 5, -3, 87, 51, -15, -10, -29, 7, 109, -16, 14, 6, 47, -110, 81, -18, -11, 66, -13, 30, -5, 3, -28, 127, -51, 321 },
{ 46, -24, 5, 13, -5, 44, -32, 187, -16, 14, -23, -22, 16, 45, -14, 3, -6, -14, 23, 29, -216, -33, 31, -12, -7, -7, 10, -17, 66, -83, 57, 82, -25, 474, 142, -14, 1, 13, -34, 148, -102, 346 },
{ -2, 97, -12, 12, -23, 35, 46, -13, -38, 6, -10, -13, 32, 15, 9, 16, -2, -8, -22, 30, 33, -17, -27, -36, 50, 10, -18, 27, 23, -101, 67, 44, 166, 287, -28, 309, -10, -10, 5, 80, -105, 364 },
{ 45, 28, -65, 32, -47, 47, 29, -12, -31, 45, 241, -63, 65, -50, 48, -30, -15, -43, -60, 89, 44, -33, -68, 40, -22, 11, 125, 28, -16, -121, 163, 155, 84, 184, 76, -19, -26, -7, 21, -37, -96, 361 },
{ 6, -26, 33, 32, 29, 22, -25, -16, 8, 4, -12, -19, 22, 18, -8, -7, -8, -6, 23, 5, -7, -12, 43, 11, -8, 5, -78, 20, -40, -50, 61, 82, -41, 19, -10, 3, 70, -16, 65, -43, 217, 291 },
{ 5, -22, 6, -35, 11, 19, -17, 67, -8, 8, -19, -20, -112, 120, 112, -253, -1, 63, -89, 52, -22, 57, -12, 32, 10, -7, 20, -18, 131, -97, 52, 16, -49, 71, -18, 239, -4, 33, -17, 132, -34, 472 },
{ 10, -33, -18, 10, 25, 26, -67, 16, -16, -18, -31, -33, 58, 60, -46, 15, 5, 15, 17, 12, -42, -21, 39, -35, 101, -51, -15, 50, -75, 51, 36, -65, 75, 34, 526, -23, -4, 20, 29, -75, 163, 439 },
{ 5, -28, -29, 14, 110, 67, -48, 13, -31, -21, 21, -53, 44, -52, 29, 31, 21, -151, -19, -162, 53, -50, -188, -28, -26, -21, 18, 26, 67, -136, 199, -94, 195, 111, 228, -51, 31, -137, 9, -88, 76, 326 },
{ 14, -6, -3, 13, -6, 14, 86, 4, -8, 52, 5, -18, -18, -7, 101, 1, -4, 8, -14, 25, 35, 9, -8, 43, -6, -6, 12, -16, 19, -33, -46, -12, 57, -9, 23, -2, 38, -6, 79, -17, 38, -43 },
{ 7, -6, -7, 32, -4, 16, 22, -12, -3, -6, 13, -24, -17, 6, 26, -2, -7, 11, -14, 23, 37, -6, -5, 31, -5, -5, 14, -20, 21, -31, -46, 111, -10, 5, -7, 4, 50, -7, 22, -13, 33, -38 },
{ 2, -10, 60, 3, -14, 17, 13, -7, 61, -6, 12, -23, -13, 4, 5, -7, -7, 20, -19, 27, 28, -3, -9, 25, -8, -7, 10, -23, 27, -39, -37, 81, 161, -13, 84, 42, -5, 7, -7, 5, 90, -12 },
{ 4, -6, -15, 7, -9, 21, 92, -6, 50, -8, 9, -32, -11, -2, 8, -8, -6, 11, -16, 36, 30, -4, -10, 93, -4, -3, 11, -22, 34, -59, -30, 70, 173, -3, -12, 88, -4, 32, -6, 4, 57, 56 },
{ -6, -18, 19, 12, -9, 21, -7, -19, 2, -8, 20, -36, 14, 20, -6, 6, -7, 14, -30, 44, 9, -20, 30, -10, 2, -11, 22, -29, 47, -69, 48, 144, -14, 20, -18, 11, 2, -8, -4, -6, 147, 73 },
{ -3, -17, -4, 14, -13, 19, 34, -22, 1, -8, 16, -34, -11, 23, -11, 6, -7, 22, -32, 53, 65, -19, -8, -12, 22, -11, 22, -33, 43, -72, 61, 156, 231, -16, 20, -6, -3, 6, -11, 7, 24, 84 },
{ 33, -20, -6, 14, -7, 19, 20, -13, -6, -6, 20, -37, -6, 9, 15, -14, -13, 22, -31, 49, 10, -14, -22, 10, -5, -18, 24, -45, 61, -85, 93, 131, 107, -13, 28, 27, 24, 10, -22, 26, -31, 55 },
{ 78, -5, -14, 15, -10, 23, -11, -14, -23, -6, 17, -32, 44, 14, 18, -5, -4, 16, -42, 59, -4, -25, -23, 88, 30, -6, 14, -31, 55, -85, 177, 42, 133, -14, -8, 4, -3, 7, -27, 41, -59, 115 },
{ -8, -9, 21, 19, -64, 18, -17, -36, 5, -21, 16, -27, 40, 40, -16, 146, -7, 15, -25, 37, 9, -57, 55, -9, 7, -8, 16, -27, 41, -73, 115, 154, -56, 37, -30, 10, 22, -10, -3, 10, -10, 53 },
{ -7, -11, 60, 15, -11, 19, -7, -25, -15, -17, 18, -34, 29, 36, 23, 8, -6, 26, -35, 51, 19, -49, -16, 78, -21, -21, 21, -38, 48, -78, 69, 154, -41, 16, -6, 33, -10, 42, -24, 31, -30, 88 },
{ 41, -17, -10, 17, -12, 24, 21, -26, -11, -23, 25, -44, 201, 25, 17, 13, -9, 28, -42, 59, -5, -44, -33, 308, -15, -8, 23, -49, 69, -102, 35, 121, 138, -13, -11, 147, -20, 13, -35, 66, -76, 127 },
{ 183, -10, -22, 23, -13, 20, 14, -33, -27, -9, 22, -44, 57, 22, 27, -7, 84, 10, -29, 61, -11, -34, -46, 222, 107, -20, 19, -49, 68, -124, 49, 126, 247, -36, -7, 10, -10, 15, -35, 86, -109, 216 },
{ 4, -13, -9, 10, 25, -110, 24, -22, -20, -27, 95, -25, -46, 54, 7, 23, 8, -13, 64, 24, 35, -67, -26, -62, 24, 7, -35, -8, -60, -20, 64, 109, 354, 179, -58, 18, 15, -47, 48, 63, -136, 251 },
{ -3, -25, 52, 13, -2, 10, -24, -36, 5, -13, -11, 64, -21, 69, -18, 150, -20, 27, -48, 39, -8, -80, 108, -21, 6, -12, 20, -30, 52, -75, 43, 249, -71, 56, -22, 10, -3, 49, -22, 20, -48, 114 },
{ 9, -15, -18, 31, 108, 9, 15, -48, -75, -52, 15, -25, -11, 63, 11, -16, 60, 12, -27, 49, 18, -106, 99, 89, -11, -19, 186, -22, 43, -97, 122, 250, -79, 31, 3, -10, -6, 19, -32, 30, -44, 153 },
{ -5, 10, -40, 18, -8, 98, 10, -34, -5, 118, 17, -29, -25, 43, 25, -12, -44, 29, -39, 54, 151, -65, -61, 146, -20, 105, 23, -27, 39, -100, 121, 258, 131, -29, 21, -11, -8, 26, -51, 79, -71, 170 },
{ 2, 28, -15, 17, -21, 15, -10, -11, -31, -6, 26, -20, 20, 25, 49, -9, -6, 24, -49, 47, -32, -14, -103, 192, -19, -8, 10, -21, 27, -76, 155, 217, 197, -99, 43, -7, 4, 4, -29, 66, -98, 206 },
{ -17, 7, -181, 15, -58, 114, -26, -25, 7, -33, 7, -235, 30, 52, 40, -36, -6, 106, 17, -46, -23, -90, 194, 73, 12, -22, 22, -56, 53, -67, 59, 398, -66, 107, -17, 51, -71, 7, -147, 45, -43, 118 },
{ -5, 21, -41, 13, 176, -15, 27, -49, 24, -15, 13, 66, -17, 114, -12, -24, -28, 14, -40, -22, -19, -109, 170, 86, -22, -11, 26, -25, 63, -62, 50, 386, 35, 62, 24, -23, -21, 46, -36, 22, -66, 101 },
{ -87, 15, -16, 22, 16, 7, -21, -49, 54, -48, 4, -55, 295, 59, -13, -25, -9, 30, -136, -54, 59, -70, 100, 115, -8, 80, 11, -41, 37, -103, 140, 365, 107, -93, 37, 206, 15, 7, -65, 106, -70, 199 },
{ 11, -34, -93, 234, 304, 301, 37, -47, 86, -81, -11, -16, -46, 30, 58, -65, -37, -302, 20, -7, 74, -111, 86, 220, -45, 29, 28, -187, 121, -64, 173, 234, 268, -145, 54, 36, 33, -45, -54, -14, -34, 170 }
 },
{ 
{ -128, -39, 69, 29, -14, 27, 42, 32, 30, -22, 31, 31, 41, 28, 29, 25, -9, 27, 33, 35, 36, 30, 36, 30, 36, -34, 34, 34, 41, 48, 52, 48, 33, 38, 34, 39, -91, 67, 40, 47, 42, 55 },
{ -60, -39, 71, 58, -12, -3, 11, -12, 72, -23, 29, -20, 19, 11, 20, 70, -25, -14, 28, 13, 31, 15, 40, 39, 103, -72, 8, 12, 21, 36, 61, 75, 53, 36, 36, 92, 58, -26, 9, 15, 52, 81 },
{ -103, -52, 79, 31, -9, 21, 33, 9, 20, -19, 23, 28, 30, 21, 17, 30, -15, 17, 23, 37, 37, 14, 32, 29, 47, 17, 9, 27, 31, 42, 52, 36, 44, 24, 29, 68, 63, -22, 42, 29, 48, 64 },
{ -48, -55, 168, -55, 10, 7, 7, 24, 23, -11, 17, 30, -38, 38, 11, 27, 5, 15, 15, 16, 19, 16, 18, 8, 58, 54, -3, 9, 27, 36, 46, 37, 26, 8, 23, 117, 187, -19, 17, 12, 33, 52 },
{ 135, -173, 111, 110, 45, 57, -85, -41, 67, -79, 108, -83, 109, -190, 77, 91, -61, -32, 104, 97, -95, -83, 97, -187, 280, -32, 40, 36, -64, -91, 107, 73, 111, 92, -56, 114, 240, -90, -117, 109, 74, 147 },
{ -63, 11, 34, -16, -34, 40, 142, -38, 31, -16, 10, 44, -51, 44, 34, -88, 23, -17, -38, 39, 10, 90, -72, 89, 144, -48, 27, 203, -54, 84, 140, 198, 303, 154, -96, 60, -10, -185, 46, -97, -19, 226 },
{ 7, -17, 19, -27, -13, 27, 32, 84, -128, -15, -10, 17, 44, 49, 110, -177, -20, 16, 14, 19, 29, 31, -19, -61, 142, -43, 72, -66, 51, 50, -79, 41, 203, 207, 171, 181, -84, 72, -80, -37, 16, 253 },
{ -18, 25, 67, -44, -22, 24, 26, 74, -178, -50, -9, 72, 76, 24, -120, 139, 29, -21, 92, -67, 55, -36, 54, -138, 298, -66, 48, 29, -54, 47, -40, 87, 135, 264, 108, 108, -101, 106, -77, -63, 82, 156 },
{ 48, 14, -71, 30, 111, 19, 71, -24, -44, 21, -45, -185, 63, 178, -33, 51, -27, 28, -50, 59, 35, 18, -59, -49, 55, 87, -42, 73, -147, -102, -26, 152, -36, 237, 232, -51, -24, 30, -25, -32, 39, 477 },
{ 24, -10, 21, -33, -34, 47, -27, -15, 131, -33, 8, -44, 41, -13, 78, -142, 49, -41, 17, 43, 116, -80, -27, 145, 215, -50, 60, -29, 27, 67, 50, 139, 313, 108, 213, -105, 22, -80, 110, -119, 44, 230 },
{ -116, -5, 52, -35, -24, 22, 38, 17, 38, -31, 20, -16, 38, 30, 21, 48, -25, 21, 24, 29, 50, 59, 56, 29, 66, -28, 31, -19, 34, 53, 102, 95, 63, 35, 14, 37, -118, 39, 31, 49, 51, 99 },
{ 30, -37, 30, -43, -20, 31, -31, 125, -174, 39, -14, -33, 46, -87, -28, 220, 18, -25, 32, 85, 86, -101, 335, 205, -171, 26, -18, -38, 106, -76, 27, 436, 73, -160, 69, 8, -26, -12, 21, 77, -117, 90 },
{ -128, -21, 39, 34, -27, 41, 56, 26, -32, -52, 29, 33, 57, 36, 35, -42, -28, 36, 36, 38, 54, 43, 40, 22, 23, -28, 37, 38, 48, 58, 79, 61, 50, 40, 26, 26, -114, 60, 61, 65, 62, 74 },
{ -119, -16, 44, 24, -39, 39, 54, 22, -42, -49, 36, -19, 60, 32, 38, -44, -41, 31, 35, 39, 43, 44, 46, 25, 27, -40, 47, 40, 49, 59, 85, 62, 60, 48, 14, 49, -104, 70, 57, 62, 62, 92 },
{ -99, 11, 47, -46, -29, 29, 35, 26, -39, -35, 8, 16, 25, 29, 32, 30, -33, 28, 13, -23, 48, 49, 68, 45, 80, -57, 44, -23, 40, 50, 103, 100, 75, 35, 25, 84, -106, 41, 27, 40, 53, 111 },
{ -78, -27, 24, 28, -45, 41, 46, 23, -49, -53, 17, 29, 45, -17, 53, -55, -47, 41, 51, -36, 45, 41, 44, 26, 17, -49, 42, 35, 46, 68, 78, 80, 56, 40, 25, 57, -91, 94, 41, 49, 72, 137 },
{ -65, -15, 88, -94, -17, 22, 24, 59, -50, -46, 39, -17, 42, -28, 40, -12, -59, 40, 23, 23, -35, 51, 56, 60, 82, -72, 55, -38, 27, 29, 102, 107, 96, 52, 30, 116, -73, 21, 38, 26, 45, 150 },
{ -44, -29, 57, -35, -39, 24, 45, 58, -45, -55, 25, 37, -44, 49, 14, -43, -33, 32, 50, -56, 52, -50, 33, 29, 12, -52, 56, -26, 45, 62, 84, 77, 52, 38, 25, 67, -50, 100, 11, 45, 100, 218 },
{ -43, -20, 68, -64, -22, 25, 27, 62, -80, -34, 24, 27, -31, 38, -34, 49, -51, 38, 31, -22, 16, -46, 25, 23, 91, -81, 46, -38, 25, -20, 91, 104, 102, 65, 16, 186, -49, 28, -22, 23, 102, 211 },
{ -65, 82, 45, -117, -37, 19, 40, 66, -63, -45, 67, -43, 44, -34, 24, 69, 13, -18, 43, -17, 32, -37, 54, 103, 194, -89, 34, 35, -46, 6, 68, 113, 105, 45, 89, 102, -56, 40, -44, -62, 55, 151 },
{ -14, -7, 19, -14, -16, 20, 33, -15, 27, -57, 8, 30, -27, 35, 12, -57, -31, 54, 6, -32, 24, -21, -21, 41, -16, -44, 5, 2, -1, 21, 54, 60, 51, 28, 37, 88, 162, -37, 11, 76, 157, 244 },
{ -21, 49, -27, -28, -27, 8, 38, 48, -63, -24, 16, 42, -36, 24, 47, -48, -36, 21, 40, -19, 19, -28, 7, -13, 65, -88, 16, 34, -40, -35, 26, 70, 99, 119, 86, 227, 52, -39, -51, -17, 158, 252 },
{ -149, 24, -80, 19, 29, 44, -98, -31, -47, -7, 29, 7, -7, 39, -58, 217, -106, 77, -28, 26, 147, -95, 46, 221, -72, 13, -54, 201, 25, 59, 169, 351, 229, -75, 45, -12, -18, 50, -32, 137, -80, 137 },
{ -131, -18, 43, 26, -43, 37, 47, 12, 28, -38, 26, 28, 55, 38, 21, -29, -41, 31, 32, 46, 56, 48, 49, 18, 30, -29, 44, 32, 42, 54, 84, 69, 49, 44, 20, 50, -121, 33, 48, 58, 63, 81 },
{ -117, 55, 32, -59, -27, 38, 23, 23, 42, -4, 24, -26, 17, -47, 74, 109, 15, 19, -30, 21, 22, 52, 69, 110, 114, -24, 44, -10, -18, 45, 93, 112, 100, -39, 41, 18, -108, 15, 36, -35, 56, 95 },
{ -71, 44, 46, -96, -31, 74, -12, 34, 56, -9, 32, -19, 23, -60, 66, 210, 35, -6, 21, -11, 50, -58, 81, 154, 135, -37, 25, 15, -9, -33, 70, 142, 107, -25, 19, 55, -64, 33, -41, -21, 31, 111 },
{ -16, 56, 63, -50, -64, -16, -13, 86, -92, 59, -28, 24, 79, 81, -167, 179, 29, -37, -54, 31, -68, 163, 108, 366, 153, 35, 90, -65, 89, 110, -44, 245, 200, -86, -120, -107, -45, 47, 74, 57, -111, 48 },
{ 17, -22, 13, -17, -9, 8, 56, 22, -23, -31, 31, -15, 11, -17, 25, -18, 13, -6, -6, 11, 84, -23, 14, 11, -53, -82, 29, -33, 34, -43, 64, 80, -37, 57, 52, -30, 44, 72, 33, 70, 94, 428 },
{ -54, -30, 58, -31, -28, 30, 31, 40, -40, -43, 25, 15, -20, 32, 42, -53, -45, 32, 22, 27, 54, 49, 54, 33, -28, -31, 36, 8, 34, 86, 136, 109, 56, 45, -10, 34, -64, 51, 47, 30, 64, 162 },
{ -50, -13, 50, -63, -16, 17, 20, 51, -41, -33, 27, -22, 28, 27, 50, -44, -29, 18, 26, -24, 48, 57, 81, 22, 46, -21, 28, -17, 25, 73, 134, 140, 80, 50, -32, 49, -85, 21, 30, 29, 63, 162 },
{ -33, -23, 58, -44, -45, 30, 29, 38, -50, -45, 31, 15, -35, 39, 29, -56, -56, 64, -19, 32, 50, -29, 68, 58, -57, -50, 54, -23, 61, 68, 128, 106, 56, 36, 14, 43, -66, 74, 62, 26, 61, 195 },
{ -35, 10, 26, -45, -28, 10, 33, 38, -73, -23, 39, -7, -29, 43, 55, -75, -44, 11, 49, -35, 66, -27, 82, 48, 30, -49, 18, 32, -21, 55, 121, 141, 87, 62, -13, 91, -101, 46, 49, 31, 54, 186 },
{ -50, 37, 41, -80, -16, 6, 51, 57, -100, -37, 28, -10, -22, 29, 58, -51, -30, 26, 43, -41, 41, -28, 102, 80, 72, -33, 58, -40, 33, -22, 108, 178, 118, 45, 20, 75, -122, 49, -20, 34, 55, 183 },
{ -25, -24, 42, -32, -25, 13, 40, 32, -40, -52, 21, 22, -23, 23, 36, -73, -67, 46, 46, -21, 18, -18, 50, 61, -68, -56, 58, 34, -46, 73, 98, 94, 85, -28, 57, 55, -59, 101, 34, 35, 82, 259 },
{ -34, 16, 38, -46, -34, 25, 31, 46, -93, -33, 12, 7, 18, -11, 80, -94, -68, 59, 29, -43, 29, -33, 41, 37, 29, -81, 68, -32, 45, -18, 107, 132, 93, 129, -44, 134, -68, 40, 52, 14, 72, 250 },
{ -43, 42, 45, -78, -17, 8, 29, 46, -82, -36, 25, 18, -17, 37, 42, -87, -45, 26, 42, -41, 33, -32, 44, 103, 63, -63, 68, -24, -14, 10, 78, 118, 142, 69, 59, 146, -116, 53, -23, 29, 62, 210 },
{ -45, 76, 38, -98, -37, 47, 37, 57, -128, -43, 47, -29, 38, 26, 47, -51, -55, 30, 15, 9, 12, -21, -40, 203, 159, 31, 36, -25, 24, -44, 66, 132, 166, 95, 46, 102, -111, 37, -36, -59, 39, 191 },
{ -14, -33, 56, -37, -36, 32, 37, 31, -42, -57, 33, 14, -26, 25, 34, -64, -44, 56, 37, -37, -23, 40, -16, 56, -57, -77, 70, -46, 55, -41, 132, -51, 121, -55, 92, 57, 100, -69, 34, 70, 144, 333 },
{ -26, 22, 19, -27, -27, 24, 17, 34, -59, -46, 57, -25, 11, 49, 38, -102, -58, 60, 22, -35, 33, -24, -22, 65, -53, -84, 78, -46, 24, -26, 54, 90, 100, 86, 86, 132, -63, 75, -19, 27, 119, 292 },
{ -16, 46, -29, -41, 36, -17, 69, 36, -122, -38, 40, -14, 32, 79, 55, -139, -34, 28, 47, -27, 58, -54, -43, 71, 218, -112, 107, -76, 64, -59, 44, 99, 147, 167, 109, 107, -83, 107, -68, -53, 82, 194 },
{ 4, -23, -12, -7, 16, 15, 23, 36, -25, -61, 16, -12, 26, -12, 33, -56, -30, 57, 23, 14, -20, 23, -19, 64, -73, -97, 77, -46, -27, -35, 33, 62, -86, 80, 61, 45, 150, -94, 47, 72, 227, 357 },
{ -13, 13, 28, -30, -19, 16, 23, 26, -32, -31, 26, -4, 28, 8, 65, -93, -50, 46, 27, -14, 9, -20, 25, 44, -103, -104, 89, -60, 14, -48, 35, 31, 152, -69, 198, 148, -58, 102, -33, 75, 143, 324 },
{ 40, -49, 28, -41, -26, 79, 17, 42, -32, -69, 39, -61, 45, 49, -21, -78, -58, 94, 20, -31, 33, 51, 13, 68, -116, -58, -25, 18, -60, -27, 49, -23, 35, -18, 41, 73, 345, -65, 117, 45, 190, 231 },
{ -8, 58, -23, -7, 22, -19, 41, 33, -34, -36, 50, 5, 17, 38, 72, -119, -43, 28, 31, 56, -21, -39, 85, 80, -183, -122, 83, -40, 35, -35, 41, 29, 71, 98, 224, 222, -74, 108, 4, 25, 134, 234 },
{ -45, -19, 58, -82, -7, 18, 47, 40, -66, -10, 15, -19, -23, 38, 31, 51, -19, -6, 37, -40, 46, 64, 111, 23, 68, -16, 17, 30, -39, 38, 139, 162, 109, 50, 15, -59, -86, 65, 39, -40, 55, 162 },
{ -56, 29, 47, -134, -36, 46, 26, 61, -28, -16, 26, -23, 44, -44, 68, 102, -14, 35, 37, -36, -18, 75, 110, 119, 95, 19, 31, -16, -44, -21, 118, 183, 142, -52, 12, -85, -96, 44, 12, 26, 30, 150 },
{ -53, 67, 49, -141, -43, 32, 53, 82, -117, -23, 32, -29, 39, -29, 81, 36, -24, 15, 34, -37, 27, -51, 96, 131, 131, -12, 49, 22, -50, 20, 80, 164, 146, 44, 3, 37, -125, 41, 22, -47, 34, 160 },
{ -62, -13, 48, -105, 35, 38, 35, 46, -75, -34, 36, -13, 29, 11, 29, 238, 19, -19, 26, 17, 22, -56, 173, 156, 104, 45, 20, -20, 35, -28, 105, 195, 125, -91, -32, -87, -71, 33, 39, -9, -15, 109 },
{ -58, 74, 66, -121, -23, -53, 46, 90, -96, -12, 23, 46, 28, 32, -5, 162, -32, 37, 31, -30, 18, -73, 93, 189, 156, 32, 31, -27, 42, -50, 76, 159, 129, 32, -32, -39, -88, 40, 43, -47, 19, 128 },
{ -25, 60, 101, -103, -47, -38, 60, 41, -90, 50, 64, 56, 69, 19, -73, 85, -71, -16, -26, 49, -67, 36, -13, 186, 274, 85, -30, 30, 78, -48, 129, 95, 167, 128, 78, 99, -135, 79, -59, -41, -39, 108 },
{ -26, -28, 49, -14, -28, 28, 26, 16, -40, -22, 22, -18, 20, 25, -30, 30, -30, 9, 40, -17, 42, 22, 72, -37, -25, -38, 9, 16, 15, 106, 187, 131, 32, 43, 30, -37, -28, 53, 49, -14, 65, 220 },
{ -22, -16, 36, -30, -17, 19, 23, 36, -42, -18, 16, -28, 11, -14, 64, -58, -18, 12, 37, -13, 27, 51, 77, -20, 48, -29, 17, 29, -44, 65, 186, 171, 71, 42, 20, -38, -26, 30, 20, -29, 67, 222 },
{ -21, -26, 42, -31, -15, 19, 33, 22, -38, -40, 33, -17, 17, -30, 64, -58, -35, 33, -13, 15, -13, 57, -31, 53, -35, -41, 19, 16, 33, 75, 162, 121, 65, 20, 39, -30, -31, 62, 59, 13, 41, 265 },
{ -30, 14, 30, -19, -35, 16, 24, 28, -74, -23, 30, 9, -23, 6, 52, -60, -25, 35, -17, -18, 55, -30, 75, 83, -47, -25, 28, -25, 33, 41, 139, 169, 96, 37, 16, 50, -65, 23, 44, -12, 62, 250 },
{ -24, 28, 27, -50, -31, 15, 30, 49, -87, -17, 31, -43, 18, -14, 89, -92, -16, 30, 29, 16, -44, 39, 62, 75, 65, -29, 27, 7, -18, -23, 153, 163, 142, 72, 49, -33, -65, 23, 26, -35, 56, 224 },
{ -23, -17, 36, -24, -18, 10, 42, 27, -40, -39, 17, -4, 4, -20, 28, -28, -35, 22, 44, -37, 27, -29, 56, 39, -85, -60, 53, -36, 38, 58, 104, 90, 64, 39, 28, 18, -41, 89, 34, 20, 60, 313 },
{ -35, 27, 39, -17, -16, -13, 13, 29, -66, -34, 22, 41, -21, 21, 72, -107, -48, 48, -12, -19, 30, -51, 55, 72, -50, -42, 45, -37, 29, 19, 96, 146, 124, 42, 55, 81, -78, 50, 31, 16, 64, 273 },
{ -35, 45, 30, -34, -10, -28, 22, 70, -107, -11, -24, 42, 26, -16, 76, -135, -18, 32, 19, -20, 29, -38, 56, 87, 40, -53, 59, -43, 36, -29, 72, 172, 160, 120, 43, 80, -96, 33, 4, -15, 57, 247 },
{ -34, 70, 54, -85, -45, 18, 16, 55, -97, -47, 28, 10, 21, 64, 27, -102, -39, 60, 22, 32, 27, -52, -57, 195, 109, 39, 56, -18, -29, -70, 42, 158, 227, 158, 57, 59, -108, -15, -29, -57, 36, 226 },
{ -10, -38, 32, -18, -11, 22, 55, 23, -32, -48, 20, 8, -5, -24, 53, -64, -49, 29, 45, -7, -37, 50, -19, 31, -58, -113, 72, 19, -37, 65, 124, -54, 123, 47, 76, -41, 64, 64, 11, 34, 120, 336 },
{ -20, 36, 34, -43, -27, 24, 29, 43, -108, -45, 36, -15, 56, 32, 92, -154, -30, 21, 29, 6, -20, 18, -48, 53, 50, -59, 42, 42, -91, 21, 51, 93, 156, 124, 89, 167, -103, 41, -31, 18, 94, 244 },
{ 30, -6, 50, -4, -7, 16, -12, 8, -5, -4, 10, -23, 30, -14, 8, -5, -6, 12, -20, 37, 105, 23, -14, 5, 2, -5, 14, -28, 43, -71, 265, -51, 29, -14, 77, 2, -5, 102, -14, 16, -14, 117 },
{ -28, -17, 33, -55, -13, 37, 16, 47, -51, -22, 23, 5, -24, 40, -16, 32, -4, 18, 14, -11, -21, 51, 150, -19, 52, -13, -6, -2, -19, 43, 174, 202, 88, 47, 13, -76, -25, 39, 42, -28, 41, 183 },
{ -38, 22, 25, -67, -24, 33, 30, 60, -102, -8, -21, 23, -23, 32, 42, 101, -21, 14, 28, 18, -23, -48, 183, 87, 74, 15, 36, 21, 22, -81, 146, 270, 158, -48, -14, -116, -50, 53, 32, -25, -43, 167 },
{ -52, 53, 32, -72, 30, -27, 32, 46, -107, -33, 6, 19, 21, 38, 29, -48, -12, 16, 31, 37, -30, -51, 88, 169, 137, -24, 50, 12, -14, -79, 99, 225, 202, 50, 27, -97, -74, 68, 17, -58, -20, 208 },
{ -36, 22, 40, -94, -11, 33, 46, 70, -106, -28, 22, -40, 35, -18, -63, 187, -36, 26, 9, 57, -72, 48, 273, 170, 72, 29, 44, -23, 28, 53, 65, 282, 132, -71, -54, -121, -35, 39, 76, -26, -83, 80 },
{ -31, 43, 51, -70, -10, -24, 24, 113, -149, -18, 17, -12, 71, -30, -61, 78, -27, 18, -14, 81, 49, -73, 96, 283, 169, 30, 14, 18, 35, -54, 24, 262, 261, -80, -47, -149, -52, 88, 12, 35, -94, 147 },
{ 102, -21, 16, 101, 36, -53, 29, 73, -166, -44, 23, 30, 86, -26, 87, 38, 64, -44, -45, 46, -35, -44, 99, 281, 236, -66, 108, 25, -64, 64, 46, 150, 223, 54, -228, 163, -41, 38, -20, 65, 67, 92 },
{ -14, -16, 51, -24, -21, 20, 25, 25, -21, -14, 13, -29, 20, -21, 31, -24, -16, 24, 7, 10, 25, -7, 23, 30, -30, -19, -14, -7, 7, 74, 243, 149, 15, -15, 35, -28, -18, 72, 13, 36, 36, 274 },
{ -20, -22, 42, -14, 21, 18, -10, 37, -22, -24, -5, -25, 19, -6, 43, -55, -8, 21, 20, 17, -32, 32, 78, 37, -23, -13, 21, -14, -13, 42, 226, 194, 28, 23, 47, -22, -23, 51, -12, 6, 30, 258 },
{ -14, -19, 21, -19, 21, -13, 41, 21, -19, -19, -11, 2, 15, -15, 42, -48, -23, 30, 21, -28, 33, -7, -27, 50, -36, -39, 18, -30, 22, 62, 172, 141, 37, 2, 35, -24, -17, 66, 33, 21, 51, 305 },
{ -23, 9, 34, -15, -13, 33, -10, 27, -28, -31, 29, -32, 9, 6, 35, -60, 26, -20, 36, -9, 18, -40, 64, 46, -21, -36, -5, 17, -25, 53, 141, 213, 69, 42, 44, -22, -27, 57, 16, -23, 47, 275 },
{ -31, 21, 41, -20, 15, -36, 26, 34, -64, -36, 26, -20, 3, 37, 60, -106, 30, 8, 14, 22, -22, -44, 68, 78, 60, -24, -29, 19, 29, -27, 135, 238, 142, 43, 49, -67, -30, 40, 30, -51, 11, 246 },
{ -9, -39, 44, -30, 6, 13, 21, 32, -13, -20, 2, -9, 8, -12, 32, -39, -29, 28, 17, -23, 32, -19, -22, 53, -56, -60, 55, -21, -29, 75, 106, 111, 60, 11, 32, -26, -23, 97, 22, 29, 48, 360 },
{ -18, 11, 22, -21, -16, 19, 24, 17, -39, -23, 30, -28, 27, -9, 57, -67, -16, 32, 4, 5, -20, -13, -12, 83, -60, -41, 43, -47, 51, -23, 132, 145, 117, 49, 31, 44, -43, 46, 11, -9, 49, 349 },
{ -26, 32, 38, -27, -25, -14, 30, 39, -57, 22, -13, 18, -22, -9, 102, -155, -14, 20, 22, 6, 26, -23, -28, 104, 58, -39, 23, 7, 9, -48, 105, 180, 196, 87, 93, -42, -44, 49, -6, -35, 19, 307 },
{ -31, 40, 49, -32, -28, 22, -19, 30, -66, 21, -36, 56, 21, 44, 113, -210, -39, 20, 30, 28, 23, -56, -95, 228, 144, 24, 63, -24, 19, -76, 36, 196, 251, 165, 94, -80, -52, 28, -35, -87, -24, 250 },
{ -10, -27, 25, -21, 11, -3, 37, 20, -4, -20, 4, 11, -5, 9, 14, -34, -38, 30, 24, -28, 31, -43, 10, 56, -89, -101, 101, -84, 71, -30, 106, 81, 67, -23, 115, -63, 38, 76, 17, 29, 94, 399 },
{ -13, -23, 34, -20, 19, -17, 53, 18, -44, -32, 27, -10, -17, 14, 69, -91, -14, 36, -24, 31, -13, -4, -32, 63, -79, -73, 71, -51, 55, -63, 99, 102, 127, 77, 61, 102, -61, 62, 23, -22, 76, 356 },
{ -11, 34, -24, -11, -31, 45, 27, 48, -76, -17, 15, -34, 18, 19, 107, -147, -21, 39, 34, 16, 7, -16, -33, -16, 66, -46, 53, -13, -11, -55, 55, 112, 193, 197, 26, 114, -82, 26, -23, -15, 79, 287 },
{ 26, -49, 69, -62, 43, 25, -21, 50, -75, -16, -28, 26, 64, 52, 142, -277, -48, 32, 45, 9, 37, -12, -76, 41, 211, 80, -42, 32, 24, -42, 21, 72, 246, 246, 195, -81, -76, 63, -50, -89, -29, 268 },
{ -18, 38, -21, -17, 72, -16, 39, 74, -109, -19, -19, -27, 59, 46, 86, -202, -11, 16, 56, 35, 35, 19, -56, 50, 304, 16, 14, -37, 52, 43, -44, 109, 294, 195, 109, -119, -82, 74, -66, 41, -75, 228 },
{ 5, -12, -8, -25, 5, 29, 37, 38, -26, -29, -20, 33, -35, 37, -12, -21, -39, 39, 18, 3, 45, -25, 16, 41, -99, -112, 43, 47, -43, -39, 106, -49, 81, 47, 27, 25, 120, -29, 81, 52, 167, 386 },
{ -9, 33, -42, 38, -23, 40, 14, 16, -59, -17, 22, 22, 16, 23, 85, -138, -55, 42, 21, 16, -10, 52, -54, 57, -56, -92, 75, 17, -7, -66, 25, 45, 122, 153, 147, 193, -74, 63, -26, -13, 104, 270 },
{ 29, -38, -4, -15, 48, -4, 34, 17, -7, -45, -49, 35, 30, 16, -40, -21, -16, 47, 19, 17, 63, -13, 38, 50, -122, -101, -33, 31, -19, -28, 40, 34, -31, 55, 34, 30, 183, -57, 122, 124, 217, 297 },
{ 3, -19, 30, -10, 14, 50, -1, -9, -7, -28, 24, 23, 21, -18, 30, -22, -39, 53, -18, 34, -49, 91, 46, 36, -216, -120, 73, -16, -34, -29, 67, 12, 65, -50, 226, 164, 115, -102, 85, 54, 217, 326 },
{ -28, 20, 43, -40, 15, -26, 22, 49, -53, -41, 16, -13, 25, -25, 62, -36, 7, 10, 21, 24, -49, 23, 134, 56, -18, 23, -24, -13, 43, -28, 175, 253, 64, 16, 46, -41, -28, 36, 7, 11, -50, 235 },
{ -21, 8, 33, -46, 16, -31, 17, 72, -114, -36, 21, -16, 56, -46, 33, 104, 26, 28, -26, 51, -52, -28, 258, 73, -78, 8, -17, 17, 48, -44, 118, 380, 75, -41, 31, -43, -31, 15, 23, 32, -102, 173 },
{ -30, 36, 57, -46, -20, -21, 11, 73, -128, 20, 21, -24, 45, 26, -35, 86, -31, -28, 24, 30, -37, -39, 186, 78, 74, 30, -10, 55, 46, -62, 87, 318, 156, -8, -51, -87, -29, 18, 65, -11, -83, 187 },
{ -33, 43, 44, -41, -6, -22, 7, 55, -101, -38, 33, -9, 37, 25, 30, -71, 21, 31, -6, 21, -3, -43, 75, 160, 126, -27, 10, 16, 40, -58, 83, 264, 222, -13, 28, -110, -46, 65, 11, -33, -52, 222 },
{ -8, -29, 48, -16, 38, -35, 52, 94, -135, -32, 23, -73, 128, -42, -169, 183, 27, -16, -37, 45, 58, -140, 333, 210, -101, -16, -14, 17, 54, 87, -70, 404, 206, -90, 29, -78, -15, 44, 55, 34, -139, 120 },
{ -30, 37, 79, -46, -27, 16, 13, 72, -112, -8, -13, -37, 73, 53, 41, -104, -34, 47, 45, 53, 28, -63, -53, 299, 174, -15, 72, -20, -28, 44, -15, 145, 284, 133, 39, -129, -46, 102, -13, -77, -66, 194 },
{ -50, -6, 43, -39, 31, 26, -10, 111, -256, 15, -36, 39, 41, 178, -137, 359, -38, 37, -51, 54, -83, -72, 239, 262, -153, 23, 10, -63, 62, 189, 35, 345, 145, -161, 60, -64, 12, -22, 68, 37, -107, 33 },
{ 25, -42, 42, -67, -13, 21, 22, 100, -196, -26, -24, 64, 41, 94, -93, 166, 7, 43, -51, 43, 70, -107, 160, 244, 198, -25, 52, -17, 105, -67, 60, 248, 248, -85, -99, -198, 11, 52, 85, 64, -85, 112 },
{ 35, -33, -36, 63, 36, 44, -75, 137, -142, -36, 37, -10, 89, 67, -87, 14, 15, -22, 39, -53, 100, -54, 35, 344, 229, -37, 53, 48, 25, 76, -59, 212, 264, -101, 107, -112, -52, 109, 26, -28, -88, 139 },
{ -9, -24, 25, -24, 10, -13, 73, -22, 20, -12, -16, -6, 45, 17, -18, -22, 36, -10, 14, 23, -73, 15, 13, 31, -17, -36, -15, -9, 20, 36, 284, 109, 29, -21, 36, -24, -9, 73, 19, 69, -66, 340 },
{ -15, -20, 29, -21, 46, -21, 54, -27, 44, -20, 10, -22, 27, 27, -26, -48, 20, -28, 37, 29, -83, 29, 67, 41, -22, -20, -25, 37, 35, -28, 249, 199, 45, -5, 65, -17, -20, 66, -10, 36, -114, 319 },
{ 5, -36, 31, -42, 22, -12, 62, 13, -8, -19, -8, 6, 21, 11, -11, -20, 22, 8, -5, 26, -62, -27, 26, 21, -22, -30, -19, -7, 15, 14, 208, 113, 40, -24, 26, -28, -16, 74, 29, 67, -69, 412 },
{ -21, 14, 29, -13, 12, -30, 15, 32, -23, -23, 21, -17, 26, 5, 39, -37, -10, 15, 14, 25, -43, 19, -19, 42, -47, -20, 17, -31, 30, -28, 149, 159, 112, 21, 63, -15, -23, 59, -5, 54, -48, 366 },
{ -10, -17, 24, -24, 18, 53, -35, 56, -25, -31, 21, -54, 64, -12, 45, -71, 10, -36, 42, 41, -58, -38, 93, 52, 31, 17, -20, 25, 36, -37, 114, 268, 129, 29, 58, -46, -20, 26, -13, 22, -94, 289 },
{ 4, -30, 12, -21, 15, -9, 56, 17, -12, -8, 5, -5, 8, -5, 15, -23, -19, 17, 11, -37, 57, -39, -12, 39, -38, -45, 25, -7, -29, 57, 106, 96, 35, -7, 51, -32, -9, 66, 42, -21, 78, 382 },
{ 11, -19, 26, -32, 36, -36, 26, 48, -29, -45, 51, 20, -18, 21, 55, -116, -16, 19, 13, 28, -8, -53, 27, 39, 57, -24, 27, -12, 18, -10, 78, 182, 204, 87, 76, -55, -21, 27, 24, -47, -37, 314 },
{ 10, -10, 38, -49, 24, -15, 17, 73, -41, -41, 62, -29, 32, 9, 92, -182, 15, -15, 31, 39, 16, -51, -79, 162, 128, 15, 11, 28, -7, 71, -60, 273, 295, 87, 86, -92, -40, 48, -41, -54, -74, 243 },
{ 10, -17, 19, -36, -5, 8, 51, 16, -17, -19, 25, -28, 13, -2, 15, -14, -26, 20, -16, 17, 48, -35, -8, 28, -48, -64, 50, -39, 52, -75, 127, 48, 66, -24, 77, -43, -20, 120, 37, -19, 61, 457 },
{ -7, -18, 24, -20, 35, -45, 40, 20, -28, -26, 9, 15, 37, -21, 48, -43, -18, 20, 15, -15, 19, -54, 15, 17, -67, -45, 33, -34, 31, -29, 70, 115, 119, 82, 10, 91, -41, 56, 15, -16, 63, 416 },
{ -9, -22, 67, -45, 29, -42, 47, 26, -32, 5, -12, 12, -19, 33, 80, -121, -28, 44, 22, 14, 21, -40, 25, -67, 70, -22, 14, 18, -19, 14, -47, 172, 205, 143, 81, 68, -61, 58, -43, -75, 59, 331 },
{ -11, -30, 86, -57, 65, -47, 40, -66, 41, 29, -28, 56, 13, 48, 124, -232, -38, 23, 54, 35, 42, -77, -101, 121, 113, 53, 32, -57, 50, -51, 55, 98, 271, 278, 147, -65, -55, 27, -52, -107, -6, 291 },
{ 4, -19, 11, -29, 14, 8, 56, 19, -20, -16, -14, -7, 25, -14, 21, -16, -18, 23, 15, -11, 78, -33, 8, 40, -81, -126, 84, -49, -37, 94, -56, 98, 32, 24, 87, -56, 73, 74, 39, 69, 143, 369 },
{ -14, 28, 12, -19, 4, -13, 31, -9, 30, 13, -16, 17, 9, -17, 59, -63, -35, 27, -5, 11, 43, 3, -35, 65, -149, -75, 55, -40, -30, 31, 68, -45, 179, 69, 103, 113, -60, 84, 28, 20, 104, 385 },
{ -9, -22, 80, -67, -17, 49, -21, 18, 46, 4, 16, -8, -13, 38, 98, -148, -36, 6, 27, 29, 39, -36, 17, 40, -90, -52, 60, 11, -23, -59, 26, 33, 180, 212, 83, 182, -83, 57, -2, -30, 80, 324 },
{ -17, -14, 32, -10, 24, 41, -20, 32, -32, -19, -25, -31, 62, 17, 50, -53, -15, 43, 22, 47, -84, -24, 122, 60, -26, 11, 29, -56, 82, -58, 172, 305, 47, 15, 58, -27, -25, 47, -37, 69, -135, 237 },
{ -17, -25, 55, -13, 27, 22, -47, 81, -126, -15, -18, -49, 82, -42, 49, 71, 23, -25, 48, 75, -112, -43, 204, 102, -45, -11, -22, 44, 81, -57, 124, 387, 78, -29, 26, -40, -17, 49, 7, 26, -138, 148 },
{ -18, -16, 41, -32, 39, 26, -28, 68, -51, -32, -62, 24, 40, -21, 32, -113, 10, 26, 34, 23, 42, -67, 93, 177, 111, 10, -22, 27, 49, -64, 42, 344, 229, -65, 35, -99, -22, 43, -8, 18, -74, 198 },
{ -13, -39, 58, -35, 74, -27, -26, 71, -72, -19, -58, 68, 95, 86, -188, 76, 33, -18, -20, 69, -52, -120, 95, 266, 139, -26, 42, 23, 35, 106, -48, 364, 316, -72, -146, -86, -23, 47, 61, 43, -124, 142 },
{ -25, 43, -18, -13, 63, 37, -26, 102, -65, 8, -50, 32, -16, 85, 55, -149, -31, 56, 12, 63, 51, -79, -73, 288, 204, 8, -20, 32, 49, -67, 78, 223, 312, 58, 26, -142, -52, 73, 46, -62, -123, 207 },
{ -38, 38, 49, -41, 47, -82, -35, 213, -222, -10, 29, -64, 94, -41, -253, 408, 45, -40, 46, 104, 179, -100, 378, 119, -280, -29, 55, 30, -69, -107, 135, 344, 116, -187, 138, 14, -11, -30, -66, 79, 157, 101 },
{ -30, 12, 32, -18, -50, 50, -21, 68, -61, 47, 19, -72, 57, 101, -332, 207, 22, -18, -44, 76, 118, -199, 256, 351, -215, 30, -58, 56, 89, -71, 176, 375, 98, -166, 97, -28, 37, -51, 81, -37, 123, 118 },
{ -11, 74, 24, -24, -36, -39, 28, 127, -79, 21, -20, 51, -61, 146, -212, 50, 51, -62, 46, 85, 47, -125, 152, 333, 107, 42, -37, -38, 59, 172, -77, 356, 260, -115, -131, -65, -23, 20, 110, 51, -120, 127 },
{ -53, 106, 74, -91, -53, -45, 40, 100, -204, 29, -17, 78, 84, 58, -138, 506, 37, -12, -34, -84, 33, -141, 235, 101, -257, 52, -23, 7, 148, 126, 152, 322, 74, -91, 103, 54, 28, -58, -87, 186, -35, 193 },
{ 9, -24, 37, -32, 21, -23, 64, 29, -7, -11, -16, -12, 52, -22, -12, 22, 17, -18, 26, 24, -94, 44, -7, -13, -8, -24, -11, -13, 17, 51, 231, 113, 56, -11, 13, -21, 13, -9, 67, 75, -84, 329 },
{ 9, -14, -15, -10, 22, -9, 47, -15, 35, -11, -19, 11, 37, 9, -14, -21, -8, 23, 14, 15, -93, 49, 32, -17, -17, -24, 41, -29, 19, 13, 165, 179, 70, 47, 55, -17, 12, -29, 46, 27, -105, 334 },
{ 5, -22, 10, -23, 13, -14, 62, 13, -8, 8, -32, 9, 13, 6, -13, 13, 8, -23, 36, -64, 64, -63, 29, -30, -10, -32, -14, -10, 22, 36, 161, 110, 38, 14, 20, -28, 5, 43, 53, 68, -99, 418 },
{ 5, -24, 16, -27, 28, 26, -32, 69, -19, -19, -33, 16, 27, 14, 59, -65, 22, -31, 46, 54, -99, -22, 38, 46, -13, -9, -24, 27, 7, -32, 186, 208, 154, 58, 50, -23, -19, 34, 37, -17, -110, 325 },
{ 6, -12, 8, -24, -12, 12, 59, -6, 11, -10, 7, -18, 11, -13, 8, -13, 12, 4, 3, -29, 68, -43, -10, 34, -24, -24, -12, -32, 43, -30, 121, 78, 40, -28, 29, -21, -16, 69, 25, 91, -100, 460 },
{ 6, -15, 34, -29, 15, -12, 11, 45, -8, -10, 18, -12, 20, -21, 31, -33, 4, -12, 38, -24, 42, -40, -18, 44, -41, -29, 29, -47, 15, 23, 91, 158, 110, 14, 75, -9, -18, 55, -20, 78, -67, 387 },
{ -8, -16, 23, -21, 27, -23, 46, -24, 25, -27, 46, -14, 21, 18, 36, -81, 25, -20, 23, 57, -38, -34, -30, 60, 37, -15, -9, 17, -20, 29, 50, 238, 180, 42, 71, -42, -18, 59, 14, -54, 50, 256 },
{ -24, 54, 17, -25, 19, -17, 21, -14, -17, -36, 56, -31, 66, 43, 81, -163, -18, 15, 54, 45, -32, -70, 50, 90, 136, 37, -31, 31, -12, 115, -55, 284, 256, 88, 36, -96, -14, 21, 42, -46, -84, 192 },
{ 3, -21, 10, -18, -7, 16, 59, 10, -12, -16, 16, -18, 14, -7, 10, -15, -6, 23, -14, -7, 77, -37, -7, 22, -32, -50, 22, -16, 23, -53, 90, 90, -14, 18, 61, -46, 22, 18, 83, -53, 98, 436 },
{ 4, -22, 14, -21, 28, 10, 36, -9, -7, -14, 24, -12, 19, -11, 41, -18, 11, -20, 33, -38, 62, -33, -24, 51, -73, -22, -24, 32, -9, -28, 56, 138, 87, 68, 55, 44, -27, 48, 26, -44, 75, 399 },
{ 7, -18, 40, -36, 21, 5, 25, -8, 37, -17, 29, -37, 14, -5, 64, -89, -14, 45, 49, 16, 52, -46, -55, 62, -40, -8, -27, 10, 34, -28, 32, 148, 226, 104, 158, -25, -26, 35, -4, -59, 40, 347 },
{ 6, -19, 44, -34, 26, 12, 24, -16, -18, -11, -32, 56, 14, 58, 120, -189, 41, -37, 74, 24, 51, -52, -47, -52, 126, -28, 21, 22, -37, 119, -53, 184, 265, 197, 142, -100, -17, 37, -14, -68, -18, 291 },
{ 66, -20, 96, -56, -32, 70, 65, -60, 80, 35, -16, -53, 28, 40, 125, -269, -22, 49, 54, -28, 70, 35, -116, 123, 227, -3, -32, 67, -30, 94, 102, 111, 285, 243, 72, -173, 40, -14, 46, -85, -79, 238 },
{ -2, -13, 19, -22, 31, -6, 5, 39, -13, 3, -20, 32, -12, 18, 26, -24, -27, 38, -21, 12, 42, -21, 23, 37, -118, -38, 21, -37, 28, -58, 102, -33, 179, 61, 41, 129, -56, 102, 18, 28, 65, 450 },
{ -7, -18, 28, -17, 12, -9, 35, -8, -8, 6, -6, -9, 62, 26, 41, -81, -17, -18, 42, 40, 48, -39, -36, 64, -100, -32, 45, -15, 22, -54, 35, 50, 210, 208, 76, 148, -63, 71, 6, -63, 81, 333 },
{ 27, -17, 16, -17, 13, 20, 6, 43, -27, -9, -61, 84, -20, 26, 106, -182, -50, 33, 80, -13, 60, 54, -61, -80, 75, 38, -56, 62, 22, -42, 48, 70, 207, 299, 233, 52, -108, 84, -27, -117, 69, 273 },
{ 55, -13, 21, -35, -18, 26, 22, 70, -101, -34, 50, -18, 61, -24, 199, -307, -7, -13, 16, 44, 77, 73, -134, 105, 216, 32, 14, -19, 20, 31, 118, -117, 330, 255, 77, 81, -116, 75, -83, 63, 49, 212 },
{ 29, -27, 28, -31, 22, -2, 62, 21, -16, -36, -28, 15, -2, 22, 31, -53, 35, -20, 14, 38, 65, -7, 50, 29, -100, -166, 58, -45, 43, -19, 55, 70, -34, 70, 50, -26, 183, -48, 129, 126, 198, 313 },
{ -1, -4, 45, -10, -18, 30, 32, 15, -37, -19, -10, 42, 13, 43, 149, -242, -29, 58, -40, 79, 35, 48, -40, 72, -43, -28, -27, 39, 25, 36, 39, 120, -88, 217, 318, 239, -125, 63, -72, 60, 187, 165 },
{ -14, -20, 37, -19, 17, 27, -45, 41, 44, -25, 33, -47, 76, -18, -32, -28, 19, -23, 18, 33, -130, 64, 64, -40, 11, -21, 45, -24, 37, 29, 204, 226, 34, 26, 50, -22, -17, 44, -63, 71, -127, 278 },
{ -12, -19, 25, -13, 42, -25, -35, 73, -27, -15, -39, 43, 67, -23, 46, -34, 26, -40, 51, 42, -125, -12, 75, 57, -31, -14, -15, 39, 42, -15, 151, 324, 31, 23, 63, -17, -17, 66, -28, 36, -131, 260 },
{ -9, -24, 17, -19, 27, 63, -37, 66, -72, -16, -20, -37, 90, 34, -26, 123, 32, -29, 64, 84, -152, -50, 161, 94, -73, 30, -12, -20, 63, -43, 105, 408, 47, -58, 57, 20, -35, 25, -32, 98, -154, 176 },
{ -26, -11, 39, -24, 19, 47, -66, 82, -95, 18, -25, -45, 63, 70, -57, 87, -29, -26, 60, 73, -79, -97, 157, 123, -62, 12, 50, 46, 49, -35, 111, 422, 72, 33, 73, -40, -15, 13, -45, 44, -158, 193 },
{ -11, -16, 30, -17, 33, -33, 8, 25, -25, -21, -21, 51, 22, 40, -32, -62, 25, -23, 24, 51, -41, -83, 134, 98, 64, 21, -41, 33, 77, -11, 100, 352, 168, 55, -29, -55, -27, 58, 27, -10, -111, 190 },
{ -23, 24, 15, -29, -22, 52, -71, 131, -129, 52, 16, -61, 110, -70, -112, 207, -11, -19, 94, 71, -148, 60, 212, 105, -157, 26, 19, -21, 46, 142, 88, 445, 95, -90, 72, 69, -23, -13, -61, 64, -138, 104 },
{ -18, -25, 37, -39, 19, 39, -67, 112, -88, -19, 49, -89, 96, 83, -180, 97, 23, -32, 55, 54, -115, -156, 268, 257, -76, 15, -57, 34, 65, 140, 169, 406, 137, -83, -23, -34, -23, 39, 51, 75, -142, 96 },
{ -15, -16, 33, -23, 14, 69, -50, 93, -46, -23, 5, -32, 69, 115, -133, -35, 31, 29, -50, 102, -56, -194, 230, 233, 62, -24, -33, 52, 47, 112, 123, 335, 305, -70, -95, -67, -9, 25, 78, 54, -189, 163 },
{ 6, -26, 45, -34, 28, 74, -42, 73, -41, -17, 39, -67, 35, 96, 80, -184, 10, -30, 47, 42, 45, -92, -64, 248, 211, -26, 30, 43, 21, 79, 92, 224, 351, -14, 107, -150, -14, 52, 37, -72, -109, 190 },
{ 26, -51, 42, -31, 22, 24, -81, 119, -140, 51, -27, -50, 97, 54, -232, 373, -22, 25, -42, 114, -55, -153, 269, 125, -288, -10, 21, 124, -79, 115, 158, 481, -28, -118, 165, -16, 39, -34, -47, 111, 66, 220 },
{ 56, 7, 34, -47, -22, -8, 43, 111, -83, 21, 55, -50, 82, 59, -38, -105, 38, -59, 35, 74, -59, 39, -55, 370, 205, -48, -31, 38, 100, -66, 148, 203, 310, -96, 94, -152, 79, 39, 56, 50, -132, 185 },
{ 47, -10, -33, -26, 14, 37, 30, 79, -83, 30, -18, 20, 73, -39, 58, -150, -45, 15, 52, 24, -19, 86, -32, 87, 347, 21, 10, -23, 41, 52, 108, 197, 201, 135, 76, -165, -58, 26, 75, 22, -49, 170 },
{ -59, 121, 75, -28, 31, -36, 73, -42, -67, 26, -24, -16, 168, 117, -421, 295, 19, 30, -66, 94, 43, -71, 264, 313, -163, 71, -72, -82, 47, 65, 122, 320, 61, -175, 81, -47, -53, 80, 93, 69, 142, 201 },
{ 38, -24, 16, -20, 15, -23, 62, -16, 15, -16, 28, -17, 52, 13, -25, 16, 22, -20, 24, -27, -74, -42, 52, -20, 13, -28, -15, 19, -57, 115, 157, 185, -35, 32, -18, -21, 33, 17, 68, 64, -44, 221 },
{ 4, -21, 11, -22, 20, -13, 48, -15, 34, -10, -14, -8, 37, 7, -27, 17, 19, -19, 18, 47, -121, 61, 23, -28, -8, -15, -10, 42, -30, 47, 165, 189, 82, -11, 62, -11, 11, -17, 33, 21, -90, 256 },
{ 5, -26, 14, -11, 7, -6, 51, 9, -7, 9, -19, 6, 34, -8, -9, 10, 19, -22, 23, -59, 85, -61, 22, -22, 12, -25, -21, -27, 44, 40, 123, 126, 53, -8, -15, -14, -8, 19, 100, 51, -108, 325 },
{ -3, -11, 10, -15, 19, -16, 45, -22, 15, -18, -12, 35, 19, 22, -10, -12, 8, 35, -6, 22, -102, 55, -35, 38, -20, -21, 11, -40, 11, 22, 142, 185, 52, 62, -17, 13, -13, 56, -12, 73, -75, 290 },
{ -13, -11, 16, -12, 17, 30, -14, -22, 64, -19, -25, 8, 95, 27, -24, -41, 14, -25, 40, 31, -119, -20, 33, -20, 55, -12, 25, 33, -23, -17, 188, 206, 128, 79, -21, -21, 10, -19, 43, 39, -129, 295 },
{ 2, -17, 8, -14, -6, -4, 61, 4, -9, 10, -10, -6, 17, -17, 9, 8, 6, -13, 29, -24, 68, -45, 24, -27, -9, -20, -15, -18, 24, -22, 80, 79, 16, 11, 5, -20, -9, 21, 55, 97, -124, 425 },
{ 4, -15, 3, -20, 18, -10, 39, 22, -13, -4, -4, 7, -13, 13, 21, -5, -15, 37, 16, -28, 60, -72, 31, -36, -12, -8, -7, -31, 30, -7, 87, 147, 93, 50, 29, -10, -17, 51, 30, 78, -107, 383 },
{ -8, -7, 14, -13, 13, -10, 39, -23, 28, -27, 64, -7, 29, -7, 15, -44, 14, -26, 18, 50, 58, -76, -13, 40, -16, -14, 38, -18, 53, -35, 92, 183, 178, 74, 79, -32, -13, 31, -42, 47, -87, 356 },
{ -15, -13, 30, -25, 13, 31, 9, -27, 66, -10, -23, 56, 23, -39, 56, -118, 9, -24, 35, 17, 61, -82, 46, 47, 133, -22, 62, -19, 36, 74, -40, 325, 170, 60, 47, -76, -18, 39, 53, -36, -79, 186 },
{ 3, -14, 6, -14, -9, 4, 52, 18, -13, -14, 10, -10, 29, -4, 9, -11, 14, -21, 30, -11, 73, -38, 20, -28, -12, -30, -15, 40, -8, -32, 112, -27, 62, 31, 22, -21, -14, 30, 65, 97, -112, 495 },
{ 3, -22, 13, -14, 17, -14, 35, -46, 57, -14, 38, -27, 45, 23, 10, -23, 9, -20, 72, -36, 50, -65, 60, -40, -31, -13, -16, -30, 59, -20, 54, 100, 115, 34, 96, -14, -25, 40, -31, 119, -56, 436 },
{ -10, -19, 60, -13, 15, -14, 60, 2, -21, 58, -14, -8, -9, 49, 24, -35, -19, 16, 105, -41, 67, -45, -63, 33, -38, -20, 14, -47, 43, 70, 35, 68, 247, 71, 127, -20, -17, 23, -48, 79, -73, 385 },
{ 45, -17, 14, -20, 66, -28, -1, 23, -15, 67, 21, -41, 58, -26, 102, -146, -30, 42, 91, 35, 43, -28, -64, -46, 88, -14, -25, 9, 28, 119, 24, 180, 228, 151, 169, -82, -29, 18, 22, -100, -24, 302 },
{ 54, -9, 22, -19, -12, 28, 89, -21, -15, -41, -35, 71, 81, -18, 76, -177, 21, -36, 46, 22, 84, -47, -77, 109, 161, 24, -32, 44, -31, 143, 63, 178, 275, 165, 143, -115, -11, 52, 20, -70, -68, 287 },
{ 26, -10, 7, -24, -15, 20, 56, 4, -10, -32, 15, -15, 29, -23, 21, -11, 22, -26, -4, 26, 76, -16, 45, -45, -17, -55, 24, -39, 28, -42, 67, 64, -18, 62, 40, -42, 70, -15, 117, 43, 86, 460 },
{ 3, -16, 33, -15, 9, 32, 49, -3, -19, -12, -11, 51, -9, 26, 28, -23, 6, -31, 64, -5, 44, -25, -21, 66, -94, -29, 59, -47, -36, 40, 32, 87, 105, 74, 24, 93, -45, 94, 37, -47, 135, 389 },
{ -8, 5, -14, 10, 10, 28, 6, 5, -18, -15, -15, 50, 50, -22, 39, -29, 6, -29, 44, 19, 79, -60, -34, 64, -115, 15, -16, -25, 60, -24, 70, 46, 191, 173, 119, 115, -60, 59, 11, -58, 90, 351 },
{ 3, 68, -22, -19, 12, 9, 12, -6, -24, -5, 28, 4, -44, 32, 108, -141, -41, 90, -19, 77, 69, 35, -78, -136, 98, 19, -13, 38, 20, 105, 71, 74, 174, 330, 247, -43, -59, 16, -86, -71, 87, 264 },
{ 50, -24, -4, -22, -8, 46, 22, 48, -20, -55, 29, -38, 30, -29, 56, -40, 48, -39, 11, 72, 38, 16, 48, 33, -101, -112, -20, -20, 69, -36, 102, -24, 28, 73, 33, -35, 163, -26, 146, 136, 160, 341 },
{ -7, -6, 34, -33, -14, 56, 5, 62, -22, -27, 23, -9, 61, 10, -31, 25, -39, 18, 23, 61, 41, -53, 70, 91, -198, -66, 73, -18, -73, 49, 42, 35, 104, 65, 93, 64, -71, 153, 68, 49, 170, 345 },
{ 4, -18, 40, -39, -4, 25, -16, 70, -12, -34, 34, -16, 40, 6, 83, -79, -19, -5, 56, 9, 50, -34, 70, 79, -226, -63, 80, -54, -28, 26, 126, 10, 94, 95, 213, 264, -108, 115, 15, 54, 161, 286 },
{ -5, -13, 26, -19, 32, -12, -49, 93, -18, -20, -41, 49, 84, -14, -40, 54, 24, -30, 46, 45, -153, 32, 81, -30, -26, -28, 41, 32, -11, 22, 154, 280, 34, 79, -23, 17, -8, 42, -27, 46, -138, 211 },
{ -10, -17, 30, -12, 33, 26, -78, 34, -61, -16, -33, 46, 86, 51, -37, 131, 25, -29, 16, 36, -161, -35, 127, 70, -66, 34, -6, 40, 25, 126, 110, 375, 77, -48, 87, 12, -29, 27, -51, 92, -157, 115 },
{ -14, -13, 24, -28, 19, 57, -43, 69, -22, -24, 12, -32, 88, 46, -55, -24, 23, -35, 15, 90, -118, -56, 135, 162, -48, -14, -14, 18, 32, 52, 131, 345, 93, -18, 119, -48, 10, 56, -21, 69, -134, 133 },
{ -16, -12, 26, -16, 26, 10, -30, 62, -30, 25, -30, 19, 37, 29, 61, -82, -17, -10, 39, 57, -71, -73, 102, 65, 74, -33, 53, -4, -10, 67, 71, 279, 170, 42, -52, -32, 34, 16, -10, 73, -110, 175 },
{ -12, 9, 16, -26, 45, -21, -38, 75, -46, -24, 76, -60, 99, 45, -71, 211, 20, 18, 8, 77, -125, -109, 212, 89, -95, -19, 4, 48, -30, 145, 146, 456, -61, -39, 37, 63, -17, 10, -82, 91, -79, 166 },
{ -17, -20, 44, -28, 79, 27, -63, 55, -38, -15, 54, 14, 35, 61, -133, 123, 17, -18, -32, 40, -52, -159, 264, 173, -47, -42, 37, -20, 59, 183, 140, 420, 118, -98, -26, -5, 19, -31, 46, 99, -166, 135 },
{ -12, -18, 25, -28, 7, 62, -11, 30, -44, 7, 38, -37, 56, 134, -181, 46, -30, 26, 21, 43, -45, -160, 199, 196, 47, 25, -61, -28, 66, 141, 109, 360, 172, 39, -97, -30, -13, 63, 68, 49, -136, 153 },
{ -14, 17, 22, -28, -18, 52, -15, -52, 76, -36, 48, -23, 20, 45, 80, -180, 56, -21, 65, 41, -37, 78, -74, 170, 236, -10, -19, 40, -24, 187, -68, 300, 267, 92, -36, -103, -8, 39, 127, -33, -67, 224 },
{ -9, -19, 38, 64, 21, 28, -129, 67, -86, -12, 22, -30, 102, 77, -210, 194, 13, 92, 69, -49, -16, -106, 274, 108, -164, -9, -50, -64, 49, 108, 257, 405, -80, -118, 68, 81, 37, -10, -43, 69, 83, 194 },
{ 11, -42, 25, -45, 75, 45, -65, 117, -51, 28, -19, 66, -53, 93, -324, 138, -24, 18, -46, 37, 120, -101, 209, 285, -175, 24, 38, -101, 105, -74, 214, 375, 74, -149, 120, 17, -16, -49, 76, 49, 60, 214 },
{ -12, -16, 29, -28, -5, 18, -34, 128, -36, 49, 47, -69, 75, 80, -184, 101, -19, -9, -69, 86, -70, -101, 114, 273, -58, 81, 47, -26, 50, 176, 125, 301, 333, -169, 140, -70, 4, -25, 53, 13, -76, 177 },
{ 41, -52, -29, 174, -29, 90, -40, -74, -40, -21, 23, -37, -29, 129, 61, -126, 13, 52, 50, 109, 46, -64, -106, 335, 162, -16, -17, -16, 47, 45, 27, 220, 350, -40, 150, -152, 87, 43, 31, -47, -83, 181 },
{ -34, 78, 66, 83, -39, -17, -64, 91, -126, 72, -39, 122, -92, 92, -232, 363, -36, 41, -78, 145, 194, -56, 272, 74, -229, -12, 34, -81, 56, -29, 164, 313, 69, -83, 123, -67, 69, -30, 92, 112, 155, 82 },
{ 16, -43, 38, 75, -13, 60, -50, 25, -130, 15, 33, -34, 65, 116, -195, 105, -30, 32, -88, 66, 157, -109, 226, 307, 121, -36, 35, 51, 104, 32, 63, 266, 154, -130, -138, 44, 67, 46, -78, -39, 261, 18 },
{ 4, -19, 25, -13, 6, -15, 81, 7, -7, -9, 14, -26, 56, -30, 7, 19, 15, 15, -27, 69, -118, 99, -40, -2, -7, -22, -17, -17, 42, 22, 239, 66, 78, -15, 9, -20, 35, 16, 57, 51, -109, 276 },
{ 3, -15, 11, -16, 11, -12, 47, 7, 35, -13, 5, -17, 44, -31, -17, 13, 11, -8, 43, 53, -131, 52, -41, 29, -18, -11, 11, -7, -28, 36, 210, 174, 91, -14, 30, 7, 5, -17, 35, 45, -105, 258 },
{ 20, -14, 5, -10, 5, -13, 57, 6, -12, -15, 9, -9, 17, 9, -10, 17, 14, -4, 34, -58, 117, -75, 34, -26, 8, -24, -9, -27, 24, 26, 121, 104, 58, -10, 13, -24, 9, 34, 25, 138, -120, 302 },
{ -2, -8, 10, -9, 8, -7, 56, -12, 9, -21, 40, -15, 34, -15, 49, -18, 10, -7, -14, 35, -107, 88, -46, 30, -16, -13, 11, -26, 74, -12, 162, 156, 51, 26, 58, -11, 12, -17, 43, 31, -118, 307 },
{ -4, -8, 15, -15, -12, 26, 39, -15, 13, 14, -12, -19, 44, -16, 61, -30, 9, -26, 29, 73, -84, -46, 62, -27, 64, -21, 19, -22, 54, -24, 151, 220, 99, 27, -18, -19, 11, -7, 35, 74, -110, 247 },
{ 3, -11, 10, -13, 3, -18, 82, -2, -9, -9, 14, -17, 18, -5, -9, 15, 7, -12, 38, -37, 106, -44, 31, -27, -6, -23, -14, -9, 30, 29, 66, 75, 59, -6, 44, -29, -4, 73, 12, 156, -129, 366 },
{ 1, -21, 52, -17, 10, -4, 23, 3, -10, 13, -12, 3, 8, 23, -14, 14, -18, 44, 13, -36, 82, -83, 43, -31, -12, -25, 19, -30, 40, 45, 61, 187, 52, 20, 63, -21, 10, 27, -8, 115, -119, 362 },
{ -3, -10, 19, -12, 7, -13, 48, -29, 20, -11, 50, -14, 22, -7, 11, -29, 23, -32, 25, 94, -53, -61, 76, -54, 47, -21, 11, 5, -37, 106, 103, 171, 126, 52, 63, -27, -8, 27, -41, 86, -104, 281 },
{ -10, -13, 29, -19, 26, 8, 18, -37, 26, -31, 93, -41, 41, 34, -20, -61, 23, -27, 16, 76, 54, -107, 97, -14, 102, -26, 26, 20, -29, 88, 93, 220, 181, 75, 49, -50, 13, -6, 48, -31, -86, 230 },
{ 3, -30, 60, -9, -18, 58, 4, 6, -12, 15, -16, -7, 47, 20, -29, 24, 11, -14, 17, -20, 106, -28, 34, -33, -16, -38, 39, -18, 56, -23, 66, 32, 53, 14, 27, -15, -18, 98, 7, 177, -124, 416 },
{ -4, -9, 8, -10, -6, 41, -7, 29, -15, -10, 13, -21, 50, 9, -18, 20, 11, -9, 62, -11, 68, -72, 54, -48, -21, -30, 54, -39, 74, -36, 78, 110, 85, 33, 72, -10, -24, 101, -28, 60, -91, 465 },
{ -5, 2, 27, -19, 15, -18, 61, 31, -21, 34, -45, -16, 19, -4, 14, -9, -39, 171, 23, 16, 23, -80, 35, -90, 36, -16, -34, -31, 50, 117, 37, 160, 114, 100, 137, -38, 20, -17, 54, -94, 89, 315 },
{ -12, 34, 13, -16, 45, -32, 22, -10, -5, 19, 82, -51, 46, -42, 83, -100, -29, 139, 113, 18, 34, -39, -109, 18, 33, -67, 33, -29, 51, 218, 72, 164, 243, 173, 117, -105, 19, 23, -55, -51, -54, 321 },
{ 65, -17, 14, -33, 26, -26, 60, -56, -20, 33, -27, 115, -22, -24, 127, -170, -15, -28, 120, 75, 82, -15, -58, 33, 226, -16, 36, -59, 94, 136, 134, 187, 236, 197, 118, -142, 49, -75, 52, -88, -30, 279 },
{ 4, -5, -4, -10, -14, 36, 51, 18, -24, -22, 22, -8, 32, -51, 48, -13, 11, -19, 12, -15, 99, 51, -42, -12, -18, -23, -17, 35, -79, 39, 87, 48, -8, 28, 35, -17, -17, 138, -11, 125, 75, 385 },
{ -7, 10, 3, -11, 33, -26, 70, 27, -24, -13, -10, 5, 73, -15, -32, 31, 19, -12, 11, 63, 15, -31, 74, -71, -36, -11, -34, 52, -48, -17, 66, 122, 62, 84, 116, -19, -21, 65, 112, -70, 158, 413 },
{ 17, -11, 11, -12, 43, 15, -25, 62, -13, -32, 93, -23, 29, -42, 42, -5, -12, 19, 44, 15, 31, -31, 86, -117, -48, 15, -18, -39, 45, 77, 30, 54, 144, 185, 125, -59, -31, 80, 25, -78, 92, 407 },
{ -14, -3, 11, -31, 94, -36, -21, -19, 6, 38, 63, -54, 13, -52, 132, -128, -33, 107, 106, 55, 54, -23, -88, -79, 102, -60, 50, -36, 143, 222, 63, 95, 173, 238, 146, -71, -26, -55, 48, -161, 102, 319 },
{ 5, -25, 23, -86, 80, -17, 75, -62, -34, 55, -45, -57, 44, -55, 196, -234, -20, 48, 137, 36, 118, -31, -109, 39, 103, -52, 117, 29, 38, 124, 117, 129, 197, 313, 150, -134, -62, 90, -63, -79, 82, 221 },
{ -7, 21, 29, -20, -16, 61, 15, -36, -40, -12, -19, 33, 49, 76, 64, -191, -24, 28, -44, 58, -47, 24, 35, 142, 313, 23, 19, -22, 72, 29, 98, 126, 332, 60, 116, -159, -30, 97, -15, 106, -107, 245 },
{ 75, -18, -22, -6, 11, -16, 104, 27, -32, -45, -31, 24, 40, -53, -28, 33, 43, -46, 30, 76, 29, 66, -32, 48, -60, -71, -38, -27, -46, 65, 92, 49, 31, -17, 45, -45, 155, -23, 161, 120, 158, 339 },
{ 15, -17, 53, -9, 17, -25, 79, 8, -22, -49, 20, 18, 57, -14, -41, 57, 51, -22, -43, 105, 29, 38, -38, 124, -158, -51, 66, -47, -52, 34, 111, 32, 79, 37, 71, 84, -67, 172, 22, 95, 179, 332 },
{ 44, -7, 15, -23, -8, 21, 11, 71, -26, -43, 59, 55, -9, 12, 33, -22, -15, -7, 16, 48, 45, -34, 79, 72, -215, -22, 25, -59, -32, 53, 83, 47, 91, 84, 163, 304, -88, 118, -39, 82, 171, 262 },
{ 35, 2, 7, -24, 12, -1, 59, 57, -76, -44, 31, 7, 40, -16, 172, -201, -18, -27, 72, -33, 118, 88, -78, -127, 93, -25, 76, -19, 54, 35, 146, -93, 199, 119, 299, 215, -97, 49, -107, 54, 122, 218 },
{ -3, -12, 23, -15, 11, -10, -18, 31, 31, -10, -9, 34, 57, -25, -14, -10, 11, 22, -16, 64, -146, 89, 77, -31, 53, -17, 3, -16, 63, 27, 174, 227, 72, 34, -23, -12, 9, -7, 77, 25, -121, 184 },
{ -16, -10, 21, -15, 9, 43, -42, 60, -34, -12, 35, -18, 89, 58, -37, 141, 14, -9, 16, 24, -161, -21, 87, -19, -47, -17, 51, -23, 68, 131, 135, 350, 77, 56, 50, 7, -9, 16, -53, 77, -138, 110 },
{ -12, -16, 11, -13, 10, 53, -25, 32, 36, -16, 45, -16, 71, -24, -36, -40, 11, -11, -19, 152, -135, 32, 76, 118, -31, 16, -25, 51, 45, -59, 186, 297, 72, 122, -40, 14, -14, 27, -11, 40, -137, 203 },
{ 24, -18, 12, -17, -10, 15, -17, -10, 12, 25, 49, -20, 42, 84, -24, -56, 21, -29, 19, 73, -81, -64, 72, 89, 51, -23, -23, 25, -14, 105, 109, 262, 147, 42, -30, -26, 11, 22, 34, 36, -96, 169 },
{ -12, -15, 30, -22, 9, 19, -12, -25, 17, -44, 70, -34, 61, -12, 65, -78, 25, -18, 22, 93, -53, -79, 65, -26, 176, 16, -31, 26, -17, 160, 79, 221, 210, 85, -65, -24, -18, 13, 64, 99, -134, 161 },
{ -15, -9, 34, -17, 16, 64, -59, 23, -39, -15, 43, -28, 102, 85, -46, 111, 31, 18, -45, 34, -139, -94, 141, 84, -58, -23, -13, 107, -25, 219, 143, 440, -52, -20, 68, 12, -20, 24, -79, 81, -80, 247 },
{ -14, -21, 28, -21, 88, 21, -64, 36, -29, 16, 13, 94, 40, 53, -108, 81, -10, -23, -33, 12, -82, -116, 182, 198, -71, -10, 34, -37, 26, 158, 120, 337, 121, -61, 99, -25, 24, -25, 32, 85, -145, 147 },
{ 3, -14, 13, -14, 47, 11, -14, -17, 44, -6, 26, -21, 26, 51, -95, -41, -11, -10, 21, 75, -18, -125, 190, 235, -32, 13, -32, -23, 39, 93, 143, 285, 180, 67, -45, -25, 56, -16, 38, 74, -109, 133 },
{ -5, 7, 36, -8, -18, 36, -29, -18, -19, -20, 56, -28, 57, 35, 68, -166, 19, -14, 75, 41, 63, -98, 59, 113, 222, -17, -30, 9, 15, 118, 53, 225, 252, 28, 93, -109, -10, 68, -29, 78, -143, 220 },
{ 48, -11, 19, -33, 18, 44, 99, -14, -24, -21, -76, 26, 96, -22, 126, -218, 24, -29, 33, 27, 101, -56, 79, 26, 175, -23, 72, -38, 19, 165, 59, 140, 289, 96, 206, -110, -14, 40, -26, -39, -85, 260 },
{ -7, -24, 46, -15, -14, 57, -46, 51, -63, 18, 19, -29, 55, 41, -125, 95, 56, -24, 125, 41, 45, -102, 166, 110, -121, -14, 77, -66, -25, 66, 223, 427, -80, -59, 51, 69, -18, 28, -72, 56, 105, 199 },
{ -8, -27, 22, -21, 57, 7, 7, 61, 43, 16, 44, -26, -67, 92, -245, 110, -40, 7, 56, 26, 75, -118, 197, 165, -164, 22, -24, -41, 64, 117, 176, 370, 50, 95, 54, 19, -6, -25, -15, 37, -144, 220 },
{ -12, -9, 23, 25, 11, -4, -15, -22, 84, -6, 32, 48, -40, 96, -194, 83, -14, 32, -45, 64, 81, -112, 135, 241, -75, 25, -31, 61, 36, 24, 123, 309, 288, -166, 135, -31, 41, -40, 60, -51, 155, 71 },
{ 27, -25, -20, 74, -37, 45, 76, -51, -58, -26, 62, -53, 78, 93, 52, -139, 82, 42, -41, 73, 93, -79, -60, 259, 207, -27, 71, -17, 30, 117, 91, 208, 399, -78, 128, -117, 30, -56, 68, -21, -136, 214 },
{ -13, -15, 46, -51, 101, -24, 75, 43, -55, 13, 67, -36, 33, 25, -248, 232, -41, -68, 63, 44, 85, -20, 250, 87, -171, -18, 50, -71, 46, 50, 298, 323, 64, -113, 129, 85, 19, 45, -81, 46, 255, 70 },
{ 63, -55, -37, -40, 129, 36, 76, -37, -34, 30, 9, -39, 48, 117, -281, 168, 14, -35, 44, -20, 111, -46, 191, 285, -208, 133, 24, 84, 48, 86, 232, 337, 124, -120, 46, 63, -30, -34, -94, 47, 85, 142 },
{ 186, -30, -14, 56, 15, 88, -83, 49, 54, -13, -56, -19, -77, 170, -223, 55, -35, 43, 62, -55, 153, -115, 184, 330, 151, 86, 59, -53, 69, 99, 143, 293, 158, -132, -132, -46, 33, -68, 77, 65, 62, 59 },
{ 2, -12, 53, -11, 8, -18, 21, -18, -5, -11, 23, -24, 56, -13, 15, 8, 19, 24, -47, 69, -95, 90, -44, -6, 7, -10, -13, -23, 80, 30, 179, 43, 97, 6, -16, -10, 3, 57, 12, 66, -127, 252 },
{ 18, -7, 6, -8, -16, 28, 42, -5, -7, 9, 33, -16, 25, 21, 16, 8, -11, -13, 28, -55, 123, -115, 66, -30, 32, -8, 5, 36, -30, 50, 110, 173, 66, -31, 18, -12, 7, -11, 53, 47, -125, 286 },
{ 21, -9, 7, -13, -3, -15, 86, -12, -7, -5, 16, -12, 9, 25, -17, 18, 11, -9, 23, -51, 147, -85, 49, -19, 7, -19, -17, -12, 51, 37, 95, 82, 104, -7, -10, -14, 30, 12, 64, 64, -131, 275 },
{ -5, 3, 67, -17, -4, -13, 66, -17, 10, -13, 14, -28, 34, 9, 60, -16, 7, -13, 14, 74, -59, -105, 93, -30, 53, -13, 41, -10, -32, 54, 116, 246, 90, -20, 59, -13, 12, -11, 38, 38, -104, 247 },
{ 14, -22, 75, -17, -5, -4, 43, 40, -19, 10, -13, -9, 19, 21, -18, 20, 9, -14, 46, -34, 104, -41, 30, -31, 8, -19, -9, -15, 69, 27, 91, 78, 58, 35, -14, -14, 41, 40, 11, 201, -131, 296 },
{ -3, -4, 8, -10, -11, -8, 86, -13, -11, 9, -12, 13, -5, 36, -20, 23, -18, 57, 24, -48, 121, -97, 71, -41, -6, -15, 16, -20, -24, 52, 47, 186, 97, 29, 47, -16, 8, 25, -10, 140, -119, 351 },
{ -2, -6, 6, -5, 11, -16, 12, -20, 22, -13, 93, -11, 16, -12, 31, -14, -3, -17, 24, -28, 125, -113, 111, -60, 54, -14, 23, -20, -30, 172, 69, 209, 74, 59, 54, -30, 9, 32, -18, 103, -110, 329 },
{ -2, -9, 13, -23, 9, 18, 77, -28, 55, -28, 62, -26, 33, -19, 34, -43, 39, -18, 33, -24, 170, -85, -65, 117, 70, -28, 39, 14, -39, 156, 95, 211, 160, 106, -55, -14, 18, -26, 55, -32, -77, 267 },
{ 40, -11, 5, -5, -17, 4, 83, -12, -14, 54, -36, 24, 15, 30, -22, 28, 12, -16, 42, -14, 116, -33, 37, -20, -20, -15, -24, -17, 81, -11, 88, 73, 56, -14, 80, -37, -7, 72, 81, 89, -133, 368 },
{ -4, -5, 10, -9, -24, 36, 8, 19, -17, 18, -25, -20, 26, 18, -23, 36, -17, 23, 22, -14, 94, -89, 77, -47, -13, 11, -17, -49, 100, -18, 70, 171, 43, 57, -24, 67, -26, 25, -24, 222, -85, 401 },
{ -9, -32, 85, 3, 43, -34, 14, -10, -14, 24, -12, -42, 39, -29, 44, -12, -22, 126, 33, 5, 42, -115, 53, -70, 51, -44, 40, -6, -55, 235, 72, 127, 127, 67, 117, -35, 40, 32, -16, -84, 99, 345 },
{ 4, -22, 23, -41, 82, -15, 26, -20, -23, 53, -16, -23, 73, -68, 90, -71, -37, 164, 205, 33, 103, -75, -100, -14, 125, -111, 38, -48, -47, 418, 121, 155, 171, 122, 67, -80, 24, 32, -34, -107, 48, 339 },
{ 6, -7, 5, -7, -6, -3, 58, 8, -17, -4, -31, 36, 8, 10, -23, 27, 20, -17, 38, -9, 111, 15, -50, 27, -31, -40, 53, -19, -89, 46, 158, 104, -38, -19, 38, -21, -10, 153, -31, 152, 82, 344 },
{ 28, -7, 15, -15, 30, -18, 45, 12, -22, -11, -14, 19, 89, -35, -24, 58, 25, -14, -27, 42, 79, -36, 58, -84, -26, -22, 31, -66, 91, -79, 70, 110, 72, 91, 162, -29, -16, 132, -31, 110, 68, 403 },
{ 1, -38, 48, -12, 54, -18, 60, 17, -25, -14, 59, -4, 9, -13, -10, 33, -21, 19, 22, -9, 79, -37, 88, -157, 77, -37, 48, -53, -35, 143, 54, 82, 114, 112, 123, -51, 6, 78, -70, 101, 46, 369 },
{ 7, -13, 11, -63, 172, -29, 31, -65, 26, 23, -25, 34, -30, 78, -62, -35, -48, -39, 196, 74, 111, -76, 59, -182, 65, -84, 53, -57, 34, 226, 106, 104, 194, 304, 203, -114, 25, -38, -112, 125, -43, 341 },
{ 47, -9, -54, 6, 15, -18, 128, -5, -16, -18, -33, -38, 19, 31, 23, -33, 56, -44, -8, 80, 57, 18, -56, 64, -50, -63, -83, 24, -74, 65, 173, 114, -53, 28, 32, -35, 174, -26, 64, 151, 151, 351 },
{ 14, -12, 12, -13, 10, 67, -13, 49, -55, -47, 18, 10, 45, -25, -28, 69, 41, -17, 30, -40, 130, 7, -35, 105, -125, -20, -36, 104, -76, -33, 123, 122, 31, 20, 77, 162, -55, 136, 61, 38, 146, 427 },
{ -1, 46, 15, -29, -22, 43, 63, -7, -22, 12, -23, 23, 59, -33, 75, -26, -8, -27, 13, 25, 73, -16, 29, 75, -177, -35, 43, -37, -56, 91, 57, 73, 95, 105, 97, 320, -39, -70, 59, 76, 170, 306 },
{ -10, 23, -16, 91, -25, 19, -5, 66, -25, -68, 37, 30, -27, -27, 95, -101, -16, -31, 66, 37, 68, 143, -45, -137, 72, 61, -62, -26, -20, 34, 87, 16, 71, 220, 212, 162, -57, 145, -103, 89, 94, 285 },
{ 25, -7, 4, -7, 7, -13, 44, -11, 4, -12, 12, 3, 13, 25, -9, 8, 9, 9, 8, -76, 143, -110, 60, -15, 11, -7, -13, -27, 40, 93, 164, 110, 46, -27, -8, -6, 3, -3, 85, 71, -175, 275 },
{ 23, -8, 11, -8, 4, -5, -12, 68, -14, -12, 20, -30, 69, -28, 23, 11, 7, 31, -7, 86, -157, 52, -67, -23, 8, -12, -12, 13, -24, 107, 233, 141, 56, -7, 34, -13, 22, 11, -10, 59, -120, 240 },
{ -4, -6, 10, -10, 7, -11, 64, -9, 12, -9, 12, -14, 49, -29, -10, 65, 8, -4, -9, 63, -128, 157, -50, -25, 9, -12, 26, -9, 40, 91, 170, 233, 85, -21, 62, -13, 5, -6, 9, 89, -112, 214 },
{ -6, -5, 26, -14, -5, 42, -34, 41, -8, -16, 17, -27, 76, 46, -57, 112, 69, 14, -22, 29, -155, 52, 63, -33, -14, -11, -7, -15, 72, 132, 167, 324, 143, -11, 110, -26, -8, 19, -36, 68, -136, 170 },
{ -13, -12, 52, 7, 45, 16, -16, -26, 28, -19, 43, -21, 57, 73, -26, -18, 16, -31, 45, 47, -98, -56, 89, -18, 105, -10, -12, -12, 16, 136, 117, 311, 105, -39, -30, 15, 5, -12, 29, 109, -95, 182 },
{ 2, -12, 11, -29, -7, 5, 64, -29, 7, 14, 98, -33, 50, -8, 54, -37, -19, -18, 35, 91, -85, -70, 90, 98, -14, -8, -8, -11, -18, 71, 117, 284, 132, 90, -25, -14, -9, 24, 69, 20, -98, 164 },
{ -7, 29, 73, -62, 8, -25, 76, -29, 14, -17, 6, -17, 26, -6, 27, -69, 12, -19, 23, -10, 109, -106, 96, 12, 105, -17, 84, 13, -20, 102, 47, 288, 199, 131, -38, -19, -14, 21, -20, 71, -68, 147 },
{ -6, -8, 29, -15, -6, 95, -40, 51, -17, 8, -20, -32, 80, 97, -58, 116, 96, -11, 104, -11, -103, -44, 78, 76, -46, -9, 21, -30, 15, 273, 125, 359, 137, -28, 25, -9, -28, 22, -56, 83, -128, 116 },
{ 36, -20, 39, -4, 64, 13, -13, -8, -11, -2, 14, -26, 47, 50, -99, 90, 6, 111, -34, 46, -87, -90, 132, 123, -55, -14, -36, -23, 30, 174, 127, 388, 105, 81, -29, 13, 6, -20, 69, 40, -112, 162 },
{ 53, -18, 4, -27, 89, 17, -11, -25, 8, -15, 111, -16, 28, 18, -25, -45, 16, -18, 109, 27, -72, -58, 63, 141, -46, 14, -25, -28, 15, 239, 86, 245, 169, 183, -71, 18, -14, -23, 28, 59, -122, 163 },
{ -6, 4, 58, -12, -12, 63, 94, -13, -28, -21, 20, -33, 18, 26, 43, -118, -18, 47, 69, 57, -33, -83, 83, 60, 201, 49, -33, -21, 48, 218, 100, 197, 260, 88, -123, 28, -11, 16, 26, 48, -123, 163 },
{ -18, 54, 14, 92, 21, -35, -31, -38, 54, -12, 69, -14, 68, 37, -102, 130, -17, 44, -16, 90, -66, -84, 170, 114, -60, 96, 35, -14, -44, 228, 164, 395, -81, -20, 28, 126, -14, -21, -64, 84, -78, 182 },
{ -24, -21, 34, -32, 31, 29, -37, 80, -20, 7, -25, 8, 38, 58, -130, 196, -37, 9, 23, -59, 168, -128, 130, 125, -124, 16, -29, 23, 106, -81, 153, 363, 90, -95, 32, 29, 41, -33, -28, 21, 100, 130 },
{ -30, 55, 54, -14, -7, 7, 105, -23, -22, -18, 38, -46, 59, 145, -66, -63, 59, -22, -14, -51, 49, -84, 102, 257, -70, 17, 26, -38, 90, 173, 239, 281, 148, 151, -74, 30, -13, -39, 45, 30, -110, 149 },
{ 8, -7, 13, -62, -22, 21, 44, -33, -49, 136, 43, 134, 18, 80, 136, -182, -13, -12, 56, 156, -21, -84, 65, 203, 125, -25, -22, -81, 68, 158, 260, 241, 224, 113, -203, 172, 27, -30, 66, -41, 87, 141 },
{ 105, -22, -49, 72, -12, 76, -28, 70, -57, 96, 28, -31, -73, -32, -224, 245, -45, -28, -40, 41, 106, -25, 179, 51, -152, 81, 31, 101, 166, -36, 331, 293, -36, -51, 85, 41, 31, -20, -84, -49, 233, 159 },
{ -66, 215, 45, -33, -23, -75, -32, 12, -49, 19, 87, 43, 80, 115, -127, 129, 7, -211, 39, -88, 51, -130, 190, 223, -170, 16, -30, 58, 80, 71, 216, 290, 97, -83, 117, 24, -46, -37, -15, 52, 34, 156 },
{ -50, 91, 20, -33, 73, -55, 55, -93, 199, -24, -65, 43, -51, 128, -165, 247, 52, 20, 61, -122, -41, 177, -137, 418, 88, 268, -47, -63, 65, 175, 142, 305, 237, -183, -144, 36, -70, -31, 83, 69, -64, 100 },
{ 16, -49, -64, -131, 293, 204, 109, -102, -78, -160, 39, -43, 139, 72, -109, 122, 138, 85, 25, -30, 100, -141, 186, 345, 160, -105, -114, 44, -84, 159, 195, 203, 254, -216, -82, 133, 30, -33, 41, 144, -82, 324 },
{ 31, 7, -13, 3, 17, -18, 80, -18, 27, -17, 28, -21, 64, -21, 24, -13, 6, 23, -35, 74, -108, 92, -38, 26, -6, -5, -7, -27, 107, 34, 156, 57, 96, -22, -7, 4, -3, 82, -22, 89, -142, 203 },
{ -2, -9, 31, 4, 21, -16, 39, -17, -3, -5, 7, 13, 40, 18, 17, -9, 14, -13, 21, -69, 154, -71, -22, 22, -6, -13, 13, -22, 99, 51, 86, 63, 66, -39, 14, -11, 4, 87, -31, 98, -172, 225 },
{ -3, 6, -5, 4, -5, -9, 43, -18, 22, 5, -8, 22, -16, 47, -19, 19, -10, -5, 29, -60, 65, -109, 89, -36, 8, 2, -8, 34, -15, 117, 66, 143, 134, 59, -19, 4, 38, -19, 17, 59, -130, 236 },
{ 16, -8, 7, -7, 7, -15, 60, -14, -5, -6, -15, 24, -12, 36, -15, 12, 6, 7, 9, -53, 171, -74, 63, -9, 6, -13, -16, -16, 95, 86, 66, 55, 54, -19, -11, -7, 56, -9, 140, 63, -164, 251 },
{ -5, 4, 5, -12, -4, -6, 39, -20, 36, 5, 45, -8, 9, 36, -7, 9, -9, -10, 26, -34, 137, -146, 122, -39, 59, -6, 30, 5, -26, 152, 75, 222, 104, -27, 75, -13, 5, -9, 15, 136, -128, 274 },
{ -3, -18, 71, 3, -3, -6, 68, -7, -7, -5, 9, -16, 24, -21, 27, -12, 10, -16, 56, -25, 144, -31, -24, 29, 5, -17, -19, -7, 69, 30, 129, 54, 132, -6, -16, -5, 85, -13, 22, 271, -131, 265 },
{ -2, -14, 6, -3, 4, -6, 45, -17, -3, -6, 13, 8, -13, 49, -18, 20, 6, -13, 35, -42, 139, -96, 75, -21, -13, 4, -20, 16, -47, 134, 59, 116, 84, -15, 106, -10, 60, -19, 14, 64, -126, 324 },
{ -9, -5, 7, -14, 25, -11, 78, -20, 13, 38, -8, 2, -12, 52, -21, 25, -15, -9, 36, -18, 113, -132, 128, -48, -12, -7, 15, -8, -51, 166, 59, 201, 91, 51, 64, -17, 8, -17, 70, 127, -126, 339 },
{ 2, -14, 13, -34, 7, 37, 92, -13, -6, -33, 71, -24, 32, -25, 50, -21, 14, -28, 32, 40, 124, -92, -87, 84, -40, -11, -24, 38, -65, 54, 58, 241, 100, 79, 124, -31, 4, 57, 30, -105, 151, 198 },
{ 27, -10, 35, 2, -8, 5, 56, -7, -6, -19, 74, -41, 58, 18, -19, 15, 13, -16, 65, -7, 128, -30, 56, -24, 7, -13, -39, 24, -29, 46, 134, 28, 57, -8, -17, -11, 94, -24, 27, 334, -127, 300 },
{ 10, -10, 46, 5, 4, -7, 7, -20, -7, -11, 40, -19, 20, 45, -26, 30, -17, 33, 37, -26, 96, -88, 61, -32, -13, 14, -19, 23, -65, 114, 60, 109, 58, 76, 103, -16, -12, 68, -18, 111, -118, 407 },
{ 3, -10, 42, -12, 3, -13, 29, -22, -10, 11, 49, -30, -6, 49, -21, 37, -9, -15, 42, 77, 85, -108, 84, -71, -10, -17, 41, -28, -84, 164, 65, 147, 65, 89, 171, -30, -8, 19, 96, -97, 70, 313 },
{ -15, -2, 14, -35, 54, -9, 59, 8, -18, 15, 45, -43, 29, -45, 51, -32, -18, 109, 68, 38, 48, -119, 120, -106, 79, -41, 36, -53, -59, 246, 76, 183, 149, 148, 146, -48, 12, -52, 158, -76, -41, 319 },
{ 3, -5, 61, -37, 9, 44, 21, -11, -9, -8, 7, -16, 57, -24, 94, -100, 2, -43, 31, -25, 144, -49, 88, -97, 181, 66, 11, 29, -30, 68, 90, 166, 270, 113, 224, -56, -28, 54, -32, -127, 31, 252 },
{ 3, -31, 88, -17, 25, 3, 65, -17, 7, -40, 54, -29, 25, 23, -35, 12, 21, -15, 10, 19, 116, -49, 49, -55, 10, -35, 49, -21, -82, 31, 217, 121, -90, 61, 13, -19, -11, 154, -28, 158, 109, 268 },
{ 40, -16, 42, 6, 6, -10, 15, -8, -20, 6, -15, -15, 100, 30, -33, 42, -16, 19, 22, 13, 67, -21, -77, 80, -33, 18, -15, 38, -96, 69, 51, 87, 54, 40, 84, -33, -31, 25, 178, -94, 143, 436 },
{ 1, -26, -7, 9, -9, 9, 53, 10, -25, -9, 13, -30, 35, 32, -31, 45, 44, -18, 30, 32, 61, -52, -10, -107, 97, -22, 31, -25, -81, 160, 65, 124, 71, 104, 133, -48, 11, -22, 142, -91, 104, 421 },
{ -37, 13, -10, -9, 20, -20, 16, -25, -10, 17, 107, 25, -18, -53, 163, -107, -26, -31, 54, 40, 82, -49, -38, -140, 57, -39, 94, -89, 43, 203, 89, 233, 88, 391, 188, -106, 52, -73, -47, 53, -65, 389 },
{ -40, 13, -14, -114, 40, 21, 30, -12, -24, -28, 27, 39, -44, 74, 135, -124, 4, -25, 71, 74, -59, 62, -106, -92, 184, 15, -67, 31, 60, 144, 73, 15, 356, 288, 284, -41, 87, -55, 29, -126, -92, 274 },
{ 2, -32, 49, -3, 15, -16, 60, 13, -19, -27, -24, 33, 30, -30, 66, -28, 52, -80, 49, 92, 22, 37, -68, 20, -41, -33, -31, -63, -123, 96, 295, 87, -44, 41, -18, -10, -18, 175, 37, 131, 122, 341 },
{ -1, -17, 17, -13, 9, -7, 81, 35, -50, -36, 29, -37, 108, 52, -70, 67, 14, -30, 27, 67, 82, -58, 86, -19, -95, 16, -46, -26, -64, 50, 175, 22, 48, 42, 70, 195, -32, 135, -44, 103, 145, 446 },
{ -7, -14, 33, -27, 3, 8, 21, 18, -24, -18, 46, -25, 15, 34, -56, 52, -21, -4, 28, 28, 24, -46, -20, 117, -110, 41, -37, -35, -57, 115, 32, 54, 115, 198, -129, 232, -34, -64, 109, 109, 129, 276 },
{ -4, 7, 66, -9, 12, -21, -17, 42, -8, -11, 10, 78, 66, -22, 12, 10, 6, 13, -5, -37, -110, 108, -39, 34, -4, -12, 22, -29, 107, 50, 183, 73, 40, -12, 37, -9, 26, 13, -31, 88, -152, 212 },
{ 20, 4, -10, 5, -5, -3, -16, 53, -14, -5, 11, -13, 69, -33, 42, -11, -2, 15, -15, 132, -131, 63, -94, 40, -16, 7, -14, -16, 55, -41, 199, 102, 83, -37, 56, 7, -8, 35, -22, 82, -161, 249 },
{ 3, -9, 62, -11, -4, 16, -30, 21, -10, 10, -8, -19, 64, -28, 75, 19, -4, -7, 11, 26, -133, 187, -77, -22, 12, -11, 49, 29, -17, 159, 159, 197, 104, -28, 81, -19, 20, 14, -23, 65, -149, 205 },
{ 2, 4, -10, -4, -7, -6, 74, -16, 44, 3, 43, -18, 46, -17, 30, -12, 8, -12, 9, 19, -121, 193, -113, 39, -11, -12, -4, 67, -28, 166, 119, 201, 113, -40, 97, -10, 34, 7, -12, 55, -148, 244 },
{ -7, 35, 14, -8, -12, -9, -19, -10, 44, -5, 89, -12, 43, 136, -28, 68, 6, 7, -18, 35, -83, -77, 83, -49, 102, -11, 20, -13, 175, -51, 186, 265, 87, -43, 17, -16, 35, 8, -25, 64, -132, 212 },
{ 28, -16, 5, -10, -7, 36, 55, -20, 5, 7, 41, -17, 40, 40, 129, -23, -4, -12, 11, 39, -67, -109, 197, -28, 84, 2, -4, 64, -22, 77, 126, 316, 112, -41, 86, -20, -6, 13, -13, 48, -135, 220 },
{ -4, -13, 13, -7, -7, -7, 35, -27, 11, 125, 29, -43, 36, 10, 69, -19, -32, -8, 148, 24, -55, -118, 178, -35, 79, 49, -22, -16, -28, 121, 74, 286, 126, 84, -29, -5, 2, -4, 22, 130, -147, 246 },
{ -6, -6, 10, -21, 10, -13, 59, -19, 12, -5, 20, -28, 46, -18, 16, -25, -9, -16, 53, -16, 170, -110, -49, 93, -32, -7, 20, 4, 65, 84, 145, 326, 134, 95, -30, -9, 6, -17, 31, -42, -77, 235 },
{ -8, -11, 22, -15, 12, -14, -39, 68, -20, 51, 8, -23, 73, 23, -43, -12, 57, -16, 98, 21, -133, 122, 90, 125, -35, -7, 22, -23, -24, 231, 124, 293, 71, -40, 139, 19, -10, -12, -46, 92, -126, 148 },
{ -9, -4, -2, 5, 17, 16, -14, -19, 49, -6, 28, -19, 34, 37, -28, -41, -23, -9, -11, 41, -73, -70, 130, 98, -51, 6, 122, -3, -5, 237, 105, 344, 92, 146, -30, 13, 7, -15, -15, 37, -132, 186 },
{ 4, -10, 12, -10, 57, -49, 18, -36, 19, 15, 130, -35, 43, -23, 126, -49, -16, -13, 182, 57, -75, -78, 68, 109, -22, 7, -12, -20, -17, 127, 59, 307, 173, 75, -50, 52, 6, -25, 35, 12, -126, 202 },
{ 2, -60, 67, -21, 53, -16, 25, -46, 32, 10, 121, 40, -34, 50, -25, -80, -24, -14, 105, 22, 102, -104, 84, 68, 129, -20, 11, -38, 80, 87, 91, 290, 223, 189, -84, 107, 4, -40, 51, -39, -65, 205 },
{ -21, -3, 65, 38, 70, 12, -6, -35, 97, 9, -27, -34, 43, 16, -42, -28, -13, 24, 101, 27, -51, -73, 157, 162, -78, 15, -9, -13, 27, 164, 125, 315, 25, 141, 16, -9, -16, -6, -17, 31, -119, 177 },
{ -17, 10, 15, -20, -12, -10, 32, -27, 17, -14, 62, 18, -32, 70, -136, 149, 17, -15, 65, 83, 253, -115, 65, 243, -63, -44, 17, 54, -71, 153, 116, 302, 103, 275, -56, 23, 42, -25, -27, 64, -169, 169 },
{ -90, 52, 39, -15, -9, 57, 115, -35, 39, -53, 15, -26, 32, -33, 181, -138, 14, -15, 76, 45, 35, -58, 64, 140, 130, 44, -25, 10, -26, 162, 258, 283, 213, 180, -171, 88, -20, -30, 76, -40, -66, 242 },
{ 115, -95, -34, 40, 31, 11, -36, 72, -81, 149, -8, -27, -66, 73, -154, 256, 113, -42, 87, 202, 41, -65, 173, -17, -105, -22, -30, 82, -211, 237, 323, 242, 62, -88, 113, -48, -5, 56, -112, 97, 103, 183 },
{ -14, 7, -19, 26, -16, 30, -34, -33, 104, 36, -7, 17, 65, 51, -124, 80, 48, 33, -10, -45, -41, -69, 134, 120, -88, -27, -48, -43, 70, 178, 93, 328, 116, 40, 29, -17, 9, 46, 48, 27, -53, 173 },
{ -84, 64, -94, -21, 24, 53, 43, -28, 42, 25, -42, 97, 45, -45, -153, 176, 88, 22, -25, -57, 69, 212, -201, 420, 156, -89, -44, -42, 45, 242, 77, 269, 182, -78, -218, 43, 74, -37, 85, 68, -98, 206 },
{ 81, 5, 51, 15, -52, -6, -16, -32, -52, 95, 58, -33, 122, 117, 18, -132, -77, 38, -15, 27, 14, -53, 142, 315, 124, -29, -81, 21, 54, 110, 207, 284, 192, 151, -167, -28, 43, -27, 112, -56, -81, 144 },
{ 18, 5, -7, 3, 7, -22, 60, -22, 14, -9, -10, 26, 41, 26, -12, 3, 10, -6, 29, -64, 183, -70, 23, -13, 7, -12, 13, -24, 88, 134, 68, 82, 97, -18, 53, -11, 40, 13, -36, 86, -120, 135 },
{ -2, -6, 13, -6, 2, 38, -28, 63, -2, -6, 2, -18, 45, -10, 15, -9, 4, 7, -16, 50, -52, -33, 76, -10, 13, -8, 24, -29, 73, -41, 90, 69, 118, -18, -5, -5, 26, 94, -27, 84, -134, 172 },
{ -4, -9, 14, -4, 22, 4, -27, -7, 20, -7, 20, -15, 57, 64, -12, 12, 31, 11, -12, 32, -106, 113, -23, -19, 6, -4, -5, -18, 75, -70, 144, 99, 58, -10, 47, -8, -6, 14, -36, 82, -151, 234 },
{ -2, -10, 8, -9, 31, -3, -17, 48, -4, -11, 7, -9, 28, -16, 17, -21, 12, -2, 18, -37, 128, -37, 85, -12, 12, -14, -6, -21, 30, 64, 193, 28, 55, -22, 28, -15, 5, 156, -27, 91, -149, 175 },
{ -5, 5, -5, 7, -9, 46, -15, 25, -11, -6, 9, -14, 37, -11, 30, 24, 34, 8, -10, 81, -33, -35, -33, -17, 9, -15, 55, -14, 49, -22, 88, 95, 88, -17, 97, -16, 41, 15, -35, 82, -170, 222 },
{ -4, -5, 9, -3, 25, -6, -9, -11, -11, -10, 40, -5, 14, 32, 12, 6, 5, 32, 6, -11, 165, -126, 127, -38, 104, -11, 33, -21, 60, -63, 96, 132, 130, -28, 111, -17, 34, 12, -23, 74, -166, 284 },
{ 25, -23, 5, -12, 7, -11, 69, -13, 55, -26, 28, -14, 14, 16, -16, 5, 19, -16, 42, -38, 180, -38, 20, -12, 6, -22, -15, 23, -57, 151, 35, 70, -26, 108, -9, -16, 97, 14, -14, 291, -70, 214 },
{ 24, -10, 6, 3, -3, 12, -26, 42, -11, -15, 45, -26, 51, -22, 30, -4, -6, 15, -5, 40, -80, 151, -35, -20, 7, -5, -2, -6, 114, -93, 128, 43, 77, 128, -21, 37, 54, -13, 11, 217, -119, 310 },
{ -4, -5, 12, -4, 78, -3, -12, 75, -17, -7, 40, -21, 35, -18, 57, -14, 4, 7, -17, 67, -94, 130, -90, 79, -8, -9, -8, 10, 122, -87, 109, 107, 112, 114, 122, -21, 37, 10, -21, 83, -136, 331 },
{ 5, -17, 24, -84, 15, 22, 21, -10, -12, -49, 101, -27, 41, -27, 32, 14, 10, 12, -10, 18, 178, -92, -81, 125, -33, -13, 20, -44, 87, -38, 121, 229, 140, 94, 181, -30, -8, 15, 90, -30, -104, 293 },
{ 21, -26, -5, 6, 10, -4, 82, -16, 2, -29, -7, -16, 19, 44, 6, -23, 23, -15, 34, -17, 185, -38, 18, -15, 13, -23, -15, 80, -34, -21, 288, 50, -53, 53, -12, -26, 60, 121, -34, 131, -75, 279 },
{ 1, -14, 49, 5, 9, -6, 10, -25, 40, 2, -8, -16, 87, 31, -21, 22, -12, 14, 11, 39, 106, -63, 81, -26, -7, 49, -15, -10, 101, -123, 153, 80, 88, -11, 140, -8, -15, 17, -33, 139, -137, 428 },
{ -1, -3, -9, 13, 4, -14, 38, -10, -18, 5, 37, -23, 44, 51, -26, 33, -9, -7, 18, 25, 29, -111, 132, -42, -14, -17, 17, -26, 126, -118, 136, 102, 96, 39, 91, -33, -7, 18, -22, 92, -138, 422 },
{ -91, -9, 1, 17, 94, -10, 17, -21, -10, -18, 23, -23, 18, 25, -32, 35, 19, -39, 26, 98, 40, -108, -11, -108, 99, -18, 18, 27, -59, 102, 81, 201, 127, 159, 146, -49, 13, -45, 75, -126, 118, 268 },
{ -88, 16, -14, 27, -8, 17, 72, 16, -13, -31, 19, -25, 26, -34, 38, -50, 15, -18, 55, -40, 71, -84, 120, -177, 238, -33, 49, -29, 199, -45, 111, 134, 235, 83, 111, -33, 16, -64, 65, -143, 86, 263 },
{ 2, -13, 11, -28, 8, 28, 12, -16, 23, -10, -21, -24, 78, 26, -26, 5, 16, -26, 47, -21, 66, -38, 47, 20, -38, -21, 11, -7, -80, 58, 269, 91, -83, 67, 6, -8, -9, 155, -35, 174, 97, 234 },
{ 8, -17, 21, -11, 6, 11, 66, -51, -22, -6, -3, -14, 71, 28, -23, 35, 6, -16, 25, 17, 22, -55, 61, -27, -23, -22, 18, 67, -78, -29, 199, 146, -70, 53, 85, -23, 10, -21, 225, -84, 166, 415 },
{ 3, -80, -11, 14, 3, -7, 27, 7, -30, 15, -14, 131, -19, 29, -22, 50, 40, -29, 47, -13, 38, -74, -48, -12, -39, -15, 36, -22, -81, 132, 163, 153, 27, 101, 128, -35, 5, -20, 56, -63, 71, 426 },
{ -87, -64, 10, -17, 13, -32, 21, 10, -24, 5, 46, -13, 98, -35, 65, -37, 22, -57, 62, 58, -32, 59, -43, -120, 241, -33, 43, -26, -48, 268, 95, 74, 132, 250, 97, -45, 24, 101, -44, -80, 64, 325 },
{ -14, 15, -27, -62, 78, -17, 105, 49, 24, 14, -194, -16, 36, -12, 49, -62, 39, -54, 32, -47, 71, -57, 72, -177, 209, -29, 15, 28, 106, 144, 118, -154, 363, 261, 337, -28, 27, -77, -56, -121, -41, 210 },
{ 3, -29, 23, -12, 17, 58, 10, -10, -18, -27, -24, -8, 90, -13, 50, -27, 42, -36, 11, 25, 118, 21, -74, 35, -34, -32, -31, -39, -51, 62, 222, 153, -74, -21, -18, 31, -24, 170, 30, 141, 112, 316 },
{ -7, -17, 5, 12, -37, 30, 167, -8, -29, -9, -30, -16, 154, 61, -66, 58, -26, 61, -25, 31, 66, -24, -41, -3, -41, 26, -24, -13, -132, 175, 68, 63, 84, 94, -74, 118, -41, 78, -13, 124, 122, 391 },
{ -32, 14, 2, -7, 16, -18, 41, 77, -36, -23, 16, 18, 17, -27, -36, 51, -28, 16, -23, 44, 15, -21, -34, 88, -90, 41, -40, 56, -39, -75, 180, 117, 74, 65, 66, 361, -25, 85, -73, 105, 157, 352 },
{ -10, -17, 17, 28, -17, -27, 51, 87, -16, -29, 52, -52, 42, -26, -32, 21, -30, 30, -24, 12, 24, 43, -46, 113, -119, 31, -51, 48, -62, 34, 85, -44, 131, 223, 276, -52, 15, 51, -120, 73, 132, 395 },
{ -6, 2, 76, 7, 7, -12, -23, -17, 30, 25, -13, 59, 52, 62, 10, -13, 5, -11, 29, -35, -64, -30, 90, -11, 10, -2, -11, 94, -30, 67, 107, 108, -14, 76, -9, -5, -4, 15, -31, 68, -102, 139 },
{ -5, -35, 13, 4, 36, 21, -34, -12, -3, -5, 7, -21, 62, 137, 12, -7, 9, -9, -4, 78, -98, -32, -23, 40, 3, -9, 44, -21, 44, -81, 180, 118, 55, -12, 66, -9, -6, 18, -40, 86, -159, 217 },
{ -6, 36, 25, -12, -3, -7, -37, 106, -9, -12, 9, -22, 77, -23, 35, -11, 50, 6, -16, 42, -141, 85, -98, 35, -15, -5, -7, -15, 82, -60, 177, 123, 97, -25, 146, -12, -3, 20, -32, 73, -140, 198 },
{ -8, 43, 14, 20, -8, 22, -29, -5, -17, -2, 11, -12, 42, 24, 42, 17, -3, 50, -19, 52, -69, -61, -44, -29, 64, 7, -8, 9, 66, -46, 136, 135, 101, 134, -24, 7, -8, 31, -20, 52, -158, 231 },
{ -7, -29, 8, 26, 90, -6, -17, -23, 13, -10, 6, -12, 46, 230, -41, 134, 64, 7, -12, 161, -52, -98, 104, -43, 13, -10, 49, -28, 55, -97, 185, 290, -67, 98, -31, -6, -5, 8, 68, 41, -121, 239 },
{ -4, -3, 14, 3, 3, 13, -28, -11, -10, -14, 21, -20, 57, 135, 23, -17, 48, 16, -15, 154, -53, -123, 295, -32, 130, -6, -9, -24, 54, -77, 165, 215, 121, -37, 16, -21, 3, 44, 103, 35, -140, 252 },
{ 3, -5, -3, 4, -7, 15, -16, -9, -8, 52, 10, -44, 55, -20, 40, -20, -19, 19, 11, 13, 191, -153, 92, -51, 122, 7, 40, -20, 52, -65, 118, 220, 136, 143, -36, 6, 3, -14, 83, 39, -154, 280 },
{ -3, 9, -5, 5, 6, -15, 120, -31, 10, 5, -17, -27, 52, -26, 33, -8, 18, -21, 34, -25, 73, -97, -72, 152, -33, 42, -24, 30, -44, 74, 56, 243, 193, 47, 179, -20, -11, 5, 12, -21, -129, 274 },
{ -19, -2, 10, -10, 9, -8, 59, -28, 14, 71, -10, -19, 56, 94, -55, 111, -13, 10, 100, 13, -95, -38, 83, -47, 47, 10, -9, -13, -27, 104, 126, 377, 94, -52, 35, -13, -16, 18, -33, 62, -117, 163 },
{ -7, 4, -4, 32, -4, 5, -21, -17, -13, -3, 22, -34, 89, 172, 52, -38, 3, -28, 29, -29, -69, -137, 97, 257, -38, -17, -19, 92, 18, 88, 132, 368, 109, -52, 50, -24, 8, 20, -25, 25, -137, 214 },
{ 10, -39, 94, -15, 6, -17, 15, -23, -7, 14, -21, -34, 22, 39, 148, -47, -24, 22, 120, 47, -44, -145, 102, 299, -28, 12, -9, -9, -26, 96, 97, 295, 180, 111, -34, 10, -12, -18, 31, 34, -145, 220 },
{ -46, 23, 52, -21, -3, -17, 19, -53, 21, 37, -51, 97, 86, 71, -27, -50, 17, -37, 30, -23, 49, -129, 159, 172, 154, -9, -17, 47, -66, 107, 85, 251, 229, 61, -52, 44, 67, -34, 44, -22, -89, 243 },
{ 2, -185, 90, -16, -43, 5, 35, -26, 56, -79, 103, -38, 80, -53, 55, -64, 24, -22, 34, 40, -11, 152, -57, -19, 274, -25, 12, -9, 15, -45, 87, 222, 269, 77, 119, -56, -20, 68, -59, -111, 127, 257 },
{ -32, -60, 17, -17, 221, 108, -49, 28, -20, -46, -51, 35, 51, 90, -50, 153, 38, 8, 11, -18, -62, -58, 188, -27, -35, -12, -29, 72, -36, 185, 79, 397, 250, -39, 58, -27, -10, 38, -44, 54, -87, 156 },
{ -22, 17, -13, 9, -15, 28, -39, 74, -18, 13, -24, -23, 70, 116, 83, -79, 14, -35, 101, -19, -36, -113, 53, 266, -53, -29, 29, -23, 31, 68, 280, 270, 128, -47, 23, 19, 5, -39, 27, -23, -113, 173 },
{ -70, 48, 16, -52, -12, 43, 30, 17, -31, -29, -51, -23, 126, 58, 71, -88, 40, -25, -20, 117, -17, -72, -37, 207, 316, -12, 41, 32, -16, 108, 132, 319, 152, 66, -79, 150, -24, 37, -66, -30, -71, 209 },
{ -87, 44, -72, 20, -32, 19, 51, 25, -57, 37, 26, -56, -100, 241, -131, 358, -33, -19, 41, 49, 25, -100, 108, 69, -133, 288, -43, 89, 44, -65, 343, 198, -48, -71, 226, -70, -80, 34, -64, -125, 254, 211 },
{ 69, -219, -37, 26, -20, 184, -108, -78, 53, 385, 21, -145, 38, 42, -142, -68, -109, -41, 110, 31, 110, 152, 215, 319, 271, 28, 79, -55, -42, 104, -122, 258, 165, -185, -110, 71, -202, -37, -66, 68, 113, 286 },
{ 19, -9, 8, -9, 10, 3, -21, 6, 36, -8, -4, -16, 31, -16, 5, -11, 7, -3, 15, 94, -33, 82, 5, 4, 4, -21, 16, -16, 26, -32, 136, -20, 32, -18, 49, -15, -5, 135, -25, 45, -52, 178 },
{ -2, -6, 9, -11, 6, 3, -19, 31, 18, -2, -5, -17, 29, -13, 6, -9, 7, -6, 16, 88, -28, 84, -8, 9, 2, -10, 48, -15, 77, -30, 107, -11, 129, -18, 16, -18, 41, 107, -27, 51, -63, 190 },
{ -8, -5, 10, 25, 3, 41, -20, -4, -8, -7, 20, -16, 25, 4, 85, 3, 26, 7, -11, 20, -40, 92, -30, 74, -6, -9, 72, -19, 33, -57, 116, 70, 56, -16, 36, -5, 34, 15, -41, 75, -117, 137 },
{ 13, -19, 5, -4, 35, 7, -14, 32, -3, -5, -4, -17, 18, -9, 7, -8, 9, -2, 15, -10, 161, -25, 15, -4, 6, -11, -2, -18, 96, -30, 231, 38, -10, -11, 45, -11, 60, 139, -24, 51, -61, 206 },
{ -3, -5, 61, 5, -4, 11, -13, -10, -5, 38, -7, -10, 50, 32, -12, 8, 4, -14, 20, -7, 116, -48, 116, -19, 4, -10, 7, -19, 78, -64, 46, 87, 174, -9, 75, -8, 3, 101, -31, 71, -119, 171 },
{ 55, -5, -10, 9, -6, 18, -18, -13, -9, -8, 10, -32, 31, 25, 15, 7, 7, 84, -16, 44, -49, -45, -18, -32, 140, -10, 85, -22, 52, -123, 122, 137, 101, 169, -28, 94, -7, 14, -31, 71, -145, 224 },
{ 17, -24, 5, -4, 6, 8, -18, 34, 22, -6, -7, -12, 25, -15, 3, -6, 12, -12, 28, -12, 152, -22, 19, -5, 6, -14, -8, 10, -24, -25, 258, 42, -22, 45, -5, -8, 59, 102, -13, 228, -37, 247 },
{ -3, -10, 58, 8, -5, 14, -16, -11, -5, 11, 6, -29, 19, 26, -11, 9, 8, -16, 52, 37, -26, -34, 129, -24, 4, -9, -8, 15, 109, -87, 69, 109, -15, 133, 75, -11, 3, 108, -21, 95, -83, 222 },
{ 38, -15, 67, 5, -6, 14, -17, 24, -15, 7, -8, -7, -12, 27, 31, -14, 24, -12, 48, 30, 36, -83, 86, -24, 75, -22, 23, -11, 38, -119, 89, 58, 95, 261, -28, 31, -8, 9, -19, 114, -107, 258 },
{ 12, -15, -11, 18, 3, 5, 14, -31, -11, -18, 8, -16, -11, 66, -30, 22, -20, 25, 4, 36, 97, -91, -13, -45, 93, 5, -19, -30, 97, -56, 132, 159, 137, 113, -17, -22, 36, -11, 21, 76, -106, 261 },
{ 23, -14, 11, -12, 11, -7, 98, -17, 7, -8, -13, -10, 18, 8, -10, -3, 12, -18, 33, -16, 149, -29, 22, -12, 12, -12, -13, 28, -66, 22, 253, 33, -46, 47, -19, -3, 110, -10, 131, -25, 229, 274 },
{ 2, -9, -7, 11, 41, 9, 49, -18, -6, 7, -14, -27, 93, 37, -19, 12, 7, -23, 35, 18, 85, -50, 59, 51, -16, 3, -22, 45, -63, -50, 267, 95, -54, 61, 111, -9, -14, 52, -7, -41, 131, 198 },
{ 4, -8, 8, -14, 57, 15, 12, -6, -13, -13, 8, -39, 11, 34, -35, 32, 35, -18, 29, 30, 79, -51, -36, 6, -15, -4, -14, 43, -60, -54, 286, 151, -52, 107, 79, -33, -6, 11, 19, -70, 99, 233 },
{ 4, -55, -37, -1, -9, 58, 97, -54, -12, -41, 23, -25, 25, -29, -27, 51, 25, -28, 24, 106, 47, -81, -32, -106, 103, -16, -15, 16, -34, -33, 153, 161, 102, 155, 159, -32, 11, -26, 67, -84, -60, 337 },
{ -3, 20, -26, -147, 59, 105, 39, 39, -38, -25, 80, -18, -96, -32, 59, -50, -162, 88, -13, 69, 99, -103, 59, -135, 138, -22, 41, -16, 88, -126, 258, -69, 299, 52, 229, -24, 21, -70, 110, -170, 55, 249 },
{ 1, -13, 12, -7, 6, 14, -26, 18, -18, -4, -13, -30, 37, 52, -16, 55, 8, -28, 31, 50, 141, -41, 27, -36, 4, -4, -16, 27, -82, 21, 233, 60, -64, 45, -13, 7, 129, -29, 180, -37, 153, 190 },
{ 3, -10, 43, 5, -11, 24, -14, -1, -14, 65, -17, -15, 88, 29, -22, 20, -3, -10, 41, 24, -11, -49, 92, -13, -5, -23, 32, 86, -84, -30, 142, 135, -74, 80, 150, -13, -18, 61, -19, -32, 128, 329 },
{ -31, -5, -37, 4, 12, -12, 97, 13, -19, -17, 62, -20, 20, 12, -45, 43, 19, -21, 38, -16, 98, -36, -22, -15, -30, -11, -19, 63, -108, 169, 45, 49, 113, 26, 152, -32, 9, -16, 48, -123, 108, 361 },
{ 2, -19, 3, 73, -9, 100, 28, -7, -18, -16, 19, -36, 41, -24, -21, 36, 21, -29, 37, -36, 147, -47, 37, -148, 214, -38, 34, -16, -34, 170, 98, 64, 90, 248, 127, -49, 18, -14, 80, -177, 67, 346 },
{ -111, 5, -22, 60, 39, -33, 25, -21, 61, 20, 26, -24, 11, -10, 55, -20, 45, -81, 24, -43, 75, -60, -94, -115, 179, -12, 33, 60, 53, -61, 186, 83, 214, 230, -49, 43, -87, -53, 34, -200, 27, 282 },
{ 3, -24, 20, -6, 13, 2, 82, -14, -11, -9, -27, 13, 55, 15, 23, -26, -49, 32, 20, 31, 58, -42, 5, 10, -31, -14, 10, -16, -118, 45, 119, 69, -37, -25, 23, -10, -16, 246, -36, 89, 113, 318 },
{ 7, -31, 26, -13, 19, 51, 49, 225, -17, -16, -15, -12, 117, 18, -127, 21, -36, 29, 39, 53, 23, -10, -32, 30, -31, 40, -42, 38, -148, 220, 107, -44, 46, 47, -45, 106, -19, -48, 130, 85, 104, 456 },
{ 7, -24, 6, 8, 15, -83, 49, 8, -17, -34, 32, 13, 20, -26, -64, 72, -17, 36, -55, 10, 6, -7, 12, 56, -130, 34, -35, -24, 47, -27, 130, 25, 107, 162, -62, 206, -23, 91, -100, 85, 82, 448 },
{ -4, -5, 8, 2, 3, 41, -21, -6, 29, -4, 26, -18, 39, -4, 8, -7, 3, -3, 9, 83, -34, -16, 27, -8, 5, -6, 49, -11, 84, -26, 112, 62, -17, 24, -8, 3, -6, 11, -26, 40, -47, 150 },
{ -4, -6, 7, 4, 3, 60, -21, -11, 24, 30, -4, -14, 29, 14, 35, -4, 27, -8, 13, 121, -33, -32, 88, -10, 6, -3, 6, -15, 35, -44, 141, 108, -19, 42, -12, 54, -8, 12, -32, 49, -66, 95 },
{ -4, -8, 17, -5, -7, 23, -42, 90, -16, 44, 20, -30, 57, 68, 9, 9, 7, -9, -15, 47, -94, 163, -39, 85, -17, -10, 103, -16, 48, -100, 127, 119, 181, 117, 7, -7, -6, 17, -36, 53, -108, 148 },
{ 49, -9, 103, 8, -10, 13, -24, -9, -18, 6, 7, -26, 37, 21, 12, 103, 83, 41, -16, 38, -51, -45, -11, -27, 5, -13, 74, -20, 49, -102, 105, 186, 219, 159, -9, -9, -6, 17, -29, 59, -123, 177 },
{ 20, -11, 5, 13, 110, 14, -24, -11, -13, -13, -9, -30, 41, 34, 139, -17, 26, 13, 96, 35, -75, -92, 327, -18, 11, -6, 7, -34, 45, -81, 139, 232, -63, 98, -23, -3, -10, 11, -22, 47, -89, 165 },
{ -4, 18, 11, 73, -5, -14, -8, -16, -19, -6, 13, -19, 24, 50, 106, 14, 13, -8, -11, 26, -45, -116, 279, -56, 12, -10, 29, -20, 52, -76, 116, 164, 113, 118, 94, -22, -7, 23, -27, 49, -130, 171 },
{ 73, -10, -12, 13, 14, 9, 34, -28, -7, -8, -13, 76, -14, 66, -25, 19, 6, 80, -9, 14, 83, -132, 96, -50, 171, -6, 13, -11, 36, -110, 112, 147, 157, -23, 137, -13, -10, 18, -35, 68, -134, 221 },
{ 82, -28, -11, 10, 19, -33, 33, -46, -9, 6, 59, -35, 15, 64, -39, 23, 3, -27, -8, 35, 169, -131, 92, -51, 121, 18, -19, 19, 99, -84, 118, 118, 188, 74, -25, 92, -13, 13, -17, 35, -133, 246 },
{ 2, -10, 19, -25, 6, 45, -28, 40, -20, -39, -24, -14, 59, 28, 193, -28, 22, 12, 24, -28, -87, -106, 168, -27, 18, -35, 170, -21, 25, 120, 104, 329, -50, 100, -27, 7, -78, -35, -22, 40, -116, 151 },
{ 30, 1, -10, 3, -13, 20, -14, -21, -7, -13, 15, -38, 24, 47, 177, -34, 105, 23, -15, 42, -43, -126, 166, -36, -28, 16, 12, -18, 56, -91, 143, 288, 148, 170, 33, -25, -10, 8, -17, 21, -144, 205 },
{ 9, -11, -24, 14, 47, 14, 20, -44, 6, -12, 18, -19, -25, 76, -23, -18, 125, 45, -10, 24, 91, -155, 95, 293, -47, -15, -31, 12, 31, -92, 123, 263, 177, 141, 22, -20, 119, 14, -13, 10, -122, 224 },
{ -91, 51, -8, 60, -37, 6, 4, 147, -30, 11, 153, -15, -17, 38, 54, -31, -22, -14, 36, 33, 23, -92, -82, 144, -33, -8, 21, -21, 38, -106, 118, 253, 216, 107, -32, 23, -10, -15, -24, 43, -117, 282 },
{ -3, 10, -16, -20, 14, 37, 41, -24, 68, -70, -44, -17, 55, -56, 70, -49, 46, -10, -41, 89, 91, -82, -55, -81, 361, -39, 23, 63, -106, 156, 151, 201, 319, 70, -39, -11, -37, 78, -54, -59, -21, 221 },
{ -2, -26, 12, -16, -15, 120, -26, 40, 21, 23, -16, -21, 54, -18, -84, 199, -18, 94, -12, 28, -87, 73, 125, -26, -26, -6, 17, 36, -37, 168, 89, 398, 137, -36, 37, -10, -13, 11, -34, 41, -89, 120 },
{ -3, -14, 7, -22, 5, -22, 29, -12, -15, 144, -15, -31, 28, 26, -28, -20, -19, 11, 27, 21, 226, -97, 153, 341, -28, -5, 20, -2, 29, -119, 82, 426, 84, -75, 51, 2, 10, -34, -23, -24, 80, 162 },
{ -30, 13, -14, 13, -16, 17, 96, -27, 23, -45, -55, -21, 18, 20, -20, -52, 16, 13, -26, -18, 200, -87, 93, 182, -53, -11, -11, 86, 33, -40, 139, 397, 94, 59, 89, -28, 7, 16, 17, -15, -85, 213 },
{ -13, 20, 165, -12, -36, 27, 11, -9, -59, -48, -26, -21, 30, 56, -55, -49, 16, 29, -23, 25, 30, 199, -96, 215, 165, -37, -20, -27, 33, -86, 80, 259, 241, -103, -30, -42, 47, -22, 55, -36, 110, 191 },
{ -82, -26, 26, 32, 14, 33, -61, -38, 154, 25, -66, 46, 66, -64, -128, 166, 19, 14, -135, -63, -32, -54, 178, 176, -95, -8, 22, 55, 44, 105, 215, 307, -165, 174, 79, 17, 131, -61, -60, -42, -124, 310 },
{ -65, 4, 400, -45, -245, 45, 47, -75, -20, -72, -67, -137, -22, 102, -11, -117, 19, 16, 186, 50, 27, 39, 309, 259, 182, 68, 337, -43, -14, 13, 83, 230, 260, -136, -45, 35, -169, -27, 37, -18, -28, 95 },
{ -2, -11, 33, -9, 34, 10, -13, 6, 34, -7, 60, -22, 53, -14, 41, -8, -2, 10, -11, 29, -16, 21, -8, 9, 18, -8, 12, -24, 36, -62, 113, -48, 28, -20, 10, -9, 43, 92, -22, 34, -40, 168 },
{ 2, -13, 21, -8, 22, 10, -11, 4, 4, -4, 8, -27, 41, -13, -4, 15, -2, 7, -9, 21, 96, 62, 11, -7, 5, -8, 10, -22, 27, -60, 86, -35, 52, -14, 50, -6, 45, 86, -21, 38, -42, 187 },
{ -6, -5, 7, -3, 45, 13, -17, 68, -12, -7, 19, -23, 92, 10, 53, 59, 2, 67, -10, 19, 119, -23, 10, -11, 84, -13, 14, -19, 32, -64, 205, 63, -10, 29, -14, 6, 43, 56, -23, 35, -40, 166 },
{ 2, -11, 26, -10, 9, 5, -8, 2, 2, -4, -5, -21, 46, -7, -3, -2, 7, -10, 13, 9, 139, -6, 13, -8, 5, -9, 4, -13, 19, -56, 94, -31, 141, -11, 58, -6, 57, 118, -23, 39, -47, 221 },
{ 50, -14, 26, -3, -4, 17, -14, 53, -7, -5, 14, -39, 25, -16, 13, -5, -8, 12, -22, 52, -25, 191, -20, 128, -6, 6, 65, -15, 34, -81, 123, -16, 89, -18, 90, 4, -9, 140, -29, 56, -93, 132 },
{ 9, -22, 34, 5, 24, 10, -9, -7, -8, -17, 12, -33, 16, 17, -14, 12, 4, 23, -18, 56, -35, 115, -28, 143, -5, -7, 82, -13, 25, -73, 122, 106, 301, -12, 180, -12, -5, 16, -37, 58, -94, 140 },
{ -1, -7, 7, -6, 11, -5, 68, -12, 9, -2, -13, -8, 11, 65, -18, -3, 9, -13, 31, -5, 60, -21, 30, -14, 6, -5, -7, 9, -24, -36, 91, 148, -41, 10, -6, -3, -2, 54, -25, 145, 152, 187 },
{ -2, -16, 88, 5, 8, 77, 29, -15, -1, -10, 95, -23, -6, 34, -18, 6, 3, -7, 15, 18, 63, -39, 6, -15, 7, -10, 90, -11, 15, -83, 44, 93, -23, 246, -15, 88, -4, 131, -24, 90, -38, 159 },
{ -1, -11, 63, 9, -8, 70, 70, -14, -11, -25, 14, -24, 4, 38, -19, 13, 33, -24, -14, 30, 163, -40, -19, 37, -18, -14, 28, -18, 55, -123, 73, 85, 86, 146, 187, -16, 3, 20, -14, 86, -84, 185 },
{ 42, 17, -13, 4, -7, 75, -18, 44, -17, 87, 32, -32, 200, 16, 30, -11, -15, -43, -33, 68, -21, -34, -34, 36, -14, 8, 4, -19, 23, -99, 75, 65, 99, 136, -32, 81, 48, -23, 19, 250, -99, 239 },
{ 5, -18, 78, 3, 5, 11, -15, 32, -39, -12, -12, -15, 15, 42, -22, 8, 10, -10, 31, -3, 181, -29, 29, -11, 7, -13, -3, 10, -38, -24, 110, 23, -52, 15, -21, 72, 51, 64, -16, 119, 177, 248 },
{ 4, -8, -25, 10, -7, 38, -22, 120, -12, 8, -12, -28, 38, 35, -16, 6, 63, -25, 60, -20, 210, -22, -15, 15, -18, -9, 10, -13, 29, -105, 89, 47, -25, 124, -38, 222, -29, 61, -24, 123, -70, 228 },
{ 5, -7, -79, 201, 52, 27, -39, 41, -31, -7, -22, 173, -40, 47, -18, 21, 8, -13, 8, 36, 66, -15, -54, 22, -19, -30, -11, -12, 37, -133, 95, 94, 57, 159, 159, -32, -33, 38, -21, 68, -86, 234 },
{ 4, 4, -6, -19, -9, 37, 2, 50, -39, -21, -13, 75, 52, 19, -20, 41, 30, -37, 20, 73, 42, -61, -22, -60, 154, -19, 8, 93, -30, -41, 159, 76, 161, 131, 180, -21, 20, -26, 56, -39, -114, 346 },
{ -4, 48, -32, -18, 13, 75, -55, 112, -102, -74, 14, -27, 78, -66, 91, -33, 43, -25, -54, 54, 56, -66, -36, -76, 184, -25, 29, 26, -32, 70, 125, 171, 133, 65, 204, -44, -17, 61, -53, -49, -75, 383 },
{ 2, -15, 36, -4, 11, 75, -12, 9, -9, -8, -9, -19, 22, 26, -20, 63, 13, -34, 32, -5, 51, -30, 22, -15, 10, -13, -6, 33, -30, -21, 81, 29, -37, 113, -4, -6, 71, 109, -27, 101, -28, 351 },
{ 27, -11, -13, 9, 11, 118, -23, 16, -10, -33, 12, -31, 30, -18, 33, -18, 26, -19, 40, 25, 133, -13, -45, 40, -18, -39, 37, 75, -60, -65, 71, 39, 182, -22, 124, 164, -4, 141, 14, -59, 349, 255 },
{ 1, -25, 40, 6, 38, 8, -7, -9, 37, 105, 56, -24, -11, 18, -29, 13, 83, -18, 35, 46, 8, -21, -42, 49, -39, -71, -23, 14, 79, -95, 84, 75, -29, 140, 191, -21, -30, 13, 43, -143, 161, 307 },
{ 6, -17, 86, -28, -4, 35, 15, 13, -15, 49, 20, -23, 64, 19, -22, 41, -26, -20, 21, -19, 108, -66, 150, -62, -37, 18, -21, -180, 30, -55, 101, 88, 119, 356, 82, -94, -8, 35, 85, -209, 142, 289 },
{ 7, -100, -9, -28, 206, 86, 67, 17, -38, -34, 21, -25, 34, 24, -105, -37, 23, -56, -76, 72, 61, -78, 77, -117, 99, 115, 72, 52, -47, 147, 92, 176, 96, 173, 215, -54, -47, 39, -69, -74, -139, 361 },
{ 3, -25, 49, -3, 102, 7, 33, 5, -42, -17, -8, -12, 119, 21, 7, -23, -20, 45, -14, 104, 30, -19, -16, 27, -14, -2, 28, -46, -82, 53, 78, 94, -40, -20, 10, 58, -19, 232, -20, 91, 109, 386 },
{ 13, -28, 88, -32, -60, 384, 24, 7, 47, -22, 194, -27, 32, -30, 36, -178, -39, 43, -75, 32, 57, -48, -11, -34, 242, 28, 20, -38, -100, 62, 239, 61, -51, 73, -60, 143, -36, 43, -68, 89, 76, 465 },
{ 5, -18, -9, 13, 24, -14, 15, 19, 101, -35, 56, -37, 31, -38, -89, -101, 25, -26, 15, 29, -23, 41, 44, 320, -63, -38, 26, -27, -69, 42, -69, 79, 20, 21, 168, 301, 43, -44, 56, -157, 219, 404 },
{ -41, 36, -31, 38, -72, 325, -181, 137, -57, -73, 155, 33, -34, -56, -266, 34, 62, -17, -20, 38, 45, -103, -51, 101, -155, -35, 52, -53, -45, -113, 238, -146, 112, 214, 333, -95, 76, -63, 35, -42, 156, 285 },
{ -2, -9, 78, 1, -3, 13, -16, 64, -3, -2, 6, -22, 21, -14, 7, -8, -5, 8, -12, 36, -21, 53, -8, 7, -3, -9, 15, -23, 34, -63, 114, -30, 58, -13, 19, 18, -2, 8, -24, 30, -30, 136 },
{ -3, -9, 61, 24, -5, 14, -12, -8, 43, 6, 4, -24, 12, 15, -9, 20, 38, 4, -14, 34, -12, -17, 33, -17, 49, -11, 11, -20, 29, -63, 89, 66, -14, 15, -9, 78, -7, 9, -18, 22, -25, 128 },
{ 44, -16, 50, 7, 55, 11, -10, -13, -8, -5, 4, -27, 21, 19, 120, -5, -3, 7, -10, 38, -31, -14, -19, 87, 51, -4, 77, -27, 21, -51, 109, 166, -16, 11, -10, 3, -3, 7, -13, 23, -30, 151 },
{ -4, -12, 99, 10, 16, 10, -17, -13, -9, -8, 8, -26, 25, 14, 8, 7, -2, 73, -22, 35, -24, -16, -17, -12, 6, -6, 12, -25, 39, -70, 148, 143, 203, 121, -20, 70, 30, 9, -31, 54, -77, 92 },
{ 2, -3, -14, 10, -7, 165, 61, -31, 73, -8, 25, -28, 16, 47, -13, 11, -5, 17, -40, 54, -40, -61, 127, -32, 12, -7, 13, -41, 73, -112, 97, 247, 94, 200, -28, 46, -5, 9, -18, 48, -83, 110 },
{ 77, 2, -17, 8, -4, 78, 25, -14, -19, -12, 19, -27, 75, 36, 16, 180, 20, -5, -24, 25, 69, -76, -41, 194, -11, -11, 52, -23, 62, -118, 87, 201, 142, -28, 18, -12, -9, 20, -41, 62, -113, 184 },
{ 87, -24, -6, 9, -10, 13, -10, 55, -22, 5, 18, -23, -37, 26, 43, -13, 9, -18, 38, 35, 41, -65, -41, 263, -14, -12, 7, -26, 51, -136, 120, 83, 184, -25, 302, -25, 16, 10, -23, 69, -127, 238 },
{ -4, -4, 11, 8, -10, 20, -17, -31, 56, 14, -29, -30, 26, 51, 302, -49, -6, 56, 205, 41, -31, -122, 163, 129, -23, -17, 33, -41, 32, -94, 116, 258, -81, 124, -24, 15, 12, -18, -33, 50, -51, 123 },
{ -14, 192, -7, 8, -40, 16, 187, -30, -8, -21, -26, -16, -18, 85, -31, 15, 211, 30, -31, 56, 70, -158, 165, -42, 140, 50, -22, -18, 35, -98, 116, 207, 157, 56, -25, 10, -11, 15, -38, 75, -127, 148 },
{ 31, -29, 26, 6, -4, 9, -10, -10, -20, 49, 97, -31, 46, 48, 12, -6, 8, -18, 212, 28, 51, -87, -44, 90, -31, -133, 22, -41, 25, -82, 177, 239, 193, -35, 30, -22, -5, 20, -39, 50, -86, 213 },
{ -45, 91, -12, 4, 7, 135, -11, 21, -29, -24, 31, -40, 26, -21, 48, -13, 14, 54, -35, 57, 25, -84, -69, 89, -21, -25, 7, -12, 105, -62, 136, 243, 267, -40, 141, 11, -7, 105, -32, 37, -103, 286 },
{ 5, -123, 19, 149, 11, -30, 47, 36, -40, -19, -7, -26, 37, 49, -37, 48, 25, 8, -26, 14, 114, -61, -22, -129, 205, -127, -42, 14, -44, -33, 166, 213, 211, 128, -82, 26, 29, -111, 59, -48, -64, 286 },
{ 7, -13, -17, -23, 15, 30, 32, -24, 16, 22, -27, -20, 31, -38, 81, -42, -15, -5, -20, 26, 114, -127, 186, -48, 13, 162, 33, -22, 39, -78, 117, 377, 413, 236, -20, 14, -7, -64, -39, 53, -105, 128 },
{ -137, -6, -140, -25, 324, 20, 49, -17, -24, -52, 25, -48, 23, 38, 203, -55, 45, -69, 58, 40, 70, -123, 82, 123, -22, 14, -65, -12, -18, -69, 87, 327, 151, -44, 43, -21, -13, 239, -26, 55, -86, 171 },
{ 130, -18, -25, -7, 190, 35, -141, -13, 17, 4, -11, -18, 18, 21, 20, -42, -20, 19, -9, -12, 203, -103, 87, 186, -38, 168, 4, -42, 41, -60, 316, 332, 95, -65, 32, -17, -40, 143, 8, 23, -64, 225 },
{ -11, 17, -36, 29, 38, -18, 18, -45, 49, 9, -25, 17, 27, 44, 27, -26, 118, -48, 19, 22, -32, -81, -92, 247, -55, 42, 139, 18, 22, 155, 65, 310, 252, 107, -53, 34, -72, -48, 23, -44, -123, 237 },
{ 12, 79, 179, 140, -166, -12, 17, -33, 46, -6, -105, -44, 63, -28, 139, -53, 78, 143, 29, -64, 117, -151, 251, 252, -35, -18, 24, -16, 55, -84, 122, 376, -106, -80, 54, -25, 23, -37, -183, -133, 160, 177 },
{ 29, -29, -212, 26, 444, 29, 28, 276, -56, -106, -47, -40, -86, 323, 165, -32, 31, -18, 32, 73, -82, -70, 100, 181, -34, -104, -73, -90, -30, 165, 75, 462, 80, -96, 107, -35, -29, 49, 46, 79, -72, 126 },
{ 32, -10, 84, -9, -4, 14, -10, 10, -5, -7, 13, -25, 136, -18, 9, -3, -4, 9, -19, 36, 111, 30, -20, 8, -7, -8, 14, -22, 40, -66, 69, -58, 34, -15, 11, -4, -4, 110, -11, 55, -11, 106 },
{ 28, -14, 36, -11, 33, 12, -10, 10, -5, -7, 7, -23, 25, -17, 7, -7, -5, 8, -14, 36, 113, 26, -11, 52, 4, -13, 15, -25, 39, -67, 260, -55, 31, -15, 30, -4, 37, 36, -17, 21, -22, 149 },
{ 42, -8, -5, 6, -6, 24, -13, -7, 45, -4, 4, -28, 6, 54, -7, 2, -9, 17, -24, 48, -7, 161, 78, -7, 56, -14, 14, -25, 37, -68, 92, -26, 71, -10, 21, -3, 54, 6, -21, 25, -22, 150 },
{ 10, -18, 26, -2, 3, 10, -8, 6, -2, 20, -6, -19, 93, -16, -4, 24, 3, 55, -12, 30, 124, 17, -8, 5, -5, -11, 12, -22, 32, -66, 75, -38, 76, -18, 36, -6, 63, 43, -19, 23, -23, 191 },
{ -2, -15, 102, 1, 32, 12, -5, -10, 3, -4, 5, -25, 60, 6, 4, -12, 4, 5, -18, 34, 139, 80, -9, 9, -3, -11, 4, -12, 12, -37, -28, 102, -15, 59, -15, 116, -5, 167, -11, 20, -24, 180 },
{ 2, 41, -16, 13, -15, 16, 17, -14, -6, 23, 10, -33, 25, 21, 6, -9, -9, 20, -25, 41, 144, -37, 8, 53, -7, -9, 52, -22, 28, -76, 116, 149, -27, 210, 94, 22, -10, 14, -35, 35, -47, 92 },
{ 56, -10, 9, -5, 8, -5, 33, -4, 5, 73, -14, -19, 37, -6, -11, -2, 5, -5, 12, 12, 161, 8, 8, -11, 7, -9, 2, -15, 47, -44, 82, -31, 126, -11, 64, -8, 82, 54, -25, 51, -13, 232 },
{ 92, -7, -5, 9, 24, 20, -13, -8, -61, -11, 13, -33, 20, -5, 10, -14, 5, 4, -15, 41, -20, 38, 28, 85, -9, -12, 52, -14, 30, -83, 45, -35, 97, -11, 115, 53, 3, 90, -24, 93, -35, 275 },
{ 3, -4, -15, 20, -10, 22, -10, -10, -13, -14, 17, -30, 55, 11, 20, -21, -4, 8, -29, 50, 58, -35, -10, 73, -8, 42, -9, -8, 36, -115, 81, -25, 186, -16, 86, -11, -11, 13, -27, 47, -79, 144 },
{ -18, -5, 6, 4, 28, 79, -35, 133, -14, -12, 23, -23, 166, 24, -20, 22, -3, 29, -17, 31, 95, -30, -59, -20, 179, 13, -15, -24, 25, -59, 88, 105, 127, 112, -24, 154, -41, 13, -27, 41, -115, 178 },
{ 5, -11, 46, -7, 14, -12, 54, -14, 4, -2, -10, -11, 43, -8, -11, 12, 7, -10, 20, 12, 44, 8, -16, 18, -7, -3, -3, 2, -13, -30, 203, -18, 38, -19, 64, 4, -5, 51, -35, 103, -23, 323 },
{ 1, -13, 7, 6, -69, 22, -14, -10, -10, -8, 10, -29, 154, 13, -7, -32, 6, 26, -26, 40, 74, -19, 32, 7, -5, 86, -9, 7, 61, -69, 25, 69, -18, 228, -10, 182, 8, -29, 176, 210, -54, 248 },
{ 5, -8, -17, 16, -5, 33, -16, 23, -17, -26, 62, -36, 22, 74, -35, 23, 10, -14, -10, 55, 95, -35, -9, -5, -6, 10, -13, -49, 36, -164, 138, -34, 111, 48, 318, -14, 4, 11, -12, 97, -52, 183 },
{ 69, -13, 141, 6, -10, 75, 19, 19, -27, -37, -21, -18, 202, 19, -17, 27, 11, 24, -32, 78, 55, -73, -21, -35, 77, 11, -37, 23, 19, -84, 94, 119, 97, 311, 91, -23, 9, -39, 34, 71, -123, 255 },
{ 23, -25, 54, -57, 319, 95, -15, 22, -395, -30, -174, 61, 109, 23, 6, -57, 56, -37, -51, -154, 125, 91, 71, -144, 112, 34, -25, 38, -40, -59, 61, 147, 140, 105, -93, 107, 37, -62, 77, -103, 186, 237 },
{ 13, -20, 71, -10, 17, -10, 196, -20, 5, 6, -19, -12, 23, -14, 11, -13, 6, -16, 31, -27, 68, -24, 26, -9, 6, -7, 90, 11, -48, -24, 110, 12, -40, 8, 12, -4, 89, 6, -25, 136, 187, 361 },
{ 5, -16, -16, 11, 6, 29, -19, 27, -11, -5, -56, -29, 10, 12, 42, -16, 8, 40, -15, 41, 29, -18, -27, 46, 36, -28, 20, -15, 203, -91, 61, 149, -36, 121, -18, 285, 77, -9, 45, 130, -103, 335 },
{ 7, -3, -31, 17, 16, 321, -126, -12, -14, 94, -10, 71, -24, 28, -25, 19, -102, -23, 185, 62, -53, -68, 46, -52, 28, 3, -91, 38, -42, -111, 135, 61, -37, 186, 152, -21, 17, -18, -24, 89, -29, 260 },
{ -3, -20, 46, -20, -40, 24, -12, 28, -32, 33, -54, 84, 63, 39, -21, 38, -80, 25, -36, 35, 25, -65, 76, -95, 42, 11, -15, 72, 36, -110, 121, 313, 52, 259, 408, -53, -225, 35, -27, 300, -72, 355 },
{ 22, -9, -8, 9, 214, -15, 26, -39, 17, 14, -37, 3, 103, 30, -25, 28, -17, -5, 45, -24, 51, -47, 37, -40, 62, 13, -17, 40, -66, -54, 114, 131, -44, -21, 20, 45, -11, 239, -28, 71, 174, 299 },
{ 10, -17, -21, 7, 134, 154, 12, -49, 84, 50, -13, 40, -47, 270, 32, -47, 119, -42, 61, -31, 59, 44, -66, 26, 49, 32, -15, 156, -136, 48, 135, -133, 100, 68, -59, 126, -17, -20, 75, -51, 154, 338 },
{ 5, -27, 42, -22, -9, -60, 386, -18, 141, 26, -61, 106, -101, -21, -65, 64, -43, 48, -102, 97, -52, -7, 70, -30, -34, -66, 68, -43, -67, -32, 205, -52, 94, 134, -108, 229, 34, -54, 298, -88, 120, 357 },
{ -3, -7, 45, 3, -4, 20, -11, 63, -5, -6, 12, -30, 7, -14, 6, -3, -8, 10, -18, 40, 85, 48, -5, 63, -4, -7, 19, -32, 44, -75, 87, -28, 63, -12, 28, 2, -3, 62, -12, 14, -9, 107 },
{ 38, -15, -5, 10, 16, 13, 13, -21, 65, -8, 15, -23, -7, 29, -14, 63, -6, 12, -19, 30, 56, -28, 8, -5, 135, -11, 17, -30, 31, -62, 261, 142, -21, 17, -13, 5, -3, 80, -15, 22, -12, 121 },
{ -4, -3, 21, 8, -4, 12, -12, -19, 23, -10, 7, -26, 136, 28, -15, 3, 21, 5, -19, 30, 148, -31, 30, 33, -5, -22, 18, -27, 31, -58, 218, 139, -11, 28, -7, 75, 63, 87, -19, 27, -21, 143 },
{ 92, -9, -13, 4, -6, 17, 77, -18, 40, -4, 8, -26, -12, 51, -15, 38, 4, 192, -34, 46, -20, -61, 31, -12, 7, -21, 14, -26, 39, -97, 67, 296, -58, 30, -27, 7, 110, -5, 85, 9, 55, 48 },
{ 27, 46, -12, 13, -8, 29, 12, -25, -9, -9, 20, -20, -12, 42, 89, -10, 16, -21, -30, 41, 94, -58, 64, 37, 89, -10, 37, -32, 65, -109, 66, 206, -27, 95, -29, 8, 2, -7, -30, 49, -67, 105 },
{ 19, 2, -11, 13, -20, 79, 106, -16, -8, -14, 19, -22, -11, 35, -25, 10, -2, -5, -18, 38, 152, -42, -19, 208, 119, 42, 21, -23, 30, -91, 153, 84, -40, 239, -16, 7, -16, 29, -32, 63, -53, 116 },
{ 34, -24, -19, 23, 11, 11, 105, -35, 93, -16, -118, 15, -44, 68, -44, 18, 83, 6, -19, 46, -14, -40, -49, 93, -6, -4, 13, -46, 41, -77, 76, 107, 196, 214, -28, 16, 9, -17, 65, 67, -127, 149 },
{ 16, 8, -11, 6, -28, 11, 145, -27, -13, 69, 66, -13, -14, 57, -9, 9, -9, 15, -33, 28, 246, -83, 104, -38, 133, -13, 23, -40, 74, -111, 80, 300, 95, 24, -28, 42, 25, -18, -18, 34, -51, 57 },
{ 8, -24, -15, 15, -15, 16, 6, -33, -5, -8, 18, -34, -8, 54, 31, -23, 12, -13, -7, 36, 367, -123, 340, 252, 6, -16, 13, -37, 52, -130, 75, 256, -66, 170, -31, -6, 58, 13, -21, 51, -42, 143 },
{ 5, -24, 66, -14, -90, 9, 77, -19, 60, -4, 16, -35, 15, -23, 42, 39, -14, 64, -21, 25, 24, -86, -59, 120, -28, -25, 36, -76, 86, -141, 82, 219, 202, -34, 16, 103, 60, 10, -40, 76, -81, 153 },
{ 5, -47, -33, 18, 30, 225, -16, 6, -18, -22, 112, -41, -21, 39, -34, 30, 25, 103, -3, 48, 28, -30, -111, 72, -19, -13, -20, 45, 19, -27, 163, 191, 328, 75, -30, 13, 9, 55, -45, 58, -167, 258 },
{ -6, 13, -38, -82, -16, 264, 30, -46, 36, 100, 34, -48, 46, -37, -3, -28, 14, -38, -92, 27, 52, -72, 157, 106, 9, -58, 104, 67, 9, -113, 156, 314, -106, -40, -38, -21, -9, 24, -27, 58, 440, 165 },
{ -18, 15, -6, -16, -13, 100, 194, -9, -18, -218, 218, -22, -15, 35, 15, -37, 22, 12, -17, 22, 112, -113, 96, -29, -8, -22, 25, -56, 56, -100, 56, 353, 206, 101, -23, -53, 220, -37, 310, 60, -81, 147 },
{ 5, 63, -19, 12, 12, 312, -31, -17, -17, -8, 73, -150, 28, 134, 42, 162, -92, 52, -15, 15, -25, -73, -117, 531, -43, -14, 25, -32, 30, -45, 377, 362, 111, 233, -11, 15, 243, -22, -24, 53, -111, 187 },
{ -18, 48, -48, -16, 16, -24, -190, 9, -36, -14, 25, 22, 23, 21, 39, -53, 147, 158, -16, 84, 307, -50, -114, 196, 186, -23, -27, 27, -44, 87, 78, 276, 219, -97, -39, 20, 149, 5, -59, 42, -70, 207 },
{ -12, 33, -179, -26, -29, 316, 23, -49, 61, -26, 52, 56, -20, -27, -76, -40, -50, 238, -86, -21, 172, -17, 238, 32, -11, -10, 185, -23, 63, -29, 117, 548, -39, 98, 70, -35, 12, -34, -48, 30, -73, 125 },
{ -100, 36, 46, 142, -90, -55, -8, -36, -11, 10, 250, 64, 52, 46, 70, -87, -23, -13, -253, -32, -22, -121, 132, 175, 76, -37, 11, -57, 57, 147, 251, 449, 70, -98, 64, -46, 13, 54, 47, -25, -101, 189 },
{ -28, 23, -103, 57, 43, 16, -59, -54, 101, 90, -36, 54, 52, 31, 71, -75, -85, 66, -127, 125, -33, -61, 167, 222, -62, 53, -113, -23, -40, 160, -40, 362, 189, 187, -46, 77, -19, -29, -62, 58, -128, 158 },
{ 34, -6, -7, -3, -6, 8, 10, 4, -3, 22, 6, -11, -24, -9, 7, -1, -6, 35, -8, 14, 46, 50, -3, 96, -3, -2, 7, -9, 13, -20, -51, -11, 60, -10, 18, 13, -2, -9, 39, -20, 39, -47 },
{ 36, -5, -9, 80, -4, 9, 9, 5, -7, 11, 6, -13, -27, -8, 45, -4, -4, 7, -11, 20, 47, 13, -9, 2, 31, -9, 8, -10, 17, -26, -60, -14, 77, -4, 3, -7, 32, -3, 43, -22, 44, -48 },
{ 141, -11, -14, 3, -3, 9, 22, -8, 69, -2, 47, -8, -44, 13, -5, -7, -4, 4, -13, 16, 59, -6, 51, 67, 21, -6, 54, -16, 132, -15, -81, 111, -17, 10, -9, 4, 86, -3, 156, -21, 50, -50 },
{ 41, -11, -6, -4, -5, 14, 13, 9, -2, -5, 14, -25, -9, -18, 8, -6, -6, 8, -19, 33, 25, 22, -6, -8, 4, 17, 6, -10, 25, -40, -37, -25, 79, 26, -8, 10, -10, 122, -8, 141, -10, 143 },
{ 142, -8, -11, 8, -7, 24, 6, -5, 5, -9, 7, -27, -25, 30, -18, 19, -5, 10, -17, 42, 30, 11, 51, 94, -11, -4, 11, -22, 34, -57, -34, -26, 68, 5, -6, 101, -9, 29, -12, 81, -10, 172 },
{ 84, -7, -19, 9, -15, 32, 25, -13, 5, 34, -14, -20, -22, 27, -14, 7, -16, 24, -29, 40, 27, -21, 16, -8, 28, -9, 8, -20, 26, -60, -22, 127, -30, 30, -20, 10, -7, 81, -13, 89, 177, 152 },
{ 6, -12, 48, -11, -3, 17, -16, 17, -14, -12, 30, -18, 50, -16, 25, 22, 2, 56, -18, 33, 139, 21, -20, 88, 62, 5, -19, 2, 85, -43, 29, -36, 102, -19, 30, -3, 33, -16, 52, -17, 266, 163 },
{ 9, -14, -54, 28, -14, 17, 16, -26, 162, 2, 206, -26, -19, 60, -7, -1, -16, 7, -23, 38, 50, -12, 9, -15, 53, 3, 75, -19, 20, -52, 9, -31, 100, -20, 86, -8, -6, 9, -11, 175, 206, 185 },
{ 4, -13, -23, 8, 29, 16, 102, -11, -16, 34, -21, -16, -8, 10, 55, 8, 200, -8, -26, 31, 116, -50, 80, -14, -9, 1, 5, -21, 25, -67, 91, -53, 110, 93, -8, 6, -11, 17, -20, 28, -24, 200 },
{ -15, -6, 11, 34, -20, 370, 32, -43, 142, 22, -27, -24, 14, -24, 28, -27, -15, 16, 90, 17, 54, -27, -30, 49, -8, -12, 13, -52, 82, -116, 70, -16, 233, 523, -34, 30, 30, -6, -21, 56, -86, 137 },
{ 5, -14, 250, -15, 10, 25, -5, 10, -9, -144, 56, -13, 134, -11, -6, 7, 3, -18, 8, 248, 23, -56, 8, -20, 15, 4, -9, 35, 14, -46, 48, -22, 35, 13, -10, 19, -5, 210, -20, 105, -21, 295 },
{ 6, -12, -8, 100, 90, 12, -107, 117, -4, -14, 14, -21, -20, 41, 41, 5, -25, 20, -38, 57, -8, 42, -52, 28, -15, 11, 25, -6, 215, -71, 36, 66, -43, 386, 236, -9, 42, -18, -28, 182, -62, 161 },
{ -9, 66, -23, 20, -31, 52, -18, -27, -13, 15, 172, -25, 75, 41, -61, 12, -11, 30, -47, 96, -62, 18, -103, -18, 17, 3, -15, 23, 23, -121, 101, -66, -6, 309, -19, 55, -7, 50, -47, 61, -67, 171 },
{ -8, 28, -19, 95, -37, 24, 41, 191, -26, 39, -41, -24, 23, -19, 25, 13, -20, -7, 24, 45, -32, 16, -28, -38, 188, 11, -55, 19, 34, -107, 138, -69, 78, 371, -74, 110, -127, -188, -35, 16, -65, 103 },
{ -28, 136, 21, 48, -11, 16, 194, -38, -40, -34, -66, 133, -162, 610, 22, -404, 11, -163, 25, 32, 50, -110, 56, -163, 198, 40, -48, -507, 138, -43, 74, 126, 304, 266, -153, 36, 12, 36, -72, 47, 597, 123 },
{ 50, -15, 38, -10, -275, 12, 27, 183, -42, 40, -9, -21, 42, -17, 29, -19, 9, 11, -16, 25, 241, -14, -28, 35, 11, -3, -16, 7, 28, -81, 64, -38, 173, 12, 13, -14, -27, 33, -36, 152, 294, 358 },
{ 11, -26, -26, 38, 11, 35, -31, 442, -49, -4, -17, -7, -119, 100, 29, -26, 14, -24, 23, 24, 62, -64, 35, -25, 24, 63, -114, 28, 332, -98, 67, 322, -92, 895, -52, 12, -40, 18, -44, 155, -99, 357 },
{ 3, 49, -69, 54, -26, 27, -25, 133, -53, 40, -60, -53, 31, 46, -27, 43, -27, 100, -21, 75, 21, -60, -51, -27, 29, 5, -18, 44, -435, -132, 127, 29, -36, 314, -32, 70, 164, -12, -24, 28, -103, 355 },
{ 23, -14, -13, 23, 93, -31, 55, 25, -83, 19, -39, 13, -30, 26, 223, 47, 35, -47, 48, -70, 12, -421, -66, -16, 52, 8, 64, 51, -38, -48, -153, 152, -70, 446, -51, 32, -19, -247, 30, -59, 107, 279 },
{ 47, -30, 3, 81, 93, 177, -93, -20, 56, 27, 191, -15, -57, 173, -22, 16, -18, 184, -5, 30, -50, -7, 126, 96, -14, -10, 46, -50, 51, -81, 69, 9, -38, 9, 5, -26, -20, 314, -36, 174, 110, 462 },
{ 48, 422, -22, -129, -7, 49, -30, 18, -32, -17, 45, -342, 111, 219, 230, -198, 16, -16, -68, 155, -89, -37, 301, 29, 16, -19, 35, 130, 19, -120, 496, -80, 134, -96, 140, 153, 23, -36, 26, -55, 87, 466 },
{ 34, 62, -12, 7, -6, 6, 11, -11, -3, 3, 5, -3, -26, 53, 64, -5, -5, 137, -14, 10, 40, -9, -4, 1, -4, -8, 11, -8, 16, -10, -48, 48, 26, 36, 40, 22, 108, -7, 155, -22, 37, -57 },
{ 26, -6, -14, 5, -3, 14, 20, -8, 3, -8, 73, -18, -35, 27, 76, -7, 2, 3, 80, 12, 69, -10, 20, 16, 20, -7, 7, -16, 11, -20, -76, 89, -11, 8, -10, 6, 128, -11, 20, -35, 65, -72 },
{ 4, -8, -14, 13, 41, 10, 23, -21, 46, -15, 13, -22, -32, 17, 149, -14, 33, 14, -14, 15, 60, -21, 119, 33, 54, -13, 12, -21, 25, -35, -62, 151, -18, 18, -20, 12, 87, -18, 18, -28, 53, -55 },
{ 9, -12, -16, 7, 12, 16, 18, -17, 33, -9, 5, -22, -24, 13, 63, -11, -4, 12, -14, 25, 45, -15, 196, -4, 5, -8, 8, -32, 19, -42, -48, 167, -21, 15, -18, 12, 161, -7, -11, 117, 335, 82 },
{ 4, -20, 50, 6, 114, 18, 7, -27, -8, -5, -6, -17, -11, 25, 66, -6, -9, 16, -20, 39, 10, -24, 161, 73, 46, 5, -7, -27, 41, -70, 58, 141, -21, 22, -26, 8, -15, 7, -21, 18, -10, 137 },
{ 8, -18, -14, 19, -15, 11, 41, -28, -19, -6, 18, -22, -10, 40, 249, -17, -7, 6, -21, 24, 19, -56, 40, 72, -7, -7, 27, -22, 35, -73, 323, 115, -47, 28, -19, 20, -9, -7, -16, 8, 75, 31 },
{ 10, -294, -9, 13, -267, -4, 60, -33, -29, 198, 15, -14, -22, 40, 11, 107, -16, 16, -38, 45, 324, -54, 6, -19, 10, 253, 9, -22, 26, -69, 35, 187, 95, 222, -32, -45, -6, 14, -23, 32, -26, 34 },
{ 6, 6, -16, 16, -16, 6, 5, -42, -13, -28, 35, -30, -11, 24, 18, 6, 75, 17, -44, 57, 129, -37, -22, 272, -5, 28, -8, -29, 56, -97, 64, 104, 131, 97, -11, -5, -6, 10, -24, 32, -40, 33 },
{ 11, -15, 106, -54, -61, 16, -38, 8, -34, 8, 39, -10, -20, -21, 13, 6, -19, -34, 141, 36, 26, -26, -22, -25, 141, 12, 32, -66, 65, -117, 55, 166, 176, 129, -44, 24, 102, -13, -27, 76, -92, 130 },
{ 55, -23, 34, 5, 8, -12, 15, -28, -16, -19, 10, -10, 191, 62, -12, 397, -14, 22, -38, 28, 120, -77, -18, 125, -6, 8, 56, -20, 38, -108, 56, 227, -72, 26, -32, 5, -27, 6, -20, 18, 55, 65 },
{ 3, -19, -4, 12, 9, 6, 18, -24, 41, -16, 25, -28, 270, -26, 24, 23, -35, 185, -33, 23, 49, -73, -67, 119, 175, 8, 39, -49, 60, -109, 62, 181, 187, -29, -21, 43, -5, -11, -27, 57, -45, 69 },
{ 47, -21, -16, 18, 15, -188, 24, -30, 18, -203, -16, -16, -83, 10, -46, 29, 175, -122, 36, 52, 57, 11, -117, 491, 225, 24, -24, 103, -70, -60, 96, 116, 188, -83, 229, 79, -125, 12, -72, 125, -102, 206 },
{ -14, 16, -7, 18, -9, -16, -11, -29, -29, -24, 21, 94, 70, 74, 76, -29, -13, -14, -47, -71, 168, -83, 193, 161, -18, 15, 20, -14, 85, -67, 69, 233, -92, 78, 6, 159, -337, 129, -9, -29, -91, 152 },
{ 27, -8, -17, 16, -296, 80, 27, -21, -25, -28, 27, 130, -74, 90, 22, -37, -243, -49, -46, 37, -19, -153, 179, 149, -25, 44, 23, 44, 455, -83, 56, 263, -72, 65, 39, 35, 61, 229, -52, -57, 120, 103 },
{ -8, 10, -68, -18, 134, 176, 8, 252, -33, -29, 65, -158, -57, 22, 23, 69, -67, 382, -32, 54, -21, -32, -94, 351, -71, -6, 33, -48, 36, -68, 49, 166, 60, 541, 35, -22, 15, -21, -19, 60, -113, 136 },
{ 79, -17, -232, -63, -17, 488, 18, -117, -35, -41, -137, 43, -10, 257, -31, 20, 420, 31, -33, 34, 6, 51, -118, 217, 441, -44, 32, -72, 75, -143, 133, 64, 315, -213, 55, 15, 37, 49, -77, -25, 193, 122 },
{ 37, -87, 46, -58, 62, 113, 8, -76, 16, -132, -22, 36, 157, 261, 41, -87, 70, 450, 70, -64, 19, -114, 220, 176, 208, -187, -388, -100, 89, -24, -132, 455, 90, -101, 66, 7, -282, 23, -38, -47, -66, 164 },
{ 13, -200, -113, 54, 41, -88, 69, -117, 29, 67, 71, 100, -33, 74, -72, -79, -55, -82, -28, 650, 66, -149, 184, 251, -103, 47, 117, -59, -66, 36, 81, 339, 151, 174, 56, 29, 158, -229, -197, 121, -133, 106 }
 }
 },
{ 
{ 
{ -45, 13, 62, -32, -30, 27, 16, 21, 22, -25, 32, 7, 30, 25, 24, -5, -12, 27, 23, 42, 53, 50, 40, 45, -17, -31, 39, 28, 51, 52, 62, 48, 57, 36, 44, 12, -49, 77, 20, 46, 64, 62 },
{ -44, 14, 60, -31, -20, 7, -9, 37, 40, -15, 30, 8, 25, 7, -4, 47, 7, -4, 6, 15, 51, 63, 77, 34, 58, -22, 6, 4, 9, 51, 66, 59, 70, 49, 16, 58, -42, 39, -7, 33, 57, 90 },
{ -25, 10, 133, -53, -34, 28, -10, 46, 51, 23, 18, 42, -10, 21, 18, -18, -29, 19, 21, 55, 62, 54, -23, 21, 31, 61, 8, -3, -72, 68, 84, 106, 21, 33, -1, 62, 47, -57, 56, 21, 29, 92 },
{ 33, -37, 9, -25, -6, 61, -11, 64, -14, -26, 38, -9, 21, -48, 66, -33, 10, -13, 21, 15, -35, 88, -123, 127, 34, -38, -14, 87, -153, 123, 129, -166, 476, 100, 79, 167, -29, 101, -41, -21, 45, 187 },
{ 21, 9, -2, -35, -28, 11, 64, -20, 8, -44, 34, -12, 45, 15, -45, -25, -33, 14, 126, -112, 141, -37, -14, 101, -107, -81, 30, -49, 49, -100, 141, 200, -66, -21, 119, 51, 154, 30, 88, 85, 99, 211 },
{ -42, -25, 39, -17, 229, 82, -60, -20, -37, -26, 44, -43, -23, 50, -15, 60, 23, -67, -36, -52, 82, -79, 69, -36, -37, -36, 33, 52, -31, -28, 157, 19, 207, 139, 267, -62, 23, -27, 39, -94, 92, 408 },
{ -58, 5, 44, -12, -21, 24, 11, 39, -18, -28, 30, 13, 41, 22, 38, -24, -22, 33, 23, 54, 67, 63, 45, 30, -14, -13, 14, 31, 58, 60, 77, 69, 67, 42, 39, -11, -60, 71, 25, 42, 74, 78 },
{ -60, 10, 40, -13, -19, 19, 2, 43, -21, -24, 35, -8, 41, 15, 48, -14, -19, 28, -22, 64, 64, 72, 66, 51, -19, -12, 12, 20, 55, 51, 77, 83, 74, 45, 40, 33, -67, 41, 14, 29, 89, 82 },
{ -44, 4, 33, -12, -22, 6, 22, 42, -30, -33, 46, 13, 15, 9, 33, -22, -24, 16, 17, 48, 65, 59, 39, 28, -31, -23, 33, 30, 54, 70, 79, 67, 64, 46, 43, 20, -63, 80, 36, 51, 79, 97 },
{ -48, 13, 11, -14, -17, 34, -12, 45, -26, -29, 55, -8, 36, 4, 41, -32, -23, 30, -39, 48, 61, 62, 43, 10, 37, -23, 9, 6, 58, 65, 83, 90, 79, 54, 39, 44, -67, 55, 18, 63, 74, 107 },
{ -52, 15, 16, -20, -13, 17, 25, 31, -43, -10, 33, -15, 9, 24, -21, 44, -20, 41, -41, 39, 50, 60, 54, 18, 69, -27, 25, -44, 54, 50, 104, 119, 101, 76, -32, 108, -75, 14, 14, 41, 93, 117 },
{ -35, 4, 32, -16, -32, 31, 4, 30, -19, -35, 40, 8, 19, 6, 34, -36, -35, 32, -15, 56, 59, 56, 12, 34, -29, -30, 25, 34, 55, 66, 80, 71, 70, 57, 27, 25, -56, 104, 40, 69, 77, 111 },
{ -39, 6, 19, -24, -16, 12, 24, 50, -44, -15, 31, 12, 25, -23, 36, -21, -25, -32, 29, 21, 53, 37, 34, -19, 39, -44, 29, 13, 23, 78, 82, 93, 70, 84, 24, 77, -53, 64, 11, 62, 101, 131 },
{ -45, 10, 10, -26, -12, 18, 22, 41, -41, -26, 51, -12, 24, -16, 34, -28, -24, 19, 49, -35, 48, -43, 61, 25, 109, -50, 42, -42, -14, 97, 100, 131, 117, 73, 27, 117, -55, 16, -24, 53, 81, 142 },
{ -19, 19, 5, -19, -44, 42, -5, 57, -21, -30, 44, -23, 52, -22, 51, -46, -53, 24, -28, 61, 60, 55, -16, 35, -52, -46, 51, 16, 22, 79, 78, 78, 40, 57, 49, 31, -23, 117, 52, 79, 88, 113 },
{ -32, 5, 16, -26, -7, 4, 5, 49, -21, -31, 49, -4, 20, -36, 73, -44, -27, 37, -31, 51, 25, 15, -33, -18, 55, -52, 12, -26, 34, 57, 92, 93, 92, 93, 46, 125, -29, 33, -7, 83, 88, 163 },
{ -60, 114, 31, -32, -59, 40, 12, 24, -53, 40, 23, -29, 59, -27, 36, -67, -18, 15, 51, 72, -83, 83, 24, 152, 236, -30, 40, -53, 73, -59, 49, 165, 263, 110, 31, 103, -48, 25, -80, 27, 39, 127 },
{ -61, 20, 98, -40, -22, -8, 26, 66, -25, 38, 14, 21, 19, -36, 11, 169, -23, -26, 25, 55, -65, -56, 201, 222, 137, -28, 23, -11, -54, 126, 63, 156, 216, -49, -24, 62, 61, -25, -19, 34, -57, 127 },
{ -4, -20, 23, -11, -50, 144, -68, 36, -27, -13, 10, 50, -41, -42, 66, -60, -22, 48, 16, 34, 55, -26, -89, 108, -27, 17, -44, 10, 51, 42, -102, 182, 186, 247, 165, -45, 7, 51, -96, 56, 95, 284 },
{ -3, -13, 9, 108, -8, 22, -17, 144, -9, -4, 11, -39, 63, -14, 5, -5, -4, 9, -33, 41, 63, 16, -9, 35, -3, 95, 11, -24, 31, -63, -13, -22, 105, -15, 102, -4, -11, 45, -11, 57, 145, 90 },
{ -65, 13, 20, -22, -16, 32, 13, 46, -27, -19, 42, -26, 23, 17, 24, 52, -22, 42, -49, 37, 73, 84, 84, 18, 51, 10, -27, 19, 35, 56, 85, 99, 111, 33, 53, -20, -68, 50, 8, 18, 72, 85 },
{ -71, 16, 28, -35, -15, 29, 49, -33, 52, -30, 41, -8, -3, 14, -9, 94, -19, 44, -52, 29, 49, 98, 125, 41, 79, 15, 36, -50, 22, 60, 88, 108, 139, 34, -29, 63, -69, -27, 13, 15, 59, 80 },
{ -58, -6, 67, -55, 21, -36, 16, 68, -36, -22, 24, 35, -23, 16, -35, 55, 8, -42, 78, -48, 55, 51, 106, 58, 121, -26, 26, -29, -9, 63, 74, 151, 107, 74, -34, 94, -71, 10, -12, 40, 75, 124 },
{ -56, 11, 53, -28, -25, 23, 18, 48, -35, 5, 26, -28, 19, -41, 44, 168, -40, 23, 38, -59, 25, 71, 167, 93, 112, 20, 10, -19, 24, 51, 96, 158, 133, -32, -18, -28, -33, 13, 39, -31, 20, 117 },
{ -56, 17, 20, -36, -25, 25, 55, 19, -47, -23, 43, -13, 46, -56, 16, 83, -28, 42, 31, -81, 108, -54, 155, 91, 169, -24, 41, -15, -35, 78, 88, 152, 151, 72, -22, 66, -35, 12, -28, -32, 51, 105 },
{ -69, -30, 62, -30, 50, 17, 9, 62, 54, -22, 14, -35, 22, -88, 81, 175, 31, 28, 30, -34, 62, -56, 198, 91, 144, -48, -16, 17, -44, 58, 104, 92, 137, 15, -19, 38, -42, 59, 4, -21, 41, 53 },
{ -47, 32, 18, -24, -19, -10, 20, 45, -19, -11, 24, 12, 30, 15, -25, 34, -29, 38, -19, 69, 68, 74, 36, 22, -25, -15, 17, -8, 81, 90, 109, 101, 84, 9, 30, -15, -46, 77, 28, 39, 81, 119 },
{ -43, -12, 23, -23, -15, 40, 14, 45, -31, -12, 40, -13, 13, -10, 19, 39, -35, 39, -38, 53, 69, 90, 48, 27, -17, 10, 10, -15, 48, 74, 106, 130, 98, 21, 56, -23, -51, 54, 14, 27, 81, 126 },
{ -37, -11, 21, -13, -15, 35, 7, 29, -22, -19, 19, 12, 12, -16, 30, -16, -27, 30, -32, 66, 67, 67, 32, 31, -48, -24, 18, 20, 67, 84, 104, 108, 58, 39, 22, 30, -52, 86, 27, 56, 83, 130 },
{ -45, 12, 35, -17, -31, 8, 27, 34, -33, -16, 58, -37, 24, -26, 33, -18, -33, 55, -51, 46, 62, 81, 29, 47, -31, -26, 18, -12, 53, 86, 96, 135, 98, 50, 12, 66, -56, 66, 22, 38, 74, 149 },
{ -43, 26, 22, -31, -29, 30, -14, 41, -25, -12, 36, 21, 21, -7, -40, 23, -26, 54, -78, 39, 30, 72, 62, 25, 47, -45, 35, -37, 33, 72, 129, 158, 145, 63, -18, 49, -34, 34, 6, 33, 70, 142 },
{ -30, -22, 29, 5, -11, 28, 13, 10, -25, -24, 26, 13, -17, 38, 15, -39, -56, 46, -42, 55, 72, 46, -21, 49, -42, -23, 51, -33, 76, 94, 88, 94, 74, 59, 44, -15, -45, 110, 56, 59, 85, 151 },
{ -36, 10, 21, -15, -39, 32, 10, 20, -20, -29, 59, -27, 29, 23, -25, -25, -37, 66, -47, 27, 89, -26, 32, 53, -41, -51, 41, -55, 50, 63, 117, 151, 75, 78, 34, 62, -42, 81, 15, 66, 82, 178 },
{ -40, 14, 42, -19, -18, -11, 20, 23, -38, -30, 58, -17, 32, -39, 47, -29, -33, 63, -68, 68, 65, -58, 31, 62, -12, -55, 40, -53, -8, 87, 122, 176, 120, 79, 51, 73, -32, 52, -9, 34, 80, 194 },
{ -45, 17, 42, -27, -37, 20, 20, 30, -39, 10, -14, 33, 20, 22, -27, -41, -44, 81, -48, 67, -50, 34, 40, 68, 127, -31, 47, -39, 46, -36, 166, 151, 210, 49, 63, 54, -46, 18, -41, -17, 74, 174 },
{ -23, 6, 15, -19, -12, -13, 42, 48, -39, -43, 31, 18, -14, 10, 32, -39, -39, -44, 74, 16, 57, 46, -37, 49, -57, -48, 28, 67, -64, 127, 85, 92, 56, 53, 61, -10, -36, 159, 30, 74, 115, 165 },
{ -26, 18, 8, -21, -33, 17, 21, 18, -22, -19, 50, -32, 25, 10, 22, -35, -22, -37, 72, 32, -16, 25, -40, 31, -45, -64, 36, 12, -76, 110, 97, 148, 84, 96, 36, 79, -25, 92, 9, 64, 97, 206 },
{ -22, -15, 16, -17, 13, -27, 24, 38, -31, -55, 57, 25, -26, 16, 35, -47, -28, 73, -61, 46, 58, -41, -61, 83, -21, -59, 30, -18, -32, 72, 89, 167, 129, 94, 28, 146, -29, 22, 20, 35, 80, 210 },
{ -40, 16, 44, -15, -26, -10, 34, 18, -43, -19, 39, 20, 7, 12, 26, -67, -49, 61, -20, 46, 36, -34, -49, 56, 153, -45, 37, 41, -81, 58, 83, 124, 232, 127, 74, 136, -42, 37, -40, -60, 133, 166 },
{ -9, -23, 23, -14, -54, 35, 43, 6, -14, -20, -7, 28, 4, 15, 46, -74, -47, -57, 107, 41, 25, 47, -45, 82, -97, -65, 39, 45, -78, 84, 90, 155, -44, 56, 85, 13, 75, 57, 73, 91, 97, 174 },
{ -24, 11, 27, -25, -29, 8, 22, 25, -24, -36, 35, 8, 11, -13, 36, -37, -51, 57, 59, -29, 20, 26, -70, 66, -71, -70, 25, -39, -17, 37, 184, -92, 185, 81, 87, 137, -26, 85, 7, 58, 97, 263 },
{ 6, -12, 53, -37, 5, 15, -8, 44, -7, -34, 12, 28, 11, -16, 30, -36, -40, 33, 32, -35, 55, 66, -99, 71, -123, -42, 7, -64, 51, 91, 32, -42, 170, 69, 157, 209, -25, 102, -25, 56, 93, 306 },
{ -43, -9, 27, -33, -7, 46, -12, 55, -31, -18, 55, -24, 14, -6, 4, 68, -7, 33, -62, 32, 53, 88, 85, 26, 49, -19, 18, -24, 29, 74, 124, 156, 114, 46, -32, -29, -39, 23, 55, 18, 60, 126 },
{ -43, -11, 24, -40, 8, 50, -19, 73, -26, -24, 44, 27, -28, -20, 31, 117, 10, -21, -53, -14, 44, 102, 147, 30, 67, -31, 40, 30, 14, 74, 105, 184, 134, 11, -35, -38, -21, 29, -38, 43, 13, 109 },
{ -48, 18, 47, -28, -9, -22, 27, 14, -49, -21, 52, 13, 29, -51, 5, 78, -30, 61, -57, 47, 6, 76, 91, 55, 84, -27, 47, -35, -25, 63, 127, 171, 181, 13, 65, -38, -30, 34, -31, 16, 45, 133 },
{ -45, 17, 63, -29, -37, 25, 9, 12, -64, -32, 22, 61, 41, 19, 37, -23, 10, -16, 69, -60, -36, -20, 65, 101, 201, -42, 38, 45, -64, 88, 115, 169, 184, 86, -15, 73, -46, 20, -54, -29, 48, 154 },
{ -29, -10, 21, -19, -13, 47, -18, 52, -20, -21, 25, -15, 34, 21, -34, 32, -11, 50, -36, 49, 79, 51, 30, 32, -32, -19, -15, -12, 67, 119, 132, 143, 72, -11, 42, -23, -20, 18, 77, 38, 73, 145 },
{ -32, -9, 20, -20, 20, -17, 40, 34, -25, -22, 28, 40, -18, -11, -18, 49, -25, 42, -79, 38, 57, 96, 46, -9, 38, -10, 19, -35, 53, 99, 147, 155, 104, 36, -47, -29, -20, 21, 69, 45, 60, 146 },
{ -25, -11, 14, -14, -20, 3, 70, -5, -12, 9, 17, -25, 25, -20, 37, -17, -28, -28, 36, 41, 47, 69, -14, 51, -33, -20, 28, 52, -47, 158, 121, 138, 68, 28, 39, -22, -23, 27, 60, 23, 96, 153 },
{ -40, 13, 35, -14, -23, -3, 11, 33, -21, 11, -10, 41, 16, -18, -22, 30, -30, 32, -39, 42, 24, 51, 37, 21, -28, -36, 25, -46, 51, 89, 157, 151, 123, 12, 81, -20, -23, 15, 71, 31, 61, 169 },
{ -34, 18, 18, -22, -21, 28, -11, 30, -19, 13, -35, 49, 42, -18, -36, 38, -34, 40, 47, -35, 33, 46, 66, -19, 54, -24, 39, -73, -16, 101, 138, 175, 154, 25, 84, -36, -25, 41, -43, 69, 38, 188 },
{ -21, -19, 15, -11, -14, 42, -6, 39, -13, -15, 7, 25, -27, 9, 12, -18, -26, -34, 63, 19, 54, 36, -25, 41, -36, -26, 25, 52, -56, 148, 116, 140, 64, 36, 34, -16, -24, 24, 118, 36, 101, 169 },
{ -24, -8, 14, -15, -22, 34, -11, 42, -13, 15, -35, 47, 5, -37, 35, -32, -30, -40, 51, 76, -32, 59, -24, 36, -22, -34, 22, 18, -48, 90, 147, 143, 119, 71, -24, 67, -31, 27, 78, 25, 105, 179 },
{ -25, 7, 61, -23, -31, 25, -13, 26, -44, 7, 11, 35, 27, -26, 53, -46, -44, 41, -37, 66, 45, -58, -11, 50, 115, -19, 63, 12, -51, 19, 110, 241, 233, 82, -29, 77, -39, 22, -57, 16, 56, 202 },
{ -17, -11, 11, -16, -33, 14, 75, 7, -20, -18, -6, 32, -6, 4, 17, -31, -39, 60, -60, 35, 84, 18, -41, 55, -64, -74, 58, -43, 60, 188, -87, 193, 61, 46, 14, 12, -18, 151, 37, 63, 102, 184 },
{ -20, 11, 49, -30, -22, -13, 44, 25, -46, -16, 19, 25, 19, -11, 39, -62, -44, 48, -39, 74, 40, -28, -61, 47, 104, -25, 53, 10, -50, 60, 46, 179, 220, 125, 66, 91, -41, 26, -49, -26, 88, 225 },
{ -9, -13, 10, -20, -32, 27, 48, -5, -8, -59, 55, -20, 13, 17, 25, -39, -54, 83, -54, 67, 33, 28, -55, 74, -75, -66, 43, 23, -68, 174, -78, 223, -39, 45, 92, -26, 68, 87, 32, 91, 118, 210 },
{ 6, -32, 80, -33, -14, 49, 9, 11, -30, -31, 11, 23, -31, 17, 26, -64, -28, 67, 35, -18, 60, 35, -70, -27, 107, -36, 37, -37, 25, 80, -76, 178, 192, 149, 86, 189, -45, 44, -60, 8, 63, 241 },
{ -41, 13, 49, -21, -12, -25, 22, 40, -24, -10, 36, 22, 18, -50, 8, 69, -10, 39, -60, 34, 14, 84, 82, 40, -22, -24, 46, -18, 19, 80, 140, 210, 127, -17, 60, -22, -18, 20, -21, 24, 21, 170 },
{ -35, 51, 21, -31, -27, 19, -19, 44, -31, -16, 23, 18, 40, -65, 22, 132, 14, -26, 44, -46, -16, 72, 148, 64, -32, -21, 33, 40, -31, 65, 140, 232, 136, -32, 72, -31, -18, 25, -26, -13, 11, 156 },
{ -30, 9, 54, -16, -27, -4, 31, 16, -45, 9, -8, 33, 36, -28, -33, 70, -32, 35, 57, -43, 52, -33, 73, 66, 92, -15, 22, -40, -13, 42, 132, 258, 207, 34, -41, -26, -23, 17, 54, -12, -18, 212 },
{ -33, 43, 14, -29, 25, -12, 19, 77, -59, -45, 14, 24, 17, -77, 45, 174, 22, -10, 18, -41, -54, 70, 224, 94, 66, -22, 32, 14, 43, 61, 108, 256, 111, -48, -58, -28, -18, 14, 25, 52, -73, 142 },
{ -25, 64, 13, -30, -41, 15, 32, 19, -66, 13, -14, 29, 35, 67, -57, 71, -40, 22, 9, 55, -84, -31, 193, 122, 110, 9, 33, -17, 47, -17, 123, 250, 206, 23, -40, -35, -25, 12, 43, -46, -34, 190 },
{ 8, -75, 73, -34, 78, 32, -11, 47, -55, -37, 30, 4, 20, 40, -35, 92, -34, -6, 40, 89, -54, -30, 139, 170, 186, 15, 34, -8, -47, 46, 68, 178, 215, 55, 34, -70, -25, 36, 28, -46, -57, 179 },
{ -10, -15, 14, -25, -10, -14, 64, 34, -22, -12, 52, -26, 29, -33, 32, 11, -9, 47, -38, 42, 52, 49, -25, 37, -26, -13, -21, -33, 59, 135, 167, 179, 64, -31, 34, -25, -13, 14, 90, 46, 51, 178 },
{ -30, 6, 58, -24, -16, 11, -14, 52, -14, -14, 36, -20, 37, -23, -15, 41, -20, 34, -45, 28, 30, 51, 31, -18, -15, -16, 37, -30, 30, 104, 183, 182, 71, 18, 58, -18, -16, 20, -26, 67, 55, 206 },
{ -23, 23, 8, -20, -15, -19, 63, 34, -19, 16, -32, 31, -21, -13, 38, 6, -15, -28, 57, 18, 51, 35, -35, 44, -29, -13, -26, 40, -26, 133, 152, 174, 71, -21, 25, -26, -19, 22, 78, 50, 76, 209 },
{ -26, 36, 16, -20, -24, -6, 11, 26, -17, -15, 22, 32, 41, -26, -25, 44, -37, 51, -44, 37, -15, 36, 38, 50, -19, 9, -28, 16, -18, 74, 157, 229, 116, 34, 58, -21, -21, 12, 56, -34, 60, 219 },
{ -20, -6, 10, -15, -28, 36, 17, 33, -17, 7, -22, 30, -26, 19, 17, -22, -14, -35, 74, 16, 41, 23, -42, 47, -24, -20, -14, 33, -40, 138, 134, 141, 57, 32, 19, -19, -19, 25, 96, 41, 106, 232 },
{ -21, -10, 12, -10, -12, -4, 46, -9, -17, -19, 32, 31, -25, 10, 34, -20, -48, 76, -58, 35, 29, 38, -65, 39, -26, -26, 34, -31, -32, 143, 103, 192, 103, 28, 65, -13, -20, 21, 52, 31, 102, 233 },
{ -19, -14, 15, -15, 7, -11, 46, 9, -29, -31, 27, 27, -11, 20, -45, 37, -47, 71, -38, 47, 30, -25, 13, -19, 30, -18, 37, -37, -28, 81, 113, 225, 166, 58, 95, -31, -25, 37, -28, 58, 49, 241 },
{ -15, -13, 7, -11, -21, 32, 25, 23, -13, -39, 40, -10, 12, -4, 18, -24, -31, 73, -58, 46, 43, 29, -51, 65, -43, -51, 21, 5, -39, 234, -110, 282, -34, 46, 23, -21, -17, 126, 48, 76, 105, 199 },
{ -21, 7, 37, -22, -41, 34, 17, 2, -13, 9, -16, 14, 24, -25, 37, -28, -20, -42, 69, 34, -13, -25, -36, 43, -40, -37, -4, 44, -75, 100, 105, 159, 125, 60, 17, 63, -31, 32, 79, 35, 83, 289 },
{ -20, 9, 38, -24, -32, 24, 6, 25, -22, -13, 16, -15, 32, -11, 25, -46, -16, -21, 64, 47, -40, 30, -44, -29, 57, -31, 24, -33, -30, 70, 92, 172, 167, 91, 41, 90, -35, 25, -24, 62, 83, 272 },
{ -11, 16, 80, -45, -27, -11, 10, 59, -34, -22, 55, 16, 13, -29, 48, -85, -26, 47, -17, 66, 51, 17, -101, 114, 210, -13, 19, 38, -49, 26, 41, 176, 302, 113, 52, 55, -39, 55, -72, -47, 54, 184 },
{ -9, -12, 8, -19, -20, 44, 38, 6, -10, -42, 39, -14, 11, 19, -11, -23, -51, 62, -35, 58, 54, 17, -55, 72, -76, -52, 19, -7, -30, 201, -132, 186, 59, 18, 60, -17, -14, 184, 53, 73, 93, 242 },
{ -16, 7, 40, -29, -25, 50, -8, 14, -13, -22, 41, -38, 14, 20, 18, -28, -41, 58, -59, 63, 31, 14, -71, 45, -68, -61, 21, -40, 72, -65, 226, -87, 178, 54, 52, 98, -15, 29, 103, 44, 77, 358 },
{ -17, 8, 62, -26, -32, 43, -10, 10, -12, -16, 10, 7, 32, -18, 44, -57, -48, 55, -34, 50, 26, 49, -114, 62, -46, -38, 31, -36, 39, -42, 191, -96, 241, 108, 58, 165, -30, 71, -17, 35, 57, 329 },
{ 3, -33, 8, -6, -21, 77, -6, 29, -20, -42, 12, -15, 30, 20, 12, -51, -55, 64, 41, 7, 72, 19, -63, 56, -69, -103, 58, 31, -120, 168, -93, 136, 80, -13, 56, 23, 147, 45, 110, 83, 61, 243 },
{ -16, 5, 45, -21, -34, 63, 11, -9, -3, -24, 11, 34, -16, 38, -13, -18, -31, 12, 12, 60, -60, 73, -46, 48, -108, -104, 36, 54, -17, -55, 168, -136, 223, -54, 148, 135, 77, 50, -37, 132, 122, 320 },
{ 6, -50, 160, -24, -12, 9, -16, 24, -23, -19, 106, -53, 15, -31, 46, -31, -63, 65, 17, -29, 99, -100, 86, -142, 146, -43, -8, 70, 86, -109, 146, -136, 232, 192, 118, 245, -25, 31, -73, 86, 103, 218 },
{ -30, 41, 12, -17, -29, 15, -16, 56, -21, 4, 38, -18, 38, -42, -13, 56, -19, -16, 46, -26, 17, 68, 59, 45, -20, -13, 66, -17, -34, 91, 182, 240, 111, -30, 57, -22, -13, 20, -26, 45, 13, 202 },
{ -26, 49, 15, -21, -24, -9, 20, 38, -35, 9, 19, 14, 44, -59, -10, 133, -15, -7, -25, 49, -66, 78, 125, 62, -36, -12, 34, 18, 30, 8, 174, 282, 164, -87, 81, -25, -13, 24, -25, 20, -56, 193 },
{ -25, 69, 14, -24, -22, 10, -9, 92, -58, 9, -17, 35, 32, -65, -8, 185, -35, 24, 8, 31, -107, 11, 245, 103, -46, 11, 17, 4, 26, 79, 116, 354, 127, -106, 87, -29, -15, 15, -13, 43, -108, 144 },
{ -30, 9, 55, -16, -19, 18, -23, 59, -35, -25, 63, -21, 49, -29, 47, -55, -25, 52, -9, 100, -69, 14, 25, 115, 199, -15, 10, 42, -48, 29, 76, 235, 250, 96, -45, -33, -20, 67, 24, -83, -16, 217 },
{ -16, 11, 25, -25, -37, 8, 17, 80, -82, 97, 22, -39, 31, 72, -26, 204, -35, -15, 36, 22, -137, -68, 337, 106, 85, -21, 12, -24, 51, 134, 73, 371, 84, -100, -49, -45, 29, 13, 40, 89, -148, 110 },
{ -19, 7, 24, -19, -32, 19, -16, 34, -88, 61, -12, 74, 15, 133, -97, 115, -33, 29, -45, -14, 46, -132, 281, 214, 50, -15, -12, 54, 76, 109, -58, 320, 240, -82, 69, -60, 41, 16, 19, -65, -94, 160 },
{ -46, 24, -22, 33, 126, -27, -19, 85, -75, -10, -20, 13, 45, 110, -100, 250, -9, 36, 79, -64, 86, -83, 228, 195, -47, 59, -25, -58, 80, -123, 55, 309, 133, -95, 81, -31, -30, 12, 45, -44, 128, 89 },
{ -16, -9, 11, -17, -25, 36, 50, -8, -9, -10, 21, -26, 41, 35, -27, 6, -23, 59, -46, 22, 45, -35, 29, 38, -27, -21, 30, -30, 27, 123, 201, 173, 25, -28, 63, -16, -10, 17, -26, 94, 73, 252 },
{ -25, 5, 56, -18, -28, 43, -8, 44, -19, 14, -16, -15, 71, -40, 37, 8, -20, -27, 52, -37, 58, 24, -10, 38, -14, -19, 43, 19, -54, 131, 194, 224, 55, -37, 40, -12, -9, 16, -21, 66, 54, 219 },
{ -12, -10, 6, -11, -21, 13, 46, -7, -9, -9, 40, -9, 25, -22, 53, -16, -29, 34, -42, 50, -21, 26, -35, 40, -13, -24, 40, -41, -21, 92, 160, 218, 70, 16, 51, -18, -14, 22, -35, 98, 70, 262 },
{ -22, 39, 9, -8, -37, 36, -20, 25, -26, 11, -15, 31, 36, -32, -28, 38, -16, -11, 39, -32, 33, -29, 35, 40, 16, -21, 53, -11, -43, 86, 157, 269, 136, -47, 104, -27, -13, 29, -48, 51, 24, 254 },
{ -12, -14, 7, -6, -22, 12, 71, -5, -25, -13, 36, -25, 15, 17, -27, 9, -17, 32, -57, 38, 39, -38, 17, 34, -24, -15, -18, -15, 50, 97, 162, 168, 36, -6, 8, -18, -15, 22, 85, 35, 74, 306 },
{ -20, 8, 48, -21, -27, -7, 33, 12, -24, 7, 25, -11, 33, 41, -33, 17, -34, 35, -22, 68, -46, -15, -22, 70, -18, -15, 28, -22, -22, 69, 155, 200, 167, 38, 79, -17, -22, 27, -42, 65, 34, 270 },
{ -23, 73, 14, -17, -39, 9, -16, 44, -13, 6, 19, -15, 38, 21, -38, -24, -36, 56, -10, 60, 34, -81, 19, 56, 97, -23, 44, -30, -29, 32, 120, 247, 267, 79, -20, -15, -13, 64, -33, 30, -49, 283 },
{ -9, -13, 7, -15, -21, 60, -8, 41, -16, -10, -7, 19, 13, 15, -12, -19, -27, 36, -67, 58, 71, -76, 40, 60, -44, -25, -8, -22, 39, 193, -145, 287, -28, 19, 25, -17, -21, 35, 96, 76, 72, 266 },
{ -20, 8, 52, -28, -34, 41, -11, 14, -11, 9, -9, 15, 15, -18, 22, -17, -52, 65, -57, 61, 22, -22, -39, 40, -34, -31, 29, -45, 77, -72, 169, 151, 107, 43, 39, 43, -26, 24, 77, 31, 47, 344 },
{ -20, 8, 69, -32, -14, -12, 37, 13, -20, -23, 37, 5, -16, 32, 14, -31, -22, 27, -31, 55, 31, -40, -62, 48, -18, -29, 39, -13, -16, 36, 96, 161, 213, 58, 65, 71, -21, 17, -37, 76, 62, 289 },
{ -25, 68, 10, -13, -26, 54, -20, 20, -29, -30, 24, 56, -23, 17, 55, -62, -33, 71, -26, 40, 55, -56, -86, 53, 93, -19, 23, 60, -29, 24, 75, 165, 315, 84, 151, -26, -23, 36, -75, -19, 49, 260 },
{ 4, -25, 26, -21, -15, 8, 77, -8, -4, -29, 13, 13, 5, -3, 2, -15, -54, 61, -36, 25, 72, 39, -61, 59, -55, -78, 47, -22, -59, 232, -121, 184, 58, -8, 56, -42, 74, 25, 134, 86, 82, 269 },
{ -13, 11, 75, -26, 63, -39, 89, 16, -32, -20, 25, -19, -15, 10, 57, -114, -14, -36, 116, 9, 55, 56, -121, 68, 136, 11, 45, -44, 66, 93, -43, 129, 313, 178, 139, 53, -56, 31, -112, 123, -55, 261 },
{ 3, -34, 39, -39, -22, 108, -12, 23, -11, -35, -17, 19, -4, 22, 10, -45, -51, 58, 14, 31, 41, 46, -70, 68, -71, -83, 25, -14, 36, -69, 212, -102, 162, -25, 78, -24, 155, 33, 113, 121, 70, 315 },
{ -14, -16, 14, -16, 44, -18, 41, 25, -18, -31, 14, -13, 46, -62, 41, 32, 28, 11, -42, 59, -18, 52, 18, 46, -19, -27, 45, -26, 42, 49, 209, 254, 117, -49, 73, -11, -10, 19, -35, 52, -36, 231 },
{ -20, 6, 66, -20, -27, 8, -27, 80, -28, 58, -13, -13, 52, -58, -18, 121, -22, 17, -14, 65, -36, 64, 125, 57, -28, 8, -16, -18, 55, 35, 138, 346, 110, -76, 57, -15, -15, 15, 30, 22, -50, 163 },
{ -20, 39, 14, -18, -21, 26, -20, 26, -28, -11, 11, -4, 86, -32, -38, 78, -31, 39, -18, 69, -52, 13, 69, 63, 52, 52, 28, -16, 23, -20, 157, 308, 201, -58, 53, -33, -23, 17, -39, 55, -65, 245 },
{ -14, 12, 15, -15, -26, -7, 33, 12, -74, 74, 47, -22, 55, 92, -104, 112, -36, 11, -24, 49, -77, 10, 246, 141, -61, 67, -17, -12, 66, 63, 99, 402, 131, -96, 66, -19, -26, 6, 14, 38, -68, 95 },
{ -21, 68, 17, -22, -39, 49, -23, 48, -65, 8, -10, 27, -12, 70, -84, 47, -28, 53, -13, 63, 58, -125, 216, 141, 98, 96, -25, -20, 27, -28, 80, 335, 224, -39, -40, -37, -25, 13, 29, 72, -113, 213 },
{ -7, -30, 50, 10, 54, 18, -46, 107, -80, 15, -11, -27, 43, -68, -11, 248, -15, -29, 109, 30, 77, -93, 327, 96, -63, 72, 15, -42, 40, 115, 119, 410, 44, -115, 114, -15, -23, 7, -18, 69, -109, 158 },
{ -14, 50, 18, -26, -34, 39, 9, 64, -89, 19, -13, -32, 31, 106, -109, 162, -13, -15, 118, -37, 39, -139, 303, 151, -50, 54, 26, -39, 40, 199, 96, 377, 190, -103, 102, -19, -27, 20, -24, 58, -152, 116 },
{ -11, 21, -13, -24, -43, 78, 17, 53, -42, 46, -13, -22, 64, 60, -107, 48, -36, 58, 15, 16, 77, -108, 160, 205, 113, -8, 61, -33, 85, 54, 35, 281, 320, -31, 112, -99, -9, 52, -57, 66, -167, 188 },
{ 10, 105, -71, 66, -38, 26, 36, -5, -32, 65, -5, 3, -43, 51, 39, -108, -37, 80, 30, 52, 66, 47, -73, 165, 273, 12, -11, -29, -71, 139, -18, 179, 325, 100, 69, -54, -21, 79, 30, -113, 68, 217 },
{ -14, 48, 14, 69, 49, -29, -49, 51, -94, -15, 42, -65, 35, 110, -112, 240, -24, -7, 111, 81, -80, -68, 277, 137, -75, 17, -39, 83, -68, 178, 158, 378, 74, -71, 45, -18, 43, -7, -22, 152, -51, 145 },
{ 14, -38, -52, 136, 60, 38, -72, 88, -56, 8, -25, 16, 16, 55, -76, 97, -12, 91, 111, 77, -54, -48, 156, 183, 181, 15, -52, -95, 69, 86, 103, 269, 244, 132, -81, -65, -10, 36, 86, 93, -165, 101 },
{ -2, -14, 44, 19, 54, 5, -32, 20, -8, 10, -27, -128, 28, 7, 21, -26, -40, -18, 33, -13, 77, -27, -9, 22, -5, -156, 15, 16, -44, -51, 72, 94, -27, -62, 10, -7, -20, 119, -50, 93, 222, 333 },
{ -13, -9, 15, -8, -20, 34, -12, 62, -28, 13, -18, 18, 55, -27, 48, -8, -17, -12, 36, -64, 64, -55, 25, 56, -28, -17, 54, -21, -45, 165, 216, 221, -43, -24, 24, -12, -9, 17, -18, 100, 67, 243 },
{ -11, 11, -22, 3, -19, -14, 55, 48, -19, 14, -11, 31, 27, -37, -17, 36, -19, -18, 34, -63, 53, 19, 39, 22, -10, -15, 51, -10, -40, 128, 208, 226, 27, -47, 65, -16, -8, 11, -21, 54, 41, 254 },
{ -7, -18, 11, -10, -24, 57, -11, 48, -21, 12, -15, -3, 43, 19, -20, 13, -20, -16, 33, -53, 51, -56, 45, -33, -13, -24, 36, -25, -24, 139, 180, 198, -29, 15, 35, -12, -9, 17, -30, 117, 52, 283 },
{ -14, -11, 8, -11, -24, 38, 55, -5, -13, 11, -22, 16, -25, 45, -19, 42, -35, 41, 29, -58, 62, -54, 20, -9, -12, -21, 39, -34, -45, 137, 160, 239, 40, -18, 67, -13, -11, 16, -27, 83, 66, 245 },
{ -20, 8, 55, -23, -21, -11, 57, 11, -9, 12, -19, 25, -26, 43, -40, 11, -28, 18, 28, -50, 61, -68, 33, 84, -12, -18, 65, -24, -22, 70, 170, 266, 116, -50, 85, -16, -10, 20, -32, 63, -55, 326 },
{ -10, -16, 11, -9, -18, 57, -7, 66, -29, -8, -13, 11, -8, 15, -23, 13, -26, 55, 30, -58, 52, -61, 41, -28, -13, -28, 38, -44, -29, 103, 176, 163, -36, 24, 29, -17, -10, 19, -24, 129, 60, 306 },
{ -16, 5, 36, -22, -30, -4, 48, 3, -9, 10, -11, -5, 13, -20, 46, -11, -28, 67, -30, 61, -47, 24, -67, 36, -13, -29, 39, -51, 52, -53, 219, 145, 115, -29, 78, -11, -10, 19, -40, 81, -51, 407 },
{ -14, 13, -13, -11, -11, -8, 50, 35, -17, -12, 8, -9, 28, 10, -15, -12, -17, 35, -22, 54, -63, 25, -69, 72, 25, -18, 60, -28, 15, 33, 168, 202, 184, -20, 98, -20, -10, 19, -51, 77, -57, 345 },
{ -9, 14, -31, 34, 19, -14, 32, 10, -20, -30, 10, 31, -28, 61, -16, -30, -14, 13, -21, 75, 64, -81, -24, 57, 109, -16, 70, -31, 30, -13, 127, 247, 274, -28, 90, -35, -12, 30, -58, 52, -84, 305 },
{ 3, -7, 6, -29, -24, 59, -5, 53, -14, -18, 8, -5, 21, -13, 29, -13, -6, -28, 49, -61, 60, 22, -72, 51, -14, -24, -34, 47, -62, 207, -98, 218, 31, 22, -13, -18, -13, 24, 118, 34, 87, 296 },
{ 3, -6, 6, -28, -22, 22, 67, -7, -16, -23, 14, -17, 10, 9, 29, -11, -33, 56, -36, 70, -46, 6, -69, 39, -20, -22, -37, 29, 11, -46, 186, 143, 99, 50, 36, -14, -17, 20, 128, -33, 69, 341 },
{ -14, -8, 22, -13, -24, 72, -20, 14, -23, 9, -19, 10, -7, 46, -21, 27, -28, 46, -28, 56, 22, -79, 21, -60, 51, -15, 46, -25, 23, 21, 103, 198, 153, 63, 104, -18, -20, 41, -68, 55, 32, 341 },
{ -11, 13, 37, -26, -23, 4, -9, 64, -25, 48, -20, 64, -22, 13, 51, -51, -45, 52, 4, 39, 56, -35, -96, 38, 103, 19, 13, -40, 79, 28, 47, 191, 288, 67, 109, -12, -22, 59, -54, 31, -62, 329 },
{ -5, 15, -16, -10, 25, -11, 17, 34, -16, -24, 38, -32, 59, -23, 53, -124, -38, 74, 14, 51, 89, 53, -151, 78, 143, -18, 30, -32, 56, 32, 22, 190, 383, 135, 45, -63, 63, 20, -84, 87, -63, 282 },
{ 5, -26, 29, -25, -13, 48, 31, 25, -7, -28, 12, 10, -13, 8, 18, -33, -16, 33, -42, 73, -19, 60, -68, 45, -44, -43, -9, 17, -37, 174, -106, 179, 55, 15, 17, -28, 42, 31, 111, 62, 123, 314 },
{ -9, -11, 11, -9, -21, 55, -9, 53, -22, -17, 16, -24, 49, 5, 9, -28, -15, 43, -35, 44, 37, 23, -105, 53, -62, -29, 18, -53, 44, -29, 200, -67, 184, 37, 25, 89, -25, 21, 87, 59, 61, 425 },
{ 5, -14, 50, -33, 17, -12, 42, 43, -25, -35, 31, 6, -17, 20, 33, -25, -25, 27, -11, 36, 35, 6, -115, 50, -60, -14, 29, -30, 29, 24, 64, 114, 196, 56, 61, 169, -34, 65, -49, 45, 64, 369 },
{ 7, -19, 65, -26, 7, 7, 53, -7, -19, -33, 55, -24, 59, -14, 58, -79, -36, 56, -16, 29, 73, 55, -171, 43, 91, 8, 25, -36, 56, 46, 83, -103, 370, 118, 164, 89, -45, 66, -72, 42, -15, 335 },
{ 4, -14, -5, -17, -23, 86, 5, 77, -9, -29, -18, 20, 11, -16, 25, -45, -17, 34, 18, 56, -18, 75, -21, 26, -71, -79, -45, 43, -34, 59, 73, 130, -41, 40, 64, -37, 140, 66, 135, 109, 109, 316 },
{ 4, -28, -11, 45, 7, 39, -6, 75, -32, -23, 61, -8, 18, 8, -31, 11, -31, 20, 20, -27, 75, 40, -60, 50, -137, -70, 29, -69, 43, 72, 73, -73, 141, 42, 110, 126, 64, 21, 105, 46, 151, 305 },
{ -8, 46, 14, -12, -12, 84, -17, -13, 10, -29, 102, -14, 21, -17, 40, -54, -27, 80, 14, -37, 97, 36, -136, 84, -81, -17, 24, -46, 59, 78, 18, 60, 186, 135, 204, 225, -56, 94, -84, 67, 60, 275 },
{ -16, -7, 13, -10, 7, -14, 62, -4, -21, 10, -31, 65, -20, 18, 24, -11, -31, 36, 42, -18, 53, -52, -92, 50, 30, -6, 70, -41, 7, 26, 104, 203, 136, 46, 115, -28, -11, 30, -69, 60, 45, 365 },
{ -11, 28, 14, -18, -24, -10, -10, 52, -13, 7, 38, -8, 95, -39, -8, 48, -17, 7, -39, 38, -51, 45, 30, 37, -16, -18, 58, -20, 19, 33, 226, 285, 64, -50, 79, -13, -10, 20, -25, 43, -37, 263 },
{ -10, -19, 16, -16, 56, -7, -8, 80, -28, 9, -30, 43, 41, -62, 28, 68, -27, -10, -15, 52, -53, 29, 71, 61, -25, 11, 57, -15, 36, 52, 158, 373, 104, -64, 78, 3, -12, -18, -15, 54, -77, 205 },
{ -21, -7, 13, 27, 53, -18, -25, 21, -30, -22, 31, 12, 77, -14, -40, 56, 9, -33, 48, -32, 42, -66, 55, 62, 67, -20, 73, -22, 42, 36, 126, 316, 211, -57, 65, -30, -9, 21, -35, 56, -102, 292 },
{ -7, 6, -30, 49, 10, 48, -15, 26, -45, -22, -18, 55, 82, -49, -44, 204, 61, 18, -52, -12, 60, -75, 216, 44, -46, 12, -14, 44, 91, 76, 87, 473, 40, -81, 74, 35, -31, -7, -23, 43, -63, 136 },
{ -12, 16, -3, -21, -37, 98, -13, 75, -38, 90, -18, -12, 24, 19, -76, 108, -27, -23, 28, -33, 109, -98, 136, 92, 100, 8, 55, -31, 80, 50, 74, 433, 172, -72, -55, -25, -13, 13, 17, 43, -97, 177 },
{ 8, -18, 28, -31, 8, 30, -9, 48, -15, -35, 79, -21, 25, 59, -27, -49, -33, 80, -11, 22, 94, -60, 8, 104, 183, 37, 13, -24, 18, 68, 40, 296, 282, 62, -54, -32, -16, 27, -33, 79, -120, 246 },
{ 5, -31, 23, -18, 8, -26, 48, 36, -55, -14, 94, 26, -77, 136, -101, 69, 24, -12, -18, 89, 57, -140, 250, 214, 102, 17, -20, -35, 47, 134, 73, 350, 230, -65, -61, -37, -20, 46, 43, 119, -138, 149 },
{ -37, 11, 26, 41, 49, 16, -40, -17, -21, -9, 47, 69, 43, 63, -103, 155, 6, -6, 57, -95, 140, -194, 227, 236, 168, 51, -14, -18, 73, 137, 125, 424, 182, -127, -75, 71, -20, -38, 28, 137, -124, 145 },
{ -7, -11, 18, -16, -17, 34, -17, 69, -19, 17, -12, 19, 52, -14, -15, 16, -9, -9, 51, -66, 60, -74, 44, -20, -9, -21, -4, 19, -70, 167, 206, 216, -54, 65, -10, -17, 3, 9, 89, -33, 67, 243 },
{ 7, -19, 63, -27, 5, 10, -9, 34, -13, -16, -17, 48, -17, 58, -20, 11, 9, -10, 30, -74, 64, -76, 44, -21, -10, -18, -12, 33, -42, 109, 214, 244, 47, -28, 71, -13, -8, 20, -17, 67, -67, 309 },
{ -16, 10, -15, 8, -17, -11, 78, -14, -10, 11, -11, 8, 16, 21, -14, 9, -19, -9, 61, -69, 70, -80, 22, 35, -24, -20, 51, -24, 20, 98, 192, 155, 15, -31, 57, -13, -6, 18, -22, 82, -72, 360 },
{ -17, 9, 10, -16, -10, -14, 21, 52, -9, -18, 19, -8, 63, -16, 9, -10, -15, 16, -41, 37, -77, 46, -78, 43, -16, -15, 52, -25, 12, 41, 240, 166, 89, -38, 62, -9, -15, 23, -28, 71, -89, 357 },
{ -10, 13, 64, -20, -12, -10, -19, 23, -18, 9, -26, 53, 30, -45, 33, -17, -8, 13, -31, 62, -98, 68, -39, 61, 38, -20, -7, 22, -34, 38, 203, 294, 38, 75, -15, -9, -10, 9, 65, -58, 51, 251 },
{ 4, 5, -12, -23, -26, -7, 80, -2, 5, 11, -15, 12, 10, -14, 31, -23, -18, -10, 25, -55, 54, -71, 24, -23, 9, -22, -17, 28, -34, 108, 135, 162, -40, 38, -13, -22, -5, 18, 97, -26, 95, 330 },
{ 3, -13, 6, -20, -19, 36, 62, -5, -16, 3, -23, 12, -7, 31, -11, 12, -13, -5, 33, -44, 46, -85, 32, -39, -9, -22, 63, -26, -8, 43, 160, 186, 47, 28, 66, -16, -7, 19, -39, 76, -67, 395 },
{ 5, -12, 48, -25, -14, 9, -11, 55, -25, 15, -20, 10, 28, 12, -22, 25, -37, 45, 18, -46, 51, -105, 40, -32, 40, -5, 41, -34, 46, 31, 112, 276, 73, 40, 72, -22, -9, 28, -48, 61, -89, 395 },
{ -10, -11, 16, -15, 19, -23, 89, -22, 39, -12, -26, 20, -14, 30, -23, -31, -30, 60, 12, -22, 143, -75, -46, 63, 72, 14, 38, -33, 47, 26, 84, 299, 201, 107, -41, 40, -16, 31, -26, 40, -109, 349 },
{ 1, -26, 6, -15, -13, 90, -11, 58, -18, -24, 8, -12, 15, -18, 29, -10, -18, 32, -42, 51, -51, 38, -56, 47, -9, -20, 15, -52, 75, -86, 185, 123, -35, 48, -28, -19, -8, 15, 88, 33, 83, 383 },
{ 2, -11, 8, -18, -16, 18, 65, -11, -18, -19, 4, 7, -6, 8, 24, 4, -12, -3, 30, -30, 73, -40, -66, 47, -21, -28, 25, -35, -24, 52, 120, 152, 89, 35, 48, -17, 25, 21, -43, 111, 58, 340 },
{ -7, -9, 16, -15, -26, 64, -11, 30, -13, 17, -20, 62, 14, -31, 31, -44, -34, -27, 63, -38, 110, 67, -151, 35, 106, 5, 59, -26, 59, 54, 52, 208, 273, 74, 92, -25, -18, 65, -64, 41, -62, 331 },
{ -10, 9, 17, 5, -8, -7, 34, -11, -15, 9, -16, 48, 32, -41, 58, -101, -22, -9, 110, -29, 160, 42, -180, 96, 263, 5, 18, 20, -34, 185, 93, 121, 360, 138, 100, -68, -11, 68, -16, -87, -87, 296 },
{ 5, -11, 5, -28, -22, 53, 94, -11, 15, -33, 9, 13, -20, 16, 7, -35, -3, 31, -37, 60, -34, 39, -68, 24, -14, -40, -40, 36, 19, -74, 275, -67, 75, 19, 35, -35, 41, 18, 122, 83, 103, 400 },
{ -7, -17, 13, -10, 14, -17, 76, -14, -12, -32, -8, 13, 72, -44, 27, 7, 16, -8, 53, -25, 57, 31, -105, 16, -42, -24, -15, -44, 43, 101, -51, 188, 109, 24, 49, 49, -23, 15, 45, 116, 56, 375 },
{ -20, -9, 21, -7, -8, 58, -14, 67, -32, 12, -35, 64, 20, -31, 41, -22, -37, 71, 16, -29, 119, 41, -165, 39, -42, -19, 27, -75, 93, 43, 59, 89, 195, 89, 136, 83, -24, 37, -54, 80, 95, 333 },
{ -14, 22, 17, -18, -18, 5, -15, 66, -37, 11, -4, 58, -24, 76, 50, -49, -32, 135, -63, 87, 33, 60, -146, -28, 109, -20, 36, -51, 144, 40, 24, 101, 299, 141, 157, 35, -28, 40, -97, 47, 49, 335 },
{ -15, 117, 11, -23, -15, 12, -26, 20, -25, 7, 37, 86, -34, 34, 45, -98, -15, -26, 131, -36, 158, 67, -206, 61, 99, -25, 29, 14, -63, 111, 61, 95, 387, 219, 115, -49, 78, -44, -67, 114, -40, 334 },
{ 59, -31, 3, -25, 5, 85, -14, 118, -20, -26, -14, 12, 18, -40, 15, -29, 12, -19, 14, 137, -30, 34, -38, 54, -48, -96, -13, -34, 74, -33, 141, 70, 18, 6, 61, -36, 132, 76, 140, 119, 92, 349 },
{ -9, 26, 11, -17, -26, 77, -13, 70, -15, 3, -17, 26, 28, 65, -49, 19, 12, -59, 43, 86, -60, 72, -57, 75, -105, -61, 47, -50, -33, 100, 83, 22, 115, -25, 98, 139, -19, 146, 29, 96, 127, 406 },
{ -6, 12, -12, 14, -29, 80, -14, 60, -20, 8, -11, 55, 17, -21, -11, 23, 55, -58, 31, 111, -30, 35, -68, 95, -131, -36, 41, -32, -19, 95, 74, 27, 143, 84, 118, 256, -45, 59, -42, 104, 161, 325 },
{ 8, -17, -9, -10, -5, 17, 50, 11, -14, 11, -21, -19, 65, -43, 50, 17, -31, 41, -22, 46, -83, 51, -25, 67, -12, -9, 62, -13, 37, 12, 265, 265, 63, -39, 48, -10, -9, 16, -18, 49, -87, 314 },
{ -11, 15, -17, 31, -10, 50, -23, 26, -28, 43, -35, 13, 99, -58, 26, 61, -29, 17, 19, -54, 50, -44, 59, 64, -18, 8, 42, -19, 47, 40, 128, 423, 68, -49, 90, -17, -12, 7, -10, 99, -81, 232 },
{ -10, 19, -12, -6, -11, -18, 73, 7, -14, 9, -28, 21, -7, 43, -42, 51, -17, 39, 21, -41, 50, -91, 65, -14, 108, 12, -11, -30, 67, 42, 110, 386, 108, 89, -54, 27, -6, -26, 88, 31, -105, 299 },
{ -10, 10, -24, 42, -16, 86, 8, -13, -23, 11, -11, -18, 26, 63, -96, 60, -32, -16, 31, -17, 102, -121, 152, 196, -36, 41, 72, -44, 56, 44, 87, 404, 185, -82, 62, -32, -18, 20, -17, 121, -118, 209 },
{ -33, 92, 32, 52, 16, -39, -13, 41, -77, -30, 7, 49, -51, 100, -121, 159, 14, -13, 70, 27, 31, -117, 296, 101, -62, 80, -15, -56, 131, 118, 112, 520, 41, -81, 88, -17, -29, 13, 11, 34, -42, 128 },
{ 10, -17, -11, -16, 12, 77, 33, -17, -19, -25, 12, -25, 100, 31, -47, -48, -43, 115, -63, 49, 96, -107, 121, 202, 117, 118, -26, 28, 58, 72, 125, 278, 383, -73, 119, -80, -14, 29, -44, 54, -175, 235 },
{ -10, 19, 58, -18, 86, -10, -25, 13, -15, -33, 26, 6, 70, -32, 35, -101, -22, 62, 20, 96, 22, 61, -123, 149, 267, 57, -52, 32, -26, 155, 61, 215, 295, 120, 135, -86, -14, 48, 61, -123, 64, 177 },
{ -46, 107, 15, -11, -7, 40, 49, 76, -36, 43, -40, -5, -95, 83, -171, 136, -20, -41, 11, 106, 162, -144, 289, 168, -72, 9, 90, -12, 34, -68, 303, 474, 102, -114, 160, -7, -35, 61, -44, 54, 150, 74 },
{ 11, -18, 135, -16, 33, 13, 91, -50, -22, -25, -74, -24, 57, -36, 171, -81, 39, 96, 20, 109, 52, -118, 76, 290, 98, 17, 40, -52, 75, 138, 154, 249, 236, 171, -164, 158, -23, -28, 44, -34, -78, 155 },
{ -235, -7, 30, -23, 190, -23, -13, -15, 43, 15, -182, -16, 59, -62, 77, -96, 218, -77, 117, -9, 99, -59, 66, 262, 124, 57, -20, -37, 50, -34, 263, 222, 284, 252, -126, -20, 10, -19, 84, -18, -101, 194 },
{ 3, -16, 11, -14, -6, -5, 67, -14, 23, 11, -15, 22, -16, 69, -23, 28, -7, -12, 36, -81, 63, -91, 51, -24, 6, -8, -15, 21, -85, 152, 176, 218, -85, 64, -12, -19, -6, 14, 96, -28, 78, 210 },
{ 4, -16, 10, -16, 8, -9, 48, -9, 31, -14, -8, 23, -19, 75, -15, 12, 10, -8, 48, -76, 64, -91, 55, -20, 4, -12, -9, -11, 55, 52, 213, 221, 34, -22, 40, -16, -4, 19, -10, 62, -111, 319 },
{ -7, -10, 17, -14, -14, 45, -19, 43, -5, 8, -21, 5, 31, 22, -23, 14, 5, -9, 67, -71, 56, -90, 28, -11, -9, -17, -16, -21, 30, 80, 178, 134, 36, -19, -6, -14, 5, 8, 80, 61, -103, 339 },
{ -3, -11, 16, -11, -12, 58, -20, 13, -10, 9, -14, 13, -7, 25, -30, 19, 9, -16, 25, -78, 67, -105, 51, 36, -16, -18, 21, -19, 65, 41, 181, 207, 44, -26, 53, -15, -7, 23, -24, 71, -100, 360 },
{ -10, 11, -8, 6, -7, -8, 62, -18, 6, 8, -23, 65, -10, 31, -38, 15, 9, -24, 33, -52, 51, -114, 48, -36, 48, -22, 15, -21, 42, 29, 159, 294, 46, 59, 27, -17, 4, 15, -29, 64, -122, 364 },
{ -3, -23, 15, -11, -6, 58, -16, 9, -11, 8, -31, 28, 13, 5, -15, 7, 12, -18, 63, -54, 56, -80, 58, -19, 9, -38, -26, 43, -17, 92, 114, 150, 23, -16, -8, -22, 30, 15, 76, 60, -70, 364 },
{ -3, 10, -16, 6, -6, -7, 51, -9, -12, -14, 7, -11, 15, -7, 20, -11, 7, -11, 42, -51, 62, -71, -43, 79, -8, -30, 50, -33, 50, 31, 121, 212, 50, -9, 62, -19, -8, 22, -26, 82, -86, 386 },
{ -3, -10, 17, -12, 5, 28, -26, 14, -11, -12, -25, 49, 10, 19, -26, 20, 13, -24, 40, -48, 142, -115, 33, -48, 59, -17, -23, 44, -58, 51, 110, 272, 53, 76, -18, -12, 24, 10, 84, -71, 100, 304 },
{ -13, 43, 16, -19, -23, 49, -17, 28, -9, 13, -16, 72, -19, 27, 52, -26, -13, -14, 34, -19, 133, -110, -54, 53, 109, 6, 10, -19, -21, 110, 108, 306, 167, 137, -34, -11, -9, 19, -42, 68, -137, 367 },
{ 5, -32, 87, -31, -5, 37, 61, -6, -2, 7, -41, 26, 7, -15, 14, -21, -8, -6, 28, -51, 70, -45, -41, 48, -20, -27, 52, -22, -64, 189, -84, 241, -26, -18, 44, -18, -10, 23, -23, 149, 88, 261 },
{ -11, -9, 17, -15, 5, -16, 61, -5, -14, -37, 43, 13, -15, 15, -9, 9, 9, -11, 30, -44, 149, -50, -66, 61, -12, -25, 19, -30, -53, 65, 91, 173, 46, 36, 60, -20, 36, 21, -46, 121, 59, 339 },
{ -12, -4, 15, -10, -12, 8, -19, 49, -22, 8, 50, -39, 53, 11, 21, -8, -14, -19, 33, -22, 110, -61, -87, 84, -16, -27, 53, 43, -54, 101, 108, 203, 106, 64, 89, -12, -7, 48, 45, -92, 99, 368 },
{ -7, -8, 15, -6, -19, 64, -13, 21, -25, 13, -8, 84, -43, 66, 46, -43, -21, 100, -34, 28, 140, -63, -108, 67, 110, -14, 35, -55, 91, 136, 44, 224, 224, 88, 105, -38, -11, 30, -76, 57, -102, 383 },
{ -16, 47, 15, -15, -12, 76, -35, -24, 12, 7, 61, -14, 80, 32, -18, -55, -18, 71, -60, 208, 55, -60, -83, 53, 205, 12, -22, 55, -60, 148, 90, 225, 289, 147, 46, -60, -15, 87, -20, -76, 59, 236 },
{ 2, -26, 9, -11, 6, -13, 130, -7, -15, -32, -9, 17, -7, 14, -33, 12, 14, -26, 44, -48, 148, -53, 38, -34, -12, -27, -22, 33, -98, 194, -72, 212, -35, 71, -7, -21, -8, 27, 123, 99, 118, 309 },
{ -4, -7, -19, 12, 7, -5, 98, -23, -15, -36, 32, -28, 72, 21, -25, 20, 15, -18, 33, -26, 126, -29, -52, -33, -22, -19, -8, -19, -43, 67, 116, 122, 58, 52, 57, 51, -17, 91, -18, 110, 123, 413 },
{ -10, -12, 13, -7, 56, -34, 115, -14, -12, 13, -19, 10, 53, -33, 28, -6, -44, 77, -29, 56, -39, 131, -76, -86, 71, 7, 16, -54, 62, 60, 48, 133, 147, 86, 131, 75, -26, 77, -74, 109, 106, 355 },
{ -13, 87, 9, -9, -15, 13, -18, 26, -19, 12, 30, -15, 78, -47, 54, -38, -24, 136, -46, 37, 134, 29, -119, -84, 66, 18, -21, -20, 119, 103, 60, 137, 215, 179, 243, -40, -16, 65, -45, -59, 95, 386 },
{ -25, 35, 12, -16, 124, -13, -42, 22, -25, 25, -15, 138, -38, -26, 85, -86, -19, -15, 150, 88, 50, 69, -144, -25, 99, -52, 50, -23, 87, 116, 119, 113, 355, 319, 93, -48, -9, 45, -128, 34, 74, 238 },
{ 61, -52, 30, -33, 7, 79, 61, -9, 28, -12, -21, -27, 14, 37, -65, 17, 28, -38, 29, 117, -27, 99, -12, -27, -22, -74, -37, -43, 83, -41, 130, 89, 30, -8, 61, -42, 139, 56, 169, 102, 177, 365 },
{ 19, -10, 7, -14, 9, 47, -20, 96, -30, -28, -17, 84, 27, -20, -14, 40, 29, -59, 113, 36, -12, -44, 143, -45, -79, -19, -73, 43, -74, 143, 81, 78, 43, 38, 62, 145, -35, 166, 67, 71, 152, 384 },
{ 3, -11, 95, -20, 7, -5, -6, -8, 65, 7, -17, 48, 45, -29, 31, -24, -42, 90, 27, -50, 111, 42, -87, 99, -110, 35, -27, -50, 43, 32, 96, 50, 138, 71, 103, 284, -60, 44, 110, -34, 206, 325 },
{ 20, 6, -17, 57, 76, -12, -7, 9, -3, 3, -17, 31, 70, -37, 49, -42, -10, -27, 16, 26, 133, -19, 33, -216, 69, -14, 20, -40, 53, 29, 67, 45, 169, 257, 216, 233, -44, 106, -92, 96, 66, 286 },
{ -13, 18, 20, -21, -5, -23, 38, -120, 23, 6, -31, -42, 73, 9, -42, -58, 165, 50, -13, 18, -48, 76, 37, 215, 89, -14, 93, -78, 62, 43, 134, 299, 232, 45, -78, 16, -12, 58, 26, -43, -137, 232 },
{ 29, -20, 18, -15, 6, 62, -23, 18, -11, 7, -23, -12, 44, -46, 64, 9, -11, -12, 48, 78, -116, 59, -46, 62, -14, 12, -12, 12, -38, 39, 261, 242, 61, -34, 30, 6, -15, 34, -11, 59, -88, 301 },
{ -6, -7, 12, -14, 16, -16, 37, 9, 44, -14, -15, 9, 110, -43, -28, 65, 9, 7, -18, 15, -111, 65, 89, 78, -12, -10, -9, -20, 87, 41, 200, 354, 60, -56, 87, -22, -7, 16, -9, 58, -98, 230 },
{ 5, -15, 42, -10, 11, -5, 50, -12, 4, -8, -16, 44, -18, 67, -34, 35, 7, -21, 33, -40, 61, -117, 45, 106, -16, 5, -7, 32, -19, 79, 111, 418, 85, -40, 81, -11, -13, 15, -25, 59, -96, 274 },
{ 24, -12, -12, 8, 14, 52, -10, -9, -27, -13, -8, -30, 95, 53, -50, 106, 61, 5, -16, 35, -82, -55, 130, 114, -21, 13, -30, -9, 25, 149, 123, 485, 91, -56, 71, -13, -13, 22, 5, 103, -95, 156 },
{ -10, 8, -13, -6, -15, 104, 59, 8, -16, 6, -23, -12, -21, 64, -64, 13, 5, -21, 55, 26, 112, -108, 99, 246, -23, 50, -18, 14, -17, 121, 68, 414, 186, -78, 142, -20, -11, 19, -20, 50, -118, 245 },
{ 3, -11, 12, -14, -16, 87, -13, 20, 4, -7, 11, -13, 49, 35, -52, -46, 12, -24, -18, 31, 98, -86, 43, 103, 165, 43, -21, 31, -15, 130, 68, 367, 207, 143, -55, -14, -14, 21, 69, -54, -63, 225 },
{ -24, 14, -7, 96, -13, -5, -6, -27, -35, 106, 32, -20, 34, 44, -80, 273, -14, 5, -29, 148, -28, -84, 209, 93, -59, 14, -34, 118, -55, 141, 188, 558, -48, -121, 50, -11, -9, 71, -30, 47, 151, 78 },
{ -9, -23, 26, -11, 64, 90, -33, 42, -39, -10, -21, 11, 11, 105, -114, 96, 7, 52, -20, -39, 75, -86, 162, 121, -66, -23, -11, -7, 45, 147, 214, 489, 88, -95, 38, -23, 4, 61, -23, 217, -96, 149 },
{ -14, -12, 21, -9, 8, 97, -25, 30, -36, -9, -9, -27, 76, 43, -111, 148, -6, 82, 6, -34, 139, -113, 122, 192, -46, 8, -13, -27, 36, 154, 194, 409, 235, -136, 65, -30, 93, -39, 19, 112, -131, 203 },
{ -8, 16, 75, -17, -12, -8, -23, 19, -38, 57, 86, 53, 14, 119, -54, -51, -34, -22, 46, -55, 138, 94, -36, 228, 173, 72, -14, 62, 33, 134, 87, 268, 360, -111, 146, -64, -16, 33, -35, 68, -216, 298 },
{ -8, 9, 19, -5, 33, 57, -12, -12, 9, -24, 10, 69, -33, 24, 55, -109, 6, -24, 63, 58, 72, 24, -91, 144, 317, 42, -16, 26, 15, 93, 131, 255, 255, 55, 92, -76, -23, 55, -39, -115, 134, 199 },
{ -23, 13, -26, 69, 64, -17, -17, 57, -61, 7, 110, -11, -90, 67, -88, 261, 160, -93, 56, 269, 169, -170, 326, 132, -71, -23, 10, 129, -136, 182, 104, 537, -111, -105, 100, -39, -8, 31, -80, 109, -55, 381 },
{ -8, 5, 5, -4, -8, -18, 67, -3, -6, 5, 20, -20, 45, -23, 46, 10, -6, 8, -40, 41, -120, 55, -41, 9, -7, -14, 23, -20, 40, 21, 271, 69, 30, -12, 13, -12, -5, 22, -16, 75, -115, 291 },
{ -2, -9, 15, -11, -8, 41, -19, 45, -7, 9, -14, 13, 47, 17, -13, 10, 5, -10, 19, -82, 67, -96, 75, -12, 4, -16, -18, -17, 30, 56, 169, 126, 85, -14, -10, -17, 5, 7, 72, 73, -119, 313 },
{ -3, -10, 12, -8, -5, 36, -20, 12, -11, 10, -17, 17, 10, 57, -7, 11, 6, -9, 21, -79, 57, -110, 49, -25, 9, -21, -5, -16, 32, 32, 151, 222, -27, 30, -7, -15, 28, 17, -10, 68, -122, 333 },
{ -7, 11, -10, 7, -10, -14, 75, -19, 28, 8, -12, 21, -7, 25, -18, 12, -12, 10, 47, -56, 59, -131, 44, -26, 53, -9, 10, -25, 21, 82, 145, 282, 61, -19, 41, -11, -10, 21, -20, 75, -136, 324 },
{ 12, 9, -17, 7, -11, -13, 77, -8, -9, -23, 16, -6, 16, -6, 21, -11, 11, 44, -16, -56, 60, -72, -29, 12, 6, -23, -11, -25, 82, 64, 121, 114, 50, -21, -17, -24, 4, 69, 58, 90, -111, 366 },
{ -5, 7, -10, 7, -18, 36, -15, 5, -22, 9, -17, 33, 18, 22, -18, 17, 8, -16, 27, -53, 153, -115, 96, -32, 7, -21, 24, -22, 71, 15, 122, 192, 60, -17, 60, -19, 29, 20, -20, 82, -112, 383 },
{ -10, 10, -16, 8, -12, 47, -18, 27, -14, 6, -8, 25, 12, 26, -19, 19, 10, -29, 35, -38, 142, -138, 101, -36, 57, -14, 3, 50, -30, 92, 110, 277, 57, 71, 91, -19, -10, 31, -48, 71, -103, 392 },
{ -5, -11, 14, -6, 6, 48, -15, -17, 7, -10, -9, 35, 10, 20, 54, -31, 12, -17, 20, -23, 116, -99, -72, 80, 110, -14, 43, 6, -32, 141, 96, 289, 186, -60, 134, -23, -8, 28, -42, 81, -136, 374 },
{ -3, -9, 13, -25, -22, 87, -19, 103, -21, 4, -19, 18, -16, 18, -18, 9, 7, -24, 31, -64, 68, -50, -33, 46, -6, -24, -7, 61, -89, 113, 78, 120, 62, -37, 20, -29, 66, 25, -35, 173, 87, 282 },
{ 2, -16, 13, -9, 3, 33, -20, 55, -25, -11, -31, 11, 70, 19, -23, 15, 15, -13, 22, -32, 139, -99, 17, -47, 34, -31, 17, -49, 93, -13, 108, 174, 97, 118, 11, -22, 7, 109, -28, 93, -76, 445 },
{ 2, -16, 10, -15, -9, -3, 65, -12, -9, 13, -10, 59, -20, 19, 22, -9, -8, -27, 117, -12, 142, -72, -102, 133, -14, 10, -14, 30, -64, 106, 95, 211, 88, 103, -21, 63, -12, -6, 85, -88, 90, 370 },
{ -13, 28, 8, 8, -10, 16, -25, -16, -11, 18, -23, 142, -18, 15, 29, -19, -11, 84, -41, 108, 86, -52, -97, -28, 141, -20, 31, 86, -53, 233, 63, 224, 181, 121, 47, -30, 7, 61, -25, -84, 148, 338 },
{ -22, 95, 10, 11, -18, 23, -31, 70, -8, 9, -26, -21, 23, -43, 49, -66, -14, 109, 116, 21, 128, -45, -103, 128, 101, -18, -33, 37, -51, 218, 65, 233, 246, 165, -47, -21, -8, 15, 108, -131, 145, 276 },
{ 4, -17, 8, -22, -13, 75, 29, -20, 20, -33, 11, -9, -11, 28, -37, 17, 16, 7, -48, 30, 192, -78, 20, -35, -7, -37, -7, -31, 89, -57, 142, 119, -35, 45, 38, -26, 77, 28, -27, 212, 121, 381 },
{ 27, -9, 12, -11, -18, 63, -8, 55, -14, -25, 39, 12, -21, -23, 56, -26, -5, 17, 11, -45, 136, 27, -128, 85, -18, -37, 25, -41, -36, 71, 103, 115, 52, 44, 47, 52, -14, 134, -33, 129, 112, 421 },
{ -4, -10, 12, -13, -14, 80, 54, -8, -9, 16, -12, -5, -10, 26, -34, 26, -14, 85, -28, 38, -35, 175, -98, -53, -19, -12, 23, -35, -32, 146, 51, 123, 173, 97, 78, 118, -17, 97, -73, 154, 66, 390 },
{ -16, 77, -11, 18, 67, 12, -14, -16, -35, 14, -18, 50, 115, -55, 50, -18, 61, -35, 150, 23, 90, 91, -127, -81, 148, -56, 37, 75, -57, 242, 54, 129, 200, 137, 157, -55, -25, 55, -74, -54, 123, 388 },
{ 6, -17, -3, -8, 11, 64, 83, -15, 7, -27, -26, 12, -7, 25, -22, 19, 44, -45, 33, 125, 9, -23, 71, -38, -32, -61, -63, -24, -54, 82, 190, 92, -22, 12, 65, -42, 147, 42, 156, 129, 165, 423 },
{ 34, -18, 37, 7, 13, -20, 112, -16, -15, -5, -15, 82, -12, 24, -28, 50, 32, -29, 27, 112, -79, 204, -23, -37, -72, -23, -24, -49, -48, 149, 108, 54, 78, 46, 47, 85, -32, 199, -27, 159, 126, 428 },
{ 2, -10, 107, -17, 5, 74, -12, 58, -11, 13, -25, 34, -6, 20, -19, 37, -26, 28, 12, -41, 145, 20, -68, 88, -112, 20, -31, -81, 59, 53, 134, -16, 187, 55, 94, 323, -28, -35, 158, 34, 150, 385 },
{ -7, 40, -15, 13, -28, 13, 71, -22, 3, 12, 68, -7, -14, 39, -25, 4, -8, -29, -4, 23, 114, 69, 44, -225, 177, 25, -49, 51, -13, 119, -26, 113, 146, 208, 136, 229, -29, -56, 103, -100, 104, 391 },
{ -9, -7, 18, -12, 2, -5, -13, 9, -8, -9, 15, -27, 65, -13, 65, 5, 7, 11, -34, 42, -117, 33, -53, 25, 3, -11, -6, -17, 90, 12, 286, 138, 48, -10, 29, -19, -3, 19, -13, 65, -118, 305 },
{ -6, -12, 16, -14, 8, -3, -17, 27, 39, -8, -8, 6, 46, 98, -20, 10, 8, -10, 58, -25, -69, -68, 58, -28, 41, 5, -17, 14, -28, 53, 232, 293, -54, 50, -18, 11, -10, -6, -4, 45, -90, 272 },
{ -14, 6, 55, 7, -14, 4, -12, -20, 7, 11, 27, -12, 30, 46, -39, 69, -11, 35, -29, 116, -88, -70, 61, -15, 63, 7, -13, 9, -14, 63, 189, 366, 69, -40, 41, -13, -9, 9, 37, 41, -117, 231 },
{ -6, -10, 17, -8, 4, 49, -18, -8, 10, -14, -9, 10, 40, 21, -21, -17, 6, 23, 15, -33, 157, -146, 60, 77, 82, 6, -17, 11, -23, 132, 115, 381, 82, -39, 32, -13, -8, 12, -19, 68, -119, 307 },
{ 4, -19, 63, -7, 9, 23, -8, 20, -27, -9, 4, -10, 18, 57, -71, 26, 86, -26, -16, 95, -73, -70, 135, 112, -28, 11, -11, 54, 11, 195, 134, 485, 66, -68, 92, 54, -7, -19, -12, 41, -105, 187 },
{ -10, -18, 27, -13, -10, 54, -23, 22, -15, 18, -18, 83, 11, 118, -55, 64, -7, -2, -26, 23, -35, -104, 75, 146, 94, 61, -12, -19, 45, 184, 76, 485, 106, 108, -50, -15, -8, 17, 66, 109, -161, 251 },
{ 7, -34, 89, -18, -15, 17, -9, 26, 7, 6, 45, -15, 48, 27, -39, -40, 8, -17, 94, -26, 159, -71, -47, 115, 215, -14, 69, -21, 40, 85, 135, 375, 172, 73, -61, -22, -16, 28, -9, 120, -176, 322 },
{ -32, 4, 11, 55, -6, 46, -21, 18, -25, -11, 14, -20, 28, 33, -103, 63, 84, 49, -38, 37, 129, -105, 98, 245, -53, 7, -20, 65, 30, 179, 196, 475, 195, -131, 236, -32, -10, 14, -34, 49, -134, 184 },
{ -153, 11, 178, 8, 30, -62, -24, 66, -22, -6, 125, -21, 25, -50, 227, -93, 73, -19, 15, 105, 38, -97, 78, 201, 92, -9, 55, -41, 66, 176, 169, 353, 223, 143, -140, 121, 4, -38, 40, 73, -146, 220 },
{ -13, -27, 66, 11, -28, 51, -12, -52, -10, 14, -36, 54, -20, 31, -28, -57, 137, -7, 33, -26, 66, -65, 267, -81, 193, -43, -51, 94, -24, 62, 32, 81, 321, 226, -24, -45, 14, 13, 55, -149, 130, 338 },
{ -20, -30, 56, 16, -2, 89, -19, -39, 84, 27, -53, 114, -44, 78, -139, 253, 26, -53, 74, 57, 198, -150, 150, 347, -79, -3, 21, -16, -100, 149, 210, 356, 224, -170, 317, 99, 7, -56, 19, 23, -89, 261 },
{ -56, -2, 9, 175, 118, -70, -49, -42, -19, -22, 145, 8, 14, 30, 187, -94, 80, -32, 57, 47, 63, -106, 57, 330, 107, -16, -59, 19, -36, 54, 177, 307, 276, -137, 185, -77, 105, 56, -46, 97, -63, 179 },
{ 26, -17, 12, -13, 2, -10, 23, -17, 10, 8, -11, 27, -14, 31, -18, 9, 8, -17, 27, -76, 72, -96, 59, -16, 5, -10, -10, 4, 32, 47, 122, 107, -22, 72, -10, -9, -4, 16, -9, 79, -102, 215 },
{ -10, 9, -9, 7, 0, -20, 54, -21, 6, -9, 11, 11, 65, 32, -12, 3, 7, -9, 77, -77, 64, -103, 43, -11, 8, -13, -11, -6, 35, 34, 153, 95, 31, -9, -12, -10, -3, 12, 50, 83, -127, 258 },
{ -6, -14, 20, -9, 5, 30, -30, 79, -12, -14, 14, -18, 68, -25, 18, 9, 5, 9, -21, 48, -137, 62, -60, 63, -5, -7, -10, -11, 101, -15, 236, 111, 47, -7, 48, -12, -3, 12, -8, 77, -117, 262 },
{ -5, -9, 18, -10, 1, -3, -29, 9, -4, -11, 21, -22, 66, -24, 29, -11, 4, 15, -28, 116, -112, 45, -55, 18, 32, -11, -17, -10, 33, 21, 200, 50, 58, -12, -11, -15, 3, 9, 64, 85, -117, 290 },
{ -4, 4, -12, 12, 34, -16, 65, -17, -12, 7, -17, 16, 29, 34, -7, 10, 8, -17, 28, -58, 183, -124, 39, -26, 8, -21, 13, -5, 90, -13, 166, 154, 54, -10, 52, -15, 29, 15, -12, 76, -132, 326 },
{ -10, -8, 14, 41, 8, -5, -27, -6, -12, -13, 9, -11, 49, 118, 12, 45, 5, 3, -5, 111, -89, -62, -45, 55, 3, -6, -19, 16, -25, 52, 137, 240, 85, -24, 79, -17, -7, 19, -11, 77, -130, 295 },
{ 20, -11, 17, -14, -13, 66, -26, 30, -12, -8, 15, -16, 19, 23, -15, 10, 13, -18, 85, -58, 61, -91, 75, -5, 5, -21, -15, 47, -39, 73, 91, 105, 100, -18, -12, -20, 49, 15, 63, 57, -64, 328 },
{ -5, 4, 13, -10, -14, 41, -20, -3, -7, 6, -12, 15, 6, 34, -13, 17, 5, -8, 18, -55, 58, -115, 109, -33, 5, -22, 8, -22, 46, -24, 140, 148, 49, 64, 69, -23, 35, 20, -22, 87, -133, 383 },
{ -8, -10, 10, 7, 5, 54, -20, -9, -14, -3, -15, 12, 45, 44, -12, 18, 10, -11, 24, -39, 56, -146, 97, -43, 58, -15, 3, 60, -32, 136, 89, 249, 75, 36, 88, -17, -7, 23, -33, 74, -140, 392 },
{ -5, -11, 15, -7, -9, 11, -14, -4, -8, 9, -4, 48, -10, 31, 60, -15, -8, -15, 79, -11, 75, -118, -62, 46, 90, 7, -7, 43, -60, 149, 42, 367, 90, 87, -38, 54, -16, 8, 17, -94, 201, 231 },
{ 39, -14, 14, -13, -17, 30, -25, 81, -28, 9, -20, -19, 26, 13, -19, 19, 10, -15, 86, -33, 180, -78, 19, -17, -6, -26, -16, 23, -77, 75, 68, 129, -50, 131, -7, -24, 50, 18, 165, -57, 149, 275 },
{ -3, -15, 15, 42, -10, 16, -18, -8, -19, 6, -11, -9, 17, 17, 16, 12, 10, -17, 22, -33, 122, -62, -66, 69, -12, -20, -27, 52, -61, 110, 99, 156, 32, 36, 79, -22, 7, 54, 115, -66, 114, 321 },
{ -6, -11, 10, 4, 5, 64, -18, -7, -17, 8, -10, -7, 32, -11, 41, -17, 20, -22, 23, 108, -70, 134, -125, 46, -20, -14, 12, 21, -70, 144, 101, 175, 74, 83, 132, -14, 10, -17, 115, -92, 90, 359 },
{ -11, -10, 5, 10, 50, -12, 70, -19, -29, 7, 52, -11, -16, 36, 20, -11, -3, -22, 115, 18, 219, -102, -70, -45, 73, -33, 17, 25, -74, 277, 66, 256, 130, 187, -38, -15, 7, -14, 142, -90, 141, 335 },
{ -8, -16, 16, 4, 15, 8, -17, 45, -66, 3, -38, 94, 115, -12, 51, -49, 77, -14, 13, 25, -43, 76, -159, 140, 120, -6, -25, 53, -69, 246, 53, 244, 213, 213, -56, -26, -12, 31, 142, -128, 160, 324 },
{ 52, -20, 10, -20, -20, 7, 115, -17, -5, 6, -18, 10, -14, 31, -32, 16, 13, -12, 26, -42, 216, -42, -25, -10, 4, -31, 25, -32, -58, 44, 116, 68, 55, -32, 85, -25, 6, 166, -20, 203, 133, 347 },
{ -5, -18, 7, 9, 9, -7, 110, -19, -14, -7, -27, 112, -28, 42, -31, 42, -12, 33, -26, 16, 104, -86, 75, -58, -13, -16, 24, -66, -39, 81, 83, 141, 21, 120, 69, -13, -9, 160, -47, 75, 95, 395 },
{ -3, -22, 43, 13, 31, 15, -21, 42, -20, 19, -28, 50, 25, -28, 34, 23, 33, -24, 26, 73, -30, 127, -101, -37, -28, -17, 26, 35, -83, 169, 78, 114, 111, 126, 48, 100, -18, 129, -31, -64, 123, 453 },
{ -39, 76, -11, 11, 66, -27, 19, -13, -15, 8, 41, -18, 119, -69, 57, -18, 88, -44, 150, 20, 117, 42, -139, -66, 153, -63, 47, 87, -66, 288, 38, 140, 213, 169, 108, -35, -26, 51, -63, -44, 133, 404 },
{ -19, -17, 21, -59, 159, 14, -11, -12, -46, 34, -26, 87, 85, -81, 75, -43, -9, -37, 244, 21, 94, -42, -100, -75, 150, -64, 41, 19, -50, 112, 252, 157, 289, 436, 116, -66, -58, 47, -168, 148, -80, 292 },
{ 4, -17, 67, -15, 15, 8, -13, 27, -10, -20, -13, -4, 85, 16, -28, 30, 54, -54, 54, -13, 138, 32, -37, -14, -38, -54, -66, -17, -91, 106, 211, 121, -19, -30, 79, -25, 138, 26, 137, 151, 171, 415 },
{ 28, -14, 17, -11, -11, 36, -25, 141, -22, -16, 22, -22, 104, 30, -40, 55, 36, -33, 40, -12, 156, -36, 33, -35, -65, -19, -29, -41, -46, 123, 97, 172, -37, 120, 34, 97, 121, -59, 104, 35, 214, 413 },
{ -4, -7, 48, 12, -11, 11, 38, -26, -14, 13, -23, 44, -14, 41, -32, 43, 20, -27, 38, -12, 62, 63, -75, 67, -95, 10, -15, -30, -45, 89, 108, 93, 122, 60, 83, 356, -34, 45, -74, 112, 158, 391 },
{ -11, 49, 11, -9, 68, 5, -11, -16, 36, -20, 41, 17, -5, -9, 38, -22, 95, -32, -32, 88, 35, 157, -77, -120, 57, 32, -57, 33, 32, -12, 68, -49, 314, 170, 219, 222, -8, -59, 99, -77, 119, 375 },
{ -5, -15, 21, -4, 4, 48, -34, 70, -10, -15, 14, -21, 76, -36, 34, -11, -5, 24, -28, 45, -135, 66, -61, 20, 6, -15, 71, -28, 52, 25, 231, 61, 76, -24, -8, -11, 39, 15, -24, 67, -135, 233 },
{ -6, -8, 15, -8, 8, -6, -19, -15, 10, 4, -19, 63, 42, 60, -33, 14, -15, 10, 29, 89, -113, -64, 73, -22, 30, 5, -8, 67, -27, 156, 194, 265, -65, 59, -7, -6, -7, 9, -18, 39, -98, 213 },
{ -9, 10, 4, -8, -15, -15, 50, -12, 6, 34, 12, 10, 13, 16, 41, -12, 7, -21, 14, -57, 60, -133, 64, -22, 14, -5, -10, 24, 54, 97, 104, 299, -44, 62, -14, -6, -8, 14, -11, 61, -116, 243 },
{ -6, 12, 13, -8, -12, 41, -23, -11, 9, 5, 5, 28, 35, 54, -30, 91, 6, -12, -13, 122, -109, -79, 94, -31, 13, -5, -14, 19, -16, 70, 174, 399, -75, 67, -16, -10, -6, 18, -10, 50, -97, 198 },
{ -8, -4, 20, -12, -16, 44, -38, 20, -13, -16, 23, -10, 74, -47, 27, 68, -4, 17, -26, 32, -145, 67, -67, 100, 6, 4, -20, 49, -12, 70, 148, 316, 102, -34, 73, -21, -4, 10, 49, 150, -119, 235 },
{ -6, -13, 13, -4, 4, 48, -11, -14, 14, -13, 39, -10, 16, 24, -20, -15, 6, 50, 18, -32, 59, -160, 55, 86, 82, 2, -19, 9, -28, 164, 96, 361, 99, -44, 23, -12, -8, 11, -12, 85, -137, 293 },
{ -12, 7, 40, 8, -7, 48, -17, -13, -10, -9, 5, -10, 31, 63, -42, 129, 11, 40, -25, 77, -86, -90, 109, -16, 95, -9, -9, 41, 13, 99, 144, 462, 111, -66, 76, -15, -7, 18, -15, 50, -131, 160 },
{ -8, 4, -9, 7, -8, 52, 21, -21, 8, 42, 10, -18, 5, 24, -39, -19, 4, -18, -17, 57, 61, -150, 113, 181, 108, -7, 24, 36, -12, 229, 57, 440, 138, -44, -15, -18, -6, 20, -20, 81, -130, 263 },
{ -8, -9, 14, 6, 27, 57, -25, -11, -12, 5, -14, 54, 33, 12, 90, -34, -26, 96, -11, 99, -13, -102, -38, 74, 249, -4, 19, -27, 23, 191, 112, 413, 187, 140, -51, -17, -8, 25, -23, 68, -156, 312 },
{ -33, -9, 22, -8, -3, 18, -31, 22, -24, 26, -26, 65, 35, 210, -94, 146, 7, 70, 54, -41, -60, -48, 181, -97, 138, -20, -9, -16, 31, 129, 241, 487, 213, -49, 18, -22, 38, 12, -22, 54, -103, 161 },
{ 4, -19, -11, 74, 12, 21, 113, -22, 8, 5, -16, -35, 57, -24, -79, 134, 8, -34, -25, 30, -76, 136, 120, 154, -35, -10, 111, -12, 101, 108, 138, 473, 79, -104, 30, -23, 3, 19, -22, 59, -103, 172 },
{ -52, 90, 10, 104, -8, 15, -32, 23, -21, 13, -9, -5, -17, 55, -119, 141, -13, 37, -22, 50, -69, 216, -15, 226, -30, 5, -15, -13, 147, 227, 133, 405, 221, -135, 81, -37, 85, 10, 15, 34, -109, 172 },
{ -243, 22, 259, -12, -8, 6, -13, -32, 36, 163, -24, -12, 16, 46, -59, -73, 4, -19, 189, 17, 38, -79, 201, 178, 89, 96, -20, -39, -34, 284, 182, 322, 233, 151, -136, 113, 50, -42, 52, 88, -137, 227 },
{ -7, -18, 42, 82, 14, 2, -23, -19, 27, 13, -15, 72, 22, -13, 22, -91, 11, -39, 76, 30, -49, 58, -73, 193, 194, -11, -16, 23, -40, 79, 59, 261, 256, 173, -79, -51, -9, 45, 25, -100, 194, 237 },
{ 19, -43, -46, 54, 22, -25, -24, 46, -76, -52, 123, 15, 71, 157, -137, 225, 141, -53, 130, -128, 182, -93, 269, -106, -72, 138, -29, 72, 124, 93, 255, 402, 171, 119, 109, -26, -38, 37, -76, -84, -155, 308 },
{ -12, 20, 17, -8, 15, -12, -34, 24, -24, -21, -18, 120, 50, -11, -87, 88, 6, 79, -13, -47, 143, -90, 196, 145, -59, -36, 35, 104, -48, 90, 159, 410, 122, -124, 18, 97, 8, -69, -10, 50, 87, 195 },
{ -90, -25, 36, 158, 40, 164, -18, -78, 31, 39, -98, 81, 92, 64, -169, 321, -50, -14, -36, 72, -54, 271, -72, 341, -70, 14, -17, 22, -66, 194, -104, 400, 320, -141, 127, 64, 75, -47, 28, 135, -115, 344 },
{ -116, 148, 55, 107, -6, 116, -31, -43, 30, -33, -44, -46, 162, 53, -101, -55, 64, 76, 19, 15, -30, 249, 25, 334, 94, 31, -50, -36, 65, -56, 107, 279, 310, 206, -133, -24, 7, -12, 60, 113, -101, 227 },
{ -22, -50, -9, 28, 37, -200, 63, 13, 33, 211, -127, -49, 163, 24, -46, -133, 23, -42, 265, -148, 87, -110, 236, 335, 110, -22, -94, -34, -56, 268, 238, -179, 389, -28, 265, -118, 40, 28, -42, 76, -42, 249 },
{ 31, -14, 19, -15, 2, 15, -37, 18, -6, -8, 9, -23, 78, -21, 23, -13, 8, 26, -13, 61, -127, 45, -32, 14, 3, -9, -23, 6, 33, -25, 199, 23, 50, -6, -8, -12, 40, 5, 63, 86, -108, 222 },
{ -12, -9, 19, 3, -8, 23, -36, -8, -9, 4, 6, -14, 65, -14, 22, 35, 3, -11, -7, 55, -111, 157, -64, 16, -7, 6, -16, 6, 40, -36, 168, 74, 73, 61, -22, 24, 41, -17, 5, 81, -137, 282 },
{ -7, -9, 22, -10, -5, 65, -37, 14, -8, -9, 16, -17, 73, -28, 18, -4, 8, 9, -17, 43, -115, 57, -29, 52, 7, -12, -13, -13, 48, -25, 186, 53, 56, -19, -15, -5, -4, 19, 63, 100, -115, 259 },
{ -9, 4, -7, 13, 7, -8, -15, -21, -10, -17, 32, -18, 36, 31, 62, 11, 37, 18, -17, 68, -58, -108, 57, -42, 13, 5, -21, -13, 66, -47, 144, 187, 140, 190, -30, 68, 31, -16, 66, 50, -157, 300 },
{ -10, 8, 43, 4, -5, -19, 106, -23, -7, 4, -9, 28, -16, 32, -6, 12, 8, -5, 16, -60, 66, -73, 33, -12, 3, -22, 13, -25, 58, -23, 135, 29, 65, -24, 46, -22, 59, 16, -13, 134, -126, 327 },
{ -10, 7, 49, 10, -9, -4, -15, -19, -16, 5, 11, -23, 49, 64, 33, 38, 10, -11, 6, 124, -72, -37, -57, 11, -8, -22, -6, 31, -34, 119, 109, 121, 79, -14, 107, -19, 8, 30, -20, 117, -127, 341 },
{ -4, -19, 62, 16, -9, 12, -11, -27, -9, 8, -8, 99, -14, 67, -20, 16, 52, -18, 32, -27, 63, -144, 152, -37, 67, -16, 6, 12, -45, 146, 60, 218, 42, 83, -25, 77, -10, 17, -25, 90, -131, 357 },
{ -6, -19, 8, 10, 13, -7, 84, -30, 6, -11, -8, -6, -17, 55, -20, 14, -4, 79, 20, 7, 198, -156, 47, -50, 158, 16, -24, 24, -67, 233, 42, 303, 80, 112, -35, 9, -16, 45, -17, 84, -142, 393 },
{ -9, -16, 134, 9, -25, 19, -16, -6, -12, 11, -9, -21, 31, -14, 14, 11, 19, -25, 31, -35, 60, -61, 62, -17, 9, -26, -25, 37, -88, 76, 134, 138, -65, 56, -16, -17, 99, 13, 172, -53, 165, 215 },
{ 27, -13, 42, 8, 5, -18, 150, -28, -12, 37, -23, 11, -14, 56, -18, 23, 7, -8, 36, -32, 60, -110, 96, -24, -10, -11, -21, 30, -84, 136, 85, 162, -40, 85, 83, -16, -13, 17, 164, -80, 153, 307 },
{ -7, -13, 27, 13, -5, 16, -22, -14, -14, 10, -14, -12, 41, 65, -36, 33, -1, -15, 34, -14, 156, -139, 48, -52, -12, -14, 9, 34, -94, 153, 70, 215, 103, 110, 137, -8, 10, -23, 53, -94, 105, 356 },
{ -13, -19, 48, 9, 15, 4, 61, -23, -11, 18, -26, 99, -14, 53, -29, 21, -2, -22, 36, -24, 77, -99, -56, -58, 201, 9, -12, 54, -87, 237, 36, 271, 90, 239, -59, 54, -21, 13, 43, -105, 100, 311 },
{ -10, -91, 5, -10, 4, 11, 48, -11, -13, 14, -13, -18, 108, -32, 27, -37, -4, -12, 25, 46, -40, 91, -134, 45, 236, -7, 35, -18, 39, -47, 214, 326, 195, 221, -59, 136, -16, -12, 47, -102, 53, 246 },
{ -4, -25, 63, 12, 3, 15, 109, -29, -20, -5, -40, 38, -18, 48, -16, 12, 21, -9, 14, -21, 98, -78, 51, -36, 9, -27, -25, 136, -57, -33, 133, 83, -65, 67, -14, -24, 83, 11, 203, -51, 190, 372 },
{ -7, -20, 10, 10, 5, 84, -12, 52, -32, -21, 84, -13, 25, -24, 51, 15, 11, 16, -11, 67, 50, -55, -65, -9, -17, 14, -37, 32, -82, 96, 82, 117, 53, 93, -14, 129, -14, -18, 75, -60, 178, 409 },
{ -2, -13, -6, 10, 67, -7, 48, -20, -19, 20, -28, 148, -9, 48, -27, 46, -6, -11, 37, -34, 86, -67, -40, -73, 83, -28, 29, 68, -85, 161, 67, 127, 94, 86, 113, -28, 6, 126, -38, -51, 129, 442 },
{ 4, -18, -13, 15, 12, 3, 8, -31, 6, 36, -15, 218, -12, 48, -35, 22, -9, 58, -35, 44, -35, 72, -112, -73, 116, -25, 66, -43, 56, -28, 60, 172, 201, 431, 157, -52, 12, 21, -80, 172, -47, 433 },
{ -87, -21, -9, 14, -10, 25, 13, -35, 19, 25, -18, 25, -35, 20, 34, -85, 16, -40, 35, 18, 38, 64, -82, -107, 158, 7, 23, 22, 13, -61, 239, 197, 191, 344, 179, -35, -9, -22, 59, -148, 96, 320 },
{ -10, 4, 138, -43, -11, 43, -18, -22, 16, 20, -12, 41, -50, 24, -109, -63, -16, -16, 5, 53, 25, 137, -87, 101, 168, 12, -23, 25, -24, -49, 91, 306, 255, 162, -63, -33, 6, 9, 43, -85, 122, 254 },
{ -9, -13, 3, -10, 19, 13, -14, 67, -9, -27, -10, -13, 21, -18, 44, -22, 51, -27, 30, -32, 100, 102, -59, -48, 20, -44, -42, -26, -122, 132, 240, 108, -55, 57, -26, -18, 120, 43, 178, 98, 165, 340 },
{ -3, -26, 95, 9, 13, 15, -12, 90, -28, -16, -24, 40, 47, 22, -33, 55, 10, 55, -29, 54, 103, -35, -18, -37, -36, -22, 53, -97, -30, 43, 135, 130, 33, 84, 32, 87, -28, 130, 41, 86, 154, 494 },
{ -13, -19, 16, 15, 17, 62, -32, 49, -26, -35, 62, -13, 41, 13, -30, 65, 20, 17, -35, 6, 55, 7, -49, -55, -52, -14, 40, -57, -79, 55, 49, 89, 90, 77, 71, 346, -29, 102, -54, 101, 153, 405 },
{ -21, 111, -10, 16, 17, -15, 125, -27, 28, -20, -13, 78, -23, 35, -38, 28, 40, -22, 74, 22, 42, -56, 69, -118, -27, -36, 54, -46, 50, -33, -60, 118, 207, 148, 278, -33, -64, 195, -98, 106, 77, 389 },
{ -2, -46, 113, -35, -47, 152, 53, -30, 88, 79, 13, -52, -52, 55, -40, -50, -46, 107, -65, 72, 60, -23, 91, -143, 29, 7, 100, -40, -55, -73, -82, 223, 132, 256, 134, -25, -120, 89, -175, 82, 224, 356 },
{ -4, -8, 7, -6, -4, 11, -7, 125, 17, -7, 12, -25, 50, -11, 10, -7, -11, 15, -23, 34, 72, 21, -21, 12, -2, -6, 215, -16, 29, -36, -29, -22, 18, -13, 4, 11, -7, 8, -8, 97, 82, -24 },
{ -6, -17, 23, -10, 5, 53, -30, -10, 48, -12, 10, -23, 75, -13, 23, -14, 2, 12, -20, 67, -139, 46, -40, 23, -7, -12, 25, -21, 70, -25, 218, 45, 60, -19, 74, -8, -4, 21, -38, 85, -148, 231 },
{ -7, -13, 25, -12, 17, -6, -38, 101, -11, -15, 11, -8, 68, -12, 133, 10, 10, 7, -9, 49, -133, 53, -48, 12, -13, -9, -6, -11, 61, -31, 201, 72, 73, -22, 42, -9, -7, 16, -36, 82, -158, 240 },
{ -9, -8, 15, -5, 2, 63, -28, -13, 7, -13, 8, -19, 51, 70, -18, 58, 6, 4, -8, 60, -98, -80, 77, -14, 42, 4, -17, 31, 164, -47, 195, 202, -59, 68, -11, -5, -9, 17, -31, 55, -122, 221 },
{ -8, -9, 13, 6, 4, 33, -34, -9, -11, -12, 6, -20, 60, 37, 34, 68, 4, 8, -16, 49, -84, -77, 41, -24, 24, -6, -14, 57, 69, -49, 183, 155, 74, -25, 37, -13, -12, 23, -32, 67, -168, 273 },
{ -4, -8, 15, -6, -5, 24, -27, -18, 12, 8, -6, -13, 53, 71, -27, 78, -5, -12, 8, 101, -111, -83, 97, -20, 10, -9, 60, 12, -20, 257, 152, 359, -83, 85, -21, -6, -10, 19, -29, 41, -109, 195 },
{ -6, 59, 18, -12, -13, 15, -34, -5, 5, 11, 57, -21, 56, 45, -24, 71, -13, -12, 7, 32, -75, -114, 128, -42, 18, 51, 37, 13, -28, 93, 99, 361, -55, 93, -24, 31, -11, 12, -24, 35, -126, 228 },
{ -8, -10, 12, 6, 4, 81, -33, -6, -13, 2, 44, -20, 42, 22, 59, -12, -11, -9, 7, 91, -59, -96, -47, 85, -13, 11, -7, 26, -32, 86, 76, 324, 114, -29, 63, 4, -9, -8, -13, 221, -128, 266 },
{ -16, -8, 18, 8, 15, -11, -20, -16, -10, -8, -3, 61, 17, 32, 21, -17, -7, 13, 12, -24, 69, -128, -64, 72, 91, 13, -15, 87, -26, 183, 177, 359, 114, 59, -48, 10, -13, -12, 17, 257, -148, 339 },
{ -9, 43, 19, -12, -17, 104, -39, 17, -18, 49, 10, -18, 46, 252, -46, 28, -7, 45, -13, 18, -112, -60, 163, -59, 106, 6, -16, 43, -11, 123, 124, 452, -46, 76, -21, 39, -12, 68, -11, 35, -120, 181 },
{ 48, -23, 16, -11, -13, 26, -31, -11, 11, 9, 22, -17, 50, 50, -27, -15, -13, 3, -19, 154, -82, -97, 333, 53, 63, 5, 30, -20, -3, 115, 118, 425, 106, -78, 166, -24, -5, 14, -19, 68, -145, 216 },
{ 51, -22, 16, -5, 47, -4, -13, -34, 31, 117, -10, 44, 28, 39, -43, -24, -63, 53, -24, 91, -42, -135, 88, 110, -20, 10, -22, 13, -10, 139, 78, 410, 138, -44, 22, -13, -18, -9, 9, 141, -125, 257 },
{ -21, -72, 9, 2, 176, -22, -15, -12, -11, -10, 39, 17, 37, 34, 73, -32, -6, 144, -24, 7, 38, -121, -50, 87, 143, 8, 9, -19, 89, 160, 227, 395, 182, 64, -63, 18, -12, -20, 12, 79, -157, 333 },
{ -7, -11, 26, -18, -7, 118, -40, 44, -30, 22, -35, 65, 45, -57, 57, -30, 11, -8, -20, -40, 197, -92, 138, 127, -26, -18, -6, 19, 18, 90, 180, 521, 212, -67, 40, -20, 55, 7, -15, 38, -100, 186 },
{ -12, 5, 12, -11, -8, 115, -15, 42, 19, 17, -25, 4, -35, 23, -50, -36, -22, -25, 175, 18, 64, -102, 275, 243, -30, 14, -21, 27, -21, 112, 215, 446, 121, -77, 65, -9, -7, 95, -23, 82, -110, 236 },
{ -209, 7, 67, -18, 31, -36, 79, -43, 43, 162, -16, 40, -36, 59, -54, -56, -10, -7, 196, 22, 95, -100, 53, 164, 186, 20, -20, 99, -31, 189, 170, 356, 285, 199, -93, 118, -6, -30, 74, -52, -86, 236 },
{ 10, 27, -47, -27, -12, 15, -28, 52, -48, -71, 173, 84, -63, 206, -109, 269, -66, 18, -44, 57, -103, -67, 229, -85, -73, 50, -70, 88, 59, 80, 349, 358, 185, 166, 89, 140, 11, -46, -39, -53, -89, 232 },
{ -8, 13, 15, -15, -64, 10, -25, 21, 32, 9, 171, -25, 17, 75, -130, 120, 137, -32, -130, 70, -18, -56, 184, 166, -73, -40, 66, -9, -44, -77, 145, 397, 40, -80, 81, -45, 11, 23, -22, 38, 141, 171 },
{ -289, -85, 36, 311, 92, -36, -14, -63, 25, -42, -58, 124, 55, 102, -201, 478, 21, -7, -20, 44, -35, 196, 58, 324, -61, 97, -22, -149, -28, 204, -144, 371, 100, 248, -115, 35, -29, 69, 42, 51, -141, 209 },
{ -7, -16, 50, 37, 37, 15, -15, -5, -4, -12, 9, -30, 23, -8, 11, -10, 3, 8, -15, 41, -24, 35, -20, 6, 100, -16, 7, -20, 29, -68, 115, 47, 65, -8, -6, -3, 17, 47, -17, 31, -41, 205 },
{ 47, -16, 14, -11, 4, 20, -33, 32, -3, -14, 6, -17, 62, -25, 13, -10, 5, 12, -12, 71, -102, 208, -17, 12, 17, -8, 16, -29, 69, -36, 155, -23, 85, -21, 5, -13, -5, 56, -30, 68, -113, 175 },
{ -4, -15, 19, -12, 5, 31, -32, 76, -3, -8, 13, -27, 59, -24, 17, -8, 6, 6, -3, 70, -88, 62, -27, 15, -7, -11, 21, -33, 81, -48, 145, -19, 85, -24, 10, -13, 40, 170, -29, 74, -128, 208 },
{ -7, -11, 19, -7, 7, 115, -40, 28, -10, -10, -6, -19, 60, -18, 14, 10, 4, 4, 6, 64, -92, 143, -21, -8, 16, -10, 18, -22, 72, -55, 142, 61, 73, -16, 99, -14, -4, 27, -53, 90, -145, 226 },
{ -8, -11, 20, -10, -3, 36, -32, -8, 3, -9, 10, -21, 42, 13, -7, 6, 5, 12, -22, 65, -62, -26, 45, -15, 7, -16, 16, -25, 92, -43, 115, 108, 49, -22, 29, -21, 5, 62, -29, 80, -141, 229 },
{ -5, -14, 25, -11, 8, 11, -40, 127, -15, -13, 12, -30, 62, -21, 24, 45, 6, 18, -13, 36, -94, 66, -50, 41, -11, -11, 7, -28, 91, -65, 123, 43, 85, -16, 63, 5, -9, 47, -33, 76, -151, 256 },
{ -14, 3, 85, 12, 2, -10, -17, -28, -10, -15, 5, 94, 18, 37, 24, -9, 9, 38, -27, 22, -54, -59, -45, 104, 5, 70, -10, -10, 115, -61, 97, 133, 108, -30, 56, -17, -12, 21, -42, 84, -176, 276 },
{ -6, -11, 19, -8, 4, 40, -29, -6, 12, -9, 15, -24, 51, -15, 16, -7, 6, 14, -7, 46, -68, 44, -30, 13, 7, -18, 24, -29, 71, -57, 138, -28, 89, -22, -4, -15, 48, 53, -19, 156, -114, 292 },
{ -7, -7, 103, 12, 5, 76, -20, -25, -13, -5, -10, -18, 34, 16, 14, 12, -4, 11, 6, 50, -45, -38, -28, -17, 59, 7, -13, -14, 56, -65, 113, 56, 92, -11, 148, -15, -10, 176, -20, 131, -131, 311 },
{ -6, -9, 53, 15, 4, -15, 24, -35, -11, -7, -4, 24, -13, 68, -18, 20, 5, -6, 23, -24, 86, -131, 174, -36, 78, 45, -18, 6, 53, -78, 97, 152, 63, 69, -20, 115, -15, 11, -20, 111, -148, 353 },
{ -9, 6, -11, 22, -9, -1, 131, -39, -22, 10, -25, 45, -20, 66, 13, 12, 4, -15, 20, -12, 78, -122, -45, -33, 148, 101, -15, 14, 44, -85, 98, 242, 100, 133, -35, 57, -11, 11, -28, 102, -159, 395 },
{ -14, -12, 119, 7, 9, -4, 66, -27, 5, -5, -6, -16, 10, 28, -19, 8, 11, -8, 31, -25, 56, -63, 22, -14, 10, -20, -20, 33, -90, 41, 92, 91, -68, 59, -10, -18, 115, 86, 172, -47, 181, 190 },
{ -11, -13, 140, 12, -4, 16, -20, -14, -10, 15, -12, -26, 48, 57, -29, 18, 11, -19, 33, 48, -24, -78, 26, -11, -7, -16, -14, 47, -105, 47, 57, 128, -48, 105, -17, 5, -13, 134, 51, -70, 150, 270 },
{ -18, -6, 36, 19, -9, 30, -8, -34, -11, 3, -18, 48, -17, 79, -22, 28, 5, -15, 41, -34, 85, -107, -27, -33, 96, -9, -11, 55, -107, 66, 43, 175, 46, 131, -34, 136, 54, -20, 25, -89, 118, 306 },
{ -11, -17, 20, 14, 11, 14, -17, -12, -28, 15, -27, 29, 11, 32, 30, 25, 20, -29, 50, -26, 183, -88, -66, -49, 124, 8, -24, 61, -96, 129, -32, 304, 109, 191, -23, 70, 38, -29, 30, -95, 110, 296 },
{ -39, -24, 31, -95, 14, 47, -5, 44, -22, -10, -10, -21, 74, -14, 45, -17, 35, -8, 4, 31, 36, -52, -83, -39, 320, 5, -16, 52, -81, 78, -30, 326, 233, 160, -35, 72, -8, -20, 37, -103, 104, 263 },
{ -6, -19, 11, 3, -13, 25, -15, -10, -6, -23, -7, -18, 136, 32, -23, 6, 15, -24, 36, -26, 70, -65, 23, -6, 6, -13, -22, 65, -74, -26, 101, 67, -85, 87, -23, -5, 134, -11, 228, -43, 202, 321 },
{ -7, -22, 8, 14, 8, 40, -10, -17, -15, -10, -16, -6, 47, 55, -38, 29, 80, 5, 43, -31, 65, -91, 30, -26, -20, 8, -28, 22, -105, 51, 54, 115, -24, 88, -20, 178, 78, -38, 90, -57, 175, 384 },
{ -10, -28, 8, 18, 9, 52, -17, 87, -30, 64, -20, -17, 57, 45, -35, 54, 40, -14, 44, -32, 51, -70, -34, -38, -21, -34, 20, 29, -102, 78, 39, 138, 33, 114, 119, -22, 6, 138, -22, -80, 155, 419 },
{ -11, -14, -5, 18, -4, 24, 129, -16, -17, 11, -23, 83, -33, 73, -24, 37, 42, -37, 27, -127, 22, -93, -54, -90, 76, 11, -42, 83, -96, 119, 43, 190, 102, 348, 82, -57, 10, -4, 54, -122, 93, 396 },
{ -12, -160, 29, -40, -20, 60, 15, -18, -14, 30, 35, -24, 92, -104, 72, -35, -26, -33, -6, -31, 38, -39, -100, -106, 141, 24, 23, 62, -42, 38, 46, 189, 191, 324, 77, -48, 14, -22, -14, -133, 90, 289 },
{ -17, -39, 70, -232, 57, 194, -42, 286, -527, -86, 45, -73, 215, -46, 191, -146, -27, 42, -433, -76, 246, 33, -126, 164, 150, 42, 94, -448, -24, -198, 63, 227, 317, 185, -143, 273, 61, -58, 101, -61, -36, 246 },
{ -13, -16, 14, -28, 23, 21, -26, 78, -22, -19, -34, -7, 17, 38, 20, -17, 38, -46, 51, -27, 107, -39, -12, -28, 11, -16, -49, 32, -104, -25, 160, 119, -52, 15, -24, 19, 226, -28, 117, 164, 180, 370 },
{ 13, -21, -17, 16, 26, 33, 87, 72, -25, -21, -21, -29, 22, 66, -37, 51, 12, 30, -9, 63, -64, 36, -6, -42, -26, -18, 33, -40, -111, 62, 143, -58, 47, 38, 43, 188, -14, 160, -28, 58, 187, 526 },
{ 4, -25, -14, 27, 23, 4, 80, -17, -28, -41, 59, -26, 11, 48, -35, 63, 27, 20, 16, 7, -117, 57, -49, -33, -54, -39, 69, -87, -29, 109, -48, 86, 109, 179, 53, 152, -22, 48, -74, 123, 94, 429 },
{ 3, -41, 37, 17, -12, 58, 52, -17, -24, 10, -9, 152, 13, 17, -27, 55, -20, 63, -111, 23, -6, 20, -76, -64, -48, -11, 58, -55, -43, 83, 72, -50, 253, 157, 293, -31, -19, 36, -102, 117, 63, 388 },
{ -5, -11, 23, -14, 51, 13, -40, 52, 14, -9, 11, -21, 65, -14, 11, 13, 3, 7, -19, 69, -104, 192, -30, 8, -7, -11, 86, -25, 89, -36, 145, 29, 62, -20, 42, -13, 47, 13, -33, 61, -107, 150 },
{ -6, -9, 24, -17, 2, 40, -39, 33, -4, -11, 9, -20, 68, -13, 15, -8, -4, 7, -12, 70, -110, 54, -36, 19, -7, -9, 8, -21, 83, -39, 148, 84, 63, -19, 45, -16, 46, 18, -43, 72, -119, 168 },
{ -7, -13, 21, -11, 6, 94, -37, 32, -12, -12, 8, -29, 72, -13, 16, 50, 49, 9, -23, 51, -130, 83, -63, 22, -10, -13, 15, -20, 105, -71, 156, 90, 83, -21, 42, -13, -10, 23, -44, 80, -134, 187 },
{ -6, -16, 17, 28, 33, 11, -32, -22, -11, -14, 11, -29, 57, 68, 20, -5, 4, 5, -17, 39, -85, -46, -35, 120, 6, -12, 25, -18, 109, -71, 140, 114, 84, -28, 145, -12, -7, 20, -44, 82, -150, 223 },
{ -10, -12, 12, 9, 5, 77, -23, -21, -15, -13, 63, -16, 43, 36, 147, 5, -7, 16, -22, 34, -76, -68, -38, 44, -10, 6, 77, -25, 120, -66, 133, 144, 103, -26, 132, 5, -15, 11, -42, 81, -172, 266 },
{ 3, -17, 88, 47, -11, 22, -30, -25, 7, -9, 12, -34, 62, 88, -21, 131, 4, 46, -18, 43, -93, -89, 99, -22, 11, -12, 63, -7, 81, -72, 150, 279, -77, 99, -31, 60, -12, 17, -34, 59, -103, 200 },
{ -7, -11, 21, -14, -16, 27, -30, -14, 6, -11, 19, -32, 64, 233, -18, 129, -2, 80, -16, 35, -70, -96, 78, -33, 16, -12, 6, -22, 112, -72, 147, 215, 111, -31, 91, -13, -4, 19, -37, 78, -149, 219 },
{ -9, -11, 113, 15, -5, 15, -26, -21, -21, -6, 12, -34, 43, 44, 59, 6, -13, 46, -23, 51, -77, -86, -56, 59, -18, 9, 62, -13, 105, -79, 134, 238, 143, -36, 135, 5, 54, -23, -19, 63, -150, 265 },
{ -8, -13, 5, 13, 13, -8, -16, -21, -25, 7, -17, 138, 15, 38, 32, -10, -32, 85, 19, -18, 76, -129, -76, 93, -17, 12, -6, -16, 56, -70, 107, 278, 142, 195, -29, 12, -7, -20, 11, 88, -139, 323 },
{ -10, -4, 17, 15, -19, 27, -17, -38, 11, -12, 31, -34, 48, 110, -32, 148, 64, 16, -39, 59, -86, -111, 166, -39, 155, 5, -21, -12, 39, -93, 182, 402, -68, 79, -33, -6, -13, 104, 141, 36, -90, 196 },
{ -7, -16, 33, -21, 49, -12, -40, -8, 134, -13, 7, 82, 55, 25, -32, 40, 2, 8, 115, -23, -78, -118, 117, -36, 94, 158, -24, -9, 19, 146, 100, 378, 143, -44, 24, -22, -9, 8, -26, 62, -169, 204 },
{ -1, -14, 18, -4, 24, 7, -22, -10, -11, -22, 112, -22, 39, 32, 137, -20, 7, 5, -12, 31, -61, -99, -43, 144, -27, 4, -11, 7, -20, 85, 108, 403, 140, -53, 208, -13, -20, 95, -17, 44, -131, 271 },
{ -26, -84, 68, 9, 15, 9, -6, -22, -16, -13, 140, -23, 40, 54, -12, 59, -8, 11, -20, 52, -30, -71, -83, 103, -19, 6, 10, -26, 177, -65, 119, 358, 250, -32, 205, -13, -21, 13, -8, 65, -105, 318 },
{ -72, -10, 24, -13, 9, 28, -42, 27, -16, -12, -29, 36, 37, 203, -55, 232, 27, 16, -11, 27, -91, -62, 227, -49, 112, -17, -6, 52, -51, 188, 113, 464, 90, -40, 22, -28, -16, 19, -38, 76, -119, 123 },
{ -15, -11, 30, -14, 55, 11, -50, 20, -19, 8, 59, -21, 54, 57, -28, -17, -67, -15, 109, 28, -84, -73, 181, 143, -31, 2, 41, -26, -22, 151, 72, 432, 88, -65, 37, -20, -4, 24, -31, 57, -122, 214 },
{ -12, 44, 20, -9, -11, 45, -18, -24, 23, -20, 21, -23, 34, 41, -27, -39, 5, -22, 112, 24, -60, -87, 93, 213, -39, 11, -25, 13, -19, 118, 251, 450, 162, -39, 46, 4, -11, 57, -26, 30, -142, 275 },
{ -49, 26, 3, 56, 14, 66, -27, -41, 33, -23, 165, -33, 46, 29, -21, -50, 10, 27, 77, -18, -16, -100, 91, 146, 251, -14, -16, -43, 46, 104, 222, 374, 256, -31, -44, -16, 21, 29, 38, 21, -114, 309 },
{ -10, 13, 15, -6, -163, -20, 134, -25, 38, 25, 25, -43, 53, -12, 62, -63, -13, 39, -21, 35, -44, 26, -135, 75, 166, -16, -9, 37, -45, -55, 90, 301, 291, 65, -54, -20, 10, 24, 38, -117, 170, 212 },
{ -287, 27, 10, 24, -57, 186, -46, 59, -57, -69, 24, 35, -62, 177, -144, 271, -17, 19, -55, 80, -92, 145, 166, 59, -108, 60, 11, 60, 48, 117, 74, 370, 54, 156, 100, -54, 12, -65, -40, -44, -119, 153 },
{ 19, 32, -27, -41, -122, 91, 76, -17, 22, 7, -27, -139, 81, 59, -129, 324, 172, -115, 104, -43, 41, -114, 90, 252, -78, -64, -27, -29, 41, 141, 185, 399, 116, 178, -40, 19, -121, 109, 28, -35, -125, 135 },
{ 80, -7, 109, -12, 5, -7, -16, 15, 7, -7, 8, -13, 29, -19, 71, -14, -4, 12, -7, 53, -35, 48, -10, 9, 5, -6, 19, -21, 50, -22, 126, -12, 40, -11, -9, -4, -9, 56, -17, 39, -51, 193 },
{ -5, -11, 16, -8, 6, 39, -25, 11, 8, -14, 11, -16, 35, -12, 5, -5, 4, 11, -9, 41, -32, -10, 36, -13, 9, -14, 13, -12, 37, -21, 131, 46, -11, 67, -10, -3, -5, 206, -18, 38, -49, 213 },
{ 33, -115, 39, -34, -10, 175, -11, 116, -16, -14, 16, -33, 24, -5, 18, -13, 14, 8, -9, 82, -21, -22, -16, 135, 6, -18, 10, -38, 38, -45, 137, 75, 78, -16, 32, -8, 18, 11, -40, 65, -98, 135 },
{ -6, -11, 18, -4, 7, -5, -20, -6, 11, -17, 29, -17, 32, -11, 10, -10, 5, 11, -6, 38, -30, 22, -15, 10, 5, -16, 11, -13, 33, -24, 120, 16, 149, -14, 45, -18, 61, 49, -16, 44, -66, 264 },
{ -9, -9, 7, 8, 3, 139, -17, -15, -8, 56, -13, -23, 29, 79, 23, -7, 4, -13, 15, 49, -18, -24, -23, 98, 44, -15, 42, -20, 69, -46, 115, 40, 68, -14, 38, -12, -6, 22, -41, 67, -119, 185 },
{ -12, -20, 45, 10, -10, 22, -23, -24, -15, 3, 7, -36, 34, 49, 38, -13, 7, -13, 145, 35, -32, -30, -47, 21, -7, -17, 7, -14, 63, -62, 147, 85, 109, -29, 38, -4, 57, 42, -28, 64, -128, 210 },
{ -9, -42, 42, 6, 9, -3, -8, -23, 8, -6, -8, -17, 19, 20, -20, 18, 15, -22, 36, -26, 75, -48, 28, -13, 12, -10, -11, 15, -43, 42, 19, 80, -25, 76, -8, -12, -10, 76, -18, 114, -41, 319 },
{ -4, -11, 20, -10, -5, 25, -41, 153, -16, -10, 10, -39, 58, -23, 22, -6, 12, 7, -7, 42, -69, 191, -38, 19, -8, -17, 5, -26, 107, -91, 94, 37, 86, -23, 51, -12, 3, 70, -31, 70, -148, 293 },
{ -11, -4, 16, 18, -9, 12, -7, -29, -23, -8, 5, -21, 12, 33, 30, -10, 42, -9, 10, 13, 51, -86, -30, 86, 5, -13, 7, -14, 77, -64, 119, 130, 112, -31, 61, -15, -7, 22, -48, 78, -159, 308 },
{ -14, 60, -14, 26, -7, 9, -5, -44, -9, 10, -22, 20, -25, 94, -33, 33, -3, -10, 11, 13, 166, -110, -38, -33, 165, 5, -14, 37, -15, -63, 168, 215, 118, 271, -21, 7, -9, 11, -33, 133, -140, 332 },
{ -12, -16, 56, 6, 15, 2, -15, -19, 7, -5, -18, -17, 25, 18, -15, -4, 8, -13, 47, -25, 54, -55, 37, -7, 11, 38, -26, 32, -84, 54, 95, 66, -98, 43, -19, -7, 181, -23, 94, -51, 210, 182 },
{ -15, -9, 62, 19, 4, 32, -24, -17, -16, -17, 66, -25, 26, 35, -9, 12, 13, -11, 9, 36, -39, -49, 21, -21, 7, 4, -8, -10, 74, -111, 118, 141, 86, -16, 40, -13, -10, 15, -36, 188, -115, 396 },
{ -14, -10, 37, 18, -6, 27, -20, -19, -17, -9, -8, -30, 40, 65, -34, 29, 10, -16, 38, 18, 43, -108, 53, -38, 9, 19, -25, 30, -55, -42, 90, 175, -39, 158, -22, 81, -10, 11, -29, 151, -116, 412 },
{ -8, -26, 59, 9, -6, 21, -17, -13, -25, 14, 27, -36, 55, 59, -24, 46, -3, -25, 24, 36, 51, -101, -37, -56, 66, 29, -17, 33, -40, -47, 103, 217, 120, 196, -40, 13, -14, 10, -30, 120, -126, 420 },
{ 3, -28, -11, 18, 72, -23, 43, -11, -26, 42, -52, 26, 35, 34, -235, 48, 7, 42, -18, 25, 114, -56, -68, -97, 172, -3, -36, 42, -57, -54, 135, 256, 160, 125, 79, -44, -121, 34, 24, -67, -72, 386 },
{ -6, -14, 18, 4, 15, 31, -27, -6, 3, -12, -22, -19, 38, 85, -10, -9, 14, -24, 43, 24, -50, -12, 16, 10, 6, -8, -13, 21, -101, 34, 92, 63, -70, 61, -23, 7, 172, -22, 266, -36, 231, 280 },
{ -7, -14, -9, 23, 16, 40, -17, 28, -31, -9, -30, 117, 15, -17, 53, -8, 7, -21, 60, -20, 39, -50, -18, -7, 7, -15, -7, 45, -134, 81, 55, 69, -53, 92, -16, 52, 140, -17, 56, -53, 187, 369 },
{ 50, -13, -11, 15, 44, 24, -22, 40, -25, 69, -33, -23, 70, 34, -44, 49, 7, -19, 39, 15, 33, -72, 57, -46, -15, -16, -33, 57, -88, -26, 89, 138, -27, 161, 356, -11, 11, 6, 39, -89, 124, 438 },
{ 6, 75, -30, 22, -34, 30, 20, 41, -33, 16, -11, 60, -35, 45, -30, 63, 14, -28, 15, 28, -19, -39, -52, -110, 71, -15, -120, 64, -87, 60, 44, 106, 101, 321, 71, -30, 8, 23, 136, -120, 104, 427 },
{ -14, 41, -65, 32, -24, 87, 44, -16, -34, -27, 32, -51, 75, -199, 78, -44, 57, -21, -30, 45, 46, 49, -128, -67, 142, 21, -16, 62, -217, -124, 144, 72, 244, 156, 66, -50, 10, 36, -39, -135, 106, 347 },
{ -4, -26, 24, 10, 14, 16, -13, 15, -13, -17, -34, 13, 18, -11, 28, -17, -39, 44, 27, 10, -30, 41, -32, 13, -9, 10, -11, -41, -91, 44, 106, 83, -43, 19, -21, 19, 200, -37, 109, 180, 186, 335 },
{ 13, -24, 56, -27, 68, 28, 210, 11, -23, -29, 52, -54, 9, 56, -28, 39, -6, 41, -56, 70, -62, 28, -36, 23, -32, -21, 44, -52, -121, 117, 80, -39, 63, -23, 25, 102, -12, 172, -55, 70, 144, 479 },
{ 8, -19, 51, -25, -20, 47, -34, 46, -37, 149, -25, 50, -23, 16, -37, 73, -9, 42, 18, 25, -25, 38, -17, -23, -57, 27, -58, 33, -89, 37, 112, -29, 112, 74, 172, 181, -8, -41, 80, -112, 162, 428 },
{ -96, 14, -45, 65, -16, -6, 26, 25, -26, -38, 133, -44, 25, -33, -35, 77, -14, -36, 12, 21, -10, 28, -22, -112, -37, 49, 25, -36, -45, 16, -21, 67, 126, 127, 289, -56, 9, -9, 107, -112, 171, 548 },
{ 42, -7, 27, -12, 3, 5, -17, 24, 1, -7, 6, -25, 30, -20, 33, 4, 4, 44, -13, 66, -38, 35, -8, -9, 103, -6, -5, -8, 59, -24, 130, 30, 112, -7, -3, 2, -8, 45, -17, 30, -46, 162 },
{ -6, -11, 17, 28, 4, 12, -28, -11, 4, -9, 4, -16, 34, 39, -11, 5, -8, 8, -11, 64, -36, -27, 46, -10, 17, 3, 15, -17, 44, -29, 137, 56, -24, 42, -13, 7, -8, 34, -20, 33, -42, 169 },
{ -10, -13, 15, -4, 153, 6, -28, -9, 7, 3, -8, -13, 20, 23, -14, 9, -6, 10, -43, 72, -28, -36, 58, -12, 29, -7, 1, -14, 44, -33, 117, 82, -31, 41, -13, -12, -6, 20, -27, 45, -57, 218 },
{ -10, -8, 22, 4, -20, 23, -51, 28, -19, 79, 16, -43, 68, -12, 22, -7, -13, 12, -29, 68, -105, 77, -33, 162, 15, -8, 20, -33, 58, -107, 125, 111, 86, -17, 36, -11, -13, 23, -45, 65, -111, 150 },
{ -7, -14, 13, 6, -3, 19, -33, -12, -14, -3, 11, -31, 42, 47, 18, 151, -4, 7, -24, 36, -42, -33, -28, -13, 23, -8, 36, -20, 97, -56, 173, 102, 208, 41, -16, 42, -14, 20, -36, 58, -110, 141 },
{ -16, -5, 30, 16, -17, 7, -27, -10, -21, -10, 17, -14, 30, 25, 12, 176, 24, -5, -17, 76, -24, -53, -22, -16, 1, 106, -13, 14, 33, -61, 163, 107, 75, 70, -28, 33, -14, 16, -32, 60, -140, 196 },
{ 16, -26, 10, 6, -7, 28, -30, -30, 12, 5, 8, -41, 49, 41, -21, 34, -10, 24, -15, 54, -77, -85, 335, -7, 111, -10, 47, -23, 104, -81, 122, 208, -64, 79, -22, -7, -13, 23, -43, 70, -90, 152 },
{ 17, -25, 9, 9, -6, 13, -19, -23, -10, -12, 16, -16, 19, 52, -16, 124, 14, -71, -12, 52, 51, -127, 97, -16, 9, -20, 17, -25, 44, -76, 167, 242, -64, 124, -32, 9, -10, 19, -39, 65, -117, 194 },
{ -3, -22, 109, 15, -6, 30, -30, -28, -21, -53, 31, -34, 35, 38, 25, 29, -5, 12, -18, 49, -44, -66, -66, 243, 69, 8, -7, -31, 91, -66, 183, 206, 134, -29, -20, 10, -6, 24, -22, 73, -142, 238 },
{ -12, -12, 32, 14, -9, 14, -16, -23, -13, 5, 23, -21, 27, 62, -29, 32, 8, -29, 23, 16, 51, -100, -33, -42, 43, 32, -16, 25, 16, -73, 129, 238, 122, 383, -38, 6, -6, 17, -30, 139, -145, 325 },
{ -8, -198, 23, 25, 31, 58, -41, -45, 15, -42, 27, -42, 77, 133, -21, -23, -10, 17, -18, 54, -99, -95, 190, 77, -21, 83, 24, -41, 34, -97, 171, 323, -97, 73, -23, 10, -6, 158, -45, 88, -104, 205 },
{ -32, -10, 21, 46, -11, 17, -43, -36, -7, -15, 30, -43, 62, 41, 31, -18, -10, 81, -7, 46, -72, -124, 121, 85, -16, 7, 20, -12, 160, -37, 180, 395, -104, 82, -23, 7, -6, -7, -27, 61, -95, 229 },
{ -57, -12, 7, 11, -11, 17, -17, -26, -16, -4, 25, -47, 43, 50, 36, 76, -19, 12, -28, 71, -74, -69, -69, 143, -20, -4, 16, -28, 28, -66, 213, 345, 166, -60, 24, -18, 53, 3, -37, 82, -147, 274 },
{ -10, -14, 107, 15, 11, 8, -5, -41, 8, 10, -19, -17, 19, 59, -23, 10, 9, -22, 58, 33, -26, -86, -72, 118, -22, -16, 49, -30, 32, -93, 175, 323, 225, -37, 160, 11, -73, -52, -14, 87, -101, 336 },
{ -10, 8, -190, 15, -11, 32, 83, -38, 35, -17, 34, -51, 40, -203, 50, 10, -23, 78, -40, 45, 15, -80, -85, -57, 171, 43, -29, 53, -67, -44, 72, 333, 257, 63, -73, 18, -6, -29, 73, -109, 85, 305 },
{ -71, -8, 30, -16, -20, 20, -48, 53, -7, -15, 18, 80, 59, 30, -36, 56, 34, -15, -24, -24, -105, -66, 162, -41, -16, 43, 55, -18, 55, 153, 90, 447, 157, 71, -33, 11, -17, 14, -41, 77, -164, 141 },
{ -7, -37, 26, -7, 44, -6, -24, -17, -12, -20, 32, -19, 37, 18, 72, -32, 10, 22, -30, 17, 116, -144, 167, 116, -40, -8, 12, -33, 48, -112, 100, 453, 132, -63, 36, -17, -16, 320, -25, 55, -90, 197 },
{ 85, -23, 14, -13, -9, 39, 123, -31, 30, -182, 19, -34, 51, 178, -14, -35, 4, 55, -31, -21, 101, -106, 90, 179, -57, 136, -22, -75, 65, -83, 149, 423, 90, 113, -21, 10, -17, 16, -114, 19, -128, 283 },
{ -58, -16, 23, 34, 19, 48, -40, -37, 30, -13, -28, 98, 10, 39, -22, -37, 4, 21, -29, 18, 73, -107, 36, 124, 163, 9, -23, -30, 14, -60, 158, 367, 266, -77, 32, -35, -8, 20, 30, 41, -94, 322 },
{ -18, 15, 11, 7, -20, 52, -23, -58, 31, -74, 140, -68, 44, 21, 29, -43, -12, 33, -13, -265, 22, -16, -119, 119, 122, -87, -13, 59, -24, -72, 23, 295, 277, 83, -70, 54, 5, -22, 70, -97, 116, 292 },
{ -57, -40, 44, -27, -10, 111, -49, 73, -22, -211, 18, -15, -62, 127, -119, 456, 81, -15, -39, 74, -56, 303, 197, 177, -67, 16, -42, 61, 27, -120, -66, 427, -101, -59, 81, -221, -10, 50, -35, -204, 219, 296 },
{ -34, -30, 26, -129, 59, 59, -62, 24, 17, -212, 7, -141, 61, 78, -123, 53, -17, -12, -56, 122, -82, -64, 203, 130, -52, 25, 205, -6, -70, 141, 139, 373, 128, -118, 90, -19, 2, 69, -51, 86, -68, 278 },
{ 26, 11, -48, -26, -15, 20, -23, 69, 21, -10, 99, 24, -113, 42, -54, -34, 16, -44, -21, 50, 69, -33, 102, 248, -53, -20, 43, -40, 31, -110, 224, 336, 115, -48, 32, -46, 5, 162, 48, 15, -77, 255 },
{ -144, -20, 23, -30, 23, 22, -104, -19, 23, -16, -45, 103, 25, -182, 37, -67, -12, 49, -20, 151, 68, -117, 107, 209, 136, 115, -42, -317, -256, 121, 84, 346, 246, -83, -50, -45, -8, -23, 111, -54, -75, 205 },
{ -3, -9, 58, -9, -3, 13, -21, 9, 9, -8, 5, -17, 17, -14, 4, -10, 18, 7, -10, 25, -22, 70, -9, 6, 2, -4, 9, -18, 25, -45, 114, -26, 77, -22, 42, -7, -9, 53, -24, 30, -36, 178 },
{ -7, -9, 55, 27, -5, 15, -22, 68, 2, -10, 8, -22, 24, -21, 5, -8, 4, -3, -6, 26, -22, 61, -4, 5, 2, -11, 32, -13, 69, -43, 114, -23, 57, -15, 21, -7, -7, 60, -20, 30, -37, 216 },
{ -3, -14, 78, -6, 4, 10, -19, 31, 2, -15, 5, -23, 27, -19, 7, -15, 4, 6, -4, 24, -20, 44, -8, 4, 7, -11, 20, -20, 68, -44, 107, -19, 50, -12, 8, -13, 65, 232, -19, 33, -44, 267 },
{ -5, -10, 12, 23, -2, 18, -21, -6, -6, -9, 10, -34, 28, -11, 12, -6, 2, 5, -21, 46, -30, 50, -19, 6, 21, 4, -10, -11, 95, -66, 117, 38, 72, -24, 111, -6, -7, 203, -22, 43, -70, 143 },
{ -6, -20, 180, 11, -6, 16, -9, -16, -10, 6, 4, -24, 16, 31, -15, 12, 3, -10, -13, 29, 61, -46, 41, -21, 10, -8, 22, -9, 43, -91, 118, 38, 54, 187, -28, 80, -8, 59, -21, 43, -92, 173 },
{ -6, -15, 56, 5, 8, 64, -11, -18, 10, -4, -9, -18, 14, 6, -7, -12, 12, -18, 22, 38, 49, -27, 24, -10, 14, -6, -10, 11, -19, -36, 96, 36, -28, 17, -14, -7, -15, 77, -16, 91, -31, 326 },
{ -10, -6, 11, 10, -5, 11, -16, -16, 42, 2, -8, -20, 13, 23, -25, 9, 7, -23, 13, 17, 40, -40, 47, -12, 8, -4, -4, 5, 43, -73, 119, 41, -23, 84, -22, 54, -14, 47, -15, 115, -61, 196 },
{ -5, -10, 78, 15, 2, 22, -20, -20, -11, 4, -6, -32, 16, 39, -19, 11, 5, -29, 7, 47, -18, -55, 43, -11, 117, -14, 34, -6, 22, -95, 176, 84, -30, 107, -20, 29, -5, 6, -10, 135, -92, 235 },
{ 24, -18, -15, 21, -9, 30, -13, -19, -26, 6, 19, -45, 22, 20, 55, -23, -13, -13, -7, 61, -23, -66, -53, 49, 36, 8, -15, 16, 272, -80, 226, 122, 160, -30, 139, 22, -15, 8, -32, 67, -150, 319 },
{ -7, -14, 23, -5, 16, 34, -21, -13, 42, -5, -21, -18, 31, -3, -5, -5, 12, -12, 33, 34, -24, -6, 21, -8, 10, 3, -20, 28, -66, -10, 146, 23, -63, 25, -20, 4, 165, -24, 93, -42, 159, 307 },
{ -5, -12, 35, 12, 5, 2, -6, -23, 4, 93, -29, -18, 33, 38, -38, 5, 8, -20, 17, 23, 47, -56, 17, 132, -5, -6, -15, 41, -48, -52, 116, 69, -57, 111, -17, 123, -6, 92, 8, -45, 155, 219 },
{ -7, -16, 48, 17, 54, 19, -19, -22, -21, -13, -12, -27, 40, 36, 28, -19, 7, -18, 21, 32, 64, -78, -23, 38, 39, -15, -13, 21, -14, -93, 170, 113, -49, 134, -22, 60, -6, 18, -21, 135, -99, 368 },
{ 112, -14, -19, 23, -15, 29, 130, -31, -35, -22, 37, -59, 110, 27, 56, -21, 6, -17, -15, 62, -19, -59, -45, -22, 60, 60, -17, 21, -15, -87, 82, 115, 124, 188, -31, 42, 9, -38, 19, 80, -134, 424 },
{ 8, -17, -12, 48, -12, 102, 17, 21, -45, -42, 35, -62, -33, 39, 99, -40, 48, 54, -38, 64, 149, -68, -102, -36, 80, 13, -52, 50, -47, -80, 97, 206, 172, 134, -54, 17, -78, -20, 65, -76, -79, 407 },
{ -8, -10, 23, -7, 15, 36, -26, 83, -6, -7, -21, -10, 27, 6, -9, 1, 15, -18, 51, -26, 60, -40, 33, -17, 12, -10, -16, 25, -84, 50, 46, 77, -54, 23, -12, -54, 181, -21, 93, -44, 219, 359 },
{ -5, -19, 9, 15, 18, 217, -17, -16, -14, 7, -30, -27, 92, 33, -20, 15, 5, -14, 46, 5, 30, -49, 100, -7, -4, -18, -9, 39, -109, 38, 69, 85, -53, 103, -14, 63, 49, -21, 47, -51, 195, 331 },
{ 14, -18, -9, 14, 3, 87, -133, 33, -30, 39, -39, 34, -29, 48, -20, 34, -4, -2, 44, 38, -9, -36, -33, -6, -17, -13, -16, 43, -50, -84, 86, 104, -42, 154, 153, -18, 15, -13, 62, -69, 159, 409 },
{ 7, -18, 10, -28, 17, 21, -25, 48, -42, -20, -16, -8, 60, 33, -38, 59, 38, -44, 35, 90, -16, -49, -28, -114, 39, -25, -36, 89, -97, 23, 77, 120, 76, 324, 122, -39, 9, 39, 73, -110, 118, 395 },
{ 7, -8, 7, -28, -25, 126, -22, 92, -68, 28, -47, -156, 61, -65, 119, -44, 29, -54, -110, -71, 68, -101, -113, -90, 88, 108, -21, 104, -96, -97, 148, 56, 106, 239, 56, -35, -12, 19, 60, -189, 130, 352 },
{ -6, -22, 36, 13, 17, 35, -17, -11, -11, -12, -22, -106, 25, 36, 11, -9, -22, 44, 19, 16, -40, 39, -25, 18, -8, -43, 19, -37, -85, 54, 77, 71, -75, -20, 6, 8, -12, 291, -42, 151, 198, 335 },
{ 7, -26, -10, 15, 28, 102, -26, 24, -16, -14, -45, 63, -105, 89, -102, 24, -7, 14, 50, -116, 22, -47, 35, -24, 40, -9, 42, -45, -99, 62, 80, 98, -88, 58, -19, 312, -11, 20, -60, 91, 106, 500 },
{ 3, -27, -14, 16, 10, 21, -31, 32, -30, -13, -12, 85, -60, -7, -20, 45, -17, 28, 21, -39, 12, -5, -33, 30, -64, -34, 42, -23, -64, 72, -19, 107, 54, 38, 144, 412, 13, -30, 53, -116, 160, 439 },
{ -167, -27, 9, 72, -26, 145, 31, -12, -32, 59, 137, -81, 18, -54, -190, 65, -53, -41, 35, -39, -52, 34, -95, -83, -55, 22, -8, 58, -29, 21, 91, 91, 129, 178, 361, -56, 4, -162, 57, -164, 125, 447 },
{ -5, -11, 17, -6, 43, 13, -27, 29, 5, -16, 11, -24, 29, -17, 22, -6, -7, 10, -14, 32, -29, 56, -7, 6, 2, -12, 13, -22, 28, -48, 149, -22, 69, -15, 92, -9, -5, 60, -18, 24, -28, 149 },
{ -7, -19, 15, 15, -9, 20, -28, 68, -4, -5, 11, -27, 25, -7, 41, -4, -4, 11, -22, 39, -28, 40, -19, 7, 4, -12, 12, -23, 36, -60, 119, 40, 50, -6, -7, 16, -7, 209, -18, 26, -35, 159 },
{ -11, -10, 15, 140, -6, 23, -29, -13, -6, -5, 8, -33, 30, 14, 134, -11, -4, 45, -20, 35, -26, -32, 34, 65, 3, -14, 18, -30, 33, -68, 146, 82, -23, 43, -16, 5, -4, 178, -21, 29, -27, 170 },
{ -8, -18, 14, 43, -12, 20, -27, -7, -10, 19, 162, -31, 29, 12, 12, -8, 19, 6, -25, 43, -25, -19, -14, 158, -4, -12, 16, -38, 49, -90, 175, 120, 75, -11, 181, -6, -9, 18, -37, 54, -79, 114 },
{ -5, -15, 160, 18, -6, 30, -27, -19, -18, -8, 13, -51, 39, 48, 34, -8, -5, 10, -30, 58, -34, -24, -40, 172, -8, -11, 18, -33, 46, -92, 200, 55, 119, -14, 11, -4, -8, 60, -35, 62, -97, 139 },
{ -5, -21, 25, 12, -10, 25, -26, -27, 41, 3, 201, -27, 30, 40, -20, 152, -4, -5, -17, 34, -29, -74, 90, -13, 23, -9, 26, -29, 42, -74, 202, 164, -72, 43, -20, 11, -9, 12, -35, 36, -60, 97 },
{ -8, -15, 47, 18, -17, 26, -14, -33, -11, -6, 26, -55, 39, 35, 19, 118, -8, 163, -23, 58, -42, -47, -49, 60, -20, -23, 26, -34, 58, -90, 231, 140, 115, -17, 16, -17, 93, 17, -53, 71, -113, 141 },
{ -18, -25, 271, 18, -16, 33, -19, -35, -14, 7, 18, -50, 36, 32, 33, -10, -18, 121, -30, 71, -46, -62, -49, 104, -17, 114, 16, -27, 62, -118, 116, 119, 153, -25, 18, -10, -10, 16, -48, 69, -128, 211 },
{ -16, -25, 96, 20, -11, 19, -19, -29, -14, -15, 35, -46, 29, 23, 49, -21, 44, -18, -13, 34, 88, -89, -48, 224, -9, -23, 14, -21, 33, -103, 229, 172, 176, -35, 24, -13, 48, 12, -41, 67, -137, 283 },
{ -9, -8, 14, 15, 37, 24, -40, -28, 125, -35, 13, -43, 51, 66, -22, -16, 5, 100, -26, 55, -73, -117, 188, 86, -19, -11, 13, -20, 32, -92, 132, 273, -97, 96, 11, -25, -18, 26, -50, 55, -70, 153 },
{ 30, -5, -8, 22, 118, 77, -13, -50, 14, -20, 10, -30, 22, 67, -14, -15, -11, 16, -20, 26, 444, -160, 156, 60, 14, -23, 27, -47, 60, -129, 90, 299, -87, 114, -31, 3, 146, 10, -47, 78, -96, 199 },
{ 26, -32, -3, 26, -15, 32, -19, -49, 40, 10, 21, -48, 37, 51, 17, -17, -10, 12, -29, 56, -36, -96, -52, 122, -14, -6, 14, -17, 49, -92, 218, 275, 171, -52, 27, -17, 128, 9, -50, 73, -123, 245 },
{ 5, -21, 17, 14, -62, 16, 54, -39, -22, -11, 19, -34, 34, 58, 34, -9, -13, 13, -32, 51, 65, -120, -64, 108, -21, 6, -8, -23, 41, -106, 241, 276, 252, -49, 34, -16, -6, 11, -26, 39, -112, 305 },
{ 8, -47, 110, -13, -20, 49, 91, -35, -15, -18, -172, -43, 19, 24, 68, -29, 12, 40, -194, 23, 91, -84, -87, -34, 124, 34, -32, -30, 33, -87, 75, 279, 264, 162, -39, -19, -9, 13, 35, 57, -103, 356 },
{ -11, 23, 17, -19, 92, 22, -30, -29, 90, -25, 30, -39, 48, 43, -23, -13, -7, 29, -37, 47, -84, -89, 202, -50, 9, -8, 165, -25, 63, -68, 120, 391, 153, 79, 5, -18, -14, 24, -46, 71, -137, 139 },
{ 2, -41, 22, -14, -133, 76, -14, -44, 21, 198, -129, -15, 181, 92, -55, 87, -28, 43, -46, 65, -55, -116, 181, -40, -22, -12, 25, -24, 53, -87, 87, 410, 114, 146, 21, -16, 6, 14, -52, 53, -142, 214 },
{ 38, -20, 22, 11, -73, 91, -15, -45, 18, 10, -21, -19, 26, 63, -15, -28, -10, 39, -19, 11, 79, -132, 395, 164, -34, -6, 67, -23, 16, -74, 143, 373, 173, -49, 34, -14, -5, 11, -41, 66, -106, 268 },
{ -1, -29, 38, -34, -29, 151, 25, -34, 10, 11, 114, -18, 14, 34, 32, -23, 14, -30, -37, 60, -26, -71, -67, 176, -21, 32, -27, 18, 62, -84, 151, 345, 322, -40, 49, 3, -9, 79, -55, 35, -102, 303 },
{ -144, 19, 60, -10, -239, 5, -14, -24, 33, -17, 165, -25, 58, 20, -99, 329, 33, 18, -57, -28, -113, 89, 132, -50, 44, 13, -14, -33, 53, 104, 131, 418, 82, 44, 7, -135, -17, 57, -17, 44, -125, 179 },
{ -19, 10, 11, 15, -12, -26, 50, -39, 37, -17, 51, -60, 70, 37, -73, -35, -8, -10, -41, 53, -125, 84, 160, 149, -28, -18, 7, -21, -28, 109, 135, 396, 64, -63, 61, -22, 9, 86, -16, 58, -115, 186 },
{ 9, -17, 82, 6, 52, 3, -14, -19, 25, -65, 28, -47, 21, -28, 96, -36, 17, 9, -27, 28, 51, -102, 72, 245, -36, -73, -19, -53, 35, -66, 132, 455, 118, -53, 39, 8, 205, -16, 13, -38, -67, 179 },
{ -7, -34, 22, 22, 56, -10, -191, -19, 25, -442, 80, -30, 29, 47, -14, -46, 387, -27, -357, 23, 93, -82, 109, 398, 268, 25, 8, 218, -87, 77, -31, 416, 177, 91, -97, 40, -19, -33, 17, 24, -91, 214 },
{ -6, -6, 12, -5, -6, 16, -20, 12, 10, -4, 5, -15, 129, -11, 25, -15, -7, 12, -17, 29, 80, 23, -12, 41, 4, -4, 44, -14, 25, -38, -23, -33, 19, -24, 117, -4, -6, 10, -12, 52, 82, -17 },
{ -5, -11, 48, 4, -6, 20, -17, 3, 51, -5, 12, -24, 40, -8, 7, -10, -6, 10, -22, 38, 39, 20, -16, 6, 111, -11, 19, -31, 44, -68, 63, -50, 34, -22, 13, -8, -5, 14, -28, 27, -19, 153 },
{ -6, -9, 11, 28, -6, 15, -19, 36, -12, -6, 4, -17, 46, -15, 10, -7, 14, 11, -23, 31, 44, 14, -15, 67, 22, -7, 14, -22, 34, -61, 62, -40, 28, -16, 10, -8, -4, 66, -24, 27, -27, 212 },
{ -7, -14, 9, 6, 11, 12, -10, -10, 5, -14, 30, -25, 33, 6, -9, 78, -6, 6, -21, 35, 67, 107, -15, 46, -12, -11, 16, -21, 23, -49, -25, 84, -10, 96, 125, 25, -11, 20, -32, 25, -18, 201 },
{ -6, -22, 218, 9, 104, 19, -11, -75, -9, -7, 10, -33, 12, -14, 3, 148, -12, 13, -21, 53, 44, 47, -28, 109, -10, -13, 18, -36, 53, -98, 461, -15, 140, -12, 101, 3, -18, 80, -23, 37, -42, 73 },
{ -4, -4, 11, 2, -8, 13, -22, 50, -12, -10, 10, -22, 17, -13, 12, -7, 10, -16, 3, 18, 47, 8, -15, -4, 8, -9, 77, -8, 64, -45, 50, -23, 61, -14, 33, -10, -8, 71, -23, 29, -30, 295 },
{ -3, -7, 5, 161, -16, 27, -23, 127, -15, -5, 34, -30, 12, -9, 9, 3, 159, -10, -12, 38, 77, -28, -6, -11, 10, -10, 9, -10, 23, -75, 90, 58, -13, 14, -6, 62, -14, 53, -17, 25, -48, 146 },
{ -7, -14, 163, 13, -21, 33, -21, -12, -10, 7, 40, -32, 33, 12, 10, -13, -16, 7, -20, 59, 210, -20, -24, 62, 20, -58, 37, -38, 33, -100, 29, 140, -15, 151, -16, 11, -7, 234, -21, 42, -68, 136 },
{ 6, 70, -18, 11, -32, 27, -14, -34, -12, -12, 21, -32, 226, 24, 22, -17, 176, 15, -49, 65, -10, -34, -12, -16, 87, -27, 17, -27, 66, -127, 64, 194, 132, 153, -30, 17, 143, 56, -30, 52, -98, 185 },
{ -12, -18, 58, 85, 12, 11, -11, 9, -12, -5, -11, -7, 73, -16, -6, 3, 9, -10, 17, 14, 34, -12, 20, -10, 12, -5, -11, 18, -22, -56, 44, -25, -23, 56, -25, 45, 159, -28, 87, -37, 128, 323 },
{ -15, -9, 73, 11, -179, 24, -23, 5, -9, 23, -10, -33, 23, -18, 11, 26, 34, 7, -29, 44, 115, -18, 95, -15, 2, -148, 159, -10, 26, -96, 45, -15, 110, 144, -29, 227, -19, 93, -19, 30, -68, 272 },
{ -3, -12, -15, 21, -12, 46, -11, -6, -14, 10, -16, -48, 92, 5, 27, -22, -8, 38, 49, 55, 44, -41, -37, 254, -50, -27, 17, -9, 23, -133, 81, 17, 146, -23, 411, 224, -9, 28, -53, 71, -119, 284 },
{ 9, 10, -50, 28, -20, 52, -6, -14, -48, -8, 18, -49, 112, 47, -33, 28, 11, -8, -24, 49, 95, -50, -37, -36, 246, 12, -25, 24, -25, -76, 81, 67, 174, 240, -39, 61, -9, 40, -22, 51, -113, 282 },
{ 78, 19, -46, 33, -27, 18, -225, 18, -39, 23, 51, -37, 24, 71, 11, 40, 12, -36, -25, 60, 87, -52, -40, -83, 100, 53, -22, 86, -64, -93, 132, 130, 211, 96, -45, -5, 46, -74, 42, 52, -119, 302 },
{ -3, -10, -4, 234, 13, -17, 24, -33, 10, 24, -18, -19, 318, 10, -14, -5, 15, -15, 27, -3, 19, -31, 32, -15, 9, -20, -7, 12, -26, -49, 39, 65, -46, 21, -10, -9, -7, 121, -29, -12, 163, 438 },
{ -37, -21, 6, 7, 10, 33, -18, 31, -13, 7, -26, -52, 26, 110, 8, -34, -12, 39, 16, 71, -30, -24, -40, 17, 166, -20, 21, 70, -17, -124, 111, -11, -26, 375, -16, 64, 63, -35, 50, -26, 147, 324 },
{ 84, -35, -89, 17, 8, 42, -11, -19, -18, 5, -33, -14, 63, 26, -27, 13, -182, 49, 14, 50, -20, -21, -41, 11, -14, -17, 104, -36, 35, -76, 54, 57, -28, 581, 194, -26, 5, 14, -39, 165, -98, 412 },
{ 32, 8, -34, 17, -32, 58, 80, -20, -50, 15, -19, -27, 30, 28, -7, 30, -6, -16, -34, 36, 19, -47, -26, -35, -16, -18, 29, 36, 19, -113, 102, 110, 191, 363, 412, -20, -32, 33, -42, 138, -87, 394 },
{ 20, 43, -114, 62, -26, 45, 104, -12, -38, 42, -34, -49, 87, -93, 103, -69, 14, -79, -29, 89, 26, -24, -117, 125, 119, -17, 115, 44, -54, -109, 184, 73, 110, 238, 83, -25, 10, 22, 26, -55, -77, 407 },
{ 5, -33, -27, 14, 33, 12, -17, 63, -18, 28, -68, -93, 28, 154, 11, -29, 10, -23, 42, 34, -19, -46, 10, 15, 75, -27, 30, 24, -55, -94, 69, 33, -56, 87, -24, 225, -11, 21, -45, 145, 83, 486 },
{ 8, -39, -31, 25, 23, 27, -77, 33, -17, -7, -31, -102, 63, 79, -62, 23, -4, 57, 24, -30, -18, -30, 63, -75, 189, -9, -168, 32, -66, 14, 52, -43, 298, 35, 120, -44, 13, 11, 54, -77, 254, 510 },
{ -5, -6, 50, 3, -8, 11, -7, -11, 13, -9, 16, -24, 25, -3, 9, -7, 63, 13, -21, 26, 20, 31, -18, 10, 28, -9, 8, -22, 28, -33, -38, 77, 43, -4, -7, 6, -8, 9, -17, 35, 90, -25 },
{ -10, -12, 152, 9, -11, 26, -10, -11, -4, -12, 21, -40, 71, 7, 5, 51, -10, 24, -30, 49, 210, 143, -17, 36, 14, -9, 18, -38, 45, -61, -19, 108, 41, -16, -14, 116, -7, 15, -20, 24, -11, 92 },
{ -10, -16, 22, 8, -7, 23, -11, -5, -3, -8, 16, -37, 8, -7, 15, -9, -6, 20, -28, 49, 44, 167, -24, 11, -6, -6, 13, -31, 38, -65, -12, 82, 82, -9, -5, 40, -10, 16, -24, 29, -15, 138 },
{ -17, -7, 26, 14, -12, 23, -20, -20, 120, 16, -5, -27, -7, 20, -17, 5, -12, 13, -21, 55, 53, -15, -9, 13, -19, -6, 24, -30, 49, -84, 67, 107, 63, -10, 129, 22, -7, 12, -23, 23, -26, 75 },
{ -4, -21, 8, 10, -4, 23, -13, -25, 7, -13, 18, -39, 9, 23, -20, 25, -11, 21, -31, 49, 42, -32, 58, -12, 10, -14, 25, -36, 46, -69, 85, 258, -22, 23, -27, 8, 13, 5, -9, 14, -10, 111 },
{ -3, -12, 20, 20, -9, 29, -3, -32, 5, -14, 10, -32, -8, 34, -22, 7, -6, 23, -32, 49, 100, -48, 51, -18, 10, -16, 28, -54, 67, -96, 38, 193, 116, -26, 37, -10, -7, 18, -32, 43, -44, 59 },
{ -4, -11, 164, 20, -19, 27, -8, -23, -19, -7, 15, -36, 34, 23, 13, 2, -17, 24, -43, 63, 142, -40, -21, 170, 13, -20, 38, -55, 76, -117, 43, 75, 120, -16, 79, 20, -4, 15, -40, 54, -63, 94 },
{ 7, -19, -11, 22, -9, 24, 228, -32, -29, -10, 20, -38, 159, 29, 25, -11, -15, 25, -55, 68, -10, -46, -34, 136, 210, -20, 19, -30, 59, -104, 216, 81, 165, -16, -10, 8, 29, 42, -35, 64, -79, 154 },
{ -5, -19, 14, 20, -10, 41, -35, -33, -11, -82, 6, -40, 91, 50, -8, -14, -11, 18, -25, 54, 18, -62, 98, 275, -22, -9, 17, -36, 43, -98, 158, 217, -80, 48, -28, 12, -5, 14, -26, 33, -35, 108 },
{ 66, -31, -8, 23, -11, 25, 33, -39, -16, -26, 20, -47, 10, 51, 59, -9, -14, 51, -64, 74, -21, -59, -24, 127, -25, -9, 19, -46, 70, -99, 178, 234, -44, 25, -35, 60, -5, 16, -39, 56, -82, 158 },
{ 26, -24, -16, 32, -8, 38, 24, -44, -21, -9, 19, -60, 286, 46, 30, -6, -21, 47, -49, 88, -26, -68, -51, 145, 21, 18, 20, -55, 73, -134, 62, 155, 585, -39, 96, -15, -22, 18, -48, 94, -87, 169 },
{ 7, 83, -31, 30, -24, 28, 17, -48, -6, -10, 86, -31, 244, 50, -27, 34, 10, -13, -19, 41, 62, -71, -27, -51, 68, -14, -24, -5, 43, -95, 78, 171, 259, 405, -25, 8, -15, 23, -29, 71, -131, 236 },
{ -18, -4, 364, 9, -24, 36, -24, -28, -16, -25, 134, -20, 66, 65, -22, 36, 20, -16, -49, 29, -35, -55, -52, -68, 138, 50, -18, 62, 20, -59, 92, 139, 246, 522, -61, 18, 16, -31, -20, 73, -165, 302 },
{ 34, -21, 19, 8, -35, 47, -26, -39, 9, -11, 28, -22, 22, 59, -15, -14, -29, 38, -72, 58, -38, -76, 143, -21, 91, 7, 372, -34, 66, -81, 57, 335, -69, 60, -31, 13, -8, 9, -47, 36, -85, 162 },
{ 154, -26, 14, 22, -118, 5, 192, -52, 17, -54, 22, -24, -22, 69, 16, -21, 68, 27, -45, 59, -77, -110, 120, 122, -15, -28, 62, -33, 72, -122, 155, 328, -66, 18, 10, -15, 7, 20, -39, 34, -60, 198 },
{ -14, -5, -15, 13, -8, 34, 205, -42, 114, -14, -99, -38, 7, 32, 35, -16, -14, 40, -32, 73, -15, -69, -66, 213, -20, 1, 91, -46, 43, -136, 189, 326, 82, -42, 21, 6, -14, 20, -55, 99, -91, 221 },
{ -22, -9, 32, -22, -12, 59, -19, 30, -32, -12, 108, -106, 17, -145, 60, -10, 17, 26, -34, 29, 74, -34, -115, 260, -31, -17, -25, -21, 41, -102, 82, 255, 245, -98, 52, -22, 136, 8, -24, 48, -99, 222 },
{ -424, 182, -9, 30, -12, -72, -19, 60, -58, 260, 113, -115, 80, 30, 104, -65, 20, -147, -95, 80, -100, 191, -41, 168, 163, 98, -42, -29, 51, -104, 40, 247, 343, 252, -95, 42, -386, -18, 50, -31, -44, 293 },
{ -12, 17, -6, -13, -22, 117, -129, 11, -7, -39, -38, -7, -39, 45, 246, -26, 22, 46, -9, 37, 75, -85, 256, -20, 9, -43, 109, -35, 45, -115, 68, 434, 106, 62, 6, -14, -10, 22, -55, 35, -60, 113 },
{ -7, 20, -28, 10, 17, -20, 17, -53, 92, -28, 26, 68, 61, 102, -11, -43, -75, 214, -48, -27, -22, -111, 127, 128, -13, -31, 44, -22, 55, -129, 63, 429, 79, -58, 27, -27, -11, 58, -31, 30, 150, 89 },
{ 84, -68, -24, 36, 24, 66, 5, -55, 79, -64, 66, -28, -41, 74, 154, -32, -15, 37, -39, 32, -18, -79, 99, 201, -9, 51, 48, -59, 29, -120, 139, 428, 124, -99, 25, 22, 5, -15, -47, 79, -65, 234 },
{ 5, -52, -43, 65, 43, 33, 35, -74, 48, -53, -46, -143, 110, -63, 61, -63, -49, 44, -67, 72, 94, -124, 673, 249, -56, 39, 25, -77, 806, -65, 106, 356, 295, -127, 40, 29, 268, -33, -30, 40, -49, 144 }
 },
{ 
{ -125, -42, 82, 47, -17, 40, 37, 29, 41, -12, 28, 40, 43, 26, 37, 42, -18, 26, 27, 38, 27, 27, 23, 32, 59, -29, 33, 35, 35, 37, 52, 36, 23, 29, 32, 53, -106, 84, 30, 42, 41, 45 },
{ -119, -59, 106, 55, -11, 27, 29, 14, 36, -22, 17, 31, 34, 19, 26, 45, 9, 11, 25, 29, 30, 15, 28, 29, 54, -49, 42, 26, 36, 44, 52, 45, 29, 30, 23, 63, 53, 25, 16, 24, 37, 49 },
{ -87, -54, 81, 92, -21, 19, -19, 18, 87, -28, 50, -29, 29, 11, 30, 93, -23, -25, 26, 22, 24, 25, 30, 39, 123, -73, 17, 24, 33, 35, 57, 66, 28, 22, 24, 102, 79, -24, -19, 19, 39, 55 },
{ 130, -196, 106, 132, 35, -37, -44, -18, 155, -15, -40, 83, -65, -38, 22, 132, -13, -46, 51, -37, -15, -2, 22, 24, 114, -19, -22, -29, 21, 31, 32, 32, 48, 34, 27, 151, 184, -44, -16, -17, 54, 67 },
{ -44, -71, 231, -69, 27, 14, -18, 28, 36, 4, 15, 29, -36, 35, 25, 30, 21, -7, 6, 21, 15, 11, 16, 5, 68, 66, -15, 13, 4, 34, 34, 33, 12, 6, 23, 124, 211, -22, -4, 1, 40, 51 },
{ -19, 24, -44, 68, -22, 13, 28, 48, -67, -58, 62, 16, 14, 31, -86, 80, -44, 39, 24, -34, 25, -33, -52, 35, 111, -98, 75, 36, -57, -37, 62, -41, 198, -63, 155, 306, 85, -32, -100, 19, 129, 226 },
{ -23, 35, -74, 64, 29, 128, 22, 60, -38, -36, 40, -12, -131, 86, 48, -54, -28, -15, -18, -26, 75, 107, -116, -65, 130, 132, 15, 26, 88, -33, 159, 240, 190, 146, -83, 103, -8, -55, -38, -124, 15, 246 },
{ 84, -22, 31, -40, 16, 52, 31, 105, -144, -30, -29, 114, 54, 23, 124, -284, -13, -22, -22, 37, 36, 58, -118, 93, 324, 49, 74, 55, 52, 118, 114, -166, 292, 276, 95, 62, -90, -52, 47, -54, 16, 205 },
{ 111, -16, 91, -94, -39, -57, 68, 85, -155, 79, 63, -40, 93, 34, 32, -133, 19, -42, 74, 40, 71, 64, -37, 86, 423, 30, 13, -20, -36, 74, 37, 163, 156, 224, -156, 116, -138, 78, 21, -47, 54, 99 },
{ -33, 79, 82, -61, -54, 45, 19, 60, -138, -55, 22, 60, 49, 44, 58, -121, 80, -21, 34, -9, -21, 100, -23, 52, 398, -64, 87, 30, -48, 113, 99, -154, 229, 195, 117, 63, -114, 102, -38, -88, -57, 180 },
{ -15, -53, 27, -26, 5, -10, 80, 8, -24, 26, 74, -17, -23, 43, -12, -78, -26, 19, 174, 36, 74, -95, 73, 132, 259, -13, -24, 29, -26, 360, 100, 255, 244, 225, -97, 73, 13, -40, 55, -44, -104, 262 },
{ 41, -103, 77, -40, -80, -86, 39, -36, 73, 410, 62, 60, 110, 23, -69, -80, -52, -122, -55, -104, -29, -111, 154, 177, -147, 103, 226, -96, 91, 107, 178, 271, 199, 334, 32, 54, -245, -58, 44, 96, -180, 199 },
{ -163, 18, 46, 47, -48, 39, 69, 44, -20, -50, 40, 36, 59, 36, 35, -27, -36, 46, 44, 33, 43, 33, 41, 23, 33, -28, 51, 52, 47, 41, 58, 49, 41, 36, 32, 41, -123, 70, 63, 65, 49, 61 },
{ -151, -22, 60, 55, -48, 61, 54, 30, -23, -53, 60, -27, 69, 30, 39, -31, -50, 45, 36, 44, 34, 30, 41, 24, 44, -49, 57, 44, 42, 49, 62, 58, 47, 48, 24, 67, -108, 81, 62, 60, 46, 72 },
{ -139, 9, 78, -30, -16, 31, 25, -3, 49, -49, 33, 12, 20, 25, 18, 60, -42, 50, 19, -26, 32, 38, 45, 53, 116, -67, 58, -14, 38, 28, 97, 103, 82, -39, 37, 120, -104, 59, -20, 47, 48, 110 },
{ -116, -28, 56, 50, -50, 51, 49, 32, -49, -71, 37, 34, 35, 30, 36, -38, -60, 51, 58, -40, 66, -30, 62, 30, 35, -52, 58, 38, 44, 54, 65, 76, 49, 43, 25, 73, -87, 101, 49, 53, 51, 117 },
{ -104, -11, 95, -63, -29, 35, 27, 16, 53, -69, 31, 49, -16, -34, 23, 35, -73, 54, 29, -24, 36, 49, 33, 50, 71, -78, 85, -57, 35, 48, 84, 94, 70, 30, 7, 162, -71, 31, 35, 42, 48, 139 },
{ -88, 25, 109, -141, -26, 43, 16, 90, -44, -31, 39, -17, 33, -38, 21, 104, -27, 32, 47, -55, 52, -63, 82, 125, 155, -53, 57, -4, -32, 23, 71, 141, 137, -46, 58, 107, -112, 54, -18, -16, 38, 140 },
{ -70, 37, -50, 59, -74, 53, 60, 25, -37, -56, 49, -7, 65, -29, 36, -23, -60, 55, 26, 29, -35, -44, 47, 38, 16, -55, 63, -34, 52, 47, 87, 81, 53, 65, -29, 103, 94, -62, 38, 48, 97, 175 },
{ -72, 10, 83, -62, -36, 24, 30, 64, -56, -28, 28, 42, -53, 22, -16, 75, -55, 54, 15, -9, -17, -53, 25, 22, 120, -91, 30, -13, -10, 26, 75, 108, 109, 54, 5, 196, 43, -50, -27, 33, 91, 194 },
{ -71, 86, 70, -107, -42, 53, 81, -42, 60, -55, 55, -19, 15, -66, 29, 112, -32, 49, 18, 25, -56, -14, -66, 126, 273, -121, 30, 21, -47, 34, 54, 80, 109, 69, 43, 165, 74, -19, -73, -79, 78, 127 },
{ -30, -31, 59, 7, -37, 32, 40, 33, -46, -34, 27, 25, -40, 35, 46, -44, -31, 42, -15, -19, 32, -23, -28, 15, 20, -19, 12, -17, 12, 32, 41, 64, 36, 35, 30, 112, 188, -51, 7, 46, 145, 228 },
{ -52, 48, 53, -44, -49, 28, 30, 61, -112, -39, 35, 58, -27, 34, -40, 84, -53, 68, 35, -66, 51, -66, -22, -47, 170, -93, 35, -26, -15, 16, 46, 70, 97, 142, -41, 277, 69, -60, -32, -19, 125, 224 },
{ -155, -29, 60, 48, -39, 53, 55, 27, 22, -46, 34, 35, 62, 34, 10, 29, -38, 30, 32, 39, 46, 41, 43, 11, 37, -30, 53, 41, 43, 40, 64, 52, 48, 44, 38, 50, -127, 38, 58, 61, 50, 62 },
{ -155, -4, 55, 25, -25, 32, 21, 39, 62, -28, 22, 13, 48, -44, 55, 75, -28, 26, 18, 26, 53, 58, 37, 55, 71, -37, 37, -20, 30, 40, 80, 74, 56, 34, 31, 65, -133, 59, 29, 36, 41, 82 },
{ -113, -24, 60, -36, 34, 60, 25, 14, 94, -14, 27, -34, 14, -38, 76, 151, -36, 63, -28, 6, -26, 56, 49, 122, 163, 26, 35, -25, -13, 19, 105, 75, 50, -82, 69, 52, -106, 47, -79, 39, 35, 107 },
{ -100, 33, 112, -163, 30, 13, 62, 30, 39, -58, 37, 37, -44, -45, -6, 187, 21, 31, 23, -38, -20, 23, 55, 129, 242, -43, 20, 23, -38, 15, 56, 121, 99, -73, 30, 89, -109, 87, -21, -25, 39, 129 },
{ -89, -62, 121, -63, 120, 43, 17, 45, 101, -53, -25, -17, -48, -59, 118, 232, 58, 23, -14, 49, 16, -101, 102, 100, 197, -45, 44, -14, 50, 47, 102, 98, 77, -58, 8, 113, -111, 74, -45, -54, -41, 71 },
{ -84, 118, 84, -132, 65, -49, 95, -49, 100, -63, 29, 25, -18, 54, -49, 290, -32, 59, 42, 64, -85, -88, 85, 224, 201, 79, -39, 26, -42, 41, 83, 168, 68, -78, 25, 65, -79, 34, -62, -33, 18, 71 },
{ -97, 32, 22, 34, -71, 32, 50, 27, -53, -53, 51, 25, 35, 38, 42, -55, -51, 30, 55, -17, 65, 42, 73, -6, 51, -26, 53, 37, 33, 73, 105, 93, 50, 55, -25, 40, -97, 64, 64, 48, 50, 122 },
{ -88, -19, 89, -83, -35, 40, 40, 22, 40, -54, 65, -26, 31, 49, -43, 52, -51, 67, -35, 51, 36, 70, 84, -23, 68, -32, 65, -33, 39, 40, 112, 113, 88, 58, -29, 59, -121, 54, 44, 48, 51, 129 },
{ -59, -35, 80, -45, -70, 64, 39, 56, -53, -76, 92, -49, 39, 30, 46, -67, -79, 85, -26, 69, -27, 56, 47, 70, -57, -43, 67, 20, 49, 46, 113, 81, 49, 30, 43, 69, -81, 83, 77, 28, 39, 161 },
{ -56, -44, 100, -80, -32, 41, 51, 75, -109, -63, 62, -34, 46, -28, 23, 57, -78, 61, 53, -44, 41, 63, 102, -42, 42, -56, 65, 34, -34, 60, 79, 121, 72, 56, 28, 124, -129, 82, 45, -25, 71, 179 },
{ -64, 37, 50, -84, -32, 24, 54, 67, -110, -20, 15, 21, -30, 45, 35, 41, -41, 38, 55, -45, 55, -50, 100, 103, 90, -54, 50, 31, -37, 17, 94, 149, 130, -33, 65, 113, -130, 58, 31, -53, 63, 155 },
{ -55, 22, 41, -34, -75, 59, 35, 53, -66, -77, 70, -15, 21, 8, 64, -84, -62, 29, 55, 17, -39, 30, 39, 61, -54, -61, 73, 68, -54, 69, 94, 81, 92, -33, 68, 75, -63, 125, 40, 33, 71, 202 },
{ -62, 32, 42, -45, -48, 29, 45, 68, -104, -80, 70, 36, -42, 36, 41, -50, -67, 95, -56, 34, 44, -69, 64, 61, 28, -90, 107, -56, 52, -23, 104, 106, 102, 118, -66, 190, -82, 65, 29, 17, 75, 203 },
{ -64, 62, 39, -90, -56, 48, 84, 67, -130, -50, 53, -38, 14, 31, 65, -63, -43, 53, 70, -41, -50, 29, 38, 38, 154, -95, 114, -62, 41, -17, 88, 129, 96, 99, 14, 195, -107, 68, -26, -53, 76, 195 },
{ -65, 61, 28, -105, 35, 28, 53, 66, -93, -80, 57, -32, 62, 42, -50, 69, -36, 67, 42, -60, 48, -41, -71, 192, 173, -64, 65, -16, -17, 36, 42, 129, 126, 88, 108, 154, -117, 69, -50, -91, 36, 139 },
{ -28, -35, 63, -30, -58, 50, 38, 52, -67, -54, 43, 37, -56, 40, 51, -48, -49, 62, 13, 14, -50, 25, -37, 71, -50, -55, 83, -66, 75, -62, 95, 60, 86, -70, 101, 82, 123, -86, 26, 67, 145, 285 },
{ -39, 37, -39, 50, -28, 22, 40, 41, -110, -34, 38, 14, 17, 16, 93, -111, -77, 75, 21, -12, 7, -51, -43, 85, 44, -94, 109, -39, -22, 10, 33, 95, 184, -80, 134, 198, -66, 92, -61, 54, 99, 260 },
{ -52, 83, 60, -77, -44, -15, 112, 28, -145, -85, 59, 38, 26, 38, 75, -75, 37, 20, 23, -21, 44, -47, -71, 62, 278, -129, 57, 11, -22, 47, 32, 94, 116, 142, 106, 181, -43, 65, -41, -87, 79, 139 },
{ -18, -25, 47, -30, -23, 32, 31, 22, -28, -52, 21, 14, 11, 28, 25, -51, -49, 95, -22, 9, 13, -29, 23, 58, -78, -65, 73, -28, -35, -16, 24, 60, -58, 67, 65, 77, 200, -108, 30, 63, 203, 324 },
{ -29, 26, 55, -34, -65, 33, 29, 58, -61, 41, -20, 23, -36, 48, 64, -89, -70, 35, 62, -22, 14, 14, -38, 77, -72, -126, 104, -32, -11, -42, 20, 49, 156, -129, 236, 194, 84, -28, -22, 43, 141, 310 },
{ 24, -9, 18, -30, -49, 56, 77, 32, -65, -96, 43, 16, 71, -29, 21, -57, -47, 102, -53, 47, 19, 25, -28, 59, -73, -22, 8, -40, -28, -11, 51, 42, 15, -25, 60, 94, 399, -45, 24, 84, 132, 180 },
{ -13, 74, 7, -30, -18, -32, 77, 62, -50, -40, 37, 12, -13, 45, 56, -64, -48, 28, 31, -31, 88, -60, 36, 99, -143, -135, 61, 29, -61, -41, 61, 25, 77, -139, 338, 192, 98, 49, -44, 83, 161, 249 },
{ -19, 46, -74, 21, 11, 28, 31, -29, 83, -69, 29, 40, -55, -67, 168, -162, 18, -61, 39, 69, 87, -36, 212, -212, 220, 15, 48, 57, 40, -50, 94, 104, 284, 319, 122, 200, -32, -37, -87, -82, -117, 301 },
{ -88, 21, 72, -104, -29, 25, 39, 28, 52, -32, 47, 19, -13, -47, 44, 79, -30, 61, -25, -15, 34, 94, 97, 45, 87, 13, 39, -16, -16, 27, 118, 133, 93, 53, -37, 50, -128, 52, 21, -40, 60, 145 },
{ -81, 60, 49, -131, -27, 24, 23, 33, 44, -32, 46, -20, 10, -53, 105, 132, 16, 14, 32, -45, 26, 58, 100, 158, 135, 25, 22, 26, -22, 18, 89, 147, 105, -68, 15, -45, -118, 53, 18, -10, -13, 138 },
{ -104, 74, 68, -90, 59, -24, 38, -46, 47, -85, 59, -35, 18, -29, 118, 225, -54, 99, 33, 55, 54, -79, 135, 221, 142, 96, 29, -57, -25, -9, 82, 159, 71, -115, -61, 33, -154, 65, -15, 57, 27, 101 },
{ 12, -44, 72, -61, -39, 30, 90, 72, -121, -56, 47, 17, 17, 45, 67, -117, 28, -11, 45, -13, 24, 27, -18, 54, 100, -88, 64, 23, 73, -85, 93, -111, 200, 184, 247, 217, -83, 101, -81, -85, 18, 239 },
{ -6, 20, -17, -18, -15, 102, -21, 41, -14, -42, 45, -21, 60, -12, 59, -56, -14, 21, 31, -27, 46, 24, -30, 53, -135, -77, 46, -15, -9, 61, -57, 114, 86, 143, 54, 149, -54, 117, 59, -26, 105, 359 },
{ 41, -12, 79, -20, 8, -17, 44, 27, -43, -45, 19, 16, 27, -15, -40, 58, 65, -52, -36, 25, 124, -12, 58, 107, -185, 62, -62, -59, -13, 130, 41, 91, 131, -88, 165, 119, -96, 193, 111, 84, 131, 380 },
{ -43, -35, 62, -42, -43, 68, 20, 52, -32, -53, 55, 10, -26, 69, 44, -54, -52, 66, -32, 46, 72, -28, 70, 56, -37, -22, 41, -27, 50, 75, 152, 128, 41, 51, -17, 32, -57, 61, 58, 28, 46, 173 },
{ -35, -30, 47, -59, -24, 52, 17, 51, -40, -34, 28, 12, -15, 79, -32, 66, -23, 14, 34, -11, 22, 54, 93, 43, -68, -24, 30, 44, -21, 67, 148, 139, 84, 40, 30, 64, -75, 29, 26, -31, 73, 163 },
{ -36, -18, 64, -28, -49, 42, 26, 49, -63, -62, 59, 36, -48, 57, 52, -45, -67, 73, -30, 33, 29, -37, 58, 78, -77, -46, 68, -23, 58, 63, 130, 125, 46, 23, 25, 38, -63, 94, 64, 17, 42, 202 },
{ -52, 13, 60, -46, -20, -4, 40, 83, -105, -47, 34, 24, -35, 46, -22, 70, -42, 16, 50, -42, 44, -17, 122, 47, -74, -42, 42, 55, -41, 70, 128, 133, 79, 59, 26, 94, -94, 71, 19, -6, 57, 200 },
{ -47, 28, 80, -79, -41, 44, 19, 83, -124, -24, 39, -37, 45, -13, 28, 35, -29, 43, -19, 41, -31, 44, 86, 57, 92, -29, 77, -40, 45, -12, 113, 172, 131, 61, -22, 90, -116, 39, 18, -15, 38, 190 },
{ -38, -7, 51, -12, -48, 33, 21, 45, -68, -68, 57, 15, -11, 22, 68, -74, -99, 84, 54, -51, 39, -43, 52, 84, -95, -62, 108, -29, -26, 95, 93, 102, 54, 26, 53, 50, -48, 102, 60, 14, 39, 260 },
{ -45, 40, 48, -59, -26, 24, 19, 74, -102, -46, 27, 4, 28, -10, 78, -78, -65, 64, 15, 15, -31, -29, 116, -20, 52, -78, 99, -45, 38, -11, 103, 138, 86, 118, -54, 157, -89, 37, 68, 8, 44, 243 },
{ -42, 52, 55, -72, -49, 45, -23, 101, -124, -32, 58, -29, 38, 34, 81, -101, -35, 46, 18, 30, -46, -14, 48, 125, 65, -31, 33, 58, -49, -22, 99, 123, 150, 69, 48, 142, -129, 67, -19, -40, 82, 218 },
{ -45, 68, 83, -95, -59, 30, 66, 44, -111, -39, 58, 5, -10, 79, 62, -71, -57, 44, 46, 25, -31, -51, 98, 54, 232, 48, 65, -19, 12, -75, 54, 135, 217, 88, 53, 68, -138, 38, -28, -31, -57, 236 },
{ -30, -24, 47, -29, -49, 36, 69, 41, -63, -56, 38, 17, 9, 10, 56, -71, -52, 41, 29, -13, -16, -44, 81, 37, -83, -122, 118, -35, 42, 32, 74, 127, -59, 109, 45, 26, 93, 38, 32, 29, 123, 266 },
{ -1, -5, -2, 45, -14, 10, 111, -12, 12, 2, 6, -19, -19, 85, -3, -6, -14, 71, -19, 21, 26, 43, -6, 5, -8, -6, 17, -21, 30, -30, -25, -14, 21, -12, 47, 108, 87, 89, -10, 133, 395, -30 },
{ -62, 56, 57, -107, -35, 17, 42, 13, 42, -30, 32, 28, -32, 39, -32, 83, -38, 36, 29, -10, -42, 67, 158, -30, 101, 27, 17, 5, 23, -14, 161, 191, 109, 73, -22, -62, -77, 66, 35, -29, -23, 199 },
{ -42, 34, 57, -98, -22, 11, 28, 68, -86, -54, 32, 23, 12, -57, 128, 171, 32, 45, 21, -15, -42, -50, 255, 113, 75, 33, -12, 16, -9, 23, 106, 256, 96, -53, -31, -87, -68, 51, 41, -28, -51, 132 },
{ -54, 42, 46, -105, -46, 96, 34, 76, -75, -24, 32, -42, 24, -19, 53, 79, -44, 49, 26, 12, 16, -61, 87, 173, 143, 56, 32, -8, -12, -60, 102, 222, 150, 45, 32, -69, -96, 69, -17, -42, -23, 178 },
{ -31, 39, 23, -49, 17, -8, 72, 96, -233, 38, -48, 49, -33, -52, 83, 406, -9, -14, 52, -19, 60, -94, 278, 151, -139, -27, -7, 36, 34, 118, 16, 270, 161, -144, 68, -83, -19, 49, 48, 14, -116, 116 },
{ -64, 36, 59, -99, 33, 69, 24, 72, -129, -42, -24, 13, 23, 40, -90, 310, -41, 55, -19, 48, 43, -83, 146, 164, 173, 57, 62, -44, 54, -45, 51, 162, 228, -106, 61, -117, -81, 31, 58, -16, -38, 154 },
{ -51, 55, 123, -83, -51, 32, 50, 61, -110, -17, 25, -27, 55, 52, 25, 45, -42, 30, 52, 24, -16, -30, -72, 234, 247, 42, 59, -24, 57, -50, 52, 124, 220, 108, 9, 40, -111, 58, -45, -54, -48, 191 },
{ -66, 72, 116, -114, -86, -97, 56, 30, 95, 50, -74, 72, 32, -95, 84, 349, -23, 77, 86, -50, 23, -131, 163, 114, 79, 125, 49, -94, 129, -34, 97, 170, -63, -77, 94, -114, -37, -31, 80, -67, 74, 156 },
{ -39, 105, 110, -134, -98, 39, 74, 91, -163, 75, -28, 42, 78, -63, 63, 137, -43, 55, -37, 69, 65, -79, 113, 187, 341, 54, 89, -54, 31, 37, -44, 152, 124, 51, -65, 84, -132, 63, 42, -46, -88, 150 },
{ 25, -60, -66, 28, 180, 89, 148, -82, 127, -36, -21, 4, 36, 43, -190, 162, 11, -49, 67, -85, 44, -89, 146, 240, 258, -19, -36, 87, -121, 164, 108, -161, 313, -77, -172, 268, 186, -127, -37, 25, 141, 196 },
{ -34, -12, 69, -18, -25, 9, 27, 35, -34, -24, 21, 3, 19, 13, 35, -22, -32, 39, 22, 3, 31, 20, 36, 45, -45, -39, 26, -12, 27, 88, 200, 128, 50, 14, 28, -14, -23, 95, 24, 31, 23, 243 },
{ -30, -21, 76, -25, -20, 23, 12, 59, -55, -27, 27, -19, -4, 36, -18, 55, -15, 54, 10, -10, 30, 37, 97, 34, -63, -39, 30, -17, 29, 68, 173, 171, 64, 37, 65, -13, -27, 51, 29, -12, 28, 207 },
{ -31, -25, 71, -7, -23, 26, 34, 26, -53, -19, 13, -4, 24, -10, 48, -38, -45, 35, 27, -11, 33, -14, 56, 36, -47, -43, 33, -4, 26, 71, 169, 124, 32, 46, 39, -21, -36, 109, 46, 15, 31, 288 },
{ -38, 14, 46, -20, -25, 48, -24, 53, -51, -32, 26, 35, -34, 27, 58, -59, -22, 24, 41, -25, 18, -32, 110, 69, -39, -38, 49, 41, -45, 71, 125, 194, 79, 41, 27, 61, -56, 40, -15, 25, 38, 243 },
{ -40, 37, 47, -57, -21, 34, 19, 59, -74, -42, 31, -34, -5, 29, 70, -58, 44, -5, 21, 40, -9, -27, 111, 58, 105, -42, 16, 19, 38, -33, 134, 215, 130, 82, -72, 59, -59, 28, 31, -22, -11, 241 },
{ -30, -14, 46, -9, -23, 15, 41, 33, -46, -32, 26, 11, -14, 21, 23, -27, -59, 54, 5, -17, 41, -37, 26, 79, -92, -53, 78, -54, 51, 48, 120, 101, 52, 25, 25, 36, -41, 97, 37, 34, 45, 316 },
{ -37, 15, 41, -19, -43, 28, 12, 34, -46, 44, 14, -44, 24, 17, 87, -109, -72, 38, 27, 12, -22, -17, 47, 14, 45, -37, 44, -35, 27, 33, 106, 134, 115, 84, -11, 76, -69, 77, 51, -19, 44, 301 },
{ -36, 34, 64, -42, -36, -14, 35, 67, -94, 38, -10, 37, -14, 18, 93, -131, -36, 26, 45, 19, -26, -30, 50, 81, 93, -29, 39, 19, 14, -58, 102, 176, 176, 81, 40, 77, -86, 58, -25, -9, 27, 263 },
{ -44, 44, 96, -51, -33, -25, 51, 68, -84, -23, 37, 28, -18, 54, 57, -134, -26, 54, 32, 24, 42, -41, -37, 234, 169, -15, 56, -33, 52, -93, 56, 157, 213, 141, 95, -44, -81, 91, -34, -71, -47, 254 },
{ -24, 23, 18, -36, -32, 19, 50, 18, -30, -41, 49, -9, -9, 16, 62, -55, -98, 84, 16, -28, 42, -23, -30, 113, -129, -92, 142, -50, -46, 91, 74, 66, 91, -31, 64, 55, -31, 141, 36, 30, 82, 332 },
{ -29, -24, 86, -54, -32, 37, 34, 30, -59, -27, 40, -11, -13, 45, 83, -102, -78, 78, 13, 20, -34, 15, -25, 93, -85, -96, 100, -46, 32, -62, 88, 104, 127, 67, 78, 137, -51, 81, 47, -20, 57, 329 },
{ -13, 43, -60, 60, -35, -13, 60, 50, -96, -30, 43, 30, -11, 16, 126, -175, -31, 47, 29, 14, -17, 22, -31, 80, 52, -79, 77, 6, 18, -68, 55, 108, 164, 123, 80, 186, -86, 66, -48, 0, 32, 290 },
{ -25, 30, 81, -40, -51, -10, 62, 45, -109, 29, 22, 33, -16, 74, 83, -169, -62, 39, 17, 11, 47, -50, 40, 70, 162, 33, 23, 49, -47, 74, -80, 171, 167, 147, 196, 72, -123, 106, -78, -100, 68, 198 },
{ -15, 8, 24, -36, -17, 29, 28, 49, -38, -51, 37, 19, 16, -16, 55, -51, -94, 62, 28, -42, 66, 34, -31, 81, -147, -91, 59, -14, 49, -61, 61, 42, 104, -40, 108, 46, 181, -48, 60, 89, 132, 324 },
{ -15, 45, -51, 52, -65, 55, 44, 39, -82, -59, 78, -14, 42, 22, 77, -147, -48, 41, 29, 12, 29, -43, 41, -25, 76, -133, 130, 15, -18, -42, -19, 57, 234, -99, 244, 255, -64, 98, -72, 27, 55, 239 },
{ 13, -19, 9, -16, -13, 9, 73, 28, -23, -63, 40, -15, 44, 12, 15, -62, -40, 41, 57, 45, -33, 41, 53, 57, -135, -137, 50, -6, -45, 41, 65, 20, 29, -52, 108, 55, 258, -40, 86, 111, 177, 258 },
{ -40, 16, 61, -40, -22, -19, 31, 44, -64, 6, 53, -31, 51, -16, 41, 64, -9, -31, 29, 30, -65, 88, 141, -36, 75, -21, 33, 25, 31, -21, 157, 210, 107, 30, 61, -69, -45, 65, -23, 15, -48, 225 },
{ -29, 57, 20, -55, -37, 14, 30, 52, -126, 59, -28, 15, 24, -48, 102, 177, 25, -46, 33, 44, -71, 36, 214, 72, 83, -26, -10, 47, 39, -46, 130, 262, 111, -71, -63, -77, -20, 74, 65, 5, -67, 141 },
{ -33, 67, 51, -83, 21, -34, 24, 68, -99, -29, 33, 19, -21, 36, 24, 133, -44, 22, -27, 87, -27, -56, 199, 97, 123, 22, 35, 27, 27, -49, 96, 277, 125, -54, 75, -125, -44, 36, 34, -36, -54, 177 },
{ -40, 30, 68, -59, -26, 12, 35, 79, -97, -21, 49, 18, -37, 56, -54, 81, -39, 32, 31, 40, -17, -48, 94, 170, 169, 17, 37, -29, 26, -64, 102, 215, 240, -61, 83, -103, -68, 49, 6, -20, -35, 219 },
{ -35, 33, 30, -38, 83, 11, 75, 75, -227, -62, -23, -34, -31, 67, -146, 378, 22, -56, 77, 21, 40, -54, 242, 161, 31, 30, -25, 77, 48, 141, -7, 277, 163, -82, 103, -188, -59, 103, 42, -88, -81, 89 },
{ -22, 47, 68, -67, -53, 32, -21, 122, -126, 23, 44, -52, 51, 58, -149, 141, -17, -36, 55, 21, 94, -115, 167, 235, 204, 43, -24, 41, 26, 56, -47, 311, 236, -54, -37, -171, -44, 96, 44, 71, -122, 101 },
{ -39, -23, 65, -49, 38, -25, 75, 130, -228, 86, -54, 8, 41, 82, -100, 545, -16, -55, 65, 58, -34, -30, 266, 112, -181, 77, -12, -87, 49, 169, -54, 297, 200, -183, 57, 23, -43, 12, 47, 105, -145, 203 },
{ -63, 10, 35, 30, 97, 35, -48, 89, -158, -25, -78, -24, 47, 105, -163, 344, 68, 30, -69, 100, -47, -133, 287, 181, 129, -22, 14, 58, 87, 185, 53, 292, 114, -102, -69, -139, -14, 70, -47, 72, -68, 124 },
{ -30, 39, 68, -88, -39, 99, 43, 165, -105, -56, -23, -79, 71, 42, -134, 257, 23, 90, -64, 58, 66, -138, 148, 259, 266, 54, -37, -49, 81, 73, -39, 235, 200, -66, -85, -169, -38, 133, 66, -65, 153, -43 },
{ -18, -21, 28, -15, -20, 21, 80, 31, -44, -12, 46, -22, -15, 12, -13, 50, -19, 22, 6, 13, 61, 15, 39, -23, -24, -31, 24, -7, 25, 87, 229, 142, 37, 13, 47, -31, -11, 80, 23, 55, -41, 299 },
{ -15, -18, 31, -26, -24, 15, 58, 18, -20, -12, 30, -19, 41, -15, 37, -21, -25, 26, 6, 21, -38, 15, 19, 42, -39, -35, 23, -7, 41, 44, 189, 127, 44, 20, 32, -25, -18, 89, 38, 75, -93, 381 },
{ -17, -14, 32, -24, -25, 84, -39, 76, -33, -21, 27, -32, 24, 23, 49, -38, -16, 40, 16, 35, -47, 16, 88, 46, -32, -26, 49, -41, 49, 28, 210, 220, 44, 26, 63, -29, -20, 26, 48, 30, -110, 294 },
{ -28, 29, -27, 32, -13, -12, 39, 21, -42, -8, 18, -12, 25, 5, 34, -30, -24, 26, 19, -15, 45, -44, 67, 62, -57, -40, 52, 16, -13, 42, 96, 186, 86, 68, 47, 39, -34, 44, 25, -37, 44, 303 },
{ -34, 30, 57, -34, 32, -33, 28, 58, -69, -38, 16, -16, 18, -11, 62, -58, -13, 27, -11, 46, -31, -25, 134, 53, 67, -38, 49, 14, 11, 10, 120, 234, 98, 57, 76, -50, -23, 46, 11, -35, 20, 243 },
{ -17, -17, 30, -21, -25, 24, 52, 21, -33, -15, 33, 22, -34, 28, -13, 31, -36, 22, 25, -37, 54, -28, -6, 38, -68, -46, 37, 17, -29, 78, 106, 113, 43, 44, 46, -17, -22, 96, 57, -62, 100, 354 },
{ -23, 56, 46, -49, -36, 45, -23, 50, -56, -13, 19, 23, -29, 44, 75, -124, -21, 42, 28, 22, -9, -29, 24, 70, 80, -23, 27, 12, -16, 26, 56, 207, 218, 64, 91, -38, -42, 52, 13, -26, 17, 267 },
{ -20, 54, -11, -31, -42, 87, -21, 46, -65, -34, 24, 51, -18, 67, 89, -148, -42, 62, 33, 45, -13, -39, -46, 221, 160, 47, 22, 16, -14, 87, -27, 213, 291, 77, 86, -73, -46, 47, -12, -33, -66, 211 },
{ -14, -24, 35, -34, -19, 19, 49, 27, -29, -8, 17, -12, 25, -19, 55, -37, -46, 33, -3, -6, 59, -31, -25, 55, -81, -60, 67, -53, 87, -75, 112, 67, 64, 34, 78, -29, -22, 129, 45, -28, 41, 437 },
{ -21, -14, 44, -35, 54, -18, -23, 52, -38, -29, 32, 35, -29, 35, 59, -55, -47, 27, -23, 35, 27, -51, 23, 70, -97, -69, 55, 28, 21, -68, 76, 121, 131, 58, 54, 124, -45, 83, 44, -43, 32, 376 },
{ 15, -23, -50, 55, 21, 36, 3, 43, -85, -23, 17, 20, -19, 42, 105, -144, -32, 19, 44, 25, 38, -34, -21, 21, 60, -27, 20, 9, 33, -42, 33, 142, 223, 121, 63, 138, -83, 49, -12, -28, 22, 316 },
{ 16, -57, 57, -59, 47, 50, -13, 56, -47, -32, -17, 42, 24, 93, 52, -162, -11, 62, 30, -26, 37, -26, -45, 114, 122, -23, 50, 15, 43, 90, -74, 136, 276, 175, 157, 62, -103, 64, -20, -103, -29, 253 },
{ -21, 47, 64, -35, -20, -32, 41, 66, -73, -41, 23, 28, 60, 65, 103, -198, 48, -23, 41, 43, -61, 34, 55, -113, 358, -17, 68, -17, 19, 83, 92, 122, 269, 216, 115, -137, -56, 116, -70, 60, -128, 211 },
{ -13, -20, 27, -26, -23, 15, 75, 16, -22, -28, 33, 19, -17, 14, 37, -41, -72, 64, 22, -35, 60, -24, 34, 48, -120, -154, 155, -47, -32, 48, 117, -78, 112, 51, 16, 45, 102, 47, 72, 39, 76, 429 },
{ -12, -32, 40, -22, 45, -12, 59, 26, -48, -8, -11, -16, 37, 49, 72, -100, -33, 24, 35, 25, -33, 28, -24, 72, -146, -121, 68, -9, -38, 72, -46, 122, 81, 86, 150, 147, -39, 124, 54, -55, 110, 329 },
{ -24, 59, 46, -47, -42, 42, 48, 37, -42, -44, 55, -12, 23, 45, 81, -148, -68, 55, 27, 33, 22, -16, 27, -59, 63, -68, 73, -26, -19, 58, -48, 74, 142, 197, 98, 221, -85, 86, 16, -29, 73, 250 },
{ 6, -15, -25, 89, -25, 104, -28, 86, -84, 29, -18, 77, 47, 42, 135, -257, -42, -41, 41, 58, 114, -16, -21, -51, 131, -86, 21, 56, -22, 87, 58, 116, -159, 171, 369, 339, -126, 104, -34, 12, 182, 109 },
{ -18, 38, -47, -65, 51, 46, 14, 21, 75, 44, -39, -90, -17, -23, 118, -111, 20, -37, 96, -37, 43, -66, 93, -309, 251, -37, 36, 37, -35, 183, 66, 105, 223, 248, 398, -62, 44, -53, 65, -197, 72, 182 },
{ -21, -29, 35, -16, 10, 71, -40, 73, -77, 31, -35, -13, 31, 25, 43, 46, 25, -47, 39, 52, -21, -29, 146, 67, -78, -41, 33, 16, 46, -20, 149, 282, 68, 39, 53, 30, -27, 52, -18, 33, -83, 245 },
{ -33, -19, 81, -47, 54, -17, 22, 57, -120, 62, -63, 29, 9, 84, 37, 146, -44, 16, 28, 87, -79, -30, 249, 78, -49, 19, 53, -27, 63, -29, 75, 360, 52, -26, 73, -47, -37, 17, 11, 27, -76, 130 },
{ -32, 40, 30, -51, -45, 72, -33, 107, -141, 22, -33, 21, 54, 31, -14, 104, 51, -35, 27, 25, -25, -64, 192, 85, 97, -34, 41, 27, 57, -37, 80, 303, 162, 31, 52, -108, -38, 66, 17, -15, -78, 195 },
{ -39, 72, 41, -44, 11, -36, 52, 56, -162, -23, 38, -43, 44, 85, -87, 242, 64, 16, 68, 67, -109, -36, 272, 179, -174, -22, 28, -55, 43, 130, 59, 334, 98, -124, 107, -50, 13, -29, 35, 95, -82, 105 },
{ -43, 36, 42, -41, 58, -34, -24, 109, -159, 35, -49, 108, 34, -25, -123, 167, -26, 25, 38, -35, 88, -127, 307, 210, -24, 37, -50, 26, 61, 122, 102, 364, 183, -92, 61, -93, -37, 23, 67, -14, -101, 115 },
{ 20, -55, 51, -67, -24, 57, 24, 100, -61, -14, 33, -13, -30, 84, 60, -147, -50, 47, 60, 25, 56, -87, 83, 164, 211, 34, 24, -28, 51, 66, 57, 241, 278, 44, 87, -171, -16, 80, 26, -25, -70, 141 },
{ 16, -57, 48, -75, 82, 37, 30, 53, -104, -44, 81, -41, 80, 140, -156, 152, 18, -20, 128, -100, 84, -169, 128, 363, 175, 18, -29, 46, 54, 160, 44, 258, 244, -97, -75, -122, 56, -27, 70, 72, -118, 180 },
{ 43, -44, 77, -38, -41, -52, 64, 143, -161, 21, 104, -38, 64, 68, -82, 57, 26, -28, 49, 49, 145, -91, 103, 214, 285, -12, -29, 35, -56, 108, -98, 215, 312, -96, 182, -176, 123, -51, 87, 16, 38, 60 },
{ -38, 86, 46, 58, -29, 41, -37, 103, -175, 38, -29, -74, 97, 120, -137, 455, 25, 67, 106, -55, 19, 25, 214, 77, -121, -41, -85, -71, 84, 123, 119, 186, 145, -105, 88, -101, 79, 28, 86, 143, -53, 158 },
{ -67, 48, 45, 95, 95, -54, -48, 118, -175, -28, 20, -72, 133, 70, -180, 328, 106, -9, 43, 41, 30, -110, 221, 269, 155, 45, -42, 111, 47, 50, 115, 232, 173, -161, 60, -104, -38, 86, -80, -46, 117, -79 },
{ -11, -18, 34, -16, -19, 25, 35, 15, -17, 45, -12, -12, 74, -17, 37, -9, -16, -18, 16, 25, -97, 57, -26, 46, -24, -23, 39, -3, 27, 84, 218, 134, 44, 9, 43, -18, -14, 48, -24, 102, -94, 321 },
{ -15, -25, 36, -17, 35, -32, 64, -16, -11, -16, -24, 16, 33, 32, 37, -30, -26, 44, 10, 41, -87, 37, 42, 57, -40, 27, -43, 21, 11, 36, 175, 185, 69, 26, 34, 49, -26, -17, 57, 53, -102, 341 },
{ -12, -17, 32, -23, -9, -8, 56, 21, -20, -10, -13, 9, 69, 10, -22, 35, -17, 33, 16, 25, -85, 39, 29, -33, -23, -28, 24, -23, 22, 31, 193, 121, 44, 32, 21, -15, -15, 77, 15, 105, -97, 398 },
{ -13, -17, 43, -36, 31, -46, 49, 22, -34, -21, 36, 9, 47, -21, 55, -42, -32, 17, 29, 20, -69, 14, 68, 101, -32, 17, -25, 20, 8, 31, 137, 248, 128, 38, 80, -16, -23, 45, -21, 58, -69, 273 },
{ -14, -12, 22, -18, -17, -6, 75, 19, -27, 9, -11, 21, -19, 14, 39, -14, -18, 15, 8, -36, 64, -53, 14, 12, -31, -37, 17, -23, 21, 52, 97, 103, 46, 16, 27, -15, -19, 90, 34, 74, -80, 410 },
{ -15, -15, 27, -17, 24, -28, 18, 42, -23, -20, 19, 20, -23, 8, 56, -38, -23, 57, 10, -26, 46, -43, 29, 46, -43, -22, 42, -33, 33, 36, 88, 177, 118, 22, 57, 37, -27, 64, -14, 63, -83, 369 },
{ -13, -14, 43, -38, 20, -31, 47, 20, -28, -33, 61, 22, -36, 47, 47, -86, -12, 12, 32, -17, 43, -30, 22, 28, 64, -16, 24, -18, 34, 51, 72, 184, 218, 54, 103, -33, -23, 52, -30, 34, -56, 326 },
{ -23, 35, 52, -31, -24, 59, 20, -22, -42, -33, 36, -18, -7, 64, 78, -114, -32, 73, 10, 63, -19, -35, 37, 99, 151, 26, -23, 30, 30, 12, 49, 241, 256, 101, 73, -81, -18, 33, 18, -36, -67, 192 },
{ -11, -17, 16, -16, -19, 25, 62, 29, -37, -16, 10, 16, -9, 17, 17, -21, -24, 20, -19, 17, 65, -55, 21, 28, -55, -62, 51, -25, 40, -39, 99, 74, 43, 16, 67, -45, 49, 25, 78, -43, 77, 436 },
{ -14, 19, -37, 14, -10, 63, 16, -15, -19, -20, 12, -8, 39, 9, 36, -36, -16, 60, 15, -32, 70, -42, 60, 44, -94, -50, 37, -34, 38, 57, -47, 172, 106, 62, 43, 97, -50, 42, 68, -43, 56, 378 },
{ -21, -11, 31, -25, 9, 41, -21, 19, -24, 43, -17, 14, 23, -14, 56, -87, -42, 78, 33, 4, 32, -6, -40, 100, -45, -18, 29, 9, 13, 69, -38, 145, 239, 92, 68, 120, -64, 22, -34, -27, 50, 320 },
{ 7, -22, 25, -21, -17, 15, -10, 51, -52, 53, -26, 24, 49, 24, 85, -181, -30, 118, 26, 74, -36, 9, 59, -66, 162, -20, 34, -31, 40, 137, -60, 141, 239, 239, 179, -68, -58, 45, -33, -35, -33, 216 },
{ -5, -19, 15, -18, -18, 11, 70, 29, -33, -20, 18, 16, -9, 18, 18, -20, -29, 39, 10, -15, 72, -35, 48, 16, -74, -105, 73, -31, 27, -29, 76, 135, -60, 87, 51, -40, 72, 87, 41, 63, 76, 409 },
{ -13, -13, 34, -29, 38, -13, 60, 26, -43, -13, -28, 24, 73, 23, 58, -105, -22, 30, 7, 29, 60, -38, -16, 72, -79, -31, 46, 19, 8, -49, 55, 61, 157, 234, 81, 213, -92, 81, 25, -43, 52, 312 },
{ 59, -24, 14, -25, -12, 60, 18, 71, -104, -12, -10, 46, 7, 48, 145, -200, -35, 62, 42, -34, 57, 96, -121, -25, 105, 26, -20, 25, 46, 131, -72, 38, 255, 255, 235, 89, -124, 71, -17, -24, -50, 265 },
{ 19, 5, -7, -30, -31, 39, 95, 25, -10, -60, 30, -16, 23, 17, 32, -57, 45, -28, 32, 39, 43, 30, 52, 51, -132, -214, 104, -48, 47, -18, 97, 59, -55, 81, 23, 45, 197, 61, 107, 76, 190, 277 },
{ -9, -22, 64, -56, 47, 68, -15, 37, -35, -25, -8, 40, 66, -18, 49, -52, -44, -23, 60, 57, -28, 34, 68, 74, -209, -150, 76, 51, -56, -28, 90, 30, 68, -87, 286, 177, 146, -79, 114, 33, 186, 266 },
{ 24, -33, 80, -15, 12, -5, 7, 87, -24, -35, 13, 43, 39, 28, 57, -72, -16, -12, 46, 16, 37, -40, 74, 130, -209, -72, 58, 22, -39, 83, 18, 46, 43, 256, -115, 399, -143, 139, 72, 28, 134, 213 },
{ -17, -25, 44, -14, 19, -8, -33, 79, -35, 15, -45, 51, 25, 31, -27, 57, -19, -29, 40, 30, -103, 50, 57, -24, -38, 18, -27, 53, 11, 56, 237, 199, 68, 58, 9, 44, -28, 21, -17, 67, -110, 278 },
{ 8, -32, 43, -24, 43, -8, -23, 96, -43, -15, -46, 47, 52, -17, 89, -36, -29, 63, 13, 60, -118, 33, 93, 85, -40, 40, -42, 26, 29, 47, 142, 300, 69, 13, 69, -9, -35, 56, -7, 46, -116, 238 },
{ -20, 29, 65, -18, -16, -39, 37, 34, -97, 21, -38, 32, 61, -25, 57, 153, -27, 79, 18, 42, -105, 36, 195, 83, -88, 33, -28, -40, 64, 98, 106, 398, 39, 31, 54, -18, -35, 20, 30, 43, -126, 93 },
{ -18, -21, 40, -29, 29, 60, -42, 64, -91, -17, -35, 14, 62, 30, -42, 131, -16, 51, 10, 57, -66, -34, 195, 127, -77, 33, -38, 8, 41, 55, 84, 365, 80, 65, 51, -47, -17, -14, 54, 36, -105, 157 },
{ -25, 44, -33, 47, 38, -37, 57, 25, -93, -34, 91, -19, 45, 48, -74, 85, -25, 23, 23, 31, -82, 23, 108, 90, 75, 21, -41, 18, 27, 78, 45, 305, 185, 37, 94, -97, -20, 40, -14, 50, -77, 165 },
{ -33, 19, 100, -26, -47, 41, -33, 91, -139, 42, -33, -39, 51, -70, 19, 346, -10, -31, 86, 78, -70, -45, 251, 108, -127, 66, 22, 66, -29, 157, 104, 449, 27, -77, 134, -21, -41, 31, -69, 91, -67, 53 },
{ -24, 23, 18, -33, 22, -29, 94, 57, -101, -44, 46, -49, 56, 70, -120, 89, -27, 97, -33, 37, 58, -152, 273, 229, 58, 65, -27, -22, 69, 135, -36, 374, 259, -102, 85, -116, -23, 52, 19, 56, -147, 172 },
{ 67, -53, 44, -43, -33, 82, -50, 126, -225, 51, -33, 118, 33, 28, -148, 402, 56, 66, -77, 82, 66, -91, 268, 143, -253, -66, -31, -72, 87, 179, 181, 373, 146, -159, 72, 125, 35, -18, -38, 88, -70, 175 },
{ -33, 98, -21, 34, 12, 36, -26, 123, -168, 20, -34, 44, -54, 150, -248, 270, -17, -25, -26, 75, 58, -108, 238, 250, -159, 19, 29, 11, 43, 135, 166, 299, 210, -148, 112, -30, -17, -55, 69, 72, -80, 179 },
{ -8, -20, 30, -16, 9, -22, 71, 12, -17, 19, -39, 19, 47, -22, -22, 23, -9, 30, -17, 42, -123, 35, 50, -26, -10, -21, -14, -13, 35, 93, 245, 127, 48, -23, 17, -29, 15, 40, 64, 66, -108, 259 },
{ -14, 25, -18, 15, -22, -10, 39, 34, -26, 23, -20, 11, 40, -10, -24, 72, 10, -36, 13, 53, -132, 42, 41, -18, -30, -23, 39, -7, 38, 47, 210, 214, 34, 38, 61, -11, -13, 42, -30, 80, -84, 283 },
{ -4, -16, 19, -20, -11, 20, 56, 22, -16, 10, -12, 3, 36, 16, -24, 17, 12, -42, 41, -75, 100, -58, 36, -14, -13, -31, -12, 26, -42, 136, 72, 204, 49, -13, 24, -22, 30, 19, 59, 102, -59, 291 },
{ -6, -12, 25, -22, 25, -29, 48, -9, 30, -13, -24, 22, 77, -13, 3, -22, 20, -27, 30, 60, -96, 80, -6, 47, -31, -24, 17, -20, 36, 35, 161, 206, 61, 13, 84, -8, -17, 45, -51, 74, -85, 312 },
{ -11, -15, 31, -22, 34, -43, 32, 60, -16, -11, -13, 48, 37, -21, 26, -42, -32, 49, 13, 26, -120, 52, 55, 79, -32, 9, 67, -33, 12, 57, 167, 229, 105, 41, 92, -20, -25, 40, -64, 52, -95, 281 },
{ 5, -15, 49, -26, -21, 8, 59, 9, -13, 11, -8, -8, 12, -5, 37, -11, -6, -16, 14, -29, 75, -40, -5, 24, -23, -18, 7, -28, 42, 19, 57, 104, 33, 20, 10, -15, -12, 51, 26, 114, -127, 421 },
{ -7, -19, 20, -12, 12, 7, -17, 51, -16, -14, -7, 34, 3, 22, 23, -17, -20, 61, 15, -29, 54, -66, 27, 27, -39, 12, -29, -10, 13, 37, 93, 169, 102, 50, -14, 62, -22, -10, 37, 75, -91, 388 },
{ -10, -13, 29, -23, 17, -27, 51, 31, -10, -30, 87, -14, 32, -29, 21, -51, 21, -25, 63, -19, 84, -52, 23, 67, -25, -25, 36, -12, 13, 50, 64, 209, 177, 64, 112, -28, -16, 37, -53, 87, -71, 334 },
{ -9, 19, 11, -16, -13, -23, 77, -13, -25, -13, 24, -17, 40, 46, 37, -128, -25, 73, 19, 76, -55, -20, 42, 83, 181, 22, -32, -8, 32, 59, 82, 265, 223, 104, -34, -48, -17, 72, -12, 48, -98, 225 },
{ 2, -17, 11, -17, -19, 24, 69, 16, -27, -11, 5, 6, 38, -20, 28, -17, -13, 31, -8, -23, 77, -35, 42, -13, -30, -39, 18, -20, 29, 67, -29, 109, 35, 32, 23, -22, -21, 94, 39, 112, -90, 427 },
{ -6, -10, 14, -9, -13, 28, 52, 27, -34, 14, -18, 23, -18, 52, 26, -29, -17, 76, -16, 45, 23, -55, -20, 83, -59, -35, 21, -23, 71, -31, 65, 109, 144, 30, 30, 67, -25, 26, 18, 89, -67, 445 },
{ -12, -6, 17, -14, -20, 34, -27, 49, -32, 83, 27, -51, 24, 40, 14, -50, -33, 94, 74, 3, 57, -39, 21, -84, 83, -16, -14, -17, 19, 112, 34, 130, 201, 129, 165, -36, -22, -12, 35, -68, 47, 358 },
{ -7, -10, 21, -23, 54, -28, 5, 65, -36, 124, -25, 34, -56, 26, 44, -140, -34, 182, 87, 45, 39, -30, -60, 59, 85, -34, 28, -30, 125, 117, 7, 194, 197, 158, 107, -70, -36, 18, -46, -35, -31, 240 },
{ -4, 29, 25, -29, 60, -59, 91, 30, -79, -17, 7, 85, 98, 58, 30, -157, -24, 24, 21, 44, 96, -71, 47, -59, 279, -24, 91, 30, -53, 148, 126, 168, 200, 234, 179, -144, -41, 48, -84, 35, -57, 203 },
{ 4, -11, 32, -24, -26, 15, 98, 6, -11, -18, 6, -7, 13, 13, 15, -20, -12, 33, -30, 27, 87, -21, -15, 17, -51, -69, 45, -60, 70, -52, 95, 96, -22, 69, 51, -26, 51, 71, 72, 60, 97, 421 },
{ -9, 8, 19, -28, -13, 11, 26, 72, -34, -23, 40, -9, 62, -9, 34, -29, -10, 15, -33, 39, 98, -13, -43, 62, -95, -43, 14, 27, -43, 90, -39, 108, 120, 97, 39, 149, -38, 125, -35, 53, 127, 354 },
{ 22, 13, -33, 35, -18, 69, 43, -26, -34, -20, 100, -28, 14, 78, 54, -79, -32, 34, 31, 77, 16, -19, -21, 72, -116, 16, -49, 52, -50, 133, -42, 69, 187, 196, 82, 208, -77, 56, 16, -41, 77, 354 },
{ -3, 49, 15, -26, -24, 27, 13, 54, -51, 11, 18, 69, -43, 26, 129, -203, -14, 120, -24, 104, 133, -29, -45, -92, 80, -44, 70, -13, 118, 63, 126, -100, 267, 308, 205, 65, -116, 38, -106, 30, -81, 343 },
{ 70, -52, -6, -18, -15, 102, 34, -36, 62, -40, 23, -38, 47, -37, 44, -48, -29, 35, 46, 13, 77, 45, 45, 58, -127, -180, 61, -31, -38, 90, 38, 71, -30, 78, 68, -35, 256, -34, 162, 104, 199, 275 },
{ -5, -10, 38, -34, 81, -28, -13, 58, 56, -74, 69, 22, 61, -38, 48, -53, -24, 30, 108, -35, 32, 17, 65, 134, -238, -130, 103, -92, -51, 107, 35, 64, 135, -109, 172, 166, -92, 229, 77, 121, 143, 259 },
{ -13, 28, -15, 10, -12, -30, 60, 30, -41, 28, -29, 27, 28, 83, -46, 108, -20, -20, 51, 57, -154, 30, 91, -32, -34, 24, -20, 38, 33, 28, 225, 247, 87, 92, -15, 44, -20, 47, -17, 48, -125, 221 },
{ -24, 31, 8, 26, 11, -42, -21, 28, -63, -31, 64, 28, 113, 22, -44, 147, 30, -38, 9, 38, -149, 46, 176, 44, -79, -20, 59, 24, 51, 64, 154, 396, 35, 41, 95, -9, -13, 25, -54, 60, -97, 162 },
{ -24, 60, 40, -27, 46, -40, -27, 49, -74, -26, -40, 48, 89, 29, -58, 90, 12, -16, 66, 10, -86, 18, 127, 124, -71, 21, -31, 13, 57, 56, 144, 285, 134, 94, 37, -17, -19, 41, -16, 68, -122, 197 },
{ 9, -23, 16, -21, 13, 15, -32, 51, -28, -22, 50, 35, 57, -27, 67, -76, -26, 50, 8, 87, -49, -44, 109, 115, -43, 36, -57, 19, -34, 104, 99, 283, 157, 109, 73, -44, -28, 24, 60, 13, -100, 200 },
{ -24, 33, 26, -29, -37, 29, -35, 94, -127, 19, -52, 115, -18, 58, -56, 127, 90, -24, -33, 52, -51, -92, 304, 118, -94, -32, 32, 99, 38, 120, 103, 489, -61, -32, 159, -26, -10, 19, -36, 43, -61, 156 },
{ -49, 70, 69, -24, 16, 39, -39, 78, -121, -37, 90, -48, 58, 24, -81, 168, 21, -41, 105, 22, -27, -88, 230, 151, -59, -15, -20, -58, 35, 160, 121, 362, 149, -85, 68, -38, 10, 35, 22, 43, -92, 147 },
{ 12, -17, -18, -32, 72, 33, 63, 26, -79, -11, 15, -48, 101, 47, 44, -154, -31, 56, 30, 29, 65, -67, 58, 221, 264, -12, 17, 19, 24, 97, -68, 312, 242, 25, 57, -127, -18, 117, -22, 71, -103, 198 },
{ 38, -48, 75, -57, 43, -21, -81, 127, -149, -30, 61, 68, 52, 128, -137, 218, 6, 8, 57, -111, 72, -137, 309, 108, -149, -49, 24, -72, 66, 200, 163, 428, 50, -78, 155, 49, 62, -35, -32, 123, -112, 169 },
{ -28, 25, -38, 74, 65, 40, -48, 102, -79, -45, -14, 61, -48, 92, -166, 133, 90, 45, -13, 72, 129, -156, 246, 279, 113, -46, 12, -65, 59, 42, 107, 341, 235, -127, -107, -41, 101, -27, 77, 46, 129, -55 },
{ 42, -23, -64, -47, -48, 104, 175, -12, -84, -22, 78, -36, 62, 63, 70, -96, 22, 41, 90, -40, 178, -62, -109, 438, 236, -20, -33, -50, 68, -63, 155, 156, 359, -111, 148, -169, 69, 38, 63, -57, 116, 83 },
{ 50, -35, 24, -39, 9, 30, -4, 53, -118, 11, 23, -43, 112, -16, 115, -153, -24, 7, -7, 40, 52, -53, 131, 97, 325, 43, 101, 9, -16, 52, 39, 175, 213, 209, -212, 212, -56, -40, 24, -51, 67, 176 },
{ -44, 104, 35, 87, 29, -54, -40, 54, -50, 41, 27, 27, -70, 144, -155, 233, -32, 49, -58, 104, 50, -118, 265, 462, -119, -39, 24, -21, 63, 162, 233, 293, 156, -202, 100, -44, 154, -49, 99, -35, 55, -96 },
{ 32, -17, 16, -22, 5, -14, 68, 18, -13, 10, 25, -38, 71, -25, -21, 30, 8, -5, -25, 57, -119, 83, 52, -22, -12, -28, -12, 61, -59, 68, 230, 156, -82, 34, 13, -24, 39, 22, 103, -40, 83, 202 },
{ -9, 11, -16, 14, -19, 31, 41, 33, -21, 17, -7, 11, -28, 36, -17, 20, 13, -24, 48, -50, 104, -79, 90, -38, -11, -23, 53, -15, 49, 56, 176, 233, 52, 46, 62, -14, -9, 33, -27, 53, -126, 290 },
{ 24, -10, 14, -18, -8, -9, 68, 23, -17, 16, -12, -6, 23, 36, -17, 21, 11, -20, 47, -55, 140, -70, 53, -41, 9, -32, -4, -21, 38, 54, 117, 133, 42, 23, -4, -27, 11, 86, 18, 164, -129, 337 },
{ -5, -12, 18, -10, 25, -8, 53, 3, -7, 13, -24, 24, 60, -15, 33, 28, -19, 16, -24, 24, -83, 99, -48, 26, -31, 17, -10, -23, 36, 50, 152, 201, 70, 50, 50, 8, -19, 59, -17, 122, -107, 342 },
{ -12, -8, 22, -12, 6, -9, 39, -9, 41, 20, -27, 12, 64, -19, 44, -16, -25, 12, 14, -20, -67, 46, -62, 116, -23, 11, 43, -36, 95, 39, 152, 197, 109, 85, -36, 35, -19, 11, 66, -31, -74, 298 },
{ 3, -15, 8, -9, -15, -4, 79, 11, -17, 14, -18, 40, 44, -4, -15, 20, 12, -30, 44, -35, 93, -43, 48, -37, -9, -21, -18, -7, 53, 59, 79, 134, 20, 55, -10, -23, 24, 56, 29, 174, -121, 372 },
{ -4, -11, 14, -10, 15, -14, 41, 8, -13, -7, -19, 50, 27, -10, 22, 8, 14, -14, 11, -28, 91, -73, 71, -38, -18, -15, 59, -25, 49, 50, 78, 185, 72, 53, -20, 66, -25, 37, -39, 77, -116, 413 },
{ 33, -16, 16, -15, 14, -13, 20, -27, 7, -17, 3, 5, 50, -8, 50, -25, 21, -21, 33, -17, 107, -72, -27, 111, -33, -26, 14, 32, -31, 112, 88, 232, 128, 68, 101, -23, 10, 42, -46, 44, -86, 337 },
{ -9, 62, 9, -14, 8, -20, 67, -19, -23, -18, 63, -7, 7, 21, 26, -77, -23, -7, 19, 42, 104, -76, 24, 34, 128, 34, -17, 35, -35, 143, 82, 217, 205, 100, 76, -52, -31, 7, 24, -59, -40, 267 },
{ 5, -19, 80, -20, -24, 50, 4, 76, -32, 18, -20, -8, 61, 29, -22, 18, 16, -25, 55, -18, 99, -36, 25, -24, -19, -30, -15, -17, 80, 24, 45, 90, 71, 12, 57, -32, -12, 90, 76, 100, -144, 459 },
{ -14, 5, 43, -10, -11, -12, 36, 7, -13, 13, -24, 23, -20, 23, 37, -18, -24, 13, 79, -31, 99, -39, -49, 81, -45, -20, 24, -53, 41, 45, 51, 142, 99, 94, 14, 55, -18, 82, -37, 95, -74, 444 },
{ -7, 10, 47, -11, -9, -25, 7, 46, -25, 83, 22, -36, 17, -25, 26, -20, -40, 32, 79, 26, 56, -45, -62, 63, -47, 19, -19, -32, 98, 105, 36, 179, 179, 89, 21, 96, -22, -24, 75, -95, 68, 362 },
{ -14, 56, 10, -28, 95, -56, 31, -33, -18, 177, -17, -15, 55, -52, 102, -139, -23, 124, 146, 40, 40, -43, -114, 58, 42, -62, 38, -23, 115, 273, 36, 183, 237, 118, 99, -86, -6, 20, -79, -53, 46, 275 },
{ -15, 71, -6, -55, -26, 43, 110, -22, -57, 101, -43, -39, 52, 89, 92, -195, -40, 172, 176, -40, 105, -36, -71, 83, 118, -71, 91, -34, 188, 71, 153, 105, 313, 174, 127, -132, 59, -40, -94, 75, -92, 229 },
{ 5, -12, 10, -12, -26, 10, 117, -13, -9, -20, 35, -19, 46, -9, 34, -29, -23, 32, -23, 17, 89, 46, -52, 17, -32, -32, -19, 42, -74, 69, 82, 84, 22, 42, 19, -21, -10, 148, 33, 119, 73, 408 },
{ -3, -9, 23, -18, 44, -28, 52, 57, -26, -19, 14, 20, -15, 70, -22, 27, 27, -32, 24, -14, 110, -14, -52, 89, -97, -35, 49, -9, -52, 95, 43, 37, 166, 65, 50, 123, -40, 34, 117, -33, 116, 434 },
{ 3, -12, 83, -14, 12, -17, 66, 31, -47, -28, 49, -2, 59, -12, 33, -28, -21, 50, 8, 26, 22, 43, -64, 98, -103, 10, -18, 25, -35, 130, -21, 103, 195, 119, 118, 170, -35, -50, 108, -40, 84, 370 },
{ 6, -23, 12, -43, 68, 16, -69, 69, -23, 25, 47, -65, 29, -69, 147, -168, -23, 168, 136, 62, 74, 64, -72, -170, 110, -76, 67, -39, 80, 282, 32, 109, 151, 268, 197, -74, -23, -29, -151, 112, 66, 279 },
{ -19, 80, -47, -62, 40, 100, -116, -30, -47, 188, 182, -98, 28, -126, 194, -272, -60, 99, 288, 76, 118, -37, 72, -262, 318, -123, 40, 112, 42, 267, 116, -76, 299, 274, 246, -121, -41, -29, -117, 80, -37, 198 },
{ 110, -10, -14, -13, -24, 89, 54, 41, -40, -42, -58, 21, 46, -33, -31, 41, 62, -31, -30, 107, 54, 34, 108, -40, -91, -133, -45, 42, -51, 77, 102, 111, -31, -23, 128, -79, 219, 42, 74, 102, 234, 305 },
{ -3, 5, 55, -13, -1, -5, 71, 23, -36, -20, -15, 57, 14, 48, -96, 70, -29, 73, -37, 124, -37, 40, 60, 115, -207, -55, 77, -60, -44, 92, 61, 48, 101, -68, 157, 134, -77, 206, 58, 74, 205, 296 },
{ 89, -15, 21, -26, -20, 66, 11, 85, -13, -78, 100, -41, -22, 62, 83, -65, 23, 36, -32, 32, 103, -34, 28, 130, -185, -42, 30, -29, -11, 104, 34, 67, 80, 192, -50, 330, -137, 145, 46, 63, 127, 234 },
{ 6, -20, 146, 8, -22, 70, 21, 23, -43, -25, 41, -31, 95, 11, 156, -218, -16, 26, -26, 82, 67, 90, -70, -141, 104, -49, 131, -103, 104, 15, 21, 32, 149, 102, 384, 256, -101, 84, -100, 73, 97, 235 },
{ 5, -18, 11, -12, 14, -18, 47, 23, -14, 14, -28, 12, 37, -11, -29, 109, -21, 45, 6, 59, -121, 143, 31, -25, -17, 17, -15, 20, 39, 52, 193, 241, 101, -14, 85, -9, -14, 12, -16, 41, -123, 230 },
{ 3, -9, 15, -25, -12, 7, 30, 48, 64, 11, 46, -30, 29, -28, -18, -24, 8, -37, 35, 35, -116, 105, 25, 88, -17, -16, 14, 52, -30, 82, 182, 268, 69, 21, 83, -27, -10, 40, -49, 87, -78, 257 },
{ -17, 27, 25, -12, 22, -17, -26, 63, -34, -14, -15, 47, 50, 62, -65, 171, 16, -22, 21, 24, -133, 32, 147, -35, -47, -10, 15, 61, -6, 127, 162, 336, 75, 36, 78, -11, -15, 31, -40, 42, -137, 186 },
{ 4, -20, 21, -17, 42, -12, -9, 38, -22, 14, -20, 69, 29, 29, -39, -30, -23, 27, 16, 9, -150, 112, 95, 219, -39, 29, -8, -16, 93, 113, 206, 253, 176, -68, 136, -9, -21, 52, -25, 57, -137, 227 },
{ 6, -20, 9, -16, 43, -10, 16, -25, 57, 9, 90, -16, 28, 63, -27, -62, -17, -27, 67, 71, -103, 89, 42, 63, 118, 21, -29, 21, -20, 66, 122, 260, 139, 68, -56, -29, -15, 16, 73, 72, -106, 195 },
{ -7, -10, 21, -12, 9, 63, -22, 34, -18, -32, 65, -22, 28, 14, 68, -93, -23, -6, 57, 80, -34, -39, 29, 70, 159, 30, -22, 20, 6, 130, 73, 196, 231, 107, -34, -42, 73, -25, 12, 101, -127, 185 },
{ -19, -28, 30, -14, 85, 53, -34, 75, -65, 17, -48, -37, 98, 84, -42, 162, -15, 75, 37, 21, -117, -70, 215, 69, -83, -13, 34, -23, 72, 62, 127, 413, 34, -39, 84, -13, -12, 24, -34, 84, -74, 256 },
{ -13, 8, 16, -8, -19, 93, -30, 46, -67, 7, 20, -34, 41, 111, -88, 175, -23, 68, -7, 22, -60, -64, 205, 106, -90, 26, -25, -39, 49, 176, 90, 368, 119, 104, -17, -13, -22, 19, 67, 58, -112, 109 },
{ 13, -22, -7, -28, 96, 23, 93, 33, -70, -24, 81, -36, 78, 15, 124, -62, -37, 107, -12, 40, -43, -109, 136, 207, -49, 32, -46, 46, 17, 188, 73, 285, 212, -49, 130, -46, -13, 9, 25, 23, -120, 133 },
{ 32, -23, 35, -31, 20, -32, 24, -18, -20, 56, 90, -25, 75, 59, 44, -159, -34, 14, 139, 36, 41, -48, 47, 163, 265, 23, -40, 25, -10, 107, 73, 268, 260, 45, 113, -115, -24, 37, 22, -27, -90, 184 },
{ -3, 110, -20, -25, 20, 12, 104, -20, -20, -9, -12, 65, 25, 23, 67, -181, -36, 14, 68, 46, 51, -41, -12, 48, 248, 82, -9, -14, 50, 53, 92, 235, 260, 85, 186, -142, -24, 66, -47, 71, -44, 238 },
{ 21, -38, 34, -16, 11, 77, -62, 87, -96, 25, -20, -43, 41, 89, -150, 166, 74, 22, 84, 30, 95, -105, 275, 108, -143, -18, 32, -43, 30, 81, 276, 405, 42, -86, 46, 144, -18, 11, -92, 154, 54, 164 },
{ 65, -37, 14, -25, -8, 134, -18, 49, -92, 71, 58, -74, 82, 137, -145, 132, -9, 62, -21, 25, -38, -53, 184, 249, -172, 25, -28, -14, 44, 131, 198, 367, 161, -152, 202, 30, -55, -46, 37, -37, 47, 151 },
{ -16, 54, 87, 59, 4, 10, -24, 31, -54, -18, 27, -50, 79, 95, -171, 106, -19, 102, -25, 39, 142, -124, 195, 290, -43, 100, -28, -18, 46, 158, 112, 312, 290, -151, 162, -77, 24, -64, 47, 22, -69, 243 },
{ 35, 37, -19, -57, -42, 25, 196, -38, -55, 93, 13, -50, 79, 51, 107, -159, 69, 56, -40, 142, 64, -110, 78, 248, 206, -17, -40, -28, 68, 99, 132, 215, 315, -81, 249, -170, 182, -66, 119, -89, -66, 223 },
{ -9, 110, -25, -30, -51, 119, -12, 85, -135, 86, 19, 50, 40, 83, -134, 310, -34, -43, -53, 45, -14, -93, 283, 95, -153, 57, 53, 97, 206, 152, 122, 298, -55, -54, 137, 124, 51, -57, -78, -137, 102, 316 },
{ -35, 330, -39, 78, -147, 19, -21, 39, -107, 5, -72, 72, 32, 127, -271, 226, 16, 73, -9, -63, -75, 204, 181, 312, -186, 76, -44, -39, 83, 212, 149, 343, 167, -137, 197, 26, 20, -88, 97, 26, 105, 58 },
{ 33, -38, 239, -73, -98, 103, -65, 42, -138, 107, 69, -94, 146, 224, -152, 131, 59, -93, -72, 114, 19, 80, -105, 409, 264, 96, 56, -84, 56, 135, 92, 198, 194, -235, -174, 135, -16, 236, -147, 87, 125, 119 },
{ 37, -16, 8, -10, 7, -4, 57, 24, -14, 7, -13, 21, 57, 14, 22, 14, 6, 22, 6, -70, 156, -104, 60, -23, 4, -15, -17, -19, 84, 70, 173, 108, 49, -19, 10, -24, 62, 12, 45, 82, -139, 283 },
{ 4, -11, 33, -12, -10, 12, 73, -12, 8, 14, 18, -17, 24, 76, -24, 13, -19, 17, -29, 32, -128, 59, -66, 71, -18, 8, 17, -18, 73, 46, 214, 173, 69, -17, 55, 5, 28, -24, 11, 50, -120, 268 },
{ 21, -14, 12, -11, -7, -3, 74, -4, -8, 14, -17, 7, 47, 19, -17, 21, 7, -8, 12, -58, 168, -87, 60, -29, 10, -23, -7, -13, 30, 95, 129, 99, 47, -13, 25, -25, 8, 98, 9, 82, -142, 325 },
{ 2, -10, 9, -11, -12, 35, 50, -14, 46, 19, -20, 50, 42, 17, -17, 18, -14, 23, 24, -49, 55, -115, 44, -38, -10, -8, 19, -33, 27, 111, 85, 225, 122, 41, -19, 12, 50, -22, 74, 64, -152, 338 },
{ -7, 4, 28, -6, -12, 46, 7, -18, 15, 9, -5, 5, 67, -12, 89, -26, 5, -9, 23, -52, 119, -110, 44, -29, 85, -20, 43, 23, -33, 63, 118, 296, 84, -16, 38, -26, 8, 17, -24, 143, -102, 301 },
{ 3, -15, 80, -13, -28, 35, 83, -4, -14, 10, 27, -19, 24, 24, -23, 24, 7, -27, 63, -44, 60, -59, 61, -23, -6, -30, 8, -27, 78, 48, 111, 113, 112, -5, 21, -22, 8, 89, 75, 91, -142, 337 },
{ -3, 5, -10, 6, -13, 38, 52, -7, -18, 9, -22, 9, 79, -13, 32, 33, -10, 24, -24, 70, -69, 157, -79, -28, 59, -23, 25, -48, 45, 78, 68, 174, 56, 80, -18, -20, 9, 92, -10, 164, -127, 389 },
{ -9, 24, 11, -12, 7, -6, 34, -18, 8, -16, 4, 24, 33, 33, -31, 9, 20, -17, 44, -19, 56, -111, 57, -78, 59, -25, 6, 20, -38, 140, 42, 277, 84, 97, 98, -34, 56, 31, -61, 170, -88, 351 },
{ -10, 46, 19, -9, -12, 55, -6, -20, -16, -27, 120, 75, -18, 29, 63, -28, -14, 9, -28, 92, 38, -78, -61, 99, -34, 11, -9, 17, -15, 211, 49, 273, 173, 107, 110, -30, 16, -34, 50, -81, -44, 305 },
{ 49, -15, 8, -5, -24, 49, 50, 4, -17, -8, 9, -16, 79, 16, -26, 35, 15, -25, 71, -30, 147, -42, 49, -36, -17, -21, -22, -29, 83, 29, 100, 87, 54, 87, -19, -13, 98, -14, 144, 119, -129, 394 },
{ 2, -19, 85, -6, -16, 11, 39, -15, 29, 6, -6, 72, -10, 31, -32, 32, -17, 47, -49, 25, 146, -105, 46, -52, -26, -10, 57, -42, 109, -52, 95, 144, 76, 132, 58, -16, -28, 50, -63, 107, -77, 460 },
{ -25, 31, 42, 3, -20, 17, -4, -10, -17, 134, -12, -19, 40, 38, -37, 17, -20, 11, 91, 16, 51, -106, 87, -110, 123, 18, -18, -26, -42, 170, 66, 187, 107, 88, 97, -45, -15, 80, 40, -90, 69, 377 },
{ -17, 33, 19, -63, 88, -15, 51, -40, -29, 56, -47, 72, 67, -65, 87, -91, -40, 177, 169, 42, 194, -70, -99, 37, 76, -109, 41, -30, -54, 454, 88, 202, 196, 159, 75, -97, 24, -31, 83, -149, 72, 306 },
{ -9, 32, 108, -94, -20, 52, -41, 16, -46, 36, 76, -56, 38, -40, 149, -188, -57, 164, 171, 166, 21, 86, -104, 72, 158, -41, -51, 69, -51, 85, 220, 146, 223, 237, 159, -160, 50, -51, 170, -106, -30, 252 },
{ 52, -10, 16, -14, -20, 8, 92, -7, -14, -21, 14, -15, 33, -41, 66, -19, 25, -21, -34, 41, 94, 72, -58, -9, -20, -30, -22, 49, -83, 68, 146, 112, -47, 38, 44, -37, 40, 149, -37, 190, 132, 396 },
{ 34, -15, 20, -18, 7, -10, 91, 48, -17, -27, 69, -22, 29, 20, -51, 43, 27, -28, 78, -14, 111, -28, -55, 113, -72, -29, 59, -33, -33, 91, 42, 76, 108, 68, 102, -33, -25, 181, 42, -46, 109, 467 },
{ 1, 17, 5, -18, -17, 14, 57, 16, -26, 33, 27, -11, 17, -3, 48, -33, -20, 12, 45, 19, 56, -31, 120, -155, 121, 35, -21, -25, -45, 133, 40, 129, 163, 68, 105, 144, -45, 106, -76, 57, 88, 381 },
{ 4, 69, -11, -65, 185, 23, -13, -30, -29, 19, -21, 69, 138, -62, 118, -134, -27, -47, 26, 142, 56, 111, -139, -19, 136, -42, 106, -76, 70, 178, -65, 326, -93, 291, 225, -97, -28, 61, -151, 118, 80, 229 },
{ 18, -58, 20, -143, 144, 61, -32, -47, -15, 41, 147, -97, 58, -49, 184, -215, -42, 116, 103, 183, 80, -60, 102, -180, 238, -78, 115, 36, 118, 148, 47, 84, 195, 385, -24, 195, -99, -44, -95, -115, 110, 303 },
{ 41, -33, 12, -2, -14, 20, 78, 16, -26, -35, -16, 10, 15, 22, -48, 39, 63, -64, 70, -14, 93, 9, 83, -59, -59, -100, -70, -26, 17, 31, 234, 86, 33, -40, 60, -51, 181, 42, 135, 100, 137, 389 },
{ -3, 85, 21, -23, 21, -45, 34, 19, -46, -21, 47, 14, 9, 46, 41, -21, -39, 29, 20, -15, 79, 8, -37, 175, -162, 32, -50, -19, 35, 19, 90, 53, 108, 147, 57, 270, -84, 140, -39, 90, 167, 255 },
{ -10, 24, -20, 137, -26, 71, 14, 14, -11, -20, -13, -11, 44, -16, 144, -139, 54, -38, 50, -36, 186, 23, 83, -132, 48, 56, -74, -51, 60, 55, 62, -49, 162, 207, 295, 195, 156, -126, -45, 90, 80, 249 },
{ -11, 7, 39, 38, -14, 19, 7, -32, 19, 14, -12, -5, 93, 27, -38, 44, -17, 55, 54, 51, -120, 65, -47, 90, -11, 5, 49, -24, -19, 69, 191, 266, 80, -29, -14, 15, -5, -15, 58, 67, -108, 226 },
{ 45, -19, 26, -16, 20, 66, -31, 52, -16, 9, -14, -7, 44, 59, -50, 66, -19, 57, -19, 154, -130, 80, 72, 113, -47, 58, 15, -9, 16, 70, 151, 282, 96, -13, 26, 8, 5, -22, -13, 135, -121, 183 },
{ -21, 10, 23, 8, 5, -16, 86, -18, -13, -12, 65, -15, 42, 94, -62, 70, 5, 73, -11, 28, -132, 50, 82, 72, -33, -10, -21, 9, -22, 56, 144, 324, 128, -33, 151, -25, 38, 23, -19, 63, -76, 192 },
{ -8, 4, 40, 3, -23, 10, 80, -22, -9, 14, 84, -37, 12, 11, 42, -56, -14, -16, 63, 47, -91, -45, 109, 41, 113, 54, -16, -21, 27, 186, 135, 290, 106, 76, -56, -32, -10, 38, 64, 64, -130, 241 },
{ -8, 58, 28, -22, -18, 16, -24, 18, -26, 13, -15, 43, 31, -15, 24, -57, -24, -9, 115, 32, -83, 89, -46, 95, 140, 20, -16, 13, -21, 172, 102, 201, 210, 95, -83, 75, 67, -41, 15, 51, -118, 203 },
{ 5, -21, 137, -16, -36, 11, -12, 95, -37, 10, 103, -39, 83, -11, -76, 59, 135, -39, -24, 31, -131, 91, 160, 132, -91, -17, 10, 105, 11, 249, 176, 399, 71, -35, 52, 113, 9, -24, -37, 44, -117, 149 },
{ -23, -28, 48, 52, 19, 28, -8, 10, -45, -11, 12, -17, 22, 116, -65, 75, 9, 7, -38, 39, -89, 90, 140, 292, -52, 54, -25, 25, 24, 235, 113, 320, 124, 66, -40, -15, -27, 32, 12, 20, -102, 122 },
{ -16, 4, 104, -18, -19, 9, 81, -19, -39, 99, 43, -29, 30, 20, 201, -68, 4, -46, 57, 47, -67, -94, 80, 183, -32, -13, 112, -52, 74, 276, 104, 274, 186, 69, -93, 71, 16, -22, 74, 44, -146, 139 },
{ -10, 8, -11, 12, 11, -9, -13, -43, -26, 36, 69, 88, 31, 43, -29, -105, 20, -10, 93, 85, 26, -68, 50, 110, 311, -32, 78, -92, 21, 292, 140, 262, 252, 108, -75, -45, 22, -32, 36, 45, -124, 150 },
{ -20, -14, 110, -22, 117, -40, -27, 85, -89, 11, -10, 11, -36, 131, -60, 125, 127, 22, 25, 116, -31, -38, 206, 77, -130, -28, -8, 117, -41, 127, 237, 382, -30, 152, 69, -8, 14, -13, -31, 15, -56, 121 },
{ -32, 14, 191, 13, -93, -34, 146, -28, 73, -15, 12, -53, 23, 30, -138, 143, 29, 48, 20, -26, 31, -86, 201, 153, -137, -23, -34, -30, 27, 165, 192, 321, 135, 116, -28, 96, 151, -40, 41, 25, -78, 211 },
{ -23, 6, 52, 4, -13, 13, 41, -53, 64, -12, 41, 40, 93, 98, -212, 194, -22, 29, -49, 43, 153, -90, 156, 313, -81, 23, -27, 28, -46, 154, 237, 298, 164, 101, -109, 133, 8, -47, 53, -16, -70, 121 },
{ -306, 70, -8, 159, 9, -49, -14, 157, -79, 245, 35, -39, 92, -67, 177, -203, -50, 27, -47, 146, 57, -141, 149, 213, 185, 95, -72, 46, 50, 133, 393, 178, 250, -171, 217, -171, -32, 128, -60, 222, -148, 202 },
{ 46, -28, 89, 10, -99, 163, 6, 17, 91, -30, -26, -36, -4, 62, -64, -101, 55, 40, 17, 83, 26, 181, -34, 122, 288, -25, 25, -31, 56, 55, 65, 142, 290, 73, 143, -134, -49, 91, -46, -21, -87, 264 },
{ -16, -2, 31, -58, -48, 171, 30, 60, -61, 163, -42, 43, -45, 71, -161, 126, -35, 19, -20, 102, 37, -79, 255, 223, -88, 45, -13, 22, 43, 42, 297, 290, 108, -75, 57, -39, -51, 61, 8, -38, 166, 101 },
{ -52, -25, 70, 47, 92, -93, 115, -113, 53, 36, -128, 36, 94, 215, -244, 193, 35, -78, -44, 93, -84, 354, -214, 475, -98, 34, -71, -51, -31, 118, 226, 187, 287, -184, 226, -51, -61, 71, 112, 56, -165, 256 },
{ -84, 15, -7, -136, 352, 449, 89, -133, 57, -133, -11, 27, 28, 62, -101, 119, 248, -133, 73, 32, -71, 115, 230, 262, 263, -121, 58, -96, -109, 131, 88, 129, 246, -135, -258, 214, -53, -74, -43, 71, 315, -127 },
{ -8, 3, 67, 2, 17, -25, 52, -12, -8, 9, -13, 25, 68, -7, 23, -10, 8, -11, 105, -38, -84, 100, -58, 31, -5, -8, -23, 19, -31, 74, 184, 66, 45, -13, -9, -9, 64, 4, 65, 85, -101, 216 },
{ -3, 9, -15, 7, -8, -12, 127, -11, -12, 8, -15, 28, -14, 29, 34, 9, 7, 36, 17, -77, 88, -98, 73, -23, 11, -10, -25, -20, 52, 133, 109, 80, 77, -21, -8, -8, 76, -14, 60, 69, -173, 253 },
{ -8, 34, 14, -10, -6, -9, -17, 107, -14, -6, 17, -20, 65, -28, 27, 10, 11, -14, 62, 78, -140, 83, -79, -16, 6, -13, -13, 26, -38, 74, 173, 140, 95, -8, 65, -15, 35, 11, -12, 74, -117, 219 },
{ -3, -11, 8, -5, -7, -11, 76, -13, 11, -7, 19, -12, 65, 31, -22, 15, 12, -6, 44, -55, 203, -82, 30, -17, 6, -19, -15, -6, 26, 127, 88, 67, 62, -14, -7, -14, 51, 71, 14, 97, -143, 265 },
{ -6, 8, -7, 4, -10, -10, 76, -15, 38, -13, 45, 26, -21, 46, -25, 20, 12, -14, 21, -69, 92, -124, 44, -31, -16, -14, 5, -10, 66, 122, 76, 177, 158, 49, -13, 8, 32, -10, 60, 69, -152, 292 },
{ 3, -10, 56, -5, -4, 6, 19, -25, 5, 8, -12, 33, 11, 11, 74, 6, -8, -8, 27, -51, 174, -105, -48, 133, -31, 9, -6, 51, -17, 71, 68, 268, 99, 136, -20, 15, -13, 63, -12, 68, -143, 291 },
{ 35, 5, -14, 55, -12, -14, 104, 7, -18, -14, 16, -16, 26, -16, 45, 18, 10, 32, -13, -29, 214, -36, -18, -18, 45, -29, 39, -35, 117, 12, 175, 76, 65, -27, 19, -30, 9, 172, -21, 142, -142, 316 },
{ -3, -9, 14, -6, 7, -18, 74, -16, 38, -12, 40, 18, -9, 39, -27, 25, 12, -13, 27, -50, 194, -108, 59, -32, -20, -6, -7, 48, -36, 143, 66, 154, 61, 52, -15, 87, -14, 19, -24, 104, -136, 378 },
{ -5, -3, 6, -13, 5, 29, -12, 48, -15, -10, 55, -8, 64, 34, -21, 28, 8, -13, 28, -23, 49, -128, 141, -58, -14, -17, 12, 65, -54, 184, 51, 256, 93, 84, 132, -22, 5, 49, -19, 181, -117, 376 },
{ -15, 6, 27, 4, -32, 77, -14, -10, -17, -3, 15, -9, 30, -11, 37, -18, -13, 47, 12, -10, 215, -97, -87, 106, -36, 17, -7, 7, -48, 186, 66, 256, 150, 132, -42, 67, 56, -34, 26, 135, -115, 324 },
{ 36, -33, 114, -12, -11, 8, 81, -6, -14, 11, -14, -21, 78, 22, -23, 21, 14, -12, 71, -15, 80, -49, 76, -36, 8, -34, -13, -31, 176, -58, 100, 122, 70, -29, 75, -30, 9, 177, -23, 175, -142, 392 },
{ 24, 5, -16, 4, -18, 19, 68, -24, 31, 4, 20, -16, 59, 47, -36, 29, 15, -16, 26, -32, 75, -105, 120, -32, -24, -19, 59, 24, -93, 123, 84, 138, 51, 79, -12, 108, -23, 13, 183, -89, 135, 357 },
{ -4, -8, 38, 7, -7, 5, 54, -20, -8, 16, -21, 33, -9, 50, -36, 29, -21, 59, 19, 22, 51, -113, 177, -89, 62, 12, -18, 42, -102, 115, 80, 175, 84, 87, 108, -33, 15, -19, 127, -94, 97, 382 },
{ -23, 29, 10, -9, -6, 18, -11, 9, -34, 14, -21, 82, 92, -44, 77, -47, -14, -10, 87, 43, 162, -91, -57, -63, 106, -11, 36, -27, -73, 274, 80, 193, 194, 170, 81, -58, -11, 51, -91, 173, -55, 344 },
{ 39, 9, -5, -17, 32, 76, 64, 104, -20, -34, 38, -52, 28, -45, 124, -139, -8, -28, 56, 21, 44, -56, 178, -86, 222, 46, 44, -44, 23, 162, 48, 228, 196, 131, 158, -78, -12, 64, -15, -83, -36, 315 },
{ 2, -33, 122, -26, -11, 38, 26, 3, -16, -10, -24, 5, 100, -22, 40, -35, 28, -30, 66, -15, 92, -47, 49, -27, 6, -42, 23, -27, -88, 47, 243, 147, -97, 81, 37, -40, 68, 165, -45, 103, 113, 338 },
{ 24, -18, 50, 11, -12, 48, 25, -12, -16, 13, -28, 31, 40, 36, -37, 52, 31, -43, 37, 55, -42, 121, -60, -36, -31, -35, 13, 20, -99, 98, 82, 116, 133, 58, 119, -34, 91, -9, 144, -83, 205, 441 },
{ 2, -13, 30, 8, -16, 17, 33, -7, -20, 5, -12, 42, -12, 42, -33, 37, -21, 136, -20, 24, 38, -69, 55, -133, 147, 12, 19, -25, -72, 150, 71, 137, 47, 128, 172, -52, -26, 104, 91, -142, 117, 401 },
{ 9, -24, 22, -27, 38, -20, -5, 35, -58, -8, 44, 109, -17, -40, 206, -166, 24, -80, 77, 47, 70, -69, 127, -225, 130, -54, 116, -74, 118, 118, 109, 133, 162, 438, 269, -139, 48, -64, -89, 116, -75, 401 },
{ 2, -48, 82, -2, 14, 84, -18, 16, -21, -36, -27, 5, 64, 33, -62, 45, 70, -55, -43, 44, 120, -31, 91, -37, -65, -74, -67, -30, -44, 96, 272, 136, -45, 16, 33, -20, 196, -25, 117, 117, 191, 355 },
{ -3, 48, 6, -10, -8, 44, 43, 45, -56, -12, -20, 30, 141, -41, -24, 81, -23, 78, -43, -7, 152, 26, -48, 145, -135, -33, 36, -111, -17, 129, 46, 85, 133, -30, 88, 125, 138, -114, 124, 97, 137, 429 },
{ -3, -8, 90, -12, 11, 15, 9, 32, -34, -39, 10, 36, 8, 58, -82, 57, -16, -5, 24, 47, -19, -47, -37, 169, -107, 16, 15, -56, 78, -58, 202, 96, 163, 109, -58, 264, -34, -68, 106, 50, 105, 286 },
{ 21, 4, -13, 15, 40, -18, 46, -25, 7, -12, 17, -16, 41, 29, 9, -16, 6, 16, -30, 71, -141, 115, -46, 16, 10, -8, -17, -21, 81, -45, 255, 81, 124, 54, -23, -11, 27, 6, 106, 55, -159, 285 },
{ 36, -13, 16, -22, 2, 44, -26, 105, 10, -10, 16, -17, 64, -27, -17, 16, 6, 43, -21, 39, -145, 110, -77, -22, 95, -17, 44, -19, 93, 49, 176, 227, 121, -18, 10, -20, 45, 13, -11, 69, -129, 217 },
{ -7, 3, 10, -9, -17, 36, -11, 67, -11, 23, 63, 16, -18, 32, 100, -9, 12, -15, 22, -60, 78, -144, 123, -33, 16, -17, -11, 15, -24, 66, 102, 272, 97, -31, 109, -29, 58, 11, 9, 62, -122, 232 },
{ -10, 8, 27, 7, 11, -14, 104, -20, -15, -14, 87, -18, 25, 135, -28, 134, 8, 57, -28, 42, -118, 78, -48, 146, -33, -15, -6, 13, 48, -57, 200, 304, 116, -44, 28, -12, 51, 96, -14, 62, -102, 237 },
{ -7, 26, 9, -9, 10, -11, 59, -8, -10, -13, 84, -6, 29, 101, 126, -26, 17, -16, -12, 84, -71, -98, 105, -36, 128, -9, 62, 19, -31, 89, 125, 337, 130, -29, 57, -16, -6, 16, -18, 54, -112, 246 },
{ -15, -14, 110, -20, 21, -21, 87, -26, 13, 113, 9, -19, 36, 19, 93, -36, -14, -7, 127, 16, -36, -129, 132, 62, -26, -8, 13, -25, -30, 117, 80, 346, 120, 152, -51, 18, 76, -23, 21, 49, -116, 263 },
{ 5, -19, 103, -18, -71, 13, 56, -12, 16, 84, 5, -11, 16, -20, 31, -47, -15, 8, 93, -30, 94, -101, -50, 190, 150, 4, -35, 18, -38, 94, 48, 322, 132, 120, -81, 14, 102, -33, 18, 100, -115, 269 },
{ -21, 13, 121, -14, 101, -55, 52, 111, -27, -16, 109, -21, 76, -36, -41, 107, 112, -23, -14, 33, -104, 44, 137, 50, -52, 11, -33, 76, 111, 102, 101, 408, 53, -41, 33, 175, -17, 28, -42, 41, -97, 172 },
{ -3, -18, 47, -25, 11, 7, 112, 20, -20, 30, 42, -39, 39, 118, -98, 188, -16, -2, -21, 33, -90, 139, 70, 102, -70, 50, 20, -9, 104, 79, 105, 358, 78, 92, -15, 86, -18, 18, -27, 23, -149, 208 },
{ -87, 7, 11, -15, -14, -16, 59, 11, -25, 27, 62, -39, 38, 83, 181, -74, -8, -23, 80, 40, -82, -63, 103, 133, 133, -14, 161, -19, 42, 137, 76, 310, 127, 156, -74, -27, 7, -13, 53, 75, -137, 215 },
{ 1, -117, 54, -20, -11, 27, 16, -12, -16, -15, 68, -22, 174, -26, 75, -112, -16, 82, 14, 28, 103, -27, 147, -59, 230, -31, 33, 21, -61, 94, 63, 218, 264, 60, 155, -84, 13, 45, -46, -71, -17, 237 },
{ -18, 12, 10, 124, -11, -33, -13, -37, -23, 18, 84, -17, 53, 123, -104, 295, 144, -10, -16, 38, -60, -50, 143, 139, -70, -22, 56, 71, -19, 125, 89, 322, 84, 100, -34, 11, 7, -53, -18, 32, -106, 133 },
{ -75, 38, -5, 117, -52, 114, -25, -37, 18, -14, -27, 17, 48, 116, -111, 159, 28, -18, 72, -63, 111, -77, 76, 315, -44, 11, 99, -40, 16, 246, 189, 210, 126, 137, -124, 39, -11, -26, 41, 109, -121, 143 },
{ -161, 78, 84, 98, -17, -49, 129, -40, 136, 84, -12, -30, 38, -41, 78, -132, 12, 27, 70, 29, 67, -82, 73, 244, 176, 74, -37, -25, 62, 286, 167, 246, 260, 56, -181, 64, -37, 102, -98, 98, -90, 187 },
{ -42, 44, -56, 37, -86, 54, -77, 89, -141, 205, -19, 36, 190, 70, -164, 449, 208, -35, 122, -151, 87, -78, 210, 63, -239, -51, 29, 29, 90, 188, 287, 165, 40, 207, 231, -111, 35, -71, 60, -173, -107, 295 },
{ -238, 112, 44, -42, -73, 50, 55, 85, -53, 66, 141, -58, 53, 53, -235, 147, -87, -39, -59, 74, 94, 344, -131, 491, 182, 145, -47, 55, -41, 221, -195, 373, -226, 219, -229, 88, -33, 119, -63, 137, -95, 325 },
{ 8, -24, 34, -78, 18, 219, 44, -57, -76, -41, -158, 92, 199, 36, -162, 139, 85, -123, -44, 74, 50, -33, 124, 247, 166, 46, -28, -30, 97, 82, 110, 243, 141, 79, -153, 40, 191, 49, 31, -91, -57, 120 },
{ -4, -7, 11, -6, 16, -26, 113, -20, 61, -14, 3, -13, 54, -19, 26, -19, 9, 5, 63, 92, -101, 59, -40, 20, 9, -7, -32, 34, -29, 62, 103, 63, 65, -20, -18, -11, 63, 67, 144, 53, -115, 164 },
{ -6, 3, -6, 9, -17, 117, -8, -17, -10, 43, -5, 22, -14, 43, 41, 15, 11, -12, 13, -45, 177, -80, -32, 73, -19, -20, 46, -17, 56, 85, 185, 142, 94, -23, 59, -10, 6, 78, -25, 81, -179, 226 },
{ -3, -8, 11, -13, 8, -18, 89, -17, 45, -25, -12, 23, -11, 35, -23, 9, 10, 30, 28, -58, 71, -56, 30, -7, 5, -14, -21, 9, -28, 174, 50, 76, 130, -18, 8, -19, 72, 139, -9, 126, -102, 201 },
{ -3, -5, 7, -25, -8, 26, -12, -14, -11, -6, 98, -18, 38, 118, 27, 15, 8, -12, 25, -47, 199, -93, -49, -38, 141, -7, -6, 17, -25, 206, 44, 189, 126, 64, -35, 66, -11, 16, -24, 109, -134, 244 },
{ -7, -22, 8, 5, 6, -11, 122, -25, 41, -9, -24, 17, -16, 39, -23, 10, 16, 25, 18, -36, 85, -54, 80, -14, 11, -23, -9, -29, 74, -58, 81, 187, 51, -9, -16, -15, 83, 93, 119, 127, -118, 265 },
{ 30, -11, 11, -8, 2, 55, -16, 89, -14, -4, -5, 85, -11, 49, -23, 25, 6, -15, 26, -20, 212, -96, 152, -48, 55, -16, 74, -23, 47, -98, 132, 69, 70, 122, 30, -24, 52, 126, -11, 99, -132, 347 },
{ 30, 2, -16, 9, 48, -7, 24, -21, -8, -13, 61, -6, 64, 61, -39, 32, 10, -11, 15, -10, 74, -138, 67, -56, 80, -9, 89, -13, 118, -88, 119, 168, 94, 109, -34, 67, 7, -23, 57, 101, -133, 358 },
{ -8, -8, -14, 12, 121, -11, 12, -56, 12, 10, -12, -17, 36, 53, -36, 9, -4, 84, 27, -36, 92, -151, 86, -69, 142, 90, -33, 41, -78, 68, 65, 279, 189, 116, -33, 28, -10, 15, -20, 67, -132, 315 },
{ 20, -11, 9, -10, 11, -11, 86, -17, 33, -29, -14, 7, 85, 26, -26, 9, 26, -8, 20, -27, 89, -57, 23, -18, 12, -34, -18, 36, -74, 131, 227, 108, -91, 77, -19, -26, 128, 12, 187, -66, 168, 240 },
{ -2, -10, 11, -3, 18, -20, 29, -13, -8, -13, 18, 2, 79, 37, -34, 37, -11, 28, 8, -30, 89, -80, 125, -36, -18, -19, 32, -48, 155, -89, 118, 62, 82, 49, 43, -9, -14, 163, -38, 160, -142, 462 },
{ 12, -17, 10, -33, 86, -12, 53, -11, -25, 4, -17, 61, -16, 49, -41, 46, 8, -19, 36, -17, 74, -115, 115, -70, 72, -7, -10, 48, -93, -47, 113, 162, 74, 97, 86, -38, -16, 181, 42, -122, 139, 337 },
{ -47, 11, 22, -42, -19, 37, -5, 9, -16, 16, -16, 80, 21, -37, 66, -28, -17, -11, 102, 27, 66, -84, -63, -83, 148, -10, 35, -24, -61, 94, 46, 218, 180, 163, 238, -55, -19, 46, -15, -93, 55, 298 },
{ -58, 16, -12, -18, 3, 67, 6, 18, -17, -6, 64, 111, 73, -20, 83, -56, -12, -24, 153, -30, 60, -49, 84, -158, 234, 23, 23, -25, -29, 233, 191, 228, 217, 165, 112, -48, -36, 36, -74, -102, -46, 283 },
{ 2, -53, 61, -35, -13, 12, 142, -9, -8, -5, -16, -20, 26, -8, 27, -14, 31, -31, 13, 76, 77, -62, -9, 35, -21, -29, -25, 36, -107, 25, 343, 115, -89, 52, -7, -23, -14, 214, 69, -64, 194, 341 },
{ -5, -14, 100, 5, 10, -7, 37, -8, -21, -71, -20, 102, 19, 35, -45, 49, 6, 14, 38, -11, 66, -77, 92, -45, -28, -48, 60, -82, 126, -97, 118, 68, 85, 36, 239, -17, 6, 132, -50, 169, -84, 546 },
{ -2, 12, -12, 11, -9, 50, -15, 39, -36, 7, -20, 82, -62, 34, -41, 55, -12, 31, -44, 28, 38, -38, -90, 110, -51, -21, 54, -48, -34, -28, 218, 178, 63, 93, 195, -46, -18, 147, 61, -102, 87, 403 },
{ -195, 12, -79, -5, -69, 7, 148, -13, -10, -10, 51, 111, -50, 86, -70, 71, -11, 23, 36, 21, 128, 52, -131, 239, -49, -42, 40, -23, -41, 103, 39, 147, 133, 301, 134, -86, 27, 158, -96, 111, 91, 321 },
{ 3, -19, -17, 14, 16, 38, 9, 26, -45, -35, -17, 4, 106, -34, 78, -38, 62, -69, -17, 80, 151, 33, -70, 14, -46, -34, -56, -36, -44, 86, 272, 129, -35, -36, 36, -12, -25, 244, 85, 97, 176, 351 },
{ 30, -24, -17, 20, 14, -14, 26, 150, -37, -34, 39, -16, 145, 46, -66, 62, 23, -20, 61, 66, 39, -60, -45, 58, -59, 25, -67, 20, -123, 157, 67, 139, -29, 129, -77, 149, -46, 38, 46, 98, 152, 392 },
{ -27, 2, 24, -85, 21, -27, 107, 56, -66, -31, 54, 15, -3, -18, -30, 65, -42, 10, 44, 11, 31, -41, -19, 55, -124, 47, -56, 70, -49, -26, 194, 58, 163, 56, 106, 244, -60, 167, -25, 105, 133, 408 },
{ -14, 36, -31, 42, -25, -41, 70, -67, 155, 32, -171, 27, -11, 134, 39, -24, -43, -49, 15, 15, 29, -25, 78, -242, 103, 59, 150, -77, -19, 128, 76, 256, -195, 277, 182, 174, -38, 42, -146, 159, 98, 312 },
{ -4, -8, 24, -11, 8, -13, -45, 26, -6, 48, -17, 122, 87, -28, 29, -18, 8, -14, 27, -36, -111, 60, -40, 26, -8, -7, -13, 37, -29, 83, 143, 82, 170, -21, 75, -9, 4, 110, -28, 76, -121, 157 },
{ -5, -5, 17, -8, -8, 62, -36, 75, -13, 3, 37, -21, 78, -18, 31, -10, 6, -15, 10, 62, -131, 89, -75, 31, -17, -17, 54, -12, 74, -57, 171, 72, 100, -23, 44, -10, 58, 11, -31, 80, -158, 227 },
{ -11, 3, 15, -9, 33, -9, -27, 120, -15, -8, 12, -15, 72, -14, 104, 20, -11, 8, -16, 71, -148, 100, -88, 108, -21, 21, 76, -17, 83, -36, 184, 168, 95, 140, -15, 47, -11, 18, -34, 65, -154, 206 },
{ -9, 113, 10, 48, -13, 5, -26, -13, -10, 42, 13, -22, 58, 103, 57, 20, 10, -17, 87, 32, -90, -48, -53, -31, 105, -10, -7, 139, -16, 83, 83, 211, 144, -24, 130, -20, -12, 21, -28, 70, -162, 206 },
{ -7, 21, 12, -9, -16, -17, 69, -11, -12, 9, 88, 17, -21, 46, -12, 21, 4, -13, 16, -32, 71, -145, 265, -63, 14, 32, -28, 32, -35, 69, 61, 233, 92, 79, -31, 75, -8, 10, -14, 101, -145, 267 },
{ -10, 12, 12, -8, 8, -14, 163, -35, 6, -13, 65, -15, 37, 100, -25, 129, 6, 50, -13, 28, -85, -103, 133, -62, 23, -9, -9, 109, 62, -55, 200, 278, 107, -36, 111, -19, -6, 43, -20, 48, -118, 200 },
{ -7, 9, 8, -8, 5, -9, 27, -24, 93, -21, 14, -18, 37, 54, -40, 15, 61, 13, -29, 76, -52, -122, 358, -26, -13, 5, -6, 21, 36, -65, 163, 274, 159, -50, 32, -23, -15, 65, -23, 85, -110, 225 },
{ -6, 8, 10, -13, -9, 28, -18, 70, -15, 6, 4, 49, -9, 44, -20, 116, -15, 62, -25, 19, 217, -158, 86, -53, 148, 21, -3, 13, 118, -81, 143, 274, 166, 134, -34, 79, -8, 15, -30, 87, -114, 262 },
{ 17, 4, 123, -16, -23, 18, -30, 45, -44, 3, 28, -18, 35, 85, -43, 181, -7, -15, -9, 15, -110, -50, 137, -45, -24, 10, 38, 24, 14, 238, 138, 458, 61, 117, -23, 21, -27, -11, -35, 39, -140, 174 },
{ -19, 76, 54, 6, 10, -31, -18, -40, 16, -27, 11, 44, 60, 201, -64, 138, 77, -12, -22, 141, -72, -67, 129, 104, -71, -19, 38, 17, 66, 51, 119, 361, 53, 176, 36, -64, 13, -9, -20, -38, -131, 222 },
{ 4, -11, 43, -76, 11, -7, 18, -45, 206, 9, 5, -56, 42, 45, -34, -35, -23, -13, 86, 26, -21, -137, 125, 153, -34, -9, 63, 23, -60, 120, 74, 378, 209, -31, 15, -26, 110, -30, 26, 123, -125, 240 },
{ -20, 5, 20, -21, -8, -16, 131, -13, 18, 12, 8, -27, 54, -37, 49, -75, -14, 44, 125, 64, 68, -101, -37, 154, 358, -12, -32, 35, -67, 109, 122, 243, 214, 78, -80, 127, 11, -38, 36, -19, -97, 240 },
{ -56, 13, 14, -20, -10, 110, -45, 38, -49, 7, 15, -38, 49, 108, -112, 158, 7, -31, 161, 195, -82, -43, 219, -56, -45, -73, 131, -15, -37, 183, 150, 374, 197, 111, -34, 23, 12, 81, -43, 78, -131, 164 },
{ -9, 10, 32, 16, -6, -11, 25, -25, 33, 15, -23, -16, 35, 142, -70, -46, -20, -46, 10, 21, 83, -73, 88, 282, -61, -5, 35, -14, -126, 184, 199, 355, 121, 100, -35, -31, 36, -16, 49, 36, -142, 208 },
{ -47, 32, 57, -35, -52, 20, 16, 154, -29, -28, -18, -33, 198, 63, -61, -52, 37, 29, -42, 31, 93, -63, -25, 212, 201, -19, 27, 36, -29, 160, 154, 270, 226, -28, -101, 216, -19, 40, -40, -22, -67, 269 },
{ -117, -19, 31, 56, 101, -31, -54, -94, -78, -68, -36, 74, 73, 186, -88, 348, -13, 12, -22, -31, -46, -167, 246, 161, -207, 118, 19, 137, 59, -81, 421, 203, -138, 178, 178, -31, 22, -58, -82, -81, 161, 208 },
{ 59, -24, -29, -30, 51, 32, 63, -88, 89, -64, 14, 161, -111, 88, -152, 166, -42, -30, -153, 41, -39, 149, 177, 146, 197, 25, -164, 146, -39, 212, -174, 303, 230, -139, -118, 52, 13, -79, 55, 30, 84, 173 },
{ 56, -21, 14, -10, 74, 14, -28, 3, 42, -24, 4, -29, 49, -12, 33, -8, 16, -14, 15, 51, -57, -17, 26, -16, 14, -8, -20, 15, -15, -24, 179, 43, -33, 27, -22, -10, 54, 69, 24, 187, -42, 221 },
{ 57, -12, 12, -8, 5, 36, -23, -5, 6, -12, 3, -20, 44, -6, 7, -15, 6, 5, 6, 108, -45, -13, 72, 7, 6, -11, 4, -16, 30, -32, 149, 108, 84, -24, 26, -13, 79, 147, -31, 65, -84, 250 },
{ -11, 49, 48, 11, -7, 20, -23, -11, -14, -4, 12, -21, 41, 106, 19, 6, 6, -9, -6, 109, -34, -34, -19, -17, 77, -18, 73, -8, 71, -36, 133, 59, 91, -16, 41, -12, 45, 17, -40, 76, -129, 146 },
{ 16, -11, 9, -13, 4, 20, -15, -9, 8, -5, -6, -12, 22, 15, -17, -3, 13, -14, 34, -30, 196, -45, 28, -10, 9, -15, -13, 12, -26, -14, 103, 66, -25, 10, -9, -11, 78, 178, -17, 115, -59, 255 },
{ 32, -12, 109, 5, -5, 15, -21, -14, -9, -6, 82, -24, 42, 43, 28, -12, -7, 16, -23, 44, -76, 183, -51, 22, -8, -11, 64, -22, 101, -84, 91, 94, 86, -16, 103, -10, 3, 149, -26, 78, -147, 224 },
{ 37, -12, 50, 7, -7, 9, -13, -20, -5, 4, -16, 28, -9, 54, -12, 13, 18, -9, 23, -26, 111, -122, 90, -49, 140, 37, 6, -18, 94, -84, 89, 113, 160, -30, 258, -21, -9, 18, -36, 82, -149, 238 },
{ -2, -9, 3, 4, 10, -9, 117, -23, 6, -11, -6, -7, 9, 26, -21, 4, 15, -14, 42, -33, 81, -54, 30, -9, 5, -17, -11, 13, -53, 81, 321, 48, -45, 136, -7, -15, 94, 195, -17, 101, -35, 296 },
{ -4, -13, 100, 8, 6, 7, -26, 67, -11, -13, 73, -19, 29, 18, -19, 26, 4, 33, -19, 49, -71, 74, -45, -9, -8, 6, -18, 12, 157, -106, 111, 85, 66, 105, 103, -12, -12, 193, -28, 130, -105, 278 },
{ 69, -20, 13, 10, 52, 9, -16, -10, -13, -8, -9, 115, -14, 56, -19, 24, 6, 57, -13, 19, 73, -109, 53, -52, 17, 16, -20, 14, 36, -109, 100, 95, 135, 315, -16, -12, 3, -15, 10, 113, -112, 290 },
{ 98, 6, -21, 19, -19, 15, 47, -28, -29, -35, 14, -17, 7, 68, -42, 26, 54, -6, 84, 39, 67, -139, 77, -56, 165, 20, 5, -39, 56, -110, 113, 168, 178, 152, -18, -25, -12, 15, 13, 95, -116, 298 },
{ -1, -15, 13, -5, 4, 18, -26, 103, -14, -10, -14, -16, 32, 38, -24, 7, 18, -19, 46, -36, 76, -39, 12, 18, -14, -12, -18, 35, -83, 96, 319, 77, -78, 63, -22, 5, 168, -22, 79, -39, 180, 164 },
{ 39, -13, 58, 14, -8, 30, -34, 95, -17, 15, -29, -19, 46, 43, -17, 22, -12, 54, 33, -40, 69, -63, -18, 156, -24, 8, -25, 45, -75, -40, 93, 131, -51, 87, 60, -19, -17, 173, 13, -72, 175, 244 },
{ 5, 50, -17, 10, -10, 18, 39, -12, -26, -16, 166, -35, 13, 55, -35, 43, 1, -12, 31, 15, 164, -69, -65, 109, -20, -15, 29, -30, 47, -130, 115, 103, 119, 67, 274, -18, -10, 24, -34, 116, -93, 377 },
{ 4, -7, -11, 26, -8, 29, 79, -11, -22, -18, -8, -20, 12, 32, -40, 55, 12, 4, -26, 44, 144, -69, -43, -106, 123, -18, -12, 55, -107, 73, 207, 229, 108, 175, 58, -33, 11, -31, 73, -119, 88, 277 },
{ -3, -22, 15, 5, 17, -17, 18, -12, -6, -21, -18, 42, 25, 88, 14, -18, 16, -17, 57, -38, 84, -40, 14, -41, 7, -16, -10, 27, -109, 33, 333, 72, -73, 69, -17, 5, 158, -24, 236, -43, 218, 227 },
{ 5, -12, -7, 16, -8, 23, -17, 26, -17, -8, 184, -41, 23, 56, -35, 21, -16, 101, 48, -12, 25, -52, 110, -33, -5, -16, 37, -10, -120, 125, 57, 132, -43, 112, -15, 184, -20, 95, -28, -37, 156, 385 },
{ -67, 2, -21, 18, 89, 12, -17, 31, -35, -14, 156, -20, 12, 39, -65, 48, -7, 38, -8, 17, 150, -19, -82, 27, -47, -22, 47, -45, 61, -125, 128, 118, 68, 112, 193, -25, -10, 35, -59, 98, -111, 473 },
{ -11, 9, -23, 46, -8, 71, 6, 54, -18, 15, -9, 30, -6, 19, -46, 44, 6, -20, 24, -26, 25, 88, -32, -148, 271, -26, 39, -44, -41, 195, 120, 78, 141, 274, 196, -76, 85, 31, 42, -158, 162, 387 },
{ -166, 38, -58, 91, -14, 33, 40, 8, -34, 65, -40, 56, 82, 18, 88, -70, 46, -72, -61, 62, 83, -39, 140, -266, 206, 6, -63, 86, -40, -38, 109, 192, 157, 182, 60, 221, 8, -46, 24, -177, -19, 320 },
{ 82, -18, -11, 17, 18, 16, 71, -37, -19, -23, -9, -35, 66, 4, 34, -31, -52, 64, -36, 32, 93, -39, -22, 13, -40, -17, -15, -20, -116, 80, 128, 192, -33, -31, 11, 8, 196, -39, 111, 90, 175, 347 },
{ 9, -22, 99, -16, -16, 33, 42, 225, -21, -48, 83, -33, 23, 41, -53, 35, -47, 68, 24, 53, 81, -17, -40, 13, -45, 17, 19, -59, -131, 84, 148, 110, -11, 75, -61, 159, -31, 143, -54, 142, 110, 471 },
{ -13, -24, 45, 23, 18, -79, 15, 59, -45, -22, 66, 18, 24, -61, -61, 77, -17, 61, -68, -7, 19, 11, -28, 53, -118, 32, -21, -48, 121, -52, 74, 152, -17, 260, -93, 263, -43, 54, -124, 112, 157, 375 },
{ -40, -23, 43, -13, 46, 37, -76, 74, -41, 106, -17, 5, 27, -58, -49, 28, -36, -9, 30, -43, 25, 111, 17, 81, -163, 35, -34, 70, -66, 60, 91, 105, 68, 310, 251, 129, 50, -114, 85, -107, 164, 383 },
{ -4, -9, 117, 5, 2, 6, -23, -10, -3, -7, 12, -18, 44, 66, 8, -12, 3, 6, 41, 31, -52, -21, 17, 3, 28, -12, 69, -18, 32, -24, 159, 82, -11, 60, -6, -5, 33, 11, -28, 52, -69, 191 },
{ -3, -9, 18, -6, 4, 19, -37, 74, -15, 48, -7, -21, 58, 120, 9, 47, 6, -10, 15, 55, -69, -35, 45, -21, 6, -13, 26, -20, 73, -78, 113, 149, -26, 70, -15, 45, -8, 23, -44, 71, -98, 151 },
{ 49, -17, 8, 79, 22, 10, -27, -26, 85, -15, 10, -35, 69, 60, -21, 16, 75, 16, -25, 63, -126, 84, -38, -12, -7, -22, 12, -35, 67, -134, 167, 164, 185, 87, -22, 6, 31, 149, -25, 59, -128, 194 },
{ 98, -4, -10, 8, -4, 119, -15, -21, -15, -11, 12, -22, 32, 34, 84, 15, 6, 85, -15, 27, -51, -42, -48, 161, -17, -14, 60, -20, 88, -48, 167, 132, 111, -24, 60, -12, -6, 24, -43, 84, -140, 182 },
{ -5, -11, 21, -19, 19, 49, -27, 39, -18, -22, -23, -21, 39, 32, 245, -26, 94, 19, 138, 29, -67, -122, 201, -27, 14, -15, 143, -36, 45, -88, 152, 260, -77, 130, -17, -13, -5, 14, -20, 50, -104, 189 },
{ -6, -5, 9, 70, 38, -6, -12, -19, -17, -10, 8, -14, 67, 48, -14, 16, 5, 22, -22, -11, 89, -161, 139, -57, 87, -5, 33, -12, 66, -98, 124, 220, 95, 148, 16, -19, -12, 16, -11, 252, -115, 184 },
{ 132, -21, 37, -4, 9, -4, -6, 65, -30, -62, -8, -7, 101, 15, 39, -16, 41, 5, -16, 25, 173, -94, -66, 126, -33, 24, -5, -10, 96, -64, 151, 250, 170, -36, 57, -12, -9, 55, -18, 68, -129, 247 },
{ 3, -24, 111, 4, -3, -9, 25, -36, -12, 20, -33, 13, 8, 53, -43, 20, 10, -9, -18, 27, 67, -121, 63, -68, 53, 22, -24, 29, -34, -30, 139, 255, 159, 143, -57, 53, 2, -15, 19, 76, -112, 271 },
{ 3, -18, 44, -12, 14, 28, -25, 15, -41, -65, -30, -31, 50, 380, 59, 152, 16, 88, -9, 21, -65, -126, 192, -63, -18, -7, 9, -16, 62, -73, 166, 340, 132, 278, 23, -23, -6, 19, -39, 36, -137, 184 },
{ 10, -5, -12, 4, 181, 19, -34, -20, 8, -19, -58, 107, 25, 30, -16, -17, 23, 70, 5, -43, 138, -146, 237, -37, -28, 12, -24, 37, 59, -113, 138, 304, 187, 279, 16, -46, -16, 19, -23, 28, -142, 216 },
{ 83, -12, 10, -16, -7, 6, 152, -26, -31, 9, -10, -14, 21, 48, 15, -38, -11, -15, 100, -26, 111, -156, 124, 158, -47, 3, 8, 23, 26, -78, 110, 324, 191, 127, 21, 81, -17, 25, -40, 34, -137, 260 },
{ 6, -3, -15, 86, 7, 9, 14, -23, -10, -24, 101, -38, 56, -22, 48, -50, -32, 125, -14, 55, -74, 116, -127, 143, 284, 19, -33, 19, -6, -104, 144, 274, 153, 125, -90, 27, -20, -18, 44, 27, -111, 294 },
{ 5, -9, -39, 8, 13, 18, -15, -34, 68, 140, 231, -17, 32, -41, 48, -46, -161, -27, 47, 28, 130, -125, 252, -75, 95, -26, 39, 56, -45, -84, 131, 249, 359, 88, -28, 36, -44, -22, 33, -143, 104, 251 },
{ 12, -65, 14, -29, -6, 142, 11, 33, -36, -15, -10, -17, 41, 41, 109, -27, 25, 167, -26, 19, -70, -69, 212, 99, -37, -11, -19, 68, -34, 119, 110, 479, 164, -50, 45, -20, -47, 25, -43, 47, -76, 180 },
{ -37, 22, -60, -169, 10, -10, 69, -17, 144, 99, 46, -25, 36, 33, -76, 66, -38, 33, -11, 20, -42, -59, 201, 138, -66, 14, -112, 15, 42, 278, 58, 409, 73, 79, 34, 17, 7, -12, -22, -36, -118, 193 },
{ -15, 11, 86, -15, -74, 136, 24, -15, -22, -21, -16, -40, 47, 63, -39, -86, -7, -7, 30, 47, 64, -51, 123, 219, 194, 25, -26, -54, -22, 66, 104, 315, 196, -48, -46, -9, 40, -36, 52, -33, -39, 235 },
{ -86, 10, -268, -15, 41, 91, 6, 379, 39, -36, 129, -21, -206, -31, -29, -76, -59, -69, -38, 38, 90, -46, 79, 93, 228, 52, 8, 39, 55, -74, 88, 214, 338, 116, -93, 177, -26, 58, -105, -225, -19, 232 },
{ -103, -31, 31, 66, -33, 200, -74, 72, 128, -81, 53, -105, -54, -209, -148, 235, 57, 42, 70, -131, 194, -82, 229, 204, -101, 83, -62, -23, 59, -69, 270, 306, -204, 257, 32, 20, 35, -53, -149, -56, -87, 336 },
{ -145, -94, 64, -46, -11, 31, -38, 33, -24, 13, -16, -31, 31, 97, -83, 127, 132, 316, 70, 53, -69, 59, 122, 132, -111, -117, -33, -97, -43, 169, -141, 391, 172, 132, 106, -18, 17, 333, -196, -43, -61, 234 },
{ 11, 6, 10, 91, -24, -68, -15, -20, -61, -17, -96, 188, -40, 50, -100, 44, 15, -231, -37, 36, 69, -56, 84, 271, 172, 24, 84, 15, 143, 32, 140, 342, 259, -125, 84, -51, -20, 45, 58, -32, -61, 85 },
{ 77, -20, 52, -13, 5, 11, -19, 54, 2, -5, -7, -16, 28, -18, 8, -7, 5, 3, 83, 21, -29, 95, 60, -5, 9, -16, 8, -19, 20, -49, 156, -26, 48, -17, 19, -10, 63, 49, -25, 43, -47, 206 },
{ 43, -13, 39, -12, -2, 11, -15, 8, -3, -2, 39, -28, 80, -17, 11, -5, -3, 8, -8, 29, -19, 40, -12, 67, 5, -7, 6, -17, 54, -52, 117, -24, 57, -15, 19, -10, 63, 139, -23, 43, -50, 236 },
{ -3, -13, 161, 7, -6, 16, -23, -13, 52, 64, 112, -27, 32, -5, 90, 3, -9, 8, -24, 45, -40, 96, -18, 27, -4, -7, 8, -14, 59, -62, 115, 99, -13, 135, -15, 11, -9, 51, -25, 32, -38, 220 },
{ 29, -16, 10, -8, 5, 20, -11, -6, 6, -1, -4, -23, 71, 14, -17, 3, 10, -14, 20, -10, 223, -31, 26, -15, 25, -17, 17, -15, 140, -48, 99, 48, -27, 14, -6, -3, 98, 140, -23, 104, -33, 238 },
{ -2, -12, 17, -10, 51, 18, -28, 43, -19, -10, 118, -29, 33, -13, 24, -11, 6, 124, -17, 44, -42, 151, -34, 20, -12, -20, 12, -23, 78, -61, 122, 87, 272, -19, 152, 5, 11, 170, -39, 71, -108, 159 },
{ -5, -26, 194, 10, 141, 9, -10, -18, -14, -22, 11, -28, 16, 37, -11, 17, 5, 136, -19, 22, 300, -66, -20, 206, -8, -13, 190, -25, 40, -122, 82, 174, 123, -25, 67, -10, 34, 11, -39, 73, -116, 186 },
{ -2, -14, 26, 5, 11, -6, 87, -16, 64, -4, -14, -14, 53, 19, -25, 49, 14, -21, 43, -15, 77, -42, 34, -14, 7, -12, -8, 11, -44, -24, 147, 27, -57, 17, -9, -5, -5, 97, -32, 54, 239, 244 },
{ -3, -7, -6, 13, 9, -8, 182, -31, 12, 43, -12, -14, 8, 41, -19, 6, 88, -12, 18, 10, 210, -59, 14, -18, 31, -9, 9, -13, 124, -64, 139, 63, -47, 133, -20, 123, -5, 37, -28, 150, -74, 191 },
{ 2, -23, 120, 6, -12, 9, 32, -18, -10, 11, -13, -29, 65, 56, -27, 16, -4, 46, -15, 37, 226, -75, -13, 44, -6, -7, -8, 16, -55, -87, 154, 124, -59, 203, -24, 44, -2, 66, -16, 100, -80, 234 },
{ 147, -27, 50, -16, 35, 3, 128, 43, -37, 40, 22, -47, 103, 30, 105, 22, -16, -54, -25, 91, -55, -34, -56, 133, -24, -50, 44, -34, 39, -152, 134, 146, 137, 132, 139, -18, 6, 7, 98, 106, -138, 324 },
{ -3, -17, 9, 30, 11, -11, 167, -12, 4, -12, -23, -9, 48, 12, -23, 20, 21, -14, 38, -24, 95, -47, 35, -17, 9, -5, -21, 50, -48, -10, 133, 46, -79, 43, -35, 8, 167, -15, 84, -38, 143, 282 },
{ 10, -33, 60, 221, -7, 36, -25, 29, -16, 14, -29, -25, 33, 44, -24, 11, 16, -22, 68, -15, 98, -46, -18, 9, -6, -16, -7, 29, -41, -108, 118, 93, -32, 124, -16, 211, 7, -22, 83, -57, 157, 214 },
{ 6, -10, -30, 24, 106, 34, -24, 170, -20, -24, 41, -30, -11, 50, -28, 23, 11, -21, 24, 31, 157, -48, -35, 56, -20, 8, -39, 21, 35, -150, 146, 29, 115, 200, 207, -34, -178, 19, -23, 129, -107, 305 },
{ 3, 14, -8, -29, -11, 46, 159, 30, -47, -21, -10, -18, 216, 43, -26, 43, 13, -10, -20, 23, 94, -47, -114, 59, -28, -18, 35, 25, -30, -54, 140, 149, 143, 195, 236, -22, 13, -30, 11, 75, -166, 438 },
{ -5, 31, -69, 5, 35, 67, 38, 66, -95, -57, -10, 37, -14, 19, -31, 49, 40, -18, -78, 59, 100, 63, -133, -80, 176, -28, 32, -25, -39, 231, 155, 269, 72, 69, 205, -59, 36, 70, -57, -41, -104, 393 },
{ -8, 6, -17, 34, 9, 84, -16, 59, -19, -9, -17, -12, 29, 28, -29, 28, 22, -21, 49, -25, 70, -38, 22, -12, 14, -17, -7, 43, -59, -18, 127, 70, -86, 41, -31, 77, 159, -16, 218, -15, 155, 308 },
{ -2, -36, 18, 7, 12, 154, -16, 21, -19, 50, -29, 45, -11, -12, 55, -24, 127, -26, 31, 19, 59, -13, -76, 20, 160, -35, 32, -22, 156, -154, 127, 67, 41, 178, -21, 67, -4, 70, -13, 131, -112, 414 },
{ 5, -20, 31, 6, 151, 37, -49, 36, -19, -22, 33, -33, -9, 25, -40, 24, 106, 90, 20, 14, 57, -21, -70, 37, -47, -8, -32, 46, -104, 182, 74, 24, 42, 146, 274, -32, 16, -4, 50, -147, 159, 360 },
{ 11, -29, 29, -66, 165, 19, 12, 119, -18, -140, 15, -15, 34, 19, -29, 49, -43, 17, 45, -28, 149, -86, 20, -130, 310, -17, 27, -85, -54, 74, 70, 159, -55, 450, 113, -116, -8, 81, 81, -176, 141, 369 },
{ 2, 51, -67, 28, 97, 64, 109, 82, -105, -63, -156, -33, 39, 94, 34, -44, 80, -55, -129, -24, 52, 68, 176, -322, 266, 90, 19, 32, -116, -51, 138, 189, 107, 171, 141, -70, 34, 52, 63, -203, 150, 349 },
{ 4, -45, 68, 6, 6, 121, 44, 23, -25, -18, -14, -12, 54, 15, 11, -25, 21, -23, 53, -24, 132, 18, -44, 34, -20, -5, 40, -31, -108, 55, 105, 126, -36, -14, -8, 26, -14, 300, -38, 150, 220, 311 },
{ 18, 82, -85, 56, -16, 29, 93, 11, 70, 38, -70, -27, 114, -36, -65, 36, -19, 7, 42, 42, 49, -61, -28, 104, -42, 43, -69, 84, -165, 50, 163, -59, 119, -25, -35, 209, -12, -55, 109, -43, 133, 436 },
{ 2, -17, -110, 44, 7, -43, 14, 101, -25, -30, 96, -27, -11, 18, -60, 21, 38, -21, -19, 32, -51, 122, 24, 77, -97, 39, -71, -19, -76, 105, -56, 74, 69, 71, 399, 215, 51, 138, -169, 186, 51, 393 },
{ 24, -19, -133, 124, -120, 44, 60, -26, 125, 51, -26, -59, 40, -38, -29, 59, 66, -54, -107, 9, 34, -52, 30, 29, -160, 32, 10, -57, -44, 13, 87, 65, 107, 250, 453, -128, 66, -55, 110, -131, 246, 267 },
{ 3, -16, 35, -2, 40, 13, -24, 24, -6, -4, 5, -24, 34, -11, 7, -4, 69, -7, 17, 29, -38, 164, -12, 85, 3, -11, 10, -17, 21, -54, 157, -15, 58, -14, 72, -6, -3, 15, -31, 41, -44, 175 },
{ -8, -9, 33, 8, 45, 10, -22, -13, 5, -5, 6, -25, 40, 48, -16, 7, 12, 43, -14, 34, -37, -13, 114, -15, 3, -6, 24, -22, 21, -58, 140, 103, -12, 53, -13, 98, -5, 13, -24, 32, -42, 189 },
{ 64, -13, 27, 4, 70, 125, -12, -15, -15, -12, 17, -34, 38, 46, 9, 7, -11, 45, -36, 40, -51, 158, -37, 127, -12, 54, 8, -23, 43, -68, 165, 191, 179, 54, -13, 7, -6, 12, -31, 52, -91, 104 },
{ 133, -20, 81, 14, 6, 136, -17, -20, -16, -20, 16, -31, 38, 209, 34, -14, 3, 158, -35, 36, -31, -34, -36, 213, 71, -13, 20, -32, 44, -84, 229, 71, 115, -26, -10, 6, 61, 96, -40, 79, -103, 134 },
{ 40, -20, 46, -21, -25, 29, -20, 150, -20, 68, 19, -41, 25, 35, 309, 120, -8, 135, -23, 65, -56, -67, -26, 90, -19, -11, 25, -41, 55, -118, 104, 221, -44, 106, -18, -10, -5, 19, -34, 68, -86, 142 },
{ 204, -18, -10, 11, 136, 64, -17, -38, 9, -19, 19, -26, 35, 45, 189, -12, -10, 15, -39, 50, -50, -98, 80, -25, 58, 63, 50, -33, 62, -121, 137, 155, 106, 213, -28, 9, -16, 7, -38, 55, -105, 154 },
{ 45, -22, 132, -36, -6, 57, 88, 29, -38, -8, 16, -25, 91, 23, 24, 17, 7, -7, -20, 28, 211, -72, -65, 100, -20, -12, 92, -12, 24, -84, 183, 145, 148, -29, 124, -22, -6, 27, -49, 81, -127, 220 },
{ 36, -32, -21, 14, 50, 12, -23, 108, -21, 7, 14, 46, -48, 32, 42, 10, 9, -29, 36, 34, 65, -80, -68, 271, -13, 11, -7, -26, 29, -116, 114, 111, 139, 437, -13, -25, 3, -31, 28, 129, -128, 283 },
{ -1, -7, 23, -32, -14, 10, 67, -31, 222, 8, -10, -54, 48, 63, -24, 142, 103, -10, 67, 30, -45, -107, 189, -56, 43, -13, 22, -35, 40, -104, 123, 288, 154, 209, -21, 10, -10, 19, -55, 89, -105, 126 },
{ -23, 17, 2, 22, -8, 385, -19, -38, 172, -38, -62, -20, -21, 79, -21, 14, 345, 13, 54, 36, 128, -199, 256, -61, 11, -13, -40, -22, 46, -108, 146, 259, 192, 122, -41, 8, 34, 43, -28, 53, -117, 142 },
{ 8, -20, -16, 15, -55, 27, -27, -20, -15, -13, 251, -34, 64, 57, 21, -40, -139, 15, -19, 57, 447, -141, 173, 101, -32, 39, 19, -38, 47, -135, 92, 250, 216, -31, 36, -30, 11, -9, -25, 33, -103, 251 },
{ -6, 120, 14, -10, -15, 136, 64, -75, -13, -17, 19, -23, 34, -24, 26, 13, 13, -42, 51, 27, 121, -81, -109, 142, -32, 12, -10, -39, 32, -67, 140, 324, 267, 99, -22, 21, 5, -29, 39, -34, -106, 296 },
{ -187, 20, -30, 111, 72, -36, 50, -39, -29, -312, 94, 61, -41, 60, -16, 32, -69, 38, -109, 53, 89, -81, -21, -103, 220, -33, 94, 28, -158, 162, 147, 191, 180, 150, -49, 15, 115, -59, 106, -89, -51, 283 },
{ 57, -11, 34, -12, 14, 16, 80, -40, 53, -32, -34, -22, 29, -30, 98, -46, 83, 177, -11, 66, 138, -131, 268, -32, 62, -66, 29, -37, -15, -97, 129, 416, 156, -22, 26, 65, -40, -60, -25, 76, -92, 133 },
{ -157, -7, 11, -35, 370, 25, -63, 31, -23, -38, -22, 187, -26, 31, -24, -18, 130, 25, -53, 59, 126, -125, 125, 143, -29, -8, -124, -17, 52, -95, 123, 455, 138, 246, 41, -40, 9, -17, 104, -9, -107, 161 },
{ -14, 26, 96, 112, -17, -25, -20, -29, 6, -59, 5, -116, 57, 63, 36, -62, 8, 134, -26, -22, 100, -98, 85, 284, -55, 20, 24, -38, 27, -66, 167, 403, 143, -64, 42, -39, -28, 83, -18, 59, -85, 196 },
{ -24, 7, -170, -12, 316, -21, -15, 64, -36, 64, 76, -71, 83, 64, -26, -34, -20, -32, -148, 33, 51, -97, 220, 218, -62, 54, -13, 20, -206, 162, -24, 319, 267, 150, -15, 297, -45, -21, -13, -51, -123, 218 },
{ 15, 31, -11, 244, -126, 238, 35, -79, 41, -67, -34, -43, 82, 67, -115, 174, -34, 100, 41, -115, 90, 93, 232, 166, -34, 21, 377, -320, -24, -73, 131, 445, -91, -63, 48, 6, 23, -58, -29, 48, 157, 188 },
{ -32, 33, 16, 295, -13, 46, -10, 52, 213, 9, -66, -31, -63, -30, 336, -33, -36, -42, -75, 58, 258, -102, 133, 261, -47, 31, 41, 26, -97, -31, 98, 457, 143, -75, 89, 28, -21, 29, -19, -21, -90, 148 },
{ 42, -13, 40, -6, -8, 17, -17, 50, -6, -8, 40, -26, 23, -20, 13, -7, 54, 10, -16, 40, -19, 31, -16, 159, -4, -5, 11, -25, 40, -68, 131, -54, 30, -14, 8, -4, -5, 13, -22, 27, -27, 171 },
{ 15, -14, 56, -11, -5, 18, -21, 12, -6, -6, 35, -26, 24, -23, 11, -6, -5, 11, -14, 40, -22, 31, -15, 74, 5, -11, 11, -23, 34, -66, 128, -45, 24, -14, 35, -6, -7, 59, -21, 33, -33, 206 },
{ -8, -9, 25, 6, -6, 27, -26, 93, -9, -5, 75, -28, 26, -7, 146, -8, -4, 11, -31, 43, -29, 60, 25, -14, 8, -16, 14, -24, 33, -67, 146, -16, 86, -7, 57, 41, 69, 31, -22, 31, -34, 197 },
{ 59, -22, 54, -5, 3, 13, -12, 21, -5, 67, -11, -23, 13, -14, -5, 53, 6, -10, 6, 21, 177, 87, 6, -10, 3, -11, 8, -24, 95, -52, 328, -32, 87, -19, 117, -10, 67, 67, -26, 29, -29, 236 },
{ 58, -14, -7, 11, 105, 23, -12, -14, -4, -4, -8, -32, 15, 22, -18, 24, 6, 22, -17, 52, -34, 106, 139, -10, 123, -13, 8, -22, 67, -60, 283, 113, -23, 75, -15, 21, -12, 51, -16, 25, -20, 243 },
{ -4, -6, -11, 15, 3, 57, 95, -19, -17, 26, -11, -26, 75, 30, -13, 14, -12, 13, -31, 46, -24, -13, -13, -16, 160, -9, 43, -28, 47, -81, 153, 127, 333, 72, -21, 81, -12, 13, -37, 52, -99, 138 },
{ 110, -20, 58, -6, 11, -7, 41, -10, 20, 17, -25, -13, 13, 20, -27, 72, 13, -10, 33, -13, 79, -21, 27, -18, 7, -15, -14, 120, -15, -35, 91, 63, -46, 26, -18, 58, 82, 42, 32, -32, 103, 247 },
{ 22, -14, 64, 13, 42, 24, -18, -17, -9, -20, 72, -38, 35, 47, 17, -27, -6, 9, -22, 47, -29, -16, 54, -9, 35, 4, 193, -16, 30, -96, 54, 112, -36, 109, -10, 161, -7, 39, -34, 177, -52, 150 },
{ 2, -12, -18, 27, -13, 28, -9, -12, -14, 12, -24, -20, 65, 22, 29, -27, 0, -5, -32, 39, 98, -63, -16, 91, -14, 34, -19, 39, 31, -121, 89, 117, 166, -24, 118, -13, 52, 10, -28, 49, -89, 171 },
{ -22, -12, 187, 13, 157, 15, -34, 20, -28, -16, -15, -21, 84, 28, -22, 24, 16, 46, -11, 20, 22, -45, -72, -15, 274, -6, 44, -40, -27, -36, 100, 123, 152, 170, -28, 14, 9, -34, 22, 96, -113, 233 },
{ -3, -10, 24, 9, 10, -11, 214, -19, 9, -5, -10, -13, 45, 32, -31, 81, 9, -14, 35, -11, 114, -34, 8, 13, -6, -13, 126, -7, -22, -32, 101, 14, -35, -7, 34, 16, 75, 57, -46, 144, -20, 398 },
{ -4, -25, 83, 8, 15, -25, 27, -17, -22, -12, 24, -16, 51, 20, 13, -18, 9, 6, -23, 35, 45, -43, 70, -19, 43, 44, -9, -13, 52, -75, 93, 62, -37, 117, -7, 58, 11, -46, 68, 169, -94, 284 },
{ -6, -14, -5, 10, 4, 34, -18, 101, -22, -28, 340, -43, 39, 42, -45, 42, -163, 5, -25, 66, 253, -61, -22, -16, -10, 54, -20, 18, 15, -166, 136, 85, 105, 109, 98, -19, 2, 39, -9, 13, -31, 244 },
{ -9, 69, 12, -27, -21, 45, 87, 25, -28, -25, -25, -28, 267, 21, -49, 43, 16, 45, -45, 62, 56, -87, -35, -37, 91, 9, -27, 23, -18, -112, 143, 143, 119, 165, 300, -26, 9, -34, 37, 98, -130, 282 },
{ 16, 13, -22, -26, 245, 126, -26, 64, -34, -47, -253, -256, 77, -43, 25, -70, 53, -243, -99, 57, 157, 164, -122, 157, 96, 67, -23, 36, -95, -45, 88, 150, 156, -77, 229, -31, -7, -22, 58, 145, -231, 473 },
{ -1, -21, 81, -3, 16, -16, 74, -28, 11, -13, -9, -18, 30, -7, 56, -24, 16, -13, 25, -11, 104, -37, 22, -12, 9, -17, 95, 90, -44, -26, 52, 79, -46, 17, -8, 25, 84, 213, -18, -27, 171, 418 },
{ 7, -21, -24, 20, 196, 20, 36, -18, -18, 11, -166, -41, 75, 23, 16, -26, -10, 116, -19, 67, -15, -42, 54, -42, 84, -38, 34, 102, -46, -87, 69, 58, -47, 135, -14, 254, 52, -19, 132, 180, -82, 361 },
{ -35, 19, -40, 30, 145, 51, -70, 51, -44, 12, -23, 100, -33, 57, -30, 27, -21, -14, 96, 60, -44, -55, -29, 34, -21, -25, 31, 11, 149, -176, 202, 66, -29, 217, 176, -19, 13, -20, -28, 174, 82, 214 },
{ -12, -4, -20, -76, 12, 94, -144, 36, -35, 79, -30, 136, -13, 31, -42, 58, -39, 47, -50, 63, 363, -34, -36, -113, 62, 70, -15, 69, -56, -75, 133, 362, 101, 316, 163, -61, -35, 48, -38, 155, -70, 352 },
{ 3, 58, -104, 111, 224, -108, 88, 25, -57, 64, -61, 21, 113, -98, -188, -50, 69, -50, -98, -27, 77, 58, 271, -250, 349, 102, 100, 38, -108, -74, 100, 159, -45, 172, 149, -49, -24, 67, 154, -121, 107, 328 },
{ 21, -20, 18, -4, 103, -36, 28, -38, 19, 6, -25, -20, 70, 22, 88, -26, -23, 14, 31, 57, 24, -30, 179, -32, 20, 13, -23, 39, -107, 167, 81, 44, -30, -22, -13, 32, 258, -41, 108, 28, 236, 320 },
{ 8, -9, -39, 38, 10, 167, 35, -60, 90, 78, 7, -48, -81, 233, -25, 43, -22, 26, 37, 46, -123, 130, -61, -62, 110, 33, 66, -41, -98, 86, 113, -152, 141, 76, -65, 181, -16, -52, 115, -70, 154, 321 },
{ 4, -29, 23, -18, 13, 6, -24, -17, 132, 39, -47, 289, -34, 28, -347, 29, -65, 123, 84, -39, -10, 114, -23, 188, -55, -17, 53, 52, -107, -53, 204, -61, 189, 229, -87, 317, 21, 119, -100, 69, 57, 400 },
{ 14, -16, 409, -56, -49, 15, 157, -120, 366, 180, -141, 35, -47, -128, -114, 62, 340, 20, 113, -120, 124, 89, -124, 30, -49, -42, 62, -76, -94, -480, 52, 63, -66, 242, 340, -101, 70, -82, 273, 79, 188, 384 },
{ -6, -8, 10, 13, -8, 16, -24, 84, -3, 10, 8, -26, 22, -8, 6, -5, -7, 6, -13, 38, -18, 84, -13, 61, 64, -5, 15, -27, 40, -70, 128, -32, 85, -10, -5, 3, -6, 44, -18, 23, -18, 132 },
{ -4, -9, 9, 51, -7, 25, -25, 21, -4, 69, 13, -38, 25, -15, 7, 57, -13, 6, -18, 49, -21, 68, -12, 54, -4, -11, 22, -31, 47, -78, 139, -16, 79, -14, 95, 4, -3, 130, -23, 26, -24, 149 },
{ -7, -9, 84, 10, 64, 18, -19, -17, -10, -7, -8, -22, 40, 29, 114, -8, -6, 17, -26, 27, 242, -37, 116, 75, 7, -16, 20, -36, 37, -69, 85, 191, -14, 143, -10, 6, 12, 85, -24, 38, -29, 175 },
{ -7, 31, -7, 20, -12, 13, -13, -24, -9, 4, 9, -21, 107, 40, 123, -13, -8, 183, -29, 25, 222, -48, 114, 44, -6, -23, 26, -35, 42, -60, 78, 168, 213, -20, 34, 2, 34, 19, -28, 42, -48, 205 },
{ -5, -13, 200, 19, -11, 34, -26, -23, -10, -15, 88, -44, 27, 26, 16, -17, -15, 11, -45, 62, -30, -50, 59, 72, 121, 5, 75, -25, 41, -111, 60, 245, -49, 18, 146, -5, -8, 124, -20, 149, -47, 121 },
{ 175, -17, 7, -19, -17, 101, 92, -11, -10, 24, -13, -13, -19, 49, 281, -11, -15, 33, -40, 64, -37, -60, 78, 109, 11, -22, 30, -47, 64, -129, 94, 341, -45, 255, -20, 5, 34, 19, -24, 54, -46, 106 },
{ 38, 90, -20, 8, -23, 66, 55, -32, -18, 109, 15, -38, 128, 55, 33, 117, -11, 11, -42, 59, -42, -49, -25, 301, -19, -17, 30, -45, 82, -127, 108, 277, 107, 68, -24, 57, 5, 37, -42, 75, -100, 110 },
{ 144, -8, -16, 29, -4, 243, -13, -42, -4, -27, 29, -25, 9, 65, -20, 5, 106, 35, -40, 66, -25, -93, 184, 62, 85, 10, 112, -37, 55, -140, 110, 137, -53, 141, -40, 4, -5, -12, 53, 153, -36, 118 },
{ 14, -32, -19, 14, 20, 26, -31, 63, -25, -29, -15, 209, -45, 60, -35, 12, 36, -17, -10, 59, 231, -73, -42, 138, -19, -11, -14, -18, -6, -87, 107, 179, 265, 178, -17, 7, 7, -4, 82, 54, -132, 195 },
{ 71, -32, 13, -16, 5, -6, 75, -29, -19, -197, 101, -23, 24, 59, 58, -15, 7, -19, -24, 27, 79, -120, 164, 92, 14, 25, 14, -41, 32, -141, 97, 282, -76, -29, -32, 32, -8, 50, -23, 44, 81, 81 },
{ 6, -23, 8, -25, -9, 41, 267, -32, 22, 22, -24, 7, -23, 39, -26, 308, -15, 22, -19, 31, 131, -119, 102, -57, 22, -240, 88, -61, 75, -144, 112, 281, 193, -13, -32, -25, 119, 4, 17, 58, -78, 133 },
{ -3, 13, -22, 11, -38, 9, 16, -49, 20, 44, 99, -57, 33, -24, 31, 16, -24, 14, -24, 34, 384, -58, -97, 196, -15, -15, 19, -50, 64, -113, 101, 275, 220, -50, 26, -7, 114, 165, -30, 69, -99, 246 },
{ 7, -30, -41, 14, 34, 152, 68, -13, -42, -66, -26, 23, -22, 31, 23, 19, 27, 135, -20, 75, -42, -42, -111, 178, -51, -34, 25, -35, 136, 43, 235, 192, 232, 132, -40, 16, 4, 38, -37, 53, -192, 254 },
{ -24, -30, 67, -44, -23, 373, 34, -351, 193, -63, 276, 22, 16, 123, -74, 30, -589, -58, -119, 51, 74, -74, 124, -118, 277, 43, 42, -43, -54, -334, 270, 182, 289, 351, -115, 30, -24, -41, 43, 314, -96, 286 },
{ -12, 45, -93, -48, -49, 317, 20, -28, 32, 276, 14, 60, 40, -66, 23, -33, 20, -21, -49, -26, 91, -133, 192, 213, -22, -26, 123, 117, 78, -121, 110, 379, -66, 122, -21, -42, 64, 15, -39, 51, -72, 143 },
{ -17, 391, -19, 17, -57, 13, -15, -27, 103, -53, 461, -17, 30, 36, 34, -67, 250, -70, -27, 44, 143, -125, 124, 159, -15, -314, 56, -68, 75, -151, 44, 378, 111, -77, 67, -40, 81, -36, 55, -15, 402, 164 },
{ 187, -33, -16, -54, 35, 108, -15, 68, -41, -35, 8, 50, 66, 170, 50, 113, -17, 105, -25, 33, 13, -120, -92, 252, -51, 24, -62, -14, 20, -54, 280, 375, 143, 257, -41, 31, 171, -22, -43, 54, -120, 250 },
{ 21, -27, -23, 133, 33, -26, 9, 34, -53, -31, -343, -16, 41, -17, 35, -42, 121, 63, -12, 127, 99, -26, -104, 157, 160, -28, -16, -56, -45, 111, 264, 256, 344, -132, 97, -37, 100, 25, 54, 42, -86, 228 },
{ -13, 23, -79, -8, 68, 12, 36, -36, 81, -25, 35, -42, 42, -66, -66, -28, -202, 174, -138, -44, 584, 199, 276, 154, -35, -11, 22, 17, 70, -107, 108, 530, -33, 62, 25, -62, 40, -36, -34, 92, -48, 108 },
{ -28, -64, 54, -140, 54, -66, 77, -61, 72, -30, -32, 109, 103, 55, 63, -38, -63, 21, -124, -41, -41, -76, 150, 145, 121, 32, 366, -73, 41, 80, 101, 471, 139, -106, 31, -74, -38, 89, 56, 27, -106, 166 },
{ -23, 13, 49, -186, 163, -54, 92, -43, 163, 267, 62, -77, 93, 43, 66, -55, -47, 60, -172, 63, -78, -63, 436, 337, -65, -31, 36, 432, -81, 120, 136, 321, 297, 22, -91, 67, -16, -23, -77, 92, -116, 85 },
{ 24, -9, 4, -12, -4, 19, -8, 12, -3, -6, 16, -31, 39, -26, 13, -7, -3, 9, -21, 44, 108, 34, -16, 11, -4, -2, 10, -19, 29, -53, -20, -48, 24, -14, 140, -3, -4, 66, -9, 8, 231, 83 },
{ 33, -7, 161, -6, -6, 19, -7, 12, -11, 63, 8, -28, -13, -22, 11, -8, -4, 6, -15, 37, 31, 31, -13, 20, 3, -8, 48, -21, 21, -49, -48, -33, 99, -13, 41, 2, -5, 39, -6, -7, 101, 336 },
{ 36, 96, -15, 6, -3, 14, 16, -12, -8, -10, 242, -29, -33, 12, 37, -9, -9, 19, -30, 37, 41, 27, -13, 41, 1, 4, 333, -26, 29, -41, -72, 127, -20, 19, -11, 53, -14, 78, -17, 6, -15, 144 },
{ 91, -26, 42, 55, -10, 16, -6, 27, -8, -6, 21, -40, 68, -35, 80, -14, 118, -8, -14, 45, 80, 24, -8, -8, 104, -10, 9, -11, 27, -49, -27, -27, 107, 56, 147, -11, -17, 13, -19, 77, -15, 193 },
{ 325, -14, -18, 7, 11, 20, 67, -4, -7, -10, 88, -26, -22, 13, -20, 1, -6, 193, -10, 46, 32, -10, 11, 81, -8, -4, 11, -35, 21, -57, -48, 147, -31, 22, -11, 86, -6, 80, -32, 80, -7, 221 },
{ -10, 3, -18, 23, -12, 46, -23, -31, -9, -25, 23, -35, 168, 16, -14, 144, -15, 36, -52, 70, -12, 14, 9, -25, 10, -16, 22, -45, 77, -108, 21, -22, 150, 87, -8, 69, -5, 14, -20, 111, -19, 270 },
{ 2, -28, 261, -7, 13, 14, -13, 20, -30, -4, -10, -2, 31, -11, -45, 23, 65, 7, -32, 36, -14, 26, -31, 65, 3, 4, -27, -11, 148, -48, 16, -41, 488, -24, 174, -6, -6, 268, -9, 92, -17, 278 },
{ 5, -11, -3, -5, 15, -23, 10, -11, -3, -15, 23, -34, 140, 4, 8, 7, -14, 16, -43, 51, -29, 17, -31, 41, -9, 64, 84, -8, 139, -55, 360, -15, 94, 411, -26, 53, 57, -21, -12, 390, -8, 275 },
{ 76, -13, -25, 20, -17, 26, 31, -19, -16, 22, -18, -13, -10, 33, -19, 23, 251, -15, -33, 43, 102, -43, 37, -29, 6, -10, 47, -35, 35, -98, 33, 116, 164, 206, -30, 9, -10, 586, -22, 41, -68, 120 },
{ -20, -13, 25, -5, -21, 337, 278, -39, 17, 17, -13, -17, -207, 27, -27, 8, -25, 33, -42, 60, -8, -27, -31, 208, -31, 15, -10, -53, 61, -149, 76, 65, 240, 312, -43, 10, 109, -25, 197, 53, -86, 166 },
{ 2, -16, 58, 97, 12, 23, 20, -39, 7, -23, -12, -11, 37, -11, 37, -12, 4, 9, -118, 458, 18, -12, 279, -37, 17, 10, -22, 12, 48, -51, 20, -25, 210, 17, -25, 167, 26, -14, 9, 420, -28, 396 },
{ 65, -49, -5, 58, 95, 27, -18, -57, 8, 5, -9, -28, 48, 25, -46, 8, -8, -57, 59, 49, 19, -57, 35, -27, 297, 189, 178, 459, -47, -102, 65, 275, -24, 211, -33, 140, -30, 108, -53, 170, -41, 232 },
{ -51, 335, -50, 34, -53, 89, -40, 34, -50, 18, -27, -32, 12, 38, -44, 18, 18, -53, 47, 87, -82, 23, -14, -51, 22, -24, 61, 31, 143, -152, 140, -45, -104, 419, -40, 100, -120, 135, -23, -17, 205, 137 },
{ -4, 33, -34, 29, -57, 50, 83, 143, -43, 53, -15, -77, 34, -35, 54, -222, -22, -9, 60, 21, 146, -28, -26, -42, 74, -52, 17, -307, 27, -110, 159, -65, 213, 485, -78, 141, 14, -56, -49, 18, -86, 123 },
{ 25, 31, 49, -35, -18, 75, 14, -78, -35, -78, -26, 115, -69, 63, -84, 30, 39, -438, 18, 89, 45, -118, 73, -169, 64, -11, -49, 289, 415, -62, 32, 185, 275, 126, -122, -126, 26, -37, -102, 114, 179, 332 },
{ 103, -24, 47, 15, -20, 30, 337, -20, -15, 16, -27, 52, -46, 50, 41, -22, 17, -34, 26, 267, 43, -37, -11, 9, -12, -2, -11, 25, 282, -119, 74, -7, -15, 319, -7, 187, -24, 432, -12, -44, 273, 188 },
{ -11, 46, -55, 44, -11, 50, -57, 57, -63, 25, -71, -49, 46, 679, -48, 27, 28, -51, 32, 72, 40, -81, -18, -14, 49, 17, -42, 55, -74, -136, 102, 80, -49, 375, -78, 34, 15, -46, 48, -64, 167, 355 },
{ 52, -34, -206, 35, -25, 29, 143, -20, -64, 31, 27, -63, 54, 111, 203, 70, -19, -55, 80, -104, 13, -410, -51, -76, 33, -42, 109, 63, -65, -50, -196, 196, -71, 510, -55, 60, -36, 42, -71, 105, 111, 306 },
{ -4, -46, 124, 7, 56, -23, -38, 29, 9, 102, -7, 14, -88, 228, 81, -34, -48, 138, 30, -62, -10, 122, 88, 55, -16, 8, 40, 23, -75, -18, 42, 75, -95, 53, -26, -13, -31, 173, -37, 201, 169, 285 },
{ 575, -65, 19, 42, 94, -92, -55, 174, 67, -23, -72, 32, 35, 238, 30, -43, 188, -55, -37, 83, -91, -33, 167, 245, 33, 56, 26, 285, 25, -144, 41, -55, 98, 147, -61, 81, 39, -47, -12, 29, 128, 438 },
{ 27, -58, 25, -22, 27, 49, -29, 34, -62, 53, -51, -82, 131, 432, -193, 38, -47, 84, 42, 61, 58, -78, -70, -44, 37, 35, 39, 15, -63, -109, 181, -98, 113, 241, -93, 274, 36, 22, -78, 119, 165, 376 },
{ 2, -9, -6, 48, -7, 14, 12, -7, 6, -7, 8, -21, -27, 26, 229, -5, 4, 7, -12, 26, 53, -7, -10, 62, 68, -10, 16, -27, 29, -35, -63, 98, 51, 47, -9, 7, 10, -8, 12, -22, 41, -57 },
{ 111, -14, -9, 193, -14, 13, 13, -9, -17, -9, 13, -27, -23, 60, 25, -6, 5, 10, -14, 29, 46, -10, 170, -16, 27, -9, 196, -10, 16, -25, -73, 129, -18, 36, -28, 14, -5, -16, 140, -15, 164, -26 },
{ -5, -6, -5, 17, 20, -15, 19, -33, 45, -18, 29, -22, -16, 23, 143, -29, -7, 21, -34, 23, 43, -27, 190, 209, 135, -7, 17, -32, 42, -39, -47, 204, -25, 28, -31, 20, -6, -10, 28, -5, 156, -32 },
{ 68, -20, -19, 15, -24, 20, 15, -22, 12, 130, 16, -44, -13, 16, -12, 9, -11, 18, -39, 56, 102, -18, 138, -21, 12, 4, -11, 12, 19, -61, -24, 272, -32, 37, -24, 11, 38, -31, -9, -17, 445, 279 },
{ -14, -12, 226, 15, -36, 28, -13, -28, -10, -8, 17, -26, 74, 33, 197, 23, 120, 9, -39, 58, -8, -31, 51, -6, 321, -5, 8, -38, 34, -65, 308, 196, -14, 52, -25, 10, -11, 22, -36, 33, -26, 155 },
{ 44, -10, -17, 16, -18, 13, 287, -42, 11, -15, 17, -43, -7, 62, -16, 4, -5, 15, -61, 55, -17, -64, 74, -9, 5, 33, 104, -19, 47, -93, 179, 158, -67, 48, -36, 24, -6, -6, -9, -10, 245, 52 },
{ 71, -544, -9, 23, -13, 12, 172, -23, -15, -12, 13, -38, 175, 37, 18, 65, 78, 39, -47, 61, -27, -65, 11, -36, 20, 56, -36, -22, 9, -65, 64, 208, 125, 33, -37, 8, -13, 27, -11, 39, -42, 204 },
{ 63, 16, -14, 28, -21, 140, -39, -30, -22, -37, 45, -39, 4, 49, -8, 18, 13, 12, -42, 75, -18, -61, -12, -12, 52, 4, -21, -24, 47, -104, 104, 172, 221, 274, -24, -26, -10, 18, -5, 44, -36, 97 },
{ 72, 4, -17, 11, -34, 45, -34, 127, -30, -12, 39, -55, 33, -56, 29, 30, -49, -163, 158, 61, 15, -43, -52, 45, 90, 79, 29, -70, 45, -124, 68, 96, 959, 150, -57, 17, 60, -18, -193, 121, -109, 137 },
{ 82, -13, -9, 10, 10, 12, 132, -33, -52, -49, 45, -62, 418, 77, 263, -17, 7, 19, -14, 52, 77, -128, 218, 145, 36, -27, 27, -28, -50, -138, 80, 232, -117, 27, -41, 69, -13, 17, -9, 72, 42, 100 },
{ 10, -52, 269, 2, -23, -10, 133, -19, -22, -16, 42, -43, 10, 58, -17, 78, 196, 113, -30, 46, 99, -97, -43, 211, 155, -67, 40, -41, 64, -142, 102, 341, -62, 288, -75, 22, 162, -22, -41, 56, -41, 110 },
{ 4, -39, 27, 8, 100, -8, 34, -39, -11, 3, 164, -40, 163, 61, -39, 104, -55, -16, -23, 41, 248, -73, -57, 124, 261, -14, 43, -40, 78, -133, 104, 240, 281, -61, 28, 191, 21, 199, -77, 78, -84, 116 },
{ 30, -39, -168, 20, -16, 46, -165, -12, -27, 65, -40, 50, -88, 20, 39, -28, -15, -38, 41, 29, 42, -43, -78, 249, -26, 20, 16, -13, -33, -86, 168, 162, 194, 237, -28, 41, 11, -22, -34, 144, -159, 200 },
{ 16, -25, 14, -51, 21, 328, 27, 14, -36, -13, -77, -11, 211, 55, 46, -36, -34, 52, 299, -51, -32, -78, 318, 126, 293, 23, 179, -85, 57, -93, -24, 316, -47, 17, 95, -12, -315, -16, 271, 48, -56, 152 },
{ 46, 4, -32, 50, -47, 47, -101, -52, 246, -32, 531, -7, 35, 82, 17, -33, 21, -43, -21, -89, 35, -150, 255, 248, -46, -65, 57, 5, 65, -80, 33, 277, -37, 153, 47, 249, 199, -19, -64, -41, -51, 180 },
{ 14, -47, -41, 197, 52, -25, 25, -40, 36, -56, 114, 39, -45, -24, 24, 82, 50, 59, -87, 65, 89, -86, -112, 414, -110, -18, -30, 17, 24, -98, 72, 220, 85, 178, 50, -37, 30, 20, -58, 63, -103, 167 },
{ 285, -189, -33, -141, 63, 213, 12, -231, 23, -71, -60, 11, 291, -48, 74, 5, -32, 44, -103, -89, -102, -61, -143, 357, -48, 37, -294, 201, 88, -51, 116, 206, 441, -140, 63, 10, 168, 37, -84, 312, 284, 146 },
{ 19, -30, 226, -25, -94, -60, 14, -87, 55, 43, 45, 183, -63, 26, -76, -69, -64, -41, -261, 286, 114, -58, 270, 191, 86, 96, 33, -95, 64, -49, 79, 480, 39, 330, -48, 24, -47, -11, -193, 197, -90, 106 },
{ 17, -39, -425, -866, 101, -37, 71, -45, 33, -116, 71, -45, 101, -17, 174, -88, 467, 68, -62, -115, -50, -52, 330, 206, 228, -38, -308, -96, 60, 131, 42, 413, 195, -89, -10, -34, -10, 54, 47, 78, -98, 46 }
 }
 },
{ 
{ 
{ -51, -37, 98, 52, 44, 18, 7, -31, 42, 46, -28, 21, 27, 31, -17, 53, 44, -35, 34, 36, 40, 44, 46, -13, 50, -41, 32, 32, 40, 35, 41, 40, 45, 51, -17, 75, -54, 108, 2, 45, 50, 42 },
{ -49, 67, -20, 74, -16, 17, 7, -26, 68, 33, 13, -18, 12, 28, -3, 95, 35, -13, 19, -16, 44, 51, 56, 28, 99, -35, -4, 12, 24, 51, 46, 66, 56, 39, -10, 91, -42, 76, -18, -6, 59, 47 },
{ -48, 112, -9, 43, -13, 13, -10, -16, 86, 8, 60, -34, 32, 36, -39, 110, -25, -21, 88, -40, 64, -51, 150, 63, 169, 6, 39, -35, -117, -161, 148, -70, 353, -56, 55, 164, 46, -31, -48, 93, 128, -72 },
{ 78, -47, 148, -44, -28, 58, -7, 12, 53, 35, 39, 12, -7, 40, -22, 35, -13, 12, 10, 47, 36, 56, 21, -17, 60, 77, 3, -9, -58, 33, 62, 80, 10, 14, -2, 95, 99, -81, 50, 17, 15, 75 },
{ -19, 186, -14, 18, 49, -12, -14, -6, -19, 14, 42, 48, -23, 79, 70, -81, -48, 36, -46, 61, 173, 47, -204, 77, 99, -15, 73, -75, 102, 114, 24, 107, 276, 103, 157, 140, -34, 148, -126, 99, 57, 308 },
{ -76, 12, 97, -31, 47, -33, 37, 5, 56, -68, 42, 57, 47, 47, -38, 46, 49, 31, -17, 56, 54, 68, 58, 39, -43, -21, 16, 45, 48, 45, 36, 49, 49, 48, 20, 67, -78, 92, 28, 40, 53, 46 },
{ -76, 22, -41, 93, 73, -26, 51, -20, 33, -70, 31, 32, 52, 36, -11, 65, 53, 38, -44, 34, 70, 61, 74, -22, 67, -18, -18, 40, 52, 41, 46, 72, 66, 72, -19, 67, -79, 69, 20, 49, 46, 47 },
{ -65, 12, 96, -27, -26, 7, 36, -14, 46, -39, 68, 18, 34, 40, -39, 41, 52, -34, 40, 42, 54, 53, 59, 32, -41, -20, 14, 58, 35, 45, 46, 65, 47, 48, 39, 66, -79, 128, 17, 51, 55, 58 },
{ -70, 18, 97, -34, -35, 57, -29, -8, 53, -29, 70, 17, 33, 37, -44, 48, -27, 54, -49, 63, 58, 51, 68, -15, 61, -25, 30, 25, 35, 33, 61, 68, 61, 107, -24, 91, -73, 99, 21, 51, 43, 72 },
{ -71, 21, 77, -41, -41, 50, 34, -33, 59, 52, 47, -34, 36, -25, -37, 90, -42, 43, -75, 87, 35, 95, 86, -34, 95, -25, 19, 10, 27, 38, 50, 113, 77, 68, 38, 142, -82, 58, -42, 23, 62, 93 },
{ -57, 9, 82, -17, -33, 4, 52, 44, -30, -34, 65, 41, -22, 28, -35, 50, -44, 52, -11, 56, 60, 60, 50, 37, -48, -32, 69, 26, 46, 45, 38, 61, 63, 37, 42, 57, -60, 157, 11, 47, 45, 88 },
{ -62, 67, 18, -30, -19, 43, 4, 48, -25, -24, 55, 33, -41, 24, -39, 79, -38, 74, -61, 52, 101, -63, 108, -35, 74, -52, 51, -45, 36, 54, 82, 88, 82, 120, -25, 152, -54, 70, 20, 33, 43, 109 },
{ -79, 26, 86, -51, -36, 58, 35, -14, 60, 15, 28, -31, -20, 39, -40, 103, -27, 47, 78, -52, 73, -83, 100, 103, 178, -57, 45, -52, -6, 70, 106, 124, 99, 84, -12, 150, -40, 12, -15, -76, 61, 101 },
{ -34, 5, 89, -34, -37, 47, -17, 14, 35, -25, 42, 16, 28, 27, 34, -57, -57, 48, 19, 18, 57, 47, 15, 61, -53, -53, 58, 47, -31, 82, 55, 48, 59, 61, 57, 45, 109, 43, 43, 51, 58, 72 },
{ -55, 56, 17, -24, -17, 42, -7, 60, -25, -33, 50, 18, 21, -42, 97, -49, -27, 74, -58, 45, 43, -33, 51, -40, 91, -67, 32, -29, 14, 61, 70, 96, 89, 126, -11, 178, 76, -29, 16, 34, 64, 116 },
{ -88, 84, 20, -33, 12, -12, 67, 15, -67, -23, 50, 27, 37, 22, 78, -35, -47, 40, 84, -92, 45, -56, 37, 106, 223, -42, 51, 30, -34, 53, 141, -103, 203, 101, 57, 258, -37, 30, -85, -79, 145, 37 },
{ -99, 196, 28, -46, -50, -17, 49, -33, 187, 9, 36, -18, 107, -40, -116, 292, 11, -15, 37, -63, -89, 94, 245, 207, 187, -83, 63, 53, -28, -101, 133, -25, 222, -96, 43, 137, -17, 47, -75, 48, 61, -58 },
{ -81, 59, -19, 48, -37, 60, 29, -41, 54, 54, 42, -56, 26, 24, 29, 91, 16, -69, 31, 33, 64, 73, 76, 28, 84, -58, 50, 49, -12, 41, 52, 99, 70, 51, -27, 78, -42, 17, -4, 39, 43, 75 },
{ -74, -17, 82, -23, 18, 61, -38, 5, 90, -34, 42, 29, 6, -40, 54, 148, 10, 77, -107, 48, 36, 93, 82, 81, 123, -47, 49, -9, 32, 24, 36, 114, 85, 54, -25, 94, -47, 18, -23, -62, 44, 78 },
{ -33, -94, 110, 36, 39, 57, -20, -55, 75, 69, -41, -12, 102, -55, 100, 263, 39, -38, 56, -65, -42, -92, 204, 208, 173, -74, 55, 32, -54, 100, 90, 148, 91, -88, -35, 97, -46, 65, -41, -46, 25, 52 },
{ -41, 272, 49, -21, -18, -72, -24, 30, -34, 151, 15, 109, -35, 57, 20, -125, -88, 85, 34, -37, 86, 146, -166, 123, 183, 44, 27, 75, -75, 105, 70, -122, 421, 186, 52, 108, -79, 61, -113, 133, -96, 275 },
{ -36, -23, 36, -24, -37, 63, 29, 68, -35, 73, -34, 58, -20, 53, -30, 79, -43, -30, 71, 56, 93, 62, 96, -37, -21, 20, 34, 28, 49, 62, 52, 70, 67, 72, 64, -22, -49, 64, 31, 48, 44, 63 },
{ -51, -34, 44, -45, 66, -27, 89, 63, -45, -31, 35, 45, -35, 23, 33, 107, -32, 73, -75, 82, 93, 84, 49, 56, -61, -40, 48, 23, 54, 63, 52, 94, 68, 34, 26, 72, -51, 28, 51, 16, 56, 87 },
{ -47, -24, 34, -26, -32, 43, 61, 51, -29, 74, -30, 34, -28, 47, -39, 73, -39, -44, 73, 40, 105, 68, 90, -26, -45, -28, 21, 64, 23, 71, 54, 85, 47, 65, 46, 14, -46, 125, 55, 43, 46, 92 },
{ -53, -21, 41, -40, -27, 60, -11, 86, -32, 38, 63, -21, 9, 69, -54, 77, -52, 46, -73, 81, 136, -57, 133, -45, 47, -34, 34, -26, 67, 68, 83, 114, 67, 102, -23, 79, -46, 75, 53, 42, 31, 91 },
{ -33, 33, -27, -16, -10, -24, 69, 40, -40, -35, 80, 64, -26, 17, -26, 74, -25, 79, -88, 63, 62, 83, 42, 45, 62, -35, 58, -15, -39, 108, 79, 154, 110, 107, -60, 110, -53, 22, 51, -19, 88, 82 },
{ -53, -26, 19, 51, -10, 49, 28, 7, -41, -34, 38, 42, -17, 27, 51, -44, -34, -40, 53, 61, 86, 51, 50, 51, -56, -50, 72, 66, -61, 111, 70, 150, -73, 110, 31, 39, -31, 157, 28, 47, 90, 78 },
{ -56, 58, 25, -35, -24, 6, 32, 42, -36, 56, -28, 47, 13, 21, -47, 69, -33, -52, 79, -32, 110, 71, -9, 50, -68, -52, 31, 35, -40, 188, -79, 201, 66, 58, 67, 112, -37, 91, 42, 28, 56, 120 },
{ -63, 70, 32, -49, -26, -15, 56, 61, -40, 11, -29, 82, -32, 54, -54, 72, -51, 52, 81, -50, 96, -72, 101, -33, 76, -41, 52, -28, -67, 128, 86, 163, 85, 153, -38, 172, -57, 25, 57, 19, 48, 130 },
{ -69, 22, 117, -50, -51, 32, 37, 30, -72, 38, 36, -40, 68, -12, -17, 100, -62, 54, 82, -75, 51, 97, -101, 91, 174, -51, 72, -33, -45, 94, 85, 182, 116, 155, -36, 170, -53, 30, 29, -97, 93, 91 },
{ -44, 8, 69, -30, -32, 20, 44, 14, -27, -64, 93, -24, 28, 49, 33, -70, -86, 85, -38, 66, 78, 51, -13, 86, -69, -61, 70, 64, -95, 131, 86, 134, -61, 101, 85, -7, 87, 64, 56, 46, 96, 95 },
{ -60, 21, 64, -30, -23, 27, 16, 51, -43, -35, 86, -14, 20, -48, 82, -47, -73, 55, 81, -48, 54, 64, -29, -36, 70, -55, 31, -30, -69, 103, 52, 222, -76, 165, 42, 167, -24, 74, 39, 37, 62, 169 },
{ -76, 133, 25, -38, -42, 31, -21, 55, -56, -24, 51, 21, 55, 32, 55, -89, -67, 143, -96, 100, -46, 24, -77, 114, 148, -72, 65, -30, -21, 86, 162, -118, 266, 147, -30, 290, -41, 39, -40, 37, -116, 262 },
{ -30, 10, 68, -42, -77, 63, 42, 21, -24, -37, 17, 18, 37, 28, 35, -48, -83, 65, 66, -69, 104, 106, -68, 91, -92, -62, 61, 31, -90, 121, 48, 89, 120, -59, 132, 15, 173, 44, 15, 130, 29, 128 },
{ -43, 9, 89, -36, -33, 30, 7, 43, -40, -34, 59, -10, 19, 20, 50, -70, -77, 99, 92, -59, 58, -12, -15, -90, 115, -86, 36, -35, -46, 80, -32, 272, -91, 257, -95, 250, 88, -7, 73, 26, 71, 194 },
{ -111, 29, 197, -68, 83, -60, 44, 77, -87, -72, 82, -28, 61, 108, 42, 132, -43, 14, 76, -113, 64, -113, 183, 190, 300, -30, 51, 97, -149, 152, -128, 101, 134, 22, 87, 142, -49, 33, -83, -92, 165, 67 },
{ -44, 49, 234, -30, -97, 52, -23, 59, -80, 178, 74, -50, 128, 40, 109, 62, -109, -11, -41, 51, 67, -185, 124, 169, 334, 225, 17, 55, -191, 44, 79, 382, 207, -138, 136, -91, -42, 107, -73, 128, 300, -196 },
{ -43, 39, -29, -22, -18, -38, 69, -41, 58, -27, 89, 48, 31, 51, -41, 96, 36, 42, -85, 25, 55, 80, 88, 55, 76, -57, 59, -37, 72, 59, 76, 125, 90, 67, -39, 94, -55, 30, -33, 37, 32, 98 },
{ -38, -36, 47, -63, 37, -53, 44, 95, -18, 69, -34, 95, -54, -48, 78, 183, -74, 103, -73, 42, 11, 67, 81, 126, 109, 30, 45, -46, 37, 99, 75, 139, 113, -28, -23, 67, -55, -29, 18, 16, -55, 113 },
{ -71, 95, 42, -86, -41, 38, 38, 87, -36, -29, 70, -63, 58, 20, -16, 132, 24, -56, 60, 42, -7, -89, 111, 135, 129, -57, 83, 43, -105, 154, 96, 191, 88, 58, -27, 100, -55, 40, -28, -43, 80, 85 },
{ -90, 100, 78, -69, 25, -23, -22, 95, 37, -56, -28, 73, -29, -43, 88, 272, 23, 52, 45, -39, 57, -118, 136, 178, 123, -22, 70, -49, -58, 68, 153, 165, 117, -48, -71, 74, -37, -14, 28, 25, -27, 101 },
{ -80, 140, 39, -81, -75, 65, 30, 67, -67, 20, 20, -29, 35, 49, 29, 145, -37, 38, 105, -87, 55, -116, 104, 182, 223, -33, 63, -72, 17, 77, 133, 92, 153, 60, -66, 135, -62, 61, -45, 21, -89, 133 },
{ 138, -112, 121, -52, 44, -30, 58, -16, 101, -48, 39, 64, 99, -83, 35, 277, 123, -14, -52, -86, 107, -23, 221, 184, 135, -97, 49, 35, 80, 58, -81, 202, 138, 75, -88, 88, 61, -19, -26, 55, -153, 135 },
{ -30, -16, 42, -24, -22, 68, -31, 57, -35, 46, -32, 39, 34, 34, -18, 76, -25, -17, 33, 59, 88, 71, 82, -25, -32, -17, 38, 56, 49, 94, 54, 104, 57, 66, 58, -23, -33, 37, 50, -14, 98, 56 },
{ -23, -17, 29, -25, -17, 59, -16, 70, -24, 42, -30, 42, 12, 41, -38, 39, -35, 31, -32, 76, 94, 57, 43, 39, -61, -26, 35, -13, 97, 96, 69, 103, 71, 19, 46, 21, -45, 103, 60, 39, 52, 95 },
{ -29, -18, 39, -30, -22, 74, -37, 50, -25, -17, 49, 28, 22, 32, -8, 82, 44, 23, -74, 89, 85, 80, 44, 42, -45, -22, -39, 41, 134, -92, 147, 126, 77, 44, 96, -23, -39, 32, 47, 19, 58, 130 },
{ -40, -21, 33, -29, -24, 60, 30, 66, -38, -21, 45, 14, -28, 23, -14, 40, -26, 66, -62, 49, 121, 68, 51, 46, -48, 17, -23, 19, 52, 152, -84, 185, 66, 83, 71, 26, -57, 56, 37, 11, 84, 89 },
{ -46, 45, 22, -28, -27, 7, 19, 64, -29, -25, 42, 4, 10, 36, 29, -31, -34, 61, -42, 83, 37, 129, -30, 66, -51, -24, 28, 59, -74, 152, 162, -103, 140, 62, 43, 17, -41, 138, 49, 36, 62, 151 },
{ -46, -13, 15, 28, -24, 40, 46, 9, -32, -41, 47, 16, 18, 19, 37, -50, -70, 91, -49, 85, 48, 54, -27, 98, -67, -43, 65, 55, -103, 128, 98, 174, -95, 67, 87, 27, -26, 181, 18, 58, 130, 109 },
{ -45, 48, 21, -24, -35, 19, 20, 34, -31, -49, 71, 21, -15, 13, 56, -57, -67, 98, -64, 61, 86, -10, -21, 88, -36, -41, 15, -10, -14, 160, -116, 330, -96, 120, 36, 128, -37, 120, 70, 31, 47, 196 },
{ -47, 61, 19, -26, -36, 48, 24, 10, -48, -40, 50, 28, -16, 37, 76, -81, -53, 62, 118, -114, 97, 10, -56, 39, 66, -55, 46, -30, -59, 174, -108, 248, 105, 86, 56, 164, -51, 71, 49, 46, -19, 216 },
{ -71, 171, 33, -47, -67, 28, -11, 42, -61, 76, 7, 32, 37, 95, -105, 96, -70, 103, -35, 139, -125, 71, -52, 115, 235, -29, 45, -38, 83, -25, 213, -128, 325, 78, 126, 187, -59, 50, -46, -56, -128, 243 },
{ -31, 8, 59, -37, -57, 76, -6, 90, -68, -37, 29, 16, 25, 26, 41, -52, -86, 87, 61, -27, 54, 21, 40, 78, -107, -90, 70, 17, -82, 103, 84, 164, -92, 71, 93, 24, 158, 58, 79, 82, 53, 135 },
{ -41, 45, 136, -27, -80, 76, -37, 29, -49, 78, 73, 13, 22, 61, 79, -115, -55, 24, 31, -60, 76, 84, -113, 113, 226, -32, 103, 59, -124, 154, 84, -193, 291, 183, 146, 227, -63, 45, -83, -66, 123, 179 },
{ 13, -38, 154, -47, 71, 15, -17, 30, -20, -48, 74, 18, -8, 41, 54, -91, -27, 29, 70, -57, 64, -51, 123, -110, 172, -68, 37, 51, -105, 102, 94, 120, -218, 273, 241, 360, -20, 85, -61, -73, 290, 88 },
{ -33, 31, 102, -28, 129, -13, -48, 45, -57, -24, 176, -32, 33, 18, 61, -62, 19, -54, 23, 21, 99, 83, -145, 160, 165, -31, 28, -121, 120, 179, -278, -65, 451, 117, 158, 237, -85, 59, -71, 81, 183, 244 },
{ -34, -29, 31, -36, 50, -23, 86, 51, -38, 23, -39, 66, -12, -12, 34, 123, -30, -54, 72, -32, 85, 97, 75, 19, 60, 22, 61, 37, -28, 90, 56, 163, 111, 28, -50, 59, -49, -22, 45, 8, 56, 110 },
{ -34, 29, 28, -40, -50, 53, 29, -49, 64, 28, -30, 51, 45, 34, -86, 209, 20, -47, 66, -82, 18, 91, 116, 102, 110, -24, 75, 32, -19, 94, 121, 137, 128, -66, 94, -48, -37, 43, -63, 43, -22, 124 },
{ -29, 458, 22, 13, -22, -21, -87, -60, -30, 26, 170, 21, 187, 46, 74, -187, -60, 35, -54, 60, 53, 101, -164, 158, 221, -14, 90, -73, 17, 132, 204, -162, 298, 223, 61, -43, -39, 70, -111, 119, -211, 440 },
{ -22, -10, 26, -21, -13, -17, 81, 32, -27, -23, 54, 43, -27, 48, -20, 36, -44, 50, -49, 56, 91, 66, 35, 36, -27, 17, 21, -29, 93, 116, 84, 134, 66, -9, 27, -15, -33, 65, 38, 59, 77, 97 },
{ -20, -13, 26, -21, -12, -14, 82, 16, -31, 52, -33, 61, -23, 29, -28, 84, -18, -28, 80, -60, 137, 26, 22, 48, -58, -25, -22, 55, -39, 200, -91, 259, 85, 15, 68, 15, -44, 96, 59, 21, 83, 111 },
{ -19, -19, 26, -16, -19, 65, -12, 66, -21, 15, -13, 41, -23, 39, -30, 31, -27, 47, -28, 62, 88, 35, 25, 44, -38, -18, 21, -26, 79, 102, 113, 124, 74, 14, 45, -23, -31, 28, 102, 69, 47, 150 },
{ -21, -15, 31, -32, -28, 118, -18, 35, -34, -26, 55, -24, 53, -13, -23, 79, -49, 64, -67, 60, -13, 114, 67, -20, 88, -15, 71, -35, 24, 89, 97, 180, 131, 94, -72, 75, -44, 19, 53, 22, 30, 149 },
{ -16, -40, 16, 29, -16, 73, -8, 9, -25, 24, -26, 50, 42, -15, 44, -24, -26, -44, 74, -27, 103, 21, 55, 60, -62, -25, 18, 39, -26, 226, -105, 261, -57, 70, 30, 16, -36, 119, 58, 44, 88, 126 },
{ -45, 55, 18, -23, -29, -13, 53, 27, -23, -32, 66, -10, 13, -23, 60, -24, -32, 97, -66, 108, -6, 83, -31, 92, -59, -48, 48, -25, 94, -91, 189, 157, 85, 21, 35, 97, -51, 61, 63, 35, 41, 211 },
{ -41, 68, 19, -31, -43, 16, 77, 12, -46, -42, 55, 56, -35, 61, -56, 90, -50, 84, -81, 83, 34, 68, -53, 84, -54, -27, 79, -21, -27, 148, -102, 253, 156, 44, 69, 137, -47, 34, -43, 63, 70, 120 },
{ -55, 18, 105, -34, -45, 41, 18, 20, -54, 40, 21, -27, 68, 62, -58, 61, -83, 78, -55, 128, -66, -39, 76, 61, 114, 8, 91, -56, 43, 51, 117, 193, 162, 58, 43, 131, -69, 45, -53, 40, -52, 210 },
{ -37, -30, 79, 8, -21, 14, 40, 12, -33, -18, 26, 12, 30, 23, 20, -34, -44, -36, 81, 65, 43, 36, -21, 92, -62, -26, 27, 54, -46, 187, -118, 272, -64, 75, 40, 24, -30, 144, 68, 46, 90, 135 },
{ -20, 19, 88, -52, -48, 59, -28, 69, -41, -26, 29, 71, 16, -21, 80, -75, -32, 43, -54, 147, -92, 65, -75, 83, 131, -38, 112, -60, 70, 74, -47, 231, 171, 76, 101, 193, -47, 27, -60, 30, -66, 227 },
{ -31, -32, 58, 7, -54, 58, 60, -7, -30, -29, 14, 30, 25, 24, 29, -44, -81, 55, 45, 44, 62, -38, 23, 112, -105, -53, 44, 38, -93, 219, -107, 248, -99, 67, 85, 26, 105, 70, 88, 70, 73, 152 },
{ -35, 7, 92, -37, -44, 30, 20, 8, -23, -70, 68, 41, 26, -43, 79, -67, -67, 100, -52, 56, 30, 51, -82, 102, -61, -105, 102, -43, -56, 155, -98, 271, -108, 122, 130, 109, 99, 33, -17, 81, 91, 238 },
{ -14, 16, 101, -55, -43, 42, 15, 21, -38, -30, 53, 29, -16, 36, 68, -82, -28, 36, 89, -64, 58, 88, -154, 25, 69, -109, 42, 25, -61, 51, 175, -131, 241, 88, 105, 186, 63, 21, -6, 30, -16, 315 },
{ -15, 113, 22, -51, -53, 59, -3, 49, -44, -23, 23, 40, -16, 39, 66, -111, -44, 74, 63, -65, 122, -35, -50, 95, 83, -58, 55, 24, -43, 70, 158, -169, 264, 117, 144, 270, -37, 60, -56, 28, -106, 286 },
{ -15, 52, 9, -43, -51, 33, 22, 75, -19, -65, 47, 14, 37, -10, 50, -58, -93, 119, 83, 27, 11, -47, 55, 124, -127, -76, 75, -23, -137, 243, -158, 295, -133, 39, 114, 47, 243, 36, 49, 87, 34, 172 },
{ -27, 6, -33, 98, -25, 15, 72, -31, -11, -62, 40, 80, 16, -19, 66, -72, -47, 31, 23, 81, -69, 128, -84, 102, -113, -93, 53, -20, 47, -67, 77, 184, -183, 126, 168, 192, 153, 44, -26, 56, 93, 244 },
{ 8, -22, 150, -58, -33, 93, 4, 25, -28, -53, 90, 25, 4, -18, 50, -34, -30, 25, 50, -49, 86, 74, -117, 140, -133, -116, 54, 59, -46, 94, 40, -29, 207, -126, 272, 332, 92, 34, -91, 149, -59, 276 },
{ -24, -24, 26, -25, -15, 57, 49, 41, -43, -30, 52, -35, 28, -25, 27, 73, -11, 61, -47, 54, 67, 107, 22, 34, -62, -35, 45, -25, 37, 128, 85, 165, 81, 38, 36, 17, -35, 95, -22, 45, 82, 110 },
{ -27, -21, 39, -30, -18, 86, -46, 68, -37, 35, -19, 44, 23, 22, -19, 120, -51, 67, -81, 52, 46, 97, 99, -23, 52, -6, 102, -23, 78, -50, 147, 171, 107, -16, 69, -48, -30, 41, -66, 76, 43, 161 },
{ -32, 29, 53, -27, -43, -24, 50, 44, -40, 37, 24, 47, 30, -57, 47, 155, -63, 52, -77, 77, -51, 133, 88, 68, 68, 19, 59, -22, 27, 33, 134, 187, 150, -55, 38, -34, -32, 71, -30, 52, 15, 113 },
{ -53, 97, 22, -44, -66, 27, 27, 81, -48, 73, 20, -17, -22, 78, -43, 125, -70, 73, -65, 97, 45, -92, 112, 104, 110, 16, 64, -58, 19, 60, 129, 195, 164, 33, -65, 103, -42, -25, 61, 29, -51, 178 },
{ -56, 139, 23, -57, -50, 36, 47, 56, -40, 27, 9, -21, 74, -64, 53, 276, -62, 89, -26, 95, -72, 85, 166, 142, 109, 24, -23, 31, -50, 51, 98, 214, 132, -55, -28, -47, -34, 76, 34, 39, -37, 81 },
{ -21, 23, -26, -22, 107, -38, 97, 101, -59, -61, 29, -16, 25, 64, -67, 110, -31, 109, -40, 77, -52, -53, 204, 172, 101, 30, -32, 56, -54, 108, 132, 185, 190, -13, 83, -68, -37, 69, 26, -28, -42, 129 },
{ -50, 21, 120, -47, -63, 33, 21, 76, -46, 57, 56, -22, 28, 50, -65, 103, -56, 19, 77, -79, 121, -76, 121, 128, 195, 13, 47, -30, 65, 61, -54, 258, 188, 14, 53, 103, -50, 51, -81, 28, -77, 205 },
{ -58, 144, 89, -47, -62, -12, 57, -55, 152, 28, 99, -36, 45, 36, -108, 309, -31, -40, 41, 71, -106, 27, 212, 161, -32, -53, 30, 71, -87, 115, 95, 271, 125, -61, 63, -59, 84, 74, -9, 59, 65, -23 },
{ -84, 30, 170, -52, 140, -50, 60, 82, -69, -84, 23, -32, 63, -103, 95, 208, 117, 7, 69, 65, 55, -61, 136, 194, 140, -41, 38, -36, -86, 49, 28, 218, 254, -83, -122, 89, -37, 69, -24, 136, -40, 82 },
{ -36, 42, 212, -78, -101, -19, 30, 111, -77, 117, 23, -32, 55, 108, -62, 122, -27, 44, 20, 88, -134, 56, 157, 198, 262, -27, 43, -93, 121, 42, 95, 155, 124, 84, -114, 135, -38, 53, -57, 55, -51, 105 },
{ -45, 50, 138, -42, -120, 90, 16, 36, -54, 69, 51, 45, -64, 81, -76, 112, -95, 81, 47, -86, 102, 101, -55, 183, 330, -51, 66, 98, -110, 142, 110, -147, 351, 104, 66, 153, -44, 27, -94, -41, -93, 210 },
{ -21, -12, 26, -12, -22, -22, 104, -10, -15, -18, 38, 61, -42, 35, 46, -12, -29, 48, -64, 51, 92, 60, -42, 33, -14, -12, 85, -32, 73, 97, 149, 158, 64, -22, 87, -14, -25, 28, -30, 75, 93, 145 },
{ -18, -19, 19, -9, -34, 78, -13, 80, -28, -31, 62, -33, 52, -37, 21, 56, -54, 82, -68, 54, 42, 33, 44, -30, -16, -19, 43, -38, -52, 156, 131, 178, 83, 75, -44, 76, -35, 22, 84, 35, 81, 164 },
{ -18, 5, 10, -24, -26, 6, 74, 20, -29, -11, 65, -8, -25, 37, 41, -18, -17, -33, 78, -24, 99, 36, -27, 60, -26, -22, 19, 29, -22, 153, 119, 201, -43, 80, -28, 14, -35, 99, 26, 39, 123, 157 },
{ -19, 16, 29, -29, -41, 56, -10, 63, -24, -11, 24, -21, 51, -28, 93, -28, -24, 88, -63, 119, 16, -52, 29, 61, -35, -32, 47, -35, 58, -87, 153, 251, 88, 39, 55, 99, -38, 85, -36, 30, 87, 212 },
{ -12, -16, 14, -23, -17, 49, 34, 53, -22, 9, -25, 16, 51, -15, 36, -15, -29, -25, 63, -48, 109, -21, 49, 60, -50, -31, 20, 39, -43, 229, -99, 295, -65, 42, 26, 14, -38, 100, 54, 54, 96, 143 },
{ -40, 59, 14, -23, -48, 18, 40, 28, -26, -30, 46, -8, 19, -25, 34, -14, -37, 72, -97, 112, -27, 92, -48, 87, -35, -25, 88, -45, 128, -107, 196, 140, 131, -26, 58, 80, -38, 34, -49, 122, 38, 270 },
{ -24, 19, 72, -19, -45, -6, 5, 57, -45, -25, 110, 21, -28, 65, 34, -57, -50, 62, -29, 90, -81, 77, -47, 128, 113, -20, 104, -12, -20, 62, 110, 215, 214, 38, 37, 123, -45, 41, -62, -19, 89, 128 },
{ -25, -10, 13, -9, 42, -6, -15, 102, -35, -47, 24, 56, -19, 32, 18, -34, -51, 75, -86, 71, 62, 69, -75, 84, -64, -46, 37, 15, -44, 231, -140, 231, 74, -25, 42, 13, -40, 152, 56, 75, 85, 191 },
{ -12, 12, -26, 19, -35, 2, 83, -17, -19, -70, 76, 51, -21, 30, -39, 54, -17, 71, -86, 89, 32, 16, -55, 70, -66, -51, 37, 5, -75, 175, -70, 218, 138, -26, 57, 108, -47, 46, 74, 73, 48, 211 },
{ -14, 15, -40, 51, -37, 55, 35, -9, -24, -43, 49, 48, -28, 45, 74, -62, -33, 76, -104, 110, 53, -64, -32, 100, -39, -38, 24, -49, 46, 100, -81, 277, 120, 56, 81, 133, -36, 46, 59, -39, 52, 236 },
{ -30, 24, 154, -50, -25, 77, -25, 39, -40, -45, 144, -24, 71, -47, 104, -108, -36, 37, 49, -46, 113, 97, -113, 113, 188, 26, -29, 128, -116, 133, 177, -165, 447, 138, -38, 145, -44, -37, 72, -44, -53, 248 },
{ -26, -11, 9, -6, -29, 94, -5, 57, -23, -62, 44, 37, -10, 29, 24, -53, -76, 64, 93, -80, 56, 89, -66, 106, -77, -44, 46, -18, -60, 248, -96, 201, -71, 87, 40, 15, -23, 161, 125, 67, 49, 217 },
{ -15, 10, 100, -43, -63, 69, 22, 27, -20, -21, 22, -8, 39, 18, 24, -58, -26, -51, 119, -19, 32, 55, -81, 91, -72, -70, 52, 15, -63, 119, -90, 274, -74, 116, 84, 118, -30, 91, 92, -10, 109, 245 },
{ -14, 7, 53, -39, -18, -14, 17, 137, -39, -66, 44, 18, 13, 10, 61, -55, -77, 98, 45, 8, 37, -13, 64, 94, -160, -88, 46, 60, -83, 126, -84, 217, -104, 36, 146, 32, 219, 47, 123, 26, 59, 248 },
{ -27, 30, 20, -21, -39, -9, 65, 29, -39, 12, -30, 47, -22, 35, 82, 12, -24, 38, 55, -44, 118, 40, 44, -48, 52, -20, -20, 19, -39, 181, 135, 183, 68, 77, -36, -21, -23, 27, 63, -23, 84, 144 },
{ -21, -12, 26, -21, -38, 95, -25, 45, -36, 23, -25, 37, 41, -38, 30, 69, -27, -34, 71, -56, 79, 81, 44, -26, 72, -27, 46, 38, -64, 139, 122, 214, 109, 71, -54, 31, -28, 58, 40, -13, 61, 140 },
{ -18, -22, 29, -28, 8, 62, -37, 101, -32, -50, 66, 22, 64, -46, 31, 124, -18, 41, -69, 51, -23, 91, 127, -31, 62, 16, 57, -37, 37, 67, 118, 237, 128, 47, -74, 62, -28, -11, 41, 47, -33, 157 },
{ -19, 10, 12, -19, -48, 109, -31, 44, -46, 8, 63, -34, 77, 37, 107, -44, -45, -12, 41, 70, -45, -69, 63, 129, 108, 18, 76, -41, -47, 90, 178, 256, 125, 48, -66, 112, -32, -24, 48, 44, -35, 161 },
{ -41, 70, 110, -30, 18, -72, 9, 81, -60, -65, 63, 113, -43, -30, 42, 190, 125, 13, -36, 103, -50, 49, 154, 129, 98, -42, 16, -18, -59, 126, 123, 307, 138, -58, -74, -24, -18, 98, 18, 65, 98, -103 },
{ -18, -10, 24, -10, -17, 64, -21, 70, -17, 17, -30, -10, 59, -19, -12, 48, -28, -32, 64, -27, 90, -16, 66, -33, -24, -22, 34, 24, -39, 179, 155, 220, -32, 32, 49, -25, -16, 38, -42, 66, 114, 183 },
{ -20, -9, 32, -20, -30, 74, -33, 48, -28, 9, -32, 20, 49, -48, 43, -11, -33, 45, 61, -69, 84, 31, -35, 54, -21, -8, 77, -37, -38, 171, 164, 242, 62, -39, 47, -13, -25, 30, -36, 70, 80, 192 },
{ -13, -11, 24, -16, -24, 25, -23, 72, -16, 16, -29, 48, 30, 17, -17, 8, -28, -36, 76, -41, 73, -24, 51, -24, -12, -21, 56, -13, -35, 155, 164, 168, 23, 21, 38, -22, -18, 31, -48, 99, 62, 217 },
{ -16, -8, 27, -21, -21, 59, -26, 52, -15, -17, 37, -21, 30, 32, -42, 42, -34, 62, -111, 79, 34, -46, 68, -28, -6, 11, 11, -50, 48, 92, 144, 205, 30, 49, 30, -9, -26, 97, -28, 70, 97, 240 },
{ -20, 12, 12, -15, -14, -7, 58, -13, -9, -23, 41, -31, 37, 40, -43, 44, -30, 38, -70, 71, -30, -30, 94, -42, 82, 11, 50, -46, 42, 66, 159, 284, 69, 41, 44, -17, -28, 97, -46, 53, 34, 216 },
{ -11, -19, 17, -15, -14, -7, 72, 42, -30, 13, -16, 8, 17, 46, -18, -7, -33, -42, 80, -51, 87, -52, 60, 46, -32, 10, -40, 57, -53, 262, -134, 293, -25, -22, 63, -24, -32, 91, 41, 47, 87, 168 },
{ -23, 16, 64, -27, -30, -14, 70, 9, -20, -19, 29, 41, -12, 20, 21, -23, -14, -32, 58, -63, 92, -5, -58, 52, -6, -40, 33, -6, -54, 214, -95, 285, 75, 54, -47, 62, -33, 48, 69, 45, 77, 183 },
{ -21, 8, 17, -21, -32, 62, -22, 27, -29, -28, 77, 13, 60, -24, 58, -26, -21, 47, -67, 94, -48, 51, -77, 47, 51, -28, 58, -35, 50, -53, 200, 174, 161, 30, 70, -27, -24, 65, -50, 55, 22, 302 },
{ -23, 21, 65, -16, -26, 13, -19, 74, -21, 13, -28, 23, 53, -17, 48, -52, -39, 79, 49, -100, 135, -52, -15, 86, 103, -20, 52, 47, -101, 137, 46, 276, 209, 78, 31, 78, -38, 51, -45, -38, 88, 177 },
{ -9, -18, 18, -17, -19, -7, 122, -5, -22, -36, 63, 14, -6, 10, 48, -27, -32, 42, -74, 88, -14, 58, -57, 58, -37, -30, 33, -27, 33, 197, -142, 231, 60, -24, 35, -21, -26, 62, 75, 80, 80, 222 },
{ -14, -16, 21, -18, -37, 72, 87, -13, -12, -47, 29, 24, -26, 36, -38, 61, -43, 75, -79, 97, -21, -52, 89, -43, -27, -12, -27, 19, 42, -68, 148, 245, -58, 81, 89, -23, -27, 99, 79, -54, 145, 275 },
{ 7, -32, 16, -23, 7, 20, -30, 29, -21, -43, 49, 37, 27, -15, 69, -37, -30, 55, -69, 98, -43, 31, -89, 95, -37, -24, 84, -15, 40, 35, 109, 155, 215, 10, 91, 126, -37, 34, -69, 116, -32, 306 },
{ -27, 25, 109, -38, -48, -20, 48, 33, -13, 8, 40, 73, 44, -34, 101, -55, -75, 84, 31, -84, 102, 40, -113, 77, 104, -11, 97, 47, -76, 81, 202, -136, 388, 67, 62, 156, -50, 52, -61, -22, -35, 333 },
{ -17, -14, 14, -8, -34, 73, 87, -16, -9, -40, 56, 24, -18, 17, 64, -47, -30, -50, 119, -81, 57, 76, -93, 78, -68, -45, 27, 18, -41, 194, -121, 257, -56, 42, 36, 9, -19, 179, 94, 57, 74, 246 },
{ -9, -12, 25, -23, -31, 73, -15, 82, -29, -53, 87, 27, -16, 39, -13, -24, -13, -24, 72, -45, 48, 60, -95, 91, -82, -51, 22, 14, -48, 106, 177, -140, 214, 34, 55, 139, -32, 101, 33, 52, 49, 326 },
{ 6, -39, 31, -22, 6, 66, -28, 97, -42, -62, 82, 27, -29, 38, 76, -52, -30, 59, -64, 63, 51, 31, -113, 89, -58, -40, 75, -29, 23, 43, 158, -113, 239, 106, 100, 205, -40, 53, 45, -38, 62, 321 },
{ 10, -47, 31, -23, 60, 57, -36, 80, -32, 9, -24, 110, 23, -60, 99, -68, -63, 102, 39, -60, 105, 99, -115, 19, 147, -31, 47, -81, 114, 38, 102, -180, 335, 127, 123, 249, -53, 136, -88, 58, -95, 322 },
{ 30, -19, 11, -24, -21, 106, -8, 102, -23, -48, 14, 4, 12, 28, 70, -62, -64, 92, 30, 40, -10, 67, -36, 93, -127, -98, 41, 32, -64, 63, 66, 149, -28, 44, 98, -26, 237, 62, 126, 68, 41, 269 },
{ -11, -25, 22, 70, -30, 129, -20, 10, -34, -54, 69, 31, 11, 120, -32, -36, -41, 30, 66, 31, -34, -68, 111, 99, -159, -101, 55, -74, 99, 54, 93, 88, -119, 84, 200, 151, 141, 86, -52, 121, 39, 298 },
{ -32, 210, 15, 48, 11, -22, -8, 20, -39, 126, -90, 172, -32, 30, 43, -99, -40, 142, 19, 146, 27, 53, -103, 92, 176, 39, -21, 36, -103, 190, 96, 223, 289, 117, 72, -47, -33, -37, 95, -76, 33, 197 },
{ -24, 20, 26, -14, -47, 76, -24, 35, -28, 7, 61, -28, 59, -46, 33, 67, -28, 45, -68, 44, 34, 37, 59, -35, 57, -17, 51, -27, 31, 65, 180, 272, 41, 77, -22, -20, -19, 17, 51, -49, 72, 194 },
{ -29, 17, 59, 5, -43, 57, -21, 35, -44, -13, 26, -24, 108, -45, 52, 108, -19, 29, -47, 38, 33, 29, 45, 84, -31, 20, -19, 91, -37, 80, 155, 282, 167, -64, 53, -13, -24, 81, -34, 51, -42, 205 },
{ -26, 20, 59, -13, -44, 98, -16, 18, -25, -16, 20, -21, 86, 54, -62, 90, -27, 66, 39, -82, 74, -40, 64, 38, 117, 26, -37, 22, -43, 96, 104, 299, 147, 87, -48, -14, -28, 56, 52, -47, 41, 186 },
{ -26, 23, 35, -9, -55, 92, -30, 125, -56, 14, -30, 35, 39, -43, 79, 206, -71, 112, 38, -87, 81, -39, 168, 101, -41, 96, 15, -22, 9, 110, 133, 353, 68, -63, 77, -26, -25, 30, -36, 85, -43, 121 },
{ -27, 30, 127, -19, -51, -23, 14, 66, -42, -12, 77, 15, 36, 51, -95, 109, -67, 98, 40, -69, 84, -37, 181, 118, 64, 145, 22, -34, 52, 64, 81, 335, 176, -37, 116, -56, -23, 35, -53, 65, -62, 173 },
{ -24, 33, -13, -15, -24, 139, -27, 75, -35, -57, 127, -29, 40, 111, -76, 56, 40, -14, 67, -103, 100, -54, 19, 122, 177, 27, -34, 16, 94, 78, 50, 297, 232, 25, 99, -56, -28, 164, -44, -63, 23, 157 },
{ -24, 31, 159, -27, -25, -55, -40, 119, -52, 164, -21, 107, 23, 103, -77, 252, -68, 16, 37, -43, -135, 66, 240, 115, -85, 22, 114, -55, 145, 127, 100, 314, 45, -64, 108, -41, -23, -16, 63, -42, 39, 52 },
{ -38, 28, 84, -7, 103, -12, -32, 119, -49, -90, 111, 58, 18, 58, -81, 148, 86, -8, 60, -44, 136, -112, 178, 195, 98, 21, -56, 65, -87, 160, 38, 367, 189, -140, 99, -64, -20, 123, -23, 123, -73, 117 },
{ 20, -60, 136, -28, -27, 59, -17, 103, -63, 15, 83, -41, 74, -71, 84, 108, -85, 162, -46, 131, 87, -67, 105, 172, 213, 93, 41, -32, -114, 210, -70, 319, 171, 134, -168, 160, -40, -10, 72, -87, 124, -107 },
{ -48, 50, 227, -20, -90, -51, 26, 59, -79, 153, 13, 21, 26, 64, 47, -61, -59, 168, -53, -58, -77, 139, -82, 211, 348, 64, 45, -36, 184, 154, 119, -132, 371, 111, 63, 148, -45, 50, -126, -85, -117, 301 },
{ -23, 36, -27, 102, -22, 64, -41, 131, -59, 164, 50, 19, 34, -75, 111, 265, -88, 52, -68, -46, 194, -101, 201, 235, 91, 20, -11, 26, 85, 219, -65, 375, 91, -99, 77, -53, -27, 107, 95, -27, -120, 99 },
{ -15, -17, 38, -17, -31, 50, -45, 27, -23, 22, -19, -23, 50, 23, -35, 29, -36, -39, 79, -45, 78, -72, 83, -31, -15, 13, -11, 37, -67, 216, 206, 247, -51, 38, -14, 9, -27, 33, 94, -15, 111, 198 },
{ -12, -20, 32, -18, -36, 45, -35, 22, -17, 19, -35, 24, 25, 38, -22, 14, -17, -30, 58, -68, 95, -82, 70, -21, -18, -18, 54, 26, -45, 171, 170, 236, -16, -14, 44, -25, -13, 34, -44, 69, 87, 233 },
{ -12, -15, 32, -24, -19, 39, -28, 28, -20, 33, -44, 47, -34, 45, -25, 13, -15, -43, 76, -109, 108, -58, 83, -41, 27, -18, 24, 37, -101, 177, 169, 277, -22, 33, 32, -26, -12, 32, -53, 53, 78, 214 },
{ -18, 13, 15, -20, -30, -10, 33, 11, -17, 31, -27, 31, -31, 29, -26, 42, -24, -32, 73, -87, 104, -75, 54, 57, -31, 9, 7, 30, -75, 121, 130, 303, 54, 59, -15, 49, -28, 62, 40, -79, 90, 256 },
{ -12, -18, 29, -19, -35, 46, -29, 29, -21, -12, -5, 13, 23, 16, -19, 15, -6, -25, 72, -69, 55, -55, 52, -41, -10, -13, -16, 29, -57, 110, 181, 140, 48, 44, -22, -22, -13, 20, 99, 107, -73, 373 },
{ -10, -15, 25, -20, 9, -12, -12, 23, -22, -31, 39, -15, 26, -16, 31, -13, -26, 62, -86, 72, -42, 42, -73, 53, -12, 10, -11, -45, 46, 68, 125, 170, 149, -42, 56, -16, -26, 39, -19, 109, -60, 343 },
{ -21, 23, 57, -21, -30, -6, 35, 18, -17, 21, -24, 45, -37, 16, 25, -18, -23, -17, 65, -93, 96, -46, -67, 53, 46, -9, 33, -60, 87, 65, 124, 238, 144, 72, -44, 74, -20, 35, -35, 87, -52, 329 },
{ -26, 24, 124, -10, -49, 27, -33, 29, -19, 25, -19, 69, 43, -53, 46, -49, -36, -21, 85, -73, 77, -37, -24, 84, 109, 24, -13, 59, -37, 103, 133, 263, 206, 27, 84, -34, -18, 85, -50, 60, -89, 336 },
{ -8, -21, 20, -17, -19, 81, -13, 27, -18, -24, 30, -7, 38, -29, 23, -27, -14, -16, 81, -76, 51, 38, -86, 59, -29, -61, 43, -20, -28, 218, -120, 222, 40, 6, 18, -19, -18, 90, -17, 67, 116, 270 },
{ -11, -14, 25, -20, -18, 86, -24, 13, -7, -38, 30, -32, 44, 11, -15, 42, -12, 25, -57, 51, 36, -92, 67, -35, -15, -51, 71, 19, -59, 159, -106, 317, -40, 51, 79, -16, -22, 87, -51, 35, 123, 241 },
{ 5, -34, 18, -19, 13, 67, -18, 26, -29, -54, 53, -9, 41, -22, 28, -14, -18, 79, 54, -79, 80, -33, -35, -67, 70, -31, 98, -49, 34, 50, 84, 192, 167, 87, 76, -41, -19, 59, -41, 82, -64, 389 },
{ 51, -27, 28, -27, 9, 63, -20, 61, -6, -24, -25, 161, -32, 46, -38, -35, 28, -39, 91, -70, 167, 65, -116, 66, 119, -41, 24, 93, -55, 83, 111, 168, 251, 72, 142, -30, -23, 68, -72, -45, 71, 249 },
{ -10, -13, 18, -17, -14, 121, -13, 28, -25, -49, 11, 12, 63, -29, 20, -25, -18, -40, 94, -65, 37, 82, -97, 44, -40, -54, 13, 28, -61, 193, -85, 239, -35, 52, 36, -33, 89, 30, 113, 105, 115, 280 },
{ 6, -26, 14, -24, 6, 83, -13, 21, -19, -53, 11, 82, -24, 54, -64, 70, -9, -36, 47, 25, 93, -103, 100, -66, -44, -34, 17, 16, -77, 74, 81, 213, -63, 127, 65, 82, -38, 102, -26, 97, 150, 269 },
{ 5, -27, 16, -13, 54, -40, 109, 22, -23, 10, -48, 133, 18, -14, 42, -29, -12, -33, 66, -66, 68, 36, -87, -72, 104, -30, 44, -13, 30, 40, 63, 159, 151, 125, 79, 182, -43, 71, -64, 63, 77, 301 },
{ -20, 178, 30, -21, -16, -21, -12, 112, -31, 24, -43, 145, 19, -32, 154, -58, -50, 41, -55, 98, -74, 92, -62, -69, 68, -8, 29, 136, -32, 150, 47, 152, 174, 171, 138, 200, -62, 57, -96, -39, 114, 243 },
{ -45, 145, 20, -24, 138, -102, -15, 15, -28, 172, -81, 203, 10, 124, 79, -157, -28, 217, -110, 53, 132, -104, 97, 34, 98, -25, 98, -58, 223, 104, -84, 165, 262, 253, 125, 97, -50, 98, -231, 136, -119, 230 },
{ 48, -28, 16, -22, -15, 127, -16, 104, -13, -40, 35, 17, 10, 5, 24, -49, -31, 98, -52, 63, 54, 56, -53, 87, -89, -102, -24, 75, -10, 70, 56, 103, 42, 37, 74, -38, 247, 58, 156, 87, 73, 264 },
{ 65, -41, 39, -22, -25, 198, -5, -8, -8, -41, 74, 3, 7, 64, -43, 31, -48, 76, 87, -79, 80, 34, -55, 150, -142, -100, 50, -62, 90, 46, 51, 59, 130, -51, 165, 190, 153, 80, -29, 141, 61, 358 },
{ 53, 19, -39, 56, -11, 102, -10, 88, -45, -37, 117, -46, 24, 81, 33, -39, -46, 20, 105, 56, -103, 55, -53, 182, -119, -62, 89, -16, 74, -21, 95, 66, 184, -103, 244, 354, -43, 146, -137, 122, 91, 296 },
{ 69, 43, -33, 17, -43, 38, -6, 10, -20, 22, 133, -60, 74, 59, 81, -105, -23, -19, 84, 31, 106, 76, -142, -77, 111, -43, 68, -69, 59, 51, 41, 72, 163, 172, 200, 362, -65, 108, -105, 38, 134, 250 },
{ -23, 239, 22, -26, 95, -51, -106, 130, -26, 125, -94, 26, 148, 38, 47, -96, 23, -81, 168, -25, 68, -62, 214, -105, 138, -57, 117, 92, -88, 99, -86, 276, -190, 297, 301, 72, -32, 115, -142, -184, 295, 303 },
{ 39, -243, 456, 430, -590, 34, -63, -1350, 68, 97, 1383, 18, 62, 40, -101, 38, -66, 78, -161, 764, -166, 629, -211, 72, -159, 29, -69, 114, -314, 148, 438, 267, 422, 604, -104, 77, 237, -236, 185, -373, 590, -693 },
{ -22, 23, 83, -13, -31, -18, 16, 53, -12, 19, 9, 29, -72, 59, -24, 59, -33, 26, -75, 47, 69, -50, 86, -17, -14, 24, -31, 26, 48, -38, 212, 329, -19, 60, 31, -16, -25, 30, 20, -96, 93, 241 },
{ -31, 18, 80, 7, 24, -36, 14, -34, 60, -37, -13, 25, 97, 39, -50, 96, -23, 44, -42, 63, -106, 69, 40, 84, -26, 33, -25, 33, -57, 75, 219, 323, 161, -82, 39, 44, -31, 37, -31, 79, -65, 215 },
{ -24, 24, -14, 101, -25, 12, -28, 21, -33, 23, -21, 104, 41, -50, 55, -31, -23, -26, 77, -87, 88, -70, 36, 97, 109, 21, -25, 82, -79, 96, 126, 336, 179, -69, 49, -26, -20, 113, -36, 78, -44, 249 },
{ -21, -21, 20, -9, 23, 149, -25, 54, -53, -41, -26, -31, -44, 117, -38, 242, 37, -43, 63, 133, -60, -22, 167, 89, -39, -35, 66, 29, -40, 78, 144, 367, 105, -95, 72, -18, 74, 17, -35, 123, -50, 198 },
{ -22, 25, -12, 4, -17, 93, -22, 112, -41, -26, 21, -33, 57, 51, -100, 109, 16, -31, 75, -60, 113, -75, 167, 77, 80, 22, -54, 74, -38, 78, 118, 420, 131, 84, -98, -18, -21, 102, 52, 54, -61, 208 },
{ -23, 18, 70, 59, -31, 93, -19, 40, -43, 18, -49, 151, -47, 169, -74, 130, -23, -33, 60, -28, 85, -67, 32, 101, 226, 17, 123, 32, -86, 60, 133, 269, 315, -53, 95, -61, -34, 40, -57, 57, -88, 245 },
{ -19, 25, 95, -12, -25, -8, 82, 104, -48, 36, -31, 10, -50, 87, -85, 167, -11, 132, 173, -32, 50, -112, 266, 117, -43, 22, -56, -82, 54, 181, 118, 377, 132, -89, 67, -28, -22, 99, 126, 46, -138, 170 },
{ -38, 20, 11, 107, -17, 205, -36, 62, -78, 14, -35, -22, 225, -43, 116, -64, -29, 255, -94, 81, -78, 129, -140, 293, 160, 29, -45, 86, -127, 220, 138, 303, 314, -147, 154, -127, -22, 38, 198, -128, 127, -69 },
{ -30, 221, 21, 109, 13, -40, -25, 23, -34, 84, 15, -18, 46, -34, 60, -111, -55, 95, 75, 34, 138, 16, 46, 55, 300, 45, 85, -16, -71, 103, 65, 201, 179, 226, -186, 261, -43, -47, 57, -136, 140, 225 },
{ 81, -89, 98, 189, 162, 34, -26, -70, 76, 13, -47, -68, 73, -144, -47, 288, -7, 103, 192, -71, -54, -50, 170, 195, -121, 11, -99, 30, 176, 111, 184, 413, -93, 127, 135, 52, -20, 98, -24, -70, -96, 184 },
{ -28, 23, -20, 143, 84, 106, -55, 173, -77, -9, -23, 45, -117, 151, 118, 151, -14, 108, 86, 175, -82, -130, 118, 219, 131, 21, -100, 95, 52, 161, 193, 347, 204, -139, 190, -33, -23, 61, -28, 28, -117, 115 },
{ 23, -79, 223, 67, 33, -21, -22, 40, -45, -31, 34, -7, 43, 182, -62, 184, 123, -13, 23, 61, -67, 72, 32, 294, 213, -73, 67, -47, 22, 161, 276, -189, 432, -117, 165, -68, 172, 96, -116, 106, -327, 336 },
{ -37, -9, 66, -47, -27, 19, 152, -43, 120, -23, -222, 90, -53, 79, -209, 88, -53, -31, 73, 86, 186, 303, 376, 137, 171, -233, -29, 80, -102, -274, 75, 303, 290, 119, 206, -110, -174, 73, 69, -176, 203, 182 },
{ -7, -11, 18, -18, 8, -33, 49, 58, -15, 17, -34, 55, -54, 45, -42, 24, -17, -11, 40, -85, 114, -88, 45, 13, -28, -30, 35, -38, 37, 124, 234, 178, 53, -54, 33, -27, 47, 24, -27, 108, -75, 327 },
{ -7, -13, 25, -27, 34, -23, 34, 38, -9, 13, -14, 51, -70, 39, -42, 26, -42, 31, -29, -61, 115, -84, 71, -22, -13, 16, 10, -46, 52, 84, 222, 242, 43, -38, 26, -13, -24, 36, -12, 107, -77, 314 },
{ -10, -18, 26, -14, -19, 35, -13, 33, -19, 30, -32, 30, -18, 30, -29, 24, -21, -26, 50, -95, 99, -83, 54, -23, -17, -24, 33, -40, 45, 101, 196, 173, 58, -27, 31, -24, -10, 32, -41, 129, -83, 353 },
{ -13, 8, 13, -18, -28, -11, 124, 23, -13, 21, -22, 28, -26, 39, -31, 11, 15, -33, 40, -79, 90, -104, 49, 33, -27, -44, 27, -48, 40, 58, 218, 217, 62, -41, 33, -26, 10, 45, -23, 114, -71, 361 },
{ -12, -9, 28, -18, -21, 70, -18, 66, -10, 16, 10, -23, 61, -44, 40, -8, -38, 31, -45, 64, -100, 75, -67, 68, -7, 11, 23, -46, 56, 16, 236, 233, 142, -59, 61, -19, -18, 18, -31, 107, -118, 333 },
{ -12, -8, 23, -15, -20, 70, -9, 26, -19, 25, -28, 24, -5, 19, -22, 22, -13, -36, 52, -79, 86, -74, 50, -33, -10, -20, 28, -40, 23, 99, 156, 157, 19, 21, 19, -34, -11, 42, -55, 142, -42, 369 },
{ -9, -14, 28, -18, -13, 29, -26, 9, -12, -26, 20, 12, 49, 32, -28, 13, 11, -31, 36, -69, 86, -75, -49, 81, -23, -30, 28, 34, -100, 144, 107, 228, 95, -45, 67, -22, -12, 41, -67, 82, 60, 253 },
{ -9, -30, 29, -11, 14, 80, -46, 29, -24, -18, -14, 63, 42, -30, 112, 1, -15, 51, 50, -91, 84, -43, -78, 89, -15, -20, 44, -34, -47, 80, 129, 234, 163, -39, 81, -22, -11, 28, -67, 114, -58, 352 },
{ -22, 17, 105, 7, -12, -16, -22, 23, -38, -14, 19, 123, -24, 52, -56, 120, -26, 39, -74, 74, 186, -126, 65, -16, 61, 9, 19, -42, 68, -55, 137, 318, 135, 118, -52, 91, -28, 67, 35, -71, 38, 293 },
{ -9, -14, 25, -17, -9, 8, -24, 37, -10, 13, -28, 10, 30, -16, 12, -24, -10, -45, 86, -103, 110, -82, 52, -28, -8, -47, 46, 39, -112, 274, -127, 306, -51, 38, 17, -28, -14, 80, -12, 99, 125, 222 },
{ -9, -18, 23, -16, 10, -18, 67, 7, -26, -16, 19, -17, -11, 35, -12, 14, -29, 69, -90, 75, 34, -109, 65, -68, 41, -22, 22, -69, 76, -34, 139, 152, 111, 26, 41, -18, -8, 121, -24, 121, -49, 404 },
{ 10, -27, 103, -17, 16, -8, 10, 11, -23, -27, 12, 27, -24, 14, 33, -24, -27, 47, -58, 45, 178, -45, -112, 82, -18, -11, 30, -62, 32, 52, 115, 181, 169, 51, 49, 62, -23, 130, -58, 67, -28, 434 },
{ -18, 15, 107, 4, -24, -15, -13, 10, -34, 142, 25, -21, 71, 45, 50, -55, -51, 26, -44, 82, -77, 189, -111, 56, 93, 18, 30, -47, 142, 130, 85, 187, 241, 129, 138, -18, -36, 55, -76, 52, -67, 336 },
{ -30, 218, 24, 56, -11, -17, -28, 25, -31, 26, -28, 103, 92, -52, 94, -83, -21, -21, 165, 18, 152, 63, -142, 67, 139, 23, -47, 65, -66, 202, 151, 214, 237, 190, 79, -41, 105, -52, 116, -125, 55, 247 },
{ -6, -11, 20, -18, -37, 127, -18, 49, -32, 18, -35, 14, 27, -27, -20, 22, -22, -45, 97, -102, 146, -86, 69, -66, -20, -35, -4, 62, -86, 242, -141, 291, -52, 50, 29, -42, 84, 23, 144, 93, 112, 248 },
{ -9, -13, 24, -17, -17, 139, -18, 19, -20, -47, 35, -40, 55, -46, 50, -18, 10, -43, 33, 72, -95, 95, -147, 81, -47, -28, -14, 76, -80, 152, -61, 221, 63, 67, 65, 93, -22, 111, 103, -38, 163, 299 },
{ -15, 76, 24, -17, -28, 85, -10, 24, -10, -34, 38, -29, 94, -12, 49, -35, -32, 34, -41, 74, -45, 148, -83, -91, 76, 25, -13, -39, 102, 51, 75, 124, 151, 182, -48, 266, -39, 88, 62, -75, 161, 329 },
{ -45, 428, -57, 23, 107, -117, 17, -32, -30, 255, -106, 173, -38, 92, 89, -144, -47, 28, 233, -32, 98, 110, -161, 66, 116, -54, 48, 135, -67, 226, 139, 121, 212, 286, 112, -40, -47, 101, -162, 95, -26, 280 },
{ 32, -21, 14, -15, -5, 57, 138, 7, -12, -21, 11, -20, 16, 69, -57, 33, -52, 29, 105, 71, -63, 144, 15, -50, -53, -121, 20, -26, 95, -51, 161, 84, 60, 62, 45, -45, 257, 92, 130, 142, 94, 307 },
{ -6, -21, 79, 12, 11, -8, 103, -20, -12, -30, 17, 86, -18, 139, -49, 45, 17, -43, 69, 101, -24, 84, -96, 146, -131, -101, 43, -19, -48, 145, 119, 70, 115, 17, 93, 107, 159, 68, -41, 169, 131, 298 },
{ -15, 19, 137, -20, -11, -15, 148, -13, 7, -16, 27, -42, 125, -25, 37, -21, -14, -38, 164, 39, -51, 92, -92, 189, -126, -31, 105, -55, -33, 193, 51, 79, 118, 39, 130, 228, -63, 109, -65, 69, 178, 310 },
{ 17, -32, 13, -35, 77, -5, -191, 107, -31, -130, 120, -32, 52, 48, -48, -50, -42, 45, 11, 40, 59, 58, 62, 314, 211, 51, -23, -20, -32, -112, 176, 295, 209, -41, -65, -23, -23, 40, 79, 45, -43, 206 },
{ -20, 17, 124, -13, -28, -7, 15, -5, -4, 33, -18, 43, -49, 48, -24, 31, -41, -28, 64, -77, 101, -55, 60, -22, 27, 23, 74, 38, -111, 142, 160, 338, 42, -30, 42, -16, -23, 27, -8, -41, 103, 164 },
{ -26, 19, 78, 8, -21, 31, -26, 35, -25, 19, -22, 85, 56, -94, 42, 100, -29, 46, 33, -90, 54, 28, 72, -21, 25, 18, 32, -42, 32, 75, 135, 380, 67, 41, -41, 51, -25, 63, 7, 61, -119, 289 },
{ -25, 16, 60, 7, -29, 67, -18, 24, -24, 23, -10, -11, 53, -48, 47, -22, -31, -20, 47, -51, 163, -76, 55, 71, 96, 16, 78, 17, -36, 65, 132, 337, 150, -72, 69, -22, -27, 32, -59, 84, -88, 316 },
{ -13, 14, 10, -15, -29, -14, 55, 45, -37, 12, 133, -17, 125, -41, 42, 121, -31, 22, -37, 61, -105, 74, 77, 116, -32, 20, -14, -37, 50, 207, 138, 382, 162, -86, 75, -28, -12, 108, 14, 64, -144, 188 },
{ -20, 21, -17, 23, -13, 82, -30, 43, -48, -34, 21, -12, 142, -45, 82, -27, 14, 54, -39, 52, 206, -84, 36, 155, 50, 105, -23, -13, 89, -129, 176, 348, 247, -83, 150, -50, -22, 57, -55, 107, -158, 328 },
{ -19, 12, 114, 6, -24, 58, -11, 85, -31, 14, 86, -23, 54, -16, 69, -86, -29, -18, -10, 78, 165, -112, 72, 121, 114, 96, 30, 82, -100, 95, 56, 395, 203, 89, -91, 134, -26, 42, 28, -59, 76, 165 },
{ -40, 19, 154, -17, 5, -16, -35, 96, -52, -29, -10, 205, -81, 153, -113, 227, -49, 151, -62, 224, -96, -61, 302, -50, -67, 123, 27, -42, 84, 175, 191, 430, 36, 127, 57, 120, -32, 76, -27, 38, -147, 145 },
{ 7, -57, 59, -34, 133, 43, -28, 89, -93, -47, 12, 143, -27, -54, 113, 61, 19, -28, -42, 157, 167, -119, 60, 227, 144, 121, -32, -11, 79, 149, 163, 339, 313, -117, 93, -85, -17, 49, 77, 78, -222, 201 },
{ -105, 11, 112, 152, 35, -29, -43, 36, -46, -16, 15, 117, -23, 97, 102, -84, 196, -66, 106, 84, 68, -161, 67, 259, 140, 188, -46, 43, -45, 279, 147, 283, 319, -176, 169, -114, -24, 84, -66, 79, -170, 235 },
{ -60, 78, -35, 279, -185, 294, -40, 65, -128, 118, -14, 32, -89, 184, -90, 373, -40, 38, 68, 357, 103, -135, 344, 246, -110, 40, 264, -86, -87, -302, 145, 232, -131, -189, 84, 311, -33, -86, -66, 161, 322, 450 },
{ -45, -51, 151, -31, 105, -61, 215, -43, 110, -28, -80, 61, -74, 72, -162, 354, 57, -46, -49, 81, 285, 202, -137, 353, 167, 17, 13, 178, 61, 133, 83, 244, 341, 225, -147, 114, 87, -80, 44, -68, -217, 68 },
{ -70, 33, 105, 157, -24, -228, 237, -30, -47, 166, -81, -52, 203, 101, -115, 220, -53, 91, 32, 80, 145, -132, 67, 293, 302, 45, 32, -49, -115, 145, 198, -219, 461, -118, -114, -73, 80, 94, 29, 332, -115, 297 },
{ -6, -14, 15, -12, -23, 16, 25, 11, -18, 26, -16, 29, -25, 48, -18, 20, -16, -12, 35, -84, 103, -99, 40, -25, -8, -30, 21, -24, 36, 86, 233, 142, 53, -23, 26, -23, 68, 26, -15, 106, -114, 349 },
{ -13, 15, 21, -23, -23, -15, 53, -14, 19, 28, -18, 51, -51, 46, -33, 15, -26, -11, 43, -100, 113, -96, 54, -29, 8, -29, 26, -23, 46, 40, 212, 238, 62, -23, 27, -27, 17, 25, -17, 108, -147, 346 },
{ 51, -23, 18, -21, -13, 60, 59, -17, 12, -17, 15, 21, -24, 40, -33, 11, 7, 26, -43, -57, 96, -110, 51, 15, -21, -34, 7, -29, 62, 93, 167, 168, 48, -37, 31, -13, -8, 35, -32, 134, -103, 361 },
{ 38, -17, 23, -25, -26, 32, -13, 14, -15, 16, 9, -13, 67, -19, 36, -8, -20, 23, -53, 48, -106, 70, -73, 52, -19, -35, 40, -45, 62, 13, 222, 196, 76, -36, 43, -19, 56, 26, -38, 107, -87, 371 },
{ -10, -17, 26, -14, -15, 31, -19, 24, -16, 20, -28, 23, 49, 27, -22, 99, -22, 17, 31, -77, 70, -122, 67, -21, 7, -19, 29, -61, 57, 64, 165, 318, 101, -34, 66, -28, 12, 66, -31, 113, -114, 347 },
{ 46, -22, 20, -18, -7, 89, -22, 68, -12, 23, -31, 12, 21, 11, -23, 26, -11, -24, 42, -88, 88, -86, 50, -27, -16, -36, 28, -35, 32, 78, 165, 142, 43, -26, 38, -39, 92, 30, -42, 162, -87, 396 },
{ 56, -25, 23, -26, 10, -23, 116, 3, -17, 14, -32, 22, -11, 30, -21, 27, -13, -13, 32, -58, 76, -111, 65, -50, 48, -33, 40, -36, 43, 14, 177, 203, 61, 25, 84, -19, -16, 47, -56, 124, -102, 411 },
{ -14, 9, -8, 13, -22, 33, -17, 5, -27, 24, -29, 63, 23, -24, 135, 38, -26, -4, 57, -75, 82, -63, -86, 94, -12, 10, 71, -41, 115, 14, 147, 213, 166, -47, 91, -22, -27, 37, -51, 117, -112, 392 },
{ -24, 16, 21, 3, -17, -4, 137, -29, 10, 21, -24, 61, -17, 44, -28, -27, -38, 98, 16, -40, 112, -95, -55, 112, 37, 17, 22, -52, 52, 110, 81, 301, 237, -76, 95, -10, -20, 100, -50, 102, -123, 346 },
{ -5, -14, 18, -9, -22, -11, 139, -12, -6, 21, -38, 32, -8, -12, 28, -16, 16, -60, 68, -93, 125, -41, -63, 89, -9, -57, -15, 51, -96, 235, -83, 221, 72, 30, -19, -18, -10, 179, 54, 41, 172, 284 },
{ -9, -7, 25, -20, -19, 103, -20, 78, -34, -26, 27, -16, -19, 41, -31, 37, -13, 26, -72, 48, 75, -138, 54, -62, 58, -37, 60, -22, 132, -33, 164, 160, 70, 68, 81, -17, -19, 75, -42, 132, -77, 455 },
{ 7, -22, 123, -18, 43, 24, -28, 23, -22, -34, 35, -49, 20, 44, 24, -9, 19, 55, -46, 47, 172, -86, -93, 74, -19, -40, 47, -37, 109, -19, 137, 174, 158, 51, 102, -21, -19, 42, -92, 114, -70, 449 },
{ -26, 97, 23, 34, -20, 50, -21, -21, 7, 18, 106, -29, 17, 10, 9, -33, -39, -12, 141, 64, -60, 249, -140, 144, 67, 18, 30, -43, -31, 192, 88, 211, 226, 109, 94, -33, -15, 159, -85, 80, -50, 348 },
{ -6, 11, -28, 8, -10, 74, 36, -14, -7, -59, 30, -28, 33, -41, 54, -24, 14, -26, 67, -79, 173, 87, -151, 42, -13, -59, -36, 84, -80, 213, -83, 204, 51, 46, 21, -22, -17, 99, 159, 62, 133, 278 },
{ -13, 38, 23, -27, -25, 127, -17, 28, -30, -9, 31, -16, -27, 36, 39, 22, -12, 38, -76, 65, 219, -150, 71, -84, -23, -43, 36, -67, 135, -48, 137, 213, -38, 140, 12, 105, -22, 91, -36, 104, 89, 414 },
{ 8, -24, 130, -12, -16, 6, 86, 9, -24, 15, -5, 76, -34, 23, 9, 28, -35, 31, -47, 78, -60, 61, -76, -75, 135, 9, 97, -69, 34, 95, 62, 117, 167, 73, 180, -37, -20, 158, -64, 57, 78, 365 },
{ -24, 130, 110, 14, -26, 6, -11, 26, -26, 31, -20, 108, -33, 25, 49, -62, -39, -22, 47, -36, 348, 88, -208, 147, 60, 49, -50, 93, -122, 271, 135, -104, 349, 185, 81, 171, -19, -75, 98, -108, 46, 368 },
{ -31, 106, -13, 14, 224, -88, 102, -46, -37, 18, 131, -18, 141, -52, 139, -145, -58, -41, 128, 159, 147, 191, -208, 82, 149, 52, -81, 116, -55, 142, 266, -203, 422, 305, 26, 146, -26, -85, 121, -145, 184, 275 },
{ 46, 41, -35, 10, -5, 34, 95, 15, -16, -23, -26, 75, -7, 26, -34, 45, 40, -17, -26, 32, 193, -21, 54, -45, -49, -104, -70, -34, 45, 98, 135, 175, -69, 138, 19, -41, 272, 65, 175, 96, 175, 309 },
{ 74, -33, 16, 69, -9, 35, 135, -18, -19, -13, 30, 21, -10, 31, -47, 55, 42, -22, -41, 193, -21, 145, 53, -88, -97, -48, -76, 79, -29, 165, 95, 53, 101, 58, 81, 100, -38, 137, 89, 126, 166, 388 },
{ 6, -16, 157, -11, -23, 66, -4, -9, 105, 14, -20, 15, 12, -37, 38, -10, -34, 34, -16, 185, -25, 60, -81, 71, -133, -20, 72, -83, 66, 40, 99, 99, 68, 58, 121, 232, -59, 182, -40, 106, 168, 356 },
{ -18, 9, 85, -21, -40, 97, 39, -19, 9, 22, 46, -15, 74, -26, 76, -80, -27, -43, 16, 39, 237, 62, -138, 238, -63, 29, -22, -42, 82, -109, 115, -43, 229, 153, 154, 221, 133, -93, -69, 232, 77, 313 },
{ -15, 260, -54, 24, -22, 220, 16, -16, 179, 31, 16, -34, 38, -76, 111, -128, -23, -77, 240, 71, 139, 48, 130, -216, 135, 56, -87, 85, -33, 135, -233, 222, 60, 344, 170, 242, -30, -73, 185, -135, 108, 242 },
{ -13, 50, 24, -28, -18, -5, -12, 31, 72, 20, -17, 60, -26, 40, -44, 15, -24, -6, 30, -66, 83, -117, 53, 25, -9, 10, 15, -26, 47, 20, 196, 335, 78, -54, 49, -11, -14, 26, -24, 78, -108, 305 },
{ -9, -20, 29, -21, 6, 96, -31, 49, 39, 18, -34, 76, 44, -60, 40, -14, -26, -13, 65, 40, -130, 58, 37, 68, -14, 7, 27, 45, -55, 88, 209, 356, 78, -58, 79, -19, -17, 21, -37, 55, -97, 270 },
{ 5, -25, 17, -23, 9, -13, 28, 55, -9, 9, -20, 40, -16, 35, -57, 133, -25, 49, 17, -33, 79, -114, 89, 25, 22, 11, 21, 44, -43, 71, 100, 427, 107, -54, 56, -13, -24, 23, -40, 97, -97, 318 },
{ -12, 9, 14, -17, -13, 139, -26, 57, -56, 13, -17, -8, 248, -95, 195, 132, -33, 76, 106, -44, 69, -95, 154, -81, 149, 11, 9, -33, 45, 252, 87, 478, 91, 124, -32, -9, -14, 68, 8, 87, -156, 234 },
{ 13, -17, 45, -23, -24, 11, -7, 79, -15, 11, 109, 16, -12, 41, -85, 136, -11, -19, -17, 184, -106, 99, -9, 169, 154, 21, 104, -43, 87, 187, 97, 302, 254, -60, -55, 44, -28, 102, -5, 111, -211, 291 },
{ -23, 16, 42, 9, -33, 53, -14, -24, 11, 5, 63, -36, 32, 61, -60, -41, -20, 136, -24, 70, -90, 80, -28, 124, 104, 24, -12, 103, -28, 230, 95, 265, 262, 74, -80, 196, -26, 107, -20, 82, -156, 293 },
{ 8, -47, 11, -31, 95, -8, 173, 49, -76, 5, -14, -16, -43, 171, -103, 269, -27, 16, 208, 38, -57, -78, 303, -63, -77, -41, 88, -55, 179, 156, 259, 490, -66, 200, 45, -27, 8, 160, 108, -25, -107, 132 },
{ 3, -31, 61, -17, -9, 58, -21, 40, -44, 8, -31, 12, -46, 95, -103, 144, -21, 120, 139, 148, 30, -89, 170, 181, -50, 12, -32, -37, -32, 165, 142, 416, 147, -83, 106, -54, 137, 6, 152, 46, -123, 162 },
{ 10, -44, 52, -26, -79, 75, 160, -10, -24, 7, 4, -62, 45, 177, -144, 250, -31, -18, 253, 38, -99, 124, 106, 300, -28, 63, 26, -48, 43, 314, 83, 280, 272, -156, 152, -29, 19, -61, 177, 48, -188, 185 },
{ -121, 8, 116, 132, 15, -51, -10, 19, -50, 162, 96, -44, 40, -34, 138, -74, -21, -23, 193, 132, 58, -150, 51, 246, 151, 146, -49, 25, -35, 90, 108, 303, 336, -116, 279, -96, 103, 53, -15, 92, -160, 234 },
{ -31, 17, 74, 40, -31, 34, -39, -23, -10, 41, 19, 135, 99, 33, 66, -127, -31, -10, -28, 149, 19, -86, 87, 94, 277, 69, 40, -37, 96, 124, 123, 247, 257, -56, 163, -70, -33, 66, -180, 177, -156, 339 },
{ -71, -36, 48, 199, 86, 43, -104, 149, -160, -155, -48, -94, 269, -125, 339, 332, 531, -9, 349, 148, 332, -100, 266, 295, -202, -144, -36, 48, -149, -134, -80, 448, -204, 295, 141, -61, 49, 35, 236, -115, 173, 323 },
{ -6, 170, 70, -39, -56, 29, -28, 88, -93, -33, -10, 62, -66, 57, -78, 196, 9, 118, 42, 39, 179, -142, 264, 196, -78, -21, -8, -64, 19, 123, 126, 416, 44, 243, 57, -33, 8, 181, 30, -37, -155, 125 },
{ -89, -109, 129, 159, 69, 169, -107, 66, -100, 44, -134, 60, -130, 318, 229, 186, 3, -96, 147, 161, 128, -197, 129, 326, 259, 116, 180, -84, -111, -218, 209, 256, 155, -61, -145, 171, 16, -113, 57, 150, 267, 106 },
{ -111, 31, 163, 101, 20, 31, -85, -38, 15, -23, 112, 49, 34, 115, -110, 145, -35, -5, 95, 21, 96, 148, -123, 358, 198, 78, 32, -75, -71, -137, 251, 190, 324, -31, -102, -48, 177, 121, 17, 177, -105, 219 },
{ -5, -14, 14, -13, 50, -21, 52, -13, -13, 14, -14, 6, 42, -10, 17, 16, -17, 17, -44, 75, -129, 74, -46, 23, -12, -25, 15, -26, 48, 6, 280, 78, 69, -11, -6, -20, 17, 16, 27, 103, -133, 326 },
{ 50, -18, 15, -22, -14, 43, -21, 14, -13, 16, -26, 24, 17, 22, -13, 19, -11, -16, 37, -86, 88, -119, 72, -23, -12, -24, 22, -26, 56, 27, 167, 191, 53, 39, -18, 7, -12, 52, -7, 111, -156, 362 },
{ -7, -15, 18, -15, 11, -23, 34, -11, -12, 8, -27, 33, 29, 20, -16, 23, 11, -20, 38, -106, 98, -109, 57, -28, 7, -32, -9, -16, 44, 63, 174, 129, 62, -17, 6, -29, 7, 46, 22, 129, -131, 339 },
{ -13, -9, 24, -13, -21, 40, -25, -7, 7, 20, -23, 20, 49, 17, -23, 14, -23, -11, 26, -65, 74, -131, 74, -32, 83, 15, 12, -15, 48, 71, 132, 288, 76, 59, -27, 8, -22, 125, -12, 84, -147, 361 },
{ -7, -20, 25, -14, -14, 40, -30, 39, -17, -9, 23, -24, 49, -11, 66, 20, 6, 17, -59, 61, -133, 77, -63, 43, -11, -32, -9, -28, 80, -29, 259, 36, 84, -57, 17, -29, 8, 68, -14, 157, -105, 397 },
{ 62, -20, 17, -20, 5, -15, 117, -8, -14, 10, -31, 33, -13, 36, -21, 32, 11, -32, 45, -79, 71, -110, 67, -57, 62, -37, 20, -30, 54, 11, 149, 190, 60, 20, 46, -34, 93, 28, -41, 150, -134, 413 },
{ 9, -26, 125, -13, -8, 16, -25, 18, -15, -14, 17, -15, 31, 15, 128, -9, 9, -13, 18, -47, 93, -103, -64, 105, -16, -17, 18, -27, 70, -33, 145, 217, 151, -55, 89, -11, -17, 21, -41, 136, -148, 430 },
{ -20, -12, 23, 57, -16, 118, -13, -20, 15, 13, 22, -29, 12, 32, -28, -18, -36, 23, 7, 129, 68, -161, 112, -29, 91, 19, -19, 36, -64, 80, 41, 369, 74, 146, -35, 71, -26, 27, 126, -93, 75, 281 },
{ 89, -27, 17, -18, -14, 30, -21, 33, -11, 22, -37, 19, -15, 34, -33, 33, 12, -30, 31, -61, 102, -100, 37, -49, 38, -47, 15, -16, -40, 80, 135, 114, 123, -29, 19, -36, 10, 270, -24, 104, 204, 345 },
{ -11, -21, 18, 86, -7, 105, -16, -4, -25, 15, -31, 24, -11, 39, 21, 10, -31, -20, 48, -61, 107, -100, -50, 139, -14, -18, 125, 34, -99, 88, 76, 225, 82, -27, 189, -10, -15, 36, -62, 88, 117, 302 },
{ -11, -26, 25, 80, -18, 42, -24, -7, -21, 18, -10, 15, -11, 27, 19, 37, -25, 72, 18, -37, 99, -84, -100, 79, -30, -18, 7, 29, -68, 130, 118, 216, 109, 144, -18, 136, -13, 39, 28, -105, 131, 381 },
{ -18, -21, 16, 57, 17, 70, -31, 13, -19, -12, -5, 60, 21, -20, 52, -46, -19, 27, 10, 143, -56, 98, -162, 75, 74, 24, -42, 51, -53, 80, 81, 215, 209, 158, 209, -27, -24, 45, 125, -126, 143, 358 },
{ -14, -9, 22, -9, -8, -9, 151, -23, 17, 17, 164, -22, 20, -21, 55, -75, -31, -19, 19, 162, -19, 108, -125, 56, 153, 18, -8, 28, -50, 70, 192, 262, 200, 237, 124, -27, -22, 148, 47, -134, 138, 309 },
{ -6, -13, 21, -17, 4, -19, 59, -12, -12, 18, -40, 23, -15, 32, -33, 39, 15, -32, 40, -54, 282, -80, 39, -68, 6, -45, 6, -39, -40, 69, 126, 140, -37, 93, 58, -32, 115, 229, -14, 117, 169, 323 },
{ -6, -22, 15, -8, -17, 35, 147, -14, -12, 16, -16, 22, -28, 51, -31, 43, 13, -20, 106, -36, 79, -128, 153, -67, -17, -35, 101, -45, -21, 104, 101, 170, 42, 59, 73, -9, -23, 109, -24, 59, 139, 400 },
{ -19, 11, -12, 12, -27, 112, 67, -23, -23, 15, -12, 94, -22, 17, 28, 16, -21, 12, -7, 205, -46, 44, -86, -103, 69, -18, 39, -53, -45, 185, 93, 118, 137, 70, 192, -29, -19, 75, -78, 75, 89, 424 },
{ -22, 154, -25, 17, 76, -17, -8, 114, -28, 13, -18, 83, 46, -26, 73, -44, 98, -54, 45, -37, 234, 102, -135, -65, 77, -36, 95, -90, 47, 241, -36, 153, 264, 237, 102, 111, -11, 63, -136, 107, -64, 344 },
{ -17, -14, 24, -105, 132, 148, 11, -36, 36, 21, 18, -52, -33, 24, 59, -95, -11, -39, 186, 26, 104, -123, 178, -101, 170, -82, 94, -24, 132, -94, 181, 163, 182, 418, 66, 59, -14, 85, -210, 135, 208, 184 },
{ -20, 103, 264, -73, -64, 95, 37, 47, -46, 68, -83, -157, -31, -115, 59, -56, 73, -11, 89, 81, -83, 86, -165, 161, 219, -49, 56, -16, 23, 112, 170, 152, 278, 314, 132, -70, 24, 97, -131, 111, -98, 218 },
{ 38, -25, 49, 8, 16, 47, 41, -21, -14, -17, -21, -7, 87, 36, -41, 49, 52, -41, 51, 52, 148, -43, 50, -44, -28, -71, -94, -19, -60, 123, 190, 148, 13, -25, 92, -25, 75, 262, 80, 190, 153, 348 },
{ 81, -34, 84, 8, -12, 18, 91, -33, -20, 82, -25, 87, 24, 35, -46, 59, 43, -55, 66, -58, 103, -40, -59, 176, -99, -35, -57, 80, -81, 126, 124, 140, 110, -28, 51, 139, -26, 118, 12, 102, 218, 415 },
{ 42, -24, 106, 7, -12, 50, -6, 46, -34, 46, -13, 5, 27, -36, 40, 17, 50, -53, 57, -31, 98, 88, -68, 69, -120, -23, 76, -38, -36, 71, 106, 128, 98, 92, 37, 251, -21, -35, 139, -47, 186, 334 },
{ -22, 139, 80, 7, -34, 13, 75, -52, 61, 23, -21, 169, 6, -23, 61, -44, 39, -66, 12, 56, 25, 82, -123, 149, -57, 37, -62, 14, 58, -84, 69, 112, 169, 179, 265, 274, 56, -89, 127, -112, 114, 396 },
{ 466, -924, 408, 405, -104, 90, -445, 808, 100, 87, 218, -809, 2458, -470, 350, 1864, -346, 170, -2458, 2458, -2458, -357, 745, -581, -122, -212, 322, -241, 91, 1705, 390, 2458, 1198, 363, 419, -2458, 1102, -376, -1127, 2458, 2152, -1239 },
{ 6, -28, 47, -15, 8, 22, -26, 14, -16, 10, -19, -7, 64, -33, 35, 11, -24, 26, -34, 74, -137, 65, -44, 40, -18, 9, -12, -14, 60, 38, 267, 163, 92, -41, 18, -11, -18, 37, -3, 100, -128, 314 },
{ -16, 10, 97, -12, -29, 18, -13, 20, -21, 22, 22, -14, 73, -31, 50, 10, -22, -14, -22, 55, -126, 84, -64, 51, -6, 13, -11, 9, 59, -37, 244, 233, 105, -25, 22, -12, -15, 32, -9, 84, -134, 309 },
{ -10, 25, 13, -22, -29, 70, -11, 8, 37, 12, 13, -17, 84, -20, -51, 23, -27, 17, -24, 46, -141, 90, 104, -32, 130, 4, -11, 8, -22, 93, 199, 344, 104, -37, 12, -23, 7, -9, 126, 89, -126, 224 },
{ -21, 21, -21, 51, -37, 24, -20, 20, -19, 13, 151, -12, 53, -65, 70, -9, -15, -18, -10, 90, -127, 79, -29, 75, 125, -17, 133, 15, -31, 84, 144, 354, 132, -55, 31, -27, 15, 23, -31, 62, -134, 264 },
{ 73, -41, 21, -18, 16, 46, -40, 21, 59, 60, -37, 34, 52, -55, 48, -18, -20, 23, -12, 37, -114, 75, -90, 139, 24, -10, 36, -12, -34, 94, 139, 308, 176, -87, 67, -30, -11, 27, -26, 115, -136, 308 },
{ -9, -18, 28, -12, -7, 202, -31, -11, 14, 18, -16, -18, 56, -29, 78, -23, -18, -12, 15, 62, -107, 100, -102, 103, 73, 59, 21, -34, 42, 213, 86, 330, 134, 114, -57, 14, -28, 27, -32, 94, -165, 357 },
{ 5, -43, 22, -14, -21, 148, 6, -7, -12, 20, 45, -41, 12, 132, -87, 139, -12, -47, 104, 147, -73, -71, 144, 168, -39, 46, 53, 185, -25, 182, 139, 440, 108, -99, 45, -32, -6, 21, -31, 52, -112, 167 },
{ 62, -26, 19, -21, 6, 50, -43, 43, -28, -19, -14, 11, 46, -85, 111, -22, 14, 105, -18, -31, 113, -120, 104, 137, -21, -27, 23, -28, 255, 99, 65, 468, 100, -58, 60, -27, 22, 24, -18, 53, -150, 246 },
{ 9, -31, 53, -23, 9, 25, -20, 28, -17, 125, -31, 37, 28, -45, 78, -45, -18, 25, -22, -19, 100, -114, 72, 174, 170, 47, -19, -10, -24, 102, 76, 400, 186, -64, -38, -15, -12, 15, 95, 135, -137, 243 },
{ 7, -40, 159, -56, 7, 38, 36, -29, 15, -16, 25, -31, 20, 124, -34, -35, 5, -18, 148, 28, -76, 101, -69, 153, 95, 115, 10, -16, -29, 126, 40, 321, 225, 89, -82, 134, -26, 21, -19, 96, -156, 298 },
{ 11, -34, 12, 86, 123, 66, -12, -16, -18, 16, -34, 44, 14, 134, 28, -78, -9, 17, -47, 34, 181, -90, 119, 38, 189, -18, 26, 103, -71, 104, 42, 246, 268, 126, 164, -56, -9, 64, -75, 231, -106, 309 },
{ -44, -7, 17, 144, 29, 84, -36, -57, 60, 24, -39, 25, 70, 70, -157, 262, -37, -34, 122, -36, 128, -123, 140, 280, -30, 175, 67, 36, -35, 196, 75, 420, 150, -140, 129, -29, 14, -46, 29, -46, 139, 79 },
{ -92, 15, 143, -24, -19, 176, -30, -28, 32, 28, 86, -53, 58, 207, -78, -58, -35, -25, 308, -51, -24, 102, 71, 233, 121, 29, -18, 29, 178, 161, 101, 292, 354, -106, 130, -77, -17, 50, -18, 152, -175, 219 },
{ 43, -43, 120, -22, 15, 67, 10, 51, -14, -38, -13, -52, 34, 10, 13, -106, 35, -12, 38, 50, -27, 169, -23, 109, 317, 34, -41, 27, -56, 128, 87, 177, 271, 59, 241, -92, -24, 84, -74, 41, -107, 272 },
{ -70, 101, -36, 373, -223, 111, -82, 112, -145, 29, 12, 53, -63, -140, 193, 296, -19, -15, -74, 182, 425, -94, 202, 329, -159, -28, -33, 39, 175, -176, 160, 465, -149, 316, 102, -44, 26, 14, 345, -215, 163, 194 },
{ -200, -65, 326, -27, 42, -93, 37, -90, 123, 19, -72, 139, -71, 82, -166, 164, 42, -34, 199, 71, 227, -128, 139, 320, 191, 46, -34, 207, -87, -83, 261, 329, 193, 330, -175, 172, 324, -139, 101, -33, 325, -181 },
{ -71, 43, 52, -18, 39, 118, -75, 34, -51, -33, -29, 10, 45, 52, -129, 115, -5, -51, 191, 61, 74, 140, -19, 398, 116, 118, -14, 19, 30, -98, 166, 168, 379, -98, 277, -74, 16, 29, -24, 93, -119, 228 },
{ -5, -22, 23, -20, 13, -31, 67, -31, 17, -32, 27, -13, 61, -11, 108, -18, 7, 26, -50, 95, -148, 97, -47, 24, 87, -21, -23, -17, 77, -31, 253, 30, 92, -25, -28, -73, -11, 68, 57, 69, -147, 307 },
{ -11, -9, 29, -17, -11, 124, -41, 114, -15, -28, 29, -25, 92, -40, 37, 15, -7, 19, -34, 97, -163, 113, -81, 25, -18, 9, -37, 8, 75, -30, 262, 128, 86, -13, 24, -12, -13, 27, 28, 90, -133, 277 },
{ -8, -15, 12, -13, 8, -26, 168, -28, 8, -22, 11, 18, 37, 43, -24, 11, 11, 5, 29, -89, 102, -114, 73, -13, 6, -35, -13, -17, 65, 39, 152, 96, 50, -14, -6, -31, 9, 67, 26, 146, -146, 332 },
{ -7, -14, 28, -20, -22, 41, -36, 66, -19, 12, 12, -28, 74, -20, 27, 9, -21, 138, -27, 48, -157, 109, -71, -11, 6, -20, 12, -132, 89, -43, 211, 135, 128, -6, 31, -20, -8, 20, -27, 143, -156, 338 },
{ -13, -17, 13, 42, 16, -22, 27, -34, -11, -14, -14, 26, 33, 26, 38, 11, 13, -8, 21, -77, 87, -144, 71, -42, 110, -17, -14, -1, 55, 160, 98, 288, 58, 61, -25, 6, -11, 51, -7, 107, -162, 296 },
{ 53, -22, 20, -14, -8, 128, -34, 41, -27, -16, 29, -39, 68, -16, 26, 10, 10, 20, -47, 92, -114, 67, -72, 17, 20, -34, -16, -37, 62, -46, 232, 39, 107, -17, -14, -34, 8, 74, 36, 152, -127, 386 },
{ 131, -13, -14, 9, 13, -18, 71, -40, -9, -34, 11, -23, 52, -19, 23, 16, 58, 29, -27, 45, -124, 103, -94, 68, -21, -42, 18, -33, 73, -64, 194, 124, 72, -24, 70, -23, 65, 26, -36, 155, -128, 412 },
{ -13, -13, 24, 28, -17, 41, -31, -20, -14, 14, -22, 141, 24, 39, -22, 18, 41, -18, 23, -46, 93, -159, 81, -48, 127, -18, 24, -25, 82, -44, 113, 261, 87, 68, 44, -25, -12, 30, -48, 137, -142, 399 },
{ -13, -12, 18, 5, -14, 58, -36, 30, -30, 20, -13, -22, 68, -21, 34, -16, -19, -19, 28, 61, -107, 116, -141, 67, 117, 9, -11, 49, -81, 89, 82, 311, 96, 179, -41, 30, -26, 162, 31, -137, 125, 235 },
{ -7, 12, -27, 130, -6, -8, 69, -13, -48, 19, -36, 24, -14, 29, -23, 27, 20, -25, 27, -50, 103, -83, 111, -34, 13, -53, -22, 35, -49, 178, 130, 131, -45, 78, -20, -39, 187, 21, 114, -64, 220, 262 },
{ -12, -23, 59, 11, -15, 24, -37, 11, -26, 13, -35, 30, 41, -40, 51, 8, 12, -24, 52, -72, 115, -72, -79, 70, -28, -48, 14, 70, -79, 159, 130, 167, 32, 46, 174, -18, 5, 168, 42, -88, 199, 345 },
{ -14, -28, 23, 21, 10, 41, -54, 23, -23, 39, -49, 48, 57, -43, 38, 12, -19, 16, 18, 179, -99, 98, -136, 87, -33, 21, -38, 41, -93, 52, 107, 208, 80, 144, -20, 163, -34, 45, 57, -82, 128, 352 },
{ -19, -24, 18, 17, 7, 45, -25, 93, -25, 18, -24, 142, 33, -36, 68, -30, -18, -16, 25, 29, -67, 117, -177, 71, 183, 26, -11, 53, -103, 94, 80, 233, 184, 212, -43, 75, -16, -30, 87, -112, 100, 318 },
{ -9, -23, 108, 11, -28, 52, -30, 47, -37, -8, 12, -33, 43, -22, 30, 13, 27, -32, 38, -59, 119, -59, -44, 8, -17, -42, -33, 110, -36, -49, 203, 83, 156, -49, 48, -36, 137, 80, 127, 61, 174, 340 },
{ -11, -28, 24, 70, -22, 96, -19, -16, -15, -22, 8, -26, 65, 65, -45, 51, 20, -10, 72, -13, 95, -143, 34, -53, -31, -33, -9, 63, -55, -66, 176, 125, 28, 128, 102, -6, -23, 81, 72, -82, 228, 442 },
{ -14, -28, 9, 13, 38, -33, 119, -22, -29, 8, -27, 81, 10, -29, 55, 22, -14, 27, -36, 41, -48, 65, -151, 51, -36, -29, 75, -83, 174, -42, 91, 128, 153, 72, 119, 174, -32, 107, -92, 102, 46, 426 },
{ -9, -7, -7, 17, 15, -15, 86, -43, 40, -11, 84, -30, -25, 59, -20, -7, 35, -12, -33, 53, 90, -113, 80, -109, 220, -40, 75, -22, -46, 102, -60, 241, 161, 297, 105, 87, -7, 95, -126, 122, -45, 409 },
{ -27, -42, 51, -58, 14, 15, 24, 51, -18, 26, -14, -29, 71, -56, 102, -96, -33, 23, -22, 40, 27, 60, -133, 103, 136, -9, 94, -40, 108, -103, 174, 111, 185, 404, 119, -30, 47, 63, -139, -95, 198, 190 },
{ -7, -16, 20, 8, 16, 15, 92, -25, -9, -30, -12, -11, 59, 45, -38, 37, 70, -67, 107, -12, 134, -41, -25, -20, -19, -67, -78, 47, -160, 172, 213, 122, 47, -38, 42, -29, 79, 280, 105, 115, 202, 311 },
{ 88, -31, 29, -24, 30, -14, -12, 82, -30, -20, -17, 81, 86, 35, -56, 68, 54, -57, 31, 96, -29, -39, 124, -56, -61, -41, -52, 132, -111, 189, 93, 120, 122, 35, 41, 115, -19, 72, 73, 27, 239, 408 },
{ -14, -23, 16, 13, 32, 24, -50, 100, -28, 72, -61, 81, 9, 19, -47, 70, -12, 21, -10, -17, 77, 27, -62, -44, -86, 32, -44, -59, 91, -48, 147, 103, 106, 128, 123, 253, -32, -48, 126, 80, 152, 331 },
{ -20, -29, 79, 24, -24, 12, 84, -45, 49, 90, -36, 46, -20, 39, -52, 20, -16, 64, -31, 5, 55, 148, -83, -109, 61, 52, -70, 46, -54, 45, -116, 130, 243, 133, 289, 247, -8, -93, 181, -67, 106, 320 },
{ 79, -153, 328, -85, 28, 34, 61, 32, -15, 61, 235, -94, 63, -80, 39, -110, -48, -87, 83, 114, -118, 125, 377, -190, 98, -96, 118, -106, 51, -352, -243, 296, 150, 275, 270, -93, 30, 54, -172, 75, 474, -540 },
{ -19, 13, 34, -14, 119, 15, -52, 13, 188, 41, -10, -18, 46, -10, -8, 127, -27, 14, -22, 31, -41, 491, -29, 39, 77, 31, 10, -11, 102, -42, 173, -13, 75, -13, 50, -10, -13, 26, -44, 43, -24, 179 },
{ -8, 10, -20, 8, -13, -19, 56, -8, -20, -17, 16, 24, -14, 44, -16, 18, 10, -16, 24, -85, 100, -117, 116, -27, 93, -26, -10, -15, 24, 84, 147, 165, -40, 24, -20, -19, 3, 53, 4, 141, -116, 221 },
{ -9, -16, 14, -15, 20, -29, 19, -23, 4, -27, -12, 24, 84, 74, -7, 11, 10, 21, 26, -36, -77, -90, 101, -26, 7, -20, -26, 13, -43, 115, 166, 327, -79, 62, 131, -27, 57, 17, -15, 99, -75, 197 },
{ 6, -22, 197, -33, 8, -15, -3, 4, -58, -19, 6, 47, 25, 86, -32, 40, -14, 16, -11, -19, -90, -72, 128, -30, 17, -16, 65, -24, 75, 107, 151, 377, 123, -40, 60, -35, -10, 24, -31, 64, -174, 205 },
{ 7, -29, 38, -19, 106, -19, 43, -21, 8, 5, -10, 18, 65, 22, -25, 111, 6, -27, 32, -55, 90, -153, 110, -19, 55, -27, 36, 35, -12, 93, 66, 397, 126, -30, 48, -22, 56, 11, -28, 123, -156, 264 },
{ -24, 10, -5, 8, 137, -32, 85, -25, -17, 11, -26, 16, -17, 27, 47, -17, 7, -16, 34, -24, 111, -108, -45, 60, 45, -9, 6, 24, -54, 102, 110, 428, 129, 123, -54, 12, -33, 29, -35, 119, -129, 321 },
{ 5, -14, 13, -22, 41, -19, 27, 21, -16, -41, 25, 15, -36, 70, -82, 152, 11, 72, -66, 255, 134, -118, 168, -54, 87, -22, -22, 49, 56, -63, 121, 432, 120, -76, 11, -39, 21, 20, -8, 50, -104, 177 },
{ -18, 82, 35, -24, -23, -13, -24, -18, 18, 15, 18, 265, 62, 78, -84, 111, -29, 8, -50, 36, -153, 239, 72, 157, -21, 13, -12, 24, -29, 186, 93, 425, 111, -85, 32, -9, -29, 92, -36, 124, -125, 215 },
{ -30, 51, 23, 42, 30, -19, -27, -31, 9, -25, 34, 97, 46, 63, -36, -24, -18, 23, -16, -31, 90, -126, 69, 152, -21, 119, 52, -31, 18, 95, 195, 446, 119, 87, -41, 11, -25, 16, -31, 110, -166, 306 },
{ -15, -5, 17, -9, 12, -37, 54, -48, 25, 121, -27, 190, 40, 34, -37, -38, 14, -11, 33, -24, 116, -121, 52, 113, 121, 5, -32, 11, -72, 159, 46, 351, 142, 115, -87, 11, -33, 66, 14, 80, -140, 332 },
{ -9, 13, -23, 32, 70, -16, 39, 17, -32, -33, 75, -45, 17, -38, 56, -82, 149, -125, 61, 27, 103, -34, -69, 78, 211, 20, -41, 41, -92, 114, 150, 319, 162, 221, -55, -24, 158, -32, 70, -119, 97, 234 },
{ -84, -23, 18, 142, 5, 52, -45, 28, -28, -15, 15, -29, 65, 106, -130, 233, -96, 13, 104, -63, -94, 203, 264, -100, 84, -12, 108, -75, 74, 209, 258, 425, 115, -84, 25, 67, 14, -14, -24, 66, -101, 144 },
{ -27, -5, 40, -16, -21, 24, -72, 46, -42, 68, 68, 39, 37, 283, -97, 132, -53, 4, -56, 34, -114, 98, 90, 194, -60, 14, 44, 53, 51, 225, 54, 416, 150, -105, 67, -12, -7, 63, -60, 35, -138, 165 },
{ -11, 3, 90, -22, -28, 42, -7, -26, 14, 10, 7, 46, 53, 45, -128, 227, 47, -100, -77, 55, -106, 103, 59, 302, -45, -30, -13, 189, 45, 145, 208, 345, 204, -96, 111, -56, 10, 81, 25, 108, -111, 190 },
{ -39, 30, 83, -19, 8, -33, -18, 31, -40, 53, 134, 86, -28, 128, 28, -63, -24, -39, 40, 291, 83, -97, 19, 223, 143, 150, 49, 12, -51, 214, -79, 521, 157, 36, -95, 23, -43, 25, 34, -77, 142, 114 },
{ 14, 49, -46, -25, 64, 107, -28, 28, 60, -48, 43, -31, 38, -40, 33, -110, 44, -59, 16, 64, -19, -35, 46, 92, 252, 42, -10, 53, -49, 118, 50, 255, 213, 97, 90, -73, -30, 48, -28, -131, 139, 254 },
{ -39, -107, 90, -92, 29, -123, 102, 81, -81, -160, 184, 52, -85, 279, -138, 305, 60, -61, -36, 111, -118, 184, 302, 258, -133, -141, -59, 233, -229, -187, 250, 364, -143, 203, 78, -49, 14, 126, -26, 130, 243, 285 },
{ -19, -78, 119, -72, 41, -35, -41, 74, -79, -35, 123, 74, -51, 212, -117, 231, -140, 82, -77, 81, -52, -93, 337, 135, -123, -101, 137, 26, 98, 66, 231, 369, -34, 294, 62, -57, 21, 128, -37, -52, -130, 119 },
{ -25, -213, 61, -24, 25, 320, -49, 16, 110, -216, -30, 59, -87, 93, -98, 494, 25, -30, -26, 107, -37, 212, -135, 426, -70, -44, 44, 135, 35, -212, 166, 298, 236, -154, 219, 253, -20, 243, -63, -48, 189, 188 },
{ -35, 22, 102, 14, 68, -70, -23, -54, -9, -20, 112, 72, 114, 51, -44, -64, -46, -95, 21, -75, 102, -111, 102, 323, 112, -33, 95, 22, 88, 139, 167, 270, 219, 193, -87, -43, 79, 51, 36, -117, 37, 195 },
{ 5, -23, 92, -26, 7, -8, -25, 22, -10, -18, 8, -19, 78, -24, 27, -10, -12, 29, -30, 108, -134, 78, -44, 24, -5, -18, 19, -28, 80, -26, 203, 30, 88, -21, 20, -29, 6, 63, -10, 181, -114, 220 },
{ 4, -22, 97, -30, -20, 21, -52, 25, -26, 6, 9, -29, 96, -42, 40, 13, 13, -24, -5, 102, -138, 105, -80, 24, -13, -14, -17, 13, 55, -44, 197, 88, 102, -21, 52, -17, 94, 138, -12, 149, -148, 265 },
{ 3, -20, 87, -21, 6, -9, -30, 9, -14, -21, 16, -26, 80, -32, 32, -7, -5, 31, -30, 79, -114, 83, -50, 23, -5, -26, -8, -35, 92, -47, 214, -14, 124, -20, -11, -24, 44, 46, 43, 171, -133, 313 },
{ -20, 12, 190, 5, -15, 19, -44, 132, -31, -13, 11, -20, 81, -17, 21, 12, -8, 19, -21, 98, -134, 95, -72, 36, -13, 7, -14, -22, 100, -64, 186, 79, 110, 21, -10, -8, -11, 59, -15, 161, -144, 312 },
{ -17, -13, 53, 14, 6, -28, -9, -30, -11, 116, -25, 27, -13, 71, -22, 23, 5, -12, 36, -59, 117, -160, 111, -46, 13, -24, -98, 15, -41, 100, 65, 226, 107, -15, 79, -28, 5, 73, -25, 151, -133, 255 },
{ -9, -21, 31, -10, 3, 32, -53, 33, -13, -20, 12, -30, 81, -22, 22, -10, 8, 26, -24, 87, -117, 76, -47, 15, 8, -32, -8, -38, 107, -70, 235, -25, 126, -18, -24, -20, 40, 43, 165, 195, -135, 372 },
{ -13, -19, 23, 82, -17, 52, -33, -18, -23, 6, 19, -30, 63, 25, 23, 10, -9, 17, -24, 107, -83, -67, -36, -19, 29, -27, 6, -30, 102, -75, 188, 101, 107, 30, 28, -33, 131, 19, -24, 190, -156, 393 },
{ -21, -10, 21, 16, 7, -35, 49, -37, -13, -17, 29, 8, -17, 84, -25, 16, 13, -13, 29, -35, 138, -171, 75, -46, 19, -23, 21, -29, 67, -76, 113, 234, 85, 120, -35, 8, -7, 61, -17, 158, -156, 411 },
{ -12, 57, -18, 23, -11, -16, -19, -27, -40, 18, -14, 7, 66, 54, 21, -17, -7, -26, 37, -38, 127, -137, -77, 52, 159, -10, 21, 14, -77, 69, 89, 360, 129, 158, -52, 17, -26, 70, -39, 158, -121, 361 },
{ -13, -13, 80, -8, 8, -14, 8, -13, -10, -4, -29, 27, -16, 41, -28, 20, 22, -13, 33, -60, 96, -78, 56, -29, 11, -46, -30, 49, -116, 98, 130, 138, -81, 54, -38, -26, 231, 14, 139, -68, 256, 215 },
{ -16, -15, 148, 18, 11, -16, 22, -35, -13, -10, -34, 10, 70, 76, -36, 28, 17, -13, 34, -35, 105, -148, 164, -26, 13, -26, -15, 37, -101, 69, 99, 177, -38, 91, 20, -20, 214, -19, 100, -78, 222, 332 },
{ -14, -7, -5, 24, -16, 137, 80, -41, -21, -13, 48, -19, 32, 59, 43, -20, 17, -22, 48, -33, 70, -114, -87, 99, -19, 99, -36, 51, -106, 82, 48, 249, 30, 174, -39, 22, -15, -13, 112, -87, 161, 351 },
{ -5, -17, 14, 23, -26, 55, -17, -27, -11, 39, -34, 51, 41, 78, -50, 28, -21, -36, 39, -19, 118, -163, 85, -91, 89, 20, -20, 72, -110, 99, 49, 268, 93, 300, -25, 75, -15, -30, 121, -108, 112, 315 },
{ -9, -73, 33, 16, 46, 8, 289, -51, 22, 22, -33, -15, 70, 61, -42, -30, -26, 25, -25, 9, 157, -105, 77, -85, 203, 41, 48, 47, -75, 97, -48, 359, 141, 277, -19, 197, -30, -27, 43, -114, 128, 242 },
{ -23, 4, 42, 13, 6, -18, 54, -30, -17, -36, -27, 21, 35, 51, -27, 19, 19, 15, 5, -48, 101, -74, -20, 17, -22, -49, 12, -60, 81, -62, 161, 45, 82, -53, 65, -38, 146, 125, -38, 159, 125, 323 },
{ -21, -14, 13, 12, -7, 24, -43, 69, -31, -7, -16, -12, 64, 78, -53, 50, 17, -13, 39, -29, 86, -133, 52, -41, -21, -45, 16, 72, -115, 41, 132, 118, -11, 110, 70, -9, -18, 121, -28, -35, 260, 418 },
{ -21, -9, -13, 27, -52, 57, -19, 83, -48, 14, -47, 73, 72, -51, 71, 32, 53, -30, 57, -19, -48, 87, -131, -28, -22, -32, 47, 36, -109, 92, 70, 133, 103, 110, 115, 272, -25, 32, -111, 119, 67, 431 },
{ -7, -23, 32, 13, -29, 83, -10, 68, -18, 21, -32, 64, -18, -17, 82, -31, 44, -37, 29, 29, -48, 91, -146, -61, 253, -51, 65, -108, -68, 119, 52, 152, 151, 392, 137, -40, 11, 32, -109, 147, -42, 399 },
{ -42, 13, 80, -24, -20, 100, -8, 72, -32, -172, 45, -70, 80, 71, -63, 11, 56, -53, -259, 33, 32, 48, -81, -152, 116, 89, 31, 94, -62, -82, 176, 210, 172, 419, 70, -30, -13, 47, -58, -143, 214, 249 },
{ 193, -102, 85, -117, 74, 105, -50, 68, -19, -85, 10, 19, 134, -364, 67, -106, 59, -92, -551, 79, 90, -93, 212, -114, 152, -27, 29, 42, -115, 88, -159, 207, 211, 293, 209, -57, 27, 89, -63, -156, 151, 278 },
{ -5, -19, -8, 19, 16, 25, 24, -29, -11, -25, -38, 15, -7, 54, -38, 28, 58, -49, 47, -41, 120, -67, 9, -9, -23, -37, -50, -45, -81, 153, 101, 62, 47, -31, 43, -20, 320, 87, 74, 147, 173, 325 },
{ 6, -53, 45, -29, 36, 44, -24, 250, -22, -16, -22, -26, 144, 27, -58, 67, 30, -27, 62, 54, -58, 33, -23, -32, -62, -47, 64, -49, -106, 185, 97, 83, 113, 25, 60, 105, -7, 68, -39, 161, 175, 494 },
{ 8, -37, -15, 26, 19, 5, 126, -50, -25, 20, -53, 69, 22, 33, -68, 73, -15, 55, 28, -14, -20, 88, -41, -46, -82, 29, -63, 52, -74, 115, -26, 120, 83, 91, 100, 295, -12, -42, 163, -74, 189, 372 },
{ 48, -71, -29, 116, -88, 35, -30, 118, -16, 56, -12, -34, 21, -23, -47, 61, -17, 48, 24, 18, 32, -37, 100, -183, 84, -30, 68, -52, -84, -161, 218, -67, 202, 141, 399, -30, 12, 73, -153, 172, 130, 290 },
{ -10, -7, 32, -25, 79, -25, -37, -11, 32, -34, 14, 42, 68, 94, -22, 16, 13, 26, 31, -31, -99, -70, 109, -18, -8, -8, -19, 36, -25, 118, 160, 168, -58, 74, 41, -23, -8, 31, -46, 73, -125, 188 },
{ -15, -27, 23, 25, 10, 33, -45, -31, 7, -16, -22, 162, 71, 113, -12, -6, 7, -23, 38, -33, -103, -95, 140, -18, 13, 10, -35, 98, -45, 119, 150, 286, -88, 118, -14, -16, -8, 230, -24, 57, -100, 157 },
{ -18, -9, 15, 47, 8, -10, -27, -20, -24, 13, -26, -16, 63, 33, 35, 11, -22, -16, 21, 64, -95, -120, 113, -25, 38, 10, -13, 31, -51, 115, 103, 293, -59, 116, -31, 10, -16, 62, -33, 138, -104, 201 },
{ -19, 8, 20, 9, -28, 60, -50, -18, -20, 12, 43, -37, 81, 205, 32, -9, -9, -18, 13, 83, -118, -52, -63, 66, -13, 13, -16, 25, -49, 113, 100, 257, 136, -24, 65, -15, -14, 54, -35, 149, -129, 241 },
{ -7, -10, 16, -17, -21, 58, -27, -25, 13, -17, 15, -23, 59, 89, -24, 45, 6, 50, -24, 95, -95, -96, 176, -31, 31, -21, 20, -18, 138, -57, 166, 385, -65, 122, -26, -14, -6, 21, -29, 62, -143, 212 },
{ -14, 90, 19, -13, -20, 10, -54, -14, 10, -11, 70, -14, 80, 80, -19, 127, -23, 20, -36, 82, -105, -104, 105, -33, 166, 15, -15, 22, -24, 125, 120, 354, 125, -25, 17, -28, -21, 53, -27, 155, -133, 184 },
{ -22, 103, 25, -16, -20, -10, -33, -18, 7, 7, 50, -23, 59, 28, -13, 98, -9, 9, -18, 111, -70, -102, -38, 128, -21, -21, 15, -17, -12, 57, 165, 385, 167, -51, 29, -13, -11, 73, -32, 163, -134, 250 },
{ -20, -13, 9, 9, -7, -20, 58, -32, 17, 13, -11, 49, -26, 75, -30, 37, -3, -27, 40, -25, 159, -166, -46, 93, -14, -4, 26, -20, -47, 93, 235, 415, 113, 135, -40, 15, -23, 51, -29, 153, -143, 337 },
{ -30, 17, 30, -13, 10, -26, -31, -15, -15, -23, 45, 27, 50, 110, -40, 115, -7, 56, -17, -13, -108, -60, 199, -43, 17, 22, 27, -19, 249, 209, 98, 471, 131, -57, 29, -27, -19, 30, -60, 94, -178, 174 },
{ -13, 9, 22, -19, -12, -16, -23, -30, 30, -17, 9, -3, 64, 109, -46, -21, 10, 49, -35, 230, -114, -79, 211, 114, -13, -15, -83, 56, -32, 198, 90, 450, 168, -71, 48, -22, -9, 111, -44, 77, -152, 222 },
{ -16, -7, 36, -6, -28, 111, -47, -11, 10, 15, -7, -21, 59, 32, -29, -19, -13, -12, 38, 58, -83, -88, 99, 180, -32, 17, -19, 31, -57, 187, 75, 445, 180, -53, 47, 6, -23, 23, -21, 115, -118, 255 },
{ -13, -23, 14, 8, 7, 100, -43, 23, -31, 59, -54, 62, 38, 36, 39, -41, -21, 62, -17, 26, -64, -75, -47, 138, 296, 17, -29, 62, -69, 170, 101, 418, 213, 92, -43, 10, -35, 51, 20, -48, -82, 288 },
{ -13, -29, 69, 13, -16, -55, 51, -50, 25, 36, -45, 30, 41, 60, -63, -30, -22, 11, -35, 71, 24, -107, 89, -64, 241, 32, -22, 72, -86, 135, -42, 361, 198, 149, 183, -33, -22, 31, 63, -96, 61, 300 },
{ -25, 7, 33, -9, -38, 146, -62, 39, -31, 7, 18, -54, 50, 91, -72, 156, -11, -32, 76, 51, -107, 268, 225, 118, -53, 12, 43, 78, -45, -74, 111, 482, 22, -85, 52, -119, -19, 36, -69, 47, 212, 338 },
{ -15, -15, 38, -21, -9, 101, -43, 28, 12, 47, -26, 31, 34, 39, -83, 61, -55, 9, -79, 49, -99, 73, 25, 270, -49, 22, 47, 265, -59, 138, 196, 379, 186, -65, 60, 16, -15, -18, -22, 157, -134, 227 },
{ -25, 26, 88, -32, 21, 33, -30, -16, 28, -15, -37, 88, 42, -31, -18, -66, 15, -18, 36, -24, 142, -69, 35, 203, 131, 33, -26, 39, -85, 127, -41, 422, 225, 212, -65, 15, -18, 160, 48, -61, 108, 190 },
{ -11, -8, 57, -38, 23, -57, 133, -89, 22, 58, -208, 109, 125, -147, 59, -68, -21, -16, -44, 58, -23, -21, 330, -66, 323, -96, 32, 53, -85, -44, 38, 332, 195, 157, -84, 32, 40, -37, 106, -107, 187, 203 },
{ -68, -227, 103, 122, -219, 48, -91, 69, -70, 17, 38, -48, 66, 212, -163, 205, -460, -46, -42, -220, -67, 424, 221, 283, -136, 80, 191, 155, 59, 172, -237, 389, 114, 276, 93, -47, 76, -81, -31, -43, -232, 312 },
{ -383, -40, 161, -77, -96, 42, -87, 74, -53, -93, 158, -113, 47, 206, -207, 183, 21, -19, 230, 82, -70, 309, 357, 416, -135, -551, 31, -44, -38, 198, -157, 248, 115, 211, 70, -59, 14, 178, -41, 48, -145, 216 },
{ -8, 31, 17, -24, -12, 53, -15, 97, 65, 22, -38, 121, -70, 57, -110, 113, -36, 60, -32, 79, -103, -43, 156, 288, -41, 9, -60, -45, -32, 219, 196, 321, 194, -71, -22, 40, -16, 84, 50, 250, -87, 175 },
{ 58, -13, 100, -28, 11, -9, -21, -14, 27, -21, 2, -20, 55, 41, 9, -38, 11, -22, 91, -18, -49, -37, 84, -17, 11, -153, -26, 23, -29, 79, 269, 51, -43, 27, -15, -23, 26, 66, -13, 179, -76, 146 },
{ 34, -34, 54, -33, 11, 34, -36, -13, 12, -10, -11, -37, 69, 40, -22, 7, 15, -22, 67, 47, -88, -25, 108, -19, 8, -27, -22, 30, -51, 75, 109, 134, -35, 21, -15, -24, 26, 102, -16, 180, -79, 186 },
{ -10, -27, 37, -17, 8, 26, -46, -16, 29, -33, 37, -9, 54, 28, -24, 37, 17, -13, 27, -25, -51, -82, 123, -16, 18, -7, -26, 14, -39, 121, 176, 156, -60, 120, -18, -10, -17, 150, -33, 66, -107, 174 },
{ -10, -28, 38, -19, 14, 99, -40, -16, 6, -36, 15, -22, 82, -20, 12, -16, 14, 9, 71, -19, -67, -33, 83, -17, 16, -32, -18, 11, -45, 85, 109, 124, -29, 18, -16, -23, 52, 86, -19, 230, -96, 222 },
{ -11, -30, 46, -14, -12, 45, -60, 30, -17, 12, 21, -26, 70, 21, -14, 18, 93, -16, -13, 132, -86, -49, 58, -43, 7, 2, -18, 17, 84, -84, 162, 139, 114, -4, 49, -22, -14, 229, -27, 183, -133, 273 },
{ -14, -21, 366, 20, 11, -10, -33, -33, -19, -27, 46, -18, 45, 68, -37, 27, -14, 28, -34, 156, -63, -96, -31, 71, -12, -14, 18, -26, 119, -61, 108, 156, 150, -43, 73, 25, -6, 75, -47, 96, -176, 289 },
{ -9, -17, 38, -16, 16, -3, -38, -14, 10, -13, -19, -18, 87, -19, -97, -12, 16, -17, 29, 43, -111, 72, -14, 33, -11, -19, -20, 47, -104, 74, 133, 106, -55, 69, -21, -16, 286, -15, 153, -52, 247, 181 },
{ -19, -23, 65, 17, 7, 46, -29, -25, -11, -23, 18, -17, 47, 41, -30, 17, -13, 25, -20, 123, -48, -86, 85, -35, 5, -15, 33, -27, 89, -90, 134, 67, 116, -25, 73, -25, 18, 83, -30, 226, -132, 357 },
{ -28, 94, 120, 18, 4, -21, -11, -42, -114, 20, -22, 8, 103, 97, -47, 24, 9, -33, 38, -29, 128, -174, 114, -31, 137, -17, 7, -16, 98, -86, 88, 226, -31, 178, -38, 55, -22, 84, -31, 195, -133, 349 },
{ -226, -19, 61, 19, 14, -30, -19, -36, -16, 26, -22, 9, 105, 49, 28, 18, -5, -34, 30, -35, 154, -152, -46, -35, 310, 11, -20, -8, 17, -60, 180, 281, 159, 140, -48, 19, -17, 115, 9, 460, -147, 402 },
{ -17, -13, 43, -20, 17, 37, -58, 44, 3, -27, -20, -24, 82, -10, -33, 10, 22, -19, 33, 65, -107, 60, 22, -138, 9, -19, -22, 46, -114, 66, 140, 92, -57, 92, -28, -11, 90, -30, 172, -56, 302, 230 },
{ -19, -17, 40, 36, -15, 26, -76, 225, -14, 9, -30, -25, 64, 45, -34, 29, 8, -16, 39, 80, -88, -45, -27, -8, -14, -23, -8, 50, -91, -68, 190, 143, 46, 47, 70, -30, 143, 6, 93, -86, 273, 315 },
{ -36, -5, 58, 29, -30, 21, -37, -25, -24, 20, -24, 48, -13, 101, -38, 39, 23, -33, 26, 205, 58, -181, 92, -47, 75, 4, -15, 65, -110, 89, 32, 232, -29, 242, -28, 18, -19, -27, 135, -83, 207, 302 },
{ -8, -15, 70, 21, -40, 33, -47, -9, -19, 25, -27, 45, 91, 64, -38, 58, -13, -23, 30, -18, 109, -161, 86, -108, 337, 78, -42, 77, -96, 290, 66, 271, 65, 250, 85, -22, 2, -25, 31, -130, 133, 342 },
{ -162, -24, 138, 9, -16, 28, 73, -15, -24, 6, -40, 14, 108, -41, 95, -51, 90, -34, -219, 63, 65, -74, -91, -65, 239, 48, -37, 76, -76, 136, 25, 242, 202, 256, -13, -7, 15, 20, 31, -151, 119, 322 },
{ -11, -15, 18, 6, 19, -29, 56, -32, 3, -33, -23, 31, 49, 50, -40, 9, 15, 12, 36, -25, -53, -37, 55, -116, 11, -18, -39, 42, -109, 50, 151, 104, -52, 72, -30, -3, 319, -32, 187, -53, 298, 321 },
{ -12, -23, 28, 14, 11, 46, -9, -16, -25, 13, -39, -34, 123, 64, -34, 40, 11, -43, 61, 105, -42, -75, -26, 58, -20, -33, 13, 90, -120, 50, 70, 130, -38, 118, -21, 84, -7, 49, 59, -76, 281, 411 },
{ -3, -6, -24, 25, -6, 28, -32, 74, -38, 11, -39, -34, 102, 65, -56, 67, -14, 57, 46, -27, 79, -123, 78, -69, -22, -34, 50, 18, -105, 76, 99, 180, 15, 181, 113, 45, -26, 85, -24, -67, 217, 434 },
{ -5, 115, -36, 9, -46, 30, 10, 26, -40, 26, -16, 93, -19, -48, 138, -55, -36, -19, 16, 41, 28, -50, -69, -114, 165, 3, -37, 88, -102, 48, 124, 142, 116, 384, 174, -34, 14, -20, 57, -157, 114, 357 },
{ 8, -54, 210, -59, -23, 84, 75, 25, -49, 23, -128, -102, 24, -174, 109, -42, 88, -69, 93, 17, 78, 35, -164, -84, 136, -45, 78, -61, -35, -44, 69, 145, 263, 275, 87, -65, 25, 51, -65, -87, 173, 337 },
{ -6, -35, 13, 19, 16, 17, 48, -23, -18, -23, -33, 10, 37, -12, 56, -17, 49, -32, 76, -72, 27, 64, -71, 16, -7, -11, -54, 35, -129, 82, 117, 101, -46, 40, -27, 16, 380, -32, 180, 81, 235, 324 },
{ 16, -29, 158, -39, 15, 33, 83, 53, -34, -50, 79, -74, 46, 28, -19, 62, 15, 28, 20, 74, -55, -12, -54, 81, -58, -31, 32, -60, -121, 177, 103, -56, 77, 81, 60, 146, -16, 51, -63, 158, 142, 441 },
{ 78, -22, -45, 24, 64, 33, -40, 96, -36, -5, -27, 44, 23, -261, -36, 91, -6, 72, 47, -27, 54, -34, 67, -77, -66, -58, 66, -37, -86, 86, 136, 92, 110, 88, 201, 304, 17, -79, 91, -96, 187, 443 },
{ 21, -70, 146, -37, -23, 115, 21, 98, -23, 18, -21, 50, -26, -141, -87, 89, -12, -221, 43, -127, 30, 78, -63, -85, -69, -53, 99, -53, -131, -24, 122, -24, 245, 175, 321, 73, -31, 94, -170, 125, 169, 377 },
{ 69, -27, 22, -20, 97, 37, -33, -6, 7, -16, 11, -31, 63, 44, -15, 10, 11, -22, 87, -17, -57, -50, 94, -41, 12, -14, -29, 24, -38, 144, 231, 103, -61, 43, -21, -21, 30, 71, -12, 164, -63, 111 },
{ 4, -21, 94, -10, -13, 11, -35, -21, 10, 3, -17, 72, 62, 87, -15, -14, 5, -20, 23, -27, -61, -61, 79, 15, -6, -8, -9, 30, -30, 77, 198, 164, -66, 84, -26, 4, -7, 82, -25, 59, -59, 262 },
{ -12, -26, 92, 14, -18, 30, -49, -35, -13, 8, -16, -26, 77, 107, 8, 36, 5, -19, 21, 105, -92, -81, 392, -23, 13, -26, 54, -26, 143, -85, 159, 186, -54, 137, -17, -8, -11, 33, -46, 66, -117, 186 },
{ -14, -11, 204, 21, -15, 21, -52, -23, -22, -10, 63, -43, 71, 42, 43, 151, 37, -26, 12, 345, -79, -113, 109, -13, 35, -17, 21, -33, 134, -74, 138, 204, -53, 152, -34, 12, -18, 60, -41, 71, -141, 229 },
{ -21, -42, 36, -16, 71, 260, -37, -27, -9, -50, 13, -23, 52, 72, -32, 21, 11, 95, -25, 51, -82, -129, 105, -45, 98, -13, -31, -106, 143, -91, 141, 184, 72, 379, -43, 107, -17, 157, 9, 167, -127, 246 },
{ -11, -29, 218, 15, -21, 48, -57, -40, 69, 40, 12, -38, 78, 121, -20, 125, -31, 14, -31, 54, -98, -88, 170, -19, 62, 9, 52, -26, 159, -113, 166, 305, -68, 102, -49, 11, -24, 12, -43, 82, -124, 216 },
{ -19, -22, 382, 10, -18, 38, -59, -24, 5, -13, 25, -57, 107, -19, 57, 203, 4, 18, -32, 87, -163, 174, -114, 55, -18, -20, 73, -50, 213, -101, 128, 250, 207, -52, 17, -17, -16, 22, -51, 112, -184, 270 },
{ -11, 29, -14, 16, -278, 77, -37, -35, -15, -2, 159, -14, 53, 42, 16, 25, -49, 20, -35, 101, -53, -99, -70, 92, 127, -6, 38, -26, 131, -47, 230, 312, 205, -39, -23, 176, 65, -50, 72, 53, -148, 253 },
{ -25, -38, 75, 22, 21, -14, 78, -48, -32, 7, -24, -26, 118, 79, -368, 29, -9, -291, 31, -27, 159, -202, 133, -71, 79, 32, 19, -39, 188, -44, 176, 344, 174, 125, -20, 34, 4, -27, -11, 138, -142, 335 },
{ 64, -27, 30, -32, -47, 88, -53, -27, 10, -25, 151, 19, 72, 135, -35, 79, 131, 25, -25, -28, -109, -90, 200, -45, -7, -17, 8, 48, 93, 210, 144, 437, 171, -33, 34, -31, -188, 40, -81, 104, -186, 128 },
{ 37, -17, 14, -16, -22, 40, -70, 10, -15, 129, -12, -140, 88, 309, 326, -41, -20, 56, -203, 80, -104, -94, 174, 104, -23, 11, -13, 72, -46, 238, 68, 429, 200, -64, 32, -28, -14, 20, -54, 92, -175, 180 },
{ -11, 12, 19, 32, -17, 13, -47, -35, 13, -15, 7, -17, 81, 29, -27, -17, -17, 71, -39, 67, -59, -121, 124, 132, -14, 31, -19, 26, -27, 173, 137, 406, 214, -39, 68, 7, -18, 36, -53, 44, -147, 245 },
{ 34, -52, -9, 27, 25, 33, 52, -48, -10, -145, -23, -13, 40, 65, -44, 32, 23, -22, 27, -38, 144, -193, 164, -51, 129, 5, -30, 53, -89, 172, 44, 409, 235, 94, -29, -8, -14, 34, -27, 117, -86, 266 },
{ 11, -385, 302, 71, -31, 29, 21, -34, -441, 26, -43, 105, 109, 78, -66, 94, -23, 35, -49, 105, 64, -128, 21, -94, 236, -15, 77, -71, 329, -75, 153, 337, 153, 166, 280, -38, -28, 53, -15, -59, -36, 333 },
{ 6, -13, 26, 16, 42, -32, -41, -39, 7, -40, 48, 22, 72, 97, -65, 62, -16, 53, -64, 67, -130, 87, 234, 150, -21, 12, -17, -20, 24, 158, 70, 479, 107, -73, 29, -12, -23, 26, -59, 94, -136, 139 },
{ -13, 148, 27, -11, -15, -45, -31, -39, 24, -12, 98, -297, 62, 73, -65, 88, 9, 210, 78, 34, -145, 122, 149, 163, -45, -41, 22, -64, 55, 175, 58, 422, 119, -96, 88, -25, 27, 26, -72, 75, -151, 166 },
{ 158, -11, 17, -20, -153, 262, -31, -9, 52, -29, 19, 90, -28, 65, -37, -28, 20, -22, -27, 43, 186, -138, 110, 193, -30, -17, 38, 30, -23, -145, 47, 449, 217, -59, 36, -42, 15, 87, -94, -41, 218, 208 },
{ -20, -7, 27, -29, -261, 97, -17, -18, 44, 49, -37, 16, 136, -37, 18, -60, -21, 24, -71, 33, 150, -103, 81, 172, 100, -18, 77, 37, 88, -108, 71, 398, 288, -51, 78, -19, 241, 25, -51, -55, 147, 202 },
{ 11, -18, -26, 71, -41, 149, 46, -96, 62, -36, 58, -58, 57, -28, -37, -61, 24, -36, 43, 94, 157, -45, 42, -70, 229, -29, -21, -80, -90, -24, 114, 317, 234, 169, -59, -32, 28, 36, 36, -105, 88, 273 },
{ -169, 12, 55, 161, -30, 185, -49, 32, 118, -16, 138, -22, -189, -204, -145, 157, 15, 16, -36, 105, -27, 153, 258, 125, 131, 20, -39, -58, 50, -190, 226, 442, -137, -83, -173, -47, -99, 224, -97, 70, 258, 226 },
{ 21, -71, 148, -18, -379, 92, -64, -219, 72, 17, 17, -52, 56, 55, -134, 98, -66, 85, -75, 45, -137, 269, 226, 174, -64, -150, -101, 478, 74, -62, -95, 404, 211, -68, 70, -30, -56, 279, -7, -102, 238, 182 },
{ 83, -21, 28, -45, 47, 75, -70, 14, 33, -25, -11, -37, 146, 16, -94, 157, 20, -14, -115, 74, -74, 88, 108, 271, -48, -24, 37, -54, -61, 158, 160, 325, 180, -23, 14, -34, 9, 16, 190, 151, -148, 232 },
{ -4, -291, 116, -11, 6, 7, -26, -12, 7, -17, -18, 11, 101, 32, -34, 5, -8, 11, -10, 72, -39, -23, 68, -19, 7, -21, 18, -18, 77, -17, 201, 103, -17, 13, 20, -18, 128, 105, -41, 51, -57, 290 },
{ -4, -17, 110, -143, 62, 8, -35, 25, -81, -28, 5, -20, 47, 7, -21, 10, 43, -11, 44, 39, -51, -14, 78, -28, 9, 9, -43, 19, -25, 55, 180, 138, -23, 16, -19, 7, -9, -10, 74, 119, -38, 296 },
{ 56, -32, 26, -16, 19, 12, -52, 53, -18, -18, 5, -29, 41, 22, -10, 16, 20, 11, -20, 82, -41, -46, 91, -31, 131, 36, -22, -12, 81, -35, 197, 74, -29, 88, -21, -16, 178, 100, -29, 73, -108, 188 },
{ -11, -14, 32, -5, 8, 27, -40, -17, 11, -30, 10, -19, 59, 14, -19, -11, 17, -16, 35, 47, -55, -27, 86, -22, 15, -22, -13, 25, -39, 73, 185, 51, -49, 32, -28, 10, -9, 104, -15, 122, -33, 386 },
{ -2, -35, 128, 11, -14, 29, -44, -11, -5, -24, 60, -44, 78, -9, 20, -7, -11, 21, -23, 57, -104, 110, -49, 28, -17, -21, 18, -26, 171, -100, 114, 88, 137, -30, 132, 5, -9, 125, -50, 101, -147, 252 },
{ -19, -30, 364, 21, 5, 11, -23, -41, -19, -7, 13, -33, 57, 41, 222, 11, 11, -37, 51, 37, -62, -59, -27, 48, -10, -29, 90, -29, 115, -67, 258, 121, 117, -23, 88, -24, 147, 21, -47, 75, -125, 252 },
{ -8, -32, 60, -13, 15, 16, -32, -17, 14, -12, -34, 11, 26, 28, -30, -10, 17, -17, 47, -57, 105, -79, 41, -14, 17, -14, -27, 34, -86, 36, 173, 77, -75, 77, -26, -20, 136, 50, 89, -22, 219, 332 },
{ -12, -17, 39, 66, -12, 30, -70, 177, -20, -16, 9, -46, 89, -27, 23, 15, 4, 8, -21, 56, -110, 96, -53, -4, 7, -20, 52, -27, 57, -124, 149, 82, 49, -12, 81, -30, -4, 128, -37, 219, -123, 316 },
{ -9, -14, 27, 29, 13, -26, 55, -61, -12, 35, -37, 150, 46, 94, -44, 21, 8, -41, 20, 26, 108, -147, 114, -17, 21, -5, -6, 5, 49, -77, 207, 182, -41, 124, 51, -11, -7, 70, -37, 183, -106, 297 },
{ -7, -28, 93, 17, 5, 113, -32, -45, -35, -7, 13, -47, 58, 27, 63, -24, 133, -36, 92, 51, -65, -92, -65, -16, 235, 5, -41, 31, 164, -71, 316, 239, 129, 137, 74, -22, -17, 14, -24, 162, -155, 369 },
{ -12, -25, 122, 19, 15, -13, -25, -28, 7, -8, -22, -10, 60, 16, -23, -12, 12, -20, 42, 61, -79, -21, 57, 14, 11, -21, -15, 53, -120, 68, 105, 138, -74, 31, -15, -24, 160, 56, 95, -64, 348, 216 },
{ -8, -12, 21, 21, -26, 60, -34, -31, -8, 16, -42, 20, 46, 76, -36, 11, 11, -47, 57, -28, 110, -112, 51, 9, -31, -24, 9, 90, -65, -30, 180, 173, -97, 54, 102, -21, -17, 75, 48, -51, 285, 231 },
{ 22, -44, 93, 17, 16, 99, -18, -33, -33, -27, -21, -10, 77, 59, 48, -31, -90, -24, 56, -26, 122, -135, -22, 64, 20, -12, -202, 68, -107, -30, 199, 206, -63, 132, 53, 195, 28, -38, 78, -83, 207, 334 },
{ -19, 15, -39, 44, -23, 139, -23, -25, -37, -21, 26, -45, 130, 39, 95, -38, 41, -46, 21, 54, -46, -108, -52, -34, 117, 58, -24, 22, -19, -79, 108, 207, 124, 297, -31, 47, -14, 26, -41, 195, -145, 481 },
{ 12, -35, 20, -28, 115, 17, 120, 8, -23, -28, -399, -41, 86, -19, 107, -77, 123, -11, -37, 52, 57, -92, -85, -52, 69, 44, -20, 30, 62, -121, 147, 242, 143, 188, -63, 229, 24, -50, 38, -92, -27, 354 },
{ -8, -23, 31, 11, 14, -30, 94, -49, -11, -24, -25, 28, 59, 41, -13, 4, 21, -125, 43, -46, 107, -82, 34, -23, 13, -21, -28, 41, -110, 40, 167, 109, -90, 110, -8, -23, 34, 66, 248, -53, 386, 247 },
{ -11, -30, 116, 32, 39, 77, -27, -32, -15, 42, -35, -22, 101, 61, -23, 29, 12, -21, 33, 8, 54, -90, -26, 59, -36, -40, 58, 43, -108, -27, 80, 155, -68, 137, 164, 62, 130, -10, 59, -60, 290, 411 },
{ 9, -24, -179, 143, -15, 43, -38, 21, -43, 16, -49, -32, 134, 47, -44, 63, -5, -40, 77, -17, 82, -67, -63, -22, -23, -11, -17, 85, -173, 69, 148, 142, 158, 170, 249, -18, 13, -10, 94, -96, 106, 446 },
{ -28, 13, 46, -49, -49, 36, -30, 41, -39, -30, 40, -47, 127, 26, -46, 64, -235, -36, 52, 87, 76, -72, -46, -149, 91, -17, -10, 57, -70, -63, 126, 112, 113, 448, 172, -51, 19, 26, 132, -107, 158, 454 },
{ 19, -34, 21, -32, -27, 122, 57, 66, -60, 30, -56, -39, -47, -185, 125, -30, -23, 78, -78, 85, 218, 17, -178, -53, 145, 110, -149, 36, -86, -56, 93, 172, 193, 296, 91, -41, 23, 12, 23, -151, 60, 393 },
{ -9, -29, 43, 25, 13, 38, 23, -39, -19, -28, -10, -274, 101, 41, -34, 7, 47, -80, 32, -20, 94, -76, 14, -22, 13, -12, -36, 23, -82, 35, 94, 131, -35, -9, -22, 16, 128, -40, 155, 111, 282, 315 },
{ -90, -28, -37, 50, 19, 184, -46, 24, -55, 31, -51, -105, 20, 43, 11, 53, -17, 35, 38, 51, 6, -31, -51, 86, -33, -29, 41, -51, -131, 215, 87, -54, 103, -22, 89, 106, -11, 45, -80, 123, 139, 421 },
{ -134, -9, -39, 29, 30, -127, -26, 160, -73, 28, -39, 11, 33, 26, -67, 64, 7, 12, 18, 39, 29, -25, -83, 67, -87, -66, 52, -17, -72, 33, 73, 80, 107, 52, 139, 235, 26, -66, 92, -90, 122, 527 },
{ -203, 34, -45, 116, -65, 102, 27, 88, -31, 240, -90, 58, -168, 48, -86, 57, -265, -44, -525, 97, -47, -44, 50, -230, 141, 30, -79, 7, -37, 93, 83, -61, 173, 180, 464, -49, 18, 40, -118, 153, 110, 424 },
{ -6, -18, 112, -15, -3, 13, -37, 34, -6, 6, -13, -8, 44, 14, -26, 9, 5, -25, 155, 77, -49, -19, 76, -30, 30, -19, 10, -20, 112, -34, 255, 446, -12, 73, -8, -20, 73, 127, -36, 60, -82, 109 },
{ -13, -22, 34, 143, 102, 6, -45, -12, 20, 33, -14, -23, 47, 29, -18, 18, -11, -12, 13, 86, -46, -49, 81, -15, -7, -11, 17, -13, 61, -45, 245, 95, -44, 24, -12, 32, -12, 20, -39, 43, -43, 274 },
{ -21, -9, 46, 47, -8, 16, -64, -30, 10, 11, -31, -24, 69, 20, -23, 10, 124, -13, 28, 47, -108, 383, -35, 287, -9, -17, 15, -13, 116, -78, 115, 127, 106, -23, 30, -8, -17, 34, -53, 68, -93, 198 },
{ -28, -11, 31, 56, -21, 33, -61, -34, 40, 131, 82, -33, 71, 30, -15, 103, 130, -31, 9, 32, -75, -57, 138, -16, 6, -20, 141, -19, 115, -70, 123, 145, -68, 35, -20, 34, -22, 30, -43, 56, -74, 160 },
{ -9, -11, 30, -23, -19, 33, -64, 58, -5, -18, 23, -61, 90, -13, 15, 11, 67, -11, -35, 74, -114, 111, -51, 119, -15, -24, 16, -24, 87, -125, 133, 221, 140, 290, -28, 73, -12, 22, -49, 77, -136, 211 },
{ -10, -22, 26, 244, 36, 16, -39, -34, 96, -11, -12, -29, 51, 59, -39, 11, -16, 20, -15, 39, -44, -101, 128, -14, 307, -25, 108, -21, 162, -90, 255, 182, -51, 126, -17, -17, -18, 27, -44, 78, -114, 218 },
{ 40, -16, -14, 12, -21, 87, -26, -36, 10, 113, 12, -25, 33, 63, -24, 145, 5, -14, -16, 37, -56, -97, 170, -12, 58, -22, 83, -25, 159, -75, 263, 273, -107, 50, -39, 13, -17, 33, -47, 69, -95, 170 },
{ -22, -10, 45, 27, -14, 27, -35, -40, -8, 228, 13, -33, 49, 75, -13, 52, -19, 188, -27, 39, -51, -140, 194, -30, 24, -10, 23, -38, 168, -104, 139, 276, -74, 686, -38, -11, -15, 24, -46, 66, -93, 190 },
{ -18, -16, 81, 25, -12, 31, -31, -42, -16, 11, 37, -38, 57, 50, 37, 38, -9, -12, -27, 48, -69, -92, -70, 311, -21, -11, 21, -22, 203, -81, 315, 248, 214, -39, 29, -6, -14, 30, -76, 99, -164, 260 },
{ -10, -25, 17, 24, -33, 120, -32, -32, -31, 10, 9, -32, 48, 40, 40, 8, -19, -18, -26, 47, -45, -102, -62, -35, 87, -21, 47, 130, 134, -85, 342, 258, 231, 151, -24, 13, -13, 23, -56, 41, -159, 344 },
{ -22, -6, 27, 11, 5, 86, -66, -39, 20, -31, 186, 120, 68, 59, -46, 105, 4, 72, -24, 150, -97, -134, 269, -24, 11, -20, 62, -42, 44, -97, 189, 415, -91, 137, -4, -18, -21, 25, -40, 39, -62, 183 },
{ 47, -16, 12, 11, -43, 146, -42, -31, -19, 62, 13, -55, 51, 36, 322, 18, 42, 37, -29, 70, 151, -172, 195, -66, 16, -35, 53, -266, 69, -160, 142, 375, 174, 119, -35, -14, 37, 17, -40, 67, -145, 215 },
{ 251, -52, 20, 13, 220, 22, -42, -35, 6, -11, -5, -26, 53, 59, 50, 13, -198, 38, -21, 69, -101, -88, -62, 137, -12, -83, 77, -41, 185, -80, 283, 386, 211, -32, -26, 20, -16, 26, -63, 85, -140, 287 },
{ 73, -46, 21, 13, -90, 15, 56, -50, -21, -12, 14, -27, 76, 92, -25, 42, -5, -86, -53, 31, 103, -135, -51, 187, -30, -9, 136, 12, 51, -106, 197, 320, 388, -49, 45, -24, 235, 57, -70, 137, -83, 326 },
{ -7, 244, -29, 18, 71, 336, -98, -15, -63, -26, -18, -17, 138, 73, -480, 20, -10, 34, -76, 21, 192, -147, 36, -81, 107, 89, -54, 59, -19, -86, 71, 274, 297, 135, -26, -18, 28, -28, 61, -123, 140, 347 },
{ -17, 21, -24, -65, -25, 121, -80, 10, -18, 112, 47, -28, 41, -6, 96, 252, -23, 89, -48, 175, 163, -120, 255, -59, 260, -34, 25, -45, 83, -137, 118, 470, 204, 58, 13, -25, -10, 38, -56, 77, -158, 190 },
{ 158, -40, 13, -17, 65, -24, -9, -17, 13, 421, -46, 142, -64, 59, -52, 55, -27, 103, -31, 21, 192, -119, 241, 158, -36, 10, 13, -44, 61, -146, 80, 433, 230, -44, 43, -36, 96, 8, -49, 68, -137, 258 },
{ 178, -15, -239, 21, 85, 26, -31, -60, 32, -37, 144, -40, 31, 55, -26, -16, 77, 82, 21, 50, 130, -119, 141, 257, -27, -456, 52, -45, 87, -171, 61, 430, 140, -90, 23, -102, 324, 6, -31, 76, 212, 189 },
{ -3, -16, 58, -42, 65, -37, 130, -36, 27, -35, 126, -10, 17, 31, -212, -29, 52, -41, -29, 35, 131, -98, -26, 309, -29, -40, -7, 31, -9, -97, 173, 388, 378, 67, -27, 16, 4, 14, -36, 121, -80, 261 },
{ -37, 25, 37, -40, 177, -42, -9, -45, 12, -51, 86, 127, 47, -270, 75, -64, 113, -499, 13, 81, 120, -51, -57, 92, 228, -172, -74, 37, -71, -48, 163, 213, 309, 97, -89, 70, 21, -24, 96, -105, 18, 343 },
{ 11, -14, 229, -30, 28, 103, -61, 50, 58, -30, -300, -59, 51, 91, -66, 463, 116, 87, 59, -322, -98, 178, 164, -27, -18, -43, -54, -42, 67, -80, 84, 481, 159, 76, 119, -446, 11, 28, 75, -45, -98, 134 },
{ 131, 13, -23, -431, -39, 20, -29, 52, 14, 138, 512, -28, 73, 98, -70, 257, -76, 54, -22, -85, -101, 308, 146, 145, -33, -24, 23, -274, 58, 151, 115, 486, 80, 42, 22, 13, -65, 45, -51, 36, -176, 190 },
{ -19, 65, 14, -135, -41, -109, -21, 400, 19, 83, 146, 13, 35, 82, -25, -30, 8, -35, -481, -13, 117, -62, 109, 331, -40, 14, -39, 96, 43, -150, 164, 368, 146, -62, 29, -48, 11, -25, 39, -34, 188, 163 },
{ -18, 30, 76, 139, 267, -109, -137, -27, 23, -36, 158, -50, 31, -145, -50, -40, 205, -218, 157, 323, -54, 60, 32, 293, 126, -50, 103, -120, 28, 69, 142, 320, 349, -46, -79, -238, 25, -371, 55, 536, -186, 220 },
{ -12, -6, 20, -8, 19, 16, -35, 3, 6, 5, -14, -6, 125, 11, -12, -13, -21, 28, -20, 27, -20, 65, -18, 142, 113, 22, 12, -12, 125, -35, 126, -21, 98, -11, 12, -7, -11, 24, -48, 47, -34, 230 },
{ -17, -6, 36, -10, -7, 68, -48, 36, 21, 4, 175, -11, 42, 34, -8, -9, -13, 119, -42, 32, -41, 56, -8, 23, 21, 7, 126, -21, 38, -38, 158, -11, 106, -25, 10, -10, -9, 95, -36, 46, -38, 279 },
{ -16, 3, 21, 9, 146, 8, -36, -18, 6, 35, -3, -21, 129, 27, -26, 4, -9, 10, -27, 23, -14, -15, -11, 83, -12, 42, 14, -34, 32, -55, 114, 107, 89, -14, 51, 42, -16, 23, -42, 55, -54, 94 },
{ -17, -9, 28, 213, 4, 24, -39, -12, 30, -19, 58, -19, 46, -17, 67, -12, -11, 11, -19, 26, -35, 64, -18, -13, 54, 7, 40, -33, 84, -36, 80, 85, -9, 26, 36, -11, 132, 290, -42, 59, -71, 166 },
{ -10, -21, 118, 20, -10, 25, -31, -21, 44, -12, 24, -39, 34, 18, 90, -18, -8, 14, -30, 51, -29, -12, -17, 102, -8, 3, 37, -36, 36, -80, 202, 147, -14, 61, 261, -5, -11, 35, -61, 89, -100, 145 },
{ -16, -32, 27, 15, -15, 57, -61, 34, -15, -12, 282, -54, 45, 22, 189, -15, -16, 26, -29, 80, -45, -29, -17, 94, 43, -13, 105, -39, 55, -140, 78, 277, -26, 238, -26, 55, -6, 27, -50, 77, -91, 166 },
{ -24, 143, 31, 43, -9, 10, -52, 73, -30, -13, 39, -18, 53, -11, 15, 24, 62, -7, -15, 31, -50, 39, -5, -34, 15, -23, 18, -30, 124, -67, 75, -29, 97, -9, 4, -17, -13, 184, -51, 67, -99, 270 },
{ -6, -9, 156, 16, 12, 17, -34, -8, -30, 78, -20, -43, 43, -17, 17, 51, -5, -29, 20, 66, -42, -18, 20, -20, 4, -8, 19, -33, 28, -93, 54, 132, -12, 100, 45, 5, -18, 136, -51, 77, -113, 214 },
{ -10, -28, 36, 13, -31, 59, -66, 116, -29, 83, 196, -58, 62, 60, 45, -22, -19, -30, -23, 105, -69, -40, -24, 43, 7, 8, 36, -25, 38, -153, 116, 188, 85, 128, -16, 61, -16, 25, -43, 70, -114, 231 },
{ 13, -21, 330, 12, -7, 41, -33, -12, -58, 96, -28, -27, 125, 43, 14, 26, 7, -34, -22, 92, -49, -70, -24, -31, 73, -27, 22, -26, 64, -178, 128, 142, 195, 224, -13, -16, 46, 16, -53, 62, -115, 283 },
{ -12, -11, 111, 10, 11, 59, -27, -18, -4, -35, 3, -17, 35, 72, 8, -17, 16, 53, -21, 15, -25, -17, -11, -8, 22, -3, -19, -24, 111, -91, 111, -49, 114, -12, -11, -100, 66, 87, -67, 340, -91, 288 },
{ 32, -18, 148, 5, -45, 50, -51, 24, -32, -22, 342, -48, 48, -14, 33, 8, -16, 20, -38, 64, -36, -33, -34, 5, 8, -18, 32, -39, 41, -146, 105, 17, 208, -30, 93, 8, -5, 100, -52, 83, -119, 337 },
{ 412, -24, 31, 6, -22, 63, -24, 393, -64, 26, -46, -52, 53, 71, 35, -44, -18, 293, -30, 82, -7, -71, -50, 30, -197, 15, -11, 34, -50, -88, 211, 130, -53, 245, -22, 224, 7, -193, -30, 40, -89, 353 },
{ 13, 59, -56, 34, -35, 79, -14, -34, -61, 106, -22, -40, 144, 44, 24, 34, 205, -39, -21, 65, 144, -107, -66, -50, 21, 11, -14, 16, -55, -97, 94, 151, 219, 370, -40, 266, 60, -15, -17, 52, -108, 337 },
{ -8, 21, -20, 20, 239, -46, 130, 16, -38, -30, -3, -106, -18, 50, -64, 66, 85, -13, -43, 44, 862, -67, -99, -58, 119, -11, -82, 101, -83, -48, 157, 172, 247, 176, -82, 16, 101, -67, 47, 11, -144, 331 },
{ -15, 5, -12, 424, 9, -12, 73, -35, -15, -18, -34, 51, 20, 22, -22, 43, 18, -11, 44, -18, 77, -48, 22, -41, 13, -30, -14, 38, -86, -44, 105, 109, -71, 34, -26, 101, 99, 82, -22, -47, 398, 264 },
{ 8, -42, 464, 17, 38, 55, -43, 334, -43, 38, -71, -10, 22, -15, 24, -6, 13, -48, 84, 74, -24, -113, -29, 126, -15, 6, 189, 53, -100, -94, 134, 30, -20, 145, -31, 27, -17, -9, 171, -61, 155, 354 },
{ 15, -55, 46, 18, -21, 80, -49, 28, -39, 30, -55, -45, 33, 98, -53, 39, 11, -39, 48, 55, -6, -62, -35, -29, 214, -18, 12, 62, -103, -54, 142, 110, -15, 233, 252, -33, 17, 3, -7, -44, 150, 411 },
{ 128, 9, -22, -52, -49, 90, 156, -33, -31, 33, -11, -48, 22, 11, 1, 53, -10, -39, -401, 75, -5, -47, -37, -92, 153, -10, 10, 73, -70, -139, 126, 64, 71, 537, 293, -26, -68, 39, -60, 160, 103, 353 },
{ 17, 19, -94, 77, 61, 220, -342, -15, -75, 34, -40, 9, 69, -47, 147, -52, -12, -55, -52, 34, 61, -106, -94, 209, 47, 103, -42, 100, -115, -44, 68, 180, 114, 310, -79, 10, 24, -22, 88, -137, 125, 206 },
{ -6, -24, 94, 4, 18, -10, -14, 95, -43, -176, -38, 6, 37, 34, -2, -146, -20, 34, 12, -21, 81, -56, 64, -26, 24, -109, -163, 58, -68, -131, 63, 86, -47, 37, -238, 19, 104, -33, 186, -36, 405, 418 },
{ 9, -37, 9, 13, 27, 29, -50, 188, -29, -53, -47, -124, 43, 154, 14, -77, 79, -6, 68, 497, -77, -49, 16, -23, 33, -15, 31, 14, -93, -53, 36, 90, -86, 52, 172, -30, -15, 46, -51, 64, 181, 476 },
{ 15, -58, -162, 41, -33, 96, -38, 67, -26, -31, -7, -28, 80, 116, -70, 36, -20, 25, 67, -85, -154, -25, -38, 101, -62, -41, 68, -34, -83, 10, 227, -92, 138, -112, 256, -63, 18, 54, -103, 244, 272, 636 },
{ 13, -22, -60, 45, 62, -169, 94, -80, -118, 222, 536, 61, -116, 101, -68, 50, -146, -80, -86, 274, 54, -51, -130, 86, -55, -474, 40, 40, 41, -32, 216, 134, 97, 151, 536, -84, 40, -29, 46, -138, 229, 400 },
{ -14, -9, 33, 43, -14, 26, -51, -23, 119, 27, 11, -37, 46, 11, -13, 197, 44, 4, -33, 31, -28, -17, 230, -16, 53, -12, 19, -36, 38, -63, 194, 113, 227, 139, -9, -5, -13, 32, -34, 42, -32, 178 },
{ -17, 16, 20, 16, -29, 31, -42, -25, 24, 28, 52, -33, 36, 35, -10, -13, -14, 16, -42, 39, -25, -36, 42, 46, -13, 105, 17, -38, 39, -69, 160, 120, -24, 14, -17, 74, -19, 29, -43, 48, -29, 220 },
{ -17, -8, 24, 14, -25, 38, -41, -8, -10, -7, 18, -57, 46, 50, 17, -17, -12, 30, -46, 73, -43, 30, -26, 6, 44, -20, 14, -39, 57, -95, 196, 210, 101, 10, -21, 237, -15, 34, -48, 74, -89, 114 },
{ -18, -7, 30, 20, -13, 30, -39, -49, 19, -17, 26, -45, 49, 63, -11, -14, -8, 47, -54, 71, -66, -77, 187, 67, 4, -41, 26, -67, 78, -114, 93, 208, -49, 27, -33, 76, -15, 37, -53, 79, -81, 106 },
{ -16, -17, 19, 23, -37, 179, -18, -48, 4, 207, 13, -48, 36, 49, -23, 9, -45, 21, -36, 71, -34, -69, 75, -9, 80, -12, 21, -31, 39, -96, 240, 216, -49, 36, -21, 8, -14, 25, -53, 63, -70, 141 },
{ 63, -30, 77, 26, -19, 59, -55, -19, -20, -22, 26, -69, 59, 13, 39, 76, -18, 24, -53, 98, -51, -52, -58, 117, -5, -21, 123, -42, 78, -142, 91, 104, 179, 61, -19, 45, -8, 27, -46, 90, -139, 210 },
{ -20, 44, -7, 35, -25, 232, -45, -44, -25, 13, -35, 107, 15, 42, 48, -18, -15, -36, -40, 89, 81, -101, -44, 102, -9, -25, 75, 8, 22, -94, 296, 162, 181, 138, -27, 17, -4, 16, -31, 47, -88, 201 },
{ -14, 22, 75, 34, -42, 40, -40, -56, 9, -33, 18, -61, 55, 71, 40, -25, 518, 130, -59, 75, -74, -116, 175, 483, -24, -44, 20, -60, 50, -118, 126, 338, -75, 42, -28, 17, -9, 45, -42, 83, -87, 137 },
{ -14, 84, 44, 42, -30, 50, -63, -47, -34, -29, 16, -43, 46, 84, 38, 112, -14, 61, -69, 81, -57, -115, 30, -46, 9, -52, 41, -78, 102, -175, 133, 317, 188, 85, -32, 189, 7, 16, -49, 88, -125, 195 },
{ 37, 77, -18, 45, -26, 31, 106, -78, -23, -37, 20, -65, 23, 78, 30, -18, -37, 46, -31, 61, 110, -194, 278, -46, 20, 12, -9, -54, 93, -188, 132, 249, 309, -19, -14, 26, -17, 26, -26, 86, -117, 227 },
{ 38, -23, -61, 25, -11, 47, 50, -50, -23, -43, 28, -33, 110, 70, -37, 23, 24, -24, -23, 47, -22, -75, -74, 200, -34, 5, -34, 37, 25, -109, 82, 253, 330, 143, -26, 17, 265, -18, 17, 107, -73, 274 },
{ -23, 97, -67, 39, -71, 141, -13, -33, -57, 29, 43, -310, 57, 39, -19, 27, 46, -50, -38, 43, 371, -82, -59, -66, 357, 229, -25, 25, -93, -76, 105, 225, 311, 84, -88, 35, 14, -66, 31, 107, -132, 314 },
{ -10, -12, 21, 19, 9, 269, -36, -61, 19, -51, -25, -33, 67, 75, -35, 58, 226, 18, -72, 61, -98, -97, 321, -74, 27, -41, 29, -56, 61, -103, 147, 356, 785, 54, 42, -14, 48, 16, -33, 50, -87, 121 },
{ -39, 445, 173, 31, 12, -11, 99, -72, 17, -47, -32, -50, -37, 103, 24, -40, -24, 88, -60, 112, -80, -128, 110, 164, -30, -42, 217, -81, 81, -143, 89, 363, 194, -27, 58, -30, -29, 73, -90, 99, -121, 233 },
{ -17, -17, 17, 39, 462, 21, -33, -56, 42, -17, -17, 47, 28, 51, 17, -16, -20, 44, -66, 46, -31, -62, -56, 330, -35, -12, 117, -75, 57, -152, 239, 400, 136, -65, 28, -34, -20, 33, -52, 112, -90, 275 },
{ -9, -38, 26, -47, 8, 102, 165, 13, -34, 42, 66, -36, 35, -14, 57, -23, -12, 37, -44, 77, -15, -38, -79, 394, -30, -262, -28, -41, 21, -135, 94, 277, 304, -84, 138, 21, 4, -87, -36, 73, -92, 226 },
{ -51, 71, 198, -86, 10, -54, 44, 59, -49, -89, 233, -51, -23, 164, 34, -53, 68, -290, -48, 102, -826, -75, 143, -72, 234, 17, -1032, -53, -41, 229, -76, 243, 341, 194, -75, 61, 7, 103, 55, -39, -114, 295 },
{ -25, 42, -29, 11, -65, 768, -58, 32, -34, -15, 26, -598, -45, 196, 164, -35, -20, 248, -40, 122, -40, -58, 301, 69, -19, 45, 118, -60, -33, -81, 113, 447, 53, -22, 44, -24, -26, 23, -44, 23, -96, 97 },
{ -10, 29, -68, -73, 75, 99, 100, -7, 10, -8, 90, -676, 266, 37, 61, -34, -45, 448, 22, -69, 54, -99, 188, 286, -24, -22, 18, -107, 56, -180, 131, 403, 95, -50, 50, -30, 77, 121, -27, 23, 361, 180 },
{ -15, 48, 77, 181, 12, -224, 8, -46, 44, -48, 82, 10, -45, 57, 114, -32, -38, 62, -65, 69, -18, -61, 74, 377, -17, 117, 19, -112, 400, -142, 290, 385, 153, -93, -58, 57, 7, -46, -22, 59, -59, 244 },
{ 89, -138, 66, -313, 79, 223, -61, -129, 65, -53, -74, 69, 236, -19, -39, 207, 19, -115, -95, -27, 52, -101, 425, 306, -63, 75, 159, 39, 85, -139, -488, 347, 369, -50, 30, 40, -31, -63, -70, -22, 97, 381 }
 },
{ 
{ -129, 89, 66, 78, -42, -2, 32, 23, 61, 24, 23, -23, 36, 23, 25, 62, 30, -8, 27, 26, 35, 13, 22, 29, 69, -64, 34, 33, 40, 30, 42, 24, 25, 18, 4, 96, 130, -65, 17, 12, 33, 27 },
{ 102, -129, -59, 98, 44, 14, -17, 18, 92, -46, 14, 31, 29, 19, 34, 121, -31, 25, 16, 24, 27, 18, 29, 45, 107, -84, 19, 21, 27, 42, 33, 37, 15, 14, 26, 90, 116, -52, 16, 12, 23, 43 },
{ -90, -103, 171, 111, 58, 12, -34, 17, 36, 12, -30, 58, 47, -50, 30, 86, -28, 9, 21, 28, 19, 18, 16, 9, 87, 75, -26, -6, 25, 28, 36, 39, 8, 3, 13, 120, 199, -77, 25, -14, 23, 36 },
{ 193, -210, 112, 145, 29, -50, -71, 56, 124, -16, -47, 62, -71, -32, 35, 153, -5, -45, 42, -25, 12, -36, -6, 18, 184, 26, -49, -17, -5, 16, 24, 28, 14, 6, 32, 172, 237, -32, -16, -19, 27, 25 },
{ 111, -153, 251, -114, 33, 28, -47, 51, 46, 11, 21, 29, -50, 34, 21, 63, 49, -26, 20, 15, -24, 20, 9, 11, 93, 106, -24, -14, -4, 20, 25, 14, 13, -20, 6, 157, 306, -54, -33, -16, 16, 25 },
{ -78, 140, -92, 196, 102, -134, 103, -144, 146, -64, -48, 40, -30, -42, 40, 196, 40, 81, -36, 34, 66, -117, -106, 124, 358, -143, 92, 44, -62, -79, 109, 34, 28, 10, 36, 224, 111, -104, -24, -141, 137, 109 },
{ 85, -70, 79, -53, -55, 170, 26, 62, -106, 32, -23, 87, -60, 53, 81, -55, -123, 63, 28, 93, -37, -61, 64, -74, 177, -153, 90, -45, 47, -141, 95, 25, 111, -214, 332, 396, 131, 38, -68, -48, 124, 177 },
{ -69, 33, 139, -50, -28, 13, 50, 53, -47, -65, 36, 60, -82, 67, -101, 152, 73, -28, 45, 12, -64, -94, 54, -121, 306, -105, 43, -23, 56, -88, 83, 47, 71, 145, -97, 348, 140, -109, -64, -26, 89, 207 },
{ -164, 171, 174, 148, 35, -148, -80, -53, 196, 42, -108, 68, -31, -121, 200, 326, -13, 53, 74, 34, -83, -144, -48, 150, 325, 69, -44, -42, 29, 72, 66, 124, 39, -119, 20, 115, -61, 80, -48, -93, -83, 96 },
{ 102, -21, 209, -22, 23, -15, 30, 44, -20, -40, 26, 95, -15, 43, 53, -47, -43, 19, 53, 37, -46, -57, 64, 253, -156, -32, 63, 16, -16, -44, 154, 48, 211, -97, 144, 373, -141, 181, -91, 62, 104, 252 },
{ 100, -54, 46, -37, -15, 109, 113, 81, -129, -28, 52, -13, 67, -25, 52, -142, -116, 102, 71, 32, -93, 20, 113, 183, 414, 65, -46, -24, 91, 33, 76, 146, 145, 196, -147, 200, 71, -196, 33, -141, 192, 130 },
{ -9, 13, -30, 69, 260, 22, -26, 116, -27, -26, 69, 27, -28, 39, 89, -114, 1, -21, -17, 58, 40, 57, -51, -101, 209, 187, 32, -55, -54, 153, 132, 188, 206, 231, 146, -67, -30, 27, 108, -181, 80, 250 },
{ -183, 80, 45, 72, -27, -32, 91, 56, 34, -48, 51, 61, 81, -50, 41, 39, -45, 42, 40, 38, 33, 37, 30, 20, 41, 49, 33, 41, 35, 25, 28, 30, 27, 35, 37, 64, -129, 69, 75, 54, 34, 34 },
{ -193, 62, 58, 72, -82, 58, 75, 50, 35, -60, 84, -48, 106, -60, 52, 44, -67, 54, 38, 47, 31, 55, -24, 40, 49, 38, 28, 39, 37, 33, 32, 40, 38, 29, 36, 80, -110, 89, 70, 53, 28, 39 },
{ -200, 61, 100, 90, -67, 79, -87, 53, 93, -69, 93, -42, 80, -96, 97, 114, -58, 67, -34, 56, -11, 57, -68, 110, 135, -71, 69, 22, 48, -14, 78, 63, 60, -45, 77, 141, -62, 82, -91, 57, 22, 89 },
{ -161, 52, 50, 85, -87, 44, 112, -57, 53, -72, 54, 66, -44, 82, -31, 49, -64, 58, 59, -22, 61, -37, 63, 29, 28, -93, 85, 56, 36, 41, 51, 53, 43, 36, 22, 87, 122, -71, 63, 29, 51, 65 },
{ -157, 35, 62, 89, -52, 63, 41, -95, 121, -35, 56, -31, -30, 31, -25, 139, -54, 48, 44, -19, 58, -72, 41, 65, 152, -117, 87, -40, 17, 33, 66, 107, 74, -31, 34, 167, 74, -18, -69, 30, 37, 115 },
{ -98, 32, 21, 63, -82, 41, 73, 30, -36, -42, 49, 57, -65, 46, -17, 60, -29, 33, 46, -42, 56, -50, 34, 16, 43, -34, 55, -42, 57, 53, 76, 56, 43, 32, 35, 92, 167, -65, -12, 42, 65, 129 },
{ -94, 53, 123, -84, -22, -33, 119, -44, 101, -51, 50, 22, -29, -67, 23, 115, -29, 53, 27, -41, 23, -44, -93, 43, 239, -84, 18, -30, 14, 44, 63, 104, 75, 49, -19, 229, 91, 28, -106, -53, 85, 161 },
{ -45, -21, 122, -16, -41, 23, 46, -28, 35, 57, -36, 55, -95, 55, -61, 88, 88, -82, 38, -46, 54, -24, -18, -23, 82, 22, -60, -9, 13, 23, 45, 59, 45, 46, -55, 193, 251, -53, -35, 54, 104, 162 },
{ -28, 83, -100, 127, -29, 53, 42, 91, -180, -161, 105, 81, -44, -36, 76, 126, 69, 29, 55, -81, -60, 69, -145, 65, 221, -184, 124, -45, 29, 65, -63, -91, 167, 55, 191, 289, 171, -91, -85, -84, 77, 192 },
{ -148, 234, -98, 165, 47, 121, 64, -101, 228, 96, -77, -96, 63, -84, -30, 493, 63, -109, -110, 87, -29, -124, 145, 179, 308, -83, -49, 81, 119, -61, 111, 84, -94, -127, -101, 92, -99, 200, -10, -54, -32, 113 },
{ -190, 62, 62, 74, -76, 56, 65, 69, 63, -61, 73, -43, 91, -48, 64, 70, -71, 55, 40, 54, 28, 50, -27, 51, 72, 53, 28, 36, 47, 22, 29, 34, 45, -35, 62, 92, -154, 47, 59, 66, 35, 37 },
{ -199, 58, 94, 93, -93, 70, -53, 88, 97, -60, 58, -34, 101, -55, 90, 106, -59, 46, 35, 48, -29, 55, -53, 98, 119, -61, 79, 34, 45, 27, 55, 32, 38, -70, 102, 107, -95, 77, -89, 75, 39, 62 },
{ -192, 59, 79, 128, -58, 68, -92, 48, 142, -42, 50, -26, 37, -39, 63, 209, -52, 66, 30, 44, -41, 37, -83, 101, 200, 100, -25, -37, 24, 30, 76, 76, 48, -87, 52, 96, -153, 45, 29, -26, 40, 58 },
{ -160, 89, 29, 110, 97, 40, -67, -74, 141, -98, 55, -27, -15, -60, 90, 353, 31, 54, 11, -9, -16, -84, 80, 142, 239, 92, -28, -27, -31, 87, 114, 113, -48, -92, -22, 131, -148, 78, -79, -40, 33, 84 },
{ -133, 120, 176, -201, -45, 10, 49, 91, 139, 64, -36, 55, -90, -87, 26, 370, 40, 17, 30, -49, 54, -54, -60, 100, 290, -156, -9, 42, 16, -26, 60, 79, 103, -135, 109, 137, 85, 35, -113, -83, 59, 81 },
{ 198, 59, -151, 92, -65, 72, 22, 58, -164, 71, 60, -106, 141, 50, -54, 182, -39, 46, -38, 142, -89, 118, -110, -42, 640, 166, 65, -136, 111, 128, 121, -221, 199, 183, -50, 157, -180, 171, -131, -175, -16, 199 },
{ -149, 42, 49, 77, -107, 85, 92, 69, -78, -83, 112, -47, 96, -30, 32, 69, -84, 51, 82, 76, -55, 70, 68, 39, -53, 40, 50, 74, -57, 60, 83, 43, 70, -47, 72, 110, -148, 68, 87, 64, 48, 67 },
{ -186, 61, 102, 54, -83, 88, -39, 43, 77, -77, 113, -38, 63, -41, 22, 94, -112, 97, -27, 54, 25, 112, -51, 41, 106, 57, 52, 18, 42, -17, 94, 81, 102, -63, 67, 107, -185, 122, -31, 79, 23, 96 },
{ -128, 50, 47, 50, -106, 68, 93, 39, -80, -113, 130, -40, 78, -20, 22, 55, -119, 101, 60, 48, -50, 65, 79, 35, -64, 60, 34, 47, -30, 59, 72, 96, -41, 78, 27, 139, -124, 105, 69, 18, 64, 99 },
{ -127, 23, 40, 47, -47, 65, 49, 41, -95, -68, 62, 72, -44, 50, 48, 71, -122, 121, 45, -53, 64, -37, 70, 65, 72, -61, 103, -50, 51, 10, 78, 93, 106, -97, 80, 191, -136, 128, -15, 72, -33, 172 },
{ -105, 60, 76, -88, -58, 70, 18, 18, 60, -55, 69, 15, -28, 45, 47, 109, -68, 74, 39, -42, -27, 95, -114, 165, 148, -71, 104, 48, -60, 58, 101, 81, 113, -58, 113, 178, -125, 115, -98, -57, 56, 91 },
{ -87, 50, -63, 97, -112, 54, 115, 64, -103, -76, 67, 83, -69, 65, 65, -62, -91, 79, 69, -49, 46, -47, 90, 60, -33, -81, 94, 33, 35, 40, 68, 103, -67, 97, 62, 67, 158, -37, 56, -6, 59, 137 },
{ -72, 22, 88, -80, -99, 85, 77, 65, -95, -83, 80, 15, 28, -51, 23, 81, -77, 70, 85, -39, -21, 36, 62, -21, 99, -140, 105, 52, -47, 43, 67, 94, 60, 92, -81, 275, 63, -43, 38, -38, 72, 155 },
{ -90, 38, 135, -90, -45, 55, 47, 100, -103, -112, 93, 14, -10, -37, 57, 118, 46, 22, 57, -102, 79, -88, 77, -47, 233, -151, 63, 53, -23, 43, 33, 126, 81, 86, -34, 265, 34, 35, -93, -61, 40, 152 },
{ -60, -5, 42, 27, -97, 72, 58, 49, -91, -71, 56, 45, -38, 63, 59, -59, -43, 70, 28, -17, -47, 41, -47, 42, 31, -21, 61, -47, 30, 28, 124, -81, 101, 47, 32, 96, 227, -98, -16, 49, 112, 242 },
{ -78, 46, 109, -33, -101, 61, 66, 60, -128, -58, 83, 50, -33, 32, -23, 52, -78, 99, 22, 10, -50, 44, -78, 38, 76, -138, 103, -47, 28, -45, 60, 74, 91, 204, -206, 354, 117, -104, 81, -37, 116, 209 },
{ -44, -25, 94, -63, -69, 71, 70, 48, -61, -94, 59, 16, 34, 21, 76, -83, 55, 27, -28, 18, -9, 7, 8, -29, 40, -52, 37, -34, -21, 16, 32, 36, 68, -59, 35, 166, 299, -139, -9, 93, 150, 245 },
{ -33, 90, -106, 101, -68, 48, 53, 68, -127, 51, -89, 151, -50, 33, 131, -121, -112, 69, 84, -44, 28, -31, -73, 101, 81, -122, 58, 24, -44, -30, -18, 58, 134, -173, 290, 283, 138, 34, -122, 30, 76, 245 },
{ -19, -58, 24, 91, -40, 113, 40, 15, -55, -73, 17, 48, 41, -32, 101, -69, 64, -28, -20, 48, 56, -39, -13, 73, -49, 47, -52, -63, 21, -46, 66, 10, 33, -18, 63, 174, 459, -65, -60, 68, 110, 173 },
{ -154, -26, 135, -79, 58, 40, 34, 36, 127, -60, 43, -23, 17, -78, 113, 179, 46, 41, -29, 34, -25, 119, -104, 131, 131, -48, 45, 31, -26, 25, 96, 111, 103, -77, 72, 72, -167, 89, -27, 20, 28, 98 },
{ -154, 137, 103, -96, -89, -30, 50, 15, 140, 102, 57, -48, -48, -89, 140, 311, -29, 52, 43, 12, -39, 94, -124, 270, 195, 48, 65, -41, -12, 8, 100, 114, 69, -129, 27, 54, -137, 29, -72, -22, 36, 82 },
{ -118, 90, 112, -116, -55, 85, 67, -36, 88, -73, 82, -25, -40, 38, 20, 243, -53, 42, 48, -33, 49, -119, 70, 119, 263, 80, 41, 35, -69, 37, 62, 126, 75, -118, 110, 104, -142, 83, -53, -87, 49, 121 },
{ -93, 86, 185, -191, -88, 93, 68, -64, 118, 71, 64, -40, -26, 102, -73, 217, -65, 79, 23, -47, -53, -12, -55, 185, 314, -143, 108, 52, 30, -51, 78, 73, 93, -69, 82, 187, 130, -113, -92, -101, 88, 136 },
{ -95, -21, 102, 29, -79, 79, 83, 41, -97, -61, 57, 50, -18, 70, 15, 61, -89, 83, 72, -22, 76, -35, 122, 30, -89, -36, 91, 8, 26, 59, 84, 126, -34, 75, 52, 45, -96, 130, 97, -32, 70, 105 },
{ -121, 46, 55, 75, -55, 42, 26, 42, -82, -60, 80, -23, 40, 33, 53, 89, -69, 84, -28, 65, -22, 81, 95, -35, 65, 44, 36, 42, 32, 18, 116, 92, 53, 45, 30, 90, -149, 77, 52, -34, 64, 107 },
{ -78, -51, 64, 52, -54, 86, 40, 76, -122, -68, 57, 57, -15, 39, 14, 74, -127, 123, 64, -35, 62, -40, 87, 66, -95, -68, 159, -84, 74, 43, 94, 80, 75, -15, 65, 95, -93, 109, 51, 98, -52, 172 },
{ -80, 42, 119, -96, -103, 83, 51, 51, -66, -66, 88, -16, -29, 86, 18, 68, -48, 80, 45, -19, 46, -36, 110, -23, 79, -69, 102, 28, -41, 46, 79, 110, 103, -20, 58, 160, -145, 126, -24, 59, 28, 159 },
{ -63, 74, 86, -114, -84, 39, 44, 96, -63, -55, 87, -13, -32, 46, 56, 109, 43, 34, 55, -23, -32, 88, -80, 132, 127, -61, 61, 23, -32, 24, 108, 94, 144, -72, 88, 156, -161, 121, -52, 29, 40, 135 },
{ -52, -56, 106, -62, -63, 57, 91, 72, -89, -69, 67, 67, -52, 37, 99, -85, -100, 89, 74, -53, 22, -30, 120, 74, -69, -112, 128, 31, -30, 78, 78, 132, -89, 92, 60, 79, 113, -33, 80, 14, 68, 168 },
{ -77, 81, 57, -68, -115, 63, 41, 126, -156, 60, 23, 35, -30, 32, 31, 50, -147, 100, 39, -43, 55, -34, 121, -69, 114, -96, 141, -59, 40, -23, 74, 107, 154, -104, 101, 177, -81, 108, 60, -59, 67, 192 },
{ -71, 102, 64, -79, -44, 43, 33, 111, -170, -60, 53, 26, 20, 22, 41, 87, -72, 93, 28, -27, 25, -80, 151, -88, 188, -70, 81, 53, -34, 33, 57, 119, 84, 123, -41, 251, -109, 74, 41, -100, 69, 146 },
{ -75, 159, 95, -177, -56, 45, 86, 75, -68, 56, 28, -18, 75, -72, 54, 135, -158, 83, 76, 28, -25, 70, -164, 97, 280, 86, 47, -75, 39, -70, 102, 99, 104, 55, 115, 123, -148, 130, -43, -79, 61, 140 },
{ -58, -47, 104, -55, -59, 61, 78, 55, -68, -92, 72, 49, -50, 74, 60, -92, -117, 130, 38, -35, 17, -36, 71, 49, -49, -111, 135, 35, -49, 57, 62, 56, 114, -93, 123, 78, 173, 46, -55, 53, 94, 218 },
{ -81, 150, 145, -143, -73, 53, 42, 74, -117, -53, 66, 53, -59, 77, 113, -98, -41, 56, 43, 22, -32, 54, -63, 36, 253, -143, 76, 55, 57, -37, 68, -87, 196, 92, 113, 244, 65, 35, -65, -136, 27, 199 },
{ -99, 194, 193, -174, -62, -27, 88, 98, -133, -110, 114, 47, -64, 79, 94, 58, 76, 10, -35, 85, -82, 44, -195, 34, 392, -173, 141, -26, 56, 32, 42, -104, 146, 178, 73, 232, 130, -127, 54, -123, -99, 205 },
{ -97, 60, 70, -91, -32, 26, 64, 40, 51, -52, 77, 13, -34, -22, 78, 173, -54, 59, 21, -25, 21, 131, -72, 72, 112, 77, 54, 23, -25, 31, 76, 121, 126, -28, 62, 75, -160, 75, -32, -31, 57, 112 },
{ -78, 83, 113, -122, -61, -16, 36, 28, 53, 97, 26, 18, -15, -52, 185, 225, -36, 29, 17, -34, 8, -82, 129, 160, 156, 63, 26, 23, -23, 49, 56, 190, 56, -112, 38, 47, -148, 75, -38, -29, 10, 109 },
{ -73, 29, 137, -175, 35, 41, 67, 34, 65, -30, 18, -27, 41, -58, 48, 165, -47, 49, 29, 4, -44, 73, -36, 163, 229, 66, 18, 10, -25, 47, 72, 123, 95, -35, 27, 125, -155, 61, -35, -21, -37, 186 },
{ 160, -148, 32, -199, 41, 96, 66, 73, 107, 67, -28, 48, -54, -69, 91, 408, -60, -31, 46, 41, -33, -103, 138, 158, 232, 83, 49, -48, 42, 92, 45, 129, 117, -92, -172, 81, -99, 70, 31, -44, -52, 76 },
{ -63, 188, 126, -256, -48, 77, 52, 64, 133, -65, 53, -7, -35, 23, -137, 319, 61, 9, 36, 55, -22, -28, 69, 248, 227, 68, -48, 45, -34, -26, 105, 114, 209, -158, 28, 72, -116, 65, -63, 78, -43, 82 },
{ -89, 184, 176, -180, -113, -39, -24, 157, 113, 106, 25, 58, 55, -78, -133, 400, -30, 103, 5, 39, -64, -94, 113, 244, 299, 114, -54, -51, 74, -25, 61, 135, 95, -147, -53, 156, -124, 83, -117, 110, -45, 95 },
{ 114, -136, 243, -236, -87, 108, 99, -48, 173, 83, 88, 12, -43, 74, -130, 220, -59, 65, -12, -28, 102, 75, -84, 278, 423, 74, 54, -52, 66, 88, 103, -179, 171, 76, -74, 192, -134, 92, -96, 44, -70, 94 },
{ 16, -41, 429, -11, -103, 33, 78, 23, 79, -33, 24, 20, -72, 63, -91, -112, -36, -39, -48, 64, 56, 123, 92, 184, 329, -27, 58, -27, -79, 59, 55, 169, 169, 158, 107, -117, 119, -32, 227, -89, 49, 114 },
{ 19, -39, 93, -30, 177, -78, 171, 89, -116, -63, 53, -67, 119, -142, 210, 365, 27, 58, -51, 23, 73, -99, 191, 224, -122, 22, -47, 153, 90, 90, -59, 223, 159, -127, 102, -84, -16, 91, -30, 21, 138, 65 },
{ -10, -6, 76, 150, -15, 19, -22, -28, 7, -32, 19, -31, 91, 109, -8, -8, 54, 372, -37, 32, 100, -26, 156, -13, 3, -10, 11, -25, 34, -43, 51, 177, -8, 20, -11, 81, 223, 184, -33, 184, -19, 568 },
{ -41, -29, 105, -16, -68, 63, 40, 27, -47, -26, 48, 24, 14, 66, 59, -38, -66, 49, 88, -30, 55, -37, 121, 73, -73, 33, 17, 42, -34, 96, 124, 149, -45, 53, 48, 44, -70, 72, 61, 32, 61, 146 },
{ -46, -26, 108, -114, -42, 63, 40, 47, 78, -40, 67, -31, -18, 36, 85, -122, -55, 83, 46, -15, 10, 53, 40, 51, 102, -45, 76, 28, -38, 63, 112, 146, 66, 89, -47, 124, -104, 73, 45, 19, 21, 186 },
{ -40, -42, 85, -52, -60, 41, 87, 74, -88, -37, 69, 21, 4, 33, 22, 48, -87, 80, 33, -10, 40, -35, 81, 74, -109, -40, 76, 45, -27, 89, 98, 121, 69, -24, 73, 58, -61, 114, 65, 15, 33, 193 },
{ -60, 30, 67, -77, -67, 69, 13, 77, -84, 54, 23, -31, -13, 53, 37, 109, -59, 60, 42, 18, 11, -41, 161, -44, 159, -32, 63, 12, -32, 48, 54, 189, 66, 129, -92, 106, -117, 104, 70, -59, 72, 151 },
{ -33, -41, 72, -44, -53, 100, 28, 65, -82, -76, 71, 22, -20, 45, 84, -67, -107, 116, 50, -16, -34, -28, 96, 82, -57, -64, 124, -22, 14, 66, 109, 106, -49, 97, 37, 45, -52, 115, 79, -42, 63, 235 },
{ -34, -41, 84, -62, 43, -46, 67, 112, -131, -54, 51, 25, -11, 14, 34, 71, -87, 92, 26, 43, -47, -57, 137, 53, -55, -74, 118, -48, 16, -15, 94, 200, -59, 118, 59, 167, -90, 81, 32, -43, 86, 223 },
{ -36, -44, 135, -105, 80, -23, 50, 40, -89, -49, 37, 49, -50, 104, 49, -71, -57, 98, 33, -44, 28, -52, 75, 129, 125, -37, 105, -29, 31, -16, 84, 109, 176, -39, 81, 187, -149, 120, -16, 14, -20, 229 },
{ -53, 109, 78, -95, -89, 68, 45, 71, -107, -68, 46, 13, 17, 39, 35, 138, 101, 15, 20, 31, -30, 23, -84, 99, 202, -50, 49, 32, 33, -45, 84, 130, 183, 31, 57, 124, -122, 126, -91, 58, -74, 174 },
{ -57, -23, 61, 15, -55, 53, 54, 47, -75, -53, 40, 44, -28, 25, 116, -103, -123, 130, 25, 11, -18, -28, 34, 106, -106, -148, 207, -49, -26, 67, 86, 101, -55, 111, 38, 63, 130, 83, -51, 37, 72, 276 },
{ -29, -57, 135, -92, -43, 101, -32, 130, -122, -58, 58, 55, -60, 70, 86, -80, -115, 98, 46, -23, -12, 45, -32, 56, 60, -88, 136, -76, 47, -31, 144, -59, 213, -85, 119, 206, -95, 120, 49, -34, 34, 318 },
{ -44, 89, -65, 87, -65, 78, 36, 89, -204, -95, 92, -40, 45, 86, 92, -115, 61, 20, 16, -9, 58, -65, 45, 28, 120, -151, 123, 21, 21, -17, -21, 90, 159, 76, 123, 281, -105, 133, -108, 22, -31, 250 },
{ -55, 150, -79, -91, -59, 267, 62, 55, -161, -42, 36, 41, 85, -21, 124, 93, -52, 44, 47, 31, -54, 58, -44, -113, 524, 130, -83, 94, -70, 128, 81, -215, 251, 174, -86, 186, -181, 81, 91, -138, 46, 181 },
{ -45, 78, -34, 11, -56, 60, 64, 54, -70, -66, 39, 46, -13, 66, 32, -66, -110, 91, 55, -54, 78, -59, 84, 25, -97, -104, 70, 54, -63, 76, 30, 132, -105, 102, 101, 46, 236, 78, -89, 27, 154, 262 },
{ -24, -71, 66, 88, -43, 23, 78, 69, -139, -61, 61, 31, -17, 60, 151, -178, -82, 97, 68, -66, 61, -51, 37, -32, 73, -151, 132, -36, -20, -62, 78, 163, -164, 148, 72, 234, 111, 76, -126, 50, 148, 278 },
{ 132, 31, -75, -66, 128, 95, 116, 39, -210, -50, 110, 138, -70, 81, -115, 88, -47, 106, 52, 94, 90, -89, 53, -179, 558, -100, 100, -39, 75, 84, 150, -216, 125, 405, -138, 314, -178, 177, -94, 68, -109, 153 },
{ -15, 72, 10, -48, -23, 81, 25, 43, -21, -77, 52, -10, 65, -11, 78, -63, -84, 100, 49, 54, -59, 30, 91, 40, -117, -125, 49, 16, -45, 43, 79, 15, -29, 49, 52, 107, 334, 59, -42, 68, 155, 226 },
{ -25, 65, -74, 127, -47, -32, 110, -63, 89, -57, -33, 83, 83, 69, 19, -148, -95, 75, 61, 67, -78, -64, 82, 145, -85, -121, 104, -54, -119, 104, 91, 76, -123, 79, 33, 353, 192, 78, -120, 53, 159, 178 },
{ -69, -20, 95, -91, -31, 60, 60, 52, 72, -28, 39, 15, -10, 67, -60, 78, -26, 37, 55, 19, -38, 71, 109, 72, -98, -37, 46, 34, -27, 85, 168, 128, 33, 42, 50, 96, -72, 83, 37, -16, 69, 114 },
{ -71, 23, 86, -104, -48, 120, -32, 48, 95, -35, 57, -47, 43, 36, -29, 105, -24, 48, 24, 22, -34, 70, 101, 35, 130, -43, 117, -24, 21, 28, 121, 163, 93, 48, 55, -60, -65, 61, 38, -16, -24, 152 },
{ -66, 40, 104, -170, -55, 74, 25, 47, 162, 88, -43, 19, 46, -96, 86, 255, -65, 65, 38, -22, -40, -65, 196, 71, 122, 48, 42, -39, 23, 81, 102, 251, 67, -59, -37, -102, -78, 120, 55, 56, -52, 95 },
{ -57, 50, 147, -160, -58, 61, 35, 21, 74, 50, -17, -30, 61, -28, 38, 222, -69, 43, 41, -28, 21, -70, 136, 103, 160, 48, 15, 51, -46, 59, 110, 235, 140, -79, 49, -120, -85, 76, 66, 33, -68, 80 },
{ -29, -51, 135, -165, 53, 76, 15, 106, -89, -64, 69, -51, 19, 59, 44, 155, 85, -22, 48, 54, -25, -69, 105, 145, 211, -33, 65, -38, 43, -19, 65, 190, 131, -62, 20, 61, -121, 108, -37, 47, -47, 166 },
{ -58, 123, 81, -99, -74, 36, 63, -87, 166, 79, -36, 128, 49, -85, -113, 479, -57, 99, -30, 56, -81, 83, 147, 122, 86, -81, 66, -45, 76, 139, 67, 231, 120, -114, 69, -143, 87, 73, 50, 24, -34, -46 },
{ -65, 79, 62, -107, -63, 126, 68, 60, -89, 141, -41, 27, -60, -45, 163, 244, -64, 25, 51, 40, 58, -109, 90, 147, 219, 58, -36, 42, 70, 92, -48, 253, 177, -129, 47, -99, -89, 122, 24, 23, -38, 64 },
{ -62, 153, 116, -161, -127, 44, 61, -55, 160, 57, 46, 32, 20, 39, -72, 105, -78, 72, 26, -35, 98, -79, 79, 121, 385, 62, 36, -29, 53, -38, 53, 154, 95, 30, -82, 219, -157, 134, -110, 20, 15, 119 },
{ 53, -79, 112, -105, 137, -30, 44, -36, 118, -110, 83, 72, -21, -67, -75, 494, 81, -77, 57, 49, 121, -61, 175, 146, 238, -116, 71, 36, 36, -87, 175, 157, 111, -121, -75, -140, 112, 97, 75, 97, -94, 105 },
{ -39, -15, 30, 51, -34, 49, 74, 16, -76, -34, 28, -21, 49, 20, 31, 44, -36, 46, 61, 15, 13, 22, 57, 40, -77, -28, 25, 38, -33, 114, 159, 130, 60, 12, 23, 34, -41, 114, 43, 18, 46, 211 },
{ -45, 34, 103, -19, -54, -64, 49, 48, -63, 66, 52, -30, 60, 27, 38, 79, -33, -21, 20, 33, -18, 57, 96, 49, -95, -36, 51, 42, 26, 63, 161, 147, 70, 32, 49, 72, -50, 89, 33, -24, 33, 192 },
{ -25, -27, 48, -33, -60, 27, 126, 31, -51, -23, 52, 37, -29, 18, 49, -32, -49, 32, 62, -28, 39, -25, 80, 70, -62, -37, 43, 35, -20, 82, 131, 140, 44, 37, 17, 53, -37, 99, 46, 23, 38, 237 },
{ -35, -21, 62, -33, -32, 62, 17, 83, -72, 26, 15, -38, 20, 40, 16, 55, -54, 26, 15, 23, 43, -50, 132, 72, -81, -33, 42, 26, 15, 59, 83, 192, 56, 55, 62, 93, -54, 94, 12, 16, 18, 223 },
{ -48, 76, 62, -54, -41, -58, 50, 132, -144, -31, 99, 52, -33, 33, 45, 80, -49, 71, 69, -48, 60, -83, 139, 17, 116, 34, -19, 15, 21, 30, 92, 171, 166, 64, -60, 122, -77, 56, 61, 11, -48, 236 },
{ -25, -30, 56, -36, -49, 49, 96, 51, -68, -43, 60, -45, 27, 23, 10, 58, -91, 74, 48, -35, 41, -43, 43, 83, -118, -66, 112, -15, -39, 109, 85, 128, 68, -6, 47, 68, -48, 83, 70, 20, 22, 279 },
{ -38, -22, 97, -51, 28, -34, 64, 36, -42, -45, 46, 40, -45, 50, 53, -61, -24, 58, 26, 35, -20, -40, 101, 56, -30, -69, 87, -24, 52, -43, 126, 156, 71, 85, 33, 148, -62, 94, 57, -47, -21, 291 },
{ -30, -34, 170, -130, -45, 102, -80, 122, -95, 89, -24, 44, -25, 59, 142, -64, -68, 55, 52, 17, -10, -54, 93, 48, 59, -56, 90, -38, 46, 39, 31, 151, 196, 48, 52, 158, -86, 64, 45, -19, -33, 232 },
{ -58, 113, 94, -61, -70, -44, 79, 76, -145, 120, -23, 41, 31, 38, 30, 120, -68, 76, 30, -24, 10, 48, -72, 81, 147, -21, 77, 14, 35, 58, -19, 175, 257, 33, 32, 135, -119, 31, 51, -29, -56, 152 },
{ -20, -36, 58, -40, -49, 71, 57, 63, -47, -59, 85, 14, -66, 36, 86, -72, -102, 132, -85, 34, 74, -35, 17, 91, -100, -120, 150, -30, 69, -79, 226, -74, 129, 47, 135, -61, 112, 91, -33, 50, -51, 436 },
{ -21, -26, 71, -56, -38, 88, 17, 69, -87, -47, 74, -32, -50, 98, 93, -76, -49, 72, 33, 28, -15, -15, 47, 133, -104, -120, 166, -28, -7, -43, 73, 139, 113, -42, 138, 201, -75, 83, 35, -33, 53, 297 },
{ -22, -60, 186, -112, -22, -24, 83, 59, -101, -24, 77, 49, -66, 82, 70, -106, -39, 90, 13, 23, -32, 71, -40, 56, 106, -86, 103, -31, 25, 69, 37, -49, 265, 113, 104, 220, -96, 73, 25, -57, -74, 303 },
{ -29, 95, -72, -15, 105, -92, 90, 69, -158, 75, -50, 107, 45, 46, 70, -92, -62, 97, -32, -33, 78, 31, -27, 117, 139, -70, 125, 74, 65, 71, 28, -79, 264, 56, 185, 226, -140, 93, -60, -106, -62, 210 },
{ -16, -38, 67, -51, -33, 43, 64, 69, -57, -69, 73, 34, 32, -29, 105, -94, -125, 92, 53, -21, 61, -52, 45, 113, -156, -161, 205, -62, -22, 49, 81, 93, -33, 96, 44, 51, 193, 93, -43, 39, 122, 296 },
{ -16, -64, 166, -93, -25, 104, -29, 70, -76, -51, 68, 52, -29, 70, 108, -140, -137, 126, 23, -29, 46, -17, 49, 67, -69, -141, 150, -33, 7, -35, 25, 157, -54, 263, -91, 249, 149, -83, 90, -56, 159, 253 },
{ -33, 66, 165, -75, -114, 100, -22, 125, -88, 74, 58, -55, -29, 122, 74, -154, -94, 43, 77, 12, 60, 40, -99, 92, 122, -181, 148, 20, 46, -100, 80, -74, 312, -174, 271, 336, -59, 107, -71, 74, -57, 233 },
{ 94, -79, 168, -109, -88, 133, 46, 75, -165, -47, 114, 44, -58, 75, 140, -130, -23, 47, 44, 36, 22, 46, -154, 133, 193, -136, 37, 61, 88, 163, -101, -76, 200, 40, 319, 300, 75, -46, -136, 30, -137, 217 },
{ -63, 70, 92, -35, -53, -81, 67, 58, -92, 66, 68, 38, -74, 73, 62, 107, -76, 76, -16, 33, 81, -67, 167, -49, 130, 82, -32, -17, 27, 31, 117, 228, 95, 45, 64, -96, -71, 93, 67, 6, -25, 190 },
{ -58, 56, 65, -124, -39, 71, 23, 64, 120, 30, -54, 43, -40, 45, -64, 139, -53, 20, 65, -11, 55, -43, 198, 48, 124, 50, 50, -56, 68, 25, 87, 274, 132, -43, 75, -113, -55, 68, 71, 26, -36, 122 },
{ -55, 77, 19, -63, -49, 121, 56, 53, -136, -32, 59, -61, 56, 29, 94, 115, -61, 45, -19, 41, 33, -122, 212, 43, 138, 102, 41, -25, 32, 29, 63, 239, 119, 59, 89, -86, -77, 43, 79, -26, -48, 176 },
{ -70, 86, 77, -132, -34, -62, 78, 164, -85, -48, 108, 66, -31, 60, -111, 343, 83, -65, 64, -35, 55, -87, 349, 105, 141, -48, 51, -55, 99, 93, 27, 266, 56, -84, 93, -125, -29, 134, 47, 55, -66, 76 },
{ -40, 131, 56, -112, -92, 113, 62, 65, -94, -46, 70, -44, 66, -39, 80, 48, -49, 75, 35, 41, 68, -25, 69, 97, 334, 96, 31, 50, -42, 69, -52, 229, 191, -55, -59, 179, -149, 96, -49, 32, -15, 103 },
{ -70, 81, 141, -63, 112, -57, 65, 199, -123, -86, 86, 29, -81, 135, -289, 487, 21, 42, -50, 72, 56, -71, 188, 257, 118, 55, 38, -44, 27, 174, 102, 215, 180, -134, -70, -114, -40, 41, 68, 135, 47, -45 },
{ -36, 83, 156, -85, -53, -25, 80, 133, -155, -62, 126, 43, 39, 128, -172, 344, 109, 44, -19, -67, 18, -42, 43, 390, 159, 13, -20, -27, 163, 190, 25, 173, 192, -184, 100, -123, -44, 166, 40, -40, 161, -34 },
{ 140, 131, -180, 50, -130, -67, 90, 180, -101, -103, 220, 91, -164, 160, -159, 539, 75, 63, -75, 120, -66, 38, 227, 174, 54, 29, -64, 134, -65, 120, 142, 69, 137, -177, 103, -138, 53, -72, 53, 47, 151, -14 },
{ -92, 90, 177, -81, 269, 51, 67, 271, -171, -97, 30, -86, 46, 103, 282, 156, -74, -43, 114, -116, -114, 83, -64, 243, 528, 300, 102, 75, -41, -89, 226, -419, 227, -97, -116, 199, -75, -256, 139, 63, -69, 340 },
{ -29, 31, 80, -25, -90, 36, 19, 50, -47, 45, 83, -111, 70, -32, 70, -14, -32, -37, 36, 55, -17, 34, 24, 42, -43, 17, -30, 52, -29, 136, 179, 194, 22, 18, 68, -19, -30, 105, 58, -34, 73, 218 },
{ -39, 51, -19, 56, -24, -41, 98, 28, -46, 49, -33, 68, -66, 52, 92, -48, -38, 33, 39, -52, 61, -32, 78, 65, -49, -33, 48, -69, 54, 74, 126, 201, 110, 29, 41, 81, -39, 93, 9, 66, -56, 258 },
{ -17, -24, 58, -37, -13, -40, 144, 51, -51, 38, -27, 54, -51, 47, -27, 51, -42, 18, 27, -18, 46, -40, 73, 33, -67, -36, 36, 20, 18, 106, 92, 193, 32, 26, 18, 39, -30, 90, 66, -32, 97, 230 },
{ -44, 45, 36, -37, -13, -64, 47, 62, -86, -31, 108, 15, -51, 27, 38, 104, -12, 27, -14, 31, 76, -27, 100, 65, -72, 26, -34, 24, 47, -19, 135, 221, 112, 58, 135, 35, -54, 80, 27, -69, 21, 251 },
{ -15, -26, 56, -38, -22, -18, 102, 34, -31, -32, 20, 35, -10, 29, 20, -25, -59, 50, 26, -46, 45, -55, 70, 46, -60, -36, 42, 11, -25, 108, 82, 161, -28, 78, 44, -16, -19, 103, 71, -51, 77, 319 },
{ -29, 57, -34, 58, -41, -28, 54, 26, -50, 32, 34, -56, 65, 31, 44, -57, -67, 40, 52, -39, 54, -77, 83, 95, -56, -31, 44, -28, 24, 133, -80, 258, 76, 67, 53, 108, -38, 83, 37, -47, 48, 244 },
{ -29, 65, -42, 42, -34, 17, 36, 27, -61, -17, 95, -21, 33, 52, 73, -93, -50, 47, 71, -38, 43, -69, 84, 59, 44, -40, 64, -35, 39, 30, 84, 171, 200, 30, 45, 134, -54, 84, -28, 40, -45, 316 },
{ -46, 84, 89, -34, -42, -38, 28, 57, -135, -38, 125, 43, 61, 45, -34, 115, 70, -21, 73, -29, 43, -79, 114, -51, 178, -52, 52, 27, 42, 96, -32, 258, 152, 192, -117, 173, -67, 25, -28, -26, 44, 137 },
{ -15, -23, 50, -39, -31, 20, 83, 38, -37, -39, 65, -32, 38, 20, 30, -32, -72, 54, 26, -40, 73, -74, 74, 35, -71, -96, 117, -33, 28, 97, -50, 229, -78, 54, 138, -74, 104, 79, -48, 71, 41, 321 },
{ -25, 48, -42, 64, -44, 66, 14, 41, -27, -28, 57, -30, 36, 79, 61, -101, -22, 40, 29, -57, 66, -68, 33, 48, -59, -90, 86, -28, 54, 44, -62, 209, 81, 128, 37, 162, -41, 75, 38, -44, 32, 317 },
{ -24, 69, -57, 29, -24, -22, 55, 61, -68, -12, 106, -40, 59, -46, 122, -141, -25, 104, 48, -61, 106, 39, -12, 21, 86, -37, 24, 28, 32, 82, -21, 137, 187, 132, 77, 133, -103, 56, 39, -63, 17, 269 },
{ 11, -80, 115, -103, 126, 18, -41, 132, -134, 100, 80, -37, 77, -67, 108, -147, -72, 200, 22, 145, -15, 69, -37, 59, 134, -44, 27, 46, 56, 148, -3, 93, 170, 203, 100, 124, -133, 18, 12, -73, -83, 207 },
{ 108, 29, -70, -36, 24, 173, 23, 102, -217, -85, 182, 66, 58, 33, 66, -70, -67, 59, 131, -62, 83, 55, 93, -127, 398, 14, 22, 56, 17, 129, 183, -167, 239, 157, 105, 122, -135, 43, -60, -39, -83, 232 },
{ -17, -24, 38, -25, -67, 73, 124, -12, -30, -40, 25, 13, 10, 52, 60, -65, -88, 74, 13, -25, 87, -35, 29, 97, -147, -169, 166, 12, -49, 45, 84, 137, -94, 119, 66, 35, 156, 99, -21, 38, 107, 332 },
{ -13, -28, 60, -27, -37, 25, 111, -17, -34, -28, 70, -38, 28, 92, 83, -110, -50, 59, 65, -26, 63, -43, 62, 97, -148, -139, 152, -37, -26, 109, -33, 92, 104, 210, -148, 276, -77, 180, 101, -83, 89, 272 },
{ -23, 55, -43, 62, -25, -43, 145, 80, -98, -37, 53, 40, -23, 93, 108, -167, -38, 85, 42, -34, 52, 101, -95, 21, 141, -67, 64, 67, -34, 114, -40, -50, 244, 228, -115, 335, -145, 148, 71, -57, 37, 239 },
{ 83, -61, 119, -103, 31, 59, -43, 121, -119, -33, 110, 20, 58, 44, 116, -219, 89, -54, 126, 35, -46, 120, 85, -143, 236, -108, 123, -50, 41, 121, 67, -62, 127, 249, 185, 252, -147, 172, -47, -163, 102, 181 },
{ 36, -29, 21, -26, 43, -19, 128, 17, -24, -33, -19, 48, 30, 21, 71, -89, -74, 89, 62, -20, 22, 80, 70, 114, -195, -224, 137, -41, -9, 65, 125, -37, 59, -53, 138, 49, 308, 177, -48, 73, 125, 252 },
{ -16, 100, 41, -39, -37, 35, 15, 85, -32, -72, 69, 44, 13, 51, 106, -142, -94, 109, 77, -42, 57, -92, 94, 201, -198, -202, 104, 92, -74, 33, 35, 39, 145, -105, 178, 300, 226, 58, -71, 97, 86, 207 },
{ 101, -48, 27, 43, -59, 161, -39, 145, -133, 127, -60, -28, 113, 142, 136, -209, -103, 68, 51, 105, -72, -37, 75, -122, 204, -150, 92, 99, -76, 64, 42, 102, -120, 294, -287, 632, 113, -121, 162, -59, 164, 85 },
{ 121, -52, 72, -71, 63, 20, 125, 122, -138, -45, -62, 131, 84, 50, 187, -345, 98, -51, -50, 121, 54, 38, -123, 73, 162, 120, -67, 41, 80, -115, 45, 102, 141, -194, 282, 526, -154, 112, -94, 103, 108, 100 },
{ -48, 30, 30, 77, -39, 81, -43, 25, -48, -40, 88, -85, 43, 41, 58, -36, -25, 52, -71, 61, 36, -51, 110, 125, -60, 51, -75, 47, 14, 79, 199, 260, -21, 34, 41, 96, -49, 17, 50, -55, 82, 216 },
{ -43, 65, 87, -29, -47, -41, 27, 51, -64, -30, 90, -66, 53, 32, 70, 109, -23, 92, -27, 53, -25, 59, 89, 65, -72, 49, -69, 27, 27, 37, 157, 224, 94, 55, 38, 64, -59, 85, 25, -39, 21, 202 },
{ -39, 62, 72, -41, -63, 78, 8, 45, -88, -27, 81, -85, 55, 51, 64, 146, -27, 61, -16, 61, 34, -31, 174, 105, -69, 59, -64, 56, 29, 51, 108, 268, 61, 64, 67, -71, -40, 88, 57, -60, 32, 156 },
{ -44, 78, 57, -48, -29, -40, 84, 100, -156, -12, 58, -69, 54, 27, 44, 144, -43, 32, 93, 25, 104, -59, 108, 92, 145, 49, -82, 45, -14, 48, 81, 232, 217, -45, 137, -96, -44, 99, 37, -32, -35, 172 },
{ -56, 71, 108, -55, -37, -44, 33, 60, -101, 74, 38, 130, -40, 35, 101, 227, -47, -30, -18, 34, 80, -118, 257, 119, 101, 71, -45, 42, 80, 38, 77, 299, 107, -47, 48, -119, -56, 58, 78, 65, -82, 110 },
{ -61, 72, 77, -33, 91, -35, 44, 133, -144, -63, 99, -35, 45, 28, 20, 144, 17, 100, -13, 82, 73, -95, 149, 136, 201, -29, 61, -27, 73, 90, -43, 307, 153, -142, 102, -151, -43, 52, 28, 87, -25, 115 },
{ -44, 73, 70, -52, -47, 53, 69, 92, -146, 106, -35, 63, 68, 70, -48, 90, -47, 55, -12, -10, 104, -89, 130, 71, 281, 80, -18, 40, 32, 153, -42, 223, 157, 149, -160, 97, -90, 146, -26, -42, 55, 79 },
{ -39, 53, 161, -45, 44, -50, 15, 85, -134, -57, -69, 40, 43, 42, 82, 319, -37, 155, 35, -43, 39, -106, 238, 64, 79, 26, -53, 50, 82, 180, 31, 271, 193, -173, 96, -121, 104, 84, 48, 76, -97, 65 },
{ 69, -123, 183, -79, 88, 34, 114, 32, -129, -56, 45, 53, 74, -81, 171, 175, -48, 78, -35, 141, 58, -35, -139, 338, 415, -23, 41, 38, -37, 171, 88, 219, 160, 111, -282, 178, 158, -172, 88, -67, 123, -219 },
{ -35, 272, 45, -61, 49, -37, 27, 48, 192, -73, 96, -96, 133, -48, -264, 389, -46, -46, 37, -62, 101, 98, 124, 332, 144, -62, 96, 60, 81, -80, 406, -104, 365, -258, 222, -216, 49, 99, 22, 119, 66, -198 },
{ -14, -47, 68, -31, 21, -35, 93, -20, -20, 20, -64, 62, -75, 41, 70, -16, -28, 71, 26, -68, 99, -57, 14, 41, -22, -57, 60, -78, 61, 131, 180, 204, 60, -45, 27, -49, 23, 103, 32, 77, -53, 283 },
{ -43, 32, 20, 90, -52, 29, 7, -31, -27, 51, 43, -72, 61, 44, 50, -37, -51, 57, -28, 36, -54, 20, 44, 47, -45, 37, 28, -82, 21, 87, 202, 277, 46, 30, 30, 12, -41, 91, -35, 50, 56, 190 },
{ -13, -25, 52, -26, -28, 46, -25, 68, -17, -12, 46, -32, 50, 11, 25, -20, -28, 38, 19, -50, 57, -82, 45, 30, -33, -48, 53, -74, 51, 122, 95, 195, 37, 8, 35, -24, 57, 74, 50, 114, -105, 305 },
{ -11, -30, 49, -35, 9, 21, -20, 41, -22, 24, -33, 36, -23, 23, 25, -37, -40, 30, 53, -21, 100, -67, 46, 64, -39, 14, 35, -57, 51, 56, 107, 232, 137, -41, 39, 89, -55, 42, -46, 96, -83, 301 },
{ -25, 39, 71, -26, -52, 20, 30, 17, -31, 11, 35, -51, -27, 37, 141, -67, -42, 99, -24, 49, 59, -37, 60, 62, 84, 71, 48, -87, 90, -36, 149, 254, 109, 31, 62, -57, -49, 70, -77, 83, -53, 295 },
{ -10, -19, 33, -17, -37, 24, 91, 15, -40, -15, 31, -33, 44, -39, 59, -22, -29, 22, 17, -27, 104, -35, 20, 53, -40, -57, 42, 12, -32, 155, -47, 202, 22, 38, 33, -34, 73, 15, 81, -79, 122, 281 },
{ -22, 20, 22, -27, -23, -15, 113, 31, -36, -18, 38, -53, 41, -19, 41, -34, -40, 53, -14, 64, -41, 31, -21, 59, -39, -48, 28, 32, -19, 48, 85, 200, 98, 46, 75, -19, -20, 108, 43, -71, 95, 319 },
{ -25, 42, 61, -25, -33, -15, 28, 110, -41, -6, 80, 28, -46, 34, 43, -66, -36, 27, -22, 67, 76, -64, 77, 70, -38, 39, -39, 32, 7, 66, 95, 216, 145, 49, 139, -41, -34, 103, 33, -62, 50, 309 },
{ -29, 43, 148, -29, -30, -25, 34, 77, -81, 57, 73, 60, -98, 96, 63, -124, -62, 21, 36, 106, 9, -65, 84, 105, 98, 11, 35, -77, 57, 71, 65, 213, 197, 104, 178, -81, -54, 74, -34, 48, -53, 243 },
{ -7, -21, 33, -19, -34, 22, 66, 20, -43, -19, 18, -7, 66, -27, 57, -25, -41, 36, 13, -34, 118, -64, 41, 65, -57, -59, 34, 27, -45, 110, -43, 133, 17, 38, 68, -46, 67, 31, 89, -91, 122, 385 },
{ -8, -12, 30, -29, -15, 14, 33, 50, -20, -19, 50, -52, 57, 21, 36, -54, -33, 29, 38, -7, 54, -55, 26, 49, -74, -42, 61, 23, -59, 88, 35, 137, 138, 77, 65, 69, -42, 139, 35, -42, 70, 320 },
{ -21, 57, 46, -53, 19, -29, 24, 75, -35, -40, 49, 35, -36, 66, 71, -96, -22, 156, 23, -18, 52, -51, 50, 148, -34, -47, 50, -36, 81, 49, 59, 144, 179, 80, 137, 161, -51, 68, -68, 39, 19, 303 },
{ 65, -49, 74, -73, 109, 15, -20, 107, -101, 264, -82, 115, -60, 42, 82, -189, -40, 181, 75, 125, 14, 59, -64, 120, 81, -54, 111, -88, 87, 188, 94, -126, 335, 94, 196, -18, -80, 48, -139, 59, -84, 294 },
{ -31, 183, -87, -93, 159, 52, 89, -54, -102, 175, -60, 143, 62, -47, 177, -276, -71, 214, 198, 137, 90, 82, 97, -101, 328, -75, 79, -44, 139, 155, 108, -108, 284, 310, 71, -132, -83, 105, -92, 78, -133, 229 },
{ -3, 14, -23, -9, -34, 65, 85, 34, -43, -34, 27, 18, 33, -34, 70, -35, -68, 56, -35, 49, 99, 18, -33, 43, -100, -151, 146, -50, 52, 23, 74, 139, -37, 52, 172, -82, 152, 122, -30, 55, 79, 376 },
{ -13, 61, 31, -34, -21, -43, 129, 61, -63, -14, 26, -35, 62, 45, 41, -80, -24, 99, 26, -19, 133, -50, 10, 75, -113, -140, 181, -146, 51, 106, -36, 117, 122, 167, -85, 218, -60, 76, 61, 53, 56, 325 },
{ -17, 31, 88, -41, -25, 33, 52, 60, -37, -39, 47, -55, 94, 56, 94, -182, -17, 95, -30, 34, 21, 36, 61, -71, 122, -31, 85, 85, -76, 110, -42, 58, 152, 275, -73, 295, -137, 109, 50, -67, 96, 235 },
{ -19, 64, 22, -59, 25, 20, -49, 54, -81, 163, 11, 135, -37, 74, 186, -276, -58, 50, 194, -33, 128, 124, -69, -159, 244, -64, 83, -18, 73, 208, 65, -75, 227, 174, 284, 179, -118, 80, -168, 116, -126, 285 },
{ -51, 295, -181, -134, 466, 71, 68, -86, -110, -56, 197, 47, 27, -47, 142, -250, -206, 367, -31, 127, 173, 168, -217, -158, 514, -59, 95, -28, 190, 133, 193, -166, 318, 270, -183, 152, -132, -168, 295, -82, -142, 158 },
{ 83, -40, 93, -16, -77, 65, 146, 22, -23, -41, 18, 37, -48, 79, 70, -80, -30, 41, -17, 117, 51, 45, 66, 103, -197, -260, 97, 41, -25, 48, 79, 105, -88, 87, 122, -20, 305, 180, 18, 66, 162, 224 },
{ -14, 126, 19, -19, -53, -21, 224, 33, -23, -18, 69, 5, -5, 64, 62, -79, -14, 37, 55, -41, 39, 52, 56, 246, -250, -289, 238, -122, 109, 32, 86, 30, 161, -167, 253, 235, 206, 55, -46, 110, 121, 224 },
{ 145, -45, 7, 99, 17, -24, 101, 20, -41, -25, 85, 37, -15, 127, 149, -227, -29, -11, 83, -31, 138, 64, -164, 254, -112, -149, 118, 107, -72, -39, 97, 87, 45, 242, -250, 630, 119, -233, 139, 29, 174, 83 },
{ -29, -34, 92, -33, -21, 64, -67, 64, -32, 45, -74, 47, 51, -48, 33, -22, 22, -73, 98, -124, 85, -21, 56, 63, -34, -42, 43, -44, 47, 137, 191, 224, 29, 36, -40, 106, -33, 73, -37, 114, -99, 284 },
{ -32, 39, 82, -17, -59, 30, 15, 74, -37, 23, 45, -54, -42, 44, 66, -49, -26, -38, 43, 27, 41, 20, 75, 84, -41, 44, -55, 62, -49, 39, 165, 284, 65, 48, 47, -20, -33, 89, 33, -57, 91, 232 },
{ -36, 48, 82, -22, -49, 24, 68, 48, -97, 9, 44, -65, -19, 16, 69, 137, -42, 71, 21, 47, 61, 37, 114, 102, -69, 49, -29, -33, 88, 60, 120, 263, 147, 17, 60, -46, -29, 37, 44, 18, -53, 195 },
{ -38, 49, 107, -27, -37, -37, 110, 58, -114, 13, 30, -28, 38, 154, -30, 146, -38, 73, 13, 51, -107, 55, 67, 99, 108, 48, -76, 26, 60, 53, 120, 257, 151, 48, 93, -84, -42, 77, 52, -64, 42, 209 },
{ -44, 68, 160, -66, -45, -61, 75, 105, -135, -32, 20, 58, -65, 37, 41, 172, 135, 102, -21, -21, 137, -61, 260, 100, -80, 53, -89, 21, 62, 74, 78, 230, 123, 86, 67, -82, -51, 73, 112, -32, -69, 145 },
{ -49, 53, -24, 114, 89, 58, -23, 70, -152, -31, 38, -56, 25, 74, -36, 110, -35, 75, 119, 32, 82, -64, 176, 141, 98, 43, -40, -10, 48, 101, 70, 329, 164, -67, 93, -122, -36, 158, 41, 20, -81, 128 },
{ -44, 60, -39, 189, 124, -19, -23, 101, -140, -72, 33, 146, 19, -53, 114, -125, 95, 44, -24, 80, -39, -11, 40, 266, 284, 44, -14, 23, 58, 122, -20, 265, 324, -233, 195, -155, -39, 115, 57, 24, -38, 106 },
{ 59, -34, 33, -44, 99, 54, 155, 149, -125, -45, -42, 110, 80, 45, 87, -197, -54, 36, 61, -53, 63, 62, -51, 146, 306, 25, -44, 27, -11, 110, 96, 171, 174, 206, 147, -115, 132, -100, 72, -44, 55, 116 },
{ -58, 75, 176, -31, -54, 47, 50, 114, -221, 63, 9, -63, 107, 75, -155, 243, -44, 28, 98, 36, 252, -44, 135, 315, 190, -77, -51, 26, 57, 181, 103, 192, 267, -204, 184, -165, 168, 41, 89, -65, -93, 196 },
{ -77, 42, 174, 154, 107, -22, -73, 122, -112, -35, 46, 59, 210, 77, -277, 199, 77, -17, -35, -42, 61, 190, -263, 428, 387, 87, -66, 116, 80, 170, 282, -350, 431, -331, 343, -349, 126, 105, -126, 130, -216, 282 },
{ 65, -32, 26, -28, 19, -29, 73, 15, -22, -12, -17, 29, -48, 42, -17, 28, 19, -15, 34, -70, 99, -65, 60, 12, -30, -45, 11, -28, 48, 98, 190, 175, 72, -51, 35, -35, 18, 105, 27, 88, -104, 309 },
{ -17, 25, -20, 93, -32, 27, 28, 18, -30, 28, 19, -50, 53, -48, 64, -18, -28, -17, 19, 46, -79, 53, 24, -39, 75, 20, 44, -50, 50, 39, 237, 230, 66, 33, -37, 28, -28, 67, 9, 70, -101, 312 },
{ 47, -30, 29, -28, -17, 23, 109, 14, -23, 22, -14, -17, 62, 21, -7, 33, -12, -17, 36, -42, 80, -87, 50, 47, -23, -58, 43, -30, 50, 112, 85, 214, 60, -41, 46, -50, 18, 73, -19, 108, -93, 306 },
{ -14, -14, 31, -24, -20, 13, 29, 69, -17, 21, 49, -35, 78, -25, 44, -19, -48, 40, -37, 42, -56, 54, -42, 47, -24, 24, 31, -77, 80, 78, 154, 217, 81, 58, -27, 35, -31, 84, -11, 81, -124, 365 },
{ -23, 12, 20, -20, -22, 74, 51, 69, -25, 14, 15, 25, -53, 13, 65, -52, -41, 24, -35, 45, 69, -61, 38, 77, 32, 41, -46, 26, 122, -33, 157, 305, 97, 84, -57, 72, -37, 39, 35, -63, 38, 293 },
{ 38, -28, 23, -22, -30, 25, 122, 22, -31, 18, -13, -12, 70, -21, 65, 17, -12, -19, 60, -36, 69, -62, 32, -43, -22, -36, 19, -19, 74, 93, 75, 171, 82, 34, 38, -32, 84, 128, -22, 134, -114, 380 },
{ -21, 19, 61, -10, -29, 10, 61, 13, -23, 19, -23, 47, 51, -8, 34, -13, -40, 53, 40, -65, 65, -34, -46, 44, -44, 10, 20, -46, 62, 79, 54, 225, 115, 24, 92, -16, -24, 135, -40, 76, -82, 361 },
{ -23, 28, 83, -13, -36, 23, 61, 7, -32, 13, 13, -27, 26, 11, 50, -55, -52, 31, 59, -28, 130, -53, 17, 91, -50, 21, 68, -43, 47, 88, 76, 246, 148, 78, 56, 119, -32, 38, -67, 51, -43, 348 },
{ 80, -46, 40, -24, 74, 54, 85, -21, -45, 17, -30, 48, 55, 31, 178, -105, -47, 128, 32, -42, 53, -53, 44, 92, 83, 45, -57, 25, 68, 83, 47, 272, 208, 80, 133, -91, -34, 165, 21, -79, -21, 250 },
{ 39, -38, 19, 42, -40, 79, 73, 28, -49, 19, 27, -29, 13, 72, -16, 22, -17, -21, 44, -11, 133, -46, 67, -30, -27, -50, 77, -41, 80, 53, 89, 97, 63, 60, 16, -16, -17, 156, 61, 138, -154, 449 },
{ -8, -23, 46, -31, 21, -28, 98, 18, -27, -29, 14, 32, -15, 77, 15, -16, 35, -3, 23, -44, 168, -48, -24, 68, -82, -49, 36, -21, 80, -52, 121, 125, 141, 49, 76, 92, -24, 93, 62, -96, 95, 474 },
{ -22, 85, 24, -22, 11, 100, -37, 35, -34, -38, 13, 38, 21, -76, 127, -118, 35, -50, 91, 25, 99, 114, -58, -41, 79, -33, 20, 37, 75, -93, 115, 136, 255, 57, 86, 164, -44, 97, -73, 62, 16, 376 },
{ -23, 157, 11, -46, 72, 22, -77, 96, -50, 163, 66, -14, -11, 21, 90, -191, -47, 125, 189, 23, 95, 74, -83, 90, 113, -38, 66, -56, 144, 168, -82, 214, 203, 180, 193, -106, -54, 99, -139, 23, 23, 201 },
{ 50, -19, 13, -13, -30, 34, 51, 57, -23, -24, 44, -32, 49, 27, 28, -34, -33, 20, 37, -50, 145, 34, -31, 35, -64, -81, 13, 46, -97, 101, 133, 127, -46, 66, 72, -57, 154, 72, 46, 103, 106, 377 },
{ -11, 9, 95, -21, -22, 78, 12, 18, -24, -14, 26, -26, 58, 16, 45, -27, -33, 52, 35, -21, 102, -47, 19, 54, -117, -47, 126, -58, -69, 125, 69, 63, 181, 51, 46, 135, -57, 156, 83, -17, 105, 385 },
{ 6, -32, 72, -20, 7, 10, 77, 22, -40, -33, 46, -51, 22, 81, 96, -135, 99, -26, 20, 78, 31, -32, -24, 188, -76, -44, 49, 32, -72, 131, 60, 78, 147, 189, 68, 207, -94, 138, -44, 19, 92, 311 },
{ 9, -34, 92, -110, 238, 24, -39, 16, -64, 116, -9, 92, 46, 35, 192, -282, -51, 33, 126, 63, 70, 118, -81, -143, 217, -66, 67, 85, 54, 257, -98, 270, -189, 351, 184, 165, -62, -127, 133, -177, 181, 173 },
{ 392, -79, 51, -307, 303, 107, -76, -172, -57, 70, 227, -40, 85, -26, 232, -328, -93, 216, 250, 97, 226, 126, -132, -165, 465, -251, 118, 83, 69, 230, 373, -339, 219, 365, -103, 133, -120, -72, 187, -204, 67, 199 },
{ 107, -26, 5, 38, -22, 57, 57, 66, -57, -34, -23, 53, 20, 34, -53, 39, -80, 49, 117, 50, 39, 15, 107, 80, -193, -255, 133, -61, -9, 55, 261, -48, 128, -41, 107, -50, 283, 186, 40, 83, 151, 259 },
{ -10, 151, 13, -26, -33, 51, -17, 87, -27, 29, -33, 47, -10, 76, 33, -38, 73, -58, 72, 6, 72, -52, 129, 192, -235, -152, 134, 55, -107, 41, 127, 69, 156, -140, 221, 223, 132, -125, 145, 67, 176, 240 },
{ 147, 5, -45, 146, -10, 38, 30, 19, -27, 43, 5, 89, -45, 86, 113, -88, -11, 15, 12, 35, 59, -50, 123, 146, -172, -54, -42, 86, 45, -20, 66, 133, -23, 278, -196, 538, -104, 97, 166, -137, 223, 99 },
{ 122, 11, 69, -59, -10, 74, 33, 99, -97, -36, 73, 83, -69, 167, 64, -236, 25, -18, 62, 37, 102, 54, 117, -148, 173, -68, 48, -42, 113, -45, 130, -110, 194, 109, 309, 319, -160, 111, -88, 108, -143, 263 },
{ 50, -50, 29, -24, 34, 43, -31, 46, -22, -37, 29, -40, 51, -32, 78, -43, -15, 101, -46, 49, -75, 58, 33, 57, -20, 42, -26, 19, 80, 66, 205, 288, 62, 81, -19, 99, -39, 37, -24, 109, -81, 252 },
{ -24, 12, 31, -11, -23, 81, -30, 112, -19, 34, -31, 10, 34, -51, 79, -35, -46, 25, 20, -48, 104, -34, 41, 71, -43, 40, 31, -37, 113, 45, 152, 357, 38, 38, 74, 18, 17, -57, 47, -59, 60, 245 },
{ -31, 72, 48, -36, 18, -29, -13, 65, -58, -36, 16, 26, 16, -53, 85, 122, -20, 20, 19, -64, 123, 27, 76, 95, -73, 39, 77, -28, 71, 88, 172, 326, 68, 63, -23, 39, -42, 103, -22, 32, -86, 225 },
{ 11, -51, 131, -15, 39, 35, -30, 72, -96, -29, -17, 16, 99, -66, 66, 148, -20, 82, 24, -67, 44, 20, 67, 102, -58, 49, -36, 31, 49, 75, 132, 311, 129, 57, 48, -30, -31, 47, 15, -40, -87, 252 },
{ -15, -22, 40, -27, 98, -12, 97, 20, -47, 24, -14, 58, -28, 125, -75, 64, -52, 36, -21, 46, 49, -96, 127, 128, -51, 35, 32, -39, 108, 72, 73, 324, 160, 61, 163, -49, -33, 40, 23, -46, -62, 242 },
{ -40, 41, 127, -17, 64, -34, 26, 61, -133, -33, -20, 94, 51, -45, 112, 132, 94, 63, 18, -58, 63, -45, 228, 200, -98, 49, -41, 23, 50, 90, 114, 338, 66, 80, 79, -23, -46, 30, 19, -32, -54, 148 },
{ -34, 34, 161, -15, -14, -12, 95, 37, -106, -33, 28, -40, 68, 125, -49, 119, 119, -20, 41, 12, -33, -27, 158, 176, -69, 31, -26, 92, -19, 95, 139, 291, 214, -69, 65, -30, -38, 83, -25, 80, -87, 206 },
{ -33, 32, 49, -38, -20, 50, -18, 72, -116, 20, -35, 108, 25, 118, -82, 117, -20, -43, 37, 61, 98, -59, 139, 131, 111, 120, 77, -39, 20, 108, 67, 304, 268, -67, 143, -115, -31, 62, 46, 29, -84, 224 },
{ -26, 15, 118, -16, 70, -10, 105, 23, -78, 11, 89, 26, 65, 36, 106, -186, -23, -26, 43, 128, -36, -52, 133, 248, 225, 110, -25, 93, -17, 120, 75, 252, 272, -93, 161, -198, -36, 75, 88, 43, -76, 194 },
{ 175, -51, 14, -57, 21, 52, 152, 97, -253, -42, 77, -29, -25, 190, 48, 336, -47, 25, -42, 100, -118, -77, 306, 144, -262, 173, 103, -27, 104, 96, 135, 343, -19, 167, 57, 148, 13, -64, 99, -31, -44, 172 },
{ -43, 212, 28, 214, 13, 109, -52, 34, -153, -45, -13, -19, 51, 108, -33, 187, 51, -21, 18, 99, 79, -48, 234, 197, -80, -47, 34, 127, -51, 103, 67, 309, 208, -61, 126, -55, 118, 28, -47, 40, -80, 136 },
{ -26, 24, 121, -52, -39, 19, 125, 123, -163, -24, 39, -48, 210, -61, 132, 135, 31, 52, -50, 76, 90, -189, 204, 311, 48, -58, -20, -66, 65, 159, 158, 237, 331, -135, 160, -156, 86, 69, 192, 30, -167, 151 },
{ -192, 156, 26, 204, 175, -30, -65, 98, -68, 78, 65, -83, 137, -53, 188, -171, -49, 148, -45, 93, -60, -100, 172, 270, 316, -32, 60, -50, 104, 126, 128, 242, 166, 85, -170, -140, 154, 155, 102, 107, 134, -169 },
{ -59, -63, 122, 234, 287, -87, -93, 302, -222, 53, -31, -28, -148, 356, -115, 666, -84, 43, -59, 269, -236, 24, 169, 119, -399, -76, -68, 51, -258, 308, 102, 188, -115, 415, 200, -151, 91, 82, 270, 189, -214, 262 },
{ -172, 75, 302, 54, 198, -203, 115, -120, -78, -130, 110, -144, 296, -182, 333, 116, -48, -49, 167, -102, 106, 185, -275, 424, 222, 94, -59, -33, 117, -211, 125, 242, -104, 207, -425, 279, 64, -85, 75, 138, 393, -341 },
{ -98, 153, 252, -157, -171, 91, 106, 156, -299, 107, 198, -70, 57, 98, 357, 170, -74, 67, -83, 153, 190, -300, -220, 644, 480, -80, 70, -130, -70, -105, 317, 224, -441, -373, 197, -87, 227, 228, -88, 89, 201, 176 },
{ 70, -27, 20, -24, 8, -11, 50, 22, -19, -15, 33, 21, -16, 33, -8, 17, 12, 41, 17, -92, 107, -96, 43, -22, -10, -34, -7, -30, 51, 82, 166, 160, 70, -16, 64, -27, 11, 52, 15, 106, -150, 300 },
{ -26, 8, 68, 16, 9, -16, 37, -20, -18, -32, 16, 48, -33, 43, 61, -16, 21, 53, 16, -65, 77, -80, -28, 51, -12, -35, 24, -30, 24, 68, 199, 257, 86, -31, 120, -20, 8, 95, 4, 72, -116, 318 },
{ 6, -17, 45, -24, -26, 17, 69, 14, -10, 18, -6, -8, 28, 67, -21, 21, 9, -21, 33, -66, 229, -87, 47, -17, -15, -40, 8, -35, 55, 88, 92, 170, 58, -27, 23, -35, 14, 176, 57, 116, -145, 338 },
{ -10, -25, 11, 76, 13, 17, 63, -33, 10, -24, 11, -19, 52, -10, 49, -15, 30, -21, 14, 30, -103, 59, -60, 150, -42, -30, 65, -28, 42, 31, 159, 219, 54, 93, -36, 22, -12, 112, 37, 77, -150, 359 },
{ -20, 8, 72, 8, -24, 14, 95, -39, 82, 9, -6, 30, -14, 140, -34, 50, -32, 30, 37, -39, 69, -94, 83, -34, -21, 34, -28, 29, -43, 67, 101, 336, 52, 127, -49, 44, -31, 131, 29, -85, 68, 264 },
{ 4, -15, 115, -14, -19, 9, 90, 16, -21, 19, -11, -10, 86, 48, -28, 34, 15, -31, 66, -42, 78, -57, 105, -49, -9, -60, 27, -27, 97, 88, 104, 151, 52, 12, 84, -37, 177, 43, -51, 186, -125, 361 },
{ -9, 14, -25, 21, -21, 26, 64, 10, -22, 30, -19, -15, 47, -12, 56, 12, -35, 50, 33, -39, 179, -91, 70, -58, -15, 16, 37, -45, 74, -28, 113, 202, 59, 95, 115, -11, -24, 57, -35, 91, -100, 427 },
{ -18, 84, 16, -11, -22, 14, 136, -24, 14, 23, -10, 28, -37, 42, 20, -39, -38, 87, -28, 48, 173, -113, 52, 110, -44, 28, 71, -34, 77, -56, 113, 248, 117, 109, 43, 86, -30, 47, -59, 61, -86, 421 },
{ -24, 7, 36, 17, 99, -34, -3, 19, -57, 10, -17, 31, 93, -52, 111, -67, -24, 47, 13, 55, 68, -59, -38, 85, 92, 23, -26, -41, 34, 67, 38, 270, 210, 134, 196, -65, -22, 70, -32, 35, -82, 308 },
{ 64, -21, 81, 3, -21, 35, 28, 47, -29, 28, -26, 38, 62, 37, -30, 38, -14, -19, 77, -36, 89, -38, 105, -47, -20, -26, -17, -33, 138, 94, -65, 156, 63, -12, 110, -33, 158, -19, 155, 182, -127, 429 },
{ 6, -19, 123, -17, -10, 12, 58, 14, -24, 27, -26, 28, 120, -47, 64, -23, -26, 58, 31, -51, 79, 38, -98, 132, -45, 17, -45, 37, -35, 109, 86, 160, 70, 64, 106, -22, -30, 214, 49, -127, 158, 448 },
{ 6, -36, 118, -9, 27, 9, 32, -4, -8, 19, -56, 20, 61, -102, 66, -18, -29, 22, 129, -14, 71, -27, -77, 98, -64, 35, 70, -50, -31, 72, 44, 198, 154, 82, 187, -34, -33, 161, -71, 79, 62, 352 },
{ -19, 122, 15, -9, 36, -9, -52, 103, -36, 13, 129, -14, 82, 8, 73, -121, -54, 194, 14, 10, 92, 84, -108, 42, 172, -44, 59, -52, 67, 163, 56, 177, 196, 204, 172, -94, -9, 97, -92, -75, 50, 279 },
{ 15, -28, 37, -61, 21, 34, -24, -26, -52, 122, 184, 216, 33, 26, 118, -216, -95, -50, 162, -24, 72, 117, 160, -124, 309, -42, 78, 103, -66, 159, -94, 250, 165, 250, 167, -184, 29, -83, 234, -97, 168, 225 },
{ -3, -12, 105, 3, -8, 9, 73, -21, 18, -25, 31, -10, 93, -16, 61, -32, -32, 45, -77, 76, 82, 50, -79, 68, -31, -65, 30, -34, -50, 73, 181, 88, 77, -61, 81, -58, 140, 83, -19, 150, 124, 427 },
{ -10, 10, 193, -21, -36, -8, 65, 13, -19, 10, 73, -10, 32, 52, -92, 41, -38, 51, -36, 37, 192, -32, -81, 97, -95, 66, -50, 130, -48, -38, 163, -61, 233, 147, -74, 154, -54, 44, 94, -40, 115, 470 },
{ 4, -24, 95, -24, -32, 28, 43, 28, -51, 34, -17, -11, 45, 38, 38, -63, -27, 61, -36, 36, 31, -48, -20, 74, -108, 115, -47, 12, 45, 76, -27, 134, 157, 163, 103, 172, 81, -128, 116, -44, 120, 322 },
{ 4, 40, -3, -18, 122, 13, 9, 77, -45, -31, 20, 38, 108, -20, 207, -262, -21, 121, -34, 135, 49, 176, -68, -233, 251, -78, 188, -104, 88, 181, -175, 177, 214, 241, 112, 98, 114, -189, 169, -143, 117, 158 },
{ -5, -11, 26, -192, 358, 109, 31, 36, -108, 80, -102, 108, 109, -58, 254, -296, -97, 117, 84, 116, 54, 35, 210, -285, 365, -29, 68, 46, 67, 166, -122, 247, -99, 448, 171, 50, -101, 85, -126, -184, 201, 163 },
{ 15, -11, 24, 41, -49, 48, 23, 89, -28, -37, 16, -39, 72, 34, 53, -58, -78, 108, -51, 71, 156, 76, -44, -23, -76, -172, -61, 32, -22, 65, 320, 107, -61, 69, 75, -69, 257, 143, 97, 74, 185, 269 },
{ 19, -35, 132, 11, -15, 156, 37, -18, -35, -30, 89, -109, 150, 47, -92, 55, 54, -69, 36, 20, 178, -72, 95, 70, -208, -74, -52, 82, -17, 44, 92, 73, 195, -98, 172, 226, -56, 250, 164, -170, 276, 235 },
{ -13, 201, 17, -37, 20, -27, 49, 30, -72, -19, 102, -28, 92, 85, 172, -238, 34, 30, -48, -26, 141, 124, -166, 253, 104, -34, 39, -73, 42, 88, -85, 119, -44, 278, 321, 132, 169, -163, 118, -92, 159, 198 },
{ -93, 58, -109, -84, 565, -266, 638, -76, -37, 114, -205, 400, -24, 275, -59, 376, -79, -116, 156, -175, 147, -112, 88, -462, 346, -135, 56, -132, -539, -169, 324, -163, 403, 308, -232, 294, 66, -76, -85, 107, -324, 482 },
{ -25, 17, 34, 11, -24, 32, -22, 25, -33, 14, -13, 25, -47, 116, 59, -25, -29, 28, 25, -36, 78, -96, 56, 54, -27, 21, 57, 13, -41, 63, 163, 397, -51, 78, -8, 110, -12, -22, 47, -69, 91, 221 },
{ -23, 17, 133, -7, -26, 47, 62, 17, -40, 48, 14, -32, 64, -71, 117, -39, 14, -16, 63, 40, -75, 63, 49, 119, -42, -35, 57, 37, -58, 87, 150, 408, 54, -24, 85, -34, 12, 116, 14, -52, 66, 170 },
{ -24, 95, 27, -9, -36, 50, -21, 65, -20, 23, 90, -6, 41, -48, 100, -60, -27, -11, -14, 62, -64, -36, 38, 105, 190, 36, 93, -47, 30, 95, 101, 330, 211, -74, 68, -63, -19, 55, -34, 85, -103, 268 },
{ -18, 16, 59, -8, -44, 35, 83, 28, -49, 7, 48, -43, 15, -26, 104, -73, -9, -64, 66, 80, -37, -63, 54, 95, 117, 27, -12, 76, -14, 130, 69, 319, 250, -37, 109, -68, -34, 46, -45, 98, -92, 247 },
{ -42, 31, 65, -30, 97, -24, 33, 61, -82, -27, -23, 70, -30, 111, -44, 192, 86, 57, -13, 33, -58, -9, 174, 71, -118, 7, -18, -18, 144, 149, 95, 426, 53, 66, 61, -18, -17, 27, 138, -58, -98, 181 },
{ 67, -40, 29, -23, 46, 67, -20, 34, -35, -5, -12, 45, -34, 70, -138, 294, -8, -21, 66, 90, 84, -78, 124, 223, -39, 38, -35, 24, -29, 137, 38, 322, 252, 84, -107, -20, -33, 246, 28, 49, -91, 174 },
{ -27, 147, 21, -25, -16, 42, 87, 8, -50, 19, 83, -37, 199, -20, 107, -151, 40, -15, 114, 27, 45, -56, 85, 197, 209, -9, -22, -43, -19, 205, 55, 241, 313, -79, 99, -153, -26, 77, 93, 31, -119, 248 },
{ 128, -19, 21, -11, -14, 178, -100, 170, -51, -13, 42, 33, 87, 37, 59, -145, -47, 39, 14, 81, -104, 124, -56, 89, 298, 14, -53, 23, -47, 115, 49, 250, 226, 119, 157, -100, 102, 36, -71, -19, -69, 224 },
{ 13, -98, 213, -73, 241, 13, -44, 166, -215, -67, 19, 44, 84, -90, 198, 336, 132, -13, 97, -81, 166, -95, 388, 127, -231, -46, -38, 115, 73, 126, 69, 393, -49, -98, 150, 106, 116, 35, -78, -31, 200, 151 },
{ -67, 34, 95, 61, -37, 47, -88, 258, -60, 19, -40, 28, 68, 148, -326, 158, -24, 60, -77, 62, -79, 203, 140, 318, 129, 32, -68, 83, 134, 240, -82, 278, 301, -148, 208, -115, 163, 67, -78, 63, -77, 134 },
{ -60, -23, 56, -74, 109, 79, 56, -65, 197, 103, 37, 48, 58, 82, -118, -112, 116, -14, 98, -39, 158, -53, 110, 283, 230, -45, -52, -76, 85, 244, 208, 211, 254, -119, 212, -256, 211, 100, 90, -63, -98, 160 },
{ -98, -108, 118, -81, 180, -80, 327, 154, -191, 442, -76, -34, 113, 339, -221, 657, -206, 178, 46, 120, -275, -56, 128, 191, -414, -39, -51, -40, -135, 365, 284, 296, -74, 618, 294, -113, 64, 66, 272, -189, -377, 209 },
{ 11, -61, 256, -70, 216, 28, -43, 124, -152, -34, 154, 68, -92, 128, -140, 270, -34, 80, -120, -196, 37, -65, 119, 197, -186, 56, -53, 78, 105, 186, 102, 397, 112, 199, -60, 61, -73, 212, -46, -52, 69, -78 },
{ -292, -76, 162, 33, 237, 60, 118, -190, 183, 105, -76, -73, 205, 54, -231, 280, 60, -119, -81, 104, 82, 412, -266, 482, 124, 79, -107, 129, 37, -109, 386, -350, 545, -162, 424, 175, -99, 258, -175, -134, -305, 203 },
{ -67, 98, 44, -223, -30, 154, 123, -124, -48, -48, 70, 57, 319, 355, 192, 102, -7, -46, 96, 121, -125, -74, 148, 382, 378, -105, -100, -235, 31, 95, 135, -185, 383, -87, -196, 149, 264, 118, -69, -92, 251, 146 },
{ 63, -12, 14, -25, 13, -27, 66, -19, 11, -24, 18, 15, 105, 29, -12, -10, 13, 8, 61, -112, 76, -122, 82, 15, -16, -17, -25, 27, -75, 174, 110, 234, -87, 55, 5, -23, 54, 114, 46, 74, -40, 220 },
{ -12, -16, 104, 9, 15, -22, 40, -14, -16, -18, 6, 11, 97, 44, -10, 17, 9, 41, 32, -84, 79, -99, 45, -22, 6, -32, -13, -18, 39, 69, 153, 112, 76, -25, 22, -26, 95, 55, 14, 127, -158, 309 },
{ -15, 14, 41, -21, -29, 13, -12, 30, 6, 11, 56, 11, 53, 116, -21, 13, -20, 86, 17, -82, 76, -115, 66, -41, 67, -21, 22, -24, 42, 84, 119, 235, 51, 34, 95, -15, -11, 73, -19, 84, -150, 287 },
{ -10, 5, 100, -11, 32, -27, 40, -12, 27, 19, -22, 11, 85, 21, -27, 24, -17, 7, 30, -66, 105, -98, 51, -13, -14, -27, 8, -22, 30, 51, 116, 95, 83, -33, 25, -31, 110, 41, 63, 128, -149, 336 },
{ -9, -16, 9, 47, 56, 107, -23, 29, -15, -26, 16, 7, 62, -22, 30, 33, 20, -9, -15, 52, -110, 93, -83, 102, -25, -38, 84, -5, 75, -29, 133, 191, 79, 36, 141, -16, 7, 44, -14, 90, -153, 331 },
{ -9, 51, 11, -14, -23, 78, 38, -31, 71, 18, 12, -12, 17, 77, -29, 95, -35, 101, -27, 90, -77, -70, 93, -49, 75, 20, 75, -28, 56, -58, 149, 294, 79, 79, -38, 28, -23, 46, -24, 113, -131, 309 },
{ 49, -11, 110, -9, -13, 36, 119, -9, 68, 10, -12, 16, -27, 35, -28, 16, 15, -18, 101, -53, 127, -86, 46, -37, 72, -44, 29, -22, 42, 96, 89, 85, 99, -36, 22, -37, 11, 266, -13, 184, -150, 397 },
{ -12, 85, 15, -14, -14, -8, 51, -31, 36, 7, 50, -5, 66, 32, -28, 20, -24, 19, 56, -38, 209, -113, 73, -55, 61, -19, 37, -63, 69, -15, 64, 232, 57, 55, 149, -28, 69, 120, -33, 140, -136, 406 },
{ 42, -27, 18, -14, 69, 54, 45, -33, 10, -14, 11, -22, 58, 29, -37, 107, -18, 48, 22, -43, 219, -119, 84, -59, 54, 23, -9, -39, 50, 42, 37, 288, 81, 153, -38, 41, -25, 155, -31, 116, -127, 362 },
{ 10, -32, 45, -23, -8, 14, 139, 26, -35, -3, -29, -19, 63, 24, 56, -44, -14, 160, 6, -23, 93, -91, -67, 132, -35, 25, -15, 24, -50, 97, 21, 335, 167, 116, 135, -34, -36, 95, -23, -95, 80, 274 },
{ 39, -18, 101, 2, -12, 8, 93, 34, -15, 15, -26, 10, 64, 16, -33, 31, 15, -26, 48, -40, 115, -56, 157, -48, 47, -57, 13, -37, 97, 118, 71, 59, 90, -11, 14, -35, 143, 159, 66, 207, -132, 427 },
{ -11, 29, 20, -35, -26, 71, -22, 106, -8, -18, 20, -23, 97, 43, -34, 31, -15, 26, 134, -46, 86, -110, 86, -66, -20, -17, 47, -87, 69, -39, 105, 189, 152, 57, 105, -22, -21, 225, -44, 134, -75, 446 },
{ 65, -27, 17, -23, 44, 21, 39, -11, -11, -33, 29, 12, 116, -12, 49, -28, 66, 7, -26, 50, 67, -80, -94, 100, -49, -16, 23, 27, -90, 175, 103, 200, 101, 84, 186, -37, 110, -21, 141, -90, 113, 405 },
{ -18, 7, 96, 3, -15, 103, 23, 8, -45, 48, -19, 114, 86, -24, 74, -87, -18, 30, 17, 16, 107, -90, 89, -94, 184, 26, -124, 90, -76, 98, -74, 315, 114, 201, 187, -76, 56, -40, 111, -155, 93, 244 },
{ 10, -10, 120, -6, -14, 21, 73, -32, 147, 68, -31, 83, 18, -42, 95, -174, 74, -67, 48, -24, 98, 69, -71, 74, 295, 96, -46, 56, -75, 142, 70, 144, 165, 277, 210, -77, 171, -26, -67, -42, -69, 252 },
{ -7, -5, 12, -10, 45, -16, 43, 14, -20, -22, -23, 25, 150, 15, -41, 36, 38, -38, 33, -54, 147, -51, 74, -10, -34, -95, 74, -76, -61, 137, 165, 163, 30, -22, 39, -35, 133, 98, -36, 136, 136, 435 },
{ 93, -39, 38, 12, 12, -12, 69, -29, -17, -28, 29, 96, 14, 19, -30, 41, 22, -18, 76, 50, -53, 92, -82, 122, -70, -44, 21, 71, -111, -35, 133, 122, 49, 72, 113, 169, -25, 143, -110, 69, 146, 417 },
{ 7, -23, 7, 39, -30, 55, -9, 62, -42, 14, -26, 48, 46, 7, 50, -50, -27, 82, 12, 35, 96, -75, 68, -141, 78, 46, -60, 75, -49, -40, 102, 163, 70, 127, 153, 103, 105, -102, 108, -80, 133, 387 },
{ 10, -16, 18, -42, 28, 96, 6, 41, -37, -26, 71, 142, -42, -25, 189, -196, -59, 55, 33, 106, 73, -56, 118, -229, 202, 67, -74, 67, -67, 84, 178, 271, -209, 481, 263, -146, 26, 145, -156, -84, 138, 223 },
{ -17, 16, 43, -33, -23, 37, -19, -26, 98, 52, 66, -30, 46, -64, 191, -185, -45, -37, 22, -59, 129, -78, 182, -323, 443, 103, 75, 49, 157, 58, -84, 125, 186, 247, 180, 262, 95, -149, -71, -140, 168, 148 },
{ -4, -54, 105, 4, -15, 27, 94, 24, -37, -59, -42, 49, 68, -42, 109, -41, 95, -101, 64, -8, 98, 86, 78, -92, -86, -142, -103, 59, -47, 115, 278, 140, -53, 77, 81, -59, 257, 145, -19, 203, 158, 303 },
{ -6, 60, 9, -17, -24, 47, 11, 205, -37, 43, -44, 11, 55, 62, -87, 67, 31, -43, 70, -9, 40, -47, 174, 102, -228, -63, 145, -22, -60, 76, 122, 66, 137, -92, 209, 165, -29, 132, -91, 197, 85, 350 },
{ -10, 8, 84, -13, 12, 126, -9, 56, -47, -19, 71, 16, 14, 41, 58, -64, -28, 31, -6, 52, 150, -20, 71, -183, 103, -47, 62, -81, 79, 79, -56, 152, 123, 128, -132, 442, -66, 214, -55, 76, 159, 205 },
{ 226, -41, 49, 36, -48, 48, -29, 45, -39, -55, 65, -66, 83, -54, 114, -115, 32, -28, 30, 56, 62, 88, -180, 155, 67, 63, -42, -43, -53, 84, 156, -121, 249, 149, 275, 207, -88, 106, -62, -58, 186, 149 },
{ 36, -32, 66, -17, 15, -13, 17, -23, 7, -26, 28, -25, 86, 58, 96, -19, 14, 24, -28, 88, -142, 80, -64, 41, -23, -27, -18, -15, 69, -32, 284, 66, 94, -22, 33, -24, 32, 110, 26, 76, -133, 295 },
{ 11, -20, 116, -23, 15, -14, 12, 52, -14, -26, 59, 16, 42, -11, 29, 11, 58, 18, -18, 60, -131, 86, -72, 107, -22, -30, 20, -22, 80, -38, 254, 180, 100, -4, 48, -15, 3, 52, -22, 80, -127, 251 },
{ -18, 128, 13, 52, -30, -11, 34, -43, 124, 18, 49, -14, 24, 55, -28, 11, 102, -32, -5, 85, -120, 87, -60, 69, -35, -21, 15, 9, 64, -54, 226, 252, 125, -25, 36, 7, -14, 56, -36, 90, -124, 274 },
{ -24, 7, 51, 8, -15, 41, -13, -42, 136, 15, -23, 9, 74, 57, -64, 94, -9, 46, -27, 54, -110, 84, 83, 60, -46, 115, -15, -18, 148, 105, 146, 388, 98, -37, 29, -26, -14, 17, 108, 64, -97, 197 },
{ -24, 18, 17, 78, -20, -13, 58, -52, 34, 18, -10, 39, 31, 79, -56, 31, 55, 24, -32, 162, -87, -46, 108, 42, -54, -44, 62, 30, -14, 105, 108, 392, 110, 69, 45, -23, 101, 26, -36, 69, -125, 232 },
{ -11, -15, 67, 6, -14, 18, -28, 39, -48, 86, 21, -17, 61, -25, 67, -38, -30, 4, 72, -14, 123, -110, 168, 145, -37, 15, 29, -34, 81, -73, 154, 333, 115, 127, -70, 30, -19, 165, -23, 82, -132, 338 },
{ -28, 65, 17, -12, 14, -23, 82, -35, 12, -26, -9, 16, 137, 15, -15, -58, -19, 139, 18, -23, 111, -124, 76, 71, 213, 25, -26, 42, -63, 98, 65, 360, 134, 169, -62, 41, -39, 69, 84, -79, -28, 254 },
{ -12, 10, 77, -41, -24, 10, 176, 39, -59, 59, -19, -25, 40, 98, -74, 138, -18, 24, 123, -15, -57, -35, 163, 109, -94, 24, 32, -24, 99, 138, 94, 432, 31, 101, 17, 35, -25, 21, -52, 63, -113, 194 },
{ -19, 109, 111, -13, 7, -3, 54, 15, -50, 53, 6, -24, 45, -37, 146, -74, -27, 58, -44, 118, -29, -80, 100, 221, 199, 37, -30, 41, -29, 165, 63, 387, 181, -96, 86, -40, -20, 22, 161, -31, -77, 179 },
{ -39, 7, 93, -25, -27, -69, 159, -11, -18, 91, -13, 111, -30, 24, 70, -125, 7, -36, 39, 97, 130, -102, 90, 122, 241, 7, 85, -30, -59, 223, 76, 274, 246, 76, -137, 143, -40, 91, 14, 28, -105, 246 },
{ -17, 13, 122, -21, -41, -5, -19, 106, -101, 28, 23, -27, -28, -75, -54, 312, -29, -10, 28, 91, 208, -80, 321, 297, -192, 14, 40, 62, -46, 171, 93, 410, -51, 224, 114, -39, 7, 29, -54, -26, -74, 91 },
{ 168, -44, 107, -58, 26, -201, -28, 55, -88, -25, 171, 20, -44, 138, -62, 161, 10, -37, 43, 71, 27, -91, 205, 216, -83, -18, 86, -24, -47, 77, 110, 398, 87, 147, -16, -37, 14, -33, 58, 104, -114, 181 },
{ -27, -97, 108, -36, -9, 9, 83, 63, -53, 18, -22, 30, 34, 66, -128, 147, 20, -19, -25, 22, 133, -143, 170, 329, 190, -33, 59, 109, -69, 109, 57, 340, 171, -23, -160, 50, 89, -63, 87, -36, 160, 74 },
{ -174, 74, 45, -21, -23, 161, -81, 191, -50, -25, -16, 65, 38, 95, -120, 160, 9, 36, 113, 94, 63, -68, -149, 330, 217, -17, 26, 66, -24, 209, 173, 258, 242, 95, -215, 147, 109, -71, 48, 32, -124, 184 },
{ -106, 70, 86, 50, -34, -64, -71, 147, -218, -32, 33, 149, -122, 362, -186, 472, 38, -24, -32, 41, -383, -99, 153, 150, -307, -19, 30, 62, 42, 230, 349, 183, 55, 468, 178, 70, 55, -33, -72, -124, -162, 392 },
{ -345, 145, 117, 104, -49, 73, -83, 162, 14, 103, -46, 41, -99, 180, -125, 190, -34, 27, -109, 50, 134, -267, 233, 439, 94, 248, -58, 68, 35, -87, 466, -239, 279, -305, 212, 172, -41, 169, -64, -124, 304, -118 },
{ 100, -94, 62, 22, 12, 59, 57, -28, -49, -152, 74, -46, 64, -20, -84, 197, 81, -51, 83, 29, 148, -34, 149, 338, 250, -15, -7, -37, 37, 43, 209, 217, 261, -120, -196, 163, 55, -61, 72, -59, 196, 66 },
{ 5, -22, 174, -31, 11, -17, 77, -15, -11, -23, -15, 39, -27, 40, -28, 29, 13, 93, 44, -110, 112, -97, 133, -36, -32, -16, -36, 75, -60, 103, 147, 136, -59, 17, 48, -29, 138, 37, 51, 91, -37, 231 },
{ -11, -8, 16, -8, 14, -32, 61, -20, 18, -14, -18, 44, -17, 44, -25, 16, 8, 17, 43, -86, 108, -86, 52, -23, 8, -31, -12, -23, 45, 126, 111, 110, 63, -7, -12, -19, 119, 58, 130, 142, -132, 257 },
{ -8, -10, 20, -16, -11, 42, -31, 75, -28, -7, 22, -12, 63, -14, 121, 25, -10, 26, -23, 84, -128, 87, -65, 20, -29, -17, 79, -15, 61, -57, 159, 97, 104, 20, 40, 4, -10, 53, -22, 129, -147, 286 },
{ -12, 7, 103, -14, -12, -22, 81, -32, 61, 6, 28, 9, -12, 34, 31, -17, 78, -28, 19, -42, 107, -149, 127, -34, 126, 10, -12, 6, 94, -65, 98, 295, -43, 150, -30, 81, -27, 58, -18, 90, -120, 280 },
{ 45, 8, -19, 6, 2, -22, 74, -17, -5, 8, -27, 31, -13, 25, 27, -23, 14, 40, 16, -62, 144, -76, -28, 40, 9, -42, -5, -45, 116, -59, 141, 201, 86, -12, -14, -25, 142, 77, 111, 178, -140, 351 },
{ 55, -13, 12, -14, 8, -22, 137, 48, -30, -20, 144, -11, 35, -27, 60, -21, -7, 41, -30, 96, -97, 108, -84, 104, -17, -28, 14, -35, 67, -75, 154, 92, 121, 22, 82, -25, 75, 71, -40, 160, -142, 392 },
{ 71, -29, 18, -8, -15, 65, -25, 25, -30, 10, -17, 112, 43, 38, -29, 28, 85, -26, 31, -23, 312, -136, 102, -77, 60, 18, -13, -11, 69, -89, 121, 229, 62, 156, 122, -19, -23, 86, -42, 151, -144, 385 },
{ 54, -27, 20, -10, 11, -22, 65, -35, -17, -97, 39, -19, 203, 44, -29, -15, 9, -35, 57, -32, 134, -140, 105, -50, 304, 99, -55, 58, -115, 121, 54, 302, 120, 163, 54, -39, -42, 66, -67, 90, -99, 310 },
{ -4, -9, 20, -8, 5, -25, 64, -17, -5, -10, -13, 19, 81, 29, -35, 30, 26, -11, 38, -67, 144, -52, -19, 111, -13, -56, 7, 44, -120, 79, 299, 97, 80, -76, 36, -25, 169, 116, -48, 97, 158, 223 },
{ -8, -16, 17, 92, 96, -21, 153, -28, -9, -6, 17, -23, 48, 55, -47, 39, -17, 29, 33, -20, 344, -109, 77, -48, -24, 22, -28, -36, 74, -92, 115, 135, 63, 72, 31, 143, -43, 101, -26, 155, -131, 487 },
{ -7, -12, 8, 8, -26, 35, 42, -19, -16, 21, -7, 60, -16, 67, -49, 30, -35, 159, 32, -20, 123, -137, 47, -95, 83, 13, 17, -23, -92, 63, 43, 262, 70, 117, 110, -24, -16, 210, -40, 105, -58, 377 },
{ -22, 17, -14, 31, -21, 226, 27, 39, -49, 7, -17, 37, 27, -31, 44, -31, -27, 159, 22, -157, 89, -113, 59, -108, 210, 22, -29, 75, -43, 92, 56, 263, 135, 136, 254, -89, -30, 65, -65, -54, -36, 337 },
{ -6, -19, 12, 23, -11, 26, 43, -23, -12, -23, -17, 14, 128, 41, -37, 27, 37, -9, 26, -51, 140, -71, 19, 31, -31, -66, 35, -35, -92, 59, 334, 184, -127, 64, 17, -17, 186, 101, -43, 115, 192, 357 },
{ -13, -28, 129, 18, -93, 53, 177, -31, -18, -31, 77, -9, 41, -37, 80, -33, 32, -58, 26, 42, -19, 74, -104, 160, -36, -20, 50, -12, -69, 71, -42, 198, 60, 78, 130, -15, 119, 63, -81, 118, 82, 391 },
{ -28, -40, 4, 93, -42, 13, 83, -32, -22, 37, -17, 51, 17, 59, -87, 54, -27, 61, -14, 33, -58, 93, -110, 59, -77, -31, 35, 45, -100, -38, 82, 195, 155, 154, 274, -27, 89, -40, 142, -92, 100, 449 },
{ -26, 41, -36, 13, -26, 46, 39, 20, -23, 18, -20, 48, -12, 41, -49, 146, -22, 23, -19, 66, 15, 105, -34, -130, 209, 22, -32, 34, -52, 79, 118, 159, 118, 261, 257, -58, 54, -26, 237, -150, 138, 264 },
{ -23, 22, 68, -80, 33, 71, 28, 30, 70, 27, -41, -54, 35, -23, 167, -217, 47, -64, 52, -37, 116, -50, 246, -265, 405, -28, 27, 65, -33, 66, 132, 85, 189, 236, 205, 76, 85, -46, -54, -170, 95, 176 },
{ 63, -32, 30, -9, -21, 30, 173, 10, -37, -65, -52, 80, 26, -63, 110, -41, 82, -100, -32, 133, 154, 47, -88, 64, -94, -90, -51, -21, -29, 89, 293, 164, -62, 42, 27, -25, 236, 187, -61, 154, 220, 294 },
{ 48, -109, 231, -3, -18, 95, 53, 188, -58, -13, -36, 75, 46, -60, 147, -64, -30, 61, 29, 24, 160, -24, -37, 88, -123, -51, 30, -129, 282, -45, -42, 147, 174, -64, 101, 181, -86, 81, 124, 66, 145, 359 },
{ -20, 13, -85, 5, -44, 62, -19, 214, -41, -31, 50, 113, 26, -26, -29, 56, -29, -13, 34, 113, 57, -39, -52, 122, -140, 49, -47, -49, 44, -31, 204, 61, 117, 173, -75, 418, -82, 184, -58, 74, 184, 288 },
{ -44, 60, 173, 10, -31, 44, 31, 30, -64, -63, 72, 29, -78, 71, -52, 98, -43, -20, 43, -55, 77, 37, -100, 144, -86, 13, 70, -60, -32, -72, 162, 172, -231, 417, 234, 199, -53, 191, -89, 60, 135, 194 },
{ 3, -19, 64, -19, 14, -33, 166, -9, 48, -17, 11, 44, -22, 43, -23, 14, 19, -25, 49, -94, 136, -112, 80, -18, -20, -22, -17, 126, 35, 52, 125, 81, 64, -9, 79, -24, 9, 73, -34, 81, -167, 224 },
{ -12, 24, -18, 14, 9, -29, 77, -23, -17, -17, 103, -16, 65, -24, 37, 89, 8, 20, -13, 79, -143, 81, -67, -13, 87, -10, -20, -4, 101, -66, 205, 119, 125, 48, -35, 14, 111, -17, 76, 40, -159, 260 },
{ -9, 6, 161, -12, 112, -34, 48, -35, 25, -10, 42, -14, 37, 121, -20, -14, -18, 20, -23, 88, -102, -80, 140, -18, 103, 13, -14, -13, 94, -61, 174, 297, -71, 135, -35, 5, 84, -29, 72, 30, -104, 221 },
{ -19, 121, 25, -13, 9, -13, -39, 45, -26, -32, 87, 212, 59, -47, -41, 85, 44, 13, -52, 118, -131, 128, 98, -52, -21, -20, 67, -21, 60, -67, 189, 348, 91, 206, 16, -11, -9, 14, -32, 96, -139, 232 },
{ 48, -21, 76, -23, 7, -12, 49, 13, -25, -26, 39, 15, -35, 87, -21, 114, 24, 138, -23, -20, 135, -129, 134, -61, 205, -23, 123, 15, 81, -54, 102, 385, 106, 82, -42, 14, -10, 32, -29, 80, -131, 262 },
{ 88, -38, 70, -7, 18, 4, -18, 31, -29, -24, -22, 32, 74, -36, -13, 127, 107, 9, -36, -25, 215, -129, 104, -72, 108, -13, 28, -37, 250, -86, 136, 350, 87, 107, -61, 37, -20, 77, -63, 93, -136, 295 },
{ 43, -49, 320, -165, 19, 51, 82, -38, 33, -52, -23, -41, 57, 56, -57, -34, 23, -90, 30, -51, 180, -115, 135, -58, 165, 58, -30, 58, -113, 141, 132, 241, 134, 138, -61, 93, -39, 45, 38, -67, -112, 279 },
{ 3, -9, 15, -27, 11, 47, 79, 42, -33, -27, -228, -76, 18, 358, -95, 160, 39, 279, 56, 22, -125, 45, 168, -82, 97, -16, -14, 14, 30, 94, 156, 454, 159, 87, -55, -11, 55, 44, -9, 38, -144, 182 },
{ -38, 14, 62, 28, 41, -5, 16, -44, -14, -47, -49, -40, 43, 50, -129, 246, 77, 182, -25, 40, -141, 152, 104, 205, -60, -14, 35, 47, 27, 84, 90, 348, 94, -61, 86, 17, 7, -107, -33, 63, -114, 258 },
{ -6, 9, 125, -19, -50, -17, 16, 107, -30, -21, 31, -58, 48, -20, 30, -81, 87, -31, 28, 197, 38, -102, 78, 122, 264, -40, 20, 40, -138, 123, 153, 226, 284, -82, 85, -65, -25, 68, -18, 89, -85, 260 },
{ -21, 54, -6, 147, 16, -78, -18, 91, -48, -23, -90, 29, 158, -12, 52, -142, 44, 13, -31, 39, 33, -27, 116, -46, 322, -73, 101, -71, -22, 96, 87, 151, 230, 163, 183, -87, 52, -40, 306, -109, -69, 225 },
{ -51, 26, 98, -53, 9, 40, -20, 75, -48, -29, -39, 40, -45, 185, -84, 235, 150, -33, 29, 93, -83, -44, 235, 225, -133, -39, 63, -8, -35, 124, 114, 441, 45, 206, 80, -23, 11, 42, -19, -18, -81, 149 },
{ -35, 67, 33, -31, 13, 87, 77, -19, 12, -183, -53, 31, -10, 57, -152, 170, 20, 17, -59, 123, 121, -62, 115, 268, 118, -25, -7, 22, -39, 198, 57, 294, 262, -90, -54, -21, 222, -52, 94, -69, -202, 114 },
{ 127, 16, 60, 32, -47, 46, -18, 81, 19, -63, 21, 19, -92, 41, -79, -59, 25, -33, 21, 65, 185, -94, 55, 249, 260, -28, -11, -32, -125, 167, 116, 312, 241, -49, -67, -23, 54, 42, 48, -92, 64, 185 },
{ -32, 87, 68, -73, -65, 42, 39, -37, 69, 68, -41, -27, 42, -246, 33, -90, -43, -56, 41, 129, 188, -33, -64, 135, 221, 19, -63, 53, -65, 153, 183, 178, 274, 140, 87, -72, 67, -39, 38, -111, -73, 203 },
{ -228, 146, 153, 122, -37, -110, -122, -105, 218, -155, 60, 134, 153, -95, -285, 404, 67, -152, -7, -41, -230, 631, 142, 334, -204, 52, 128, 31, 53, 198, -363, 331, -303, 358, 159, 34, 65, -92, -41, -269, -259, 374 },
{ -502, -55, 125, -188, 155, 120, 422, 81, 243, -26, -47, -81, 43, -220, -493, 721, 55, 68, 78, -254, 197, 288, -209, 369, -289, -294, 178, -30, 114, 90, -350, 328, -153, 421, 73, -45, 59, 94, -97, -50, -81, 676 },
{ 18, -2, 24, -31, 20, 17, 228, 21, 142, -24, -14, 28, -33, 24, -116, 241, -32, 32, -63, 47, 108, -84, 183, 194, 58, 23, -31, 86, -43, -45, 172, 308, 210, -156, 33, -51, -36, 19, 52, 82, 113, 72 },
{ 126, -88, 61, -70, 60, -8, 77, -40, 15, -34, 25, -33, 98, 43, -16, -71, 9, 27, -25, 43, -54, -61, 90, 13, 8, -85, -12, -36, 45, 9, 259, 73, -51, 19, -44, -51, 177, 54, 95, 133, -59, 269 },
{ 90, -24, 17, -46, 18, -26, 63, -31, 10, -20, -25, 24, 53, 46, -36, 12, 6, 23, 46, -21, -46, -57, 106, -30, 16, -27, -7, -17, -29, 19, 219, 83, -57, 33, -23, -21, 156, 50, 154, 135, -48, 273 },
{ -16, 16, 151, 11, -32, 12, -31, -27, 81, 5, 53, -21, 107, 54, -21, 12, -16, 23, -36, 91, -58, -54, -30, 48, -21, 10, -11, -15, 102, -38, 190, 119, 132, -28, 197, 11, -22, 72, -49, 103, -155, 178 },
{ 47, -23, 20, -15, 12, -22, 62, -29, 7, -14, -22, 26, 127, 25, 15, -22, 19, -19, 42, -61, 91, -74, 79, -19, 21, -22, -29, 26, -47, 57, 159, 69, -55, 41, -30, -19, 179, 194, 48, 165, -97, 201 },
{ -4, -18, 28, -15, -11, 29, -38, 46, -10, -18, 64, -32, 70, -27, 20, 18, 12, 14, -25, 136, -110, 119, -70, 108, -15, -9, -31, 7, 97, -90, 136, 61, 125, 40, -21, 33, -14, 36, 126, 127, -131, 278 },
{ -8, -24, 55, 9, -6, 33, -13, -9, -23, 9, -24, 11, 56, 19, 33, -15, 7, -19, 68, -30, 118, -136, 153, -50, 23, 6, -34, 18, 35, -73, 148, 256, -58, 219, -50, 32, 62, -20, 41, 96, -111, 270 },
{ 58, -16, 11, -9, 9, -18, 54, -24, 9, 39, -29, 12, 51, 41, -42, 16, 16, -19, 45, -50, 124, -89, 29, 74, -15, -30, -23, 50, -93, 79, 124, 125, -98, 75, 11, -28, 109, 93, 229, -50, 214, 149 },
{ 30, -10, -8, 10, -26, 169, 151, -36, 7, 7, 98, -35, 106, 44, -28, 28, -22, 13, -8, 47, -100, 116, -81, 97, -17, 9, -10, 69, 87, -136, 158, 54, 120, 39, 78, -15, -21, 113, -49, 210, -146, 382 },
{ 112, -25, 106, 10, -20, 39, 35, -35, -41, 13, -15, -19, 60, 60, -32, 29, 137, -23, 7, 21, 110, -140, 102, -57, 39, -11, 25, -39, 45, -124, 117, 151, 144, 158, -24, 133, -28, 74, -30, 180, -130, 355 },
{ 76, -21, -9, 51, 22, -17, -15, 82, -54, -35, 18, -30, 85, 64, -70, 33, 24, -16, 23, -11, 135, -155, 124, -88, 114, 61, -286, 53, -105, 138, 16, 279, 82, 245, -46, 124, -27, 81, -26, 127, -104, 323 },
{ -2, -21, 10, 5, 9, -14, 65, -27, 18, 12, -21, -4, 80, 43, -36, 11, 18, -18, 50, -48, 144, -84, 20, 11, -22, -49, 16, 38, -113, 36, 168, 141, -115, 58, 14, -25, 156, 139, -50, 87, 202, 217 },
{ -9, -12, 49, 18, -19, 158, -23, 29, -26, 19, -18, -11, 134, 58, -55, 46, -25, 62, 34, -16, 101, -113, 61, -37, -19, 42, -37, 72, -165, 87, 69, 152, -40, 124, 93, -11, 63, -36, 111, -78, 230, 331 },
{ 4, -26, 60, 10, -33, 26, -29, 197, -29, 10, -24, 100, -17, 86, -66, 50, -20, 18, -17, 34, 96, -98, -87, 102, -37, -22, 57, -49, 67, -151, 134, 168, 140, 142, 73, 48, 8, -33, -43, 188, -58, 390 },
{ 65, 14, -21, 69, -44, 89, 16, 43, -39, 8, -21, -11, 99, 75, -76, 25, 83, -19, 58, -145, 155, -64, -59, -98, 211, -16, 10, 52, -112, 132, 44, 225, 122, 280, 100, -43, -18, 48, -26, -93, 79, 313 },
{ -21, 99, -46, 24, 151, 72, 126, 88, -42, -57, 71, -72, -18, -23, 56, -46, -35, 78, -34, 25, 86, 76, -120, -59, 179, 73, 68, 50, 85, -56, 181, 241, 182, 221, -95, 118, 55, -51, -45, -187, 123, 256 },
{ -8, -29, 17, 12, 7, -10, 78, -17, -13, -13, -27, 6, 247, 43, -27, 12, 29, -28, 30, -31, 129, -67, -8, 22, -22, -29, -20, 47, -125, 58, 151, 124, -91, 33, 34, -20, 174, 86, -38, 135, 193, 284 },
{ 114, -23, 43, 9, -26, 75, -16, 58, -23, -131, 52, -37, 9, 55, -43, 43, 12, -40, 55, 40, -28, 74, -107, 267, -28, -21, 85, 11, -106, -98, 135, 116, 50, 60, 41, 56, -30, 91, 19, -58, 202, 432 },
{ -22, 21, -46, 36, -62, 52, 35, 18, -41, -30, 92, -17, 39, 43, -93, 63, -20, 64, 11, -5, 213, 65, -121, 69, -60, -20, 56, -59, -48, -57, 89, 119, 104, 163, 162, 100, -10, 54, -62, 109, -46, 452 },
{ -14, 79, -51, 14, 116, -14, 39, 82, -22, -39, 51, -25, 19, -29, 60, -54, -31, 23, -20, -11, 66, 162, -33, -182, 250, -45, 68, -44, -16, 74, 96, 106, 136, 397, 200, -113, 42, 137, -136, 118, -88, 403 },
{ -5, 82, -62, 54, 126, -26, 71, 126, -92, 81, -80, 29, 32, 55, 135, -142, 65, -101, -47, -22, 133, -49, 177, -334, 346, -28, 29, 40, 84, 42, 93, 165, 147, 241, 156, -55, 71, -83, -71, -143, 110, 245 },
{ 117, -21, -24, 26, -16, 26, 53, 14, -31, -59, 26, -20, 30, 68, -38, 33, 71, -147, 97, -55, 156, -25, -42, 58, -81, -51, -50, 26, -112, 59, 192, 122, -43, -18, 43, 7, 158, -40, 167, 43, 225, 312 },
{ 223, -47, -13, 25, 25, -8, 197, 131, -43, -33, 96, -63, 43, 29, -72, 60, -26, 49, 41, 49, 36, -61, -18, 65, -88, -70, -88, 125, -164, 68, 195, 193, -52, 15, 67, 181, 201, -55, 107, -20, 177, 419 },
{ -14, -60, 39, 19, 33, -14, 24, 153, -76, -22, 59, 32, -59, -11, -82, 51, 26, -65, 30, 45, 43, -20, 8, 138, -152, 49, -114, 79, -58, 63, 74, 162, -55, 183, 80, 298, -31, 135, -144, 184, 30, 401 },
{ -97, -66, 145, -20, 117, 31, 202, 39, -25, 83, -13, -87, -22, 27, -73, 83, -52, -57, 64, -83, 111, -71, 77, -230, 127, 24, -76, 253, -51, 89, 156, 130, -168, 427, 326, 58, 24, 201, -222, 175, 84, 286 },
{ 5, -25, 83, -22, 8, -7, -17, 79, -14, 8, -27, 20, 104, 35, -30, 20, 5, -20, 89, -27, -46, -67, 113, -27, -7, -24, -5, 20, -35, 30, 200, 118, -67, 36, -10, -10, 82, 75, -13, 102, -46, 206 },
{ -11, 10, 68, -14, -27, 32, -37, 64, -21, 10, 13, -30, 81, -17, 15, 101, -25, 63, -26, 50, -148, 89, -46, 26, -22, 9, 42, -39, 146, -105, 187, 164, 89, -28, 47, 10, -18, 49, -43, 88, -139, 207 },
{ 22, -27, 72, 6, 38, 11, -37, -30, 5, 9, -24, -21, 65, 135, -30, 40, 29, -16, 4, 118, -90, -90, 165, -28, 8, -28, 10, -13, 109, -92, 159, 205, -76, 167, -39, 87, 32, 161, -22, 50, -97, 181 },
{ 35, -19, 59, -15, -28, 20, -25, 38, -31, 13, 105, -32, 110, 41, 61, 22, -16, 120, -36, 28, -59, -61, -44, -37, 9, -10, -6, 13, 83, -54, 230, 196, 119, 97, -25, 102, 4, 94, -23, 122, -119, 190 },
{ -14, 59, 13, -13, -29, 81, -31, 21, -22, 52, -29, -15, 57, 42, 7, 89, 6, 30, 48, -14, 116, -132, 170, -88, 18, -9, 44, -37, 68, -132, 149, 291, 137, 125, -24, 35, -12, 19, -42, 53, -137, 187 },
{ 4, -24, 40, -22, 4, 34, 51, -13, 12, -18, 160, -48, 65, 21, -34, 94, -9, 20, -27, 68, 148, -140, 161, -59, -11, 55, 143, -20, 46, -130, 117, 297, 116, 109, 273, -21, -16, 17, -27, 51, -142, 234 },
{ 32, -35, 224, 113, 19, -11, -22, -13, -17, -23, 132, -16, 109, 46, 17, -32, -38, 14, -35, 12, 141, -181, 114, 136, -34, 95, 11, -24, 79, -112, 133, 263, 162, -35, 37, -11, -14, 141, -24, 150, -107, 293 },
{ 16, -34, 132, 5, 32, -52, 79, -17, -29, -89, 31, -24, 43, 16, 17, -22, 30, -44, 17, -22, 105, -126, -55, 196, -27, 165, 25, 59, -80, 115, 95, 362, 135, 165, -21, 102, 39, -59, 62, -19, -100, 291 },
{ -12, 49, 18, -19, -23, 31, -48, 6, 86, 20, -26, -38, 67, 240, -73, 181, 10, 74, 94, 165, -61, -59, 147, -82, 136, -35, -15, -52, 60, -71, 122, 376, 189, 126, -43, 11, 3, -8, 43, 25, -134, 165 },
{ -35, 171, 27, -9, 82, 22, -48, 73, 18, -31, -40, 49, 33, -134, -20, -24, 4, 96, 32, -68, 210, -140, 205, 192, -45, 52, -21, -38, 37, -81, 88, 425, 50, 117, 66, -69, -27, 16, 289, 69, -129, 226 },
{ -22, 80, 22, -11, -42, 16, 34, -31, 39, 70, -130, -23, 41, 60, -70, 103, 35, -15, 21, 16, 420, -106, 47, 171, -40, -34, 168, 11, 49, -88, 96, 350, 130, 63, 87, -23, 115, 22, -59, 114, -150, 305 },
{ -21, 11, 112, -186, -37, 87, 195, -18, 49, 36, 34, -26, 51, -25, 15, -59, -28, -51, -8, 45, -71, 130, -74, 173, 207, 91, -12, 18, 116, -99, 115, 288, 180, 106, -68, 65, -16, 40, -74, 67, -122, 324 },
{ -18, 22, 105, -326, -32, 130, 128, 85, -81, 134, 24, -18, 114, 47, 80, -102, -44, 8, -55, -46, 75, 84, 44, -70, 251, -54, 26, 73, -59, -85, 184, 208, 207, 201, 140, -32, -24, 86, -47, -51, -164, 320 },
{ -14, 15, 238, -11, -6, 28, -43, 68, -63, -32, 13, 34, 66, -36, 203, -62, 30, -55, -39, -44, -64, -83, 242, 193, 134, 226, 20, -31, 131, 162, 87, 463, 62, -110, -25, -17, -42, 66, 19, 69, -69, 99 },
{ -16, -23, 16, -33, 37, 73, 47, 66, -50, 25, -63, -29, 44, 34, 152, -62, 8, -19, 52, -41, 111, -149, 205, 331, -49, 98, 75, -49, 68, -69, 130, 393, 124, 110, -97, -20, -28, -7, 19, 120, -162, 195 },
{ -16, 23, -19, 83, 64, -18, 13, 25, -52, 77, -22, -44, 30, 44, -90, 106, -24, 21, -36, 46, 175, -38, 35, 322, 115, -13, -24, 23, 35, -125, 89, 362, 184, -89, -21, -57, 230, 34, 50, -60, 166, 162 },
{ -138, -89, 134, -80, 75, -90, 226, 142, -114, -21, 35, -101, -168, -98, 364, 53, -160, 194, 182, 45, 195, -221, 227, 261, -150, 29, 501, -29, 79, -66, 63, 411, -214, 282, 120, -49, 88, -119, -30, -52, -65, 465 },
{ -56, -4, 122, -41, -121, -177, -94, 77, 160, 83, 14, 434, -580, 52, -173, 150, -25, 340, 79, 55, -85, 426, 284, 148, -196, -145, 212, -79, 16, 121, -242, 334, 261, 240, 81, -86, 44, -34, 72, -77, -109, 239 },
{ 38, -29, 16, -19, 33, 11, -23, -13, 37, -12, -11, -17, 167, 24, -32, 12, 11, -12, 16, 27, -40, -19, 67, -27, 36, -15, -14, 11, -17, -17, 217, 134, -18, 21, -9, -22, 126, 73, -16, 134, -39, 259 },
{ 80, -20, 18, -20, 34, 7, -19, -6, 18, -9, -9, -18, 124, 30, -32, 10, 10, -21, 20, 49, -40, -30, 89, -17, 88, -24, 14, 7, -24, -20, 196, 32, -37, 27, -19, -9, 54, 49, -16, 136, -37, 294 },
{ -10, -14, 23, 44, -17, 28, -51, -22, 57, 11, -18, -26, 66, 96, -34, 18, -10, 14, -22, 65, -120, 96, -26, -10, 77, -8, 32, -30, 133, -102, 117, 190, -21, 116, -29, 54, 47, -23, 37, 129, -70, 164 },
{ 23, -15, 10, -15, 9, -22, 81, -34, 18, -10, -8, -17, 127, 36, -30, -9, 14, -18, 27, 114, -39, -30, 64, 17, -9, 5, -33, 31, -59, 42, 149, 41, -42, 28, -25, 29, 62, -23, 265, 102, -27, 320 },
{ -4, -16, 281, 8, 4, 67, -15, -37, 23, 51, -39, -19, 119, 57, -33, 17, 12, -18, 54, 45, -65, -54, 83, -30, -19, -33, 14, -22, 129, -118, 112, 212, -25, 111, 216, -6, 48, 128, -31, 169, -91, 235 },
{ 3, -42, 103, 149, -18, 53, -10, -17, -28, 9, 50, -27, 69, 28, 44, -15, -15, 57, -40, 17, 98, -112, -33, 117, -13, 29, -27, 17, 287, -85, 200, 191, -67, 231, -26, 20, -16, -21, -15, 189, -110, 250 },
{ 65, -23, 120, 6, 8, -8, 78, -34, 9, -6, -13, -15, 93, 45, -46, 19, 20, -23, 41, -28, 127, -75, 18, 21, -22, -14, -22, 38, -83, 53, 126, 78, -78, 94, -31, 46, 83, -13, 132, -47, 197, 290 },
{ 141, -20, 23, -7, 7, 21, -43, 205, -10, 35, -26, -29, 37, 38, -47, 29, 44, -22, 89, 58, -67, -47, 65, -24, -14, -31, 22, -7, 73, -146, 147, 143, -27, 180, -6, 155, -12, 91, -53, 224, -111, 321 },
{ 70, -21, 56, 10, -15, -16, 84, -20, -49, -12, 27, -57, 51, 85, 51, -29, 7, 85, -42, 37, 114, -101, -34, 144, -15, -29, 18, -14, 89, -110, 202, 196, -72, 257, -18, 57, 140, -16, -28, 193, -108, 317 },
{ 43, -39, 18, -10, 84, -40, 96, -28, -7, 3, -6, -33, 214, 36, 25, 18, 17, -14, -27, 67, -51, -95, -33, -47, 132, -22, 62, -57, 88, -104, 105, 161, 140, 119, 214, -52, -14, 31, -12, 276, -116, 312 },
{ 89, -36, 65, 9, 20, -12, 117, -13, -5, 29, -49, 45, 44, 24, -33, 43, 29, -26, 39, -28, 153, -90, 39, -32, 20, -23, -34, 64, -130, 35, 189, 105, -126, 53, -32, 79, 139, 64, 96, -63, 333, 164 },
{ 61, -24, -25, 30, 41, 26, 37, -43, -11, 6, -36, -44, 63, 76, -30, 162, 130, -25, 45, 11, 100, -109, 40, 43, -14, -29, 19, 86, -72, -45, 138, 173, -86, 104, 152, -25, 42, 15, -50, 253, -83, 404 },
{ 2, -35, 255, 10, 9, 85, -41, 78, -27, -9, -19, -33, 31, 58, -52, 34, 43, -25, 251, 36, 83, -56, -78, 127, -23, 46, -51, 54, -73, -37, 209, 131, 88, 67, 208, -23, 11, 42, -28, 80, -106, 398 },
{ 19, 32, -28, 47, -24, 95, 156, -53, -48, -50, -33, 111, 47, 67, -56, 48, 24, -26, -21, 95, 51, -137, -40, -118, 98, 20, -19, 63, -102, 109, 122, 198, 80, 322, -48, 170, 95, -41, 86, -131, 128, 338 },
{ -18, 89, -65, -29, -35, 261, 80, 64, -100, -69, 65, -38, 41, -64, 91, -80, 111, -20, -76, 80, 150, 52, -143, -52, 206, -34, 83, -68, 14, 134, 157, 288, 131, 149, 223, -39, 33, 40, -55, -120, -70, 338 },
{ -6, 40, -23, 19, 7, -14, 104, -21, -7, -19, -9, -16, 38, 82, -29, 11, 41, -40, 56, -49, 94, -54, 54, -22, 22, -31, -17, 54, -95, 98, 85, 55, -77, 76, 99, -10, 212, 155, 99, -80, 361, 286 },
{ 31, -24, -26, 34, 35, 44, -22, -17, -27, -6, 65, -64, 40, 97, -34, 51, -24, 68, 56, -21, 194, -58, -75, 64, -16, -63, 35, 103, -111, -86, 158, 133, -12, 159, -13, 111, 19, -9, -23, 192, -77, 515 },
{ 4, -20, -39, 46, 17, 13, -41, 159, -33, 65, -47, -32, 17, 19, 62, -68, 77, 72, -38, 44, 116, -37, -77, 91, -48, 180, -38, 40, -90, -33, 203, 73, 69, 191, 290, -25, 34, -28, 32, -70, 166, 420 },
{ -31, 20, 33, -54, -41, 77, 5, 29, -33, -107, 40, -29, 46, -16, 78, -74, -82, 34, -54, 116, 107, 267, -59, -190, 140, -11, 14, -31, -48, 147, 145, 85, 164, 483, 104, -97, 44, 71, -159, 139, 78, 374 },
{ 11, 143, -116, 173, 109, 139, 120, -168, -97, -73, -101, 72, 97, 97, 126, -139, 85, -137, -179, -91, 154, 97, 168, -444, 542, 203, 59, -72, -147, 52, 142, 258, -82, 156, 268, -76, 70, 41, 103, -212, 138, 262 },
{ 47, -137, -17, 52, 375, -170, 64, 31, 79, -88, 63, -86, -68, 74, 172, 256, 49, -81, -57, 81, 26, -691, -80, 323, -51, 220, -520, -107, 189, -146, 124, 282, 326, -116, -50, 50, -27, 665, 40, -45, 122, 113 },
{ 7, -59, 97, 6, 10, 149, 34, 28, -37, -32, -13, -16, 74, 20, 34, -32, 52, -84, 145, 20, 13, 103, -91, 49, -45, 60, -46, -41, -62, -22, 168, 114, -41, -32, -19, 63, 366, -57, 200, 68, 286, 295 },
{ 30, 123, -132, 112, 18, 86, 109, -6, 125, 130, -54, -37, 46, -39, -103, 45, -62, 82, -27, 95, 52, -69, -68, 116, -51, 57, -92, -98, 149, -76, 141, -108, 265, -107, 52, 205, -22, 76, -96, 175, 51, 425 },
{ 5, -61, -8, 16, -67, 60, -29, 200, -63, -14, 88, -9, 36, -76, -67, 32, 11, -14, 16, -31, 98, 23, -79, 190, -161, 42, -155, 178, -108, 321, -41, 49, 125, 139, 144, 372, 66, -93, 216, -248, 280, 338 },
{ 71, -83, -90, 136, -121, 106, 115, -77, 88, 211, -78, 52, -117, 22, -102, 68, -13, -66, -42, -21, 80, 116, -79, 67, -140, 64, -32, -164, 181, -115, 86, 226, -180, 359, 536, -126, 95, -126, 203, -104, 217, 363 },
{ 21, -22, 73, -6, -5, 40, -21, -13, 12, 9, -12, -14, 137, 28, -28, 11, 43, -27, 11, 103, -47, -25, 60, -26, 89, -13, -12, 10, 40, -24, 172, 59, -28, 31, -25, 77, 14, 63, -15, 107, -51, 201 },
{ -3, -18, 71, 6, 9, 10, -45, 77, -20, -19, 7, -34, 80, -16, 99, 9, 127, 55, -30, 56, -117, 118, -41, 12, -17, -18, 17, -41, 171, -87, 112, 137, 135, -22, 235, -6, 99, 57, -36, 69, -113, 143 },
{ 25, -21, 57, 7, -21, 27, -46, 185, -24, -20, 19, -53, 79, 80, -15, 22, 45, 65, -53, 64, -124, 130, -63, 45, -22, -21, 18, -44, 87, -157, 164, 258, 108, 244, 77, -14, 33, 36, -28, 63, -145, 201 },
{ -13, -19, 124, 8, -34, 88, -9, -44, -17, 13, 12, -34, 157, 48, 15, 11, 62, -20, -54, 85, -89, -39, -46, 139, -13, -23, 105, -13, 62, -154, 142, 297, 107, 264, 15, -12, 179, -15, -18, 147, -114, 209 },
{ -17, -28, 76, 17, 15, 124, -20, -31, -21, -11, -44, 276, 20, 69, 316, -26, 24, 37, -59, 113, -21, -134, 89, 123, -14, -11, 37, -34, 39, -84, 283, 219, -99, 127, -8, 43, 221, -23, -19, 168, -78, 207 },
{ -13, -31, 31, 123, 56, 145, -36, -11, -8, 40, -26, -25, 51, 36, 87, -20, -44, 124, -26, 143, -63, -107, 158, 22, 217, 60, 22, -49, 77, -145, 163, 283, -66, 149, -39, -6, 49, -35, 63, 53, -100, 183 },
{ 3, 8, -41, 298, 369, 102, -9, -22, 14, -47, 114, -29, 46, 53, -32, 31, 60, -16, -45, 53, -85, -95, 134, -49, 80, -7, 109, -35, 59, -144, 154, 238, 114, 124, -37, -7, 11, -43, 66, 59, -142, 231 },
{ 245, -27, -14, 16, 57, 74, -21, -29, -31, -41, 13, -30, 144, 22, 33, 79, 62, 2, -21, 30, 87, -159, -38, 180, -14, 36, 16, -43, 27, -84, 171, 320, -99, 205, -31, 4, 8, -42, 108, 160, -97, 271 },
{ -12, -36, 54, -27, 90, -23, 140, -64, 19, 13, -12, -56, 38, 101, -32, 117, -17, 64, 276, 50, 243, -108, 331, -106, 36, -43, 16, -63, 75, -133, 112, 346, 162, 128, -26, 22, 50, 23, -25, 54, -113, 159 },
{ 114, -14, -18, -38, 190, 62, -30, -32, 287, -96, -24, 113, 36, 24, 110, -27, 121, -202, -34, 132, 41, -161, 291, 216, -17, -55, 17, -186, 71, -145, 155, 338, 154, -47, 46, -36, 96, 64, -16, -30, -82, 162 },
{ 64, -9, 25, -22, -24, -44, -18, -29, 35, 187, 62, 89, -28, 45, -41, 119, -121, -52, -17, 102, 120, -57, -78, 295, -37, 129, 12, -13, 102, -94, 168, 325, 195, -66, 19, 9, -34, 183, -34, 22, -88, 251 },
{ 55, -10, -63, 122, 106, 26, -144, 73, -48, -25, -18, -28, 57, 52, -61, 91, 31, -31, 71, 37, 216, -89, -89, 178, 85, 105, -28, 90, -71, 183, 78, 312, 180, 144, -58, 42, 8, -60, 57, -39, -128, 283 },
{ -39, 94, -67, 195, -47, 210, 69, -99, -111, -36, 44, 123, 63, 107, -429, -34, -83, 159, -93, 75, -57, 257, -69, 112, 53, -309, -47, 551, -107, -61, 215, 258, 152, 188, -61, 99, -105, 78, -86, 69, -100, 327 },
{ -18, 102, 31, -34, -57, 66, -37, -25, 57, 227, -74, 62, 75, -68, -34, -34, -335, 422, -100, 62, 155, -63, 271, 209, -44, 26, 76, -36, 66, -157, 110, 469, 121, -51, 32, -27, -22, 21, -43, -36, 169, 119 },
{ -38, 102, 13, -31, -64, -57, 78, 101, 78, -36, 193, 28, -38, 31, -110, 165, 37, -38, -92, 52, 146, -46, 119, 187, 214, 77, -34, 111, 73, -57, -57, 453, 97, -75, 24, -131, -34, 71, -48, 34, -92, 247 },
{ 92, -16, 252, -19, -56, -42, 17, 258, -21, 29, -7, -19, 30, 38, 19, -55, -35, -21, -37, 91, -47, -63, 104, 239, -89, 15, 24, 189, 45, 203, -55, 381, 165, 234, -16, 20, -35, 236, -59, 37, -121, 203 },
{ -30, 189, -18, 21, 19, 375, -12, -54, 56, 18, -71, 42, 112, 64, -47, 67, -42, 53, -309, 170, 38, -48, -44, 308, 217, 35, -53, -73, 15, -89, 266, 314, 349, -50, -111, 37, -29, 53, -35, 141, -70, 186 },
{ 69, 41, -90, 125, -223, 280, -51, -66, 102, 58, 107, -43, 51, -20, -77, 220, -129, -48, 61, 75, 51, -46, 289, 150, -35, 92, 243, -24, -181, 142, 233, 363, 82, -63, -24, -79, -22, -70, 193, 73, -104, 131 },
{ 152, -82, 33, 18, 247, 29, 80, 63, 38, -114, -30, -45, 318, 258, 108, 133, 60, -32, -143, -100, 463, -139, 133, 192, 172, -44, -669, 34, 121, -164, -136, 347, 220, -81, 45, 27, -34, 119, 33, -90, 337, 199 },
{ 378, -56, -81, 12, 85, 82, 37, 32, 46, -138, -62, -690, 205, -21, -86, 65, -4, 22, -197, -102, 166, -161, -125, 229, -81, 794, 70, -21, 92, -104, 134, 149, 459, 80, -167, 166, 7, 37, -160, -19, 93, 151 },
{ -13, 5, 298, 5, -11, 33, -33, 165, -12, 6, 20, -15, 43, -13, 105, 6, -8, 110, -20, 24, -45, 67, -12, -11, 119, -10, 12, -14, 94, -46, 206, -23, 85, 63, 19, -10, 18, 59, -29, 34, -38, 241 },
{ -6, -9, 28, -12, -5, 15, -44, -7, 6, -10, 52, -21, 55, 124, -13, 7, 15, 10, -23, 32, -60, 260, -8, 7, -12, -25, 14, -13, 79, -38, 164, 101, -19, 43, 35, -10, 36, 69, -36, 44, -43, 281 },
{ -6, -13, 125, 10, -21, 34, -41, -17, -8, 12, -13, -24, 45, 23, 51, -21, -8, 17, -32, 40, -54, -18, 143, 25, 18, -6, 55, -39, 112, -45, 170, 183, -19, 55, -7, 82, -4, 11, -34, 42, -43, 277 },
{ 3, -25, 106, -14, 10, -8, -12, -9, 42, -7, -12, -23, 29, 56, -31, 52, 31, 21, -14, 82, -25, 63, -24, 13, -15, -20, 100, -37, 127, -41, 167, -14, 119, -26, 14, -10, 39, 99, -32, 44, -53, 373 },
{ 21, -19, 35, 8, -13, 26, -28, -19, 125, -12, 46, -51, 148, 43, -32, -9, -13, 8, -34, 63, -72, 318, -12, 39, 109, 7, 9, -18, 142, -76, 40, 221, -30, 140, -25, 100, -9, 82, -42, 79, -111, 170 },
{ -7, -13, 320, 29, -18, 45, -56, -11, -29, -12, 12, -46, 55, 26, 24, -14, 8, 27, -69, 80, -70, -67, 104, -25, 74, -9, -10, -10, 182, -105, 102, 248, 121, 121, -36, 439, -15, 21, -38, 69, -136, 201 },
{ 27, -27, 97, -7, 30, -30, 84, -36, 52, 86, -53, 31, 42, 27, -45, -7, 22, -25, 55, -42, 138, -49, 27, -12, 14, -27, -22, 22, -60, 48, 137, 38, -56, 132, -30, -5, 152, 120, 48, -18, 155, 323 },
{ 1, -6, 82, 12, -9, 30, -40, -9, -12, -13, 67, -53, 65, -17, 37, -34, -20, 22, -29, 80, -92, 62, -33, 98, -12, -18, 46, 87, 303, -114, 96, 68, 124, -24, 91, 192, 17, 41, -54, 279, -86, 231 },
{ 4, 115, -33, 29, -26, 63, -36, 91, -30, 18, -56, -31, 110, 61, -34, 35, 35, -20, -38, 80, -48, -92, 56, -22, -23, -130, 198, 19, 101, -153, 180, 176, 104, 177, 38, 47, -25, 71, -44, 187, -104, 255 },
{ -10, -41, 124, 16, -3, 41, -56, 124, -18, -68, 110, -26, 170, 74, -58, 31, 40, 20, -74, 134, -143, 146, -94, 57, 20, 192, -40, 46, -35, -118, 169, 244, 138, 296, -33, 26, 20, -10, -60, 72, -132, 302 },
{ 117, -22, 6, 74, 5, 149, 88, -26, -20, -4, -15, -15, 102, 36, -61, 79, 12, -25, 57, -45, 151, -43, -22, 41, -31, -28, 58, 27, -84, -34, 89, 149, -60, 240, -16, 15, -9, 120, 78, -63, 365, 182 },
{ -10, -16, 91, 9, 18, 54, -16, -18, -27, -16, 28, -39, 34, -20, 31, 8, 15, 11, -47, 42, 94, -93, 66, -20, 20, 86, -37, 75, 15, -170, 158, 81, -16, 235, -32, 228, -26, 355, -17, 273, -108, 370 },
{ -5, -7, -55, 35, 502, 44, -64, 104, -35, -30, 397, -53, 44, 25, -41, 40, -9, -105, -22, 69, 121, -128, 13, -39, 80, 11, 29, -20, 346, -225, 244, 77, 18, 252, -16, 90, -7, 16, -49, 382, -49, 350 },
{ 10, -24, 164, -39, -35, 139, 31, 162, -30, 18, -39, -53, 62, 55, -63, 49, 10, -27, -11, 47, 270, -100, -78, -39, 135, 44, -24, 36, -40, -138, 235, 109, 148, 313, 368, -25, 15, -47, 22, 151, -165, 319 },
{ 20, 13, -44, -35, 148, -41, 207, 77, -72, -55, -511, -248, 203, 33, -29, -77, 66, -330, -111, 82, 270, -83, 167, -126, 148, 194, -51, -300, 309, -77, 175, 159, 180, 93, 109, -72, 14, -74, 122, -155, 467, 182 },
{ -5, 3, 117, -13, 17, 165, -27, 225, -39, -25, -23, -20, 74, -31, 16, -11, 35, -25, 59, -56, 111, -28, -43, 273, 9, -5, -33, 55, -126, 242, 95, 76, -80, 62, -30, 97, -8, 302, 126, -86, 417, 257 },
{ 36, 2, -56, 181, -106, 78, 82, -13, -27, 16, -21, -273, -30, 34, 84, 10, -17, 142, -38, 70, -6, -83, 112, -67, 79, -32, 51, -52, 147, -139, 84, 94, -56, 198, -30, 158, -10, -10, 206, -59, 260, 355 },
{ 5, 24, -76, 44, -28, 102, -67, 81, -35, 38, -33, 327, -39, 55, -57, 51, -41, 138, 192, 74, -39, -71, -22, -53, 180, 20, -126, 59, -123, -58, 172, 164, -40, 109, 363, -60, 13, 61, -38, 67, 120, 268 },
{ -13, 76, -175, 28, -16, -26, 154, 87, -116, 36, -69, 172, 9, 83, -64, 53, -49, 54, -65, 98, 152, 387, -100, -114, 96, 21, -71, -170, -58, -102, 155, 145, 178, 414, 206, 139, 59, -26, -34, 121, -64, 343 },
{ 154, 51, -139, 271, 100, -137, 143, 65, -85, -97, 67, 24, 42, 25, -54, -42, 88, -92, -111, -25, 180, -73, 253, -314, 507, 220, 71, 77, -128, -71, 133, 185, -96, 186, 103, -63, -31, 130, 272, -104, 97, 230 },
{ -3, 45, -12, 6, 109, -58, 126, 17, -33, -28, 29, 46, 33, 10, 61, -26, 38, -70, 50, 28, 243, -47, 10, 113, -43, 52, -45, 57, -121, 51, 122, 65, -39, -52, 35, 37, -29, 283, -60, 140, 224, 436 },
{ 14, 28, -59, 62, 17, 316, -38, 141, -34, 42, -24, -62, 90, 32, -11, 38, -51, 66, 70, -45, -55, 45, -43, 120, -25, 35, 34, 93, -148, -102, 182, -153, 293, -145, 122, 116, 273, -84, 97, 80, 145, 347 },
{ 19, 12, -64, 36, 11, 44, -47, 169, -40, 44, -45, -108, 82, 31, -34, 47, -67, 121, 126, -30, 359, -40, -44, 356, -76, -47, 27, 68, -106, -51, 247, -49, 224, 253, -56, 382, 74, -111, 158, 21, 165, 362 },
{ 21, -64, 43, -84, -52, 103, 155, 445, -117, -211, 486, -254, 217, -383, 84, -176, -138, 665, -30, 31, 107, 91, -141, -91, 157, 114, -167, -103, 84, -46, -67, 168, -67, 226, 291, 202, 45, -81, 202, 432, -70, 378 },
{ -15, 102, 15, 139, -17, 14, -41, 42, -13, 7, 23, -24, 50, 27, 4, 95, -13, 84, -20, 30, -50, -11, 199, -15, 34, 21, 5, -15, 113, -48, 208, 90, -23, 19, -12, 10, -14, 77, -33, 39, -41, 218 },
{ 34, -23, 9, 49, -5, 19, -30, -10, -9, 8, -11, -27, 44, 15, 137, 6, 75, -16, 40, 28, -38, -30, 53, -18, 7, -22, 19, -29, 30, -69, 218, 175, -18, 167, -8, 31, -4, 187, -27, 50, -41, 238 },
{ -9, -18, 77, 13, -27, 29, -40, -12, -12, -11, 12, -52, 75, 133, 93, -24, 14, 71, -47, 51, -66, -42, 306, 271, 72, -20, 11, -30, 48, -117, 103, 360, -65, 36, -26, 43, -7, 17, -32, 62, -74, 139 },
{ 21, -29, 92, 14, -10, 94, -12, -54, -16, 37, -9, -38, 158, 58, 209, -32, -26, 19, -27, 54, -46, -58, 49, 100, 82, -12, 26, -44, 71, -137, 86, 352, -37, 86, -31, 84, -13, 95, -41, 79, -112, 189 },
{ 250, -23, 222, 31, -22, 34, -41, -42, 5, 15, -27, -39, 54, 35, 18, -18, -21, 318, -38, 65, -62, -66, 74, 159, 72, -11, 17, -46, 54, -146, 109, 417, -46, 164, -19, 124, -23, 106, -41, 53, -114, 212 },
{ 63, 9, -42, 12, -44, 185, -18, -16, -19, 83, -12, 6, -55, 54, 148, -17, -35, 27, -39, 139, 134, -134, 235, 144, -20, 5, 88, 42, 45, -147, 125, 166, -94, 147, -28, 130, -13, 18, -27, 14, 107, 98 },
{ -7, 8, 10, 55, -45, 182, -27, 22, -38, 116, -62, 23, -60, 58, 83, -16, -18, 143, 12, 82, 125, -118, 152, 116, 160, 13, 43, -87, 91, -188, 155, 175, -56, 175, -70, 100, 63, -39, -25, 68, -71, 170 },
{ 29, -21, 33, 10, -15, 95, -37, -45, 30, 13, -29, 23, 35, 29, 22, 29, 109, -24, -41, 40, -18, -93, -25, 193, -25, 18, 83, -24, 32, -92, 268, 208, -83, 199, -47, 11, -16, -17, 53, 180, -53, 157 },
{ -8, 281, -36, 23, 8, 80, -53, 9, 176, -70, 29, 32, -15, -34, 66, -34, 52, -43, -47, 86, 204, -121, -34, 249, -20, 42, -33, 31, -58, -152, 151, 131, 189, 181, 90, -82, 19, -23, 158, 76, -103, 247 },
{ -62, 15, -30, -306, -67, 74, 107, 157, -19, 254, 82, 71, -50, 35, 106, -14, 60, -14, -81, 24, 206, -116, 165, 143, -14, -26, 33, -44, 67, -173, 123, 367, -60, 187, -34, 12, 14, -11, -26, 53, -66, 134 },
{ -13, 136, 13, -55, -32, 10, 184, -35, 27, 10, -28, -23, 38, 133, 42, -55, 12, 13, -504, 68, -62, -103, 122, 272, -22, -33, 78, -47, 104, -75, 101, 374, 191, -14, -35, 138, 361, 16, -112, 91, -112, 150 },
{ -9, 13, 21, -18, -18, -43, 126, -19, -14, 88, 63, -32, 15, 25, 84, 174, -35, 73, -37, 110, 137, -109, -78, 321, -32, -15, 48, -57, 80, -178, 119, 304, 162, -76, 56, 114, -20, -10, -39, 70, -111, 250 },
{ 12, -38, -60, 78, 39, 98, -148, 26, -83, -33, -33, 124, -55, 55, 18, -22, 37, -49, -58, 127, 161, -122, -28, 193, 91, -274, -32, 31, -104, 283, 302, 194, 457, 435, -45, 26, -11, 43, -32, -57, -117, 234 },
{ -50, 75, -43, -170, -24, 290, 229, -37, -35, -78, -77, 85, 62, -33, -98, 56, 72, -34, -67, 82, 96, -109, 482, -89, 196, -57, -41, 283, -91, -68, 298, 177, 384, 79, -52, 16, 18, -71, -29, 84, -185, 303 },
{ 15, 77, -73, -71, -25, 452, 21, -25, 33, 20, -47, 212, 150, -43, 25, -64, -396, 258, -269, 36, 156, -151, 157, 182, -12, -28, 31, -46, 78, -169, 207, 377, 46, -72, 32, -92, 149, 9, 425, -29, 197, 197 },
{ 160, -56, 26, -42, 60, -62, 33, -49, 28, -46, 240, -392, 30, 137, 40, -66, 50, -46, -47, 49, -64, -88, 163, 363, -40, -30, 59, -20, 181, 645, 51, 431, 56, 259, 73, 13, 352, -28, 30, -107, -126, 145 },
{ -23, 21, -41, -20, -25, 165, 19, -31, 18, 123, -46, 102, 136, 45, -94, 193, -50, -22, -109, 62, 137, -114, -44, 267, -39, 49, 25, 90, -36, 163, 125, 353, 138, 119, -66, 49, 206, -58, -52, 82, -173, 227 },
{ -14, 24, 107, 106, -45, -80, -51, 39, -61, -10, 89, 57, 231, 66, -144, -38, 347, -36, -67, -63, 100, 147, -97, 127, 198, -30, 31, 88, 16, 465, 171, 281, 351, 94, -55, 189, 22, -41, -79, -348, -120, 129 },
{ -73, 139, -60, -18, 70, 14, -27, 94, 95, -46, 156, 8, -113, -127, 95, 112, 61, 277, -103, 69, 66, -53, 147, 275, 45, 50, -15, -192, 139, -175, 35, 417, 59, -35, -27, -316, -48, -45, 63, -31, 309, 112 },
{ -95, 151, -113, 42, -55, -63, 91, -65, 661, -29, 221, 93, 127, -26, 78, 212, 269, -79, -1033, -121, 91, -87, 79, 144, 136, -90, 208, -54, 133, -89, 263, 452, 207, -174, 85, -86, 29, 20, -15, 55, -108, 129 },
{ 32, -124, 208, -55, 679, 195, 444, 51, 60, -122, -9, 42, 246, 132, -47, -91, 207, 76, -128, -80, 75, -61, 132, 325, 153, -88, -62, -82, -930, 191, -49, 305, 84, 108, -107, 232, -348, 72, 710, -549, 72, 399 },
{ -13, -7, 18, 58, -19, 20, -34, 47, -5, -5, 19, -29, 32, -27, 57, -7, 109, 23, -24, 42, -21, 25, -7, 67, 79, -9, 19, -24, 42, -69, 187, -51, 170, -26, 44, -16, -8, 17, -31, 37, -21, 231 },
{ 210, -10, 91, 26, -8, 19, -17, 10, -12, -14, 17, -44, 20, -29, 19, -7, 47, -15, -16, 52, 458, 17, -14, -9, 10, -8, 89, -26, 32, -67, -31, -28, 165, -10, 27, -5, -20, 21, -20, 130, -22, 231 },
{ -7, -18, 7, 7, 37, 8, 199, -26, 11, -19, 13, -32, 253, 14, 47, -25, 12, 31, -18, 44, 72, -8, 47, 382, -6, -11, 16, -46, 23, -60, -31, 199, -35, 25, 192, -18, -8, 24, -37, 31, -25, 275 },
{ -10, -13, 27, -8, 7, -9, -12, -24, 8, 54, 185, -46, 150, -20, 219, -13, -11, 45, -26, 28, 133, -31, 10, -11, 262, 12, 8, -20, 378, -35, -34, 135, -18, 342, 7, -7, -8, 267, -18, 23, -37, 347 },
{ 237, -24, 152, 9, -10, 45, -15, -14, -13, -14, -34, -37, -9, 36, -22, 9, -14, 12, -19, 65, 110, -39, 152, 15, -20, 232, 373, -36, 47, -112, 71, 397, -29, 11, 225, 173, 87, -4, -20, 19, -19, 334 },
{ -6, -12, -9, 350, -29, 72, -42, -10, -7, 186, -26, -39, 442, 48, -17, 526, 38, 21, -70, 85, -22, -35, 18, -23, 47, -8, 27, -43, 39, -106, 263, 209, -27, 29, -21, 16, -27, 480, -30, 42, -36, 127 },
{ -21, -69, 156, 7, 10, 439, -22, 14, -23, 83, -57, 107, -14, 29, -28, 22, 158, -61, 21, 126, 115, -55, 6, 65, -10, 16, -55, -7, 152, -40, -58, 104, -51, 17, 304, 3, -20, 485, 26, 116, -28, 405 },
{ 155, -67, 226, -22, 25, -40, 19, 320, -60, -18, 92, -23, -74, 124, 21, 40, -11, -48, 19, 77, -48, 110, -51, -23, 399, 33, 65, -22, 464, -101, 46, 340, -21, 179, -11, 102, 107, -11, -29, 38, -45, 226 },
{ 199, 35, -34, 18, -57, 75, -32, 67, -42, 51, -47, -36, 85, 47, 390, 11, -17, 11, -36, 81, -42, -98, 29, -26, 30, 22, -9, 37, -43, -97, 100, 102, -56, 443, -20, -11, -25, 168, -17, 60, -60, 204 },
{ 73, -564, 162, 27, -21, 37, 233, -46, -36, -47, 51, -111, 104, -79, 69, -5, 107, -261, 131, 58, 201, -74, -117, 203, 53, -59, -33, 27, -112, -137, 131, 95, 321, 532, -60, -18, -15, 45, -11, 85, -75, 142 },
{ 10, -23, 144, 69, 11, 160, -110, 127, 10, -8, -28, 52, 7, 54, -43, 9, 10, -200, -83, 7, 175, -18, -24, 12, -15, 245, -12, -23, 25, -111, 120, -68, 216, 4, 257, 4, -13, 361, -29, 155, -113, 263 },
{ -22, -21, 75, -20, 137, -20, 11, -90, 669, -28, 43, -48, 53, -69, 77, -29, -7, -54, -32, 93, 29, -68, 160, -108, 79, 60, 53, -71, 624, -164, 141, 272, -23, 330, -27, 154, 178, -50, -45, 146, -243, 379 },
{ -6, 116, -76, 36, -8, 192, -12, 28, -112, 48, -42, -27, 457, 50, -64, 47, 21, -96, 53, 117, -63, -54, -92, -24, 205, 39, -61, 101, -100, -89, 96, 39, -7, 441, 150, -44, -38, 96, -54, 144, 123, 177 },
{ 157, 85, -66, 245, -87, 181, 55, -21, -51, 64, -50, -22, -25, 21, 59, 39, -62, -21, 55, -9, 128, -68, -60, -64, 48, -9, -321, 80, -53, -152, 260, -91, 205, 730, -71, 34, -18, 22, -51, 60, -129, 179 },
{ 360, -205, 170, -122, -103, 113, -60, 221, -861, 287, 85, 31, -23, -1318, -173, 116, -31, 77, 312, 440, 364, 268, 518, -195, 55, -125, -204, 105, -187, -54, 189, 85, 403, 352, -112, 54, 437, -411, -561, 67, 246, 247 },
{ 38, -28, 30, 474, -102, 75, -52, 224, -68, -16, 27, -24, -64, 64, 105, 4, 235, 14, -94, 151, 48, -11, -60, 38, -63, -19, -17, 18, -19, -87, 87, -21, -18, 47, 275, -12, 157, -14, 124, -71, 409, 225 },
{ 15, 240, -23, -37, -36, 96, -73, 66, -55, -50, 55, -50, 70, -61, 74, -30, 8, -574, 222, 48, 100, -64, -50, -20, 44, 174, -1156, 81, -59, -58, 383, -143, 45, 228, -93, 45, -19, 221, -121, 83, -74, 446 },
{ 11, -64, 59, 74, 110, 224, -51, 51, -58, -152, 138, -162, 84, 42, -82, 14, 32, -58, 70, 64, 170, -50, -73, -71, 71, 85, -71, 57, -168, -64, 46, 89, -95, 603, -118, 147, 130, -22, 29, 101, 135, 369 },
{ 102, 305, -120, 71, -81, 107, 80, -49, -114, 48, -44, -67, -24, 18, 83, 42, 197, -31, 65, -133, 146, -109, -76, -68, 119, -20, 170, 107, -110, -199, -155, 222, -160, 718, -70, 48, -66, 40, -99, 141, 63, 206 },
{ 48, -186, 1624, 2428, 996, -285, 338, 580, -406, 249, 116, -294, 484, -168, -184, 298, -307, -2197, 196, 2458, -342, 465, -493, 479, -142, -176, 599, -1320, -226, -1397, -329, -242, 255, 205, 346, -2458, 134, 961, -610, 983, 2458, 594 },
{ -8, -39, 14, 142, -65, -7, 96, 61, -37, 5, 376, -159, 49, -294, 705, -63, -67, 176, 45, -72, 213, -83, 200, -19, 58, 5, 223, 31, -67, -125, 146, 47, -44, -4, 46, -20, 164, -46, 147, 120, 322, 369 },
{ 89, -129, 92, 179, 68, -76, -31, 972, -36, -155, -19, -757, 114, 397, 82, -32, 145, -125, 72, -389, 331, -68, 114, 197, 45, 76, -78, 66, -34, -288, 186, -274, 269, 168, -139, 369, 673, -68, 303, 97, 125, 342 },
{ 214, -118, 29, 55, 152, 29, -105, 43, -72, 94, -82, -124, 170, 206, -73, 44, -54, 66, 73, -20, 132, -44, -128, 54, 104, 43, 271, -96, -46, -178, 215, -97, 331, 200, -181, 527, 59, 123, -193, 239, -76, 487 },
{ -11, -34, 11, 180, -9, 26, -14, -9, 63, -15, 28, -53, 24, -14, 256, -6, -13, 13, -23, 44, 113, -14, 70, -8, 95, -5, 19, -35, 46, -58, -31, 190, -30, 45, -27, 20, -10, 67, -8, 96, -19, 131 },
{ 37, 28, -29, 19, -25, 152, 438, -51, 61, -22, 16, -36, -29, 56, -15, 122, -14, 33, -52, 43, 117, -36, 173, 65, 84, 38, 13, -41, 68, -79, -31, 135, -60, 53, -50, 28, -16, 111, -19, 73, 79, 97 },
{ 474, -22, 60, 87, -19, 31, -16, -58, -10, -33, 103, -29, 119, 28, 11, -19, 188, 21, -33, 35, -13, -46, 149, -23, 11, 5, 8, -40, 47, -88, 167, 445, -23, 180, -17, 207, -24, 24, -39, 51, -64, 106 },
{ -6, -22, 19, 77, -65, 48, -18, -28, 199, 17, -17, -57, 51, 65, 28, 93, 15, -25, -20, 51, -44, -41, 44, -28, 74, 6, 16, -49, 20, -61, 307, 202, 145, 229, -25, -5, -15, 12, -88, 60, -78, 81 },
{ -21, 130, 18, 38, -15, -14, -58, -57, 7, -66, 51, 313, 15, 72, 574, 89, -16, -6, -84, 26, 209, -124, 99, -35, 39, 225, 171, 81, 70, -88, 156, 272, -60, 54, -56, 36, -11, -46, -52, 209, -46, 86 },
{ -32, 39, -70, 61, -43, 65, -41, -46, -26, -24, 475, -43, 60, 56, 29, 166, -20, 42, -93, 85, -82, -109, 25, -49, 20, 133, 24, -28, 671, -135, 153, 300, 277, 232, -36, 136, -13, 13, -60, 34, -60, 58 },
{ 116, -17, -34, 50, -26, 29, -23, -58, -37, 30, -37, -12, 42, 60, 20, 30, 157, -24, -29, 201, 244, -126, 18, -69, 189, -24, -16, -14, 61, -111, 137, 194, 176, 549, -39, 11, -20, 38, -54, 88, -111, 83 },
{ -7, 111, -160, 32, -21, 12, -60, -30, -88, -24, 42, 78, -57, 53, 295, 468, 6, -47, -65, 144, -43, -110, -44, 151, 221, -41, 55, -99, 100, -183, 135, 147, 255, 83, -79, 60, -10, 368, -37, 128, -161, 214 },
{ -9, 133, -26, 22, -59, -33, 350, -57, -33, 23, 79, -134, 52, 58, 528, 173, -49, 16, 9, -49, 84, -111, -37, 809, -19, -152, 70, -71, 78, -192, 69, 363, -108, 71, -27, 245, -33, 18, 27, 31, -35, 142 },
{ -37, 60, 347, 685, -133, 261, 140, -44, -22, 78, 63, -86, 55, 122, -62, 65, 33, -50, -103, 67, -89, -97, -85, 371, -40, -113, 266, 335, 51, -163, 128, 472, -110, 54, -36, 36, 19, -103, -33, -49, 764, 157 },
{ 84, -66, 88, -23, 15, 101, 124, -77, 29, -29, 262, -54, 140, -50, -83, 174, -114, 28, -91, 69, 275, -83, -45, 300, -28, 58, -57, -40, 70, -146, 110, 353, 603, 662, 28, -60, 343, -38, 168, 48, -92, 137 },
{ 157, -18, -63, 58, -411, 251, 62, -33, -34, 26, -30, 146, -143, -76, 91, -37, -16, -77, 24, 75, 220, -75, -89, 428, -21, 34, 784, -62, 26, -118, 118, 256, 193, 250, -30, 6, 19, -107, 118, 111, -141, 266 },
{ -20, 32, 464, 95, -69, 166, 67, -60, -88, -85, -78, -334, -196, 108, -254, 63, 49, -127, -82, 133, 47, -99, 276, -295, 192, 65, 63, 18, 179, -94, 69, 105, 407, 442, -234, 178, 26, -41, -192, -104, 188, 126 },
{ -49, 24, -12, 37, -65, 103, -14, -214, -87, 9, -69, -161, -55, 41, 83, -66, 493, 91, 75, 40, -40, -76, 134, 50, 506, -236, 47, -73, 82, -161, 36, 482, 542, 805, -163, 149, 16, -27, -36, 27, -89, 198 },
{ 141, -93, 32, -51, 52, -39, 74, 99, -23, -135, 50, 368, -146, 174, -40, -28, -20, -641, -536, 66, -97, -134, 158, 306, -87, 28, 22, 162, 61, -109, 103, 325, 68, 637, 63, 39, 28, 27, -84, -80, 331, 93 },
{ 145, -116, -22, -55, 74, 36, 94, -52, -539, -57, -68, -461, -93, 79, 564, 126, 36, 113, -27, 56, 173, -166, 304, 568, -83, -327, -68, 32, -33, -186, 135, 152, 105, -81, 116, 29, 101, 48, -98, -19, 285, 162 },
{ -208, -135, 184, 22, 852, 77, -144, -78, 288, -46, -103, -225, 51, 135, 134, -77, 86, 52, 274, -204, -97, -134, 366, 692, 207, -63, -947, -87, 65, -597, -278, 470, -259, -71, -1142, -109, 59, -68, 87, 1697, -37, 218 },
{ -194, 54, 201, 34, -65, 89, -120, 53, 48, -90, 51, -114, 482, -225, 822, -66, -21, 854, -886, 107, -1005, -102, 417, 130, 440, -52, -185, -223, -244, 483, 204, 391, 202, -111, 163, -860, 65, 1100, 128, 513, -197, -122 },
{ -62, 166, -75, -46, -92, -78, 110, -81, -70, -118, 479, 83, 222, -80, 118, -85, 43, -148, -253, -350, 304, -72, 167, 287, -89, 552, 184, 86, 57, 260, 345, 304, 227, 159, -134, 195, 65, -99, -148, 115, -240, 110 }
 }
 },
{ 
{ 
{ 129, 69, -126, 100, 59, -26, 54, -27, 76, 88, -61, 32, 47, 39, -14, 98, 59, -63, 42, 10, 21, 5, 53, -15, 95, 65, -16, 33, 9, 10, -2, -5, 10, 37, -23, 102, 153, -125, 43, 30, 31, 16 },
{ 145, -65, 136, -51, 80, -20, 31, -11, 63, 70, -52, 43, -35, 49, -3, 91, 68, -41, 32, 10, 9, 17, 24, -18, 109, 59, -16, 25, 20, 5, -21, 16, 18, 54, -20, 118, 214, -112, 18, 23, 38, -1 },
{ 130, -60, -36, 105, 67, 40, -37, -16, 100, 54, -37, 42, 28, -16, 15, 122, 48, -40, 75, -92, 38, 18, 55, 33, 139, -75, 38, 37, -89, 90, -20, 38, 34, 44, -13, 156, 141, -23, -56, -40, 37, 21 },
{ 203, -67, 148, -25, 70, 15, 16, -24, 79, 56, -10, 46, -15, 31, -52, 108, 27, -55, 41, 9, 34, 60, -32, 53, 133, -53, 43, -40, -149, -274, -181, 287, 287, -40, 26, 215, 281, -49, -51, 68, 177, -58 },
{ -67, 13, 231, -23, -12, 44, 68, -54, 51, 39, -8, -17, 21, -37, 81, -93, -13, -35, 167, 65, 143, -212, 86, 63, 117, 14, -80, -176, 174, -320, 334, -236, 588, 162, -67, 452, 233, -293, 78, 133, -336, 454 },
{ 225, 129, -143, 141, -7, -3, 48, -29, 83, 58, 28, 18, -26, 22, -24, 73, 41, -20, 24, -17, 84, -54, 45, -30, 96, 111, -5, -28, -90, 36, 21, 34, -29, 10, -32, 153, 241, -135, 29, 10, 4, 19 },
{ -26, 26, 197, -88, -51, 59, 5, 70, -54, 41, 30, 14, -66, 52, 115, -74, -31, -95, 214, 230, -207, -103, -66, 140, 81, -71, 77, 99, -389, 36, 419, -320, 171, 88, 183, 250, 270, 64, -142, 106, -284, 291 },
{ -38, 17, -46, 198, 110, -82, 45, 39, -42, -53, 41, 70, 59, -84, -30, 105, -68, 117, -62, 79, 43, 44, 38, 49, -69, -8, 114, -48, 49, -32, 84, -14, 46, 15, 84, 106, 271, -45, 26, 51, -11, 33 },
{ 16, -56, -76, 348, 75, -34, -189, 74, -71, 53, 203, 173, -143, -101, -229, 378, -130, -32, 233, 258, -464, 301, 484, -499, 208, 73, -267, -207, -213, 709, -883, 465, 426, -334, 615, -213, 206, 146, 103, 332, -797, 867 },
{ -65, 38, 141, -23, -102, 75, -30, 53, 142, 145, 54, -49, 60, -86, -105, 320, 11, -56, 175, -184, 78, -108, -114, 61, 337, -28, -51, 158, -202, 161, 159, 131, 355, -74, 189, 197, 129, -64, -165, 65, -172, -122 },
{ -67, 122, 13, 149, -57, 62, 22, 41, -65, 131, -71, 50, 54, -28, 65, 101, -75, 48, 52, 19, 40, 30, 48, -59, 77, 112, 51, -20, 27, 7, 19, 23, 30, 73, -31, 122, -59, 82, 33, 43, 20, 4 },
{ -76, 83, 18, 128, 89, 26, -27, -44, 81, -122, 103, -26, 77, 23, 51, 71, 124, 78, -134, 53, 30, 48, -59, 89, 88, 14, -31, 28, 37, 21, 32, 67, 54, -19, 34, 123, -69, 139, -73, 72, 10, 27 },
{ -58, 81, 14, 96, 83, -25, 17, 51, -54, -105, 75, 28, 89, -50, 48, 102, 115, 55, -100, 65, 44, 73, -46, 87, -66, -49, 29, 62, 32, 19, 16, 36, 35, 35, 51, 135, 152, -40, 23, 31, 48, 8 },
{ -57, 134, 41, -44, -59, 49, 27, -14, 125, 125, 49, -11, -62, 71, -76, 114, -93, 94, -80, 73, 110, -39, 77, -44, 93, -44, 53, 14, 11, 38, 64, 41, 51, 79, 44, 141, 117, -66, 57, -28, 23, 25 },
{ -58, 144, 43, -49, 34, -48, 54, -49, 127, 62, -84, 114, -28, 44, -117, 207, -72, 145, -123, 87, 80, -58, 74, -77, 182, -41, 77, 12, -31, 45, 67, 97, 114, 79, -75, 274, -56, 19, 32, -52, -8, 58 },
{ -39, -29, 139, 24, 128, -88, 57, 37, -54, -77, 66, 38, 56, -59, 36, 87, 76, 43, -107, 110, 35, 60, -37, 84, -46, -32, 40, 59, 21, 48, -22, 66, 42, 32, 59, 113, 198, -55, 15, 20, 36, 29 },
{ -38, 32, -35, 110, -48, 58, 38, 55, -70, 122, 48, -24, 62, -71, -17, 98, -90, 76, -95, 115, 58, 28, 50, -76, 71, -57, 88, -33, 7, 24, 58, 91, 43, 77, 32, 196, 158, -37, -24, 45, 29, 40 },
{ -42, 88, 39, -48, 33, -53, 62, 63, -39, 105, -38, 114, -88, 39, -59, 140, -95, 191, -178, 119, 39, -101, 63, -79, 196, -56, 59, -40, -50, 97, 108, 128, 72, 100, -28, 306, 78, -31, -79, 21, -28, 93 },
{ -83, 100, 26, 127, 91, -65, 13, -81, 103, -79, 104, -14, 44, 72, -36, 179, 129, 81, -170, 54, -47, 77, -42, 63, 113, -51, 16, -7, 52, 57, 40, 103, 65, 20, -46, 228, -60, 34, -51, 55, -32, 54 },
{ -75, 39, -19, 167, 104, -51, 63, -87, 129, -51, 124, -16, -60, -75, 62, 255, 87, 72, -182, 124, -46, 68, -41, 83, 211, 25, -50, 47, 61, 40, 77, 138, 62, -53, -44, 208, -78, 49, -80, -45, -48, 68 },
{ -69, 52, 68, -38, 89, -44, 55, -44, 148, -55, 135, -26, -10, 48, -83, 163, 64, 100, -184, 111, -63, -106, 55, 97, 271, -87, 49, -55, 67, 66, 116, 142, 104, 47, -60, 246, -55, 102, -75, -44, -90, 102 },
{ -85, 41, 174, 72, -80, -30, -38, 89, 120, 80, 116, -34, -31, -60, 99, 307, 80, -14, 79, 107, -131, -157, -43, 76, 336, -45, 21, -74, -217, 173, 105, 212, 85, -78, -44, 172, -40, 84, -72, 120, -111, 52 },
{ 233, -105, 194, 40, -45, -125, 21, -50, -205, 316, 36, -231, 184, 419, 51, -202, -133, 42, -119, 110, -407, 729, -313, -283, 681, -114, 511, -140, -235, 155, 865, -320, 778, 498, -131, 208, -35, -41, 135, -174, -232, 596 },
{ -71, -44, 50, 146, 119, 59, -14, 82, -93, -130, 93, -15, 121, -52, 78, 96, 68, 92, -136, 164, -36, 154, -87, 114, -90, 76, -29, 50, 138, -82, 117, -75, 127, -45, 75, 157, -90, 32, 93, 61, -36, 81 },
{ -84, 39, 61, 97, -83, 68, 20, 75, -81, 131, 54, -37, 73, -36, 64, 105, -84, 67, -117, 174, -64, 121, 98, -107, 115, 93, 44, -43, 124, -76, 154, -51, 90, 108, -57, 153, -88, 35, 54, 89, -70, 88 },
{ -60, -31, 44, 98, 118, -21, 59, 60, -95, -123, 99, 37, 89, -91, 67, 86, 79, 72, -126, 128, 73, 114, -57, 148, -86, -19, 22, 83, -66, 162, -120, 103, 73, -91, 99, 123, -63, 158, 63, 35, 28, 19 },
{ -75, 43, 105, -25, -55, 48, 14, 94, -87, 94, 76, -45, 40, -44, 105, 139, -59, 87, -150, 174, -30, 195, -73, -54, 155, -37, 70, -36, 129, -143, 224, -99, 211, 79, -74, 165, -77, 105, 28, 87, -130, 137 },
{ -45, -28, 40, 81, -58, 80, 19, 42, -70, 111, -58, 98, -69, 89, 90, -66, -93, 59, 75, -10, 108, 76, -84, 88, 59, -30, 90, 70, -114, 187, -89, 108, 79, 57, 74, -40, 148, 70, 33, 53, -75, 65 },
{ -57, 42, 84, -28, -44, -8, 82, -32, 53, -45, 125, 42, 69, -58, 113, -102, -50, 132, -97, 155, -97, 193, -109, 92, 105, -40, 49, 79, -159, 244, -186, 277, -151, 198, -58, 196, -54, 128, 44, -17, 46, 38 },
{ -55, 58, 56, -54, 51, -28, 25, 113, -106, -30, 77, 56, 32, -39, 48, 129, -40, 140, -195, 126, 142, -112, 61, -118, 176, -78, 124, -99, 63, 198, -230, 249, 79, 138, -94, 295, -79, 144, -45, 36, -77, 90 },
{ -73, 61, 104, -39, -30, -11, 29, 98, -101, 68, 60, 17, -13, 58, 41, 137, -57, 143, -151, 94, 67, -158, -79, 76, 251, -75, 99, -53, 53, 136, 202, -150, 257, 129, -91, 297, -61, 51, 52, -97, -159, 183 },
{ -34, 33, 58, -29, -89, 41, 83, 45, -30, -72, 131, 43, -84, 28, 109, -63, -66, 157, -76, 50, 98, 93, -59, 110, -53, -61, 111, 73, -141, 102, 101, 111, -122, 100, 82, 60, 207, 40, -6, 32, 69, 34 },
{ -65, 143, 38, -70, -54, 42, -5, 122, -66, -44, 113, 32, 50, -123, 183, -59, -56, 98, -117, 72, 74, 98, -120, 152, -59, -86, 56, 53, -102, 266, -254, 236, 76, -108, 180, 186, 139, 61, -89, 80, 54, 66 },
{ -49, 33, 49, -74, -42, 133, -11, 104, -68, -29, 91, -56, 47, 27, 96, -66, -74, 131, 112, -129, 145, -65, -20, -79, 207, -105, 96, -41, -181, 389, -239, 322, -136, 276, -67, 296, 95, 48, -113, 56, -58, 114 },
{ -90, 164, 43, -75, -11, 33, 24, 75, -57, 44, 43, -76, 54, 41, -49, 90, -54, 193, -158, 180, -96, 60, -84, -110, 243, -54, -70, -45, 51, 75, 245, -196, 182, 220, -79, 390, 163, -116, 53, -128, -67, 212 },
{ -65, 128, 122, -99, -95, 18, 68, -72, 147, 119, 41, 48, -68, 98, -105, 92, -54, 96, 212, -275, 48, 127, -234, 141, 284, -112, 61, 123, -113, 361, -322, 256, 112, 49, 185, 218, 115, -46, -139, -67, -118, 157 },
{ -52, -34, 134, 18, 54, 26, -15, 63, -60, -65, 80, 14, 35, 15, 73, -65, -74, 147, -59, 89, -33, 138, -63, 132, -84, -68, 101, -104, 55, 51, 90, 100, -129, 114, 92, 74, 323, -26, 22, 91, -73, 69 },
{ -53, 20, 121, -31, -72, 49, 84, 64, -74, -49, 158, -58, 40, -63, 135, -75, -73, 130, -85, 182, -41, 84, -42, 136, -73, -48, 73, 28, -128, -79, 238, 180, -225, 83, 98, 99, 268, -28, 89, 41, 63, 58 },
{ -48, 427, 68, -74, -63, 62, -37, 85, -125, 30, 195, -69, 129, 95, 146, -129, -100, 38, -94, 249, -149, -199, 264, -248, 448, -75, 267, 91, -179, -139, 205, 433, -239, 271, 177, 314, -134, 215, -157, 201, -162, 221 },
{ -95, 38, 71, 84, 64, -42, 82, -70, 87, 80, -51, 99, -49, 129, -72, 146, -67, 88, -90, 84, 69, -106, 187, -69, 158, 29, 74, -30, 131, -109, 101, 167, -43, 138, -85, 155, -108, 63, 49, -81, 67, 79 },
{ -96, 38, 51, 84, 95, -20, 84, -100, 99, -92, 115, -41, 49, -33, 68, 158, 89, 93, -150, 99, -98, 146, -42, 129, 171, 24, -29, -40, 92, 185, -139, 182, 156, -50, -64, 81, -103, 122, 9, 54, -166, 73 },
{ -87, 68, -33, 111, -29, 19, 30, 95, -91, 113, 75, -49, 45, -63, 127, 190, -93, 152, -141, 105, 117, -106, -117, 82, 214, -35, 14, 31, -71, 266, -185, 200, 222, 84, -73, 133, -83, 154, 27, -76, -121, 78 },
{ -84, 70, -45, 203, -78, 95, -99, -48, 148, 141, -30, 98, 113, -140, 114, 359, -64, 57, 105, -180, 129, -103, -100, 156, 320, 109, 51, -63, -140, 267, -96, 254, 166, -183, -78, 142, -77, 65, -103, 187, -145, -83 },
{ -86, 64, 163, -40, -99, -19, 107, -71, 135, 79, 43, 81, -65, 99, -108, 174, 60, -21, 143, -229, 182, -102, -33, 161, 322, -41, 34, 65, -146, 297, -170, 239, 93, 67, -121, 182, -72, 125, -101, 34, -132, 103 },
{ -135, 345, 146, -79, 454, -280, -115, 180, -136, -79, 55, 273, 119, -41, 130, -199, 59, -59, -85, 128, -112, 371, -456, 253, 407, -37, 48, 85, -89, -72, 544, -104, 287, 328, -189, 139, -93, 83, 89, -311, 104, 314 },
{ -316, 218, 171, -83, -139, 522, -80, 155, -85, 66, 130, 35, 70, 263, -123, 311, -126, 104, -42, -160, -79, 420, -862, 453, 676, -87, 118, 37, -368, 516, -217, 292, 815, -294, -236, 388, -67, 116, -380, 184, -88, -472 },
{ -66, 29, 100, 47, -75, 32, 55, 55, -55, 78, 53, 21, -62, 64, 87, -60, -98, 79, -49, 98, 181, -65, 69, 116, -55, 87, 45, -43, 87, 147, -194, 246, -95, 56, 48, 99, -77, 75, 66, 30, 69, -81 },
{ -77, 21, 34, 88, 71, -45, 60, 60, -84, -49, 70, 28, 36, -56, 77, 118, -32, 62, -97, 84, 118, 120, -63, 127, -91, -29, 44, 30, 73, 160, -201, 147, 116, -29, 82, 133, -77, 121, 40, 40, -96, 51 },
{ -46, -21, 35, 91, 61, -16, 44, 38, -70, -74, 59, 27, 45, 12, 83, -63, -101, 125, 105, -79, 169, -50, 81, 129, -59, 54, 48, 14, -100, 240, -196, 252, -144, 90, 53, 63, -70, 194, 104, 62, -107, 98 },
{ -34, -38, 105, 23, -40, 62, 54, 46, -86, 54, -57, 111, 27, -43, 112, -61, -113, 92, 92, -73, 126, 97, -19, 103, -78, -76, 124, 12, -101, 232, -169, 236, -131, 99, 108, 38, 173, 80, 17, 91, -110, 126 },
{ -56, 39, 136, -26, -43, 14, -16, 72, -78, 81, -25, 74, -14, 82, 124, -88, -33, 73, 106, -141, 150, -86, -91, 114, 197, -141, 104, -45, -88, 239, 205, -313, 291, 87, 98, 259, 107, 29, -88, 86, -265, 235 },
{ -32, 21, 158, -60, -37, -8, 29, 75, -72, -24, 56, 35, 57, -94, 159, -85, -67, 110, -53, 64, 35, 108, -132, 114, -77, -115, 89, -42, -85, 182, 202, -255, 113, 91, 49, 216, 234, -57, 55, 35, -105, 298 },
{ -38, 30, 192, -68, -27, -12, 21, 62, -82, -57, 104, 49, -53, 65, 127, -107, -65, 127, -91, 147, -26, 27, -21, 39, 69, -107, 76, 18, -202, 325, -260, 335, -190, 92, 137, 285, 182, -48, -85, 67, -55, 188 },
{ -115, 102, 258, -54, 131, -65, 89, -67, 125, -126, 83, 56, -54, 95, -97, 134, 126, 19, 101, -214, 205, 78, -281, 66, 489, -79, 95, 49, -211, 381, -234, 303, 247, 147, -166, 320, -85, 100, -92, -110, 266, -339 },
{ -23, 18, 171, -61, -52, 69, 40, 27, -85, -31, 83, 77, -102, 74, 123, -122, -46, 94, -45, 67, 72, 68, -207, 58, 121, -120, 47, 37, -125, 188, 82, -278, 174, 75, -59, 403, 351, -183, 19, 70, -49, 190 },
{ -50, -135, 142, -42, 167, 57, 128, -96, 162, -64, 83, -68, 57, 26, -145, 344, 59, -41, -56, 112, -101, 89, 104, -68, 182, -47, 92, 110, -142, 288, -143, 248, 190, 53, -101, 88, -78, 154, -35, -45, 96, -225 },
{ -99, 115, -94, 237, 266, -36, -61, -25, 196, -206, 136, -66, 127, -29, -92, 507, 34, 214, -37, 156, -319, 184, -134, 272, 229, -175, -127, 170, -308, 335, -232, 477, -141, -280, 152, -70, 221, 144, 50, -173, 380, -268 },
{ -63, 17, 57, 82, -30, -21, 65, 34, -46, -42, 80, 27, 39, -52, 92, -27, -48, 75, -29, 55, 149, 69, -23, 91, -50, 53, 11, 42, -71, 238, -195, 221, 67, -41, 44, 61, -68, 75, 58, 44, 152, -132 },
{ -68, 16, 62, 64, -30, 50, 6, 65, -77, -31, 74, -29, 69, -44, 62, 86, -35, 72, -80, 84, 100, 96, -56, 99, -54, -31, 55, 62, -106, 241, -211, 228, 86, -58, 78, 105, -67, 104, -21, 56, 168, -168 },
{ -52, 61, 19, 90, -44, 34, 46, 18, -49, -36, 84, -27, 45, -23, 75, -33, -31, 61, -72, 73, 134, 92, -9, 85, -51, -44, 73, 52, -66, 257, -242, 271, -82, 31, 42, 85, -62, 119, 19, 46, 152, -115 },
{ -68, 119, 51, -37, -25, -13, 55, 85, -63, -50, 104, -11, 32, -15, -31, 112, -34, 91, -116, 89, 69, 97, 90, -76, 69, 50, 20, -13, -54, 249, -265, 256, 110, 106, -66, 108, -91, 81, 60, 23, 102, -152 },
{ -42, 19, 133, -10, -63, 50, -11, 75, -50, -44, 83, 18, 48, -45, 81, -52, -58, 94, -45, 48, 140, 45, 40, 72, -52, -34, 65, 15, -73, 257, -244, 277, -117, 56, 65, 58, -65, 147, 68, 65, 48, 24 },
{ -51, 69, 55, -35, -26, -12, 41, 77, -55, -12, 47, 50, 17, -22, 92, -56, -58, 74, -78, 82, 133, -36, 47, 138, -47, -66, 115, -29, -94, 290, -289, 343, -99, 44, 88, 132, -54, 152, -58, 76, 110, -56 },
{ -53, 25, 152, -18, -27, 31, -33, 83, -67, -51, 128, -37, 48, -20, 115, -79, -70, 138, -145, 128, 35, 85, -47, 125, 129, -52, 77, -70, -66, 265, -282, 374, -179, 156, -24, 138, -73, 145, 80, -59, 118, -50 },
{ -60, 32, 93, -10, 57, -31, -15, 95, -85, 92, -52, 77, 61, 70, -59, 70, -59, 39, 162, -180, 173, -106, 55, 70, 154, -47, 118, -68, -68, 319, -253, 318, 128, 80, -86, 161, -85, 73, 32, -37, 120, -147 },
{ -34, 17, 137, -28, -61, 21, 37, 63, -60, -44, 91, -20, 62, -96, 124, -61, -81, 93, 62, 35, 71, 34, 68, 107, -60, -35, 81, 39, -104, 226, -219, 291, -172, 84, 31, 65, -40, 226, 98, 96, -121, 134 },
{ -40, 24, 102, -16, -18, -16, 32, 71, -85, -48, 43, 96, -67, 55, 94, -62, -56, 121, -95, 102, 65, -28, 62, 117, -70, -77, 104, -66, -72, 271, -231, 281, -175, 75, 155, 147, -49, 181, -68, 71, -23, 143 },
{ -43, 32, 114, -29, -30, -17, 32, 47, -66, -62, 106, 48, 23, -24, 102, -78, -55, 113, -92, 113, 37, 73, -53, 45, 94, -70, 71, -44, -75, 256, -305, 347, -105, 120, 88, 223, -48, 126, -41, 124, -111, 146 },
{ -72, 66, 260, -42, -65, 129, -20, 70, -96, -53, 47, 54, 77, -37, 176, -83, 112, -32, 159, -275, 178, 50, -123, 190, 300, -37, 19, 107, -144, 188, 183, -318, 342, 46, 116, 183, -95, 194, -93, 56, -270, 283 },
{ -25, 16, 119, -37, -74, 32, 68, 78, -60, -39, 80, 21, -78, 60, 105, -105, -105, 113, 105, -38, 107, -44, 75, 123, -92, -34, 52, 33, -83, 243, -198, 203, -168, 111, 62, 91, 235, -37, 144, 70, -165, 187 },
{ -48, 42, 138, -28, 115, -115, 60, 50, -108, -18, 88, 32, 40, 42, 139, -136, -64, 89, 79, -130, 43, 113, -115, 139, 164, -107, 78, 40, -130, 233, 103, -362, 281, 69, 193, 270, 143, -65, 28, -88, -86, 265 },
{ -75, 391, 143, -98, -23, -67, -47, 95, -94, -16, 145, 49, -43, 87, 207, -136, 95, 38, 110, -247, 102, 173, -343, 228, 393, -168, 60, 64, -212, 305, 306, -445, 261, 162, 135, 351, 177, 59, -190, 128, -209, 224 },
{ -11, 9, 212, -80, -22, 90, -51, 60, -54, -64, 45, 27, 39, 47, 98, -92, -147, 157, 153, 59, -177, -52, 175, 166, -152, -88, 138, 33, -166, 195, -167, 207, -119, 54, 111, 85, 327, 66, 63, 19, -108, 141 },
{ 19, -70, 331, -33, 43, -79, 26, 24, -65, 160, -37, 19, 103, -21, 181, -203, -41, 129, -118, 181, -189, 163, -105, 194, 98, -99, 73, -94, 50, 135, 202, -288, -133, 288, 148, 454, 176, -88, 13, 50, 58, 157 },
{ -66, -43, 98, 34, 63, 56, -16, 69, -72, -27, 53, -60, 57, -27, 42, 105, -40, 120, -134, 93, 68, 131, 43, 100, -80, -22, 35, 28, -53, 240, -165, 212, 76, 18, 21, 103, -76, 87, 42, -45, 208, -216 },
{ -65, 76, 74, -65, -31, -20, 144, -59, 82, -28, 126, 83, -122, 100, -85, 162, -51, 105, -155, 72, 58, 101, 144, -71, 109, 68, 51, -72, 57, 204, -202, 242, 86, 115, -84, 82, -84, 47, -16, 58, 66, -211 },
{ -67, 37, 122, -29, 89, -51, 27, 99, -61, -88, 136, -46, 46, 66, -86, 132, -34, 134, -207, 138, 27, -50, 166, -65, 171, 66, 62, -74, -32, 274, -197, 234, 116, 111, -64, 106, -89, 92, -28, 29, 121, -202 },
{ -74, 31, 119, 54, -42, 109, -27, 90, -94, -79, 62, -55, 45, 66, 76, 203, 124, 60, -72, 130, -115, -209, 85, 118, 203, -48, 45, 72, -182, 311, 151, 252, 138, -94, -43, 122, -61, 96, -56, 27, 163, -360 },
{ -78, 64, 103, -30, 137, -56, 42, 86, -77, -129, 78, 93, -70, 110, -76, 132, 156, -32, 80, -132, 186, -107, 129, -80, 329, -38, 46, 106, -196, 311, -259, 365, 107, 77, -97, 192, -111, 159, -91, -72, 218, -307 },
{ -44, -210, 241, -54, 312, 47, -40, 91, 73, 79, -97, 66, -109, -50, 129, 348, -150, -36, 75, 117, -152, -209, 92, 121, 240, 154, 140, 104, -272, 384, -108, 325, 137, -191, -28, 78, -64, 69, -88, 80, 153, -287 },
{ -133, 79, 239, 97, -76, 26, -79, 114, -58, 205, -13, -64, 147, -119, 152, 134, -45, 44, 61, 118, -195, 247, -351, 404, 396, 85, 58, -42, -226, 380, -279, 328, 328, -333, -127, 170, -85, 93, -129, 108, 265, -337 },
{ -195, 368, -897, 637, -1009, 1451, 552, -967, -384, 1144, -237, -139, 1477, -1615, 1042, -409, -353, 786, -581, -1762, 1201, -325, 2458, -1628, 1744, 139, -908, 2407, -2458, 623, 2261, -1018, -1445, 2392, -2458, 634, 409, -1001, 1493, -2455, 2458, -2051 },
{ -53, 13, 85, -12, -28, -21, 80, 46, -55, -35, 68, 22, 23, 22, 62, -38, -26, 62, -62, 68, 172, -66, 63, 69, -39, -20, 43, 34, -56, 235, -174, 287, -76, 15, 48, 50, -57, 89, 28, 29, 235, -150 },
{ -67, 17, 63, 35, -14, -34, 42, 65, -70, -30, 81, 25, -14, -43, 85, 51, -39, 94, -135, 71, 172, -54, 81, 73, -77, -27, 56, -27, 56, 209, -227, 315, -65, 48, 60, 56, -69, 94, 32, -44, 206, -102 },
{ -57, 8, 94, -18, -36, 31, -25, 66, -47, -29, 93, -76, 65, 51, -83, 110, -20, 79, -111, 92, 92, -55, 142, 49, -61, -35, 60, -51, 42, 185, -160, 342, -65, 94, 66, 63, -57, 75, -55, 54, 152, -163 },
{ -41, 8, 129, 9, -50, 50, -24, 60, -45, -27, 71, -38, 49, 18, 34, -26, -42, 75, -70, 92, 108, -34, 56, 94, -79, -25, 39, 25, -93, 267, -223, 305, -133, 66, 50, 36, -59, 99, 72, 34, 157, -44 },
{ -47, 118, 25, -14, -14, -38, 49, 58, -57, 30, -47, 69, 26, -35, 65, -24, -66, 50, 71, -67, 83, 55, -24, 140, -68, -40, 66, -34, -77, 284, -238, 316, -82, 77, 21, 66, -66, 102, 46, 39, 120, 50 },
{ -53, 28, 99, -22, 72, -33, 32, 64, -55, -54, 70, 45, -28, 30, 101, -41, -37, 101, -165, 155, 50, -87, 98, -102, 149, -36, 41, -63, 33, 178, -204, 364, -93, 197, -98, 104, -73, 85, 73, -46, 201, -103 },
{ -58, 33, 152, -19, 43, -49, 50, 75, -76, -66, 118, -41, 41, 71, -57, 112, -42, 146, -196, 149, 41, -83, 134, -89, 141, -17, 105, -101, 79, 126, -152, 275, 139, 177, -75, 111, -77, 85, -28, 57, -89, 168 },
{ -46, 11, 128, 12, -25, -19, 36, 52, -55, -45, 45, 44, -18, 39, 51, -39, -51, 69, -82, 92, 80, 93, -56, 105, -90, -41, 67, 48, -72, 256, -249, 248, -73, 39, 56, 44, -58, 150, 70, 103, 44, 100 },
{ -47, 29, 109, -10, -21, -21, 19, 68, -70, -8, 24, 36, 44, -58, 61, -48, -39, -36, 190, -154, 158, 47, -70, 118, -35, -56, 75, -19, -115, 288, -243, 301, -108, 119, -36, 149, -74, 122, 27, 82, 48, 122 },
{ -53, 32, 139, -16, -36, 43, -42, 88, -96, -26, 97, 66, -33, 63, 102, -93, -62, 123, -126, 120, 25, -91, 16, 57, 99, -48, 47, -63, 99, -79, 260, -248, 270, 114, -69, 172, -70, 70, 59, 59, -142, 365 },
{ -59, 187, 66, -40, -68, 75, 25, 104, -58, -42, 67, 64, -53, 116, -88, 77, -44, 98, 107, -148, 55, 156, -126, 63, 131, -85, 66, -38, -127, 191, 228, -330, 386, 80, 84, 169, 141, -77, 41, -44, -141, 307 },
{ -28, 13, 116, -9, -70, 116, 28, 55, -66, -44, 26, 51, -26, 20, 59, -64, -128, 131, -34, 47, 98, -85, 137, 117, -130, -80, 132, -45, -44, 240, -179, 191, -125, 104, 50, 58, 181, 54, 119, 78, -131, 209 },
{ -32, 21, 114, -22, -62, 119, 24, 8, -29, -71, 87, -14, 56, -63, 104, -81, -92, 146, -64, 78, -26, 138, -159, 172, -99, -107, 104, 21, -85, 108, 177, -250, 219, -89, 102, 177, 171, -38, 96, 102, -146, 322 },
{ -43, 29, 173, -45, -24, 50, 32, 50, -54, -65, 34, 53, -37, 60, 81, -128, -38, 101, -53, 94, -33, 97, -125, 125, 100, -147, 66, 60, -145, 173, 188, -327, 305, -153, 241, 270, 86, 132, -96, 46, -143, 318 },
{ -18, 16, 123, -17, -79, 151, 33, -12, -21, -42, 54, 38, 12, 51, 73, -78, -113, 88, 77, 94, -152, 49, 113, 114, -146, -53, 75, 18, -107, 144, 107, -190, 58, 50, 163, 43, 319, 95, 67, 54, -157, 247 },
{ -29, 140, 27, -31, 137, -114, 56, 70, -37, -58, 36, 119, -81, 97, 95, -145, -93, 136, 24, -128, 187, 82, -129, 149, -112, -90, 72, 24, -239, 390, -215, 243, -206, 106, 69, 292, 361, -155, 117, -71, 52, 205 },
{ 126, -45, 37, -53, 19, 149, -40, 39, -52, -62, 111, -17, 42, 92, 99, -133, 81, -129, 106, 63, -36, 54, -196, 222, -79, -164, 37, 56, 106, -184, 259, 130, -245, 118, 117, 392, 212, 30, -119, 132, -115, 294 },
{ -63, 15, 49, 29, -30, 18, 39, 24, -53, -21, 70, 59, -106, 15, 63, 73, -23, 64, -69, 77, 122, 99, 54, 40, -54, 16, -38, 44, 141, -207, 270, -159, 189, -56, 85, -24, -60, 93, 25, 53, -97, 277 },
{ -62, -29, 63, 109, 49, 10, -38, 86, -74, -41, 47, 54, -66, 51, 58, 111, -36, 110, -137, 58, 183, -83, 90, 121, -66, 8, 35, -64, 85, 172, -137, 359, -84, -57, 77, 55, -68, 40, -20, 58, 142, -89 },
{ -61, 24, 60, -21, -19, 74, 14, 82, -54, -47, 90, -69, 70, -34, 51, 147, -27, 90, -150, 72, 80, 69, 129, -45, 110, 25, -47, 70, 35, 104, -177, 305, 105, -48, 77, -51, -63, 77, 36, -67, 95, 96 },
{ -53, 34, 234, -41, -56, 43, -49, 168, -33, 34, -60, 61, 81, -34, -57, 264, -63, 126, 97, -190, 106, 97, 116, -31, 126, 84, 60, -51, -112, 303, -175, 246, 218, -71, -57, 102, -66, 106, -72, 144, 65, -176 },
{ -88, 62, -27, 105, 178, -38, 56, -42, -48, -87, 73, 41, 32, 120, -96, 142, -62, 89, 133, -147, 141, -146, 162, 121, 218, 166, 41, -64, -104, 311, -217, 378, 119, 73, -154, 156, -53, -60, 99, -51, 178, -318 },
{ -73, 368, 95, -61, -64, 91, -47, 87, -46, -50, 58, -83, 84, 66, -93, 130, 36, 191, 120, -135, 97, 172, -194, 37, 332, -43, 85, -80, -94, 169, 224, -248, 349, 198, -122, 157, -92, 101, -57, -85, 93, 250 },
{ -79, 68, 260, -83, -116, -28, 35, 182, 91, 285, 146, -61, 43, -143, -219, 535, -164, 35, 64, -135, 128, -78, 208, 59, 153, 31, 37, -41, -114, 282, -130, 352, -185, -44, -94, 152, -77, 212, -45, 51, 218, 26 },
{ -136, -450, 554, 220, 142, 247, -369, -219, 226, 904, -208, -299, 328, 75, -404, 659, -357, 131, 174, 196, -389, 146, 450, -358, 225, 167, 264, -245, -90, 658, 144, 38, 140, 337, -257, 386, -158, -130, 139, -328, -664, 111 },
{ -130, 128, -56, 223, 354, -66, -44, -45, 116, -181, 48, 82, 149, -132, -131, 445, -54, 86, -71, -86, 216, -259, 91, 104, 283, 305, 42, 81, -35, -69, 392, 416, -142, -171, -133, 150, -54, 73, -74, 147, 277, -147 },
{ -203, 290, -179, 279, -112, -175, 170, -136, 380, 212, 127, -141, 136, -167, -317, 320, 139, -76, 65, -122, -577, 913, -502, 534, 357, 107, 60, -37, 168, 476, -471, 412, 279, -361, -160, 285, -98, 108, -105, -40, 466, -629 },
{ 305, -97, 84, -16, 57, 208, -55, 59, -95, -42, -35, 39, 53, 29, 117, -75, -67, 68, 143, -98, 104, -88, 113, -146, 353, 42, 149, -78, 49, 141, -65, 319, 65, 245, -38, 142, -63, -65, 213, -36, -23, 238 },
{ -49, -29, 96, 9, -39, 71, -32, 30, -42, 13, -59, 66, 27, 16, 64, -27, -40, 22, 109, -100, 120, -87, 83, 58, -45, -12, 28, 31, -40, 166, 123, 196, -116, 54, 25, -14, -55, 117, 34, -54, 212, 119 },
{ -61, -27, 82, 20, -28, 74, -21, 40, -62, -28, 83, -40, 45, -17, 79, 37, -28, 94, -163, 113, 82, 57, -83, 67, -47, -21, 58, -48, 118, 46, 145, 191, 88, -79, 47, 24, -53, 83, -67, 42, 133, 123 },
{ -50, -18, 84, 20, -46, 47, 30, -14, -37, -17, 68, -52, 30, 27, 32, -19, -55, 88, -89, 104, 86, 29, 31, 61, -57, -31, 43, 41, -94, 268, -159, 257, -112, 75, 43, -16, -48, 124, 38, -62, 270, -85 },
{ -55, 15, 92, -14, -73, 65, -31, 37, -44, -18, 79, -43, 49, 60, -47, 47, 9, -79, 133, -85, 156, -94, 118, 46, -63, -31, -32, 126, -121, 226, -143, 338, -147, 102, 39, 34, -52, 114, 29, -62, 223, 111 },
{ -64, 27, 73, -22, -8, -53, 61, 44, -38, -35, 73, 70, -71, 80, -49, 78, -45, 106, -153, 75, 78, -95, 87, 85, -59, -29, 67, -74, 91, 64, 110, 237, 120, -48, 71, 47, -51, 86, -41, 38, 84, 183 },
{ -46, 18, 75, -17, -23, -22, 84, 50, -47, 18, -42, 46, 51, -52, 78, -38, -28, -68, 129, -42, 77, 76, -63, 105, -52, -24, 30, 88, -90, 230, -212, 338, -131, 46, 52, -20, -42, 113, 58, -53, 278, -66 },
{ -53, 57, 36, -23, -56, 52, -30, 62, -40, -36, 75, -48, 52, 50, -59, 84, -53, 124, -147, 153, -10, -39, 48, 93, -62, -22, 39, -31, 24, 127, -141, 381, -151, 137, 39, 93, -59, 66, 26, -58, 161, 121 },
{ -56, 34, 237, -25, -80, 76, -30, 52, -37, 32, 60, -71, 115, 42, -110, 105, -40, -70, 163, -162, 156, -75, 129, -61, 134, 61, 35, 58, -184, 266, -148, 285, 130, 167, -68, 125, -48, -36, 57, -54, 83, 138 },
{ -36, -20, 59, 17, -21, 80, 48, -26, -29, -34, 74, -52, 57, -40, 98, -58, -74, 101, -125, 111, 58, 64, -73, 113, -71, -31, 31, 29, -28, 221, -206, 270, -110, 69, 70, -20, -37, 151, 58, -31, 172, 95 },
{ -42, 27, 122, -26, -45, -22, 70, 34, -42, -35, 57, 101, -79, 8, 49, -30, -58, 109, -152, 121, 50, -54, -28, 136, -69, -60, 51, 36, -39, 115, -139, 357, -153, 105, 49, 70, -47, 156, -22, -43, 188, 141 },
{ -50, 39, 176, -33, -35, -20, 53, 26, -35, -48, 76, 16, -35, 17, 95, -58, -31, 122, -181, 168, 19, -45, -34, 119, -26, -67, 66, -59, 54, 104, -132, 389, -161, 146, 62, 132, -56, 124, -44, -26, 96, 164 },
{ -54, 47, 147, -25, -50, 87, 30, 122, -58, -30, 43, 72, -93, 160, -159, 120, -61, 119, 121, -170, 208, -69, 40, -109, 159, 81, -68, 56, -44, 135, -113, 292, 141, 155, 65, 139, -81, 83, -12, 87, -146, 215 },
{ -31, 23, 53, -26, -31, -18, 124, 75, -57, -83, 68, 42, 51, -43, 60, -59, -105, 153, -131, 132, -40, 92, -52, 120, -98, -85, 130, -89, 45, 122, -131, 251, -127, 35, 130, -25, 157, 148, -67, 202, -133, 279 },
{ -30, 29, 116, -32, -57, 30, 43, 23, -30, -35, 89, 37, -53, 64, 31, -54, -58, 92, -105, 99, 63, -66, -38, 147, -89, -44, 51, -74, 52, 96, -87, 356, -163, 70, 94, 115, -65, 156, 48, 146, -151, 325 },
{ -47, 38, 153, -36, -32, 17, 63, 35, -44, -70, 103, 36, 16, -52, 83, -63, -73, 158, -143, 107, 21, 49, -125, 114, -30, -62, 45, -65, 49, 92, 154, -207, 280, 95, 29, 242, -54, 128, 50, 96, -166, 324 },
{ -46, 47, 279, -26, -58, 133, -40, 95, -103, 26, -41, 129, 97, -44, 102, -77, -22, -79, 208, -192, 91, 62, -89, 54, 120, -36, 70, 66, -60, 196, 72, -234, 331, 110, 112, 259, -74, 207, -50, 50, -113, 285 },
{ -88, 455, -255, 305, 78, -193, 108, 78, -113, -74, 261, -85, 67, 111, -152, 229, -102, 243, 102, 154, -205, 138, 179, -397, 479, -33, 87, -118, 165, -114, 410, -221, 174, 219, 32, 222, -119, 139, -190, 181, -180, 361 },
{ -16, -33, 22, 147, -13, 16, 170, -23, -28, -52, 136, -20, 67, -11, 72, -97, -117, 62, 131, -52, 102, 72, -98, 150, -126, -109, 102, 37, -115, 201, -86, 141, -52, 55, 113, 35, 322, 141, 36, 110, -207, 310 },
{ -26, 41, -59, 182, -45, 170, -17, 90, -28, -53, 52, -31, 69, 95, 66, -105, -150, 175, 85, -81, 92, 55, -195, 286, -213, -130, 131, -48, -138, 246, 76, 178, -174, -124, 323, 212, 120, 149, -93, 153, -44, 268 },
{ -163, 379, -404, 227, -141, -136, 77, -2121, 351, -166, 220, 154, -209, 95, -279, -270, 250, 70, -198, 1043, -299, 1445, -1163, -900, 253, -355, 475, -628, 431, -2458, 756, 1092, 1565, 586, -253, 271, 311, 558, -930, 1006, -554, 431 },
{ -64, 12, 68, 42, -35, 21, -37, 43, -69, -44, 94, -60, 127, -15, 54, 63, -44, 90, -101, 73, -93, 143, -92, 95, -47, -30, 74, -82, 73, 116, 137, 232, 100, -83, 97, -18, -47, 117, -25, -27, 134, 138 },
{ -70, 21, 68, 46, 26, -59, 26, -88, 92, -61, 58, 84, 62, -44, -36, 90, -63, 127, -121, -79, 97, 66, 129, -51, 80, 52, -78, 45, 77, 77, 105, 262, 110, 66, -39, -36, -63, 102, 73, -97, 86, 116 },
{ -76, 30, 150, 60, 22, -67, 62, -32, -48, -72, 62, 93, -52, 90, -44, 129, -33, 120, -77, -86, 163, -109, 132, -45, 100, 8, -44, 77, -64, 202, -94, 294, 121, 137, -97, 66, -60, 79, 50, -85, 77, 110 },
{ -59, 52, -44, 114, -59, 158, 61, -73, -51, 39, 99, -94, 75, 146, -53, 248, -42, -52, 103, 66, -108, -82, 208, -51, 112, 39, 42, 52, -183, 114, 192, 242, 108, -70, -110, 104, -52, -48, 40, 47, 93, 109 },
{ -89, 37, 186, 58, 43, -76, 52, 35, -88, -76, 64, 58, -30, 119, -28, 157, 105, 28, 52, -54, 113, -136, 192, 107, 132, -24, 67, -45, -121, 203, 120, 254, 158, -70, 76, -41, -43, 96, -48, 78, -80, 173 },
{ -78, 52, 302, -23, -73, 62, -22, -33, 96, 168, -40, 55, 97, -80, -61, 77, -60, 75, 111, -116, 138, 43, -108, 97, 199, -46, 119, -70, -45, 104, 61, 253, 247, 53, -57, 113, -60, 89, -102, 74, -58, 121 },
{ -71, 34, 209, 98, -179, 86, 31, -142, 139, 285, 100, -67, 63, 154, -258, 484, 45, -70, 58, 96, -231, 72, 240, -237, 175, -103, 189, 50, -66, 195, 146, 207, 124, 97, -158, 147, -58, 243, -58, 73, -88, 141 },
{ -77, 66, -37, 310, -87, 43, 81, -86, 99, 51, -36, 26, 53, 111, -90, 185, -80, 94, -28, 74, -133, -41, 146, 242, 84, 202, 53, -39, 50, -98, 322, 379, -80, 57, -137, 156, -41, -21, 38, -82, 242, -137 },
{ -110, 119, -82, 191, -113, 249, 59, -73, 68, 20, 85, -59, 170, 62, -117, 159, -83, 85, -88, 92, -221, 207, -114, 504, 179, 137, 29, 98, 83, -169, 440, 216, 163, -149, -55, 145, -57, 70, -72, -105, 304, -362 },
{ -117, 112, 174, -44, -124, -55, 98, 113, -64, 198, 58, -56, -44, 42, 167, 75, -67, 133, 77, 97, -152, 80, -285, 397, 288, 50, 80, 115, -320, 151, 304, 227, 321, -276, -45, 184, -41, -81, -103, 68, 353, -450 },
{ -113, 93, 301, 49, 232, -87, 23, 61, -119, -142, 63, 39, 56, -64, 117, 119, 43, 194, 95, -171, 246, -27, -108, 62, 414, 58, -89, 143, -167, 213, 160, 248, 94, 206, -165, 193, -81, -53, 141, -226, 239, -255 },
{ -92, 110, -72, 347, -574, 616, -210, -127, 248, 731, 198, -87, 102, -86, -294, 564, 88, -125, 71, -282, -66, 24, 386, -386, 373, -294, -88, 58, 246, 397, 149, 63, 117, 224, -208, 233, -56, 511, 130, -112, -525, 215 },
{ -307, 169, 297, -123, -266, 274, -43, 157, 169, 202, 139, -43, -115, -161, 261, 237, -131, 116, -73, 247, -92, -269, -419, 605, 221, 173, 74, 71, -93, -530, 1335, 258, 296, -444, 44, 178, -74, 64, -167, 155, 449, -711 },
{ -209, 167, -69, 349, -128, -133, 150, -145, 290, 456, 65, -56, -213, 155, -119, 195, -93, 92, 183, -129, 74, -138, 297, 233, 354, 10, 133, 121, -96, -87, 355, -293, 185, 132, -161, 202, 104, -140, 90, -161, 151, 343 },
{ -23, -105, 2130, -165, -278, 131, -212, 117, 885, 817, 36, -140, 419, -1180, 208, -230, -456, 251, 437, 446, -199, 719, 463, -242, 824, 92, 128, -1146, 1686, -1318, -1059, 996, -1028, 1120, -297, 155, -193, -795, 1033, 2161, -1732, 1726 },
{ -58, 19, 124, -26, -82, 46, -37, 47, -19, -19, 113, -81, 82, -24, 68, -24, -37, 74, -88, 108, 61, 77, -86, 94, -47, 26, -43, 47, 37, 121, 163, 167, 85, -74, 73, -25, -60, 111, 52, -74, 152, 195 },
{ -58, 20, 73, -19, -53, 48, 18, -37, 73, -40, 104, -74, 55, -63, 99, -69, -62, 100, -129, 111, 53, 121, -172, 92, 57, -26, 95, -82, 48, 95, 124, 285, 110, -42, 26, -27, -45, 156, -80, 88, 130, 143 },
{ -57, 22, 95, -25, -41, -31, 38, 31, -19, -53, 97, 47, -69, 34, 74, -31, -31, 93, -119, 97, 52, 78, -115, 107, -49, -36, 59, -101, 74, 54, 202, 133, 115, -69, 72, -16, -36, 123, -98, 78, 109, 206 },
{ -48, 48, 36, -37, -49, 32, -25, 54, -19, -48, 115, -68, 86, 53, -56, 51, -34, 82, -116, 144, -59, -29, 86, 40, -59, -43, 84, -44, 15, 49, 145, 264, -70, 94, 31, 40, -38, 131, -66, 42, 156, 179 },
{ -38, 16, 92, -33, -65, 34, -12, 48, -26, -31, 91, -62, 63, -43, 45, -10, -38, 90, -150, 123, 45, 60, -43, 93, -55, -42, 53, -60, 71, 200, -163, 284, -60, 19, 42, -20, -47, 154, -40, 56, 183, 99 },
{ -55, 32, 36, -12, -33, -11, 89, 33, -29, -24, 73, 74, -59, 66, -85, 75, -19, -51, 115, -108, 93, -59, 131, -87, 86, -27, 62, -39, -48, 130, 115, 211, 115, 153, -81, 85, -56, 104, -109, 134, -108, 352 },
{ -49, 36, 199, -33, -79, 47, -19, 81, -28, 43, 99, -86, 152, -41, -89, 120, -61, -56, 113, 115, -154, 59, 85, -68, 141, 131, 80, -70, -59, 107, 104, 275, 113, 153, -42, 110, -69, 52, -81, 120, -78, 194 },
{ -33, 26, 47, -26, -52, -9, 28, 37, -29, -23, 52, 63, -52, 27, 24, -23, -82, 124, -133, 80, 45, 78, -93, 93, -34, -45, 41, -27, 44, 207, -162, 257, -41, 69, 39, -43, -29, 152, 63, -75, 278, 95 },
{ -43, 29, 51, -29, -45, 48, -35, 36, -36, -54, 91, -46, 85, -55, 57, -24, -48, 118, -140, 109, -54, 161, -171, 119, -30, -58, 55, -32, -32, 194, -103, 232, 164, -87, 109, 39, -20, 126, -48, 74, 146, 118 },
{ -43, 41, 144, -32, -76, 40, 18, 22, -25, 30, 38, -52, 114, -52, 67, -32, -30, -38, 144, -174, 118, 96, -157, 52, 58, -54, 55, 49, -166, 280, -137, 334, 58, 203, -64, 114, -48, 98, 59, -105, 178, 166 },
{ -45, 32, 334, -30, -70, 29, 36, 27, -49, 42, -36, 155, -57, 103, 148, -81, -32, -65, 207, -157, 155, -121, 80, 68, 144, -33, 172, 86, -199, 253, -90, 410, -135, 208, 76, 104, -47, 93, -111, -25, 59, 152 },
{ -25, 25, 57, -39, -71, 40, 37, 30, -37, -65, 85, -10, 31, -49, 68, -37, -99, 89, 115, -157, 73, 128, -123, 128, -81, -74, 103, -30, -104, 297, -143, 213, -80, 33, 101, -41, 108, 158, -35, 133, 74, 201 },
{ -26, 78, 35, -41, -56, 27, 87, 36, -23, 28, -9, -45, 80, -35, 56, -43, -29, -103, 139, 92, -128, 82, -119, 156, -81, -41, 30, 42, -129, 150, 73, 257, -145, 96, 55, 103, -53, 170, -19, 83, 105, 193 },
{ -42, 38, 193, -28, -80, 43, -10, 64, -22, 34, -18, -16, 60, -50, 82, -77, 43, -110, 139, 128, -172, 155, -159, 144, -48, -81, 67, 21, -65, 89, 207, -173, 278, 54, 72, 194, -54, 137, -75, 27, 102, 268 },
{ -45, 375, 55, -45, -65, 160, -28, 54, -61, 59, 126, -36, -35, 113, 105, -139, -114, 130, -173, 194, 149, -162, 70, 49, 155, 29, 65, -87, 81, 54, 49, 281, -181, 246, 154, 230, -49, -97, 174, -139, 81, 207 },
{ -90, 357, 48, -33, -73, 230, -169, 73, -85, 36, 289, -139, 374, 144, -219, 270, -75, 83, -222, 395, -313, 111, 70, -158, 353, 215, -123, 110, 122, 162, 254, -174, 187, 387, 190, 149, -78, 170, -159, -110, 119, 197 },
{ -112, 404, 77, -63, -101, 73, -140, 269, -40, 457, -35, -165, 377, 62, 93, -220, 64, 114, -111, 227, -110, 171, -320, 178, 279, -190, 183, 80, -147, 274, 475, 240, -256, 282, 143, 185, -150, 225, -196, -190, 161, 269 },
{ -13, -36, 163, 21, -57, 74, 209, -19, -45, -37, 41, 56, -21, 51, 131, -86, -115, 180, 130, -151, 141, 39, -48, 147, -184, -142, 82, -35, 75, 82, -31, 170, -15, 14, 134, 23, 306, 216, 67, 131, -213, 312 },
{ -31, 31, 256, -37, -62, 17, 18, 132, -25, 29, 135, 17, -53, -47, 66, 94, -82, -69, 253, -102, 177, -54, -51, 132, -208, -151, 69, 144, -56, 98, 55, 146, -68, -39, 273, 162, 175, 72, -31, 168, -89, 318 },
{ 16, -61, 266, -28, -33, 58, 129, 13, -41, 30, -49, 107, -9, 97, 94, -84, -32, -88, 278, -179, 140, 33, 78, -162, 124, -102, 50, 103, -208, 257, 109, -173, 139, 251, -186, 455, 171, -52, 125, -59, -65, 365 },
{ -44, 39, 193, -55, -66, 33, 103, -24, 133, 112, 51, -62, 71, 25, 95, -163, -36, 30, 99, -120, 151, 125, -156, 135, 175, 80, -73, 96, 139, -56, -45, 330, -295, 195, 163, 355, -64, 123, -185, 70, 316, -236 },
{ -70, 20, 57, 54, -57, 42, 46, -72, 35, -46, 126, -104, 83, 60, -58, 26, -122, 68, -102, 70, 90, -65, 164, -64, -29, 19, 35, -25, 44, 68, 137, 276, -127, 93, 41, 29, -59, 98, -84, 72, 117, 173 },
{ -60, 28, 78, -15, -66, 58, -35, 92, -23, -43, 120, -83, 58, 49, -50, 59, 20, 58, -124, 86, 90, -133, 126, 33, -21, -48, -24, 53, 55, 49, 91, 334, 56, 74, -61, 51, -39, 94, 71, -93, 108, 128 },
{ -66, 17, 84, 17, -35, -21, 63, -25, -42, 40, -68, 112, -69, 66, 147, -49, -69, 90, 80, -121, 103, -61, -74, 78, 87, 17, -47, 58, -127, 203, 129, 269, 116, 54, -72, 28, -58, 103, 66, -93, 166, 149 },
{ -59, 37, 81, -16, -60, 54, -31, 101, -43, -55, 74, -56, 117, -87, 78, 89, 22, 57, -66, 115, -133, 88, 104, -28, 69, -38, 36, -88, 91, 32, 200, 276, 113, 55, -90, 50, -44, 56, 48, 107, -108, 230 },
{ -62, 42, 90, -9, -50, 30, -22, 65, -52, -84, 92, -49, 133, -91, 80, 73, 41, 40, -81, 113, -56, -67, 56, 19, 105, -49, -45, 115, -82, 147, 55, 348, 131, 31, 46, -29, -20, 128, -35, -50, 90, 154 },
{ -62, 50, 109, -24, -59, -30, 20, 98, -77, 39, -36, 57, -94, 138, 30, 185, -77, 82, 43, 80, -32, -120, 151, 62, 85, 23, 51, -62, -141, 110, 124, 363, 135, -128, -85, 100, -66, 230, -32, 150, 96, 34 },
{ -65, 55, 101, -38, -91, -20, 51, 63, -73, 38, 118, 45, -59, 92, 68, 97, -66, -48, 106, -96, 117, -56, -202, 202, 101, 21, 78, 93, -119, 110, 56, 330, 297, -78, -68, 98, -41, 141, -84, 78, 63, 65 },
{ -64, 33, 110, 23, -72, 139, -26, 44, -70, 38, 76, -23, 41, 144, -68, 76, -77, 75, -41, 117, -120, -69, 135, 57, 181, 103, 59, -90, 64, 99, 114, 254, 192, 108, -67, 76, -53, 79, -64, 101, -78, 166 },
{ 42, -206, 206, -42, 43, 137, -41, -56, 118, -135, 126, -23, 126, 35, -145, 129, 39, 93, -68, 168, -51, 156, -218, 328, 259, -44, 60, 111, -240, 222, 172, 318, 345, -150, -101, 154, -36, 66, -100, 72, 180, -300 },
{ 319, -98, 146, -24, 71, -35, -24, 90, -85, -43, 71, 74, 81, -73, 190, -84, -81, 94, -43, 81, -144, 242, -77, 115, 373, 38, 134, 82, -108, 138, 234, -76, 202, 162, -72, 200, -45, -99, 89, -190, 109, 263 },
{ -103, 405, 53, -44, -75, 253, -130, 196, -45, 48, 205, 43, -80, 93, 140, -189, -139, 28, 173, -138, 325, -207, 201, -128, 355, 38, 228, 39, -149, 214, 145, 225, -152, 533, -168, 139, -112, 154, -112, 216, 55, 217 },
{ -240, -176, 605, 402, 85, 296, -271, -188, 329, -62, -179, 135, 172, 89, -340, 419, 72, 215, -246, -180, -338, 48, 407, -191, 353, -86, 298, -198, 312, 288, 334, 358, -273, 205, -295, 253, -196, 284, 138, 138, -493, 647 },
{ -66, 84, 97, -45, -124, 167, 12, 137, -81, 72, -31, -57, 129, -143, 262, 155, -73, 56, 183, -81, -102, 157, -60, 328, 184, 134, -23, -31, 60, 173, -96, 410, -338, -59, -107, 123, -52, 31, 47, 270, 127, 178 },
{ -335, 129, 182, 395, 218, -150, -87, 20, -79, -87, 191, 40, 68, -146, 245, 240, 97, 20, -190, 85, -95, 307, -618, 320, 317, -219, 138, -66, 139, -262, 682, 369, 240, 268, -371, 201, 179, 135, -109, 254, -308, -168 },
{ 61, -151, 35, -63, 496, 136, 148, -111, 229, -55, 54, -105, 93, -84, -100, 215, -62, 296, -142, 140, -141, 421, -218, 235, 468, -37, 174, -137, 209, -276, 221, 116, -344, 208, -153, 353, -85, 68, -134, -147, 161, 290 },
{ -16, -27, 53, -48, -65, 85, -81, 76, 14, 20, 45, -80, 99, 86, -97, 13, -26, -66, 110, 25, 112, -80, 70, 84, -65, 26, -50, 115, -83, 156, 186, 235, 60, -90, 65, -22, -29, 52, 78, -37, 147, 199 },
{ -31, 31, 105, -45, -81, 50, -42, 24, 21, -14, 84, -77, 85, 54, -88, 18, -59, 94, -86, 64, 85, -78, 107, 74, -65, -68, 113, -61, 43, 109, 207, 201, 43, -87, 58, 22, -49, 130, -54, 101, 99, 219 },
{ -41, 18, 88, -26, -42, -29, 33, 60, -35, 51, -51, 77, -82, 40, 78, -28, -41, -66, 108, -74, 112, 47, -105, 133, -36, -27, 50, 75, -108, 179, 178, 218, 145, -124, 91, -19, -22, 112, -36, 49, 107, 171 },
{ -34, 21, 95, -34, -88, 41, -12, 36, -9, 27, 55, -82, 65, 61, -78, 38, -20, -84, 89, 39, 51, -49, 126, -41, -14, -82, -19, 115, -99, 163, 163, 144, 106, -78, 68, -45, -39, 173, -28, 66, 106, 258 },
{ -52, 41, 23, 37, -55, 29, -31, 38, -20, 44, -31, 60, 30, -74, 65, 12, -47, -69, 132, -107, 90, 112, -121, 107, -29, -25, 80, 39, -103, 175, 179, 105, 183, -50, 60, -19, -33, 117, -69, 73, 90, 230 },
{ -19, -39, 89, -27, 29, -14, 36, -25, 29, -47, 49, -47, 87, 39, -69, 44, -62, 103, -75, 103, -105, 59, 64, 88, -38, 17, 50, -43, 35, 65, 217, 278, 73, -54, 63, 41, -45, 64, -60, 81, 74, 202 },
{ -25, -30, 29, 32, -31, 72, -16, 25, -36, 35, -37, 29, 55, -56, 61, -22, -41, -89, 140, -120, 134, 74, -123, 102, -33, -74, 73, 71, -160, 375, -143, 260, 62, -46, 80, -47, -25, 166, -39, 33, 226, 72 },
{ 13, -41, 86, -47, -28, 34, -28, 61, -40, -33, 88, -29, 94, -93, 97, -20, -71, 93, -117, 112, -51, 108, -125, 98, -43, -43, 83, -87, 61, 40, 182, 186, 88, 67, 39, -20, -21, 127, -32, 67, 89, 256 },
{ -43, 22, 56, -13, -61, 43, -15, 14, -13, 23, 34, -27, 77, 47, -80, 81, -70, 62, -103, 137, -124, 35, 52, -69, 73, 17, -52, 48, 43, 32, 166, 251, 89, 89, 74, -38, -39, 110, 41, -83, 110, 248 },
{ 9, -72, 77, -21, 30, 155, -14, 52, -25, -65, 50, -49, 67, 67, -112, 81, 12, 67, -87, 112, 64, -96, 56, 78, 69, -58, 53, 92, -148, 110, 99, 196, 219, 103, -38, 82, -23, 74, -39, -49, 76, 263 },
{ -14, -17, 30, -32, -17, -8, 71, 81, -30, -28, 65, -66, 57, -26, 33, 57, -35, 93, -154, 165, -64, 142, -134, 86, -69, -47, -16, 71, -73, 264, -159, 313, 49, -46, 77, -37, -26, 136, 63, -12, 224, 93 },
{ -17, -24, 33, -32, -36, 97, -25, 25, -25, 31, -13, -37, 92, -46, 108, 11, -47, -51, 70, 106, -107, 110, -127, 109, -44, -34, 58, 30, -121, 228, -107, 355, -79, 65, 90, -6, -29, 139, -40, 26, 212, 143 },
{ -42, 29, -19, 200, -58, 72, -18, 21, -32, 51, -24, 16, 57, -46, 87, -59, -51, -54, 121, -99, 102, 44, -146, 98, 51, 41, -37, 90, -161, 238, -81, 242, 190, 50, 41, 83, -28, -39, 124, -44, 125, 200 },
{ 10, -92, 136, 11, 28, 96, -14, -26, -38, -35, 225, 32, -10, 60, 113, -106, -21, 73, -120, 136, -98, 55, -105, 105, 146, -53, 108, -141, 80, 184, 111, 146, 232, 87, 49, 100, -58, 142, -111, 80, -61, 314 },
{ -55, 487, 17, 61, 25, -60, 45, 5, -59, -76, 61, -18, 182, 30, 116, -116, 22, 40, 51, -139, 118, 143, -178, 132, 222, -65, 129, -87, 64, 215, 150, -98, 358, 176, 36, 298, -41, 72, -109, 125, -107, 374 },
{ -22, 76, 24, -35, -32, -5, 41, 40, -12, 24, -28, 29, 39, -49, 46, -43, -41, -82, 168, -160, 136, 110, -149, 134, -69, -60, 31, 43, -118, 320, -186, 286, -38, 36, 67, -46, 153, 130, 73, 17, 178, 165 },
{ 14, -53, 106, -43, -33, 17, 37, 84, -24, 31, -44, 122, 24, -32, 24, -21, -18, -100, 125, 89, -105, 118, -156, 140, -57, -72, 34, 61, -144, 199, -83, 277, -42, 140, 46, 65, -28, 166, 29, -50, 219, 253 },
{ 15, -82, 92, -19, 35, -17, 58, 37, -57, -34, -6, 152, 7, -22, 71, -60, -32, 113, 144, -160, 122, 85, -108, -85, 140, -30, -59, 100, -193, 229, -58, 187, 130, 168, 47, 114, -39, 87, 69, -63, 107, 294 },
{ 333, -77, 33, -28, 118, -19, 206, 24, -58, 24, -53, 63, -85, 82, 119, -157, -72, 68, 124, -150, 160, 149, -228, 120, 159, -67, 153, -147, 170, 110, 223, -247, 376, 130, 106, 166, -56, 113, -127, 80, -42, 330 },
{ -13, -50, 171, 27, 13, 67, 20, -38, 77, -46, 33, 8, 172, -71, 68, -40, -34, 38, 108, -124, 208, 145, -103, 101, -145, -154, -67, 103, 117, 196, -107, 154, 107, 12, 160, -64, 182, 165, 225, 176, -193, 355 },
{ -28, 32, 105, -55, -38, 63, -48, 33, 68, 31, -34, 93, 34, -71, 188, -9, -31, -19, 215, -70, 176, -118, 33, 114, -213, -157, 56, 110, -69, 93, 121, 136, 58, -81, 235, 193, 176, 60, -84, 229, -72, 365 },
{ 14, -66, 130, -35, 26, 148, 11, 30, -27, -60, 153, 33, -68, 48, 94, -48, 89, -28, 80, 126, -117, 196, -143, 163, -106, -86, 35, 70, -156, 115, 234, -47, 101, 67, 123, 331, -49, 131, 113, -31, 151, 190 },
{ -64, 375, 41, -47, -15, -154, 112, 144, -40, 118, -48, -32, 37, 83, 176, -188, -181, 189, -98, 127, -245, 375, -309, 224, 146, 58, 151, 176, -272, 271, -144, 485, -198, 309, 262, 132, -107, 216, -324, 215, 473, -686 },
{ -35, 11, 73, -23, -71, 29, 41, -39, 69, 16, 59, -58, 127, -53, 38, -31, -76, 53, -85, 99, -112, 111, 112, -45, 92, 24, 59, -46, 96, 22, 230, 213, 133, -67, 55, -39, -40, 85, -40, 150, -95, 258 },
{ -44, -38, 22, 80, 43, -23, 74, -74, 36, -68, 34, -64, 104, 33, -30, 83, -47, 92, 64, 103, -135, 81, 143, -21, 62, 41, -30, 45, -123, 115, 176, 314, 51, 78, -85, 95, -33, -43, 77, -80, 98, 185 },
{ -39, 26, 70, -25, -53, 39, -14, 73, -29, 29, -16, 44, -29, 91, -100, 115, -76, 24, 78, -86, 93, -112, 145, 43, 68, 37, 71, -108, 91, 79, 216, 279, 127, 65, -93, 75, -37, -31, 60, 104, -128, 287 },
{ -55, 41, 112, -18, -79, -22, 28, 48, -61, 29, 60, 94, -78, 134, -42, 199, -69, -18, 28, 147, -97, -8, 209, 63, 71, 34, 74, 35, -117, 216, 211, 305, 87, -77, -82, 92, -53, 51, -34, 102, 64, 108 },
{ -52, 24, 217, 56, -76, 57, -21, 36, -36, 36, 44, -39, 54, 89, -84, 121, -50, -23, 78, 98, -69, -40, 165, 136, 109, 18, 65, 61, -118, 240, 130, 277, 178, -46, -73, 107, -54, 47, -56, 93, 83, 99 },
{ 414, -91, 218, 9, 39, 53, -61, 37, -87, -35, 51, 54, 51, 48, 112, -108, -82, 61, -43, -42, 141, -139, 120, 78, 299, 40, 134, -107, 217, 97, 106, 263, 107, 220, -103, 141, -28, -84, 125, -122, 84, 109 },
{ -70, 35, 84, 54, -50, 67, 39, -140, 166, -62, 55, -43, 78, 97, -176, 322, 18, 71, 65, 135, -95, -93, 403, -71, 123, 43, -52, -80, 47, 287, 276, 288, 80, 110, -147, 85, -71, 91, 61, 111, -157, 159 },
{ -88, 59, 144, 90, -31, -33, -238, 76, -95, -50, 109, 30, -18, 110, -34, 254, 21, -31, 77, -162, 115, -122, 213, 113, 121, -96, 120, 38, 83, 154, 133, 284, 179, -160, 144, -83, 52, 59, -76, 139, -222, 328 },
{ -77, 41, 185, -59, -62, -36, 22, 62, -68, 32, 123, -34, 40, 96, -60, 159, -92, 35, -38, 34, -91, 24, 156, 254, 77, 162, -16, 86, 172, 110, 91, 238, 228, -148, 181, -79, -32, 65, -86, 86, -98, 232 },
{ -83, 43, 132, 15, -28, 123, -44, 83, -66, -60, 112, -39, 111, 38, 137, -12, 95, 37, -39, 118, 101, -206, 134, 278, 235, -50, 107, 17, -150, 103, 49, 259, 193, -88, -77, 136, -39, 46, -68, 109, 91, 120 },
{ -95, 276, 57, 237, -100, 29, -40, -82, -39, 111, -60, 36, 109, 122, 101, -161, 74, -51, 78, -130, 123, -148, 393, 165, 265, -113, 76, 78, -183, 288, 237, 138, 177, 146, 107, 78, -45, 170, -207, 150, -199, 286 },
{ -163, -101, 324, 249, 70, -118, -305, 156, -99, -189, 188, 137, -51, 307, -111, 416, 699, -338, -63, 88, -326, 169, 287, -125, 418, -140, 24, -87, 416, 274, 209, -142, 310, -229, -111, 138, -39, 126, -206, 217, -307, 299 },
{ -170, 91, 294, 153, -84, -76, 68, 54, -87, 12, 130, -114, -103, 202, -49, 230, 149, -77, 94, 125, -88, 131, 184, 271, 105, -86, 46, -135, -97, 141, -142, 302, -224, 163, -155, 213, 72, 112, -89, 75, 134, 176 },
{ -148, 76, 47, 137, 143, -59, -74, 148, -105, 316, -62, 59, -103, 142, 180, 131, 86, 26, 43, 87, -240, 185, -104, 346, 287, -72, 29, -26, 105, 229, 193, -348, 334, -258, 195, -64, -14, 167, -78, 117, -215, 437 },
{ 9, -28, 127, -63, -18, 48, -29, 360, 33, 54, 56, -65, 61, 146, -56, 202, 76, 22, -71, 106, -148, -107, 162, -117, 61, -32, -40, -53, 132, -110, 252, 383, 145, 147, -88, -50, -13, 159, 108, 41, -181, 268 },
{ 13, -64, 116, -49, -44, 63, -11, 86, -22, 60, -56, 42, -33, 60, -89, 65, -37, -72, 107, -62, 140, -60, 102, -110, 35, -41, 29, 66, -74, 158, 233, 149, 50, 70, -9, -54, 11, 89, 92, -65, 113, 260 },
{ 17, -58, 70, -38, -19, 54, 24, 86, -25, -22, 54, -48, 61, -65, 15, 33, -46, 68, -112, 91, -103, 67, 98, -86, 42, -26, 48, -71, 101, 65, 297, 109, 80, 59, 50, -36, -18, 116, -46, 142, -92, 356 },
{ 14, -43, 84, -47, -39, 17, 56, 33, -31, 45, -55, 58, -54, 56, -32, 32, -29, -24, 93, -91, 134, -80, 141, -54, -17, -97, 100, -80, 74, 114, 138, 243, -65, 74, 39, -44, 69, 63, -67, 101, 117, 230 },
{ 11, 223, -41, -19, -68, 18, 77, 49, -38, 25, 15, 46, -66, 75, -53, 40, -43, 87, -91, 62, 55, -68, 127, -56, 76, -27, 51, -89, 160, -79, 207, 256, 125, 68, -26, 25, -22, 94, -56, 131, -85, 354 },
{ 53, -40, 19, -42, -41, 30, 83, -25, 19, 43, -40, 42, -42, 21, 123, -25, -31, -39, 117, -102, 100, 80, -177, 120, -37, -44, 38, -86, 159, -30, 226, 81, 186, -42, -35, -20, -25, 120, 57, 169, -118, 403 },
{ 12, -29, 106, -47, -37, 13, -23, 144, -31, 17, 30, -35, 68, -22, 76, -33, -29, 149, -101, 118, -80, 72, -100, 87, -6, -47, -20, 61, 51, -20, 216, 156, 79, 120, -75, 14, -35, 132, 82, -135, 213, 279 },
{ 153, -70, 33, -22, 21, 44, -34, 50, -18, -29, 14, 44, 154, -18, 119, -38, -46, 65, -100, 105, -102, 75, -125, 100, -34, -48, 101, -118, 66, 124, 183, 236, 97, 87, 64, 34, -29, 96, -70, 51, 114, 212 },
{ -30, -26, 77, 26, -24, 104, -54, 55, -43, 23, 24, -25, -28, 101, -97, 85, -71, 50, -53, 86, 74, -149, 93, -30, 133, 15, 70, 64, -95, 184, 181, 261, 181, 127, -26, 99, -56, 78, -97, 92, -104, 332 },
{ 27, -57, 193, 12, -24, 31, 11, 67, -45, -22, 68, -64, 11, 37, -43, 33, -62, 76, -149, 110, 132, -153, 78, 60, -65, -71, 25, -59, 66, 221, -172, 361, -100, 108, 63, -50, -24, 163, 139, 51, 191, 155 },
{ 44, -54, 32, -35, 18, -23, 211, 18, -28, -48, 43, -9, -23, 63, -39, 27, -40, 73, -108, 101, 94, -87, -71, 127, -45, -21, -45, 84, -107, 213, -121, 300, 50, 97, -38, 205, -40, 123, 71, -83, 267, 213 },
{ 15, -52, 107, -27, 14, -34, 62, 15, -35, -27, 25, 66, -34, 15, 35, -29, -48, 51, -119, 117, 157, -30, -142, 113, 30, -11, 81, -93, 80, 29, 99, 163, 256, 78, -73, 140, -29, -43, 84, 127, -66, 376 },
{ -24, -44, 110, 27, 41, -36, 156, -35, -29, -75, 85, 29, -39, 33, 102, -63, 26, 19, 193, -130, 150, 94, -179, 64, 147, -52, 64, -95, 88, 90, -65, 207, 287, 120, 44, 91, -30, 118, -128, 57, 43, 263 },
{ 13, -37, 84, -38, -24, 16, 55, 68, -10, -22, 67, -65, 13, -35, 48, -33, -41, 89, -130, 165, -88, 128, -155, 120, -47, -71, 26, -60, 136, 191, -156, 292, -55, 72, 34, -48, 243, 55, 172, -25, 245, 200 },
{ 14, -51, 251, -34, 17, -9, 55, 14, -14, -43, 66, -63, 37, -39, 30, 11, -10, 49, -73, 110, -110, 105, -124, 128, -74, -15, -47, 151, -59, 181, -84, 281, -63, 118, 70, 52, -31, 145, 45, -49, 266, 247 },
{ -44, 22, 102, 9, -64, 117, -27, 20, -23, 39, 34, -49, 49, 17, 14, -30, -46, 188, -66, 148, -116, 151, 67, -139, 104, 22, -48, 64, -97, 109, 274, -105, 212, 149, 97, 116, 126, -90, 107, -46, 125, 366 },
{ -27, 140, -57, 37, 104, -56, 267, -47, 40, -46, 90, 35, -46, 49, 79, -142, 58, -79, 98, -117, 164, 153, -188, 289, 106, -48, 125, 52, 103, -128, 167, -129, 350, 267, 75, 111, -54, 151, -128, 148, -120, 433 },
{ 449, -116, 155, -34, 34, 167, -76, 56, -43, 81, -81, 233, -33, 50, 159, -168, -113, 116, -48, 75, 111, 106, -272, 253, 236, 67, -50, 41, -87, 288, -92, 253, -320, 624, -299, 467, -79, 208, -155, 89, 77, 174 },
{ 67, -55, 159, 20, -8, 101, 43, -7, -24, -23, 26, -47, 125, 34, -63, 59, -30, 111, -37, 85, 121, -123, 30, 167, -127, -157, 25, -51, 150, 178, -110, 180, 175, 35, 75, -57, 407, 179, 170, 162, -98, 289 },
{ 12, -43, 100, -29, -20, 112, 4, -34, 51, -29, 13, 30, 149, 31, -67, 35, -45, 69, -52, 32, 240, -128, 115, 93, -178, -104, 38, -92, 137, 41, 67, 148, 80, -98, 168, 191, 129, 140, -72, 208, 202, 172 },
{ -32, 24, 143, -43, -48, 152, -42, 47, -30, 102, 34, -74, 73, 40, -11, -36, 31, -99, 49, 133, -22, -155, 160, 103, -145, -93, 49, -102, 130, -91, 275, 308, -202, 95, 162, 340, -34, 186, -71, 157, -59, 336 },
{ -22, 126, -77, 142, 207, 44, -77, 119, 9, -63, 171, -23, -69, 93, 123, -154, 41, -90, 44, 73, 55, -131, 186, -73, 105, -73, 89, 147, -219, 149, -266, 571, -346, 426, 53, 350, -64, 151, -141, 146, 449, -405 },
{ 110, 214, -246, 279, 20, 94, 98, -154, 237, -97, 345, -543, -157, -190, 304, -218, -131, 364, 89, -57, 235, -157, -95, 320, 96, -115, 228, 115, -166, 195, -123, 187, -503, 440, -145, 271, -43, 383, -275, -148, 584, 284 },
{ 10, -59, 97, -47, -25, 36, 15, 15, 60, 47, -102, -70, 123, -37, -74, 36, -40, -54, 89, 69, -64, 90, 124, -72, 39, -57, 14, 93, -130, 109, 264, 236, -48, 131, -30, -29, 10, 91, 96, -76, 124, 210 },
{ -28, -33, 99, 13, 13, 32, -47, 63, -27, -53, 36, -53, 107, -65, -49, 87, 28, 54, -81, 90, -118, 123, 97, 36, -39, -39, 44, -38, 77, 100, 260, 255, 114, -57, 47, 13, -31, 94, -21, 114, -89, 300 },
{ 12, -84, 130, -49, 14, 53, 43, 50, -43, 25, -48, 53, -36, -70, 93, 89, -69, 87, -14, -62, 125, 80, 43, 92, -24, 27, 59, -34, 51, 54, 146, 300, 164, -86, 87, 45, -57, 64, -45, 100, -135, 219 },
{ 6, -67, 100, -20, 30, 36, -32, 61, -58, -44, 38, -25, 139, -93, 105, 31, -51, 48, -42, 118, -114, 94, -28, 158, -40, 18, 84, -67, 95, -28, 209, 271, 241, -84, 93, 34, -49, 76, -44, 113, -164, 293 },
{ -48, 40, 136, -15, -62, -32, -17, 65, -80, 71, 68, 21, 144, -109, 59, 229, -65, 22, -21, -94, 126, -65, 246, -73, 124, 23, 57, -50, 89, 126, 51, 413, 43, 43, -62, 52, -50, 58, -12, 119, -133, 194 },
{ -50, 27, 145, -11, -51, -39, 76, 43, -45, 89, 13, 47, -41, 111, -109, 90, -39, -41, 20, -21, 157, -64, 73, 113, 168, 36, 119, -52, 113, -64, 124, 224, 266, 69, -65, 127, -38, -18, -46, 105, -147, 298 },
{ 37, -232, 134, 199, -46, 272, -151, 208, -155, -81, 62, 22, -270, 150, 200, 184, -93, 163, 34, -96, 211, -221, 286, 196, 199, 74, 121, -111, 113, -64, -64, 188, 201, -202, -87, 273, -47, -44, -29, 227, -169, 477 },
{ 15, -54, 68, -40, -29, 44, 86, 25, -23, 50, -66, 49, -41, 48, -43, 30, -22, -62, 93, -90, 184, -69, 127, -48, 13, -46, -46, 57, -108, 196, 196, 209, -44, 54, -19, -60, 16, 101, 139, -36, 159, 202 },
{ 54, -37, 15, -40, -46, 14, 100, 19, -33, 50, -28, 49, -30, 76, -33, 46, -34, -37, 87, -101, 148, -103, 120, -46, -24, -66, 53, -44, 72, 74, 189, 116, 103, -43, 51, -68, 14, 147, -13, 191, -100, 354 },
{ 11, -20, -30, 54, -56, 17, 121, -37, -26, 33, 21, -47, 69, -43, 89, 35, -56, 69, -78, 94, -127, 112, -88, 120, -33, -55, 53, -66, 81, -28, 321, 124, 156, -87, 43, -41, 51, 132, -52, 114, -125, 368 },
{ 12, -38, 118, -32, -52, 15, -25, 29, -25, 25, 54, -114, 151, -63, 27, 8, -56, 43, -89, 77, -112, 127, -114, 55, 17, -54, 54, -57, 89, -55, 294, 106, 183, -51, 70, -47, 11, 131, -27, 163, -94, 376 },
{ -39, 15, 57, 19, -55, 60, -30, -20, -17, 29, -26, 24, 89, 96, -45, 73, -43, 25, 30, -122, 104, -132, 72, 67, -25, -36, 59, -76, 72, 41, 164, 280, 150, -67, 72, 7, -21, 92, -48, 184, -109, 321 },
{ 60, -47, 25, -21, -31, 72, -20, 75, -33, 52, -48, 56, 13, 24, -36, 47, -27, -68, 77, -104, 98, -116, 129, -53, -22, -66, 32, 46, -87, 143, 176, 147, 68, -57, 81, -80, 12, 166, -30, 122, 126, 263 },
{ 62, -44, 22, -17, -27, 52, -6, 67, -39, -27, 58, -30, 35, 24, 60, -12, -26, 53, -125, 61, 76, -123, 87, -37, 122, -47, 42, -95, 140, -54, 208, 159, 128, 122, -43, -10, -36, 112, 37, 165, -124, 430 },
{ 63, -36, 24, -26, -39, 66, -45, 43, -40, 29, -35, 26, 104, -37, 35, 119, -48, 52, 41, -59, -68, 108, -133, 149, -16, -19, 66, -116, 79, 156, 159, 155, 274, -71, 126, -15, -36, 101, -71, 148, -167, 401 },
{ -28, -29, 155, 26, 26, -22, -65, 57, -56, -52, 18, 77, 23, -17, 75, -50, 19, -38, 62, -48, 176, -82, -48, 103, 77, 31, -52, 74, -60, 82, 51, 305, 209, 120, 53, -25, -63, 124, 71, -110, 65, 275 },
{ 99, -43, 18, -25, -56, 51, -28, 58, -54, 27, 44, -66, -18, 21, 79, 21, -37, 24, -148, 102, 99, -70, -78, 85, -21, -59, 47, -39, 154, 93, 168, 126, 68, -43, 82, -92, 276, 70, -78, 175, 212, 253 },
{ 74, -37, 26, -22, -44, 68, -23, 64, -20, 44, -43, 21, 65, -81, 31, -17, -35, -29, 82, -121, 100, 63, -157, 110, -10, -71, 74, -63, 38, 71, 113, 224, 125, 53, 72, -29, 6, 117, -62, 104, 206, 307 },
{ 53, -38, 26, -13, -50, 115, -37, 33, -43, 33, -36, 56, 68, 21, 62, -24, -48, -19, 61, -74, 78, -105, -62, 129, -18, -42, 87, -65, 59, 81, 137, 209, 145, 96, 71, 61, -31, 84, -58, 77, 99, 311 },
{ 154, -75, 66, 17, 15, 74, -22, 61, -47, 16, -64, 98, -22, 27, 32, -63, -43, 43, 65, 56, -89, 155, -108, 66, 161, -24, 82, -109, 103, 45, 51, 204, 281, 95, 97, 47, -44, 129, -136, 119, -96, 312 },
{ 161, -97, 117, 16, 59, -49, 214, -10, -52, -54, 117, 24, 26, 73, 46, -92, -45, 60, -75, 105, -48, 192, -92, 65, 292, 29, 133, 24, -100, 143, 72, 152, 276, 178, 101, -45, -41, 114, -109, 172, -102, 199 },
{ 49, -40, 15, -11, -45, 34, 106, -22, -18, 19, 34, -58, -52, 27, 18, 15, -19, 48, -135, 122, 93, -78, -77, 82, -31, -74, -39, 54, -31, 77, 135, 208, -31, 123, 44, -74, 289, 63, 176, -34, 273, 312 },
{ 16, -88, 127, -19, 12, 57, -14, 68, -23, -49, 32, 52, -11, -39, 43, 14, 32, -9, -89, 93, 55, 83, -141, -76, 96, -48, -89, 101, -56, 57, 100, 169, 23, 146, 192, -42, 34, 111, 72, -81, 319, 333 },
{ 32, -53, 38, -16, -22, 113, -20, 29, -25, 32, -67, 132, 34, -24, 13, -12, -34, -20, 27, 105, -123, 100, 42, -139, 104, -54, 96, -66, 58, 29, 33, 191, 96, 129, 113, 127, -37, 99, -101, 106, 97, 354 },
{ -38, 140, -30, 17, 16, -46, 183, -53, 49, -53, 122, 35, -63, 45, 77, -138, 49, -72, 118, -40, 164, 43, -181, 161, 102, -50, 118, -38, 32, 71, 146, -156, 378, 205, 156, 205, -26, 141, -123, 87, -155, 396 },
{ -58, 400, 25, 98, -43, 37, -82, 68, -93, 37, 166, -52, 48, 68, 119, -199, -102, 163, -82, 203, 54, 221, -196, 220, 235, 34, 30, -89, -291, 164, -137, 142, 148, 545, -127, 128, -70, 214, -186, 183, 74, 107 },
{ 170, -170, 80, 18, 223, -20, -134, -86, -35, -34, 128, 131, -54, 104, 134, -218, -42, 41, 149, -387, 133, 82, -151, 171, 310, 31, -88, 99, -230, -52, 181, -74, 553, 218, -145, 160, 60, -127, 251, -129, 200, 287 },
{ -9, -29, 160, 20, -22, 19, 68, -33, -13, -20, 46, 9, 83, 42, -76, 73, 36, -74, 55, 96, -105, 73, 97, -117, -36, -140, -63, 106, -84, 208, 170, 149, -63, 106, 122, -58, 476, 143, 234, 57, 142, 203 },
{ 53, -46, 181, -18, 15, -14, 158, -57, 60, 58, -44, 61, 37, 53, -85, 56, 59, -61, -19, 98, -56, 108, -74, 62, -156, -64, -60, -48, 73, 133, 114, 155, 131, -85, 124, 199, 113, 58, 56, 277, -248, 480 },
{ 4, -64, 45, 42, 52, 85, -54, 108, -37, -52, 112, 36, 50, -61, 77, -33, -49, 61, -47, 87, -62, 81, -127, 143, -107, -54, 83, -119, 90, 86, 116, -67, 147, 60, 148, 347, -45, 194, -99, 156, 55, 362 },
{ -49, -30, 190, 18, -26, 136, -57, 117, -33, 149, -92, 87, 32, -38, 145, -157, 43, -68, 152, -51, 185, 104, -266, 122, 113, -74, 43, -47, 158, -167, 103, -127, 286, 154, 248, 251, -63, 182, -135, 126, 186, 170 },
{ -55, 447, -127, 144, -97, 76, -46, -217, 182, 456, -236, 54, 131, -671, 160, -101, 55, -193, 336, -33, 111, 123, 202, -292, 278, -92, -309, 139, 87, -172, -286, 300, -195, 692, -123, 241, 235, -217, 236, 209, -28, 375 },
{ 14, -59, 96, -39, -17, 22, 62, -40, 34, -56, 62, -70, 112, 44, -96, 120, 23, 24, -89, 105, -104, 68, 104, -48, -18, -49, -44, 98, 42, -47, 265, 321, -59, 86, 76, -46, 41, 82, 29, -87, 113, 238 },
{ -38, 14, 67, 6, -45, 63, -41, 52, -54, 15, -16, 16, 128, -112, 148, 63, 22, -46, 75, -65, 131, 49, 71, 101, -23, -73, 98, -30, 78, -57, 180, 300, 110, -87, 147, -41, 15, 78, -47, 105, -157, 316 },
{ -46, 13, 100, 11, 23, -20, -39, -20, -57, -66, -40, 103, 64, 125, -85, 139, 24, 121, -59, 90, -130, 42, 123, 83, -31, -35, 36, -41, 65, -94, 245, 257, 148, -65, 53, 42, -41, 36, -43, 201, -105, 311 },
{ 13, -68, 120, -22, 51, 12, -14, 56, -23, 30, -78, 85, -13, 77, -77, 90, -61, 67, 42, -49, 122, -111, 138, -34, 113, -22, 60, -75, 75, -48, 160, 311, 142, 112, -56, 65, -38, 92, -32, 125, -143, 287 },
{ -43, 21, 187, 38, 115, -91, 90, -21, -17, -33, 21, 61, 26, -23, 64, -69, -52, 59, -63, 42, 113, -110, 83, 55, 140, 46, 24, -75, 83, -105, 191, 266, 199, 130, -62, 25, -52, 94, -27, 131, -138, 364 },
{ -57, 31, 104, -29, -55, 99, -17, 271, 41, -54, 169, -24, 6, 37, -138, 175, 83, -227, 42, -74, 173, -70, 169, 111, 81, 25, -51, 192, -49, 131, 31, 383, 130, 102, -89, -14, -69, 150, 24, 117, -163, 202 },
{ -61, 33, 85, 33, 68, -67, 61, -63, 71, -54, 81, 39, 29, 83, -116, 44, 22, -54, 21, -64, 139, -98, 117, 198, 105, 110, -25, 85, 22, 77, 79, 334, 234, -82, 88, -74, -65, 74, -60, 127, -175, 204 },
{ -80, 35, 81, 103, -85, 90, -61, 39, -127, 58, 46, 248, -38, 164, 65, 320, -67, 92, -320, 101, 146, -186, 336, -46, 124, 14, 29, -57, 115, -94, 118, 422, -93, 116, -84, 85, -39, 154, -61, 79, -84, 252 },
{ -84, 21, 251, 15, -10, -405, -32, 144, -74, -39, 180, 28, -49, 138, -108, 303, -38, 57, -80, -81, 159, -127, 330, 138, 158, -62, 69, -59, 73, 130, -52, 360, 119, -97, -56, -40, 20, 130, 26, 208, -157, 184 },
{ -36, -52, 222, -182, 14, 29, 91, -23, -23, -41, 114, -60, 78, 57, -85, 151, -62, 50, 21, -41, 165, -155, 240, 232, 117, 14, 56, -56, 72, 77, 162, 333, 137, 81, -118, 58, -28, 48, 88, 167, -166, 228 },
{ -91, 42, 199, 66, -348, -48, -21, 33, -51, 81, 85, -84, 91, -55, 183, -13, -46, 13, 137, -56, 93, -175, 121, 323, 224, 186, -70, 111, -84, 197, 128, 328, 171, 68, -122, 44, -13, -49, 182, -84, 182, -122 },
{ 97, -120, 88, 25, 49, -34, 26, -81, 58, 165, -76, 89, 63, -44, 138, -104, -25, 31, -59, 53, -66, 133, 49, 120, 400, 12, 96, 47, 40, 67, 89, 292, -132, 293, -69, 203, -64, 51, -98, -154, 173, -62 },
{ -126, -184, 556, 66, -44, 122, -123, 73, -136, -180, 282, -418, -124, 322, 249, 265, 125, 118, -109, 340, -289, -152, 93, 107, 297, 93, -38, -205, 107, -186, 255, 374, 223, -147, -114, 194, -40, -35, 201, 88, 179, -115 },
{ -118, -55, 357, 59, -153, 273, -95, 203, -168, 42, 24, -47, -106, 227, 253, 128, -87, 153, -118, 153, -92, -211, 196, 81, 286, -300, 81, -159, 122, 227, 63, 241, 397, -126, -140, 217, -53, 193, 50, 69, -275, 149 },
{ -57, 35, 138, -38, -74, -36, 139, -91, 161, 30, -82, 202, 56, 47, -243, 177, 213, -68, -91, -105, 168, 83, -110, 258, 246, -13, -28, 133, 107, 158, 297, 218, 221, 141, 211, -124, -18, 39, 33, -117, 143, -333 },
{ 16, -39, 86, -40, -13, -14, 101, -21, 25, 33, -43, 33, 60, 57, -86, 36, -12, -47, 158, -99, 179, -143, 115, -68, 14, -51, -17, 59, -124, 180, 149, 246, -96, 62, -32, -57, 38, 48, 171, -27, 187, 208 },
{ 13, -39, 126, -39, -25, 31, -30, 80, -28, 27, -46, 15, 41, 23, 52, 5, 22, -64, 79, -109, 192, -167, 84, -57, 22, -47, -248, 62, -121, 114, 153, 353, -92, 95, -49, -36, 61, 10, 168, -80, 227, 218 },
{ 58, -56, 27, -18, 27, -23, 154, -18, -34, 27, -50, 63, -52, 53, -25, 37, -11, -33, 77, -153, 164, -144, 103, -63, 16, -75, 25, -64, 79, 46, 210, 133, 88, 43, -25, -60, 13, 156, 72, 199, -114, 394 },
{ 73, -40, 13, -31, -36, 32, 142, -33, 9, 39, -72, 49, -59, 74, -85, 57, -29, 46, 201, -117, 146, -148, 151, -48, -25, -56, 26, -81, 82, 41, 157, 256, 124, 51, -31, -30, 103, 49, 124, 90, -158, 371 },
{ -24, 10, -18, 14, -12, -55, 231, -56, -38, 49, -40, -23, 76, 42, 104, -22, -47, 69, -28, 68, -137, 162, -109, 130, 10, -37, 60, -68, 82, -65, 188, 211, 224, -90, 93, -25, -23, 103, -48, 122, -179, 439 },
{ 66, -169, 45, -31, -43, 72, -12, 40, -27, 48, -48, 13, 95, 28, -46, 39, -27, -29, 91, -101, 93, -114, 109, -76, 23, -71, 38, -66, 119, -55, 267, 92, 45, 58, -25, -65, 11, 237, -26, 262, -105, 464 },
{ 78, -24, -25, 7, -37, -14, 162, -26, -20, 33, -60, 47, -23, 28, -37, 39, 20, -40, 34, -86, 158, -135, 176, -77, 159, -93, 61, -38, 116, 33, 167, 172, 77, 78, -30, -24, 12, 115, -23, 213, -130, 438 },
{ 49, -41, 21, -13, -43, 68, -36, 27, -40, 44, -24, 20, 64, 29, -37, 28, 9, -83, 51, -68, 128, -141, 156, -57, 55, -43, 51, 61, -60, 108, 132, 265, 122, 176, -42, 55, -19, 19, 80, -99, 132, 281 },
{ 34, -38, 89, 32, -62, 77, -29, 21, -36, 28, 23, -42, 171, -139, 55, -21, -46, -24, 30, -54, 97, -138, 58, 75, 132, 50, 26, 91, -92, 121, 67, 298, 171, 172, -76, 36, -46, 90, 39, -78, 71, 246 },
{ 65, -33, 94, -30, -60, 43, 93, -21, -11, -12, 46, -20, -44, 50, -53, 51, 29, -14, -72, -53, 130, -133, 63, -43, -15, -87, -11, -38, 125, 75, 159, 132, 60, -21, 84, -57, 269, 137, 68, 116, 187, 279 },
{ 75, -57, 95, 15, -22, 23, -42, 103, -58, -29, 52, -56, 80, -58, 44, -17, 34, -41, -59, 113, -135, 128, -120, 145, -22, -89, 68, -51, 64, -20, 215, 157, 57, 99, 113, -38, 15, 124, -65, 167, 167, 301 },
{ 44, -52, 19, 49, -43, 113, -42, 29, -32, -20, 42, -39, 248, 25, -43, 25, -28, 33, -59, 122, 52, -157, 129, -84, 88, -44, 81, -105, 131, -31, 123, 231, 124, 162, 28, 25, -28, 136, -96, 150, 94, 337 },
{ -19, -67, 147, 18, 52, -52, 131, -77, 39, -48, 126, -18, 65, -42, 41, -40, -22, 18, -50, 155, -108, 119, -145, 56, 135, 72, 40, -42, 131, -70, 149, 152, 268, 123, 144, -14, -57, 134, -76, 99, -57, 338 },
{ -21, -64, 146, 20, 62, -64, -15, 351, -49, -42, 244, -52, 183, -214, 138, -190, -58, 66, -273, 83, -70, 115, -125, 177, 164, 93, 42, -36, -104, 261, 174, -159, 390, 363, -98, 54, -86, 112, 117, -134, 74, 254 },
{ 124, -47, 44, -25, -48, 160, -63, 63, -41, 26, -107, 40, 87, -67, 37, 44, -17, -13, 78, -95, 89, -90, 72, -100, 20, -89, 96, -47, -38, 103, 177, 103, 36, 82, -23, -57, 111, 152, 41, 135, 204, 318 },
{ 39, -33, 35, -24, -61, -6, 238, -34, -8, 24, -36, 113, -44, 62, -73, 51, 18, -76, 93, -79, 75, -121, 116, -63, -38, -56, 51, -80, 27, 189, 108, 216, -126, 155, 82, -22, 112, -34, 126, 39, 234, 377 },
{ -26, 12, 77, 12, -101, 108, -19, 110, -53, 28, 107, -58, 69, -9, 37, -30, -41, 31, -20, -39, 253, -65, -134, 169, -35, -31, 75, -153, 112, -50, 121, 100, 178, 91, 199, 49, 100, 50, -123, 198, 97, 322 },
{ -37, 86, 16, 55, -43, -16, 117, -84, 120, 44, 122, -42, 47, -62, 80, -87, -95, 76, -31, 179, -63, 119, -143, 50, 121, 63, -27, 53, -58, 98, -52, 148, 231, 280, 172, 69, -23, -106, 184, -107, 133, 270 },
{ -25, -56, 104, 22, 46, -50, 76, 116, -76, 123, -52, -39, 157, -189, 120, -134, -46, 70, -80, 154, 86, -67, 224, -160, 284, 44, 50, -259, 61, -66, 152, 95, 134, 619, -35, 81, -61, 143, -85, -115, 251, 208 },
{ -14, -18, 13, 23, -26, 25, 100, -42, -15, -59, -13, 38, 42, 68, -75, 65, 60, -57, 41, -47, 123, -65, 70, -55, -39, -98, -129, 128, -70, 143, 75, 229, -64, 53, 55, -46, 420, 259, 118, 119, 204, 216 },
{ 50, -60, 24, -21, -31, 30, 133, -25, 129, -18, 135, -21, 28, 56, -94, 93, 70, -67, -40, 130, -60, 114, 13, -80, -87, -82, 84, -53, -55, 163, 106, 115, -60, 75, 99, 144, 91, 112, -33, 113, 286, 325 },
{ -19, -23, 11, 21, 71, -56, 149, -55, 40, 118, -68, 113, -47, 82, -52, -27, -44, 56, -30, 22, 164, -146, 47, 120, -109, -18, -72, -94, 44, 51, 79, 121, 140, 67, 97, 382, 72, -77, 151, 46, 149, 229 },
{ -41, -77, 157, 55, -26, 18, 183, -106, 80, 167, -85, 48, 18, -55, 85, -73, -64, 81, 48, -69, 97, 164, -153, -103, 126, 62, -33, -42, 66, 101, -265, 187, 188, 126, 278, 305, 61, -168, 54, 191, 88, 232 },
{ -67, -76, 348, 71, -119, 163, -406, -88, 147, 304, -120, 137, -28, -109, 115, -176, -174, 61, 50, -35, 136, 154, -84, 237, 155, 393, 161, -81, 147, -550, -184, 269, 115, 368, 136, 149, 187, -150, -93, 199, 438, -507 },
{ -30, 168, 58, -16, -24, 112, -75, -463, 17, -14, 32, -60, 84, 10, 175, -16, 326, 11, -77, 141, -77, -48, 92, -20, 25, -38, 18, -32, 42, -83, 133, 148, -20, 525, 63, -63, 361, 44, -65, 79, -104, 158 },
{ 16, -81, 156, -42, 15, 23, 20, 49, -14, 23, -66, 96, -33, 62, -49, 209, 15, -62, 71, -90, 227, -161, 146, -60, 17, -45, -31, 75, -137, 148, 170, 357, -120, 45, -15, -49, 89, 23, 88, -11, 159, 186 },
{ 91, -21, -35, -13, -21, -14, 109, -31, 21, 41, -29, 115, -22, 51, -59, 75, -28, -35, 105, -57, 203, -127, 135, -71, 18, -45, 27, -41, 73, -37, 176, 354, 63, 67, 43, -43, 11, 100, -22, 168, -149, 315 },
{ -33, 27, 64, 10, -49, -47, 81, -86, 11, 58, -46, 81, -59, 96, -37, 69, -9, -61, 139, -75, 205, -141, 146, -46, 39, -40, 40, 47, -92, 87, 100, 373, 91, 42, -16, 55, -26, 45, 32, -102, 149, 187 },
{ -26, -38, 110, 29, 33, -47, 143, -84, 30, 87, -46, 66, -53, 148, -50, 103, -49, -243, 136, -71, 192, -94, 185, -68, -32, 9, -39, 70, -76, 68, 84, 537, -55, 96, -28, 16, -38, 63, 66, -81, 154, 122 },
{ 7, 14, -46, 67, -41, -44, 93, 11, -17, 84, 18, 184, -24, 32, -55, 147, -75, 47, -41, -30, 226, -159, 151, -79, 54, 125, 51, -31, -45, 156, 97, 447, 121, 92, -50, 15, 84, -82, 123, 99, -184, 260 },
{ 49, -71, 116, -31, 29, -27, 37, 24, -17, 38, -25, -185, 90, 31, -56, 142, 18, -47, 53, -71, 204, -134, 94, -30, 26, -65, 132, -11, -37, 126, 76, 375, 158, 119, -84, 23, 93, -49, 88, 137, -159, 274 },
{ 19, 55, -49, 16, -87, 46, -38, 37, -32, 63, 126, -27, 77, 43, -149, 206, -41, 27, -46, 136, -107, 137, 298, -99, 91, -74, 130, 24, -81, 87, 138, 483, 106, -51, -44, -13, 23, 109, -48, 92, 148, 299 },
{ 64, -51, 79, -30, 239, 21, -21, 72, -14, -75, 135, -32, 57, -64, 89, -61, -31, 32, -376, 164, -73, -81, 149, 203, 63, -27, 70, -149, -30, 159, 106, 448, 174, -101, 126, -73, 8, 74, 187, 176, -114, 206 },
{ 67, -97, 96, 10, 39, 89, -54, 23, -49, -30, -29, 143, 55, 105, -49, -30, -51, 56, -27, -26, 171, -97, 116, 203, 120, 241, 203, -31, -65, 203, -40, 301, 238, -79, 134, -82, -45, 34, 88, -77, 79, 262 },
{ 87, -76, 174, -59, 36, -30, -66, 72, -49, 44, -75, 76, 62, 42, 57, -90, 165, -155, 40, 201, -132, 187, -61, 69, 379, 112, 81, -90, 58, -179, 195, 255, 191, 172, -137, 80, -79, 98, -65, 138, 89, 219 },
{ -32, -89, 13, 131, 29, 109, -92, 186, -44, -49, 46, 75, 19, -104, -46, 148, 123, 19, -110, -73, 232, 99, 327, -148, 191, -18, -39, 31, 206, 136, 65, 413, 161, -124, -58, -91, -10, 45, 234, 96, -207, 148 },
{ -75, 111, 158, -213, -29, 49, 182, -78, 168, -102, 24, -319, -43, 230, -183, 209, 36, 165, -82, 67, -97, -185, 232, -36, 130, -104, -30, 95, -95, 154, 67, 308, 284, -133, 613, -58, -27, 270, -41, 56, -124, 225 },
{ -75, 28, 234, 39, -66, -185, -73, 75, -48, 37, 218, -65, 74, -52, 108, -21, -39, -52, 165, -36, 457, -132, 116, 257, 207, 33, 58, 34, -127, 120, 112, 339, 146, 147, -104, 81, 70, -78, 169, -71, 233, -201 },
{ -22, 33, -49, 24, -25, 75, -34, 87, -50, 203, -56, 47, 17, -22, 93, -108, -17, -55, 41, 138, 73, -107, 89, 222, 281, 134, 58, 27, -157, 175, 178, -142, 349, 159, -80, 221, -38, -27, -64, -98, 147, 272 },
{ -96, -159, 185, 169, 36, 205, -47, 101, -105, -81, 154, -234, 197, -114, 186, 154, 170, -404, 97, -169, 304, 84, 163, 121, 204, -130, 27, 256, 89, 178, -112, 295, 214, -171, 190, 159, -137, 228, -132, -45, -109, 85 },
{ -94, 178, 45, 111, -49, -42, 81, -89, -46, 37, -47, -30, 45, 240, -153, 178, 208, -28, 47, -90, 103, -79, 235, 270, 296, -78, 30, 168, 49, -112, 125, 288, 115, 123, -112, 23, 92, -35, 63, -58, 234, -83 },
{ -84, 53, 62, -107, 72, -123, 206, 69, -45, 191, -124, -767, 88, -125, -154, 103, -373, 248, -96, 343, -38, 91, 346, 271, 272, 66, 130, 46, 462, 246, 223, -255, 340, -200, 186, -92, -51, 50, -52, -155, 327, 233 },
{ -51, 58, -70, 99, 159, -158, -1219, 122, -871, -72, 205, 168, 256, 851, -708, -108, -11, -242, 153, -143, -170, 419, -196, 299, 402, 251, 205, -1232, 1269, 122, 27, -185, 151, 379, -206, -90, -97, 83, 641, -156, 319, 372 },
{ 17, -41, 96, -54, 18, -13, 93, 21, -44, 26, -84, 25, 139, 31, -34, 28, -17, -61, 105, -108, 213, -138, 99, -73, 6, -38, 24, 13, -113, 141, 112, 206, -126, 40, 18, -62, 52, 142, -32, 197, 177, 144 },
{ 43, -57, 60, -51, -16, -9, 82, -13, 7, 39, -73, 41, 76, 30, -57, 24, 47, -92, 89, -121, 209, -140, 96, -55, 9, -45, -42, 77, -116, 146, 118, 221, -129, 76, -32, -45, 87, 76, 172, -26, 274, 174 },
{ 8, -56, 122, -34, 22, -9, 63, -22, -12, 12, -77, 75, 25, 27, -42, 112, 12, -57, 91, -84, 185, -168, 144, -62, 13, -40, -11, 34, -115, 87, 111, 360, -159, 46, -11, -39, 34, 160, -19, 116, 162, 183 },
{ 106, -43, 138, -36, 15, -24, 145, -31, -23, -44, 17, -59, 88, -21, 21, 17, -29, 68, -90, 81, -165, 173, -113, 50, 14, -28, -33, -35, 85, -61, 265, 133, 126, -39, 31, -43, 93, 20, 67, 252, -147, 391 },
{ 186, -94, 395, -24, -37, -40, 157, -51, 7, 19, 72, -20, 44, 62, -175, 16, -45, 27, -73, 242, -143, 172, -117, 134, -17, 15, -39, -50, 110, -119, 247, 198, 158, -21, -23, 292, -31, 176, 70, 174, -176, 433 },
{ -6, -24, 145, -90, -16, -37, 121, -36, 11, 25, -51, 33, 70, 56, -71, 35, 15, -55, 134, -111, 104, -161, 84, -83, 40, -70, -100, 143, -80, 110, 129, 191, -103, 94, -20, -70, 120, 134, 158, -67, 321, 271 },
{ -16, -33, 44, -6, -35, 116, -51, 60, -30, 33, -79, 43, 120, 56, -56, 30, -35, 46, 55, -89, 195, -169, 119, -61, 31, -63, 39, -74, 104, -55, 205, 187, 67, 95, -42, -20, 12, 58, 61, 240, -132, 429 },
{ -17, 14, -30, 147, -29, -26, 79, -32, -33, 14, -29, 37, 79, 26, 33, -24, 38, -33, 40, -107, 233, -117, -99, 108, 7, -69, 25, 81, -61, 73, 66, 306, 177, -55, 81, 31, 261, 18, -55, 203, -110, 375 },
{ -13, -64, 154, 13, 36, -41, 123, -83, 29, 23, -43, -17, 123, 55, -77, 33, -23, -340, 74, -47, 218, -198, 87, -67, 425, -34, 41, 39, -95, 178, 46, 416, 97, 179, -15, 32, 187, -45, 172, -110, 117, 283 },
{ -27, -23, 126, 6, -14, -43, 137, -27, -19, 12, -33, 45, -29, 59, -37, 24, 30, -49, 59, -100, 114, -108, -60, 28, -25, -82, -31, 51, -119, 200, 144, 178, 84, -50, 36, -59, 80, 176, 112, 82, 265, 244 },
{ 154, -35, 32, 6, -47, 63, 95, -32, -17, 16, -44, 43, -37, 89, -50, 34, -30, 32, -16, -63, 254, -114, -96, 87, -21, -60, 60, -95, 146, -23, 159, 192, 80, -18, 169, -33, 51, 142, -65, 162, 169, 345 },
{ -18, 205, -20, 17, 34, -69, 165, -31, -20, 21, -29, 101, -14, 81, -55, 38, -14, 13, 28, -49, 233, -191, 105, -89, 141, -46, 53, -75, 69, -80, 164, 204, 135, 244, -27, 29, -42, 149, -77, 220, -107, 504 },
{ -21, 105, -36, 42, 25, -73, 147, -40, -193, 38, -58, 67, 44, 77, -78, 95, 90, -50, 55, -44, 247, -194, 197, -103, 77, 96, -50, 75, -127, 175, 90, 255, 173, 257, 42, -28, -32, 58, 58, -126, 164, 354 },
{ -24, -96, 296, 66, 49, -20, -70, -16, 38, 46, -54, 186, 74, -23, -49, -49, -41, -75, 57, 92, -109, 217, 55, -120, 193, 121, 41, 86, -95, 92, 139, 228, 150, 162, 178, -64, -37, 40, -50, -98, 94, 263 },
{ -25, -16, 22, 13, -42, -7, 168, -55, -17, -27, 32, 52, -37, 95, -45, 29, 40, -52, 33, -85, 117, -148, 49, -54, 24, -69, -48, 140, -113, 124, 167, 132, -52, 144, -27, -54, 104, 132, 151, 38, 310, 315 },
{ -37, -22, 40, 11, -72, 183, -50, 126, -26, 17, -52, 22, 101, 66, -96, 69, 16, -33, 33, -50, 220, -159, 67, -95, -21, -47, 45, -84, 91, -52, 178, 183, -58, 110, 197, -31, -19, 205, -73, 82, 244, 345 },
{ -20, -52, 93, 28, -13, 50, -82, 234, -64, -41, 131, -73, 109, -31, 42, 34, 28, -36, 11, 124, -106, 185, -132, -90, 335, -66, 24, 58, -124, 129, 161, 90, 150, 78, 191, 101, 34, 89, -108, 132, 33, 404 },
{ -8, 133, -52, 36, 64, -50, 209, -73, 40, 33, -59, -28, 131, 77, -83, 15, -14, -54, 107, 26, 138, -176, 74, -118, 166, -35, 87, 30, -130, 88, 47, 166, 166, 345, 100, 123, -31, 97, -158, 84, 37, 364 },
{ 86, -113, 266, -55, 55, 63, 232, -79, 57, -56, -188, 127, -60, 120, -69, -80, -44, 19, -386, 65, 106, -125, 76, -118, 226, 145, 91, -85, 101, -36, 202, 104, 153, 434, 168, -49, 55, 57, -182, 81, 93, 219 },
{ 203, -104, 235, -107, 218, 163, 106, -76, 77, -117, 94, -369, -151, 151, 108, -337, 191, -65, 111, 91, 125, -109, 127, 218, 352, 26, 33, -117, 115, 47, -252, 401, -721, 350, 128, -80, -56, 65, -82, -152, 189, 175 },
{ -20, -25, 29, 30, -39, 54, -37, 71, -23, -29, 21, -38, 66, 50, -83, 51, 100, -64, -40, 45, 124, -101, 58, -47, -12, -74, -115, 47, 45, -60, 189, 233, -38, 73, -28, -23, 474, 245, 89, 174, 191, 259 },
{ 76, -41, 53, -40, -28, 135, 11, -47, 85, -51, 195, -68, 73, 39, -70, 73, 63, -46, -17, 75, -57, 121, -68, 18, -112, -61, 49, -61, -51, 149, 104, 67, 117, -46, 154, 105, 24, 143, -78, 188, 219, 325 },
{ 43, -75, 74, 16, 102, -18, 90, -116, -16, -66, 166, -256, 83, 42, -49, 52, 10, 22, 32, -35, 125, -119, 170, -63, -87, -31, 58, -72, -66, 99, 79, 292, -150, 148, 114, 359, 42, -116, 152, 40, 191, 268 },
{ 67, -138, 261, 18, 78, 22, -28, 168, -43, 83, -74, 31, 35, -87, 79, -38, -24, -332, 141, 18, 78, -93, 107, -187, 95, -63, 103, 57, -167, 67, 176, -236, 242, 229, 348, 231, -54, 99, -189, 207, 246, 220 },
{ 15, -75, 64, -61, 93, -25, 91, -32, 12, 27, -95, 41, 52, 45, -47, 25, 135, -74, 121, -123, 216, -145, 100, -38, -28, -55, -22, 25, -136, 189, 100, 294, -152, 35, 45, -52, 86, 32, 81, 86, 106, 167 },
{ 104, -27, -29, 13, -20, -25, 92, -46, 8, -28, 32, 70, 55, 119, -43, 104, 21, -64, 112, -75, 153, -162, 125, -63, 17, -26, -20, 37, -52, 164, 100, 425, -90, 89, -63, 14, -12, 134, -36, 168, -82, 204 },
{ -20, -39, 158, -14, 26, -62, -31, 30, -29, 18, -39, 41, 125, 135, -32, 31, 24, -43, 61, -93, 172, -157, 135, -73, 32, -29, -50, 66, -93, 84, 86, 454, -116, 220, -68, 76, 278, -39, 140, -55, 225, 155 },
{ 279, -47, 24, -20, 22, -42, -21, -350, 121, -36, 12, 28, 321, 37, -44, 27, 24, -48, 43, -107, 262, -163, 125, -21, 50, -44, 59, 106, -48, 179, 79, 350, 102, -73, 95, -17, 93, 20, -85, 149, -164, 336 },
{ 107, 18, -30, -28, 49, -101, 114, 10, 54, -31, 24, 101, 55, -75, 46, -30, 17, -26, -35, 147, -152, 236, -47, 192, 59, -22, -17, 53, -67, 176, 102, 443, 91, -77, 22, -29, -14, 137, -37, 213, -86, 126 },
{ -25, 23, -50, 19, 10, -51, 133, -37, 7, 106, -53, 66, -17, 18, -66, 160, 207, -63, 126, -73, 296, -172, 171, -64, 45, -70, -6, 37, -24, 168, 56, 460, 102, 111, -27, -15, -22, 26, -50, 234, -151, 228 },
{ -14, 25, -49, 10, -53, 198, -23, -14, 20, 9, 90, -28, 41, 71, -52, 313, 127, -56, 56, -78, 229, -137, 73, -35, 82, -27, 56, 27, -70, 175, 50, 424, 152, -42, 122, -25, 54, 71, -50, 202, -148, 267 },
{ 44, -36, -21, 12, 16, 78, -32, 39, -20, 84, -43, -32, 249, -61, 28, -26, -26, -26, 68, -65, 278, -109, -40, 133, 92, 34, -32, 76, -132, 129, 112, 405, 117, 143, -51, 39, -54, -39, 185, -82, 145, 247 },
{ 92, -34, 7, -70, 45, 93, -31, 41, 24, -24, 131, -16, 60, 35, -100, 140, -35, 18, -54, 116, -168, 104, 144, 170, -39, -25, 76, 17, -31, 237, 100, 480, 148, -42, 23, 49, 17, -34, -26, 193, -93, 86 },
{ 6, 125, -66, 40, -5, -16, -54, 38, 10, -14, 60, 49, 49, 85, -120, 107, 17, -26, 43, -109, 179, -179, 191, 150, -36, 7, -30, 42, -50, 265, 91, 483, 185, 159, -9, 25, 121, -49, 79, -49, -117, 232 },
{ -47, 90, 31, -34, 30, -73, 176, -293, 28, 207, -78, 142, 46, -51, -33, -42, -48, -21, 70, -58, 277, -108, 97, 91, 158, 22, -38, 22, -107, 232, -43, 411, 181, 144, -80, 37, -18, 74, 50, -73, 73, 224 },
{ -42, 31, 250, -57, -55, -237, 227, -59, 69, 75, 18, -46, 179, -76, 32, -66, -40, -79, 77, -60, 151, 59, -145, 103, 234, 64, 55, 109, -108, -24, 51, 234, 317, 167, -61, 110, -31, 21, -86, 118, 75, 326 },
{ -38, 23, 48, -53, 115, -27, 108, 69, -26, -50, -276, 42, -74, 269, -101, 319, 85, -25, 30, 52, -104, 64, 237, -75, -24, -15, 191, -13, 127, 194, 44, 429, 105, 173, -29, 94, 33, -90, -24, 19, -140, 212 },
{ 13, 508, -43, -72, -33, 123, 150, -462, 32, -14, -32, 39, 24, -307, -96, 173, -95, 77, -73, 49, 356, -84, 218, 187, -98, 106, 231, 35, -72, -110, 405, 466, 167, -124, 86, -58, 27, -36, -23, 172, 209, 153 },
{ 15, -28, 23, -37, 114, 131, -55, 41, -48, -54, -56, 46, 65, 38, -117, 77, 62, 74, 29, -49, -79, 176, 160, 284, -37, -29, -28, -30, 161, 265, -41, 329, 202, 200, -34, 66, 28, 20, 28, -33, -160, 164 },
{ -65, 76, 34, 106, 33, -72, 22, 46, 20, -28, 136, 112, -65, 17, -115, 28, 44, -60, 54, 195, 67, -94, 94, 206, 238, -22, 124, -59, -142, 204, -92, 391, 178, 81, -151, 26, -20, 65, 109, 73, 99, 189 },
{ -49, 27, -87, 204, 231, -17, 70, -157, 52, -48, 71, 201, -472, -97, 100, -97, -34, -296, 127, 53, 51, -42, 61, 134, 289, -46, 147, -96, 163, -304, 200, 219, 242, 141, 112, -75, 189, 56, -159, 198, -108, 223 },
{ -196, 50, 133, 235, -68, -340, -32, -107, 183, -86, 245, -55, 127, 84, -118, 173, 46, 182, -58, 113, -123, 255, 283, 159, -74, -732, -48, -113, -54, -156, 141, 388, 78, -39, 205, -72, 27, 182, 248, 91, 418, 111 },
{ 23, -32, 41, 145, -156, 129, -84, 27, -57, 28, 177, -57, 60, 66, -151, 193, -62, 27, 150, -645, 140, 218, 289, 58, 248, -571, 78, -160, 373, -188, 101, 264, 221, -182, -74, -53, 12, 146, 238, 75, 282, 99 },
{ 19, -47, 445, -42, 216, -51, -316, 78, -27, -64, -46, 451, -63, 78, -143, 117, 117, 56, -346, 49, -58, 169, 210, 349, -35, -27, -19, 133, 204, -94, 96, 285, 179, -104, 156, -62, 12, 151, -333, 30, 108, 114 },
{ -58, 332, -405, 22, -87, 68, -387, 25, 579, 218, 131, 86, -28, 186, -233, 97, -119, -74, 34, -123, -652, 186, 200, 305, 262, 147, 118, -42, 140, 148, 180, -288, 464, -85, -84, 27, -19, -209, -52, 83, -156, 357 },
{ 113, -85, 107, -134, 33, -165, 374, -49, 13, -48, -140, -58, 131, -25, 47, -128, 25, -101, 223, 121, -141, 165, -24, 34, -66, -50, -28, 40, -124, 104, 190, 93, -88, -239, 37, -44, 96, 77, 100, 132, 244, 179 },
{ 45, -126, 203, -82, -25, 20, -48, 27, 13, -45, 39, -66, 132, 104, -43, -27, 17, -31, 103, 116, -147, -57, 118, 19, -16, 5, -54, 49, -128, 82, 234, 148, -97, 47, -35, -86, 102, -12, 188, -15, 309, 172 },
{ -26, -34, 237, -19, -24, 42, -94, 18, 13, -41, 142, -64, 134, 96, -65, 17, -32, 51, -66, 219, -179, -73, 171, -35, 66, -191, 9, -88, 116, -91, 314, 154, -43, 148, 24, -34, -6, 122, -26, 317, -109, 276 },
{ 8, -76, 102, -78, 20, -101, -41, 6, 6, -35, -33, 44, 135, 50, -79, 20, 17, -24, 41, -117, 192, -148, 107, -69, 21, -48, -21, 102, -90, 129, 156, 155, -113, 84, -70, -475, 87, 119, 172, -28, 305, 185 },
{ 150, -75, 54, -31, -20, 116, -74, 33, -14, -17, 17, -393, 106, -31, -17, 26, -26, 43, -68, 69, -170, 209, -105, 119, 164, -17, -24, -23, 252, -58, 232, 114, 87, 105, -76, 6, 107, -39, 115, 96, -159, 364 },
{ -35, 76, 92, 17, 17, -104, 108, -85, 42, -19, 315, 14, 20, 107, -145, 65, 19, 38, -30, -67, 321, -242, 155, -74, 22, 18, -66, -49, 126, -87, 131, 302, -32, 165, 10, -28, -35, -20, 98, 55, -147, 382 },
{ 30, -48, 32, -100, 23, -51, 148, -55, 22, -48, -53, 69, 16, 64, -42, -78, -309, 51, 72, -118, 243, -162, 56, -21, 39, -37, -32, 91, -139, 180, 219, 221, -106, 161, -37, -152, 99, 374, 158, -27, 416, 183 },
{ -29, -36, 58, 32, -17, 77, -85, 113, -39, 13, -55, 49, 18, 88, -69, 28, -24, -65, 37, -91, 253, -194, 140, -43, 196, -55, 27, 57, -89, 146, 143, 208, 156, 28, 5, -43, 93, -15, 159, -78, 314, 235 },
{ -28, -34, 154, 33, -17, 79, -53, -24, -23, 12, -29, 91, 64, 63, -63, 33, 7, -51, 51, -98, 228, -215, 226, -63, 120, -20, 20, 68, -68, 171, 65, 313, 46, 144, -46, 396, -31, 95, -38, 91, -124, 387 },
{ -24, -31, 88, -62, 25, 136, -100, 61, 8, 8, -77, -33, 161, -72, 59, -15, 72, -44, 36, 116, -178, 162, -154, 576, 59, 110, -35, 92, -142, 272, 121, 265, 156, 220, -76, 15, 119, -55, 55, -125, 201, 319 },
{ -45, -30, 99, 38, -6, -236, 136, -75, -17, -33, -34, 37, 28, 77, -43, 17, 39, -31, 51, -105, 71, -154, 32, -32, 24, -53, -29, 44, -137, 174, 233, 199, -96, 64, -33, -73, 107, 186, 118, -30, 386, 248 },
{ -59, 90, 52, -22, -29, 82, -67, 76, -19, 30, -68, 45, 64, 109, -60, 30, -50, -14, 66, -110, 295, -196, 39, -72, 14, -120, 120, 46, -110, 192, 130, 203, 60, 91, 93, -70, 44, 9, 88, -116, 328, 358 },
{ -37, 73, 60, 35, 21, -43, 100, -64, -21, -192, -52, 28, 106, 92, -65, 58, 14, -47, 40, 123, -125, 213, -213, 101, 230, -39, -241, 145, -107, 143, 91, 237, 131, 188, -47, 22, 104, -33, 138, -90, 238, 397 },
{ 187, 6, 169, -25, -81, 107, -39, 34, -61, 35, 58, -264, 296, -48, 30, 35, -43, -68, 27, 100, 137, -192, 78, -100, 131, 45, 55, -22, -58, 160, 138, 261, 169, 194, 185, -7, -18, 26, -75, -51, 99, 366 },
{ 107, -61, 206, -47, 23, 67, 190, -38, 42, -71, -33, 53, -45, 65, -83, -22, 142, -100, 80, -23, 127, -162, -106, -25, 295, 101, 118, -30, -72, 169, 159, 218, 154, 230, -82, 9, 5, -35, 27, -96, 169, 334 },
{ -46, 13, 24, 24, -26, -27, 59, -77, 10, -28, -12, 42, 100, 118, -51, -159, 45, -46, 27, -98, 188, -141, 23, -20, 32, -49, -47, 113, -64, 141, 202, 116, -58, 112, -42, -26, 64, 108, 128, 120, 299, 321 },
{ -26, -34, 118, 46, 69, -41, -23, -42, -31, -79, 101, 22, 127, 114, -53, 48, 31, -34, 23, -76, 241, -126, -51, -78, 20, -49, 34, -39, -60, 165, 98, 188, 78, 68, 134, -27, 70, 91, -68, 162, 218, 433 },
{ -18, -38, 88, -23, -23, 31, -56, 192, -78, 65, -78, 56, 140, 58, -61, 69, 48, -36, 75, -50, 179, -133, 99, -148, 143, -55, 62, 62, -126, 171, 70, 150, 132, 73, 195, 135, 8, 26, -120, 207, 89, 375 },
{ -12, 262, -48, 46, -68, 100, 102, -54, -89, -74, 43, -453, 178, -38, 103, -79, -25, -161, -22, 88, 160, -88, -107, -85, 260, 39, 49, 46, -143, 148, 51, 178, 154, 459, 68, 132, 27, -75, 181, -147, 163, 246 },
{ 109, -94, 339, -96, 80, 62, 145, -99, 61, -180, 105, -137, 128, -114, 168, -166, -52, 19, -426, 54, 17, -48, -124, -53, 262, 222, 68, 66, -77, 81, 241, -84, 354, 379, 123, -62, 55, -40, -99, -79, 160, 308 },
{ -9, -26, 8, 30, -14, 31, 110, -54, -40, -32, -18, 46, 31, 36, 58, -44, 82, -33, -17, -273, 194, -75, -78, 17, 20, -68, -61, -20, 90, -261, 153, 182, 77, -114, -32, -18, 395, 192, 189, 76, 272, 309 },
{ -2, -64, 162, 17, 99, 77, 69, -33, -77, -51, -24, 74, 54, 31, -42, 91, -38, 88, -36, 72, -60, 146, -71, -44, -54, -22, 106, -110, -24, 17, 176, 137, 299, 75, -30, 130, 102, -90, 137, 42, 213, 412 },
{ 75, -113, 26, 113, 185, 47, -74, 119, -493, -64, 94, -47, 77, 65, -85, 72, -48, 130, 28, -35, 179, -118, 41, -81, -75, 55, -79, 95, -105, 66, 122, 88, 159, 91, 137, 395, 39, -120, 157, 57, 154, 377 },
{ 23, 136, -177, 288, -44, 339, -436, 186, -83, 64, -66, -383, 91, -79, 78, -114, -118, -396, -77, 146, 60, 60, -267, 164, -61, 85, -155, 115, 31, -49, 174, -111, 352, 156, 454, 114, 57, -186, 196, -102, 376, 368 },
{ 72, -389, 726, -69, 61, 120, 94, -1046, 76, -208, 331, 48, -213, 122, 93, -71, -284, 201, -665, 246, -399, -87, 227, -247, 271, -47, 202, -446, -406, 202, -514, 154, 249, 251, 528, -104, 353, 247, -255, 709, -149, 667 },
{ 145, -77, 97, -214, 19, 15, -40, -41, 41, -44, -402, -42, 119, 429, -35, -14, -41, 50, -22, 76, -178, -57, 227, -14, 22, -285, 18, -286, -89, 270, 191, 172, -145, 46, -8, -47, 125, 56, -36, 192, 201, 116 },
{ 60, -51, 153, -190, -243, -29, -29, -30, 22, 27, -52, 69, 195, 64, -53, 44, 65, -65, 67, -78, -67, -108, 88, 136, 10, -42, -45, 42, -125, 236, 172, 257, -120, 18, 5, -38, 71, 83, 106, 64, 213, 119 },
{ -30, 23, 182, -55, -24, 10, -60, 39, 81, -10, 27, -65, 99, -66, 79, 21, 71, 11, -67, 270, -177, 126, -106, 269, -15, 12, -12, -47, 278, -98, 239, 208, 142, -58, 22, -39, -20, 28, -49, 106, -195, 285 },
{ -12, 46, 253, -35, 11, -63, -13, -19, 56, -46, -18, 64, 119, 43, -21, 23, 18, -25, 50, -111, 217, -186, 100, -78, 37, 78, -53, 51, -72, 230, 95, 328, 113, 70, -15, -11, -26, 99, -48, 244, -118, 203 },
{ -49, 33, 38, 11, -17, -65, 117, -72, 10, 106, -55, 59, 112, 71, -48, 60, 28, -52, 92, -143, 232, -186, 197, -99, 48, -37, 72, 34, -72, 110, 58, 354, 143, 62, -72, 119, -12, 281, -62, 584, -134, 272 },
{ 254, 214, -95, 19, -68, 30, -42, -27, 4, -12, -14, -35, 99, 95, 139, -39, 13, 39, 77, -32, -96, -174, 132, -35, 102, 41, -87, 55, -96, 328, 86, 485, -38, 187, -93, 26, -51, 21, 235, 172, -86, 153 },
{ 327, -36, 29, -48, 14, -20, -77, 48, -11, 31, -52, 101, 111, -25, -103, 86, 81, -79, 47, 173, -215, 323, -105, 83, -30, -19, -34, 50, -94, 261, 97, 327, 192, -44, 78, 20, -23, 173, -77, 199, -148, 283 },
{ -18, -17, 124, 33, 27, -29, -39, -41, -21, 477, -37, 271, 93, 59, -43, 73, -238, 18, -97, 348, -142, -123, -76, 110, -56, 9, -68, 74, -87, 301, 112, 439, 105, 178, -39, 28, 219, -18, 27, -95, 124, 175 },
{ 32, -18, -51, -32, -33, 280, 11, -74, 70, 116, -23, -87, 84, 227, -75, 31, -49, 86, 55, 110, -176, 129, 118, 894, -23, -23, -33, 106, -56, -116, 154, 407, 53, -133, 84, -88, 28, -19, 117, 15, 325, 104 },
{ -23, 48, 85, -89, -38, 113, -27, 42, -330, 238, 382, 357, 56, 119, -76, 171, -100, 58, -126, 127, -147, 137, 79, 125, -25, -137, 75, 56, -43, 64, 126, 431, 115, 194, -69, 13, -22, 14, -60, 97, -165, 157 },
{ -24, -36, 86, -89, 41, 121, -67, 483, 28, 27, -52, -25, 81, -135, -91, 109, -294, 104, -39, 115, -209, 266, 147, 299, -52, -63, 208, -67, 214, -123, 143, 328, 217, -46, 222, -55, 29, -29, 52, -93, 181, 180 },
{ -20, 123, -47, 17, 123, -302, 119, 9, -47, 35, -105, 53, 130, 26, -37, -18, -34, -69, 75, -64, 246, -184, 150, -69, 219, 125, -50, 81, -126, 293, -35, 425, 199, 164, 30, -43, 72, -583, 181, -89, 182, 167 },
{ 28, 111, -71, -49, -45, 49, -33, 90, -37, 248, -50, 44, -509, -44, -84, 245, -80, 63, 82, 48, 282, -17, 261, 139, -72, 21, -44, 20, 160, -139, 158, 403, 153, 53, 29, -36, -30, 193, -56, 17, -125, 234 },
{ 4, 37, -49, 101, -39, 167, -26, 46, 9, 91, -21, -42, 34, 37, -66, 64, -515, 47, 15, -60, 237, -78, 132, 317, -37, 123, -46, 73, 143, -147, 175, 425, 226, -47, 106, -76, 8, 334, 22, -72, 182, 171 },
{ 87, -84, 217, -36, 22, 143, -289, 40, -23, -44, 214, -82, 52, -34, -86, 114, -410, -78, 85, 228, 180, -117, 155, 196, 221, 112, 47, -19, -51, -52, 235, 303, 261, 114, -77, -296, -261, -16, -23, 255, -114, 278 },
{ -17, -61, 266, -59, 98, -45, 109, -69, 91, -145, 140, -93, 112, 47, -94, -20, 187, -136, 132, -106, 111, -62, 97, -37, 211, -25, 37, 123, -42, 121, 221, 206, 225, 243, 150, -67, 35, -74, 135, -153, -103, 365 },
{ 47, -56, -66, 41, -18, 57, 29, -106, 118, 41, -744, -66, 182, 210, -58, 261, -67, 15, 212, 230, -257, 127, 253, 85, -87, 73, 184, -121, -182, 279, 362, 315, 125, -59, 67, -68, -420, -38, 1011, 132, 141, -148 },
{ -74, 69, -400, 446, 179, -71, -478, 252, -8, -95, 30, 44, -126, 88, -87, 92, 219, 132, -46, 86, 186, -146, 207, 121, -52, -97, 24, -23, 179, -258, 352, 416, 94, -59, 49, -29, -520, 156, 145, -59, 119, 174 },
{ 73, -59, 345, -127, -44, 33, -55, -61, 207, -121, 180, 108, -194, -137, -135, -27, 42, -48, 88, -272, 163, 147, 224, 350, 131, 180, -39, 132, 330, -81, -58, 424, 281, -31, -69, -71, -46, 67, -64, -74, 302, 167 },
{ 155, -118, 123, -37, -260, 23, -56, 28, -246, -376, -19, 40, 259, -41, 48, -60, 19, -47, 179, -102, 961, -101, 15, -74, 32, -20, -391, 19, 50, 237, 125, 66, 167, 96, -21, -575, -15, 251, -29, 132, -136, 262 },
{ -11, 21, -25, 15, 52, -40, 139, -65, 7, -48, -49, 73, 103, 46, 13, -65, 9, -23, 64, -132, 241, -162, 51, -11, 32, -155, -47, 31, -93, 155, 80, 174, -110, 90, -703, -41, 93, -20, 217, -19, 289, 289 },
{ -19, -24, 59, -15, 528, -36, -76, 68, 8, -50, 12, 151, 112, -41, 91, -51, 34, -34, 39, -55, -109, -46, -70, 210, -5, 36, -41, 27, -37, 239, 117, 158, 136, -20, -120, -380, 22, -33, 146, 90, -175, 275 },
{ -28, -6, 68, -34, 6, -20, -73, -23, 20, -63, 115, 25, 116, 13, 90, -45, 18, -16, 41, -69, -114, -73, 186, -323, 38, -34, -25, 48, -116, 127, 178, 119, -88, 231, -65, -14, 142, 385, 150, -24, 287, 205 },
{ -33, -9, 90, -151, -8, -172, -99, -11, 5, -15, -14, 11, 149, 61, 16, -33, 19, -28, 144, -24, -158, -56, -42, 92, 73, -20, -41, 36, -80, 233, 177, 192, 150, -19, 88, -72, 6, 142, -16, 252, -99, 274 },
{ -14, -20, 62, -35, -40, 30, -108, 85, 9, -29, 22, -31, 102, 46, -61, 60, 92, 43, -75, 237, -107, -93, 158, -81, 148, -21, 91, -72, 224, -128, 207, 178, 793, 64, -298, -24, 8, -43, 32, 259, -152, 331 },
{ -26, -15, 88, -39, 28, -44, -71, -156, 9, -32, -47, 48, 77, 48, -36, -28, 9, 20, 137, -52, -101, -80, 111, -6, 30, -50, -27, 32, -110, 92, 215, 107, -49, 139, -32, -79, 87, 168, 144, -47, 345, 269 },
{ -30, -23, 75, -14, -25, 28, -124, 154, -52, -51, 14, -51, 177, -17, 35, 18, 22, 310, -35, 76, -223, 212, -118, 145, -33, -44, 22, -49, 92, -162, 275, 79, 128, -10, 109, -57, -20, 196, -27, 134, -171, 444 },
{ -21, 19, -13, 28, 32, -47, 76, -52, -32, 11, -57, 40, 20, 101, -57, 42, -20, -31, 75, -74, 272, -213, 65, -82, 74, -13, -23, 51, -101, 156, 209, 299, 133, 33, 129, -21, -23, 47, -45, 231, -124, 375 },
{ -11, -70, 260, -84, 40, 120, -23, -220, -22, 40, -133, 37, 167, 119, -112, 47, 121, -64, 92, 138, -74, -190, 230, -103, 58, -40, -45, 98, -159, 134, 95, 346, 273, 238, 85, -80, -24, 61, 30, -101, 127, 304 },
{ -29, -34, 102, -30, 25, 46, -108, 47, -13, -71, 85, -33, 153, -50, 50, -13, 19, 24, -16, 123, -171, 93, -53, -24, 41, -415, -42, 50, -136, 177, 243, 193, -39, 52, -39, -60, 65, 161, 178, -38, 403, 292 },
{ -39, -18, 102, -24, 19, -32, -95, 132, -29, 94, -70, -42, 151, -305, 57, 58, -154, -40, 44, 215, -156, 165, -155, 58, -60, -74, 54, 45, -132, 155, 130, 139, 188, -54, 53, -15, 5, 155, -77, 234, 239, 339 },
{ -8, 59, 23, -60, -52, 108, -22, -15, -41, 30, -19, -64, 148, 86, -54, 72, 116, -71, 21, 149, 167, -192, -37, -57, -22, 48, -75, 105, -145, 166, 188, 308, 46, 195, 111, 24, 8, -26, 134, -121, 114, 367 },
{ 93, -32, 105, 15, -95, 111, -84, -232, -169, 139, -29, -36, 118, 96, -84, 47, -21, -61, 64, 142, 163, -206, 133, -100, 185, 128, -42, 91, -169, 61, 159, 279, 117, 448, -51, 25, -57, 30, -27, -56, 126, 358 },
{ 103, 10, -32, -63, 93, 263, 145, 16, -51, -107, 69, 59, -31, 140, 55, -65, -34, 51, -73, 49, 49, -137, -40, -62, 98, 86, 85, 84, -146, 102, 147, 262, 226, 217, -87, 17, -35, 25, -38, -111, 159, 369 },
{ -24, -252, 151, 27, -17, 112, -75, 53, -61, -32, 28, -18, 151, -44, 57, -34, -26, 70, -50, 27, -138, 52, -54, -15, 43, -48, 81, -40, -77, 27, 251, 185, -52, 48, -31, -43, 126, 145, -28, 156, 370, 322 },
{ -12, -31, 121, 44, -41, 122, -12, -30, -69, 47, -67, 20, 55, -16, 134, -46, -37, -33, 66, -78, 201, -72, -141, 93, 44, -48, 347, 56, -147, 80, 73, 156, 63, -30, 121, 29, 106, 353, -31, -105, 276, 380 },
{ 30, -36, 45, -27, -46, 217, -31, 123, -60, 47, -288, -47, 73, 83, -86, 70, -28, 188, -55, -88, 298, -145, -42, -51, -37, -65, 64, 36, -109, 221, 121, 193, 91, 64, 218, 165, 12, 106, -93, 88, 126, 493 },
{ 16, -40, 197, -65, -48, 91, 90, -56, -20, -42, 42, 53, -103, 87, 126, -143, -98, 48, -63, 107, 153, -112, -72, -106, 131, -41, 86, -84, -108, 120, 105, 168, 153, 470, 102, -54, 38, 107, -85, 156, 201, 378 },
{ 13, -57, 188, -80, 97, 148, 50, -43, 27, -129, 134, -111, 225, 52, 51, -98, -61, 35, -103, 72, 63, -149, -36, -101, 185, 65, 31, 93, -82, 39, 153, 190, 190, 374, 83, -70, 35, -48, -39, -136, 146, 331 },
{ -23, -263, 29, 92, 55, -186, 88, -45, -45, -52, -25, 46, 45, 46, 38, -14, 82, -94, 59, -40, 153, -79, -67, 53, -27, -32, -69, 45, -103, 52, 155, 84, 86, -45, -24, 16, 222, -28, 254, 93, 300, 409 },
{ -26, 44, -53, 74, 35, 260, -85, 97, -83, -33, -71, 45, 25, 22, 70, 52, 55, -451, 104, 49, -62, 99, -150, 114, -56, -74, -16, 98, -143, 201, 159, -86, 163, 94, 18, 203, 45, -57, 129, -53, 277, 399 },
{ 6, 77, -105, 36, 32, -37, 251, -78, -60, 56, -41, -255, 74, 57, -126, 116, -147, 108, -382, 112, 33, -123, 38, -193, 81, -90, 105, -87, -48, 125, 94, -95, 259, 97, 146, 460, 11, -107, 88, 126, 159, 328 },
{ -327, 37, 271, -80, -158, 473, 63, -66, -29, 340, -17, -113, -114, 84, -261, 43, -172, -97, 73, 203, -511, -77, 27, -236, 161, -215, 118, 129, -86, 106, 246, -106, 186, 238, 499, 61, -234, 147, -199, 350, 349, 283 },
{ -5, -47, 257, -44, 36, -24, -42, -13, 17, -75, -281, 34, 113, 34, -7, -269, -75, 28, 112, -25, -143, -36, 172, -22, 15, 16, -46, 338, -55, 300, 177, 138, -41, 97, -92, -456, -14, 210, -53, 118, -144, 211 },
{ -22, -43, 86, -40, -12, 26, -114, 556, 24, 64, -40, -41, 154, -49, -23, 167, 18, -62, 34, 179, -181, 163, -64, -13, 32, -53, 17, -30, 205, -98, 239, 146, 202, 68, -32, -7, -25, 64, -72, 124, -194, 281 },
{ 63, -12, 31, -25, 512, -71, -55, -7, 175, 61, -73, 51, 75, 26, -41, 7, 26, -63, 98, -111, -63, -125, 230, -220, 21, -54, 25, -27, -55, 286, 112, 245, -94, 308, -235, -66, 87, 27, -60, 82, -103, 259 },
{ -16, 19, 279, -51, -20, -30, -60, -29, 51, 15, -26, -25, 123, 97, -36, -24, 348, -96, 54, -26, -140, -87, 225, -39, 42, -42, 11, 105, -50, 224, 164, 362, -113, 699, -173, -34, 216, 50, -88, 108, -124, 236 },
{ -15, -53, 52, -17, 12, 597, -86, 26, 104, 80, -50, -29, 128, -33, -16, 6, -10, 57, -58, 78, -203, 272, -84, 165, -26, -42, 37, -41, 128, -162, 237, 207, 126, -36, 36, -35, 8, 99, -87, 133, -231, 346 },
{ 86, -35, 58, -28, 280, -53, -69, 69, 15, -49, 78, -17, 148, -45, 35, 253, 66, 36, -78, 224, -157, 157, -126, 8, 100, 37, -58, 21, 365, -88, 171, 254, 142, -45, 294, -40, -13, 37, -34, 131, -255, 360 },
{ -20, 17, 60, -22, -41, 27, -84, -63, 39, 23, 337, -26, 122, 160, -44, 53, -11, 82, -57, 154, -137, -85, 124, -98, 39, 319, -38, 11, 238, -91, 258, 347, 182, 465, -40, -42, -31, 52, -63, 85, -183, 218 },
{ 204, -54, 20, -41, -42, 64, -71, 50, 92, 55, -50, 90, 60, 60, -46, 42, -24, 114, -76, 46, -88, -152, 126, -83, 50, -53, 25, -39, 287, -117, 198, 348, 155, 169, -39, 99, -31, 56, -71, 100, -190, 304 },
{ -28, -48, 58, -16, 82, 171, -66, -44, 5, 34, -48, 262, 78, 62, -25, 138, -22, 13, -48, 40, -100, -150, 93, -100, 30, -463, -51, 26, 213, -105, 180, 338, 136, 249, -52, 28, 71, 23, -22, 173, -179, 350 },
{ -14, 36, -51, 51, -46, 215, 112, -60, -58, 45, -54, -59, 635, 136, -56, 42, 27, -106, 108, 152, -80, -209, 144, -119, 192, -123, -49, 102, -122, 294, 101, 384, 152, 279, -32, 7, -28, 113, 21, -48, -88, 264 },
{ 20, 196, -85, -24, -40, 57, -56, 71, -45, -54, 63, 106, 24, -66, 546, -18, 49, -69, -51, -27, 324, -121, 218, -72, 74, -81, 169, 46, 249, -115, 118, 506, -48, 64, 32, -59, 12, 37, -71, 33, -112, 218 },
{ 309, -55, 28, -16, -8, 223, -31, -120, 10, 246, -195, 100, 69, 29, 161, -32, -560, 14, 139, -330, -118, -141, 137, -60, 32, -33, 111, -117, 243, 192, 249, 480, 104, 134, -65, 13, 33, 79, -70, 121, -156, 218 },
{ 119, -75, 232, -36, -20, 87, -55, 34, -53, 28, -63, 111, -49, 67, -7, -35, 163, -80, 57, -34, 363, -213, 284, 255, -28, -77, 507, -688, 377, -92, 272, 455, 181, -81, 33, -74, 19, 209, -297, 106, -116, 306 },
{ -20, -8, -36, 24, 385, 35, -44, -22, -52, 22, -40, -21, 82, 42, -35, 46, 38, -64, 82, -56, 170, -246, 128, -77, 191, 117, -57, 128, -132, 330, 42, 417, 213, 300, -36, -66, -52, 93, 86, -121, 201, 235 },
{ 35, 11, -35, -62, -78, 93, -27, -33, 23, 240, -21, 152, 23, 256, -71, 86, -57, -19, -111, 54, -133, 255, 384, 47, -72, -19, 33, 142, 62, -134, 117, 453, 262, 132, 48, -385, 40, 13, -64, 26, -140, 159 },
{ 24, -99, 51, -35, 231, 217, -36, 45, 18, -27, -89, 43, -55, 84, -141, 275, 13, 26, -42, 44, -81, 190, 152, 231, -47, -73, 183, 79, 233, -195, 94, 474, 61, -54, 47, -43, 119, 26, -62, -70, 134, 121 },
{ 454, -124, 112, -56, 182, -91, 26, -28, 38, 41, 242, 42, 142, -139, 29, -40, -25, -27, -483, 176, 145, -87, 93, 167, 173, 6, -344, 42, 95, -160, 158, 337, 317, -113, 164, -44, 22, 81, -83, 113, -54, 364 },
{ -22, 153, 505, -50, -91, 133, 165, -50, 83, 41, 450, 27, -109, 114, 65, -95, -51, 31, -89, 116, -29, -72, 142, 270, 252, -513, -12, 220, -71, 157, -102, 259, 333, 115, -81, 141, 14, -65, 62, -126, -89, 296 },
{ 93, 20, -14, -107, 25, -62, 172, 43, -32, -90, 44, 124, -87, 40, 265, 207, -15, 132, -76, 75, -152, -92, 249, 179, -28, -74, -686, -32, 231, 466, 322, 368, 113, -61, 91, -33, 97, 49, -33, 39, -223, 204 },
{ -97, 261, -15, 157, 37, -48, -49, -114, 91, 191, -63, 52, 119, -51, -41, 208, -39, 51, -126, 263, 406, -84, 152, 465, -24, 126, -80, 59, 76, -225, -40, 377, 181, -71, 103, -67, 21, -61, 59, -38, 173, 230 },
{ 47, 584, -129, -57, -75, 242, 131, -162, 123, 118, -93, 151, 45, -643, -472, -94, 33, -133, 73, 37, 977, -285, 246, 276, 188, 75, -48, 147, -76, 157, 116, 172, 228, 28, 43, -27, -64, -29, -53, -108, 533, 128 },
{ -25, 10, 238, 15, -4, 66, -72, -32, -9, -197, 15, -40, 102, -25, 39, -91, 31, 16, -47, 94, -120, 145, -20, 219, 30, 12, -17, -42, 249, -32, 136, 176, 447, 50, -40, 21, -18, 258, -69, 103, -145, 179 },
{ -44, 12, 50, 27, 162, -54, -70, -42, 67, -21, -75, 215, 95, 31, 51, -36, -27, -24, 39, -24, -108, -47, 46, 17, -28, -35, 42, -15, -34, 215, 117, 99, -29, 13, 109, 5, 112, 196, -85, 96, -121, 169 },
{ -87, 130, 54, -31, 477, 18, -78, -38, 56, -32, 23, -52, 100, 89, -49, -20, 62, 37, -107, 68, -139, 186, -31, -15, 472, 16, -81, -42, 112, -90, 153, 87, 160, -22, 9, -18, 342, 313, -61, 111, -176, 237 },
{ -18, 99, 54, -36, 9, -33, -99, 110, 28, -44, -28, 495, 97, 119, 68, -26, -12, 34, -32, 83, -104, -20, -30, 27, -18, -32, 12, -29, 204, -50, 150, 550, 120, -58, 136, -33, 380, 240, -70, 118, -155, 249 },
{ -26, -33, 70, 7, 22, 202, -97, -48, 574, -5, -24, -35, 106, 32, -44, -11, -29, 15, -37, 85, -154, -22, 128, -24, 91, 22, -47, 67, 202, -125, 175, 389, -42, 29, -48, 206, -13, 202, -59, 88, -138, 291 },
{ 103, -26, 44, -19, -71, 50, -69, -51, 20, -10, -32, -29, 82, 14, 718, -75, -54, 92, -79, 126, -172, 618, -62, 251, -13, -10, 50, -73, 87, -150, 152, 76, 130, -58, 34, 88, -41, 32, -85, 146, -183, 298 },
{ -30, -50, 68, 170, 134, 72, -79, -15, 4, -128, -59, 130, 87, 39, -75, 64, 9, -71, 30, 106, -114, -36, 41, -30, 8, 80, -43, 58, -80, -37, 165, 297, -67, 46, -23, -4, 179, -29, 254, -74, 397, 196 },
{ -16, -66, 74, 536, 14, 190, -96, -18, -13, 181, -59, -17, 89, 38, -9, 9, -13, -105, 250, 67, -115, -74, 25, -35, 197, 29, -25, 41, -51, -94, 130, 107, -37, 66, 180, -9, 29, 14, -75, 89, -161, 358 },
{ 139, -296, 158, 27, -14, 200, -45, -93, -14, 310, -12, -60, 69, 162, 34, -25, -55, -80, 163, 92, -88, -123, 42, -48, 168, 39, -16, 41, -7, -142, 115, 197, -50, 333, -20, 139, 57, -24, -44, 63, -128, 349 },
{ 72, 16, -25, -810, -39, -25, 590, 251, -124, 56, -25, -52, 82, 203, 40, 43, -52, -48, 68, 66, -73, -107, -70, -68, 50, 36, 233, -153, 54, -190, 196, 190, 164, 538, -88, 60, -34, -60, -9, 36, -90, 345 },
{ -29, 34, 73, -34, 8, 233, -75, 117, -33, 308, -82, 46, 162, 54, -73, 30, -44, 10, 63, -21, -21, -80, 40, -42, 15, 19, -481, 40, -76, -62, 182, 102, -48, 51, -42, 24, 541, -39, 210, -65, 397, 286 },
{ 42, 14, 33, 23, -15, 78, -24, -42, -41, 21, -54, 113, 64, 100, -37, 181, -47, -57, 25, 94, -29, -112, -25, 12, -28, -317, 47, 178, -43, -118, 138, 113, -30, 113, 99, 624, 179, -47, -102, 86, -53, 473 },
{ 294, -19, 203, 26, -477, 35, -57, 134, -104, 264, -980, -270, 23, 126, -37, 69, -56, -35, 123, 79, 200, -138, -102, -53, -460, 21, -41, 77, -93, -112, 108, 185, 436, 180, -59, 271, 70, -47, 90, -55, 184, 311 },
{ 17, 137, -78, 48, -65, 56, 175, -28, -110, 255, -46, -41, 119, 45, -62, 89, 14, -57, 120, 61, 279, -143, -85, -103, 97, 38, -50, 72, -102, -50, 291, 233, 149, 248, -59, 199, -30, -173, -34, 17, -53, 358 },
{ -44, 101, -33, 169, 571, -41, 38, 43, -100, -69, -38, 162, -122, 85, -139, 39, 401, -72, -89, 119, 441, -69, -785, -109, 68, 198, -21, 103, -109, 51, 92, 132, 383, 168, -800, 33, 41, 163, -94, -113, 169, 198 },
{ -9, -19, 169, 10, 105, -294, -25, 110, -60, -10, -95, 201, 53, -52, 25, 19, -15, 36, 26, -55, 100, -60, -34, 298, -32, -55, 92, 19, -107, 333, 121, 61, -63, 59, -36, 21, -12, 158, 120, -61, 513, 359 },
{ -10, 239, -27, 33, 197, -33, -66, 13, -55, -118, -38, 145, 23, -62, 69, 24, -53, 213, -20, 21, 64, -112, -127, 81, -33, 24, -614, 92, -108, -84, 101, 107, 111, -31, 200, 90, 33, -45, 463, -100, 155, 479 },
{ 91, -94, 59, -47, 6, 84, -37, 131, -62, 205, -142, -46, 53, 24, 29, 41, 31, 109, 174, 35, -40, -86, -88, -71, 30, 42, -29, 96, -168, 39, -142, 174, -29, 287, -103, 218, -18, -29, 14, 141, -76, 510 },
{ 141, -16, -64, -73, -102, 160, 144, 6, -59, 80, 106, -78, 442, 27, 34, 47, -47, -87, -464, 122, -91, -124, -99, -104, 90, 59, 68, 79, -92, 187, 283, 101, 158, 639, 44, -25, -52, 15, -25, -34, 281, 379 },
{ 205, -259, 320, -485, -31, 516, -116, 75, -44, 82, -52, 45, -73, 37, 98, 19, -67, -52, 79, -57, 82, -179, 76, -135, 201, -45, 72, -15, -33, -126, -11, 260, 223, 292, 32, -39, 16, 54, -82, 43, 356, 269 },
{ -248, -17, 68, 18, 88, 18, -27, 140, -80, -25, -131, 14, 13, 53, 42, -20, 58, -79, 71, -23, 264, -82, -88, -49, 56, -127, -33, 35, -100, 46, 75, 113, -50, 57, -38, -176, 257, -47, 195, 99, 344, 300 },
{ 3, -42, -293, 35, 252, 66, -35, -63, 57, -21, -539, -27, 64, 238, 36, -58, -13, 99, 35, 66, -99, -100, -61, -64, 58, 34, -32, -34, -45, -161, 90, 134, 61, -133, 179, -63, -233, 55, -53, 118, 149, 486 },
{ 50, -43, -140, 117, -29, 95, 49, -45, -77, -31, -65, -55, 94, 180, -123, 84, -28, 60, 58, 36, -46, -58, -43, -118, 67, -56, 97, -100, 53, -104, 526, 163, 176, -117, 366, -102, 53, -184, -36, 204, 171, 464 },
{ 48, 60, -352, 270, -101, 108, -1002, 370, -148, 118, 115, -138, 102, -189, 227, -371, -84, 268, -155, 111, 57, -68, -197, -103, 117, -14, 87, 65, -151, 74, 286, -108, 332, 201, 545, -121, 107, -54, -90, 305, -193, 466 },
{ -21, 35, 260, -46, 128, -79, -68, 10, 75, -15, -53, 28, 76, 35, -22, -10, 76, -62, 38, -56, -72, -67, 46, -19, 195, 25, -22, 18, -25, 154, 120, 379, -27, 113, 20, -40, -28, 47, -74, 93, -105, 112 },
{ -73, -48, 70, -43, -20, 54, -113, 25, 315, 149, 25, -90, 147, -64, -10, 8, 195, -51, -47, 59, -134, 53, -12, -63, 180, 44, -61, 235, 41, -137, 178, 343, -18, 303, -34, -15, -24, 57, -87, 90, -138, 258 },
{ -17, 172, 81, -28, -59, 131, -90, -19, 36, 196, 16, -75, 74, 65, -44, 60, 450, -27, -58, 53, -101, -67, 205, -17, 476, -39, 141, -24, 64, -135, 154, 239, -46, 28, -16, -35, -12, 56, -82, 101, -142, 204 },
{ -37, -12, 63, 445, -31, 45, -94, -39, 15, 27, 99, -31, 70, 39, -45, -12, -31, 154, -72, 73, -104, -48, 65, 92, -11, 25, 65, -49, 82, -196, 191, 156, 186, -30, 37, -33, 258, 195, -87, 107, -149, 253 },
{ -246, -48, 86, -793, -39, 370, -111, 66, 7, 18, -32, -20, 105, 26, 506, -24, -51, 33, -81, 73, -166, -17, -50, 296, -36, 12, 87, -79, 112, -207, 217, 185, 214, -32, 34, -18, 61, 332, -99, 130, -175, 282 },
{ -8, 57, -37, 48, -47, 336, -83, -43, 22, -696, 19, -80, 71, 62, -37, -40, -71, 68, -70, 89, -114, -90, 267, 54, -6, 553, 157, -56, 90, -186, 180, 405, -59, 100, -44, -29, -55, 40, -71, 127, -133, 213 },
{ -17, 85, 48, 252, -76, 86, -151, -22, 9, 36, -25, -49, 117, 79, -80, -159, 393, 27, -76, 73, -126, -137, 118, -62, 38, 30, -26, -70, 377, -136, 214, 234, 199, 419, -35, -76, -36, 441, -43, 106, -157, 227 },
{ -29, 52, 297, 35, -128, 390, -89, -39, -33, 43, -12, -33, 90, 71, -14, 53, -32, -50, 342, 51, -73, -160, 97, -35, 177, 15, 114, -193, 39, -172, 207, 217, 280, 981, -55, -22, -18, 30, -70, 92, -174, 288 },
{ 12, 23, -56, 21, -96, 165, -21, -34, -35, 35, 24, -48, 87, 302, 50, 23, 94, -67, 171, 41, -47, -102, -58, -47, 174, 16, -48, 95, -37, -107, 183, 288, 237, 140, -56, -8, 39, -56, -25, 141, -93, 291 },
{ -36, 66, -115, 108, -57, 160, -79, -92, 33, -124, 40, -52, 89, 75, -70, 293, 43, -40, -47, 243, -142, -98, 183, -79, 22, 138, 30, -68, 104, -103, 166, 386, 613, 48, -32, 397, -62, 642, -39, 93, -180, 188 },
{ 14, 26, -93, 49, -81, 2199, -94, -49, 34, -76, -104, 77, -164, 118, -85, 175, 36, 173, -38, 1806, -63, -146, 169, -81, 42, 74, -74, -110, 73, -145, 138, 382, 311, 24, -48, -30, 372, 53, -38, 129, -166, 230 },
{ 18, 711, -88, -25, -72, 462, -84, 183, -47, 37, -120, 650, -678, 30, 38, -27, 35, -64, 29, 232, 121, -196, 58, 357, -57, 43, -23, 27, -52, -118, 75, 380, 170, -49, 50, -93, -15, 44, -74, 107, -123, 279 },
{ 19, -37, 30, 114, -33, 892, -99, -37, -20, 287, -44, 81, 54, 88, -149, 43, 60, -67, 164, -42, 60, -140, -24, -55, 114, -17, -582, -37, 175, -106, 423, 314, 415, 442, -45, -30, -20, 48, 159, 48, -91, 363 },
{ -38, 81, -28, 418, 20, 181, 22, -60, -42, -80, 65, -22, 108, 414, -183, 27, 276, -89, 113, -126, 68, -97, 52, -111, 273, -352, -51, 50, 242, -181, 206, 116, 347, 97, -50, 142, -29, -33, 93, -125, 191, 157 },
{ -32, 38, 69, -37, -35, 990, -28, -141, 60, -37, 42, 903, -68, 70, -122, 171, 23, -777, -88, 111, -126, 82, 147, 196, -55, -28, 135, -53, 285, -120, 120, 447, -50, 69, 36, -29, 111, 21, -60, 89, -93, 196 },
{ -627, -24, 18, -83, 21, 32, -65, 415, 30, 235, -55, 223, -92, 49, -86, 42, 77, -53, -156, 111, -137, 179, 139, 315, -61, -71, 178, -271, 12, -108, -96, 485, 98, 130, 60, -35, 229, 33, -53, 20, -41, 241 },
{ 192, -67, -59, 15, 35, 45, 6, -76, 49, 149, -73, -37, 79, 59, -63, 79, -671, 32, 120, 88, -81, -56, 57, 208, -73, 819, 56, -40, -29, -158, 20, 404, 199, -91, 73, -186, -26, 14, -96, 299, 307, 222 },
{ -12, -145, 82, -45, 115, 903, -30, -48, 27, 54, -38, 46, 51, -57, -106, 29, -36, 66, -154, 217, 128, -27, 44, 260, 194, 16, -6, 17, 46, -183, 110, 325, 309, -54, 62, -69, 31, -20, -7, 340, -91, 229 },
{ -122, 33, 231, -688, 753, -63, 80, -237, -40, 47, -157, 181, 147, -78, -79, -123, -181, -471, 260, 96, -44, 363, 1255, 107, 8, -813, -231, 521, -50, -235, 552, 159, 277, -147, 184, 154, 23, -89, 916, -113, 185, 219 },
{ -52, 34, 81, -53, 32, -50, -262, 91, -146, 27, 103, -115, -39, 271, 107, 104, -54, -72, 48, 65, -82, -78, 227, 56, 32, 27, 269, -61, 147, -77, 309, 309, 56, -48, -96, 38, 8, -32, -316, 159, -82, 182 },
{ -72, 96, -101, -256, 40, 260, 142, -67, 14, -33, 119, -63, -40, 75, -73, 101, -61, 169, 195, 134, -80, 357, 199, 108, -22, 346, 163, -100, 55, -132, 175, 442, 112, 387, 203, -28, -28, -107, 67, -34, -24, 86 },
{ -44, 274, 26, -12, -24, 65, 66, -34, 86, -82, 419, -71, -304, -396, -89, 74, -59, 56, -185, 124, -44, 199, 152, 401, 161, 306, -40, 48, -44, -122, 259, 371, 211, -65, -23, 59, -42, -9, -124, 972, -56, 138 },
{ 30, -59, 53, -31, -188, 182, 43, -98, 75, 1918, -196, 108, -139, 292, -111, 49, -155, -294, 65, -77, 118, -199, 130, 341, -35, 37, 60, -475, 33, -216, 77, 335, 284, -115, 34, 43, 72, -106, -54, 1048, 137, 208 }
 },
{ 
{ 262, -77, -95, 130, 70, -5, -26, -16, 99, 48, -18, 23, -19, -11, 15, 139, 68, -18, 9, 21, 12, 0, -12, 10, 123, 67, -34, -15, 12, 22, -4, 18, -11, -29, 26, 123, 289, -71, -40, -28, 9, 7 },
{ 283, -126, -19, 171, -52, 44, -77, 21, 188, -22, -85, -46, -22, -31, 47, 230, 26, 45, -48, 19, 8, -33, -22, 36, 224, -62, -57, -37, 39, 7, 17, 6, -11, -28, 38, 210, 320, -42, -69, -50, -2, 20 },
{ 347, -79, -119, 172, 71, -33, -88, 35, 106, 61, -54, 59, -59, -36, -12, 138, 60, -55, 25, -28, 39, -46, -32, -12, 179, 100, -67, -44, 7, 15, 26, 14, -12, -26, 12, 173, 402, -83, -72, -54, 5, 7 },
{ 284, 140, -282, 158, 58, -40, 29, -54, 91, 62, -16, -32, 26, -39, 26, 97, 79, -41, -5, -15, 23, -16, -37, 15, 140, 174, -63, -63, -21, 5, 1, 3, -35, -32, -29, 241, 529, -96, -106, -76, -8, -15 },
{ 117, -28, -103, 170, -26, 85, 47, -104, 105, 155, -50, -97, 90, -117, -85, 215, 137, -79, -39, -29, -59, 21, -26, -79, 232, 253, -113, -136, -76, -51, 78, 79, 7, -103, -42, 400, 585, -190, -177, -74, 82, 162 },
{ -171, 599, -569, 349, -204, -313, -146, 551, 237, 173, 272, 342, -279, -95, -136, 174, -150, -127, -539, 192, 251, -210, -442, 500, 650, 193, -91, 232, -596, 278, -320, 207, 403, -363, -834, 564, 326, -366, 522, 113, 686, -421 },
{ 268, -148, -161, 186, 440, 27, -90, -265, 104, 72, 257, -99, -81, -177, 412, 185, -143, -115, 224, -107, 76, -159, 494, -137, 271, 238, -455, 110, -910, 178, -239, 381, 176, 180, 138, 403, -48, 123, -226, -242, -377, 278 },
{ 284, -52, -55, 102, 47, -23, -56, 28, 99, 42, -36, 24, -22, -7, 30, 168, -38, -6, 15, 16, -5, -9, 12, 49, 149, 39, -20, -29, 13, 10, 15, 22, -3, -28, 43, 116, 244, -51, -47, -33, 2, 7 },
{ -126, 210, -50, 131, 96, -64, -63, 101, 132, 20, 54, -54, -85, -97, -88, 456, -88, 65, 49, -51, 161, -133, -181, 125, 404, -70, 12, 47, 37, 57, -47, 157, 11, -219, 84, 258, 243, -126, -132, -124, -62, 160 },
{ 303, -201, -76, 249, -86, 77, -223, 113, 286, 117, 94, 142, -134, -222, 29, 522, 36, -76, 32, 128, 77, -160, -136, 103, 343, -24, -74, -61, -75, -63, 146, 98, -160, -242, 55, 200, 206, -87, -83, 58, 90, 98 },
{ -118, 80, 72, 67, -109, 65, 110, 68, -121, -103, 128, 48, -29, 22, 67, 87, -142, 153, 65, -51, -30, 80, 70, 77, -108, 121, 72, 16, -36, 57, 148, -106, 123, -50, 69, 92, -134, 110, 89, 26, -38, 145 },
{ -184, 193, 108, 134, -91, -55, 95, 61, 69, 88, 5, 73, -93, 71, -44, 92, 71, -30, 66, -50, 75, -68, 60, 35, 74, -123, 66, 49, 57, 31, 9, 27, -20, 39, 47, 97, 204, -63, 65, -57, 41, -20 },
{ -206, 171, 140, 138, -79, -62, 140, -89, 146, -89, 70, 106, -95, 92, -72, 132, 96, 11, 48, -44, 72, -76, 49, -17, 96, -119, 89, 53, 45, 23, 15, 40, -12, 21, 18, 148, 217, -36, -66, 49, 24, 12 },
{ -245, 146, 165, 189, -162, 74, -114, 78, 152, 97, 29, -57, 70, -97, 46, 229, -102, 84, 49, 59, -80, -44, -71, 25, 217, -186, 113, -34, 85, 27, 74, 34, 16, -49, 19, 222, 153, 58, -155, 27, -4, 44 },
{ -193, 110, 153, 137, -115, 103, -101, 56, 82, 86, -54, 100, -76, 68, -67, 111, -69, 54, 81, -67, 100, -81, 40, -20, 116, -68, 126, -35, 52, 26, 49, 30, 21, 24, -28, 151, 257, -43, -53, 25, 39, 24 },
{ -203, 125, 124, 170, -94, 95, -176, 36, 181, 117, -38, 78, -89, -75, -33, 202, -110, 55, 55, -37, 72, -91, -26, 59, 250, -133, 88, -44, 29, 29, 82, 73, 14, -42, -46, 277, 158, 90, -187, -40, 50, 94 },
{ -116, -83, 196, 126, 96, -76, 73, -102, 72, -91, 60, 41, 72, -79, -12, 104, 90, 26, -52, 45, -82, 72, -81, 58, 82, 29, -94, 59, 24, 45, 52, 57, 47, -63, 40, 155, 290, -91, -15, -25, 66, 77 },
{ -118, 133, 107, 52, -29, -109, 70, -89, 151, 107, -38, 37, -99, 59, -138, 239, -107, 115, -44, 41, 32, -127, -79, -26, 353, 59, -83, -68, 38, 52, 69, 91, 33, -9, -44, 316, 194, -113, -36, -96, 74, 139 },
{ -58, 258, -131, 141, -46, -79, 221, -295, 164, 56, 122, -72, -63, 29, 67, 113, -108, 96, -82, 75, -47, -60, -138, -58, 465, 51, -44, -100, 93, -35, 105, -57, 47, -154, 110, 446, 319, -182, -102, -194, 37, 194 },
{ -42, -50, 144, 61, -57, 86, -51, 115, -60, 88, -45, 57, -98, 41, -40, 122, 84, -42, -11, -25, 44, -58, -24, -22, 121, 103, -66, -57, -18, 50, 75, 36, 43, -77, 31, 199, 383, -103, -60, -18, 73, 110 },
{ -95, 187, -93, 110, -65, 84, 85, 41, -132, -91, 113, -75, 81, -130, 94, 166, 79, 38, -18, -43, 39, -48, -106, -85, 324, -123, -21, 63, -50, 28, 93, -94, 182, -153, 156, 334, 280, -164, -79, -96, 123, 178 },
{ -38, 423, 48, -29, -62, 140, 38, 257, -86, -72, 27, -73, 41, 22, 217, -225, 141, -5, 68, -43, 98, 93, -73, 183, 408, -78, 64, 20, -66, 218, -67, 302, -325, 376, -134, 248, 161, -232, 113, -140, 60, -133 },
{ -182, 170, 101, 193, -93, 33, -79, 70, 110, -82, 54, 60, 85, -64, 30, 157, 92, 36, 63, -67, 42, -45, -24, 36, 104, -207, 78, 75, 78, 24, 16, 32, -22, 19, 27, 129, 173, 27, -58, -32, 39, 6 },
{ -220, 164, 172, 218, -154, -50, -92, 85, 199, 103, 69, -76, 49, -53, 36, 247, -89, 40, 67, 51, -66, -57, -69, 46, 217, -198, 74, 40, 66, 47, 60, 40, -37, -24, 51, 197, 146, 49, -142, -41, -22, 51 },
{ -220, 230, 85, 146, 24, -89, -120, 115, 149, -67, 86, 22, -77, -110, 170, 270, 107, 98, -17, -29, 32, -138, -187, 135, 375, -183, -47, 37, 67, -27, 95, 137, 55, -154, 84, 153, 123, 38, -100, -90, -67, 129 },
{ 183, -337, 50, 191, 61, 166, -160, 54, 297, 82, -107, 55, -58, -102, -58, 360, 72, 93, -37, 61, -75, -134, 56, 81, 369, -136, -88, 65, 79, 37, 91, 105, -73, -175, 66, 158, 183, 42, -123, -123, -53, 87 },
{ -162, 340, -145, 338, 247, -251, -157, 211, 277, -173, 265, -117, -160, -58, -46, 309, -126, 226, -132, -167, 33, -101, -261, 87, 575, -281, 163, -184, 245, 55, 106, 134, -67, -218, 65, 316, 248, 230, -268, -138, -130, 173 },
{ -190, 256, 122, 248, 174, -250, -113, -129, 346, -144, 181, -93, 88, -112, -180, 533, 133, -29, 140, -76, 116, -199, -169, 293, 615, 136, -110, 81, -159, 462, -139, 236, -222, -162, -213, 116, -180, 185, 84, -44, 140, -130 },
{ -202, 108, 161, 115, -151, 113, 91, 94, -71, -160, 178, -29, 80, -94, 59, 129, 105, 54, 14, 53, -126, 89, 27, 65, -65, -100, 75, 62, 84, -59, 91, -45, 91, -82, 62, 213, -125, 210, -15, 94, -97, 108 },
{ -258, 147, 116, 181, -126, 92, 80, -128, 136, -171, 168, -45, 72, -23, -12, 207, 108, 72, 59, 49, -99, 89, -156, 44, 194, -184, 158, -95, 116, -45, 104, 54, 108, -36, -77, 235, -111, 190, -84, 165, -168, 84 },
{ -185, 63, 122, 108, -163, 135, 91, 111, -80, -101, 155, -38, 99, -77, 144, -69, -73, 110, 105, -46, -97, 56, 44, 23, 113, -102, 134, 113, -85, 59, 51, 71, -70, 100, -67, 122, 207, -77, 104, -45, 70, 47 },
{ -206, 117, 123, 77, -123, 110, 119, -84, 149, -108, 201, -39, -70, 61, -96, 156, -77, 143, -65, 24, 33, -61, 47, -68, 198, -182, 119, 82, 87, -61, 85, 77, 78, -34, -7, 241, 102, 93, -145, 79, -100, 154 },
{ -220, 182, 80, 136, -121, 143, -72, -105, 192, 46, 69, -50, 107, -54, -53, 241, -76, 96, -44, 40, -90, 101, -174, 20, 346, -181, 99, 91, 67, -70, 108, 75, 112, -100, -22, 304, 59, 84, -195, 43, -117, 160 },
{ -130, 53, 61, 74, -144, 79, 175, 27, -78, -89, 110, 103, -150, 100, 105, -71, -66, 119, 63, -94, 83, -65, 41, 29, 117, -47, 136, -65, 44, 88, -57, 125, -72, 99, -67, 163, 250, -45, -50, 48, 40, 71 },
{ -134, 88, 63, 61, -112, 126, 103, 48, -98, -179, 155, -20, 37, -97, 124, 118, 132, 37, 37, -85, -55, 51, -42, -58, 209, -216, 78, 107, -41, 109, -70, 183, -84, 99, -128, 386, 175, -80, -71, -62, 100, 123 },
{ -116, 191, -62, 93, -85, 164, 42, -91, 108, -118, 141, -95, 97, -31, -54, 182, 56, 125, -76, 46, -30, -93, 70, -115, 366, -181, 74, -62, 137, -70, 147, -93, 155, 16, -66, 370, 133, -11, -102, -38, -73, 198 },
{ -86, 120, 67, -73, -100, 26, 141, 73, -88, -102, 137, 58, -87, 41, 27, 43, 76, 30, -25, -57, 37, 37, -98, 31, 121, 97, -121, -24, 39, 51, 104, -69, 69, -41, -50, 254, 303, -119, -57, 34, 92, 164 },
{ -46, 92, -31, 79, -84, 52, 57, 111, -90, 69, 45, -88, 13, -51, 15, 108, 65, -21, 39, -60, 56, -23, -6, -47, 95, 103, -102, -47, -18, 21, 53, 61, -37, -25, -35, 264, 525, -169, -96, -30, 148, 183 },
{ -78, 195, 57, -60, -15, 46, -85, 158, -78, -76, 80, 76, 97, -128, -118, 188, -18, 27, 52, -42, 57, -89, 76, -111, 216, -40, -114, 79, -118, 66, 11, -96, 132, -27, -147, 572, 314, -323, 177, -134, 160, 188 },
{ -25, 116, -125, 217, -101, 237, -136, -111, 120, -116, 115, 134, -152, 278, -207, 106, -55, 47, -62, 44, 48, -96, -156, 193, 228, 76, -133, -88, 80, -151, 70, 65, -63, 62, -137, 625, 408, -256, 34, -128, 115, 137 },
{ 344, 181, -494, 342, 175, -146, 155, -371, 299, 195, 146, 299, -468, -149, 150, 256, -431, 597, -90, -322, 390, -217, -75, -448, 461, -140, 565, -399, 467, -67, -167, -332, 429, -353, 594, 604, 196, -188, -116, -326, -296, 278 },
{ -201, 127, 152, 137, -149, 78, 109, 27, 53, -112, 153, 78, -132, 76, -58, 143, -157, 109, 68, -49, 102, -62, 80, -70, 116, 114, 142, -36, 60, -36, 49, 49, 64, -90, 92, 165, -184, 155, -79, 182, -107, 71 },
{ -259, 160, 114, 181, -124, 144, -49, -119, 210, 68, 74, -47, 31, -71, 54, 285, -156, 75, 33, 41, -55, 73, -212, 57, 298, 125, 65, -36, 93, -78, 105, 66, 109, -112, -48, 233, -214, 185, -140, 68, -106, 135 },
{ -224, 193, 109, 132, -50, -73, 117, -117, 257, 94, 137, -45, -37, -109, 143, 401, -45, 77, -101, 101, -140, 98, -251, 74, 398, 179, -82, 34, 68, 32, 59, 95, 112, -136, -94, 150, -205, 101, 38, -43, -166, 88 },
{ -141, 297, 212, -149, -182, -58, 124, -99, 243, 142, 116, -49, -136, 62, -182, 399, 84, 107, -41, 103, -127, 96, -108, -196, 657, -306, 162, -81, 165, 137, -107, 89, 118, 81, -231, 224, 203, 141, -188, -24, -178, 163 },
{ 314, -267, 78, 577, -324, 206, -131, 521, -290, -140, -387, -262, -183, -119, 317, -178, 153, 280, 250, -435, 354, 191, -157, -398, 957, -222, 125, -167, 216, 203, 135, 128, -251, 649, -327, 209, -109, 40, 416, -556, -159, 247 },
{ -7, -18, 146, 7, -68, 86, 11, 99, -24, -54, 52, 23, -16, 41, 68, -56, -36, 117, -68, 92, 138, 51, 85, -47, -104, -355, 159, -81, 38, 142, 352, -109, 194, 110, 41, -72, 323, 199, 228, -68, 88, 249 },
{ -80, -43, 60, 78, 86, -43, 76, 113, -145, -187, 97, 195, -159, 99, -100, 134, 80, 79, 30, -65, 86, -97, 67, -185, 269, -158, -46, 136, -95, 71, -64, 189, -108, 259, -186, 384, 190, -79, 42, -123, 123, 170 },
{ -539, 744, -769, 1112, -84, -1143, 161, 234, 650, 1238, -490, -732, 388, -470, 194, 655, 126, -189, 198, 318, -637, 442, -944, 50, 945, -323, -199, -288, -392, 1006, -1187, -250, 295, 477, -871, 613, 719, -642, 399, -304, 395, -409 },
{ -171, 279, -178, 360, -164, -122, 136, -215, 206, 374, 88, 137, -176, 67, -339, 545, 122, -77, 161, -135, 81, -85, -142, 363, 500, -162, -191, -125, 185, 208, 90, 277, -252, -328, 223, -313, 268, 232, 179, -104, 173, -216 },
{ -159, 41, 144, 115, -183, 139, 167, 45, -116, 85, 94, -43, -100, 57, 36, 116, -189, 105, 72, 62, -43, 57, 52, 86, -92, 81, 106, -57, 64, -63, 133, -92, 100, -60, 93, 143, -160, 178, 81, 29, -89, 139 },
{ -217, 93, 86, 118, -141, 113, 76, -111, 124, -156, 204, 8, -36, 65, -59, 180, 133, 72, -51, -22, 75, 100, -101, -27, 130, -118, 101, 39, 66, -50, 62, 62, 145, 35, -152, 223, -207, 173, 41, 51, -96, 128 },
{ -146, 62, 97, 129, -154, 207, -54, 169, -144, -93, 158, -107, 102, -42, 69, 70, -172, 196, 37, 66, -81, 36, 67, 65, -51, 93, 72, -44, 86, -97, 123, -42, 102, -90, 93, 155, -122, 200, 33, 52, -93, 185 },
{ -176, 138, 68, 102, -170, 180, -31, 106, -113, 104, 37, -54, 89, -97, 113, 104, -175, 110, 76, 66, -45, -87, 158, -118, 163, -157, 230, -41, 69, -75, 124, 134, -52, 115, -103, 263, -93, 241, -92, 47, -125, 161 },
{ -147, 167, 159, -122, -114, 102, 75, 32, 103, -133, 166, -18, -69, -80, 156, 127, 97, 86, -41, 58, 75, -153, 68, -91, 278, -167, 169, -40, 52, -58, 92, 169, -58, 100, -199, 291, -114, 211, -105, 42, -135, 187 },
{ -118, 105, 29, 53, -170, 123, 122, 80, -138, -118, 151, 80, -166, 98, 184, -113, -113, 169, 71, -59, 57, -36, -37, 90, 70, -178, 233, -26, 71, -68, 122, -41, 147, -104, 66, 113, 130, 139, -131, 94, -61, 201 },
{ -126, 70, 55, 77, -89, 66, 112, 103, -166, -166, 152, 26, 36, -139, 146, 126, 102, 50, 28, 17, -72, 89, -100, 80, 95, -245, 158, 73, -130, 39, 116, -82, 215, -190, 198, 168, 98, 134, -151, 41, -62, 229 },
{ -97, 111, -15, 130, 32, 30, 70, 111, -149, -167, 139, 26, -55, 38, 64, 149, 71, 70, -10, 47, -53, -127, 157, -89, 238, -278, 186, 84, -30, -57, 65, 208, -119, -54, 209, 216, 109, 76, -169, -151, 122, 123 },
{ -102, 65, 190, -95, 102, -125, 133, -138, 194, 157, -92, 106, -80, 42, -94, 257, -69, 104, 32, 72, -21, -72, -89, 97, 370, -143, 146, 54, 86, -23, 100, -138, 218, -295, 256, 329, 140, -119, -153, -116, -168, 281 },
{ -66, -82, 193, -78, -113, 39, 164, 110, -109, -155, 172, 139, -225, 93, 173, -114, 66, 16, 50, -38, 31, -76, -12, 53, 112, -114, 55, 120, -85, 35, 65, 130, -114, 83, -52, 179, 241, 77, -109, -36, 105, 166 },
{ -130, 295, 205, -181, -164, -67, 117, 212, -161, 135, -87, 133, -103, 95, -77, 235, 148, 74, -29, -40, -23, 30, -124, -116, 485, -214, 130, 48, 55, 106, 41, -203, 228, -154, 193, 335, 269, -145, -135, -85, -153, 226 },
{ -71, 45, 81, -17, -107, 78, 121, 93, -103, -86, 146, -108, 166, -151, 192, -108, 124, -39, 30, -51, -19, 43, -49, 46, 64, -82, 30, 7, 18, 29, 23, 83, -113, 72, -105, 315, 400, -125, -91, 58, 121, 214 },
{ -44, -89, 189, 74, 89, -35, 128, 46, -131, 118, -64, -69, 57, 65, -50, 61, -81, 78, 64, 50, 19, -73, 28, -27, 47, 58, -95, 29, -92, 107, -47, 110, -66, -60, -85, 369, 568, -247, 121, -42, 146, 131 },
{ 339, -132, 334, -270, 118, -58, 132, 236, -183, 62, 22, -97, 105, 183, 259, -270, -195, 71, 91, 117, -199, 85, -137, 210, 427, -373, 416, -67, 65, -158, 126, 131, -257, -528, 158, 879, 148, 176, -306, 77, 173, 53 },
{ -24, -19, 249, 116, 47, 83, -9, -37, 168, -53, 7, -29, 264, 43, -35, -69, 203, 843, -68, 49, -33, -29, 19, 96, 49, 137, -20, -22, 249, -28, 182, 256, 135, -480, 152, -7, -47, 153, -37, 89, -101, 96 },
{ -178, 87, 61, 93, -48, 105, 64, -100, 151, -81, 98, -41, 47, -78, 80, 244, -52, 75, 23, 23, -55, 150, -225, 54, 213, 153, 43, -18, 49, -57, 70, 109, 154, -76, -92, 173, -249, 185, -54, 87, -91, 93 },
{ -167, 137, 141, 101, -90, -36, 63, -100, 150, 101, 99, -38, -47, 94, -167, 329, -67, 70, -20, 62, 37, -85, -46, 167, 323, 104, 35, -37, 77, -92, 118, 121, 96, -170, -73, 260, -142, 88, -155, 121, -123, 167 },
{ -195, 138, 36, 174, 135, -98, -22, 118, 340, 165, -22, -131, -118, -235, 107, 535, -85, 60, 80, 232, -67, -93, -261, 192, 437, -26, 127, -91, -138, 124, 74, 278, -39, -273, -107, 194, -160, 134, -110, 24, 175, -147 },
{ 157, -125, -120, 142, 148, 77, 34, -87, 183, -45, -44, 74, -95, 122, -168, 447, 123, -51, 81, -80, 142, -252, -60, 181, 469, 161, -45, 56, -94, 208, -50, 211, 58, -194, -161, 208, -177, 144, -120, 74, 87, -141 },
{ -208, 316, 281, -114, 188, -194, 108, -98, 185, -219, -28, 249, -142, 113, -282, 237, 183, 111, -80, -162, 296, 117, -378, -145, 890, -322, 248, -65, 106, 219, 309, -168, -200, 202, -185, 412, 98, 130, -175, -208, 196, 153 },
{ 195, -97, -260, 241, 100, 73, -166, 231, 371, 86, 187, -61, -73, -245, -198, 672, 73, -91, -212, 102, 189, -83, -224, 101, 428, -201, 181, -80, 139, 85, 18, 52, 105, -344, 91, 58, 234, 103, -268, 11, 48, 74 },
{ -95, 40, 77, 50, -72, 89, 73, 63, -114, -90, 114, 35, -48, 66, 39, 113, -163, 168, 35, -19, 35, -95, 162, -72, 152, 123, 88, -38, -11, -32, 101, 178, -96, 113, -70, 162, -172, 103, 110, -64, 49, 129 },
{ -95, 52, 58, 91, -130, 123, 73, 113, -164, -96, 149, -71, 48, 25, 62, 82, -155, 197, 37, 61, -42, -66, 167, 64, -110, -100, 240, -75, 65, -70, 126, 97, -98, 45, 96, 138, -103, 260, -88, 53, -42, 178 },
{ -106, 120, 156, -134, -68, 61, 18, 168, -92, -93, 106, 29, -88, 113, -31, 173, 123, 59, -33, -34, 74, -83, 198, -114, 201, -191, 220, -48, 51, 48, -58, 216, -65, 77, -76, 192, -116, 174, -149, 75, -30, 138 },
{ -90, 106, 95, -45, -164, 104, 67, 81, -78, -122, 151, 78, -106, 83, 110, -96, -106, 132, 106, -93, 8, -16, 57, 178, -113, -182, 289, -52, -71, 70, 70, 103, -66, 49, 86, 86, 139, 135, -81, 62, -52, 185 },
{ -95, 100, 130, -88, -121, 106, 76, 107, -149, -138, 210, -71, 17, 93, -60, 118, -122, 186, -36, 51, -50, -56, 161, -63, 111, -265, 296, 48, -58, -45, 84, 186, -121, 179, -99, 202, 157, 66, -80, -95, 107, 156 },
{ -98, 166, 142, -109, -90, 89, 45, 145, -117, -102, 143, -43, -43, 110, -66, 151, 115, 54, -25, 65, -36, -79, 188, -85, 164, -259, 217, -48, 42, -76, 47, 136, 127, -168, 211, 217, 155, -66, -89, 32, -68, 199 },
{ -116, 195, 193, -165, -141, 41, 119, -131, 184, 143, 31, 37, -67, 114, -114, 198, 52, -28, 98, -60, 80, -134, -74, 124, 332, -286, 235, -66, 173, -82, 175, -118, 240, 74, -172, 310, 188, -42, -186, 85, -183, 202 },
{ -67, -38, 78, 55, -82, 37, 137, 79, -122, -104, 106, 67, -110, 102, 199, -182, -144, 182, 38, 28, -64, -63, 29, 74, 54, -114, 204, -42, -82, 47, 70, 128, -104, 126, -20, 78, 126, 149, -131, 57, 72, 193 },
{ -74, 72, 153, -116, -166, 106, 98, 189, -209, 83, -52, 73, -42, 70, -84, 145, -196, 208, 47, -9, -52, -20, 82, -27, 67, -243, 300, -111, 37, -64, 95, -54, 262, -167, 137, 185, 144, 104, -140, -93, 113, 213 },
{ -81, 135, 97, -61, -79, 106, 38, 173, -245, -172, 170, -24, -14, 34, 122, 115, 57, 78, 53, -81, 81, -17, -174, 103, 185, -276, 262, -51, 24, 79, -45, -84, 213, -198, 288, 291, 130, 65, -173, -145, 74, 204 },
{ -43, -45, 48, 102, -107, 129, 117, 71, -148, -118, 138, 137, -159, 28, 157, -93, -81, 104, 69, -74, 62, -58, 25, 23, 28, -55, 70, -29, 5, 67, -40, 89, 66, -93, 105, 102, 293, 124, -147, 56, 69, 210 },
{ -68, 121, -80, 202, -102, 55, 52, 149, -225, -177, 128, 41, 172, -202, 238, -124, 109, 67, -62, -104, 50, -37, 61, 29, 80, -94, -59, -14, 217, -169, 51, 106, -159, 195, -217, 506, 224, -211, 137, -123, 142, 248 },
{ -87, 198, 151, -62, -124, -137, 143, 187, -221, -79, 191, 135, -102, 74, 108, -114, -205, 224, 146, -147, -11, -58, 144, -334, 498, -223, 132, 54, -83, 169, -65, -140, -60, 455, -404, 699, 191, 128, -154, -274, 171, 127 },
{ -75, 241, -142, 278, -105, -72, 88, 178, -291, -95, 153, 171, -93, -59, 143, 208, 73, 80, 69, -77, -81, -108, 92, -286, 503, -207, 159, 73, 56, 201, -130, 115, -175, 32, 297, 422, 283, -184, -136, -119, -128, 202 },
{ -236, 498, 367, -262, -151, 214, -92, 189, -457, 365, -381, 429, -174, -59, -178, 620, 254, 252, -291, 533, -217, -481, 265, 684, 189, 221, -551, -632, 288, 243, -495, 1092, -1212, -373, -293, 1258, 375, -508, -448, 349, 530, -963 },
{ 54, 617, -119, 43, -203, 88, 31, -189, 90, 227, 85, 1063, 363, 300, 135, -76, -2226, 63, -78, -59, -669, -118, 105, 170, 134, 16, 266, -1141, 136, -212, 319, 337, 77, -78, 416, 20, -11, -110, 48, -38, -89, 482 },
{ -131, 60, 84, 112, -97, 118, 79, 26, -89, -87, 122, -70, -38, 95, 85, 114, -111, 140, 67, 12, 41, -88, 150, -68, 127, 106, 69, -30, 35, 43, 73, 137, -77, 97, -30, 96, -159, 104, 88, -53, 31, 94 },
{ -106, -79, 185, -59, 139, 58, -43, 22, 114, -46, 39, -28, 82, -61, 65, 240, -75, 64, 49, 55, -75, 188, -137, -49, 185, 84, 88, -53, 31, -11, 92, 108, 146, 47, -133, 150, -158, 49, 41, 51, -35, 88 },
{ -155, 67, 107, 141, 55, -70, 27, -73, 193, -67, 52, 28, 29, -96, -85, 304, -26, 54, -17, 65, 53, 141, 95, -168, 260, 81, 113, 79, -98, 96, -119, 105, 88, 93, -153, 113, -147, 75, -46, 23, 33, 59 },
{ -106, 141, 159, -185, -54, 36, 81, 50, 167, 75, 46, -47, 69, -112, -58, 219, -75, 63, -41, 86, -70, 211, -120, 108, 249, 131, 82, 49, -94, 107, -65, 176, 166, -178, 39, 165, -172, 101, -156, 52, 91, -91 },
{ -71, 204, -101, 104, 143, -96, 107, -38, 171, -132, 69, 94, -21, -138, -95, 472, 114, -52, 59, -91, 93, 159, -130, 241, 296, 94, -26, 33, 31, 109, -49, 143, -121, -107, -118, 110, -177, 258, -74, 82, 50, 36 },
{ -128, 203, 108, -118, 307, -132, 143, -152, 99, -163, 226, 82, -20, -33, -87, 246, -85, 91, -58, 44, 139, -81, 169, -357, 731, 226, 39, 57, 113, -138, 291, -223, 108, 171, -265, 372, -241, 148, -106, -102, -103, 317 },
{ 302, 258, -434, 217, -227, 138, 141, -233, 270, -448, 285, -187, 161, -130, -179, 806, 358, 285, 67, 88, -144, 181, -223, 135, 164, -167, -342, 130, -42, 216, 89, 88, -129, -222, 259, -255, 389, 195, 87, -130, 128, 51 },
{ -268, 570, -287, 343, 326, -472, 250, -143, 241, -138, 203, -156, 103, -279, 100, 507, 172, 110, -107, 109, 110, -166, -428, 181, 691, -363, 62, 79, -124, 431, -240, 263, -143, -106, -301, 374, 276, -66, -72, -228, 360, -349 },
{ -116, 290, 189, 49, 299, -495, -55, 285, 101, -238, 230, 95, -172, -173, 131, 319, -82, 115, 52, 157, 157, -200, 220, 150, 358, 362, -455, 182, -197, 166, 214, 241, -173, -181, -179, 299, -155, 335, -165, 83, 295, -363 },
{ -447, 1091, -252, 263, -352, -281, -288, 435, 490, -329, 693, -173, -448, -939, 424, -254, -537, 345, -252, 381, -831, 1269, -909, 500, 973, 179, -400, 386, 671, 109, 590, -230, 190, 132, -1063, 783, 828, -472, -270, 137, -411, -879 },
{ -73, -41, 110, 43, -103, 88, 97, 64, -130, -57, 91, 29, -44, 65, 52, 61, -96, 74, 132, -83, 42, -75, 143, 42, -125, -66, 126, 14, -66, 91, 97, 117, -79, 81, 51, 77, -81, 154, 62, -39, 88, 145 },
{ -109, 67, 120, -60, -123, 53, 58, 138, -83, -83, 161, -74, -41, 72, 77, 88, -63, 131, -38, 23, 63, -87, 198, -115, 77, -63, 105, 12, 29, 41, 77, 203, -76, 195, -141, 108, -84, 158, 103, -65, 58, 110 },
{ -73, 24, 111, 19, -91, 43, 88, 69, -85, -72, 107, 30, -20, 55, 83, -75, -131, 140, 53, -40, 10, -67, 158, 94, -98, -74, 124, 60, -37, 80, 68, 129, -97, 126, 18, 90, -86, 185, 86, -56, 33, 164 },
{ -91, 39, 45, 84, -43, 12, 88, 69, -145, -91, 90, 32, -56, 100, -30, 108, -76, 90, 75, -34, -26, -56, 219, -85, 98, -78, 143, -22, -20, 33, 65, 185, -89, 176, -75, 157, -108, 83, 89, -48, 44, 162 },
{ -87, 162, 125, -111, -77, 116, -80, 155, -64, -70, 52, 27, -36, 98, -31, 139, -46, 124, 30, -46, 38, -69, 195, -88, 146, -43, 78, -20, 45, -36, 83, 217, -92, 133, -91, 145, -137, 103, 49, -44, 53, 156 },
{ -66, 12, 93, 12, -88, 35, 109, 80, -119, -76, 69, 88, -74, 23, 171, -106, -156, 194, 26, -39, -51, 77, -62, 164, -64, -147, 229, -60, 83, -62, 187, -91, 138, -23, 205, -109, 155, 169, -55, -18, -34, 320 },
{ -74, 94, 183, -69, -36, -120, 171, 95, -132, -107, 138, 45, -72, 73, -52, 175, 146, 40, -34, 48, 56, -72, 117, -62, 140, -141, 141, 28, -40, 49, -55, 156, 220, -99, -69, 288, -162, 147, -61, 47, -86, 156 },
{ -88, 134, 240, -138, -104, 127, 68, 153, -199, -67, 81, -78, 44, 50, 57, 194, 155, 95, 28, 28, -80, 116, -201, 177, 243, -132, 77, 50, 65, -73, 171, -148, 351, -123, 47, 203, -185, 188, -92, -46, -126, 248 },
{ -57, -43, 71, 69, -79, 66, 80, 71, -147, -131, 139, 34, -54, 90, 102, -72, -127, 147, 59, -29, -34, -41, 33, 179, -146, -177, 274, -21, -32, -59, 146, 122, -73, 119, -22, 106, 121, 120, -53, -35, 75, 302 },
{ -56, -59, 188, -99, 145, -96, 61, 164, -178, -80, 60, 76, -49, 86, -58, 87, -133, 150, 51, -22, -80, 44, 78, -22, 111, -191, 297, -85, -92, 67, 128, -138, 347, -132, -23, 217, 117, -134, 64, 51, -65, 316 },
{ -77, 115, 172, -69, -127, 42, 46, 168, -192, 101, 137, -73, 15, 106, -54, 131, -125, 153, 54, -26, 16, 60, -100, 53, 122, -123, 123, 151, -66, -67, 120, -127, 343, -96, -111, 446, -124, 64, 19, -19, -87, 248 },
{ -97, 175, 283, -101, -89, 133, 13, 106, -180, -72, 85, 36, 49, 83, 31, 120, 247, -55, 132, -106, 86, -55, -158, 72, 319, -174, 172, 118, -106, 187, 109, -154, 180, 28, 134, 286, -154, 156, -127, -131, -88, 235 },
{ -29, -94, 182, -75, -92, 66, 157, 91, -120, -118, 129, 75, -155, 114, 135, -122, -163, 154, 89, -78, 53, -64, 15, 185, -147, -101, 168, -63, 45, -15, 104, 49, 89, -128, 110, 131, 281, 126, -137, 142, -87, 320 },
{ -43, -77, 252, -134, 111, -67, 22, 132, -168, -128, 139, 71, -28, 111, 87, -133, -167, 156, 22, 49, -15, -79, 13, 67, 120, -164, 225, -77, 62, -90, 63, 156, -162, 340, -346, 453, 151, -93, 87, -91, 153, 218 },
{ -71, 169, 128, -101, -104, 105, 58, 229, -213, -204, 174, 72, 64, -74, -132, 176, 159, -63, 84, 30, 118, -90, -131, 64, 192, -316, 283, 58, -117, 156, -108, 17, 321, -146, -211, 654, 269, -104, -159, 53, -88, 242 },
{ -14, -117, 105, 124, 97, -22, 76, 66, -106, -88, 100, 127, -138, 128, 90, -88, -112, 93, 54, 100, -49, 97, -87, 125, -70, -141, 77, -44, 96, -46, 62, 39, -67, 165, -158, 322, 451, 194, -144, -35, 132, 160 },
{ 157, -235, 361, -182, -44, 58, 151, 219, -223, -152, 151, 85, -19, 98, -109, 72, 164, -363, 267, 146, -148, 60, 47, -153, 182, -102, 158, -35, -198, 206, -166, 257, -82, 65, -111, 497, 497, -425, 213, -54, 228, 20 },
{ 211, -88, 123, -74, 158, -103, 100, 122, -226, 152, -47, 46, 98, 170, -211, 145, -140, 113, 175, -48, -83, -10, -52, 209, 212, -192, 180, -116, 105, -128, 196, 101, -260, 282, -550, 985, 298, -255, 83, -128, 197, 96 },
{ -124, 140, 164, -112, -46, 22, 112, -63, 147, -52, 96, -60, -62, 178, -112, 93, -75, 110, -84, 73, 85, -109, 253, -97, 143, 74, 15, 41, 31, 29, 50, 241, -78, 158, -75, 153, -96, 55, 44, -47, 33, 105 },
{ -116, 189, 152, -135, 72, -91, 132, -75, 204, -78, 42, -26, -51, 145, -145, 260, 48, 61, 62, 35, -71, -85, 230, -154, 252, 136, -97, 25, 64, 62, 118, 160, -95, 162, 28, -115, -135, 144, 99, -40, -58, 113 },
{ -99, 187, -160, 146, -78, -85, 256, -260, 103, 118, 81, -43, -29, 127, -149, 241, -61, -25, 88, 152, -114, 247, -127, 95, 206, 95, 101, -40, 112, -131, 183, -177, 300, -81, -107, 180, -148, 100, -21, 24, -57, 196 },
{ -99, 191, -203, 187, -100, 95, 111, -186, 90, -33, 209, -168, 58, -57, 201, 376, -64, 96, 119, 90, 74, -107, -180, 162, 166, 94, -110, -45, 60, 121, 15, 316, 153, -221, 183, -199, -78, 292, 160, -89, 50, -35 },
{ -105, 176, 144, -182, -188, 226, -144, 76, 230, 93, 116, -75, 45, -133, -182, 382, -77, 92, 108, -45, 111, -32, -70, 213, 271, 121, -46, 26, 42, 116, 61, 138, 251, -394, 64, 95, -80, 183, -84, -73, 178, -108 },
{ -139, 327, -217, 177, -77, -132, 228, -245, 133, 268, -50, 83, -112, 154, -210, 288, -83, 74, 266, -117, 82, -89, -78, 155, 472, 156, 54, -123, 58, 195, 182, -170, 332, -207, -183, 258, -213, 205, -146, 46, -181, 183 },
{ -108, 188, -186, 203, -112, 157, 90, -234, 164, 295, 93, -168, 85, 86, -186, 396, 83, -85, 143, 126, -135, -134, 133, 219, 235, -110, 27, -116, -40, 259, 183, 217, -149, -124, -89, 195, -86, 204, -100, 107, 110, -144 },
{ 211, -259, 217, -380, -147, 132, 124, 139, 69, 160, 80, 230, -226, 62, -160, 523, 98, -137, 229, -241, 319, -102, -373, 429, 482, -100, -110, 279, -106, 146, 167, 234, -234, -494, -130, 279, 227, -233, 144, -21, 328, -200 },
{ -257, 517, -451, 325, 369, 148, 79, -159, 253, -243, -259, -38, -81, 120, -347, 598, 236, 204, 164, -171, 148, -56, -391, 214, 732, -250, 77, -138, -242, 467, -135, 330, 266, -331, -431, 323, 268, -248, 136, 100, 276, -469 },
{ -328, -516, 1114, 230, 1029, -737, -435, 183, 286, 953, -409, 326, -448, -509, 371, 768, -615, 178, -196, 316, 224, -715, 182, -129, 76, -492, 295, -486, 545, 272, 197, 97, -178, 55, -208, 391, 216, 459, 169, -499, -208, 744 },
{ -188, 762, -860, 652, -258, 220, 201, -81, 317, -402, -416, 259, -190, -544, 216, 749, 419, 114, 237, -342, 380, 838, -967, 275, 878, 410, -409, 284, -379, 320, -1127, 83, -154, -686, -792, 507, -373, 339, 404, -265, 928, 338 },
{ -51, -31, 147, -34, -77, 49, 46, 69, -87, -55, 50, 69, -57, 51, 118, -63, -78, 109, 77, -78, 59, -81, 111, 82, -69, -50, 114, -37, -51, 111, 149, 165, -56, 55, -13, 50, -77, 137, 24, 66, 40, 172 },
{ -92, 33, 66, 44, -78, 60, 85, -108, 56, -47, 116, -59, -49, 117, 83, -134, -71, 108, -12, 38, 54, -45, 140, 54, 135, -38, 105, -58, 27, 59, 107, 243, -50, 78, 109, -50, -67, 143, -46, -26, 87, 140 },
{ -52, 22, 82, -28, -87, 26, 54, 68, -74, -55, 70, 49, -39, 40, 90, -62, -78, 80, 53, -33, 46, -47, 119, 74, -80, -61, 68, 50, -28, 90, 122, 146, -54, 92, 64, -33, -52, 168, 85, -73, 39, 194 },
{ -63, 107, 25, 50, -67, 30, 40, 47, -119, -36, 45, 56, -63, 54, 32, 67, -75, 94, 78, -108, 142, -81, 155, 49, -82, -75, 100, 20, -47, 167, -68, 263, 53, 50, 46, 82, -58, 72, 39, -31, 47, 127 },
{ -85, 71, 110, -50, -47, -31, 47, 88, -129, -58, 124, -94, 78, 45, 83, 82, -42, 74, 28, 52, 19, -94, 212, -81, 116, -52, 61, 24, -56, 63, 50, 252, -54, 198, -108, 109, -85, 73, 55, -44, 84, 104 },
{ -51, -47, 65, 75, -48, 45, 63, 66, -114, -60, 43, 54, 18, -59, 154, -82, -107, 137, 7, 33, -107, 100, -28, 105, -55, -122, 157, -62, 90, -50, 254, -71, 147, 14, 137, -97, 161, 141, -49, 50, -86, 388 },
{ -73, 49, 71, 46, -40, -53, 78, 76, -93, -47, 63, 55, -52, 91, 97, -72, -100, 119, 64, -130, 87, -74, 112, -15, 76, -41, 52, 55, -52, 143, -79, 282, -47, 180, -78, 135, -83, 65, 119, -138, 119, 123 },
{ -76, 97, -41, 60, -88, 110, 62, 58, -159, -64, 138, -77, 23, 70, 29, 85, -66, 77, 19, 83, 43, -81, 129, -104, 140, -45, 79, 49, -34, 83, -93, 309, -82, 238, -129, 161, -99, 103, 97, -91, 97, 141 },
{ -77, 118, 223, -92, -165, 127, 77, 179, -274, 172, 72, -155, 67, 41, 92, 151, -151, 158, 62, 108, 18, -115, 130, -130, 251, -30, 99, -31, 99, 62, -120, 199, 138, 121, 58, 167, -186, 161, -82, -71, 70, 130 },
{ -36, -37, 84, -45, -57, 62, 52, 60, -72, -80, 73, 59, -79, 49, 106, -93, -150, 204, -62, 22, 42, -76, 47, 153, -123, -149, 208, -53, 58, 101, -52, 232, -108, 141, 92, -31, 126, 80, 66, -82, 86, 204 },
{ -54, -52, 73, 119, 79, -73, 129, 81, -158, -80, 53, 70, 51, -124, 286, -174, -115, 133, 48, -100, 14, 61, -61, 45, 92, -83, 107, 60, -67, 121, -81, 155, 148, 106, -152, 255, -97, 145, 66, -72, -62, 255 },
{ -65, 85, 223, -49, -96, 58, 45, 95, -173, -71, 82, 46, -43, 45, 125, -57, -59, 89, 51, 68, -131, 42, 127, -134, 195, -72, 121, 37, 21, 29, 121, -96, 241, 165, -141, 343, -169, 137, 45, -50, -62, 265 },
{ -64, 117, 374, -71, -166, 104, 58, 115, -250, 255, 26, 42, 105, 103, -96, 160, -138, 134, 122, -36, 30, -55, 154, -244, 414, -104, 63, 112, 66, 87, -45, 182, -235, 313, 94, 223, -136, 247, -109, -204, 136, 87 },
{ -99, 416, -208, -26, 124, 319, -98, 192, -347, -99, 201, 95, 109, -159, 71, 186, -155, 258, 105, 76, -186, 226, -81, -250, 705, -75, 111, 91, 104, 56, 310, -182, 152, 383, -275, 382, -272, 302, -145, -127, -182, 264 },
{ -32, 68, 79, -70, -68, 22, 104, 111, -95, -69, 53, 53, -43, 64, 130, -150, -126, 110, 80, -84, 82, 46, -153, 297, -198, -183, 247, -74, 20, 62, 69, 42, 125, -57, 92, 57, 191, 132, -89, 141, -63, 321 },
{ -47, 109, -86, 116, -100, 156, 107, 48, -136, -45, 80, 56, -111, 162, 96, -120, -96, 69, 89, -57, 104, -110, 165, -137, 112, -223, 255, -64, -70, 104, 42, 84, -107, 401, -372, 439, 164, -116, 93, -86, 122, 223 },
{ -39, 118, -108, 213, -62, 76, 88, 126, -156, -41, 25, 56, 50, 55, 128, -179, -75, 159, 69, -52, 107, -116, 148, -115, 237, -248, 212, 82, -36, 21, -51, 206, -118, 276, -281, 588, 164, -139, 110, -112, 103, 126 },
{ -53, 82, 389, -97, 122, -107, 143, 240, -250, -124, 77, 94, 104, 70, 225, -223, -33, 23, 33, -79, 190, -55, 115, -221, 541, 213, -187, 159, 75, 90, 102, -185, 84, 125, 109, 376, -234, 201, 102, -251, -126, 248 },
{ 336, -513, 466, -242, 352, 365, -266, 192, -325, -82, 260, -86, 178, 81, 174, -134, 179, -76, -101, 303, -50, 77, 134, -348, 951, 255, -153, 364, 51, 149, 274, -140, -442, 499, -467, 602, -380, 179, 143, -167, 139, 56 },
{ 95, -109, 61, 154, 81, 9, 27, 85, -53, -43, 55, -36, 91, 147, 130, -208, -156, 124, 111, 61, 14, -76, 111, 124, -175, -418, 294, -232, 170, 134, 176, -51, -97, 116, 59, 181, 346, 353, -156, 126, -123, 270 },
{ -24, -102, 95, 229, 122, 67, -80, -83, 102, 174, 63, -101, -78, 207, 311, -272, -238, 151, 43, 135, -116, -23, 135, 233, -170, -257, 130, 118, -125, 77, 127, 59, -78, -46, 108, 451, 429, -236, -84, 320, -131, 142 },
{ -83, 68, 108, -51, -46, -97, 98, -67, 99, -65, 116, 67, -85, 108, 74, -85, -7, 81, -66, 23, 80, -57, 154, 49, 132, 99, -55, 53, 59, 39, 99, 258, -49, 175, -159, 87, -91, 46, 110, -83, 68, 122 },
{ -109, 121, 128, -129, -45, -141, 120, 64, 98, -80, 137, 124, -55, -87, 47, 239, 73, -75, 58, -34, 73, 162, -144, -57, 180, 205, -62, 62, -51, 119, 43, 160, 216, -79, 99, -118, -99, 88, 109, 35, -33, 127 },
{ -96, 92, 115, -119, -84, 58, 54, -89, 169, 109, -77, 110, -42, 107, -132, 244, -82, 92, 39, -30, 53, -59, 174, -97, 201, 85, -90, 79, 100, 20, 143, 164, 88, 152, 29, -120, -61, 109, 57, -64, -21, 167 },
{ -85, 150, -105, 90, -142, 96, 140, 66, -179, 164, 65, -146, 110, 38, 79, 147, -42, 37, 38, 32, 100, -111, 87, 45, 278, -70, 136, -63, 56, 92, -61, 237, 159, -89, 82, -64, -54, 129, -122, 110, -51, 148 },
{ -109, 117, 226, -61, 189, -45, 133, 53, -203, -126, 119, -50, 54, 49, 80, 243, -127, 158, -60, 70, 89, -137, 188, -117, 296, 278, 97, -46, 50, 74, 24, 208, -151, 244, -86, 152, -157, 68, -14, -46, -71, 194 },
{ -127, 175, 140, -135, -99, -65, 100, -96, 143, 129, 70, 125, -62, -44, 119, 224, -88, 39, -27, 103, 156, -105, -136, 230, 267, 128, -84, 155, -116, 87, 44, 306, 168, -116, -186, 128, -128, 229, -64, 111, 94, -140 },
{ -146, 150, 124, -71, 225, -57, 65, 132, -133, -149, 95, 177, -56, -37, 93, 173, -62, 123, -46, 74, 128, -51, -250, 269, 402, 189, -14, 134, -122, 134, 94, 142, 246, -255, 43, 106, -147, 155, -84, -117, 88, 105 },
{ 167, -130, 88, 175, -189, 199, 20, -283, 246, 144, -38, -91, 202, -89, -341, 774, 478, -101, -112, 91, -105, 263, 343, -292, 341, -140, 78, 112, 89, 392, -190, -290, 323, -90, -252, 148, -52, 215, -144, 123, -252, 134 },
{ -166, 160, 219, -105, 414, -109, 80, 105, 108, -131, 104, 75, -81, 52, -272, 258, 36, 133, -50, -98, 97, 210, -387, 440, 371, -113, 108, 37, 129, 121, 142, 137, 114, -205, -167, 227, 204, -281, 52, -151, 255, -270 },
{ -112, 180, 385, -104, -171, -264, 196, 253, -123, 149, 170, -69, 98, 128, -110, 246, -27, 69, 133, -175, 122, -92, -231, 125, 730, -140, -202, 59, 309, 83, 66, 247, -154, -149, 75, 335, 380, -253, -186, -157, 104, 111 },
{ -270, -90, 972, 620, 700, -172, -473, -587, 463, -562, -235, -596, 269, 369, -805, 1009, 272, 313, 156, 295, -535, 435, 347, -264, 793, 396, 390, -233, -285, -343, 584, -145, -600, -583, -439, 551, -221, -480, 168, 186, 582, 231 },
{ 284, -1046, 369, 499, 407, -249, -206, 345, -198, 258, -172, 52, -70, -239, 240, 479, -95, -141, -227, 442, -235, 289, -659, 1008, -467, -168, 229, -301, 319, -318, 1070, -703, 840, -759, 509, 193, 780, -328, -451, 328, 144, -815 },
{ -253, -346, 613, 692, 523, -717, -265, 352, 303, 278, -565, -92, 263, -305, 364, 300, -49, 361, -240, 420, -465, -269, -369, 198, 849, 559, -136, -358, 504, 419, 37, -317, 113, -608, 141, 409, -161, 171, -620, -204, -176, 259 },
{ -48, 25, 107, -26, -97, 36, 69, -19, -29, -37, 151, -140, 106, 22, 78, -74, -62, 98, -62, 153, -108, 37, 55, 128, -97, -69, 152, -87, 59, 58, 255, 142, 53, -54, 64, 17, -41, 138, -38, 86, 52, 251 },
{ -53, 28, 90, -13, -90, 61, -20, 33, -48, 100, 41, -87, 47, 39, 87, -54, -58, 53, 27, 37, 70, -103, 142, 101, -57, -33, 64, -33, 37, 61, 111, 260, -79, 124, -67, 121, -66, 67, 98, -92, 86, 223 },
{ -35, -53, 87, 27, -39, 76, 31, -53, -38, -39, 58, -24, 48, 64, 60, -59, -80, 86, 41, -31, 43, -74, 85, 75, -52, -77, 90, -83, 51, 141, 86, 234, -47, 52, 62, -44, 151, 86, 14, 82, 53, 187 },
{ -84, 59, 52, 123, 135, -82, 10, 38, -92, -60, 45, 60, 24, 43, -37, 109, -38, 78, 28, -25, -76, 58, 200, -116, 127, -25, 75, -72, 34, 66, 138, 160, 88, 206, -147, 100, -78, 85, 49, -41, 35, 238 },
{ -38, -30, 62, 37, -71, 62, 34, 62, -69, -57, 96, -41, 84, 9, 73, -68, -63, 49, 93, -37, 87, -99, 72, 65, -55, -81, 59, 29, -13, 185, -76, 251, -47, 105, 72, -46, 118, 108, 48, -68, 200, 220 },
{ -56, 56, 85, -38, -48, -39, 61, 53, -49, -48, 66, 65, 43, 32, -69, 149, -58, 81, 45, -64, -94, 98, 68, 93, -80, -79, 91, -64, 61, 37, 241, -128, 243, 35, 64, 89, -61, 121, 35, -25, -79, 425 },
{ -75, 88, 74, -42, -35, -50, 72, 50, -82, -89, 151, -91, 38, 59, 124, -79, -77, 61, 30, 71, -39, -61, 102, 46, 110, 115, 47, 19, -41, 65, 88, 279, -102, 242, -102, 181, -64, -53, 77, -83, 128, 142 },
{ -59, 241, 147, -117, -72, 93, -15, 106, -129, 181, 16, 47, 77, 61, 97, -82, -59, 82, -79, 133, -169, 125, 48, 152, 182, -53, 105, -34, 192, -94, 308, -167, 401, -62, 155, 21, -71, 75, -115, 91, -179, 351 },
{ -21, -52, 54, 80, -70, 52, 46, 49, -103, -33, 46, 58, -61, 95, 112, -69, -95, 89, 40, -80, 105, -82, 85, 65, -57, -137, 204, -58, -53, 159, 66, 111, 68, 50, 91, -36, 153, 134, -59, 63, 70, 312 },
{ -48, 107, 61, -42, -96, 75, 123, 94, -65, -37, 75, 44, -25, 32, 99, -94, -80, 107, -3, -11, 38, -108, 119, 118, -67, -78, 78, 63, -93, 115, -51, 265, -93, 165, -80, 214, -101, 121, 77, -107, 169, 194 },
{ -52, 65, 73, -51, -112, 119, -26, 84, -90, -33, 175, -43, 53, 69, 150, -203, -36, 64, 79, -43, -26, 67, -39, 124, 150, -81, 106, -61, 76, -52, 183, -120, 286, 116, -57, 228, -111, 110, 97, -51, -78, 385 },
{ -59, 155, 108, -91, -98, 90, -111, 272, -338, 35, 146, 68, 59, 95, -148, 188, -93, 246, 123, -79, 201, -68, 129, -172, 304, -119, 125, -101, 158, 50, 197, -163, 243, 261, 91, 112, -154, 214, -113, 43, -185, 326 },
{ 327, -318, 296, -196, 350, 156, 94, 97, -288, 140, -161, 197, 144, 102, -353, 294, -73, 220, -66, 203, 158, -84, 252, -478, 659, -158, 183, -108, 121, 288, 65, 152, -115, 522, -281, 217, -225, 401, -220, 85, -310, 182 },
{ -16, -57, 48, 28, -73, 115, 89, -14, -54, -76, 57, 56, 49, -23, 149, -112, -105, 81, 53, -32, 61, -36, -19, 201, -205, -256, 374, -126, -76, 105, 168, 111, -46, 34, 225, -101, 220, 95, -162, 110, 106, 322 },
{ -31, 113, 67, -74, -123, 124, 46, 76, -67, -39, 114, 43, -81, 124, 115, -184, 79, -107, 132, -113, 239, -75, -67, 214, -129, -224, 199, -34, -51, 107, 27, 143, -44, 305, -193, 378, 133, -98, 76, -23, 114, 289 },
{ -36, 57, 270, -77, -86, 68, 31, 90, -98, 86, -22, -67, 119, 62, 199, -264, -71, 42, 145, -76, 47, 109, 22, -65, 208, -175, 102, 99, -75, 60, 65, 140, -155, 319, -203, 507, 178, -182, 142, -73, 122, 164 },
{ -54, 217, 91, -129, -80, 88, 188, 113, -223, 176, -78, 105, -71, 68, 195, -245, -137, 135, 129, -157, 278, -102, 80, -364, 681, 101, -129, 176, -64, 254, -106, 314, -369, 488, 74, 187, -183, 177, -99, -113, 254, -288 },
{ -143, 676, -198, -108, 192, 97, 177, 210, -196, 264, -219, 98, -89, 121, 159, -289, 170, -247, 38, 76, 252, -119, 202, -555, 1041, 212, -186, 250, 69, 259, 111, 262, -805, 472, -288, 462, -294, 285, -183, 165, -219, 118 },
{ 85, -66, 29, 151, -83, 107, 133, 20, -45, -78, 56, 47, 49, 80, 127, -133, -98, 146, 112, -46, 50, 87, 92, 176, -333, -432, 217, 105, -65, 104, 196, 61, -113, 89, 52, 159, 349, 240, 58, -137, 203, 164 },
{ -26, 287, 42, -63, 44, -21, -29, 29, 161, 122, -122, 138, 137, -93, 162, -166, 86, -81, 38, 66, 105, -58, 102, 152, -195, -431, 277, 120, -49, 152, 43, 42, -113, 546, -569, 700, 195, 114, 112, -231, 184, 160 },
{ 184, 63, -98, 252, 44, -28, 91, 41, -78, 82, -33, -29, 54, 69, 128, -209, -66, 34, 82, 83, 87, -126, 165, -62, 181, -205, 127, 125, -44, 112, -130, 234, -164, 302, -412, 795, 274, -94, 46, -51, 235, -153 },
{ 381, -110, 27, 276, 50, 108, -124, 396, -372, -99, 123, 100, 75, -243, 448, -374, 263, -275, 240, -275, 375, -226, -244, 299, 462, -240, 139, 263, 209, -147, 130, -155, -175, -86, 338, 505, 238, -345, -179, 81, 162, 272 },
{ -85, 91, 45, 88, -37, -49, 64, -63, -55, -23, 26, 68, -51, 69, 101, -64, -33, 50, 88, -63, 94, -44, 177, 79, -79, 86, -53, 62, -86, 96, 166, 292, -131, 65, 75, 81, -80, 24, 58, -51, 87, 162 },
{ -61, 41, 175, -24, -87, 61, 44, 61, -98, 45, 89, -116, 38, 31, 56, 107, -50, -32, 71, 50, -25, 73, 132, -94, 89, 51, -87, 64, 57, 20, 183, 182, 93, 71, 67, -65, -70, 131, 47, -33, -55, 259 },
{ -76, 90, 105, -62, -76, -80, 54, 88, -80, 24, 92, 52, -49, 30, 128, 154, -103, 79, -45, 110, 62, -86, 159, 25, 116, 104, 22, -75, 60, 43, 119, 264, 107, -60, 61, -84, -79, 63, 75, 18, 66, 142 },
{ -80, 90, 107, -48, -53, -38, 65, 57, -142, 101, 43, -49, 65, 33, 103, 138, -128, 82, 45, 129, -107, 152, 72, 61, 172, 71, 100, -100, 66, 40, 218, -187, 305, 17, -57, 90, -105, 79, -33, 56, -67, 213 },
{ -104, 134, -121, 193, -39, 59, 28, 64, -166, -92, 87, -95, 69, -112, 186, 338, 76, -49, 79, 90, 136, 116, -224, 99, 209, 153, 143, -56, 115, 194, -73, 237, 151, -279, 62, -153, -91, 94, 84, 34, -64, 116 },
{ -111, 107, 125, -42, 51, -54, 72, 216, -197, -98, 70, 25, 136, -80, 176, 165, -93, 87, -37, 110, -62, 109, -83, 256, 216, 99, 129, -53, 91, -103, 94, 215, 214, -178, -168, 236, -55, -216, 97, 108, 112, 58 },
{ -90, 81, 205, -73, -120, 104, -69, 192, -251, 80, 24, 182, 84, 47, -95, 208, -128, 116, -98, 45, 72, 48, -117, 288, 302, 348, 91, -103, 128, 50, 183, -268, 419, -146, -79, 155, -67, -130, 77, 46, -105, 223 },
{ 494, -100, 118, -68, 84, 135, -31, 209, -178, -104, -35, 83, 81, -61, 239, -172, -130, 58, 181, 97, -72, 112, 225, -175, 472, 240, -26, -26, 118, 163, 126, -226, 104, 408, -124, 172, -177, 282, -117, -119, -122, 300 },
{ -111, 79, 196, -57, 68, -52, 56, 243, -139, -73, -9, 162, 85, -88, 176, 394, 17, -113, 59, -31, 190, -197, -215, 330, 201, -69, 51, -90, 117, -57, 137, 380, -198, -151, 72, -177, 126, 71, 75, 50, 27, 176 },
{ -197, 131, 221, 112, 344, -132, 128, -269, 204, -60, -105, 262, -137, 118, -435, 454, 67, 66, -85, -49, 46, -133, 118, 480, 340, -161, 212, -100, 115, 257, 178, 207, -250, -175, 329, -252, 119, 126, -205, 270, -258, -108 },
{ 116, -263, -217, 399, 745, 221, -160, -135, 433, 41, 161, -341, 195, -342, -379, 945, -191, 210, -134, 201, -317, 393, 345, -512, 602, -272, -128, 283, -256, 525, 215, -256, 254, -508, -191, 126, 432, 154, -296, 295, -258, 192 },
{ -919, -758, 727, 602, 1034, 197, 118, 284, -247, 380, -610, -157, -334, 269, 161, 609, -290, 188, -285, 329, 328, -485, -963, 764, 379, -211, 171, -199, -600, -551, 985, -783, 899, -577, 339, -226, 788, 115, -403, 355, 357, -754 },
{ 16, -57, 115, -53, -24, 53, -25, 61, -20, 28, -57, 44, 44, 38, -50, 28, -43, 55, 71, -64, 68, -18, 61, 25, -40, -74, 80, -75, 24, 163, 167, 207, 15, 14, 67, -49, 18, 135, -30, 76, 51, 217 },
{ -44, 38, 125, -43, -24, -60, -48, 57, 61, -37, 68, 56, -47, 51, -126, 55, -33, 71, 48, -66, 73, 49, 90, 63, -53, -46, 64, -61, 24, 124, 172, 260, 13, 41, 122, -43, 142, 56, 11, -49, 56, 220 },
{ -26, 18, 86, -32, -54, -7, 23, 46, -29, -19, 59, -50, 59, 24, 85, -23, -33, 62, -17, 12, 73, -95, 72, 60, -58, -78, 63, -18, 29, 135, 78, 256, -23, 43, 41, -44, 66, 68, 86, -49, 94, 253 },
{ -37, 54, 39, -32, -61, 48, -31, 71, -31, -21, 43, -38, 43, 38, -77, 83, -25, 64, 40, 66, -50, 44, 53, 68, -64, -56, 63, -90, 117, -52, 200, 168, 170, -27, 69, 44, -31, 100, -23, 92, -92, 356 },
{ -54, 38, 111, -22, -75, 39, -31, 30, -27, 11, 75, -39, 55, -103, 121, -69, -43, 66, -35, 49, 52, -27, 78, 48, 77, -31, 27, 40, 90, -97, 209, 229, 207, -39, 111, -28, -28, 111, -66, 55, -96, 351 },
{ -20, -37, 35, 123, -39, 51, 99, 33, -66, -35, 58, -25, 43, -35, 40, 76, -33, 77, 30, -38, 148, -40, 15, 36, -59, -51, 12, 54, -46, 170, 104, 214, 30, 90, 68, -53, 168, 72, 95, -62, 112, 264 },
{ -43, 35, 89, -35, -81, 44, -19, 56, -23, 41, 48, -37, 38, 28, 138, -43, -8, -45, 68, 48, -74, 92, 27, 71, -45, -92, 86, 53, -46, 46, 118, 192, 114, 53, 51, 84, 165, -44, 78, -55, 54, 291 },
{ -41, 36, 104, -50, -85, 38, 63, 51, -78, 46, 85, -44, 17, 47, -66, 76, 31, -21, 27, 31, 62, -34, 126, -105, 99, -90, 74, -16, 94, -66, 123, 182, 208, 88, 184, -49, 105, 73, -110, 58, -42, 365 },
{ -45, 38, 324, -16, -43, 111, 37, 79, -129, -56, 103, -35, -15, 51, 118, -107, 31, -49, 87, -67, 114, -40, 52, 121, 196, 70, -22, 98, -12, 69, 85, 177, 167, 148, -92, 183, -70, -75, 40, -63, 69, 197 },
{ 131, -65, 63, -33, -72, 57, 174, 40, -71, 32, 95, -48, 17, -11, 96, 25, -59, 20, 111, -27, 215, -55, 73, 46, -39, -53, -16, 74, -81, 273, -175, 226, 51, 106, 26, -31, 189, 42, 129, -58, 151, 210 },
{ -42, 49, 41, -38, -51, 98, 46, 36, -30, 27, -12, 40, -21, 42, 51, -68, -95, 113, -38, 61, -38, 109, -61, 146, -68, -75, 81, -20, 72, -94, 244, -78, 244, -35, 113, 137, -44, 141, -85, 49, 36, 453 },
{ -30, 36, 243, -39, -66, 57, 23, 126, -46, 14, 98, -67, -57, 101, 108, -141, -78, 59, 61, -20, 41, -56, 50, 42, 115, 42, -24, 79, -74, 91, 46, 156, 205, 75, 87, 172, -97, 91, 51, -67, 103, 271 },
{ -36, 385, 45, -47, -27, 68, 100, 80, -143, -56, 38, -85, 113, 145, -218, 169, 148, 65, 60, -88, 131, 86, 37, -139, 252, -127, 153, -97, 122, 85, 119, -122, 323, 144, 229, 28, -119, 228, -208, 110, -113, 306 },
{ -14, -37, 182, 21, -19, 13, 64, 11, -48, -40, 27, 91, 18, 32, -17, -16, -102, 104, -62, 89, 95, -51, 58, 75, -136, -141, 145, -72, 135, -172, 171, 148, -118, 100, 161, -86, 142, 141, -25, 102, 123, 382 },
{ -38, 31, 88, -45, -40, 106, 37, 20, -15, -44, 71, -15, 50, 25, 46, -112, 41, -68, 92, 91, 30, -109, 123, 149, -123, -94, 25, 94, -135, 167, 91, 181, -150, 139, 122, 221, -97, 190, 74, -139, 266, 264 },
{ -24, 33, -72, 113, -19, 49, 109, 26, -73, 142, -25, -22, 22, 78, 154, -246, 88, -50, 36, 31, 145, -94, 82, 126, 120, -107, 62, 29, 108, -123, 149, -64, 333, -73, 126, 314, -122, 184, -107, 47, -70, 338 },
{ -20, 500, 40, -71, -48, 112, 18, 106, -100, 83, -27, -45, 67, 56, 270, -266, 76, -177, 117, -43, 164, -45, 95, -287, 519, 106, -106, 117, 40, 224, -184, 291, -390, 352, 105, 152, -175, 290, -207, 137, -206, 265 },
{ 529, -115, 172, -81, 173, 114, 242, -127, -58, -68, 87, 85, -82, 201, 171, -257, -149, 76, -123, 139, 75, 134, 268, -599, 840, 106, 97, 14, 141, -209, 423, -293, -474, 732, -478, 464, -292, 330, 143, -379, 166, 196 },
{ -8, 9, -22, 186, -59, 9, 98, 138, -64, -49, 6, 114, 32, 37, 26, -59, -139, 108, 176, 94, -51, 35, 114, 137, -238, -380, 242, -56, 73, -17, 321, 115, -89, 99, 84, 35, 355, 212, 120, -118, 186, 178 },
{ -22, 115, 23, -59, -29, 172, 12, 80, -39, 45, -35, 69, 67, 21, -85, 53, -76, 68, 102, -21, 154, -104, 121, 161, -245, -358, 181, 152, 40, -24, 59, 129, 129, -223, 325, 328, 186, 110, -193, 237, -80, 311 },
{ 317, 88, 30, -83, -109, 137, 91, 160, -161, 79, 57, -135, 68, 219, 158, -271, 69, -112, 30, 43, 136, -146, 261, -161, 455, -157, 188, -82, 299, 69, -268, 316, -314, -160, 405, 370, -185, 178, -250, 152, 207, -288 },
{ -45, 28, 113, -27, -72, 34, 20, -48, 78, 32, 74, -82, 82, -58, 85, -80, -43, -57, 63, 66, -91, 99, 40, 93, 76, 81, 29, 43, 42, 61, 259, 190, 125, 29, -80, 87, -64, 27, -28, 62, -67, 290 },
{ -65, 68, 119, -50, -77, -43, 42, 65, -63, 47, 89, 16, 43, -73, 87, 154, -97, 66, -53, 26, 101, -100, 191, -53, 132, 63, -50, 61, 63, 35, 95, 404, 45, 33, -54, -52, -62, 137, 32, -25, 84, 105 },
{ -54, 49, 75, -47, -79, 108, 41, -34, -62, 41, 48, -49, 45, 116, -44, 163, -93, 48, -20, 79, -50, 34, 175, -53, 130, 35, 76, -88, 73, 100, 192, 241, 146, -8, 71, -81, -43, 101, 42, 66, -106, 272 },
{ -63, 46, 134, -18, -73, 61, -34, 66, -79, -72, 95, -24, 69, 32, -93, 153, 64, -9, -24, 75, -26, 52, 112, 50, 155, 52, -77, 29, 87, -75, 198, 191, 181, -89, 117, -107, -54, 123, 32, 41, -90, 324 },
{ -59, 33, 126, -43, -64, 44, 95, 71, -126, 53, 11, 76, -45, 86, -68, 116, -74, -23, -29, 119, 113, -39, 69, 72, 199, 79, 38, -83, 100, -85, 147, 195, 212, 56, 146, -104, -44, 162, -63, 108, -83, 288 },
{ 39, -122, 56, -50, 155, 138, -37, 84, -154, 50, -33, 44, 40, 100, 78, 305, -71, -36, 70, -28, -69, -80, 277, -66, 183, 79, 60, -50, 75, 208, 79, 272, 117, 78, -113, -101, -62, 88, 132, 62, -150, 106 },
{ -77, 63, 123, -46, -62, -49, 44, 63, -123, 105, 17, 63, 196, -34, 139, 245, -63, 71, -28, 43, 27, -163, 246, 117, 112, 69, -55, -62, 69, 128, 122, 225, 127, -89, 96, -134, -41, 121, 58, 122, -148, 203 },
{ -70, 60, 181, -42, -95, -52, 104, 106, -141, 102, 179, -41, 36, 20, 41, 207, 48, -77, 95, 54, -100, 114, -167, 280, 181, -68, -35, -39, 99, 80, 153, 119, 321, -102, 98, -192, 23, 177, 58, 46, -76, 147 },
{ -82, 58, 228, -68, -108, 86, -61, 147, -186, 100, 98, -72, 153, 63, -155, 245, -98, 75, -36, 78, 69, -16, -201, 270, 304, 102, 82, -76, 88, 117, 140, -203, 369, -114, -110, 156, -89, 45, -93, 68, -56, 262 },
{ -130, 44, 168, 96, -37, 74, -89, 129, -275, -69, 110, -67, 76, 108, 125, 453, 48, -83, 59, 54, -23, -207, 279, -159, 250, 111, -20, -47, -150, 141, 174, 295, -166, 62, -172, -67, -60, 189, 72, 152, 106, 152 },
{ -113, 52, 165, 189, 163, 30, -45, 138, -184, -122, 36, -39, 115, -76, 151, 268, 84, 18, -28, 19, 50, -69, 107, 185, 200, -89, 69, -97, 46, 209, -102, 201, 188, -125, 219, -265, 114, 93, 113, 84, -145, 190 },
{ -218, 92, 178, 92, 287, -48, -117, 166, -92, -72, 74, -52, 107, 183, -281, 218, 288, 76, 88, -44, -232, 274, -286, 367, 414, 103, -80, 44, -70, 223, 187, -212, 441, -408, -58, 190, -110, 170, -181, 84, 296, -268 },
{ 552, -168, 124, -87, 194, 117, -104, 232, -148, -262, 129, -139, 163, -94, 188, 141, -156, 108, 28, 97, -159, -141, 173, 74, 439, 92, -64, 54, 117, -133, 284, -205, 176, 141, 78, 177, 160, -334, 78, 64, -221, 479 },
{ -228, 105, 401, 124, 147, -54, -93, -127, 334, -72, -365, 154, 223, -120, -417, 627, 72, 145, -175, 175, -260, -101, 346, 161, 418, -246, -79, 124, -255, 195, 263, 176, -440, -390, -360, 238, 341, 103, -129, 331, -192, 764 },
{ -302, 228, 439, -149, 419, -172, 114, 123, 203, -198, -236, 163, -165, 160, -425, 643, -197, 73, 87, 95, -367, 266, -188, 525, -268, -109, 159, -114, 202, -400, 290, -270, -452, 185, 192, 150, 212, 174, -308, -242, 94, 554 },
{ -282, 89, 378, 88, 381, 254, -151, 105, -184, -124, -148, 62, -79, 280, -133, 468, -84, 149, -290, 92, -205, 257, -331, 601, 344, -166, 88, 87, -251, 426, 179, 344, -600, 198, -317, 295, 387, -192, 160, -407, 538, -551 },
{ -195, 289, 193, 217, 336, -116, -219, 176, -448, -199, 94, -73, 82, 95, 330, 392, -135, 371, -109, 192, 237, -129, -511, 345, 633, -292, 122, 129, -41, -262, 603, 218, -336, -348, 408, -168, 299, 106, -149, 98, -148, 229 },
{ 9, -48, 117, -43, -28, 53, 11, 51, -24, 36, -28, -24, 112, -11, -17, 56, 32, -63, 49, 59, -79, 50, 85, -28, -25, -66, 25, -11, 55, 97, 220, 140, 76, -36, 45, -36, 62, 103, 12, 163, -103, 294 },
{ -25, 19, 57, -29, -24, 33, -25, 78, -10, -36, 44, -21, 75, -30, 85, -32, 14, 51, -10, 76, -51, 61, 19, 52, -53, -48, 48, -38, 93, -69, 245, 213, 70, 65, 58, 16, -21, 91, -42, 114, -107, 376 },
{ -15, -34, 133, -26, -24, 15, 50, 17, -31, -15, 85, 34, -27, 55, -29, 29, -37, 32, 51, -73, 103, -38, 105, -58, -23, -74, 59, -56, 66, 134, 97, 152, 56, 32, 58, -45, 17, 156, -28, 153, -91, 324 },
{ -30, 80, 45, -44, -65, 58, -29, 87, -29, 47, -27, 46, 80, -34, 87, -30, -39, -26, 48, -38, 67, 18, 75, -22, 83, -62, 105, 17, 84, -21, 149, 300, 113, 56, 78, -45, 65, 17, 32, -112, 55, 301 },
{ -9, -33, 112, -11, -32, 90, 27, 48, -33, 17, 74, -34, 98, -14, 57, 17, -55, 25, 37, -72, 165, -55, 48, -68, 119, -73, 62, -75, 68, 211, -123, 244, 75, 52, -28, -44, 76, 112, 70, 149, -59, 259 },
{ 8, -35, 80, -34, -31, 26, 107, 86, -44, -16, 44, -24, 83, -114, 92, -21, 36, -56, 24, 86, -65, 58, 130, -62, 56, -26, -35, 92, 72, -98, 185, 142, 124, 35, 113, -25, -15, 118, -46, 112, -85, 404 },
{ 18, -65, 107, -49, 51, 43, 22, 61, -39, -67, 25, 156, -37, 18, 79, -64, 32, 46, -47, 42, 60, -61, 114, -34, 106, -16, -36, 37, 86, -57, 137, 212, 190, 45, 143, -43, -34, 139, -28, -77, 72, 374 },
{ -49, 147, 37, -28, 196, 45, -66, 65, -24, -54, 77, 63, 76, -214, 181, -116, 39, -31, 47, -31, 80, -48, 71, 35, 221, -39, 76, -97, 101, 38, 114, 117, 293, 118, -93, 147, -52, 338, -98, 94, -137, 372 },
{ 146, -36, 78, -14, -65, 38, 183, 48, -40, 41, 63, -42, 103, -56, 66, -16, -13, -42, 117, -51, 140, 61, -61, -52, 126, -73, -26, 23, 137, 200, -142, 197, 94, 133, 12, -44, 239, 60, 163, -38, 176, 254 },
{ 9, -42, 313, -32, 103, 21, 13, -38, 150, -29, 53, -41, 80, 19, 28, -37, 46, 45, -29, 18, 84, -114, 30, 85, -85, -96, 72, -32, 79, -87, 180, 133, 113, 34, 84, 136, 97, -58, -45, 113, 22, 414 },
{ -43, 34, 395, -41, -46, 46, 134, 16, -35, -18, 131, -37, 47, -118, 114, -80, -44, 76, -106, 83, 44, -29, 64, -56, 130, 83, -21, -36, 71, 137, -172, 305, 175, 68, 83, 151, -51, -36, 97, -81, 97, 205 },
{ -36, 26, 176, -5, -50, 28, 66, 30, -76, 189, 22, -61, 141, -100, 175, -158, -46, 162, -113, -53, 64, 38, -48, 64, 303, -53, 67, 231, 37, 95, -51, 342, -308, 310, 105, 87, 120, -180, 33, -110, 122, 124 },
{ -15, -28, 14, 185, -5, 46, 42, -9, -16, -28, 39, -29, 66, -20, 43, -20, -40, 62, -49, 27, 127, 47, -106, 86, -65, -90, -17, 37, 179, -132, 230, 59, 124, -50, 129, -107, 116, 136, 56, 104, 95, 430 },
{ -28, 19, 136, -55, -49, 73, 162, 17, -13, 40, -21, 40, -18, 22, 48, -29, -36, 104, -27, 30, -82, 103, -137, 300, -94, -75, 88, -91, 53, 99, 141, -88, 260, -52, 148, 177, -68, 187, -92, 151, 24, 392 },
{ 12, -63, 169, -45, 21, 58, 135, 35, -45, -77, 109, 47, -52, 74, 151, -186, 61, -24, -22, 42, 51, -26, 119, -71, 134, -30, 67, 140, -132, 58, -66, 174, 236, 16, 116, 293, -87, 100, -45, -15, 133, 245 },
{ 357, -36, 34, -27, 79, 30, -32, 97, -87, -82, 31, 47, -31, 94, 204, -223, 152, -87, 141, 31, -65, 142, 90, -213, 322, -100, 82, 60, -35, 237, -122, 295, -194, 263, 257, 164, 227, -188, 88, -163, 292, -225 },
{ 326, -35, 25, -40, 90, 55, -99, 201, -91, 86, -78, 36, -124, 159, 165, -215, -83, 131, -39, 66, -36, 185, 207, -328, 647, 115, -124, 89, 18, -64, 293, -217, -232, 629, -359, 356, 284, -246, 217, -251, 158, 141 },
{ 300, -141, 330, 90, -248, 339, -95, 139, -163, -282, -281, 257, 157, 158, 157, -415, -98, 74, 115, -148, -159, 277, 433, -364, 926, -312, 323, 188, -297, 148, -288, 447, -381, 229, 416, -158, -282, -180, 335, -77, 381, -128 },
{ 123, -89, 135, 14, -33, 131, 16, 44, -31, -35, 81, 51, 61, -52, 100, -115, 53, -43, -78, 213, -35, 74, -153, 284, -210, -148, 93, -46, 88, 18, 136, 55, 67, 155, -135, 390, 190, -214, 232, 86, 153, 208 },
{ 86, 72, -61, 152, 98, -16, 50, 106, -102, -19, 11, 43, 137, -54, 261, -302, -62, 37, -47, 152, 36, 96, -228, 309, 127, -104, 95, 75, -37, 166, 52, -59, 40, 318, -325, 727, 98, -175, 183, -152, 163, 181 },
{ -21, 172, 70, -99, 196, -31, 136, -61, -50, 41, -79, 139, -117, 309, -388, 304, -66, 239, -107, 126, -146, 205, -142, 169, 143, -203, 136, 91, 16, 156, -165, 221, -280, -172, 385, 412, 167, -212, 197, -151, 261, -146 },
{ 21, -77, 145, -56, 27, 47, -37, 37, 100, 18, -69, 18, 66, 20, -39, -52, -44, 61, 18, 51, -78, 107, 47, 73, 56, -45, 39, -38, 97, 55, 248, 253, 81, -39, 72, -46, 11, 110, -28, 83, -37, 226 },
{ 62, -76, 35, -28, 15, 138, -35, 54, -47, -63, 166, -49, 65, -43, 80, 59, 66, 53, -56, 103, -82, 51, 40, 66, -43, -61, 62, -28, 113, -19, 210, 368, 110, -42, 50, 72, 79, -19, -23, 60, -41, 225 },
{ -48, 38, 101, -21, -56, 68, 24, 23, -115, -55, 92, -40, 46, 79, 42, 166, 87, -28, 78, 38, -43, -38, 100, 55, 96, 32, -30, 32, -44, 120, 136, 424, 101, -41, -92, 67, -66, 83, 12, 44, 41, 92 },
{ -30, 19, 85, -22, -62, 179, 41, 108, -67, 15, 58, -31, -27, 68, -117, 175, -83, 27, 9, -26, 126, -42, 144, -67, 190, 23, 119, -57, 67, -41, 109, 316, 137, 109, -122, 95, -21, -37, 81, -54, 69, 236 },
{ -45, 22, 155, -13, -59, 22, 29, 33, -64, -48, 72, -55, 100, 66, 94, -113, 76, 24, -32, 74, -73, 69, 90, 83, 163, 22, -36, -46, 142, -51, 189, 196, 295, -55, 139, -70, -53, 196, -74, 74, -120, 323 },
{ -71, 34, 171, 13, -62, 118, -106, 82, -109, -60, 15, 136, 17, 50, -101, 149, 119, -29, -84, 36, 116, -117, 202, 438, 195, -49, 66, 48, 37, 71, 91, 234, 237, -82, 129, -173, 53, 98, -89, 146, -60, 182 },
{ -54, 160, 33, -42, -77, 54, 56, -35, -29, 41, -42, 89, 55, 161, -220, 100, 98, -54, 111, -27, 102, -23, 40, 150, 288, -41, 50, -55, 80, 228, -109, 325, 160, 118, -115, 112, 48, -38, 103, -126, 133, 133 },
{ -138, 51, 292, -81, 106, -84, 42, 212, -175, -341, 89, 18, -147, 116, -160, 310, -93, -60, -59, -122, 182, -55, 189, 173, 188, 51, 56, 66, 148, -52, 265, 220, 184, -118, -137, 128, -82, 181, -66, 61, 114, 81 },
{ -147, 447, 158, -114, 61, -42, 140, 144, -23, -30, 74, -92, 24, 212, -197, 178, 66, -9, -252, 133, 35, 171, -136, 333, 281, -42, 82, 103, 28, 51, 230, -435, 346, 77, -270, 292, 119, -107, -55, 41, 159, 204 },
{ -324, -151, 554, 267, 73, 221, -510, -168, 456, 255, -458, -291, 264, 259, -498, 357, -95, -56, 250, 273, -695, -175, 313, 424, -223, 276, 123, -446, -394, -352, 737, 250, -527, 354, -53, 390, 97, -120, -140, 258, -326, 634 },
{ -81, 85, 126, -45, -93, 61, 117, 113, -123, 38, 24, 24, -31, 81, -110, 292, 26, -182, -77, 56, 295, -210, 278, 263, 195, -115, 145, 79, -27, -94, 283, 282, -155, -69, 188, 159, 120, -49, -73, -16, 50, 189 },
{ 8, -42, 128, -47, -21, 24, 86, 16, -10, 37, -38, 7, 64, 19, -51, 34, -39, -23, 100, -99, 184, -77, 123, -45, -25, -55, 25, -27, 75, 95, 143, 135, 73, 11, -37, -44, 69, 130, 89, 192, -129, 300 },
{ -41, 162, 34, -13, 46, -70, 105, -36, 53, 25, -48, 52, -24, 109, -33, 66, -48, 40, 76, -64, 105, -89, 80, -64, -32, -24, 66, -38, 44, 53, 123, 279, 75, 46, 104, -25, -21, 134, -16, 117, -116, 296 },
{ 7, -35, 122, -43, 10, -13, 85, 37, -20, 32, -51, 25, 9, 57, -41, 34, -20, -32, 88, -83, 171, -78, 100, -56, -22, -59, 25, -50, 101, 70, 107, 140, 50, 41, -5, -42, 78, 102, 94, 167, -117, 347 },
{ -38, 21, 126, -27, -56, 98, -25, 44, -37, 26, 6, -17, 46, 15, 97, -37, -53, 102, -44, 64, 86, -90, 89, 84, -33, -19, 59, -72, 90, -78, 101, 338, 77, 44, 104, -6, -35, 126, -40, 103, -107, 341 },
{ 7, -41, 107, -20, -13, 140, 48, 34, -15, 35, -52, 12, 36, 19, -64, 50, -19, -21, 83, -71, 161, -91, 94, -43, -24, -76, 22, -47, 82, 59, 111, 119, 98, -14, 44, -48, 89, 129, 58, 193, -81, 414 },
{ 10, -43, 139, -41, 15, -17, 80, 53, -25, -51, 83, -27, 26, -7, 72, -14, 22, 37, -182, 130, -92, 112, -73, 53, -44, -65, 86, -56, 84, -118, 201, 176, 52, 68, 134, -25, 123, 89, -39, 156, -92, 438 },
{ 11, -49, 155, -53, 55, 23, -34, 123, -31, -33, -14, 64, 51, -164, 77, -37, 24, -29, 81, -39, 95, -49, 65, -57, 90, -14, -25, 38, 63, -72, 114, 287, 84, 96, 150, -16, -33, 122, -12, -104, 121, 300 },
{ -52, 89, 36, -21, -52, 112, -12, 109, -52, -61, 17, -38, 49, 66, 20, -90, -54, 116, -126, 24, 130, -57, -45, 66, 208, 22, 19, -27, 129, -50, 149, 420, 53, 145, 191, -50, -33, 73, -42, -67, 66, 170 },
{ 86, -40, 102, -8, -53, 35, 75, 44, -18, 35, 85, -57, 22, 49, -77, 60, 144, -31, -60, 80, 166, -73, 102, -60, -28, -97, 30, -58, 104, 128, -50, 173, 96, -17, 47, -41, 254, 127, 61, 119, 144, 259 },
{ 6, -33, 153, -42, -34, 88, -2, 96, -41, 23, -31, 98, -24, 38, 114, -22, -55, 34, 61, -54, 152, -86, 35, -81, 85, -36, 35, -65, 68, 69, -63, 278, 50, 86, 122, -28, 87, -18, 130, -46, 91, 357 },
{ 11, -30, 155, -67, -31, 21, 53, 103, -33, 90, -28, -5, 47, -66, 55, -69, -61, 82, -8, 28, 113, -67, -56, 196, -55, 29, 38, -64, 81, -29, 78, 192, 168, 79, 69, 168, -50, 86, -112, 137, -25, 374 },
{ -44, 27, 153, 98, -16, -18, 119, 28, -56, -54, 24, -45, 91, 33, 71, -119, 129, -40, 77, -27, 32, 81, -76, 53, 244, 65, -71, 91, 33, 148, -67, 272, 150, 113, 106, 172, -66, 121, -142, -52, 57, 214 },
{ 91, -70, 37, -13, 178, -59, 134, -81, 118, 182, 25, 37, 41, 39, 47, -185, -42, 89, -30, -22, 119, 78, 55, -107, 416, -26, 128, 36, -92, 104, 113, 119, 154, 141, 78, 141, -50, -66, 45, -151, 85, 199 },
{ -10, -31, 59, 8, -21, 67, -20, 77, -21, -32, 19, 29, 72, 17, -67, 40, 26, -43, 82, -85, 163, 30, -85, 105, -68, -81, -94, 143, -133, 116, 156, 63, 115, 44, 61, -64, 75, 204, 170, -174, 262, 338 },
{ 8, -47, 168, -40, 7, -27, 117, 30, -26, 79, -44, 8, 47, 50, 43, -43, -42, 39, 103, -77, 78, -69, -70, 146, -100, -43, 56, -61, -87, 76, 222, -64, 186, 28, 108, 136, 118, -98, 45, 144, 66, 488 },
{ 12, -54, 154, -18, -54, 229, 124, 54, -62, 46, -50, 45, 57, -39, 116, -98, -74, 110, 46, -64, 116, -191, 69, -156, 199, 17, 186, -129, 46, 50, 162, -131, 199, 307, -52, 284, -50, 104, -24, -15, 77, 399 },
{ 10, 266, -68, 61, 43, 55, -47, 118, -61, -40, 84, -228, 103, -33, 162, -217, 87, -93, 32, 112, -66, 83, 136, -177, 289, 77, -129, 77, -97, 166, 152, -223, 378, 185, 145, 161, -67, 256, -134, -100, 124, 207 },
{ 110, -79, 115, -16, 78, 88, -51, -75, 23, -55, 181, -52, 114, -59, 140, -229, -67, 121, -76, 141, 161, -120, 108, -421, 776, 92, -89, -209, 132, -112, 380, 106, -198, 351, 90, 136, 194, -233, 192, -217, 170, -193 },
{ 32, -16, 2, 56, -88, 93, 83, 39, -10, -124, 123, -40, 48, 57, 77, -71, 136, -91, -69, 134, 36, 80, 94, -47, -90, -262, -51, 116, -17, 149, 192, 147, -82, 78, 153, -109, 300, 185, -89, 194, 189, 215 },
{ -12, -20, 51, -40, -99, 59, 165, 170, -29, -55, 143, 14, 31, 34, 79, -99, 66, -65, 94, -58, 126, -101, 134, 111, -206, -167, 84, -21, 138, -24, 54, 123, 99, -112, 261, 288, 167, -121, 211, -56, 182, 305 },
{ -22, 212, 79, -73, -53, 93, 126, 61, -65, -80, 95, 31, 90, 75, -55, -66, 94, -75, 46, 168, 165, -90, -74, 227, -84, -125, 76, 56, -88, 99, 192, -114, 156, -129, 309, 439, 116, -84, -82, 177, 88, 208 },
{ -37, 513, 36, -71, 164, 104, -97, 123, -85, 38, -86, 51, 28, 172, -237, 183, 86, -92, 52, 43, -40, -39, 181, -305, 358, 55, 29, -49, 205, -84, 125, -170, 183, -221, 319, 379, -87, -99, 204, -87, 148, 169 },
{ 759, -670, 564, -302, 182, 198, -252, 253, -122, -133, 381, -531, 268, -171, 177, -163, 171, 460, -746, 206, -524, 177, 173, -131, 433, 1102, -719, 228, 116, -362, -423, 480, -179, 920, -759, 435, 583, -1051, -205, -451, 866, -593 },
{ 55, -62, 129, -26, -29, 21, 78, 60, -51, 33, -22, 29, -31, 11, 92, 12, -28, -19, 89, -83, 175, -83, 40, -35, -24, -55, 18, -31, 98, 78, 167, 175, 76, -39, 44, -33, 70, 76, 71, 166, -125, 263 },
{ 12, -52, 139, -42, -33, 77, -30, 58, -17, 20, 63, -30, 115, 48, -42, 229, 35, -27, -33, 67, -130, 111, 49, -48, 48, -59, 12, -110, 108, 62, 222, 245, 118, 24, -16, -31, 7, 151, -27, 162, -119, 228 },
{ -32, 17, 99, -28, -56, -29, 87, 21, -35, 36, 52, 22, -32, 69, 85, -28, -47, 71, -26, -42, 122, -97, 56, 122, -24, -39, 56, -6, 58, 57, 109, 447, -36, 77, 57, -16, 113, 72, 44, -59, 114, 125 },
{ -33, -51, 142, 17, 30, 35, -23, 49, -75, 78, -31, -54, 51, 43, 63, 109, -57, 24, 52, 122, -111, 78, 54, 103, -67, 25, 45, -33, -29, 147, 195, 375, 89, 98, 25, 33, -54, 121, -43, 70, -96, 165 },
{ -40, 54, 44, -43, -46, -29, 116, 74, -27, 36, 55, -50, 114, -31, 90, -38, -50, 49, -14, 196, -108, 43, 162, 50, 102, 28, -54, 46, -53, 147, 155, 324, 173, -79, 95, -27, -35, 182, -47, 57, -82, 242 },
{ -30, 122, -45, 72, -43, 92, 39, -36, -19, 42, -28, -21, 107, 68, -76, 108, -68, 57, 31, -39, 104, -55, 80, 122, -27, 107, -247, 73, -56, 143, 81, 350, 139, 121, 110, -25, -42, 88, 13, -56, -41, 242 },
{ -31, -81, 224, -44, 30, 52, -75, 40, -93, 43, -27, -62, 153, 42, 110, 283, -30, -37, 20, 49, -111, -271, 193, 158, -77, -17, 46, 38, -63, 148, 173, 382, 38, -35, 91, -14, -32, 146, -45, 67, 90, 139 },
{ -67, 28, 132, 16, -33, -14, -36, 14, -32, 122, -150, 68, 64, 117, -135, 154, -60, 134, -66, 80, -56, -46, 197, 261, -88, 142, -31, 93, 115, 116, 121, 371, 104, 58, 197, -59, -34, 55, -25, -196, -101, 218 },
{ -46, 87, 30, -28, -52, 81, 131, -99, -33, 122, -30, -30, 46, 197, -189, 196, -48, 62, -29, -37, 101, -135, 73, 149, 96, 24, 89, -66, 227, -79, 203, 239, 217, 172, -174, 116, -28, 17, -41, 87, -104, 187 },
{ -117, 52, 195, -42, 90, -240, 57, -91, 136, -17, -47, 44, 78, -131, -256, 359, 25, 26, 42, 162, -62, 168, 349, -184, 294, -59, 108, 35, -272, 267, 142, 243, 116, -199, -101, 187, 82, -83, -67, 86, -97, 146 },
{ -111, 50, 261, -34, 280, -35, 250, 80, -127, -39, 52, -50, -46, 79, -166, 244, -77, 37, -220, 78, 107, -55, 164, 246, 232, 14, 151, 82, -62, 202, -56, 234, 232, -53, -257, 164, 109, -76, 85, -49, 176, 179 },
{ -41, 37, 87, 73, -61, -33, 35, -58, 137, -41, -66, 126, 31, 43, -182, 204, 108, 54, -57, 128, 85, -81, -148, 293, 362, 79, 35, -41, 139, 191, 218, 158, 249, -158, 110, -77, -44, 86, -49, -50, -33, 183 },
{ 136, -52, -271, 52, 154, -66, -73, 64, -53, 59, 109, 176, 56, 96, 98, -76, -49, -26, 62, 81, -25, -71, -25, 135, 498, -54, 70, -89, -116, 197, 227, -182, 257, 228, 81, -81, -74, 156, 204, -133, 138, 149 },
{ -515, -191, 555, 220, -115, 414, -94, -203, 172, 307, 75, -319, 205, -110, 234, 372, 133, -857, -333, 578, -280, -337, 149, 171, 417, 184, -77, 241, -329, 368, 559, 224, 100, -99, -174, -221, 132, -51, 400, 235, -134, -402 },
{ -353, 103, 624, 145, 300, 226, -126, -73, -238, -91, -826, -181, 396, 280, -313, 685, -152, 54, 232, -336, -122, 259, -750, 469, 379, -127, 90, -126, 198, -139, 469, 184, -519, -143, -239, 218, 54, 222, -315, 326, 126, 209 },
{ -27, 106, 123, 103, -183, -199, -170, 302, -137, 121, 173, -289, 164, 144, -127, 209, -140, 36, -132, 326, -186, 501, -248, 129, 358, -163, 69, -32, -76, 203, 158, -302, 366, 168, -314, 380, 515, -36, -232, -178, 129, 283 },
{ 51, -145, 160, -111, 5, -35, 148, -26, -10, 29, -60, 22, 86, 20, 27, -33, 5, -51, 152, -103, 256, -128, -27, 27, -17, -120, -48, 24, -104, 154, 246, 208, -98, -7, -6, -60, 66, 162, 190, 71, 234, 297 },
{ 7, -99, 117, -34, -16, -9, 130, -15, -76, 33, -51, 17, 78, 35, -67, 41, -35, -27, 72, -84, 242, -120, 126, -16, -34, -54, -21, 28, -62, 136, 138, 165, -102, 45, 45, -56, 98, 112, 196, -72, 291, 214 },
{ 12, -44, 116, -28, -28, 82, -29, 87, -23, 21, 58, -28, 154, -126, 10, 57, -47, 23, -35, 99, -97, 128, -86, 94, -47, -42, 48, -50, 146, -73, 177, 171, 100, -23, 139, -9, -10, 137, -43, 195, -125, 330 },
{ -18, -36, 122, -13, 20, -29, 100, -31, 50, -18, -19, 93, -20, 80, -9, 40, -31, 21, 65, -52, 157, -110, 114, -30, -21, 50, -33, 29, -79, 98, 58, 383, 29, 131, 138, -23, -17, 68, 85, -71, 141, 146 },
{ 10, -34, 56, -16, -7, -15, 147, -15, -4, 20, -47, 34, 71, 35, -85, 42, 17, -18, 54, -89, 232, -102, 69, -23, -11, -68, -17, -31, 85, 57, 140, 77, 125, -32, 25, -52, 110, 141, 89, 238, -97, 396 },
{ 10, -38, 71, -12, -46, 125, -8, 64, -51, 20, 61, -40, 105, 42, -36, 51, -21, 13, -28, 182, -75, -80, 126, -85, -18, -48, 31, -46, 134, -78, 156, 237, 52, 54, 129, -22, -16, 190, -28, 175, -110, 410 },
{ -11, -12, 16, -166, -43, 45, 148, -26, -28, 15, -59, 122, -18, 88, 18, -18, 53, -28, 43, -44, 176, -130, 102, -51, 69, -15, 37, -44, 105, -75, 76, 318, 125, 111, 117, -14, -19, 86, -40, 145, -80, 309 },
{ -33, 6, 77, -19, 20, -22, 94, 68, -71, -43, 73, -26, 186, 65, -35, -48, 22, -66, 57, -82, 212, -135, 69, 29, 184, 78, 65, -23, -44, 152, 52, 377, 114, 165, -82, 100, -26, -39, 174, -82, 65, 233 },
{ -8, -22, 14, 7, 8, -18, 136, -44, 2, 24, -51, 22, 101, 48, -60, 33, -14, 13, 74, -81, 200, -100, 61, -23, -14, -59, 61, -71, -17, 128, 148, 75, 87, -35, 55, -34, 109, 98, 59, 320, -92, 426 },
{ -8, -58, 161, 16, 52, -24, -25, 140, -39, 23, -34, 99, 93, -44, 73, -30, -62, 34, 17, 72, -93, 181, -113, 66, -32, 177, 27, -80, -85, 69, 241, -58, 189, 41, 196, -63, 90, -33, 37, 256, -125, 541 },
{ 45, -58, 146, -12, 28, -22, 61, 94, -57, -22, -51, 87, 60, 53, -38, 32, 93, -63, 135, -264, 217, -101, -61, 148, -57, 67, -26, -46, -62, 104, -54, 237, 141, 104, 238, -42, -45, 115, -74, 100, 43, 347 },
{ -24, 11, 72, 165, 5, -54, 151, -15, -48, 74, -38, 106, 45, 35, 46, -105, -44, 24, 45, -61, 135, 59, -136, 54, 198, 46, -58, 101, -77, 127, 86, 211, 253, 188, 145, 124, -48, 98, -91, -19, -48, 315 },
{ -77, 282, -80, 193, 66, -40, 63, 271, 123, -49, 67, -65, -199, -73, 84, -220, -22, -26, 147, 154, 126, -76, 180, -210, 444, 83, -54, 37, -59, 172, 64, 256, -351, 332, 235, -105, 53, -59, 52, -121, 42, 191 },
{ -7, -30, 16, 20, -19, 16, 95, -21, -10, -50, 27, 71, 34, 51, -63, 47, 14, 43, -44, -65, 238, -65, 65, -48, -151, -59, 36, -117, 44, 91, 132, 154, -34, 76, -23, -16, 181, -45, 225, 118, 160, 349 },
{ 9, -64, 115, 7, -59, -16, 171, -52, 60, -15, 82, -15, 80, 59, -62, 24, -56, 71, -39, 171, -79, 107, -118, 92, -49, -41, 69, -111, 81, -58, 143, 58, 193, 17, 117, 53, 82, -84, 199, 65, 69, 415 },
{ 7, -57, 98, -51, 65, -65, 136, 27, -39, 125, -46, -38, 173, -235, 98, -60, 75, -61, 43, 79, -86, 213, -53, -168, 196, 43, -46, -85, -79, 63, 134, -56, 280, 142, 172, 96, 56, -103, 154, -59, 82, 349 },
{ -23, 37, 151, 19, -67, 134, -52, 121, -35, 117, -45, 80, 45, -34, 78, -129, -41, 59, -252, 42, 180, -96, 110, -35, 244, 114, -66, 24, -254, 100, 68, 103, 241, 193, 364, -88, -19, 200, -172, 120, -116, 310 },
{ -42, 68, 265, -66, -74, 160, 62, -158, 81, 146, -83, 136, -16, 64, 221, -307, 132, -38, -149, -50, 74, 67, 134, -465, 748, 104, 41, 76, 69, -140, 107, 135, -99, 409, -65, 207, -38, -48, -70, -134, 98, 181 },
{ 87, -16, 126, -20, -53, 33, 11, 111, -22, -55, 29, 118, 43, 17, 67, -74, 141, -160, 109, -88, 222, 31, -92, 65, -101, -168, -43, 132, -61, 77, 183, 166, -53, 75, 15, -16, 370, -92, 268, 140, 145, 233 },
{ 128, -103, 58, 9, -10, 106, -21, 139, -65, 111, -40, 81, 29, 61, 95, -123, -48, 88, 31, -64, 106, -54, 47, 122, -159, -86, -69, 97, 142, -31, 189, 113, 138, -44, 128, 223, 102, -69, 125, 152, 99, 283 },
{ -21, -15, 56, -50, 221, -20, 145, 28, -88, -28, 133, -52, 47, -41, 38, -38, 41, 25, -23, -16, 134, -172, 111, -194, 166, -43, 71, -61, -18, 101, 32, 121, 42, 362, -259, 572, 166, -165, 139, -43, 214, 181 },
{ -80, 12, 423, 311, -95, 110, 99, -95, 76, 128, -102, -23, 29, 60, 119, -156, -139, 104, -155, 116, 112, -84, 291, -390, 376, -80, 127, 103, -148, -184, 292, 270, -341, 229, 344, 343, -159, 289, -345, 335, -378, 410 },
{ 11, -60, 143, -33, 40, -19, 92, -23, 6, 34, -40, -241, 257, 57, -68, 27, 11, -52, -21, 162, -111, -65, 198, -32, -27, -51, -13, 81, -68, 44, 207, 170, -109, 61, 29, -32, 174, 96, 101, 65, 208, 101 },
{ -17, -32, 14, 83, 25, -23, 110, -68, 19, -44, 47, -37, 142, 93, 118, -35, 22, 37, -23, 121, -129, 146, -65, 47, -18, -55, 36, -43, 134, -20, 205, 184, 150, 58, 12, -14, 68, 98, -41, 201, -111, 203 },
{ 104, -51, -42, 50, 14, 53, 86, -39, 22, 20, -29, -25, 32, 131, -66, 69, -41, 50, -21, 140, -115, 142, 71, -13, -16, 202, -44, 22, -32, -70, 169, 314, -59, 193, -41, 16, 105, -28, 167, -42, 181, 189 },
{ -35, 87, 88, 13, -33, 12, -68, 117, -39, 89, -35, 88, 39, -21, 117, -21, 81, -26, 76, -175, 197, -82, 131, 89, -48, -39, 16, -55, 92, -91, 119, 487, -33, 103, 123, -21, 172, 58, 83, -48, 122, 114 },
{ -35, -42, 113, 60, 110, 18, -41, 24, -30, -28, -18, 68, 121, -12, 41, -49, 105, -24, -26, -49, 199, -78, 195, 97, -50, -37, 80, -32, 199, -54, 109, 403, 134, -116, 210, -20, 198, 34, -53, 47, -84, 239 },
{ -35, -26, 150, -29, 95, -36, 92, 78, -51, 20, -291, 67, 83, 128, -50, 120, -32, 26, -34, -42, 166, -90, 112, -44, 83, 40, 26, -44, 188, -77, 112, 386, 136, 165, -37, 78, 61, -41, -27, 94, -96, 271 },
{ 132, -80, -33, 130, 47, 115, 25, -144, -16, 44, -65, 31, -39, 238, -101, 272, 43, -26, 24, -52, 215, -45, 151, 91, -74, 9, -130, -89, 149, -96, 74, 470, -273, 78, -32, -12, -44, 135, 142, 174, -98, 241 },
{ -76, 18, 44, -24, 158, -51, 95, -21, 99, -35, 94, 24, 101, 41, -96, 173, 11, -41, -231, -25, 111, -71, 76, 178, 71, 146, -10, 30, -59, 233, -42, 426, 158, 126, -96, 22, -64, 113, 16, 102, -91, 217 },
{ -40, 36, 110, -59, -22, 77, 106, 156, -32, -52, 87, -31, 45, 82, -91, 125, 145, -22, -283, 75, 139, -109, 51, 170, 122, -34, 79, 62, -85, 231, -80, 333, 199, 87, -83, 74, -39, 56, -14, -61, 80, 246 },
{ -75, 350, -60, 100, 15, 54, -75, 123, -52, -69, -26, 64, 76, 107, -123, -182, 119, -138, -36, -224, 109, 184, 157, 111, 457, 120, 59, 160, -39, 87, 147, -218, 220, 204, 147, -57, 124, -38, -80, -144, 117, 177 },
{ -71, 190, 60, -47, -41, -52, 151, 160, -201, 37, 50, -73, 150, -63, 93, 222, -254, -72, -32, 101, 116, 110, 137, 48, 184, -74, 264, 146, -554, 311, -201, 341, 147, -204, 184, -87, 41, 207, 39, -69, 77, 136 },
{ -63, 26, 147, -48, -81, 301, 90, 78, -73, 185, -269, -49, 32, 177, -130, 240, 17, -45, -179, 59, 112, -158, 232, 136, -40, -64, 183, 226, -20, -98, 289, 370, 116, -83, 160, -34, 47, -121, 43, 48, 112, 126 },
{ -73, 29, 372, -82, 165, 120, 115, -237, -70, -95, 70, 155, 73, 91, -146, 196, -319, -27, 124, -74, 184, -111, 158, 295, 135, 133, -297, 45, -62, 113, 74, 290, 268, -128, 270, -40, 8, -56, 171, -38, -169, 135 },
{ -296, 97, 189, 159, 483, -73, -77, 176, -172, -59, -105, 183, -129, 137, 149, 332, -188, 90, -102, -125, 259, -86, 243, 318, -239, 293, 45, 56, 335, -389, 615, -457, 168, 274, 125, -167, 130, -277, 313, -105, 76, -265 },
{ -250, 108, 132, -61, -117, -79, 45, -113, 310, 133, -80, -32, 272, -49, -119, 548, -276, 182, 235, -65, 78, -147, -747, 259, 428, 58, 94, -166, -25, 122, 559, 317, 161, -226, -149, 84, -27, -56, 115, 108, 201, -264 },
{ -89, 183, -82, 34, 67, 176, -175, -49, 28, -28, 73, 38, -56, -28, -98, 219, -31, -74, -58, -77, 233, -85, 137, 361, 161, -51, -58, 62, 169, -48, 245, 313, -131, 154, -181, 115, 123, 149, 67, 34, 71, -115 },
{ 299, 24, 104, 83, -86, -309, 46, -82, 36, -149, -108, -42, 67, -82, -104, 173, 353, 108, 137, 95, 133, 57, -264, 294, 233, -86, 140, -114, -95, 74, 151, 129, 187, -83, -87, -59, 38, -61, 66, 102, 202, 246 },
{ 85, -159, 135, -147, 7, -42, 176, -18, -21, 23, -63, 65, -37, 61, -77, 42, -113, -30, 114, -103, 290, -119, 87, -63, -20, -323, -40, 55, -116, 116, 264, 161, -119, 49, -17, -35, 107, 201, 220, -38, 327, 290 },
{ 60, -87, 45, -44, 23, -48, 122, -24, 8, 20, -51, 37, 96, 50, -73, 26, 23, -47, 110, -93, 217, -136, 73, -69, 9, -48, -32, 57, -101, 96, 216, 189, -117, 61, -23, -42, 104, 86, 182, -41, 268, 280 },
{ 78, -49, 102, 37, 10, 50, -83, 131, -17, 81, -45, 60, 30, 95, -44, 23, -39, -12, 60, -87, 169, -140, 144, -11, -20, 12, 46, 18, -96, 159, 56, 305, -113, 192, -39, 100, -18, -28, 111, -34, 243, 118 },
{ 30, -48, 65, -42, 27, -30, 110, -22, -6, 20, -59, 30, 79, 52, -60, 26, 16, -51, 63, -87, 167, -114, 109, -32, 32, -14, -41, 51, -120, 83, 243, 170, -119, 69, -31, -22, 147, -24, 249, -62, 354, 142 },
{ -10, -15, 21, -16, 68, -53, 97, -50, 141, -27, 48, 15, 172, 38, -40, 29, 32, -44, 119, -79, 194, -137, 104, -66, 21, -40, 35, 23, -49, 163, 48, 219, 91, 148, -32, 52, -11, 103, -49, 254, -110, 232 },
{ 189, -58, 145, -34, 35, 59, -46, 90, -24, 22, -43, 14, 56, 28, -23, 29, -38, 103, -12, -36, 262, -160, 223, -75, -11, 14, 9, -27, 150, -81, 101, 279, 135, 150, 52, 45, -19, 82, -57, 219, -150, 297 },
{ 5, -52, 68, -43, 38, -21, 134, -24, -13, 28, -65, 21, 152, 35, -55, 33, 21, -52, 47, -63, 193, -109, 95, -23, -15, -72, 79, 20, -125, 81, 202, 197, -108, 65, 21, -29, 103, 197, -31, 134, 273, 173 },
{ 54, -43, 98, -14, 14, -25, 64, -26, 32, -39, 136, -51, 163, 63, -65, 25, 21, 61, -40, 112, -185, 221, -74, -36, 28, -65, 25, -33, 210, -187, 241, 106, 112, 35, 146, -27, 45, 114, -40, 236, -136, 426 },
{ -13, -37, 111, -20, 32, -32, 99, 40, -43, -16, -59, 86, 40, -37, 102, 34, 19, 80, -48, 113, 119, -141, 120, -89, 88, -43, 15, -18, 107, -78, 148, 316, 29, 138, -48, 110, 106, -22, -49, 212, -129, 360 },
{ 91, -53, 125, -16, 47, -39, 63, 81, -199, -63, 103, -39, 213, 40, -79, 93, 51, 33, -42, 50, 226, -192, 107, -67, 160, -36, 56, -69, 135, -110, 120, 251, 105, 240, -34, 105, 229, -43, -36, 179, -81, 364 },
{ 33, 16, 184, -51, -22, -32, 130, 24, -25, 22, -42, 79, 55, 78, -72, 42, 27, -31, 67, -63, 167, -94, 100, -25, -22, -72, 102, -11, -102, 74, 175, 222, -132, 32, 99, -41, 76, 194, -35, 161, 256, 278 },
{ -17, -28, 35, -16, -41, -30, 80, 81, -24, 64, -69, 94, 31, 40, -67, 59, 15, -52, 77, 109, -127, 207, -94, -66, 91, -75, 57, 53, -161, 150, 123, 180, 28, 75, 159, -26, 89, 126, -93, 152, 164, 343 },
{ 34, -48, 27, 58, -27, 19, -30, 63, -25, -51, 188, -98, 93, 58, -72, 42, -48, 140, -33, 32, 254, -160, 56, -115, 108, 24, -22, 60, -164, 166, 36, 244, 67, 87, 270, -32, -31, 129, -69, 78, 104, 344 },
{ 114, -56, 22, 114, 78, -45, 180, -40, -229, -56, -123, 37, 191, -40, 73, -76, 108, -65, 20, -16, 191, -36, -145, 128, 109, -23, 73, 32, -106, 112, 89, 292, 146, 272, -46, 106, 69, -53, 116, -100, 91, 272 },
{ -41, 52, -70, 262, 189, -104, 209, 184, -147, -87, 65, -58, 91, 73, -115, -60, 72, -36, -31, 205, 43, 232, -91, -67, 198, 135, 51, -162, 150, -312, 210, 226, 157, 347, -137, 240, 83, -59, -70, -156, 114, 225 },
{ -14, -22, 43, -18, -24, -28, 129, 31, -30, -17, -15, 31, 146, 25, -72, 43, 48, -30, 25, -64, 199, -65, -32, 24, -30, -49, -48, 91, -100, 90, 146, 174, -71, 54, 54, -23, 104, 111, 188, -43, 334, 391 },
{ 68, -39, 38, -23, -20, -207, 241, -26, -18, -40, 73, -41, 65, 115, -75, 46, 44, -44, 81, 89, -53, 165, -52, -108, 76, -13, 61, -25, -62, -63, 171, 179, 79, 83, -36, 183, 137, 59, -51, 224, 100, 397 },
{ -11, -16, 25, 68, -33, 65, -17, 74, -34, 362, -52, 55, 67, 76, -97, 44, -20, -29, 53, 24, 64, 101, -139, -87, 136, 29, -23, 51, -121, 100, 41, 143, 183, 82, 155, 250, 58, -86, 166, -73, 121, 364 },
{ -34, 206, 16, -80, 22, 114, 54, 44, -95, -96, 29, 28, 122, -66, 102, -87, -55, -164, -41, 83, 40, 112, -202, 37, 251, 15, 68, -58, -36, 45, 217, -132, 302, 335, 281, -85, 56, 101, -205, 194, 100, 287 },
{ 94, -40, 294, 19, -95, 252, 144, -148, -59, -106, 126, 96, -75, -48, 159, -155, -88, 62, -194, 117, 114, -79, 93, -441, 556, 218, 105, -47, 64, 168, 86, 97, 146, 308, 233, -116, 65, -94, -102, -91, 187, 200 },
{ 40, -53, 80, 11, -83, 74, 13, 77, -32, -53, 31, 25, 92, -83, 63, -56, 110, -108, 63, -54, 182, -32, 52, -55, -58, -73, -142, 119, -127, 59, 241, 156, -45, 63, -56, 41, 298, -88, 217, 159, 130, 357 },
{ 93, -127, 72, 70, 29, 240, -12, -89, 226, -82, 230, -46, 48, -136, 56, -51, 54, -81, 71, 77, 133, -97, -58, 129, -119, -84, 109, -154, 93, -35, 152, 188, -73, 218, -140, 217, 106, -55, 134, 71, 146, 326 },
{ 7, -60, -160, 153, 258, -163, 164, 77, -148, -36, -28, 58, 50, -111, -90, 41, 44, -17, -20, 44, 70, 80, -92, 133, -166, 36, -191, 201, -65, 34, 206, 132, -130, 176, 231, 403, 77, -132, 153, 240, 183, 271 },
{ 13, -184, 383, -72, 141, 237, -51, 137, -84, 210, -110, -356, -140, 65, 34, -110, -140, -79, 34, 106, 124, -87, 200, -538, 367, -164, 135, 12, -71, 189, 146, 179, 123, -234, 470, 214, 85, -298, 303, 88, -302, 723 },
{ 67, -36, 32, -26, -22, -101, 119, -20, -13, -21, 43, -38, 197, 27, -41, 35, -11, 34, -61, 189, -130, 101, -42, -15, -16, -17, -33, -198, 136, -57, 233, 122, 163, -77, -17, -27, 86, 6, 130, 208, -116, 203 },
{ 75, -49, 148, -15, -27, 28, -63, 86, 20, 21, 59, -55, 80, -22, 87, -27, 9, -26, -12, 197, -153, 207, -69, -26, 14, -46, 28, -25, 123, -96, 243, 116, 174, 81, -42, 44, 66, 33, -10, 232, -127, 239 },
{ 84, -22, -26, 20, 17, -54, 123, -77, 141, 86, -21, 17, 126, 118, -50, 26, -17, 72, -41, 134, -116, 224, -111, 77, -34, -37, 19, -35, 61, -106, 185, 251, 214, -18, 93, 42, 73, 91, -72, 224, -138, 233 },
{ 52, -86, 86, 20, 15, 67, -39, -19, 15, 144, -60, 26, 58, 95, -53, 79, -15, 73, 14, -47, 188, -124, 170, -47, -11, -39, 23, -43, 152, -65, 180, 386, -70, 203, 53, 29, 53, 104, -85, 181, -105, 236 },
{ 12, -53, 75, -41, 7, 71, 45, 30, 65, 76, -48, 77, -49, -44, -43, 199, -21, 72, -51, 99, 266, -87, 98, -72, -22, -33, 70, 66, 39, -124, 117, 405, 158, 97, 8, 95, 81, 86, -75, 99, -139, 244 },
{ 100, -82, 95, -33, 15, 119, 33, 12, -24, -17, -14, -28, 130, 20, -30, 74, -25, 24, -53, -33, 316, -136, 131, -65, 67, 41, 145, -56, 49, -125, 136, 372, 53, 152, -81, 164, 113, -64, 100, 109, -142, 253 },
{ 55, -66, 147, 4, 37, -36, 90, 13, -91, -42, 30, 10, 124, 43, -32, 99, -59, 39, -45, -168, 346, -184, 89, 172, -21, 99, -53, 69, 94, -100, 128, 369, 54, -32, 123, 9, 31, 66, -60, 354, -138, 326 },
{ -7, -35, 250, -41, 72, -62, 160, 10, -82, -42, -36, 11, 172, 59, -43, 106, -52, 96, -95, 115, 202, -118, -72, 59, 148, 153, -18, 21, -43, -43, 271, 345, 116, -46, 115, 72, 249, -69, -40, 115, -79, 306 },
{ 150, -44, -56, -89, 25, 131, -44, 33, 127, 110, -118, -38, 15, 137, -72, 204, -64, 84, 115, 129, -92, -44, 191, -82, 94, 14, 71, -64, 106, -37, 146, 442, 134, -37, 54, -78, -15, 32, 108, 126, -79, 288 },
{ -42, 22, -30, -21, 275, -36, 114, 88, -219, -122, 159, -20, 8, 157, -73, 181, 88, -151, 18, -41, 67, -92, 146, 273, -52, 11, -16, 109, 138, -113, 78, 408, 90, 76, 186, -38, -21, 52, -75, 102, -138, 227 },
{ -78, 185, -38, 135, 60, -73, 234, -76, 78, -28, -93, 124, 50, -165, 90, -145, -29, 51, -77, 240, 134, -69, -71, 117, 184, -46, 62, -65, 243, -272, 353, 137, 244, 305, 185, -50, 12, 92, -159, 271, -208, 315 },
{ -48, 35, -61, 28, 167, 144, -65, 83, -82, -76, -42, 13, -26, 117, -29, 295, 184, 170, 66, 55, -100, 175, 168, 218, -72, -100, -71, 157, -59, 210, -143, 428, 78, -119, 56, -25, 31, 75, -79, 91, 85, 146 },
{ 18, -53, 202, -20, 312, -296, 102, 136, -56, -146, 48, -71, 103, 76, -188, 173, 124, -20, -71, 32, 184, -38, 93, 341, 82, -41, 51, 62, -94, 85, -106, 343, 265, -146, 183, -31, 66, -119, 100, -72, 142, 178 },
{ -54, 278, 227, -53, -130, 48, 39, -13, -508, 58, -116, 58, 181, 172, -146, 116, -29, 46, -93, 29, 140, -79, 76, 304, 337, -190, 160, -21, -59, 296, -128, 217, 185, 86, -122, -57, -17, 43, 149, -101, 253, 204 },
{ -66, 137, 329, 55, -141, 63, 171, 57, 59, -209, -700, -113, 142, -36, -133, 340, 116, -141, -115, 143, 184, -749, -171, 243, 397, 54, -50, 342, -63, -149, 349, 249, 116, 73, 191, -144, 521, -858, 217, 420, -161, 195 },
{ 41, -155, -483, 101, 760, 183, -130, 18, -180, -78, -286, 77, 70, -140, 170, 332, 64, 106, -127, -41, 145, 293, 146, 32, 134, -42, -16, 205, 55, 155, -179, 228, 153, -198, 105, 319, 27, 11, -112, 101, 52, 159 },
{ 60, -48, 90, -34, 45, -6, 151, -40, -9, -12, -47, 39, -30, 63, -28, 14, 15, -44, 61, -83, 268, -131, 77, -46, 22, -34, -22, 60, -117, 72, 231, 143, -125, 66, -30, -36, 98, 57, 197, -34, 290, 264 },
{ 32, -37, 36, -34, 15, -32, 107, -46, 14, 185, -73, 36, 195, 57, -50, 54, 99, -55, 57, -31, -100, -53, 199, -33, 24, -52, -13, 67, -132, 197, 140, 154, -100, 67, -13, -39, 71, 100, 132, -56, 305, 111 },
{ -25, -22, 421, 19, -21, 86, -33, -28, 207, 11, -43, 29, 274, 85, -55, 67, 52, 29, -84, 170, -99, -90, 83, -73, 42, -74, 76, -55, 218, -114, 224, 131, 164, 21, -35, -14, 15, 149, -20, 223, -125, 247 },
{ 24, -38, 24, -12, 19, -35, 90, -29, 43, -30, -35, 33, 116, 55, -48, 9, 26, -29, 32, -78, 154, -111, 137, -19, 9, -39, -26, 42, -66, 175, 177, 162, -100, 66, -24, -27, 68, 120, 169, -52, 224, 300 },
{ -15, -23, 30, 94, -20, 139, -59, -38, 103, -12, 18, -59, 136, 177, -58, 25, 28, -22, -28, 107, -218, 234, -56, 116, -30, -32, 63, -29, 231, -156, 234, 100, 60, 79, 61, 44, -16, 21, -68, 285, -128, 343 },
{ 133, -45, 199, -40, -57, -25, 82, -34, 130, 24, -21, -32, 57, -38, 37, -48, 66, -12, 41, -53, 202, -136, 113, -38, 121, -74, 118, -47, 213, -91, 275, 293, -86, 288, -79, 13, 192, 56, 10, 64, -90, 297 },
{ 120, -39, 101, 8, 49, -19, 164, -34, 9, 59, -42, -26, 172, 67, -66, 12, -16, 20, 27, -42, 210, -121, 139, -45, 28, -14, -42, 41, -121, 226, 77, 126, -96, 184, -31, -16, 305, 85, 147, -55, 378, 188 },
{ 37, -29, 17, -15, 31, 30, -50, 139, -30, 19, -50, -35, 66, -31, 22, 24, 25, -33, 44, 222, -115, 215, -121, 54, -28, -68, 121, -65, 233, -126, 141, 128, 229, -21, 259, -51, -19, 159, -28, 276, -134, 373 },
{ -45, 32, -48, 78, -22, -22, 243, -84, -17, 272, -48, 9, 182, 52, -33, 27, 52, 72, -71, 31, 267, -130, -53, 95, -47, -54, 48, 16, 144, -132, 225, 285, 92, -39, 241, 109, 111, -80, -30, 187, -76, 330 },
{ 157, -85, 38, -48, -44, 154, 255, -97, 51, 18, -89, 34, 272, 28, 21, -55, 89, -38, -95, 55, -53, -113, -63, 173, -55, 30, -30, 108, 138, -90, 186, 359, -41, 236, 395, -9, -38, 114, -96, 162, -83, 353 },
{ -7, 13, 164, -80, -29, -34, 152, -30, 11, 37, -32, -35, 87, 99, -71, 91, 36, 141, -15, -20, 231, -117, 13, -32, 35, -57, -34, 48, -118, 29, 235, 186, -119, 144, -35, -14, 170, 121, 127, -74, 400, 285 },
{ -9, 14, -32, 14, 20, -42, 158, -44, -21, 206, -61, -26, 105, 78, -145, 58, 11, -59, 105, 35, 158, -190, 164, -24, -37, -41, 66, -60, 134, -169, 180, 122, 85, 180, -51, 152, 154, -28, -49, 380, -126, 482 },
{ -16, 128, -36, 20, 12, 157, -28, 199, -74, -67, -8, -315, 229, 55, -60, 56, -6, -61, 128, 10, 121, -65, -70, 81, -67, -41, 86, 147, -162, 212, 109, 211, 83, 88, 306, -19, -27, 119, -64, -46, 188, 315 },
{ 249, -68, 53, -37, 111, -55, 322, 114, -66, -69, -47, 49, 226, -38, 69, -110, 64, -89, 96, -23, 314, -122, 34, -148, 183, 157, -32, 71, -131, 58, 156, 297, 76, 280, -138, 117, 24, -71, 439, -50, 82, 259 },
{ 193, -82, 185, -121, 90, 185, 186, 78, -27, -157, 87, -47, 243, -204, 61, -116, 176, -117, 49, -98, 159, -92, -43, -116, 248, 53, 205, -90, -32, 137, 189, 320, -95, 328, -79, 108, -51, 107, -101, -183, 200, 267 },
{ -13, 142, 28, 58, -66, 134, 174, -38, -50, 17, -27, -26, 73, 162, -68, 35, 59, -56, 41, -54, 188, -43, -58, -11, 22, -60, 155, -50, -81, 88, 157, 159, -66, -35, 96, -5, 111, 155, -83, 258, 260, 361 },
{ -9, -28, 53, 53, -36, 88, 51, 23, -64, 406, -80, 7, 188, -58, 78, 21, 83, -63, 19, 298, 149, -54, -148, 221, -56, -69, 77, 128, -170, 131, 84, 134, 46, 95, 30, 122, 127, 90, -113, 162, 154, 506 },
{ 7, -34, 75, 16, -24, 269, 65, -53, -22, 46, -27, -20, 137, 64, 87, -83, -36, -42, 92, -34, 217, -54, -49, -113, 130, 193, -97, 73, -108, 99, 94, 198, 59, 122, 276, -101, 43, 94, -79, 83, 40, 400 },
{ -9, 71, -28, -88, -49, 93, 133, 112, -61, -50, -43, 24, 101, 62, 36, -120, -109, 34, -32, 137, 214, 347, -86, -149, 151, 23, -34, -145, -69, 102, 144, 173, 181, 412, 189, -106, 64, 117, -120, 80, 206, 361 },
{ 17, 402, -207, 275, -33, 187, 103, -225, -105, -153, 129, -7, 67, 111, -33, -148, 42, -104, -58, 114, 98, 166, -70, -342, 546, 350, 57, -25, -36, 62, 216, 195, -165, 517, 86, -74, 76, -134, 94, -81, 212, 256 },
{ -19, -34, 22, 126, -45, 140, 24, 17, -70, 62, -68, 88, 62, 34, 31, -36, 103, -98, -47, 101, 106, -35, -42, 114, -75, -99, 102, -61, -61, 50, 217, 113, -32, -28, -16, 67, 213, 121, -114, 329, 168, 412 },
{ 12, 138, -110, 242, 25, 191, -211, -23, 107, 136, -110, -121, 89, 65, -307, 12, -35, 27, 42, 125, -117, 53, -107, 198, -87, -101, 222, 63, -190, -129, 272, 252, -137, 49, 99, 229, 112, -133, 185, -58, 315, 410 },
{ 21, -37, -37, 27, -234, 75, 24, 63, -56, 26, -89, 29, 37, 49, -78, 29, 27, 37, -89, 178, 123, -77, -305, 360, -131, -124, 70, 70, -97, -19, 53, 134, 201, 103, 223, 262, 132, -233, 189, 175, 173, 316 },
{ 84, -129, 58, -152, 98, 131, 270, 155, -57, 109, -86, -86, -360, 83, -157, 95, -99, -136, -99, 206, -239, 13, -116, -159, 251, 94, -99, 184, -76, 20, 287, 196, -131, 314, 327, 53, 81, 202, -188, 281, -211, 470 },
{ 88, -35, 21, -37, -10, 13, -29, 94, -15, 32, -48, 22, 238, -244, 28, -25, 50, -49, -23, 187, -121, 153, -60, 27, -14, -38, -4, 15, 160, -76, 184, 161, 168, -22, 19, -25, 82, 27, -27, 253, -118, 169 },
{ -16, -48, 156, 16, 56, 24, -55, -33, 56, 146, -47, -30, 89, 71, 73, -27, -16, 40, -42, 214, -155, 114, -83, 45, -33, -34, -22, -34, 233, -111, 202, 132, 200, -36, 111, 204, 35, 31, -64, 112, -151, 223 },
{ -10, -31, 33, 110, 135, -29, -43, -49, 97, 19, -30, -9, 97, 130, -52, 25, -41, 108, -79, 244, -190, 143, -81, 116, -22, -63, 46, -61, 290, -100, 249, 195, 254, -52, 62, -16, 13, 139, -82, 93, -149, 229 },
{ -15, -43, 247, -26, 30, -24, -17, 105, -43, -23, -26, 21, -26, 49, -34, 137, 88, 159, -79, 110, 275, -116, -36, 134, 80, -69, 29, -50, 294, -147, 127, 158, 303, -58, 27, -32, 14, 199, -57, 85, -157, 281 },
{ 128, -56, 14, -19, -28, 87, 154, -93, -10, -31, 325, -36, 47, 39, 150, -12, 8, 90, -85, 195, -70, -67, -61, 190, 351, 10, -49, 39, 114, -104, 361, 294, -83, 266, -61, 25, -24, 182, -28, 131, -106, 328 },
{ -13, 382, 14, -52, -59, 183, -67, 26, 82, 171, 57, -31, 55, -34, -24, 145, -18, -31, 34, -33, 367, -143, 165, -77, 396, -7, 19, -55, 281, -129, 148, 274, 235, -41, 57, -38, 12, 49, -53, 76, -134, 202 },
{ 434, 135, -108, 104, 9, 196, -49, 36, -35, -63, 694, -26, 223, -51, -21, 117, -40, 92, -34, -25, 348, -153, 128, -87, 35, 154, 93, -58, 92, -118, 121, 279, 213, 76, 493, -29, -28, 27, -42, 50, -143, 239 },
{ 183, -86, -97, 32, 22, 200, -49, 19, -44, -57, 107, -39, 176, 45, -48, 28, 120, -500, 58, -34, 193, -190, 251, -46, 31, 57, 129, -65, -50, 92, 247, 321, 176, -19, 193, -311, 21, -39, 238, 40, -149, 303 },
{ 272, -285, -24, 69, 42, -102, 296, -84, 16, 135, -102, 89, 290, -88, 40, -33, 316, -66, 59, 41, 179, -214, 71, 65, 77, 71, -62, 39, -48, 68, 109, 279, 124, 111, -72, 24, -72, -36, 300, 101, -125, 394 },
{ 432, 98, 48, -50, -63, -35, -192, 63, -73, 212, 127, 14, -113, 197, 67, 40, -25, -17, 248, -93, 240, -126, 208, -87, 417, 4, 27, -112, 269, -129, 78, 454, 216, 38, -43, -101, 10, -18, 201, 47, -86, 142 },
{ 100, 90, -41, -50, -38, 220, 35, -47, -24, 23, -24, 97, 140, 19, 131, 145, -90, 81, -48, 22, 128, -176, 99, 172, -55, 133, 72, -73, 97, -133, 129, 375, 136, 95, 133, -9, -48, 55, 10, -28, -102, 251 },
{ -13, 29, -101, 165, 193, -37, 203, -81, 24, 85, -735, 25, 223, -21, -73, 139, 24, 144, -135, 92, 343, -193, 31, 43, 126, -6, 102, 9, -293, 84, 152, 324, 186, 178, -54, 139, -99, 95, 86, -83, -170, 218 },
{ 177, -169, -90, 136, 83, 72, 414, -117, 84, -86, -889, -57, 178, -190, 165, -130, -71, 97, 182, 498, 152, -82, 70, 452, -74, 101, -265, 125, -165, 346, 236, -368, 411, 132, 311, 103, 49, 170, -172, -232, -183, 310 },
{ 66, -78, 40, -102, 305, -69, 86, -76, 103, -128, 214, 30, 172, 199, -62, 187, 61, 202, -73, 32, -28, 209, 225, 153, 55, -119, -20, -147, 43, -144, -94, 483, -280, -122, 29, -279, 150, -367, 307, -43, 289, 118 },
{ 29, 646, -110, -31, -30, 320, 79, 29, -27, -93, 87, -43, -37, 60, -86, 182, -31, -40, 76, -16, 33, -49, 143, 135, 88, 47, -96, -27, 595, 158, -110, 348, 225, -79, 61, -46, 266, 224, -29, 53, -108, 275 },
{ -46, 38, 283, -30, -90, 222, -794, 86, -29, 649, -51, 60, 158, 207, -76, 252, -122, 115, -76, -77, 124, -146, 76, 161, 94, 26, -75, 61, -45, -104, 118, 369, 243, -81, 163, 244, -124, 70, -33, -31, -109, 224 },
{ 26, -97, -57, 110, 98, -78, 179, 13, -61, 79, 122, -43, -259, 49, -71, -90, -86, -57, 69, 142, 224, 65, -67, 309, 50, 23, -33, 99, -136, 226, 220, 191, 317, 92, 82, 63, -48, 327, 51, -114, -75, 208 },
{ -54, 73, 218, -97, 49, -485, 98, -188, 270, -93, 152, -75, 159, -520, -78, 182, 117, -54, 191, 57, -142, 258, 267, 331, 135, 66, -88, 39, -19, -38, 250, 361, 222, -183, -199, 611, -128, 149, -159, 291, 313, -212 },
{ -81, 102, -145, 180, 175, -79, 89, -70, 54, -87, 64, 123, 73, 408, -87, 132, -160, 68, -148, 149, -145, 56, 203, 206, 196, 33, -44, 42, 91, 248, 309, 400, 171, -246, 94, 20, 80, -51, -144, -43, -164, -104 },
{ 207, -134, -95, 181, 369, -908, 77, -108, 587, -77, 343, 58, 142, 101, 331, 111, 252, -55, 46, -467, 97, -192, 163, 345, 370, 107, -107, -95, -98, -103, -52, 354, 286, -99, -29, 183, -62, 231, -57, -127, 638, -44 },
{ 47, -178, 526, 189, -67, 205, -165, 150, 204, -231, -36, -59, -967, 211, -227, 179, 281, 1112, -431, -121, -23, 236, -51, 386, 263, -271, 372, -270, -199, 307, -444, 219, 175, 676, 128, -169, -166, 60, 514, -85, 660, 411 },
{ 7, -49, 154, -17, 93, -36, 93, -21, 9, -9, -8, 11, 194, 23, 7, -29, 9, 18, -34, 163, -73, -46, 89, 104, -12, -10, -13, -52, 181, -58, 115, 242, -26, -22, 58, -18, 61, 146, -29, 84, -115, 169 },
{ 57, -33, 160, 9, 13, -3, -28, -52, 82, -12, -38, 17, 192, 45, -14, -12, 101, 19, -28, 180, -84, -43, 86, 96, -18, -23, -10, -43, 250, -66, 133, 256, -52, 36, -42, -23, 57, 462, -15, 93, -96, 179 },
{ 85, -27, 251, -34, 18, 133, -57, -49, 153, -36, -23, 11, 72, 43, -37, 512, 153, 35, -76, 134, -128, -64, 7, -12, -20, -65, 165, -42, 253, -114, 195, 164, -46, 233, 364, -35, 103, 37, -71, 105, -126, 216 },
{ -17, -46, 45, 224, 20, 98, -75, -38, 45, 13, -41, -16, 111, 51, -13, 11, 195, -50, 58, -16, -139, 185, -39, 54, 5, -21, -47, 36, -118, 209, 128, 252, -55, 141, -28, 6, 73, -20, 133, -18, 300, 122 },
{ 572, -32, 45, 13, 89, 59, -91, 235, -51, -15, -55, -47, 107, 90, 39, -40, 94, 52, -108, 108, -204, 168, -64, 191, -36, -52, 63, -35, 175, -129, 206, 268, 249, -34, 27, 79, 46, 136, -50, 121, -188, 305 },
{ 584, -62, 24, -30, 69, 30, -71, 36, -17, 253, -57, -37, 21, 19, -25, 13, -56, 203, -46, 164, 215, -109, 114, -51, 87, -35, 40, -23, 124, -137, 147, 186, 177, 184, 35, -35, -58, 54, -71, 74, -177, 290 },
{ 27, -71, 191, 14, 26, 50, -37, -62, 76, -22, -39, -11, 89, 144, -89, 18, 29, -34, 54, 234, -114, -30, 110, -30, 54, -35, -33, 183, -64, -62, 172, 336, -101, 54, -32, 19, -20, 243, 94, -63, 401, 228 },
{ 94, -48, 17, 11, -33, 32, -49, -37, -13, -10, -24, -30, 67, 30, 123, -54, 44, 112, -29, 98, -154, -41, 132, -19, 63, -49, 78, -20, 206, -184, 241, 270, -29, 172, 108, -24, -22, 133, -40, 328, -85, 379 },
{ 53, 148, -43, 25, -46, 17, 156, -45, -29, 71, -77, 19, 137, 70, -74, 48, 140, -18, -39, 77, -65, -122, -32, 195, -86, -38, 95, -59, 67, -208, 211, 122, 257, 271, 33, 228, -36, -19, -38, 273, -117, 328 },
{ -29, 26, 320, -175, -189, 416, -45, 165, -208, -46, 46, 53, 80, 17, 59, -96, 188, -549, -110, -31, 143, -185, 46, 213, 540, 37, 329, 47, 192, -53, 262, 227, -71, 535, -43, 54, -186, -67, -61, -49, -69, 304 },
{ 87, -28, 232, 16, 7, 120, -56, 370, -64, 129, -48, -33, 91, 84, -43, 32, -15, 33, -13, 184, -86, -32, -46, 42, -28, 21, -37, -28, 110, -92, 173, 177, 215, -63, 29, -6, -23, 252, -31, 410, -133, 396 },
{ 15, -42, 52, -8, -45, 126, -30, -77, 158, 6, -92, 268, -102, 126, -34, 185, 192, -69, 75, 41, -62, -93, -38, 64, 292, 26, 36, -24, 322, -170, 163, 92, 180, -54, 68, 88, 90, -84, -43, 434, -65, 372 },
{ 83, 166, -52, 135, 20, -55, 297, -102, 20, 32, -56, 192, -19, 111, -54, 34, -32, -68, 72, 97, -99, -140, -41, 207, -32, 43, -34, 69, -95, -107, 193, 124, 363, 113, 161, -72, 175, 186, -85, 162, -40, 313 },
{ 15, 724, -62, -32, -104, 200, -66, 327, -140, 53, -91, 113, 95, 23, 145, 48, 39, -92, 43, 77, 225, -147, -61, -123, 114, -50, -33, 113, -101, -141, 271, 111, 205, 570, 135, -22, 294, -38, -36, 181, -158, 359 },
{ 49, -70, 347, -90, -24, 55, 82, 63, -135, -127, -36, 26, 447, -50, 39, -170, 88, 204, -81, 131, 206, -59, -188, 540, 38, -88, 158, -159, 589, 116, 158, 246, 223, 321, -164, 131, -69, 78, -140, -132, 88, 261 },
{ -35, 108, 13, 17, -32, 325, -23, -57, -29, -15, 87, -69, 145, 59, -30, 32, -66, 100, -40, -41, 316, -66, -93, 28, 139, 38, -15, -71, 99, -64, 112, 136, 38, -33, -47, 37, 153, -70, 132, 374, -115, 451 },
{ -31, 17, -33, 21, 286, 77, 273, -48, -11, 103, -12, -1015, 760, -66, 70, 60, -175, -45, 76, 194, -41, -110, -54, 152, -37, 61, 54, -31, 176, -134, 60, 184, -248, 326, -53, 142, -101, 44, 243, -62, 309, 409 },
{ 57, -6, -58, 48, 314, 43, 57, -30, -36, 100, -48, -59, 62, 59, -35, 57, -50, 98, 106, -60, 251, -84, -91, -116, 321, 105, -29, 20, -48, -91, -67, 318, -59, 279, 265, -153, 46, -32, 141, 215, 84, 356 },
{ 152, -66, -136, 14, -123, 281, -126, 237, -34, 335, -581, -141, -90, 80, 78, 225, 123, -11, -193, 231, -92, 187, -157, -108, 183, -41, -48, 143, -129, -125, 240, 152, -121, 527, -76, 218, 76, -100, 323, 140, -64, 228 },
{ 35, 377, -246, 386, 526, -261, 118, 21, 59, 231, -96, 84, 151, 74, -123, -95, 101, -78, -111, 71, 146, 212, 266, -179, 463, 231, -32, 122, 103, -148, 195, -123, 118, 283, 149, -33, 35, -163, 372, -109, 264, 188 },
{ -13, 129, -11, 21, -55, 313, 18, -32, -47, -51, 168, 29, -34, 39, 228, 54, 68, -53, -26, 21, 172, -49, -199, 255, -104, 98, -45, -47, -96, 93, 175, 127, -16, -131, 81, -16, 155, 222, -104, 206, 212, 471 },
{ 4, 9, -91, 223, 205, 244, 35, 155, -57, -172, 177, -356, -131, 213, 91, 29, -166, 173, -88, 160, -78, 53, -39, 181, -69, 112, -60, -143, 231, -172, -56, 228, -107, 711, 71, 131, 105, -148, 196, -111, 197, 339 },
{ 55, -71, 51, -28, 240, 34, -710, 243, -25, 68, -146, -133, 83, 145, -371, -100, -94, 432, 121, -36, 58, 98, 103, -136, 231, 131, -241, -57, -181, 198, -164, 125, 217, 301, -255, 362, -304, -68, 143, -59, 245, 251 },
{ -828, 236, -390, 207, -124, 251, -166, 472, 493, -165, 81, -95, 194, -1108, 77, -68, -238, 178, 124, -53, 370, -111, 267, -619, 358, -61, -96, 195, -172, 333, -133, 228, -153, 213, 427, -86, 210, -165, 180, 283, 209, 419 },
{ 95, -21, 27, -24, 8, 11, -60, 108, -29, 27, -29, -21, 84, 78, -29, 16, -9, -17, 20, 142, -110, -40, 199, -28, 16, -23, 436, -36, 123, -52, 132, 278, -27, 55, -8, 20, 3, 162, -42, 87, -120, 155 },
{ 61, -30, 50, -56, 16, 32, -88, 126, 11, 75, -51, -26, 112, 97, -33, -12, -12, 374, -36, 61, -159, -44, 222, -22, 18, -42, 161, -47, 232, -137, 239, 466, -39, 83, -16, -12, -10, 50, -62, 88, -114, 195 },
{ 14, -65, 216, -29, -57, 57, -77, 62, 149, 138, 72, -41, 103, 181, -24, 94, -56, 9, -86, 78, -171, -37, -20, -21, 109, 24, 58, -31, 228, -98, 199, 242, 205, -33, 122, -24, -30, 22, -46, 95, -153, 172 },
{ 157, -31, 15, 86, -24, -54, 600, -52, 14, 149, -86, 613, 51, 65, -54, -31, -20, 424, -90, 43, -89, -105, 533, 132, 282, 278, 56, -55, 290, -145, 182, 213, -66, 45, 82, 5, -31, 96, -101, 122, -136, 254 },
{ 540, -39, 46, -41, -89, 101, 131, -52, 20, 37, -35, -39, 40, 32, 535, -65, -58, -53, 51, 308, -77, -102, 151, 143, -50, 412, 78, -67, -39, -52, 391, 255, -104, 297, 26, -20, -59, 686, -65, 75, -144, 278 },
{ -18, 627, 65, -55, -60, 296, -85, -56, 388, -37, 61, 217, 88, 188, 108, -34, -30, -115, -142, 58, -124, -66, 57, 272, -15, 51, 188, 457, 279, -129, 192, 274, -80, -37, 33, 195, -22, -130, -161, -58, 253, 121 },
{ -22, 36, 48, 151, -38, 196, -46, -82, 13, 155, -29, 53, 168, 82, -81, -25, 82, -61, -16, 79, -127, -116, 196, 284, 122, -73, 889, -41, 151, -175, 300, 188, -54, 160, -26, -24, -50, 67, -30, -31, 231, 145 },
{ 199, -36, -47, 29, -18, 330, -54, -80, 147, 41, -100, 306, 55, 22, 48, -26, 167, -37, -147, 143, -191, 294, -88, 187, -22, -39, -32, 129, 175, -191, 238, 132, 317, 50, 58, 162, 15, 29, -34, 579, -85, 125 },
{ 225, -629, 21, -94, -152, 379, -78, 79, -75, -31, 88, -54, 115, 22, 30, -38, -46, 138, -75, 107, -130, 264, -147, 202, -29, 51, 83, 73, 242, -122, 139, 134, 87, 377, 552, 32, -79, -83, -24, -40, -131, 324 },
{ -19, 50, 6, -76, 254, -54, 412, -26, 30, -299, 117, 57, -575, 427, -71, -24, 281, 45, -110, 59, -131, 134, 242, 137, -28, -57, -47, 401, 189, -118, 204, 310, -66, -33, 543, -103, -19, 67, -59, 41, -67, 175 },
{ 26, 538, 177, -113, -26, -16, 700, -17, 38, -55, 196, 27, -107, 94, 171, -386, 62, 147, 114, -308, 143, -230, 241, 214, 165, -48, -59, -76, 62, -229, 307, 230, -92, 366, -55, -226, 63, 101, -31, 211, -37, 223 },
{ -49, 8, 871, 31, 809, -52, -31, -76, 554, -29, 213, -47, 60, 30, 51, 139, -52, -82, 61, 59, -110, -85, -81, 429, 317, -84, 26, -479, -41, 315, 112, 334, 179, -72, 314, -81, 26, 40, -62, 74, -178, 264 },
{ 23, -60, 27, -46, -46, 106, -42, 48, -75, 109, 27, 107, -46, 55, -152, 447, -20, -53, -101, 86, 490, -78, -66, 331, 60, 48, 82, 65, 68, -107, 135, 248, 249, 215, 188, -42, -45, -78, 194, -50, -83, 295 },
{ 199, 95, -54, -185, -134, 293, 576, -365, 141, 54, 141, 456, 187, -428, 332, -156, -1233, -302, -87, 199, 60, 617, -110, -129, 94, -145, 216, 315, -369, 94, 206, 429, 276, -123, 74, 872, -26, -121, -105, 134, -245, 295 },
{ 49, 131, -417, -57, 80, -84, 93, 238, -105, -97, 33, -45, -82, 313, 285, 71, 58, -28, -470, 110, -68, -80, 194, 111, 250, 66, 105, 45, -41, -153, 65, 450, 172, -72, 25, 171, -86, -36, -108, 161, 373, 157 },
{ -47, 82, -82, -32, -50, 282, 82, -146, 39, -59, 213, 13, 400, 133, -48, 143, 396, -157, -94, 46, -100, -86, 144, 288, -87, -67, 176, 156, 161, 297, 121, 412, 91, 569, 62, -32, -66, 216, -47, 434, -211, 183 },
{ 44, -120, -37, -111, 174, 336, 300, -776, 42, -154, -31, 55, 42, -52, -95, 123, 288, 13, -66, 78, 785, 458, 182, 155, 160, 26, -120, -59, -138, -168, -132, 395, 132, -183, 22, 89, 768, -10, 806, 236, 110, 230 },
{ 57, -49, -117, -17, 782, 291, 73, -595, 37, -70, -30, 62, 65, -29, -56, -35, 121, 63, -150, 111, 83, 424, 119, 136, 50, -73, 43, 51, -145, -75, 271, 220, 197, 106, 64, -16, 61, -109, -63, -103, -65, 233 },
{ 28, 74, -228, -446, 725, 506, -2458, -2458, 313, -1694, -119, 1195, 446, -414, 226, -90, 869, -244, -134, 379, 723, -240, -106, 440, 196, 95, -157, -86, -860, -247, 424, -475, 315, -189, 335, -95, 454, -126, 2316, 134, 209, 329 },
{ -157, 108, 65, -79, -46, -102, 8, 47, 109, 89, 342, 45, -64, -230, 320, 208, 103, -187, -764, 306, 312, -105, 349, 94, 172, 207, 304, 100, 333, -110, 128, 352, 175, -161, 34, 267, -33, -643, -197, -104, -83, 293 },
{ -59, -80, -213, 47, 185, 404, -748, 252, 99, -103, -129, 93, 156, -164, 163, 314, 371, 157, -46, 85, -94, 265, 200, 425, 137, 108, 344, 60, 270, -156, -89, 318, 164, -232, 32, -115, -124, -154, -115, 213, 120, -84 },
{ 65, -193, -93, -83, 196, -82, 104, 339, 51, 187, 270, 221, -225, -303, -85, 173, -49, -100, -51, 293, 53, -108, -50, 1202, 175, 862, -75, 765, -30, 167, 173, 338, 200, -41, -59, 241, 84, -95, -54, 145, -189, 158 },
{ 105, 8, 191, -11, 195, -110, 113, -70, 47, -32, 28, -22, 39, 35, -33, -21, 46, 26, -66, 125, -19, -37, -13, 533, -8, -37, -18, 110, -20, 249, -63, 137, -34, 62, -11, 106, -20, 256, 311, 6, -44, 370 },
{ -7, -25, 121, 8, 368, -28, 196, -70, 51, -36, -71, -111, 79, 652, -77, 43, 386, 19, -29, 110, -159, 168, -83, 61, -32, -20, -60, -34, 110, -162, 132, 99, -59, 67, -27, -60, 100, 32, 128, 804, -148, 225 },
{ 225, -77, 92, -12, 33, -26, -24, -49, 244, -316, -76, 502, 54, 80, -61, 139, -16, -9, 65, -47, 98, -64, 30, -37, -13, 91, 185, -26, 336, -53, 633, 112, -29, 26, 90, 447, 589, -67, 142, 45, -140, 226 },
{ -22, 28, -71, 38, -33, 405, -16, -55, 29, 26, -256, 263, 11, 64, -81, 45, -37, 29, -90, 734, -27, -93, 57, 209, -35, 433, 358, -99, 112, -161, 93, 232, -33, 110, 46, 172, -40, 44, -108, 92, -179, 259 },
{ -25, -35, 91, -20, 74, -814, -29, -88, 256, 29, -38, 66, -27, 70, -1419, 588, -37, -105, 380, 88, -123, 929, -30, 533, -15, 61, 1019, -127, 308, -112, 69, 345, -64, 1414, -194, 394, -53, 43, -136, 100, -120, 291 },
{ 10, -57, 345, 607, 39, -53, -20, -68, 339, -89, 37, -93, 85, -334, 28, 11, 354, -907, -44, 83, -89, -12, 357, -54, 6, 99, 212, -75, 51, -139, 131, 245, -52, 61, 43, -9, -37, 1357, -46, 236, -117, 285 },
{ 96, -69, -95, 62, -85, 76, -78, 219, -31, -38, 37, -128, 90, 51, -17, 25, -43, 54, -74, 93, -59, -79, 74, -69, 175, 1094, 21, -108, 81, -177, 118, 1456, -83, 69, -49, 109, -24, 901, -46, 55, -131, 254 },
{ -13, 1089, -38, 74, 173, -97, 201, -77, -115, 14, -111, 134, 42, 147, 91, -43, -199, 399, -136, 100, -135, -70, -70, 120, 487, -896, 2023, -33, 64, -175, 188, 52, 447, -70, 385, -108, -36, 39, -71, 312, -104, 275 },
{ 159, 28, 450, 239, -111, -190, 204, -123, 606, 53, -79, 485, 82, -252, 106, 390, 131, -106, 376, 145, 179, -129, -118, 1132, 36, -116, -342, 142, -136, -161, 185, 86, 107, 668, -75, 17, 46, 16, -63, 265, -108, 173 },
{ 244, -23, 140, -26, -60, 24, -39, 213, -82, 20, -96, 353, -19, 66, -68, 47, 244, -53, 51, -87, 376, -105, -55, 224, -36, -81, 330, 97, -89, -99, 147, 63, -89, 78, 9, -621, -52, 337, 37, -158, 648, 319 },
{ 54, -105, 91, -60, 131, -90, 297, -50, -39, 585, -60, -91, 95, -84, 39, 173, -57, 278, -170, 84, -37, -41, -30, 67, -83, 222, 199, -123, -132, -86, 72, 176, -64, 222, -620, 57, 82, -58, -171, 946, -228, 397 },
{ 73, 204, -43, 300, 31, -177, 231, -185, -25, 434, -190, 61, 395, -155, 95, -65, 103, -72, 142, 72, 287, -152, 231, -121, 164, 342, -1003, 120, -127, -124, 118, 87, 84, 1256, 182, -44, -16, -40, -30, 392, -97, 297 },
{ 202, -35, 475, -57, -48, 322, 848, 248, -50, 133, -105, 26, -108, -488, 131, -85, -103, -49, 212, 129, 394, -150, -94, -27, 372, -22, 19, 85, -104, -158, 323, -91, 53, 652, 47, -105, -144, 104, -87, 237, -134, 136 },
{ 15, -208, 752, 208, 131, -73, -105, -225, -507, -208, 1161, 156, -53, -191, 150, -161, 420, -269, -63, 345, -166, 1384, 511, -433, 406, 12, 258, -57, 153, 829, 39, 474, 362, 209, 308, 315, 285, 188, -118, -154, -189, 141 },
{ 358, -26, 33, -85, 39, 41, -61, 235, -103, 21, 144, -82, 73, -39, 1074, -27, -620, 329, 37, 292, 54, -72, -105, -96, 213, -66, 48, 61, -94, -146, 176, -30, 84, 54, -184, 7, 157, 162, 199, -172, 284, 364 },
{ 473, 225, -57, -172, 30, 585, 871, -633, 745, 23, 965, -1792, -47, 193, -40, 35, -56, -799, 610, 10, 84, -193, 354, -156, 309, -111, 44, 157, -182, -149, 203, 148, -306, 659, 61, -78, 158, -110, -22, 779, -141, 531 },
{ 556, 148, -130, 106, -70, 818, -43, 60, -80, 86, -169, -254, 34, 364, 81, -81, 76, -104, 104, -14, -22, 199, -97, -106, 24, -125, 61, 131, -686, -112, 46, 125, 36, 515, 74, -87, 44, -90, -88, 691, 304, 383 },
{ 169, 991, -121, -115, -85, 1100, 94, -57, -95, 162, 1061, -106, -124, -32, 97, 16, -41, -113, 56, 94, -232, 234, -157, -247, 153, 164, -19, 329, -205, -175, 346, -185, 80, 530, 120, -131, -205, 39, -118, 398, 305, 395 },
{ -153, -93, 313, -146, -131, 125, -10, 324, -45, 65, 33, 11, -518, 59, 239, -115, -130, 58, 149, 279, -210, 311, -178, 401, -42, -81, 119, -70, -85, -43, 98, 96, -42, -241, 115, 48, 345, -87, 234, 53, 349, 408 },
{ 139, 49, -56, -98, 1427, 222, -394, 216, -170, 58, 498, -103, 759, 339, -934, -24, -147, 162, 145, -649, 1133, 84, -258, -230, 198, 224, -318, 175, -95, -437, 488, -515, 704, -158, 15, 1191, -779, 124, -840, 139, 76, 409 },
{ 87, -206, 56, 123, -52, 370, -129, 179, -149, -108, 83, -201, 108, 111, 167, -75, -61, 128, 58, 377, 493, 50, -163, -28, 312, 121, 134, -122, -155, -180, 145, 137, -102, 400, 65, 488, 142, -134, 159, 38, -123, 542 },
{ -23, 139, 14, -51, -8, -43, 12, -55, 11, -57, 50, -790, -24, 400, 70, -48, -15, 402, -39, 98, -63, -77, -44, 70, -38, -12, 23, -91, 70, -74, 75, 40, 120, 41, -42, 101, 267, -37, 126, 339, -67, 129 },
{ -13, -66, 975, 11, -21, 22, 154, -44, 21, 12, 230, -88, 182, 53, -36, -22, 116, -77, -36, 69, -67, -71, 221, -4, 308, -16, 202, 244, 32, -97, 59, 166, -29, 9, 35, -31, -17, 32, -49, 54, -104, 123 },
{ -49, 800, 79, 429, -37, -91, -95, -83, 59, 18, 155, 44, 131, 65, -168, 213, 336, -54, -89, 75, 1450, -139, 86, -86, 158, -44, 97, -18, 128, -165, 394, 150, -125, 134, 213, -11, -17, -14, -36, 643, -152, 243 },
{ -28, 212, 61, -16, -31, 49, -88, 70, 7, -37, -17, 118, 41, 43, 517, -24, 196, 924, -157, 46, -68, -27, 400, 791, -13, -30, 35, -45, 169, -71, 141, 187, -46, 193, 16, 176, 150, 61, -58, 40, -47, 99 },
{ 79, -62, 117, -28, 414, -80, -56, -101, 47, -33, -92, 910, 41, 41, 337, -35, 131, 68, -152, 77, -86, -121, 148, 291, -136, -24, 776, -25, 1390, -138, 125, 307, -99, 307, -89, 1278, 8, 131, -130, 88, -88, 224 },
{ 564, 387, 208, -19, -1566, 589, -1342, 421, -37, 31, 40, -209, 1507, -134, 91, -59, -44, -122, -121, 607, 240, -118, 860, -55, 27, 60, -16, 1049, 62, -93, 103, 186, -37, 364, -55, 39, -127, 303, -45, 103, -207, 297 },
{ 272, 505, -30, 49, -41, 73, -93, -17, -35, -103, -73, 376, -59, 87, 286, -39, -80, 245, -182, 195, -69, -152, 393, -59, -55, 215, 124, -75, 241, -189, 175, 415, 459, 75, -34, 89, -121, -86, -98, 96, -78, 104 },
{ 91, -21, -80, 272, -68, 150, -71, -110, 51, 27, -67, -81, 48, 25, 52, 474, 32, -172, 66, 147, -98, -205, 476, -82, -53, 516, -59, -32, -47, -206, 242, 624, 146, 359, -15, -21, -92, -71, 272, 100, -64, 135 },
{ 99, 562, -181, 732, -148, 41, -97, -37, -68, 241, 117, -87, 143, 346, 53, 388, -33, -105, -23, 120, -115, -148, 57, -37, 434, -13, 37, -48, 47, -152, 279, 345, 322, -51, 41, -31, 158, -518, -55, 107, -178, 77 },
{ 109, -64, 60, -148, -107, 1653, -22, 527, -111, 237, -130, 77, 44, -235, 119, 29, -62, -38, -50, 180, 114, -153, -140, 348, 987, -82, 470, 77, 69, -189, 201, 128, 238, 399, -55, 43, 76, -120, 75, -65, -161, 147 },
{ 481, -93, 65, 43, -24, 1295, 82, -130, 62, -42, -125, -117, 160, 57, -82, 1711, 1047, 2024, 87, -80, -72, 86, -104, 106, -138, -139, 67, -546, 78, -242, 96, 496, -133, 101, 55, 194, -126, 126, -61, -39, 52, 120 },
{ -59, -58, 139, -48, 75, -57, -153, 1086, -1200, 128, -87, 44, 109, 166, -16, 379, 51, -72, 204, -314, -51, -76, -71, 794, -56, -129, 455, 1091, 429, -157, 136, 440, -40, 155, -639, 31, 42, -111, -68, 80, -149, 100 },
{ 291, -198, 128, -106, 46, 121, -917, 112, -404, 22, -56, 513, -80, 794, -199, 1966, -33, -55, 81, 94, -79, 90, -125, 329, -117, 37, 434, 91, -106, 40, 71, 206, 257, 16, 90, 285, -297, -43, -64, -86, 455, -292 },
{ -43, 14, 1089, 211, 110, -137, 64, -43, -91, 156, -96, 181, -114, 93, -72, 31, -82, 192, -21, 81, -109, 456, -96, 300, 87, 102, 29, 36, 171, -170, 92, 281, 162, 236, 159, -58, -29, 42, -44, 44, -142, 194 },
{ -70, 83, 408, -122, -105, 145, 216, -76, 393, -175, 189, 69, -182, 118, -235, 317, -91, -85, -150, 64, -77, -175, 350, -329, 396, -150, 95, 59, 2458, -65, -120, 217, 520, 223, 101, 155, 116, -71, -158, -189, -129, 294 },
{ -481, -51, 52, -138, 59, 222, -78, 179, -235, -174, 72, -200, -166, 658, 57, 159, 358, -636, -37, 94, -143, -146, 115, 457, -120, 169, -207, -57, 49, -245, 196, 287, 110, 703, 171, 123, 571, -36, 169, -208, -86, 195 },
{ 495, -173, -720, -85, 66, 88, 64, -224, 81, -22, -32, -392, 53, 267, -80, 146, 29, -84, 92, 80, -130, 90, 68, 431, -209, 168, 131, 35, -51, -146, -675, 318, 171, 1703, 476, 113, -14, -98, -119, -1054, 311, 39 },
{ 69, -213, 133, 278, 133, -70, 68, -2141, 154, 259, -173, 271, 52, -153, 1119, 83, 47, -102, -92, 142, -225, -124, -837, 214, -32, -107, 42, 110, -161, 203, 156, 291, 314, 146, 1520, -101, 58, 79, -175, 218, -186, 258 }
 }
 },
{ 
{ 
{ 306, -31, -48, 99, 114, 39, -74, -47, 114, 102, -72, 62, -36, 72, -25, 107, 93, -62, 74, -77, 47, -53, 36, -20, 123, 49, -34, 60, -64, 23, -34, -9, -27, 46, 11, 104, 360, -46, -79, -20, 22, -24 },
{ 352, -50, -26, 147, 100, 46, -123, -10, 117, 67, -62, 56, 34, -78, 33, 138, 72, -59, -163, 90, 23, 4, 44, -10, 192, -65, 23, 41, -88, -79, 19, -9, 33, 23, -5, 160, 379, 13, -161, -56, 9, 3 },
{ 385, -42, 12, 100, 90, 30, -96, -15, 143, 70, 46, -51, 20, 43, -32, 57, -25, 29, 80, 117, -131, -67, 59, -25, 184, -34, -74, -65, -499, 375, -216, 71, 166, 63, 11, 268, 479, -135, 26, 11, -398, 101 },
{ -27, 77, 152, -31, -105, -16, 71, 24, 455, 389, 68, -493, -75, 271, -300, 395, -192, 147, 230, -642, 604, 158, 299, -460, 740, 406, -304, 217, -1261, 973, -1663, -720, 2281, 870, -385, 814, -43, 234, -255, -644, 513, -437 },
{ 434, -18, -70, 153, 98, 30, -79, -58, 124, 108, -43, 27, -56, 52, -22, 113, 128, -51, -72, 32, 18, -35, -87, -31, 101, -28, 12, -22, 89, -47, 21, -19, 23, -78, -13, 204, 378, -63, -95, 69, 18, -40 },
{ 306, -95, 37, 109, 74, 67, -167, -15, 155, -55, 83, 32, -79, -52, 91, 194, 62, 65, -138, 233, -157, -27, 8, 95, 201, -44, -120, 64, -212, 133, -21, 19, 41, 10, 42, 240, 314, -86, -108, -26, -82, -48 },
{ 236, 41, -170, 145, -136, 110, 167, 87, -87, 140, 131, -39, -63, -46, 106, 153, 113, -85, -80, 65, 67, 49, -86, -92, 108, -139, 135, 88, 53, -29, -45, 18, 62, 83, -56, 142, 281, 31, -106, 67, -35, -17 },
{ -93, 143, 96, 172, 142, -27, -104, -86, 159, -162, 177, 25, 126, -51, -77, 150, 130, 152, -294, 127, -18, 95, -92, -75, 186, -145, 103, 28, -29, 14, 39, 60, 102, 58, -16, 117, 250, 31, -84, 94, -62, 5 },
{ -79, 191, 65, 159, -84, 67, 51, 62, -67, 156, 74, -11, -88, -62, 77, 133, -120, 148, -145, 106, 72, 64, -71, -81, 110, 88, 110, -79, 59, -60, 59, -29, 53, 73, -30, 139, 272, -67, 38, 18, -52, 5 },
{ -79, 171, 27, 149, -66, 140, -136, 58, -53, 192, 103, -86, 41, -84, 36, 137, -134, 187, -266, 195, 75, -59, -78, -88, 231, -84, 96, -23, -45, 68, 92, 103, 108, 106, -46, 224, 233, 55, -127, -31, -80, 77 },
{ -67, 159, 65, 143, -105, 111, 31, -152, 112, 121, 77, -91, 57, 51, -87, 86, -89, 122, -144, 147, 42, 98, -83, -75, 129, 84, 82, -59, 63, -68, 38, -25, 46, 114, -45, 164, 308, -83, -16, 14, 56, -25 },
{ -84, 152, -130, 125, -99, 97, 17, -39, 71, 175, 135, -42, 50, -85, -124, 252, -72, 240, -344, 313, -320, 164, -164, -88, 356, -137, 75, 69, -254, 265, 131, 188, 105, 133, -79, 371, 224, 46, -206, -135, -19, 73 },
{ 131, -70, 136, 19, 191, -155, 56, 134, -106, -114, 143, 76, -91, 9, -16, 82, 132, 95, -327, 243, 86, -172, 201, -97, 48, 63, -82, 77, 14, -45, 33, -30, 60, 82, 51, 113, 428, -66, -47, 10, -51, 22 },
{ -37, 222, 51, -68, -34, 147, -146, -28, 116, 76, 24, -39, 133, -122, -30, 100, -161, 220, 176, -364, 256, 55, -80, -101, 188, 38, 80, -104, -143, 119, -61, 147, 69, 186, -99, 314, 338, -196, 18, -82, 41, 39 },
{ -122, -154, 306, 572, -48, 67, -200, -79, 363, 502, -515, 80, -204, -90, 328, 318, -152, 81, 42, -155, -158, -411, -426, 590, 612, 427, -19, 267, -441, 1075, 500, -209, 609, -720, 58, 284, 123, -212, -175, 151, -777, -306 },
{ -100, 202, 135, 155, 43, -220, 101, -155, 128, 174, -32, -86, 201, -99, 96, 339, -89, 106, 352, -459, -270, 34, -140, 115, 353, -89, 89, -100, -300, 499, -117, 306, 73, -175, 96, 330, 196, -48, -179, 126, -69, 84 },
{ -98, 193, 79, 216, -159, 100, 62, -99, 174, 155, 123, -51, -74, 72, -128, 199, 133, -144, -86, 68, 54, 53, -70, -80, 173, -172, 143, 55, 64, -28, -32, 75, 90, 59, -73, 148, 243, 38, -115, 51, -28, -29 },
{ -105, 77, 187, 162, 92, -74, -155, 37, 176, 170, -118, 143, 76, -146, -68, 261, -82, 163, -201, 79, -34, 85, -80, -106, 238, -156, 117, -16, 109, -35, 79, 113, 89, 40, 19, 108, 240, 31, -60, -91, -40, 30 },
{ -110, 161, 106, 168, 68, -31, -121, 25, 135, -93, 167, -50, 33, -182, 148, 238, 113, 191, -392, 191, -85, -93, -133, 87, 331, -141, 25, 25, 105, 75, 139, 167, 133, -35, -72, 257, 156, 65, -228, -58, -141, 43 },
{ 157, -176, 8, 211, 97, -56, -131, -44, 258, 118, 77, 195, -172, 126, -97, 428, -36, 112, -117, -304, 291, -248, -95, -36, 428, -131, 52, 131, -176, 197, -206, 301, 64, -107, -151, 288, 190, -25, -111, 80, -104, 143 },
{ -45, 28, 159, -29, -24, 41, -17, 145, -77, -50, 77, 62, -62, 72, -126, 78, 144, 85, -238, 243, -72, 49, 42, -123, 164, -115, -131, 163, -226, 371, -199, 283, -285, 228, -83, 324, 411, -157, 60, -75, -81, 85 },
{ -44, 171, 72, -56, 57, -97, 130, -81, 10, -150, 204, 115, -107, 39, 194, -167, -195, 113, 143, -149, 256, -164, -145, -166, 404, 107, -50, 84, 230, -861, 558, -293, 354, 386, -421, 517, 346, -387, 296, -178, 146, 278 },
{ 89, 370, -852, 576, -171, 200, -200, -823, 884, 584, -898, 192, -432, 768, -615, 829, -97, 204, 361, -280, 751, -702, -321, 1945, 324, 63, -222, 449, -925, 688, -392, 1163, 345, -551, 416, -2096, -204, 1202, 430, 774, -1184, 1951 },
{ -121, 145, 150, 143, -113, 89, 45, -101, 149, 159, 99, -68, 115, -79, 181, -152, -119, 144, -182, 190, -82, 206, -260, 184, 129, 102, 76, -93, 173, -149, 91, -101, 204, -62, -54, 124, -124, 198, 133, 96, -130, 108 },
{ -129, 92, 26, 109, 149, -87, 122, 157, -120, -129, 130, 69, -132, 118, -99, 187, 108, 153, -278, 165, 136, -108, 130, -118, 145, -116, 62, -84, 127, 155, -205, 249, -132, 170, -75, 148, 210, -68, 109, 105, -167, 43 },
{ -106, 171, 123, 78, -54, 66, -117, 42, 113, -123, 140, 39, 107, 89, -181, 91, 127, 146, -227, 180, -93, 204, -141, 194, -139, -147, 65, 68, 182, -185, 186, -158, 133, -30, 121, 130, 216, 98, 62, -60, -153, 140 },
{ -122, 111, 118, 43, 133, -95, 86, 35, -119, -73, 140, 41, -111, 90, 130, 126, -50, 132, -255, 177, 224, -187, 46, -107, 149, 43, 45, 28, -127, 368, -446, 285, 162, -50, 94, 200, -127, 216, -144, 160, -127, -128 },
{ -84, 92, 14, 150, 199, -153, 29, 150, -138, -141, 77, 38, 133, -160, 56, 139, -93, 199, -162, 98, 126, 120, -143, 118, -80, 36, 85, 83, -136, 188, -193, 207, -110, 50, 65, 117, 343, -130, 123, -86, 99, -50 },
{ -93, 96, 13, 125, -59, 28, 69, 108, -122, 169, 68, -67, -46, 130, -116, 125, -131, 167, -148, 131, 179, -142, 116, 96, -68, -104, 175, -69, -98, 345, -382, 316, -129, 66, 67, 227, 245, -104, 105, -29, -118, 68 },
{ -100, 99, 15, 122, -18, 12, 47, 108, -144, 134, 88, -25, -88, 47, 40, 159, -116, 181, -197, 122, 174, -67, -82, -65, 212, -80, 155, -89, -133, 441, -418, 226, 126, 76, -124, 274, -85, 266, -111, 135, -243, 96 },
{ -104, 233, 156, -132, 35, -61, 86, -125, 169, -42, 80, -37, 43, 103, -105, 164, 136, 186, -301, 254, -249, 106, -112, -69, 258, -154, -86, 179, -168, 503, -348, 338, -95, 125, 243, 234, 280, -99, -161, -151, -94, 146 },
{ -63, 14, 81, 111, -125, 95, 127, 45, -104, 73, 83, -78, -47, 81, 97, -95, -121, 149, -106, 261, -85, 140, -161, 51, 94, 67, 75, -92, -70, 173, -99, 146, -110, 167, -53, 148, 365, -113, 77, 98, -155, 59 },
{ -74, 71, 13, 113, 120, -94, 40, 119, -134, -97, 162, -50, 76, -139, 34, 147, 130, 63, -190, 98, 164, -51, -56, 158, -92, -132, 88, 34, -180, 329, -222, 288, -113, -142, 245, 272, 125, 96, -100, 51, -94, 105 },
{ -78, 99, 119, -106, -65, 87, -76, 174, -99, 81, 70, -54, 70, 72, -89, 108, -102, 192, -164, 117, 63, -55, 112, -116, 123, -89, 74, -70, -131, 483, -405, 376, -339, 126, 175, 319, 230, -86, -95, 31, -66, 89 },
{ -34, 158, 5, 35, -81, 66, 102, 70, -72, -53, 91, 47, -94, 63, 88, -109, 171, -194, 255, -338, 461, -194, -98, 76, 114, 15, -175, 260, -224, 280, -179, 272, -122, 144, -96, 164, 438, -79, 106, -75, -51, 18 },
{ -54, 227, 77, -69, -24, -105, 65, 115, -94, 31, 67, 19, -49, 15, 121, -108, -85, 151, -100, 125, -53, 155, -134, 88, 92, -131, 95, -76, -241, 307, 346, -382, -131, 213, -33, 333, 379, -164, 74, -61, -110, 262 },
{ -178, 833, 214, -139, 40, -106, 54, 46, -50, 285, -228, 57, 132, -122, 258, -165, -23, 85, -116, 291, -414, 340, -365, 258, 523, -266, 191, -219, 219, -487, 1197, -633, -248, 476, -145, 549, 254, -248, -311, 183, 144, 447 },
{ -130, 155, 122, 143, 79, -31, -74, 53, 151, -157, 101, 39, 149, -98, 176, -101, 156, 148, -262, 179, -126, 109, -266, 232, 137, 95, -130, 31, 191, -127, 83, 107, 127, -105, -32, 152, -128, 166, 64, 125, -84, 46 },
{ -130, 142, 108, 90, -65, 65, 60, -96, 145, 107, 137, -70, -92, 173, -129, 172, -62, 87, -256, 171, 163, -169, 131, -168, 212, 127, 30, -52, 111, 232, -287, 231, 115, 104, -42, 179, -134, 172, -65, 51, -141, -107 },
{ -137, 64, 125, 145, 47, 80, 33, -81, 142, -61, 97, -60, 69, -89, -65, 351, 66, 100, -213, 207, -215, 153, 75, -197, 177, 102, -21, 56, -185, 448, -246, 211, 48, 146, -200, 211, -133, 119, 108, -147, 125, -259 },
{ -127, 28, 148, 92, 123, -59, 74, -105, 118, -45, 115, 69, -164, 89, 105, 160, 57, 164, -342, 174, 154, -237, -199, 131, 291, -61, 61, -68, 148, 236, -233, 253, 184, -56, -196, 270, -107, 221, -109, 71, -240, 92 },
{ -117, 48, 175, 201, -40, 96, -104, -27, 180, 46, 91, -145, 171, -259, 26, 498, -71, -84, 186, -158, 145, -295, 220, -109, 239, 236, 46, -46, -143, 404, -162, 352, -222, -150, -104, 246, -129, 89, -99, 132, 155, -137 },
{ -117, 108, 62, 161, 50, 49, 74, -145, 195, 87, -119, 105, -48, -81, 169, 278, -91, 112, 146, -496, 306, -202, -279, 136, 477, 130, 49, -198, 194, 430, -287, 407, 169, -176, -298, 280, -101, 140, -56, 101, -221, -137 },
{ -117, 265, 20, 88, 95, -67, 125, -262, 158, -29, -91, 150, 96, -42, -18, 205, 112, 67, 197, -489, 316, -145, -121, 133, 469, -202, 108, 117, -222, 656, -461, 356, -149, 163, -209, 351, 208, -62, -96, -80, -237, 101 },
{ -171, 273, 75, 176, 133, -51, -52, -117, 238, -68, -87, 124, 51, -36, -291, 515, -105, 116, 162, -253, 340, -124, 77, -145, 600, 272, 44, -187, -230, 534, -600, 402, 244, -338, -291, 267, -117, 86, 32, 143, 206, -485 },
{ -137, 322, -75, 293, 133, -126, 103, -146, 116, -71, 49, 167, -214, 218, -141, 313, -75, 121, -115, 93, 250, -224, -444, 289, 665, -195, 129, 223, -632, 711, -568, 268, 217, -184, -145, 184, 233, 205, -303, -151, 459, -106 },
{ -73, 85, 144, -58, 156, -31, -140, 164, -73, 68, 36, -78, 74, -63, 205, -82, -55, 214, -166, 217, -303, 270, -286, 125, 199, -177, 178, -148, 367, -364, 808, -942, 379, -118, 269, 472, 237, -74, -317, 213, -212, 230 },
{ -112, 76, 716, -30, -102, -44, 98, 64, -59, 48, 132, 16, -50, 126, -106, 147, -137, 134, 113, 101, -301, 138, 54, -128, 448, -100, 144, -162, 98, 135, 340, -301, 307, 137, 21, 104, -94, 213, -85, 97, -257, 293 },
{ -121, 97, 118, 85, -74, 105, 39, 71, -92, 108, 91, -75, 113, -44, 192, -80, -127, 146, -188, 266, -190, 207, -173, 137, 113, 160, 76, -137, 270, -255, 182, -269, 295, -65, 49, -35, -110, 229, 20, 85, -184, 215 },
{ -114, 69, 110, 116, -73, 55, 41, 61, -68, 90, 121, -50, -98, 61, 187, -94, -95, 109, -193, 204, 133, -29, -74, 136, 94, 107, 45, 28, -85, 302, -374, 325, -130, 121, -103, 131, -130, 159, 62, -59, 195, -253 },
{ -87, 74, 120, 83, -71, 66, 67, 66, -73, -88, 173, -87, 163, -120, 187, -71, 108, 72, -146, 228, -173, 184, -69, 148, -77, 93, -101, 147, -138, 220, -263, 261, -142, 45, 57, 130, -108, 194, 157, -116, 119, -169 },
{ -81, 115, 55, 79, -83, 84, 69, 106, -183, -102, 166, -86, 81, -99, 125, 114, 126, 72, -107, 75, 174, -85, 77, 96, -98, -149, 131, 90, -127, 261, -324, 301, -141, 24, 112, 69, 193, 158, -62, 80, -139, 48 },
{ -108, 104, 91, -56, 94, -121, 57, 144, -151, 86, -52, 88, -71, 66, 159, 84, -91, 116, 173, -213, 184, -103, 47, -116, 285, -86, 101, -96, -125, 402, -337, 349, -124, 182, -182, 337, -87, 325, -193, 119, -165, 81 },
{ -58, 87, 75, 61, -61, 24, 106, 58, -108, -103, 119, 22, 111, -132, 185, -96, 130, 70, -168, 172, -103, 163, -57, 32, 124, -118, 99, 77, -163, 296, -269, 240, -184, 116, 41, 84, 310, 96, -152, 183, -252, 106 },
{ -96, 291, 131, -98, 10, -27, -69, 179, -94, 94, -24, 129, -79, -88, 99, 88, -73, 88, 209, -306, 162, 203, -209, 103, 180, -216, 188, -58, -188, 522, -295, -232, 399, -176, 180, 317, 284, -114, -154, 162, -322, 189 },
{ -96, 545, 133, -107, -29, -107, 39, 128, -167, 172, -69, 185, -84, -88, 233, 258, -96, 192, 103, -412, 249, -182, 60, -340, 629, -156, 84, 86, -145, 380, 288, -335, 105, 178, -197, 355, 231, -58, -121, -59, -252, 319 },
{ -39, 136, 13, 77, -110, 100, 44, 81, -93, -66, 194, -91, 98, -191, 270, -98, -49, 139, -188, 231, 179, -144, -70, 194, -63, -64, 106, 58, -186, 181, -161, 253, -220, 81, 118, 106, 418, 98, -127, 23, -109, 81 },
{ -114, 76, 405, -75, -59, -95, 57, 109, -132, 175, -35, -47, 112, 141, -241, 263, 82, -117, -47, 252, -197, 175, 63, -296, 453, 138, -126, 119, -109, 302, -234, 474, -283, 661, -305, 266, 120, -281, 205, -97, 241, 160 },
{ -100, 137, 135, -32, 15, 63, -68, 151, -82, 96, -40, 47, 96, -75, 94, 161, -71, 69, 106, -233, 242, -183, 57, -92, 310, -52, 67, 48, -219, 505, -378, 320, 140, 64, -153, 222, -116, 112, 114, -154, 128, -250 },
{ -110, 211, -24, 150, 16, 131, -41, -121, 164, -65, 90, -85, 133, 65, -173, 333, 123, -90, 107, -227, 169, -170, 35, -26, 353, 98, 81, 142, -302, 459, -280, 358, 195, -156, -175, 262, -94, -46, -77, 111, 151, -368 },
{ -148, 636, 243, -219, -56, 89, 37, 199, -85, -81, -37, -149, 69, 53, 186, 223, 160, 124, 173, -122, -430, 57, -188, -171, 703, -95, -79, -109, -136, 476, 546, -270, 158, 215, -311, 427, -56, 244, -33, -203, 229, -410 },
{ -136, -331, 506, 275, 257, -310, -210, 135, 212, -171, 184, 127, -119, -282, 312, 600, 617, 144, -118, 252, -175, -313, -318, 252, 281, -301, 52, -119, -302, 345, 177, 435, -186, -398, 84, 313, -114, 219, -208, 207, 140, -291 },
{ -311, 432, -268, 449, -365, -273, 199, -266, 363, 928, 303, 230, -230, -222, -301, 630, 75, -340, 145, 91, -269, 374, -481, 674, 377, -352, -189, -207, -351, 909, -834, 375, 340, -707, 233, 268, 369, 416, -259, 102, 530, -954 },
{ -101, 73, 106, 62, -68, 24, 49, 67, -85, -66, 169, 28, -92, 119, -56, 70, -91, 124, -76, -57, 288, -109, 166, 46, -68, -37, 114, 104, -120, 316, -352, 262, -166, 83, 93, 64, -99, 239, -58, -88, 315, -297 },
{ -99, 78, 136, -26, -82, 31, 106, -71, 96, 76, 47, -69, -73, 149, 72, -116, -58, -84, 138, -75, 284, -77, -53, 124, 69, -33, 51, 167, -208, 355, -354, 330, -179, 198, -110, 92, -115, 204, 96, -153, 280, -265 },
{ -85, 108, 95, 57, -68, 63, 29, 63, -80, -80, 166, -149, 123, -67, 122, -43, 89, 79, -132, 94, 206, -37, 17, 168, -106, -68, 58, 81, -131, 293, -394, 305, -157, -12, 88, 82, -90, 193, 18, 91, 120, -209 },
{ -94, 123, -12, 86, -27, 51, -42, 96, -81, -55, 151, -111, 25, 114, -65, 93, 77, 104, -234, 139, 168, -115, 166, -110, 158, -53, 49, -40, -105, 305, -380, 456, -183, 169, -119, 179, -115, 141, 75, -91, 235, -315 },
{ -76, 52, 101, 77, -84, 80, 14, 56, -64, -49, 139, -51, 21, 90, -80, 60, -112, 158, 60, -105, 219, -78, 141, 81, -76, -61, 141, -31, -120, 291, -312, 249, -177, 53, 106, 99, -71, 243, 20, 123, -169, 108 },
{ -84, 109, -8, 69, -55, 69, 45, 75, -131, -31, 114, -53, 55, -68, 89, 102, -111, 78, 63, -60, 108, 98, -81, 143, -88, -42, 140, -53, -218, 447, -350, 288, -198, 67, 76, 152, -96, 221, -63, 28, 204, -231 },
{ -106, 119, 108, -81, -38, 63, -66, 197, -95, -41, 132, -40, 32, 89, -105, 110, -98, 247, -347, 276, 73, -154, 103, 83, 75, -51, 99, -96, -80, 344, -413, 490, -288, 194, -89, 206, -115, 140, 142, -116, 160, -211 },
{ -63, 64, 103, 65, -101, 144, -22, 50, -61, -64, 130, -65, 63, 32, 85, -89, -86, 138, 54, -104, 193, -38, -41, 207, -99, -129, 219, -51, -168, 346, -335, 341, -147, -60, 153, 60, 231, 179, -142, 226, -257, 163 },
{ -75, 117, 95, -87, -23, -48, 42, 139, -84, -35, 110, -26, 71, -100, 186, -92, -71, 121, -126, 178, 16, 138, -127, 71, 100, -178, 191, -54, -128, 312, -394, 355, -231, 157, -79, 200, 185, 117, -59, 118, -122, 87 },
{ -81, 97, 102, -87, 43, 18, -92, 208, -82, -69, 172, -127, 84, -104, 123, -89, -52, 145, -174, 243, 34, -55, 76, -65, 197, -113, 177, -125, -208, 451, -405, 420, -202, 220, -238, 369, 187, -141, 89, 159, -90, 64 },
{ -45, 114, 59, 68, -67, 22, 105, 84, -155, -57, 158, -94, 80, -94, 189, -101, -116, 183, -83, 92, 77, 57, -90, 208, -111, -123, 185, -59, -95, 258, -300, 314, -128, -86, 170, 91, 313, 188, -108, 142, -268, 145 },
{ -66, 233, 90, -62, 60, -136, 72, 147, -137, -37, 126, -87, 87, -97, 202, -139, -73, 137, -158, 257, 91, -141, -55, 148, 116, -188, 185, -108, -245, 378, -314, 369, -290, 110, -87, 457, 357, -204, -30, 80, -210, 279 },
{ -84, 88, 344, -67, -20, -42, 74, 74, -131, 95, 123, -116, 123, -105, 255, -78, -125, 274, -241, 215, -197, 185, -93, -206, 367, -173, 139, -50, -218, 375, 317, -473, 108, 317, -237, 522, 289, -67, -50, -122, -174, 250 },
{ -156, 692, 243, -179, 48, -105, -99, 39, 207, 75, 44, -145, 333, 87, -415, 303, 145, -117, -56, 191, -317, 97, 230, -436, 538, -270, 121, -112, 229, -465, 1201, -691, -371, 392, 238, 258, 369, 67, -417, 242, -138, 424 },
{ -35, 12, 296, -30, -70, 33, 118, 73, -147, 129, 127, -145, 87, -227, 325, -145, -177, 123, 100, -37, 140, 59, -137, 242, -116, -76, 204, -76, -376, 499, -363, 354, -127, -123, 160, 110, 461, 169, -109, 99, -121, 26 },
{ -45, 156, 12, 150, 56, -104, 73, 101, -149, 85, -72, 113, -79, 46, 124, -177, -94, 215, -86, 156, -86, -270, 338, 215, -140, -131, 98, 16, -543, 445, 441, -323, -104, -171, 224, 359, 617, -208, -47, 115, -147, 73 },
{ -57, 276, 43, -31, -13, 49, -52, 130, -171, -39, 53, 84, 93, -135, 279, -136, -65, 43, 197, -131, -155, 118, -183, 131, 110, -182, 100, 38, -275, 293, 385, -318, -145, 176, -131, 642, 484, -221, 23, -189, -175, 310 },
{ -239, 206, 498, -83, -77, -77, -235, 33, 254, 702, -170, 51, -40, 196, 182, -275, 57, 56, -202, 222, -85, -486, -245, 477, 263, -162, 202, -210, 339, -872, 1300, 742, -578, 737, -185, 436, 178, -264, -398, 557, 426, -952 },
{ -109, 82, 81, 56, -72, 53, 101, -148, 92, -39, 100, 104, -123, 195, -127, 132, -42, 129, -151, -63, 239, -100, 226, -177, 164, -26, 43, 62, -141, 349, -374, 355, -162, 236, -119, 112, -102, 135, 52, -76, 251, -370 },
{ -110, 110, 45, 110, -54, 94, 86, -181, 146, -35, 188, -127, 74, 45, -116, 218, -45, 59, -213, 161, 127, -102, 157, -122, 180, 133, 37, 93, -133, 324, -371, 480, -154, 179, -106, 115, -105, 111, -33, -65, 143, -318 },
{ -129, 394, 60, 108, 75, -58, -70, 133, -120, -127, 132, -66, 182, -181, 84, 157, 159, 111, -240, 193, 111, -44, -108, 99, 416, -82, 83, 72, -193, 339, -302, 360, 161, 69, -271, 303, -73, 164, -72, -76, 218, -403 },
{ -192, 209, -164, 268, 332, -154, 153, -132, 271, 234, -51, 136, -131, -111, -120, 223, -156, 163, -33, 188, 248, -100, -164, 163, 641, -38, 123, -134, -292, 539, -301, 361, 194, -148, -424, 319, -126, 166, 36, -126, 369, -500 },
{ -367, 497, -311, 444, -163, -362, 381, -144, 257, 595, 173, 131, -244, -233, 181, 300, -124, 127, -205, 287, -630, 353, -370, 515, 517, -290, 155, -100, 273, 463, 353, -326, 469, -446, -104, 318, 205, 93, -252, 145, -124, -733 },
{ -88, 32, 199, -31, -62, 54, -36, 68, -51, -47, 131, -138, 52, 41, 125, -57, -85, 146, -143, 78, 233, -88, 123, -125, 112, 38, -79, 66, 60, 205, -343, 341, -214, 244, -57, -46, -89, 211, 82, -127, 358, -291 },
{ -86, -13, 156, -16, 51, -52, 104, 66, -70, -82, 142, -48, -87, 140, -66, 107, -52, 150, -224, 144, 196, -143, 118, 80, -105, -59, 95, 65, -84, 204, -226, 252, -131, 65, 94, 82, -75, 174, -104, -65, 308, -195 },
{ -89, 51, 91, 48, -56, 72, 80, 28, -52, -36, 109, -118, 34, -70, 80, -22, -95, 70, 97, -64, 174, 98, -97, 194, -143, -54, 152, -69, -133, 298, -267, 239, -162, -37, 193, -23, -55, 257, -95, 125, 197, -187 },
{ -90, 67, 106, -16, -48, 68, -68, 131, -99, -98, 209, -117, 65, -86, 85, 111, -58, 154, -275, 229, 78, -57, 71, -112, 130, -36, 21, 61, -29, 215, -258, 421, -120, 105, 40, -45, -71, 238, -48, -58, 236, -330 },
{ -84, 48, 101, 40, -54, -15, 110, 53, -69, -23, 96, -95, 42, -79, 93, -39, -104, 146, -90, 125, 119, 95, -62, 158, -80, -34, 127, -51, -126, 253, -314, 284, -200, 52, 142, -38, -50, 267, -100, 185, 162, -208 },
{ -87, 94, 11, 81, -55, 75, 16, 37, -89, -75, 142, -30, 54, -66, 118, -56, -65, 156, -127, 20, 128, 129, -77, -79, 166, -52, -31, 125, -127, 182, -268, 304, -151, 247, -123, 109, -90, 208, 185, -232, 232, -78 },
{ -90, 56, 55, 90, -20, -79, 54, 45, -128, 50, 68, -30, 19, 103, -68, 112, -143, 217, -276, 224, 91, -91, 122, -102, 132, -73, 162, -136, -110, 228, -266, 369, -275, 222, -54, 140, -72, 172, -65, 66, 244, -222 },
{ -101, 122, 92, 57, 48, 85, -94, 80, -112, -107, 102, -38, 82, 83, -113, 188, -69, 235, -274, 143, 55, -108, 136, -70, 180, -43, 109, 77, -102, 167, 210, -214, 350, -81, 80, 185, -73, 133, -59, -58, -250, 310 },
{ -66, 20, 140, -18, -51, -21, 73, 72, -85, -35, 66, 35, 42, -32, 99, -62, -146, 163, 42, -67, 134, 69, -56, 174, -125, -78, 180, -85, -120, 290, -297, 228, -144, 47, 198, -48, 152, 196, -93, 270, -259, 229 },
{ -68, 8, 120, -24, 38, -29, 62, 74, -69, -57, 114, 33, -138, 51, 80, -81, -94, 191, -205, 153, 51, 91, -127, 244, -94, -65, 135, -107, -124, 162, 277, -407, 229, -103, 99, 158, 99, -111, 144, 124, -233, 372 },
{ -95, 36, 148, -30, 16, -67, 56, 66, -80, -42, 93, 82, -31, -25, 152, -67, -110, 200, -256, 204, -83, 117, -30, -97, 201, -112, 145, -34, -136, 214, 228, -332, 208, 184, -78, 185, -58, 169, -28, 101, -204, 298 },
{ -96, 156, 72, -42, -93, 79, -59, 131, -98, 54, 157, -116, 170, 53, -143, 156, -19, -143, 200, 179, -350, 258, -50, -153, 300, -58, 117, 33, -200, 134, 329, -330, 308, 48, 58, 214, -73, 106, -91, 81, -199, 281 },
{ -124, 243, 133, -108, -96, 82, 148, 124, -168, -86, 176, -76, 139, -115, 185, 144, 209, -40, 123, 38, -211, 132, 54, -257, 501, -73, 23, 110, -203, 255, 321, -370, 251, 192, 116, 174, 134, -190, -54, 104, -339, 410 },
{ -47, 26, 153, -49, -58, -18, 73, 95, -111, -48, 60, 66, -53, 48, 77, -101, -163, 188, -40, 106, 113, -86, 52, 196, -111, -100, 193, -94, -131, 288, -239, 248, -241, 88, 97, 96, 178, 133, 75, 132, -391, 287 },
{ -64, 125, 26, -28, -58, -18, 70, 58, -78, -35, 108, -61, 168, -172, 207, -119, -134, 144, -75, 173, -56, 94, -131, 159, -92, -166, 252, -153, -195, 352, -190, 305, -143, -75, 145, 244, 146, 117, -138, 297, -323, 352 },
{ -70, 138, 37, -60, -20, 104, -203, 242, -101, -68, 60, 45, 65, -116, 176, -117, -56, 146, -92, 116, -26, 119, -122, 103, 109, -191, 174, -69, -212, 283, 270, -448, 223, 108, -62, 372, 159, -76, -33, 128, -224, 294 },
{ -29, 280, 31, -41, -41, -22, 100, 138, -73, -102, 102, 113, -124, 167, 79, -159, -162, 230, -160, 232, -87, -81, 120, 259, -197, -220, 139, 100, -115, -180, 586, -331, -21, -75, 247, 85, 509, 288, -241, 156, -307, 256 },
{ -38, 302, 37, -45, 118, -167, 142, 61, -74, -50, 180, 157, -150, 51, 124, -175, -157, 232, -185, 400, -390, 275, -209, 304, -218, -147, 52, 89, -425, 301, 444, -227, -197, -140, 264, 401, 369, -185, 79, 52, 12, 94 },
{ -121, 588, 215, -165, -177, 133, 40, 18, -59, 23, 162, 26, -84, 93, 143, -116, -82, 255, -184, 130, -230, 165, 168, -252, 275, -163, 255, -330, 150, 136, 320, -199, -234, 234, 82, 572, 240, -227, -246, 587, -555, 263 },
{ -94, -26, 123, 92, -33, 65, -66, 66, -86, -45, 163, -55, 80, -105, 121, 99, -54, 90, -170, 81, 135, 120, -197, -45, 111, -51, 137, -42, 62, 139, -199, 311, 101, 148, -110, 87, -96, 145, 50, -57, 203, -330 },
{ -82, 15, 179, -47, -97, 101, 28, -71, 110, 117, 107, -112, 82, 100, -105, 187, -74, 113, -173, 72, 95, -140, 95, -68, 204, -71, 139, -130, 66, 209, -200, 415, 92, -66, -32, 42, -57, 163, -54, 89, 116, -288 },
{ -76, -100, 133, 103, 67, 144, -62, -107, 140, 97, -140, 118, 25, 147, -230, 343, -89, 65, 161, -261, 173, -153, 97, 70, 220, 159, 138, -149, -63, 341, -252, 550, -114, -85, -76, 157, -53, -72, 40, 69, 153, -252 },
{ -138, 126, -121, 341, 286, 101, -112, -141, 181, -80, -122, 101, 167, -124, -213, 609, -149, 123, 99, -242, 165, 251, -219, 116, 260, 328, 214, -332, 62, 274, -290, 308, 253, -229, -141, 291, -82, -52, -41, 267, -76, -359 },
{ -149, 204, -165, 291, -167, 92, 84, -142, 130, 413, 75, -168, 117, 90, -81, 270, -154, 65, 79, 147, -163, -108, -150, 326, 287, 143, 133, -75, -247, 198, 205, 367, 179, -370, -89, 251, -84, -83, 64, -44, 322, -402 },
{ -255, 205, 751, -187, -250, 227, 280, 103, 309, 248, -361, -126, -163, 191, -66, 149, 431, 140, -187, 358, -103, -319, -312, 353, 888, -307, 246, 176, -504, 338, 699, 433, 263, -557, -336, 406, -58, 210, -236, -87, 662, -528 },
{ -88, -22, 174, 38, -56, 38, 48, 39, -71, -43, 116, 36, -157, 65, -38, 72, -68, 118, -84, 35, 120, 87, 145, -43, -61, -33, 58, 80, -118, 133, 223, -246, 69, 109, 74, -25, -86, 261, -116, -68, 202, 192 },
{ -74, -15, 145, -23, -68, 43, 102, 42, -64, 20, 65, -39, -20, 91, -113, 113, -29, -119, 161, 94, -122, 125, 109, 86, -96, -31, 61, 156, -61, -168, 333, -216, 67, 70, 133, -33, -85, 223, -180, -60, 104, 327 },
{ -76, 41, 134, -21, -46, -49, 85, 61, -51, -49, 147, 28, -123, -50, 103, -19, -87, 131, -157, 106, 52, 200, -74, 118, -76, -26, 42, 99, -97, 119, 224, -232, 119, -40, 102, -24, -79, 236, 27, -131, 227, 148 },
{ -81, -24, 150, 49, -101, 144, -130, 41, -86, -57, 120, -92, 72, 59, -78, 115, -87, 140, 108, -126, 200, -138, 129, 101, -77, -89, 178, -55, -214, 331, -214, 330, -109, -52, 96, 47, -57, 187, -214, 107, 310, -176 },
{ -78, 55, 96, 9, -87, 92, -69, 92, -116, -35, 137, -116, 110, -46, 67, 96, -17, -63, 125, 44, 38, -132, 149, -101, 106, -36, 39, 107, -114, -133, 176, 292, -229, 189, -133, 133, -68, 125, -87, 42, 130, 241 },
{ -63, -39, 182, 8, -35, 34, 72, -30, -45, -43, 77, 26, -107, 33, 97, -63, -78, 151, -183, 190, 88, 83, -100, 182, -105, -60, 99, 50, -91, 166, -294, 297, -78, 56, 51, 23, -61, 203, 81, -77, 282, -145 },
{ -64, -42, 113, 61, -37, 86, -92, 48, -92, -62, 143, 40, -92, 17, 103, -23, -66, 181, -252, 167, 117, -65, -52, 181, -67, -27, 112, -125, 84, 114, -244, 325, -172, 81, 82, 103, -68, 148, -153, 67, 174, -90 },
{ -113, 50, 196, -33, -57, -20, 87, 41, -89, 110, 55, 54, -70, 160, -44, 95, -144, 219, -202, 155, -164, 159, -129, 103, 191, 209, 91, -173, 108, 25, 317, -269, 421, -60, -106, 154, -83, 73, -40, 108, -137, 320 },
{ -64, 14, 156, -32, -60, 42, 40, 38, -43, -21, 56, -35, 90, -50, 69, -40, -116, 112, -115, 103, -30, 183, -108, 203, -93, -35, 128, -45, -84, 265, -185, 225, -210, 47, 126, -51, -29, 248, -39, 86, 205, -58 },
{ -80, 20, 167, -25, -15, -58, -19, 80, -61, -65, 151, -46, 96, -56, 129, -75, -75, 115, -181, 195, 68, -75, -61, 60, 72, -39, 51, 83, -105, 121, -146, 396, -291, 129, -60, 89, -60, 229, 15, -109, 241, 56 },
{ -79, 42, 142, -43, -35, -41, 85, 35, -72, -63, 115, 55, -71, 62, 117, -75, -76, 184, -175, 78, 137, -61, -177, 159, 126, -59, 57, -76, 96, 90, -157, 240, 259, -231, 68, 172, -54, 129, -92, 214, -229, 307 },
{ -51, 20, 134, -36, -80, 92, 83, 18, -48, 24, -81, 119, -10, 21, 55, -66, -179, 118, 113, 92, -122, 124, -51, 179, -134, -61, 141, -26, -97, 189, -169, 177, -107, 62, 157, -39, 188, 186, 65, 136, -291, 287 },
{ -76, 131, 35, -32, -56, -46, 74, 90, -72, 58, -51, 74, -83, 120, 39, -77, -161, 119, 138, -117, 140, -78, 83, -130, 101, -95, 157, -127, -54, 162, -99, 303, -181, 173, -96, 186, 177, -123, 127, 250, -388, 444 },
{ -73, 44, 172, -63, -96, 85, -22, 56, -64, 54, 59, -80, 109, 13, 80, -90, -94, 131, -121, 120, -50, 152, -129, -83, 197, -124, 179, -153, -23, 133, 78, 246, -261, 284, -65, 294, 102, -30, -49, 200, -209, 312 },
{ -107, 233, 156, -114, -95, 30, -52, 99, -79, 210, -39, 181, -130, 135, 137, -105, -59, 174, 144, -298, 119, -115, 161, -131, 299, -100, 83, 47, -112, 274, 221, -379, 188, 145, 150, 268, 137, -117, -82, 124, -284, 371 },
{ -202, 520, 266, -159, -129, -201, 169, 98, -97, 353, -103, 100, -107, 317, 174, -283, 219, 43, 73, -175, 99, -263, 253, 131, 498, -117, 187, -242, 420, -783, 1407, -455, -589, 852, -248, 356, -157, 264, -305, 253, -489, 797 },
{ -15, 36, 276, -62, -90, 59, 66, 52, -72, 178, -39, 35, -48, 63, 113, -74, -191, 156, -119, 266, -87, 73, 98, 122, -189, -215, 163, 29, -163, 162, 194, -121, -78, 59, 197, 51, 296, 268, 63, 63, -289, 275 },
{ -40, 53, -92, 126, 143, -149, 198, -34, -65, 124, 7, 26, 56, 90, 71, -94, -192, 202, -111, 151, 163, -124, -53, 267, -240, -242, 201, -54, -115, 183, 64, 189, -233, -129, 352, 238, 306, 100, -148, 150, -135, 300 },
{ -72, 66, 212, -120, -43, 87, -10, 83, -53, -30, 170, 66, -38, 82, 87, -103, -112, 221, -146, 39, 129, 34, -86, -112, 176, -146, 187, -125, 108, 61, 38, 105, -224, 395, -223, 510, 218, -84, 85, -161, 101, 129 },
{ -100, -25, 147, 112, -107, 122, -85, 63, -123, 27, 101, -115, 88, -59, 106, 165, 97, -120, 56, 86, 46, 134, -132, 107, -104, -47, 67, 39, 33, -175, 197, 201, 105, -93, 121, 95, -79, 135, -171, 27, 91, 186 },
{ -97, 58, 58, 83, -33, -29, 113, -32, -89, -61, 154, -88, 87, 11, 96, 105, -23, 99, -112, 95, 107, -177, 89, -174, 125, -102, 155, -110, 66, 156, -218, 276, 162, 127, -109, 86, -44, 149, -135, 114, -94, 165 },
{ -76, 29, 153, -58, -98, 44, 119, -67, 124, -37, 180, -129, 118, -175, -66, 200, -55, 96, -140, 90, 74, 64, 95, -186, 174, -53, 191, -52, -69, 152, -139, 404, 122, -167, -43, 93, -73, 111, -95, 123, 157, -133 },
{ -119, 75, 39, 129, 31, -51, 52, 38, -106, -76, 54, 119, -51, 56, 88, 142, -88, 225, -233, 78, 52, -99, -142, 108, 203, 112, 76, -132, 209, -62, 142, 271, 209, -103, -52, 69, -55, 73, -97, 88, -72, 197 },
{ -113, 18, 118, 118, -82, 146, -124, -134, 182, 43, 50, -145, 154, -100, -203, 357, -125, 136, 141, 110, 72, -93, 152, -71, 114, 100, 171, -164, -217, 154, -135, 300, 97, 77, -188, 185, -117, -44, 136, 133, -118, 288 },
{ -119, 101, 18, 130, 82, -70, 86, -141, 104, -140, 29, 67, 58, 115, -142, 241, 248, 70, -118, 148, -170, -136, 156, 105, 259, -77, 168, -131, 96, 51, 124, 420, -93, -173, -88, 110, -58, 122, -119, 145, 49, -131 },
{ -118, 57, 226, -31, -90, 149, 33, 57, -90, 50, -62, 82, -40, 146, -27, 165, -83, 132, 123, -183, 146, -95, -172, 113, 319, -72, 150, -171, 118, 94, 32, 435, 170, -110, -106, 129, -62, 154, -74, 86, 66, -146 },
{ -170, -111, 162, 260, 226, -171, 211, -148, 103, -143, -176, 168, -139, 98, -172, 563, 64, 258, 130, -47, 73, -149, 147, -254, 258, -115, 101, -72, 39, -158, 315, 155, -170, -82, -172, 293, -144, 170, -162, 127, -148, 528 },
{ -117, 88, 315, -54, -131, -99, 22, 114, 80, 352, 81, 80, 79, -159, 108, 96, -98, 101, -168, 226, -133, 265, -88, -64, 576, -30, 141, -177, 184, -196, 207, 275, -151, 225, -204, 251, -79, 133, -29, -20, 226, 113 },
{ -142, 549, 170, -100, -184, 104, -109, 196, -147, 52, 366, -138, 46, 51, 203, -186, -75, 128, 44, -105, 156, 227, -413, 333, 338, -78, 105, 106, -397, 269, 416, 342, -336, 458, -43, 173, 112, -171, 145, -321, 348, -315 },
{ -335, -319, 563, 283, 394, -250, -265, -102, 298, 599, -236, 345, -218, -93, 96, 469, -441, 436, -317, 431, -192, -269, -289, 154, 483, -188, 165, 261, -305, 163, 276, 295, 383, -387, -280, 474, -65, 175, -261, 197, 234, -536 },
{ -201, 414, 175, 298, 237, -309, -247, -145, 292, -288, 230, 230, -178, 107, -371, 779, 264, 122, -389, 202, -406, -217, 288, -194, 398, 52, -76, 373, -169, 551, 549, 263, -304, -117, 164, -116, -95, 150, 107, -227, 372, -283 },
{ 158, -527, 345, -184, 112, 330, -130, 84, 277, -244, 204, 174, 113, -270, 124, 361, 331, 108, -267, 279, -263, -183, -281, 247, 569, -92, 183, 152, -148, 348, 412, 217, -253, -81, -192, 326, -83, 64, -162, -121, 295, -581 },
{ -87, 49, 192, -45, -27, -50, 83, 34, -50, 24, -85, 75, -111, 75, -32, 70, -77, 43, 161, 48, 140, -155, 153, 87, -109, -42, 87, -81, 88, -89, 179, 234, -84, -126, 104, -38, -69, 252, -65, 29, 179, 178 },
{ -60, -64, 177, 12, -30, 72, 21, -17, -37, -46, 115, -52, 90, -78, 130, -53, -55, 125, -156, 127, 143, 70, -122, 167, -60, -9, -40, 34, 76, 166, -275, 306, 38, -88, 86, -23, -75, 223, 70, -132, 259, -169 },
{ -67, -61, 136, 54, -12, 39, 76, -32, -62, -54, 105, 59, -65, 49, 32, 117, -61, 104, -204, 153, 52, 128, -68, 95, -108, -60, 59, 65, 77, -61, 140, 211, 75, -33, 68, 78, -72, 185, -141, -57, 217, 174 },
{ -70, -52, 108, 73, 43, 29, -137, 34, -74, -83, 100, -63, 67, 122, -57, 102, -35, 99, -96, 100, 93, -106, 195, -109, 128, -93, 96, -67, 46, 138, -110, 263, 115, 170, -79, 53, -27, 145, -199, 123, -90, 303 },
{ -43, -43, 131, 8, -37, 21, 57, 40, -75, -55, 88, -40, 89, -94, 34, 77, -53, 105, -157, 159, 102, 121, -159, 166, -132, -48, 30, 86, 24, 162, -221, 180, 89, 25, 43, 12, -37, 159, 99, -138, 286, 120 },
{ -61, 18, 166, -44, -119, 117, -97, 70, -60, -36, 104, -88, 40, 89, -55, 58, -65, 74, 127, -151, 197, -103, 57, 150, -109, -58, 72, -30, -72, 252, -128, 338, 62, -65, 61, 95, -57, 87, 110, 41, 63, 154 },
{ -71, 104, 16, 142, -88, 39, 73, -100, -56, 49, 19, -93, 155, 70, -107, 135, 10, -121, 126, 106, -86, -61, 165, -77, 109, -24, -72, 133, -208, 327, -142, 337, -50, 240, -98, 85, -58, 117, 94, -83, 250, -192 },
{ -94, 50, 149, -23, -78, 139, -5, 48, -72, 27, 100, -71, 177, -122, 117, 78, -156, 112, 102, -165, 88, 84, -136, -83, 207, 71, 88, -192, 197, 241, -148, 313, 187, 108, -183, 165, -36, -64, 51, 60, -49, 154 },
{ -55, 13, 135, -19, -80, 27, 42, 78, -58, -22, 53, 82, -48, -41, 123, -76, -115, 129, -136, 171, -159, 193, -135, 174, -69, -49, 77, 47, 79, -107, 353, -81, -96, 120, 30, 18, -42, 198, 79, -97, 220, 332 },
{ -51, -46, 118, 24, 53, 23, -53, 74, -66, -111, 130, -51, 107, -76, 64, 14, -62, 111, -147, 176, 68, -47, -90, 143, -75, -33, 66, 36, -87, 176, -141, 271, -74, 45, 81, 88, -56, 209, -222, 115, 186, -56 },
{ -75, 39, 151, -40, -55, 29, 50, 79, -57, -37, 80, 68, -80, 130, -106, 96, -79, 200, -212, 112, 124, -123, 121, -63, 87, -42, 50, -117, 125, 110, -200, 465, -174, 153, 90, 115, -69, 109, 21, -65, 213, -109 },
{ -85, 43, 162, -28, -74, 55, 10, 56, -53, 47, -39, 63, 14, 111, -157, 115, -99, 166, 152, -140, 115, 27, 61, -96, 244, 80, 42, -91, 57, 116, -86, 293, 86, 161, 136, 76, -86, 119, -122, 124, -97, 173 },
{ -97, 59, 225, -46, -50, 91, -61, 80, -101, -59, 308, 17, 61, 137, 82, -100, 67, 236, -72, -193, 110, 91, 147, -237, 464, -96, 104, 157, -205, 194, -60, 355, -242, 270, 77, 111, -61, 172, -231, 103, -83, 262 },
{ -46, 22, 156, -51, -115, 83, 20, 58, -34, -100, 165, -60, 29, 72, -47, -25, -151, 192, -149, 206, -273, 154, 79, 146, -135, -104, 179, -85, -17, 311, -173, 218, -86, 35, 91, -21, 146, 101, 69, 201, -257, 309 },
{ -41, -69, 37, 95, 163, 14, -74, 85, -48, -63, 103, 62, 44, -91, 100, -68, -67, 151, -139, 145, -159, 119, -115, 195, -100, -82, 54, -24, -42, 178, -137, 372, -289, 145, 150, 122, -53, 189, 40, 199, -146, 229 },
{ -64, 43, 150, -67, -54, 83, 33, 67, -105, -86, 152, -95, 134, 156, -142, 122, -114, 235, -202, 102, 94, -119, 119, -158, 128, -100, 140, -147, 85, 207, -232, 426, -165, 248, 49, 243, 88, -45, 92, -111, 248, -201 },
{ 29, -165, 295, -63, 65, 43, 36, 39, -114, -92, 125, 38, -109, 181, 168, -150, -19, 61, 238, -351, 255, -136, -105, 83, 275, -74, 136, 19, -55, 244, -135, 337, -126, 389, -44, 254, -100, 235, -124, 55, -210, 256 },
{ -160, 497, 121, -84, -127, 371, -51, 174, -75, 67, -20, -30, 38, 119, 185, -169, -140, 59, 149, -184, 176, -214, -106, 218, 363, 138, -45, 59, -172, 285, 346, 307, -457, 601, 121, 174, -105, 157, -273, -136, 549, -451 },
{ -17, 34, 118, -68, -126, 80, 199, 40, -38, -37, 109, -88, 34, 57, 101, -58, -174, 159, -126, 396, -172, 61, 61, 150, -215, -192, 123, 104, -29, -79, 224, 82, -65, 24, 181, 40, 313, 170, 142, 124, -319, 337 },
{ 138, -221, 263, 34, 74, 66, -56, 24, -51, -85, 127, 74, -226, 71, 223, -163, 190, 74, -127, 186, -119, 99, -193, 161, 172, -54, -149, 267, -244, 151, 325, -222, -216, 299, 159, 418, 200, -156, 22, -249, 584, -347 },
{ 385, -319, 398, -80, 155, 345, -535, 291, -61, -125, -48, 212, -406, 164, 236, -283, -77, 296, -499, -82, 203, 146, -287, 71, 336, -24, 124, 86, -412, 785, -547, 649, -794, 927, -152, 436, 222, -494, 336, -524, 1447, -1402 },
{ 20, -89, 182, 84, -142, 100, 270, -119, -181, 141, 56, 29, -69, 185, 68, -48, -89, 106, 76, -97, 160, -173, 101, -169, 270, 36, -84, 82, -109, 113, 47, 355, 163, 147, -81, 206, -74, 100, 106, -123, 91, 217 },
{ -67, -22, 170, -32, -57, 55, 93, -83, 111, -50, 135, -52, -51, 124, -111, 75, -76, 102, -154, 102, 119, 56, 106, -127, 154, 89, -41, 45, 87, -123, 126, 214, 117, 165, -75, -28, -83, 145, 112, -92, 53, 196 },
{ -87, 96, 17, 77, -109, 60, 76, -96, 57, 34, 84, -82, 117, 73, -80, 183, -149, 161, -97, 126, -135, 119, 40, 68, 116, 43, 121, -148, 162, -54, 202, 176, 243, -112, -136, 131, -66, -62, 158, 68, -110, 187 },
{ -49, -81, 76, 68, 46, 111, 48, -63, -72, -115, 76, -72, 177, -56, 107, 133, -93, 187, -148, 62, 235, -204, -70, 158, 115, 49, 101, -127, 113, 29, -31, 468, 136, -97, -97, 189, -53, -44, 102, -50, 64, 113 },
{ -80, 101, 79, 94, -128, 61, -144, 92, -97, 86, -39, 64, -79, 117, 94, 262, -98, 133, -76, 113, -115, -163, 107, 97, 154, -49, 116, -122, 113, 127, 216, 226, 60, -59, -121, 99, -68, 119, 48, 88, -48, 111 },
{ -70, -168, 274, 152, 106, 52, 69, -159, 249, -61, -90, -81, 43, 115, -224, 390, -97, 136, 55, 238, -205, 53, 191, 85, 224, 90, 214, -187, -260, 189, 151, 355, -239, -90, -74, 190, -124, -66, 72, 119, 165, -85 },
{ -166, 134, 306, -72, -81, -83, 68, -94, 233, -126, 177, 54, 62, 77, -144, 267, 83, 92, -152, 218, -325, 251, -157, 269, 319, -127, 155, -125, 145, -201, 240, 170, 187, -258, -128, 129, 94, -96, 150, 101, 78, 114 },
{ -415, 396, -327, 1055, -474, 1078, -524, 349, -207, -338, 261, -881, -496, 304, 180, 720, 238, -478, 271, 433, -356, -289, -532, -345, 525, -339, 280, 292, -256, -116, 312, 589, -337, 436, -163, 286, -34, 438, -496, 351, -655, 686 },
{ -366, 120, 300, 728, 349, -559, -318, -267, 165, -513, 337, 234, 138, -321, -209, 818, 407, 194, -228, -292, 504, 320, -414, -208, 354, 137, -195, 369, 356, -208, -488, 159, -442, 267, -137, 352, -308, 367, -654, -250, -359, 992 },
{ -206, 206, 268, -119, -67, -137, 98, -52, 357, 250, 267, -74, -187, 166, -346, 430, -189, 92, -77, 185, -161, 344, 174, -150, 548, 52, 146, 220, -192, -294, 305, -356, 162, -306, 116, 359, -78, -51, -153, 183, -352, 848 },
{ -49, -43, 132, -32, -26, -51, 91, 91, -63, -46, 113, -35, 64, -91, 132, -35, -23, 83, -133, 118, 120, 99, -66, 105, -154, -67, 76, -85, 66, 187, 86, 131, 95, 66, -96, 18, -55, 166, 75, 74, 116, 125 },
{ -38, -41, 167, -27, -74, 86, 35, -44, 68, 32, 59, -110, 73, 50, -126, 62, -7, -88, 87, 91, 20, 78, 120, -128, 71, -13, -37, 125, -100, 159, 170, 93, 41, 101, -45, -42, -61, 191, 80, -56, 182, 203 },
{ -32, -48, 151, -24, -55, 95, -53, 85, -30, -87, 124, -47, 64, 63, -79, 91, -87, 88, -102, 82, 84, -49, 127, 57, -47, -58, 109, -68, 50, 106, 134, 215, 45, -41, 73, -38, -29, 206, -70, 91, 113, 95 },
{ -49, -25, 133, -31, -58, 89, -33, 112, -19, -24, 56, -45, 97, -142, -80, 109, 43, -45, 59, -53, 122, 60, 39, 66, -63, -26, -62, 115, -48, 144, 81, 173, 61, 55, 99, -38, -51, 143, 110, -88, 154, 172 },
{ -61, 27, 197, -45, -106, 53, -43, 90, -80, 31, 65, -24, 103, -144, 71, 90, -42, -90, 133, -78, 95, 80, 10, -56, 91, -54, 100, 88, -166, 266, -124, 300, 87, 203, -107, 90, -33, 55, 73, -42, 133, 98 },
{ -44, 12, 159, -44, -73, 113, 43, 31, -23, -39, 95, -44, 53, -44, 88, -33, -31, 83, -126, 88, 132, 105, -166, 148, -70, -29, -19, 80, -46, 293, -235, 314, 64, -27, 58, -42, -34, 166, 84, -23, 304, -221 },
{ 65, -64, 102, -54, -58, 90, 16, 58, -46, -50, 50, 147, -62, 110, -90, 86, -65, 140, -158, 75, 112, -78, 107, 100, -93, -81, 133, -72, 46, 231, -177, 277, 116, -80, 88, 53, -42, 121, -149, 119, 128, 119 },
{ -91, 36, 198, -22, -110, 76, -85, 77, -59, 49, 117, -42, 49, 70, -123, 149, -100, 84, -93, 108, 187, -86, 124, 79, 111, -90, 154, -98, 46, 98, -81, 314, 98, 186, -82, 68, -39, 169, -59, 35, -39, 183 },
{ -34, 11, 148, -38, -92, 74, -38, 98, -36, 60, 44, -48, 44, -60, 60, -15, -108, 112, -78, 129, -55, 199, -132, 135, -76, -38, 70, -87, 170, -177, 414, -124, 147, -33, 76, -15, -35, 170, 58, 92, 97, 390 },
{ 15, -78, 131, -50, 102, -97, 29, 106, -44, -60, 53, 66, -61, 91, -92, 63, -67, 126, -166, 155, 72, -112, 129, -67, 176, -61, 54, -76, 80, 189, -139, 297, -57, 160, -67, 132, -46, 81, 30, 107, 159, 92 },
{ -38, -93, 178, 30, 49, -21, -30, 68, -45, -54, 78, 43, 59, 33, 76, -101, -70, 113, -102, 144, -98, 84, -147, 83, 143, 125, -109, 83, -29, 168, 218, -194, 307, 67, -45, 183, -67, 91, 95, 43, -76, 362 },
{ -24, -29, 152, -24, -84, 91, 19, 59, -38, -10, 82, -82, -32, 61, -34, 45, -77, 125, -153, 182, 85, -100, 97, 161, -136, -53, -30, 53, 111, -103, 339, -171, 132, -39, 117, -18, -26, 234, 112, 185, -203, 515 },
{ -34, -61, 136, 28, -79, 105, -25, 39, -72, -49, 42, 114, -14, -56, 148, -103, -60, 134, 139, -151, 136, 109, -198, 63, 96, -101, 87, 66, -126, 301, -237, 307, 69, 93, -97, 124, 145, -35, 46, 174, 103, 165 },
{ 14, -120, 209, -42, 35, 54, 20, -44, 64, -35, 156, -102, -32, 61, 93, -122, -101, 157, -122, 73, 89, 123, -213, 58, 126, -63, 95, -131, 194, 151, -156, 275, -84, 146, 70, 208, -35, 93, -52, 38, 166, 218 },
{ -68, 46, 222, -49, -95, 108, -43, 77, -34, 60, 110, -14, -88, 120, 215, -165, -90, 84, 47, -145, 235, -101, -80, 125, 219, 52, 60, -41, -75, 303, -147, 377, -235, 384, 31, 254, -93, 128, -118, -122, 73, 230 },
{ -20, -59, 137, 23, -25, 45, 186, -32, -31, -69, 99, -68, 22, 156, 59, -62, -136, 135, -116, 217, 96, 99, -98, 171, -190, -227, 139, 81, 116, -115, 334, -132, 88, 102, 207, -81, 313, 217, 148, 182, -287, 381 },
{ 14, -80, 173, -45, -17, 52, 56, -21, 56, -73, 72, -66, 158, 63, 76, -87, -80, 136, 171, -91, 80, 101, -176, 212, -231, -252, 151, 228, -229, 286, -47, 171, -88, 126, 254, 194, 285, 134, -113, 213, -259, 245 },
{ 20, -105, 229, -76, 31, 34, 45, 53, -34, -94, 33, 142, -68, 27, 178, -208, -55, 77, 122, -126, 62, 285, -302, 139, 137, -117, 147, 48, -270, 396, 103, -96, -97, 291, -210, 451, 207, -75, 41, 63, 134, 140 },
{ 151, -99, 229, 30, 7, 106, -120, 184, -74, -55, 225, -268, 227, -62, 124, -139, -80, 56, -78, 280, -150, 210, -199, 73, 219, 58, -34, 50, -97, 169, 191, -177, 333, 248, 167, 133, 72, -171, 35, 139, -124, 339 },
{ -29, -69, 158, -39, -64, 63, 48, -63, 87, -27, 80, 71, -45, 71, -86, 110, 59, -79, 93, -115, 89, 28, 114, 68, -56, -53, -40, 131, -67, 208, 138, 321, 80, 86, -32, -24, -50, 164, 97, -260, 147, -122 },
{ -45, -40, 149, -32, -53, 88, 73, -38, 29, 54, -41, 47, -62, 110, -105, 81, -31, -90, 111, -40, 76, 96, 113, -136, 146, -42, 113, 93, -80, 97, 130, 209, 113, 106, -113, 89, -51, 62, 61, -73, 95, 170 },
{ -75, 37, 147, -41, -92, 99, -100, 92, -87, -66, 117, 63, -76, 39, 75, 168, 35, 53, -33, -54, 118, -143, 170, -51, 124, -77, 148, -64, 69, 78, 127, 305, 151, -91, -46, 95, -46, 62, -97, 195, -98, 156 },
{ -92, 41, 139, -20, -82, 84, -21, 72, -73, 20, 115, -51, 103, -100, -41, 202, -161, 138, -87, 59, 248, 68, -77, 66, 90, 90, 94, -137, 121, 39, 59, 365, 154, -84, 143, -65, -52, 130, -108, 142, -57, 195 },
{ -82, 30, 150, -19, -103, 67, 55, 114, -82, 29, 156, -61, -67, 158, 87, 250, -126, 40, 27, 67, 105, -91, 247, 45, 94, 49, -37, 87, -126, 111, 61, 277, 167, -145, 138, -60, -47, 191, -170, 102, -71, 141 },
{ -50, -88, 240, 17, 77, 201, -70, 70, -131, -114, 117, -33, -60, 100, 94, 265, -102, 113, -108, 189, 264, -93, -201, 157, 156, 111, -68, 65, -161, 156, 43, 250, 220, -360, 151, -84, -63, 182, 114, -171, 199, -64 },
{ 18, -138, 225, -33, 37, 98, -116, 104, -76, -76, 131, -43, 58, 46, 137, -62, -40, 87, -99, 156, -180, 148, -83, 265, 276, -57, 130, -79, 98, 139, 316, -233, 314, 56, -92, 59, 92, -66, 110, -105, -46, 272 },
{ 93, -183, 294, -110, 63, 154, -70, 106, -80, -89, 29, 63, -79, 122, -147, 150, 45, -8, 116, -60, 212, -103, 76, 111, 302, -98, 66, 81, -114, 137, 248, -174, 375, -60, 114, 127, -33, 200, -208, 58, -93, 435 },
{ 38, -179, 146, -71, 146, 96, 80, 203, -75, 31, 12, -158, -133, 69, 113, 313, -119, -40, -50, 187, -172, 147, -309, 177, 175, 60, 196, 271, -181, 239, 13, 309, 283, -51, -214, 230, -67, -57, 73, 90, 73, -123 },
{ -159, 72, 177, 83, 130, -62, -23, 62, -87, -127, 45, -60, 233, 49, 141, 132, -110, 335, -361, 184, -315, 182, -189, 321, 273, 53, 30, -115, 198, -131, 334, 184, 145, -147, 69, 176, -74, 139, -132, 118, -172, 166 },
{ -132, 264, 114, -74, -86, 119, -16, 189, -45, -65, 79, -71, 25, 134, -144, 209, 57, 53, 142, -70, -174, 378, -126, -114, 532, -45, -119, 123, -137, 125, 326, -257, 150, 314, -159, 176, -91, 210, 64, -328, 280, 255 },
{ -319, 382, -311, 1067, -715, 607, -972, 181, 263, 208, 345, 92, -244, 115, -218, 487, -381, -389, -80, 291, -412, 54, -241, -93, 404, -244, 301, 125, -36, -195, 299, 58, 195, 141, -136, 419, -164, 693, -1040, 70, 137, 138 },
{ -198, 197, -77, 451, 139, -123, -194, 254, -58, -107, 103, -111, 111, -233, 438, 297, 58, -73, -131, 93, 86, 240, -340, 292, 154, -91, 86, 30, -202, -282, -110, 270, 416, -270, 103, 281, -120, 258, -215, 274, 401, -193 },
{ -161, 126, 259, -332, -62, -100, 64, 97, -91, 138, 166, 124, -109, 97, 220, 217, 66, -83, -85, 135, -155, -171, 109, 299, 462, -175, 86, -288, 42, 201, -24, 295, -422, -152, 115, 85, -72, 318, -175, 231, 94, 109 },
{ -26, -50, 215, -42, -62, 96, -141, 48, -21, 45, 30, -95, 88, -57, 124, -53, 15, -128, 91, 45, 96, 101, -117, 45, 37, -49, 38, 47, -42, 151, 161, 172, 109, 35, -52, -41, -40, 225, 36, 81, 104, 154 },
{ -36, -61, 181, -32, 28, 66, -27, 80, -19, -60, 72, -17, 73, -71, 101, 23, -26, 68, -145, 103, 76, -72, 165, -126, 52, -63, 63, 61, 109, -91, 214, 275, -130, 60, 76, -56, -37, 224, -143, -50, 119, 254 },
{ 92, -98, 112, -84, -35, 47, 174, 70, -32, 16, 176, -23, -20, -43, 52, 7, -86, 93, -157, 96, 164, 85, -118, 94, -43, -57, 88, -115, 78, 239, -155, 260, 97, -46, 66, -60, -22, 214, -29, 133, 164, 64 },
{ -23, -67, 70, -26, -47, 88, -73, 289, -20, 24, 84, -61, 90, 39, -85, 149, -76, 60, -124, 131, -82, 94, 79, 63, -48, 68, -41, 103, 67, -28, 384, -145, 203, 124, 14, -30, -64, 147, 88, -104, 83, 340 },
{ -49, -45, 188, 18, -73, 300, 35, 14, -58, 47, -29, 54, -44, 104, -127, 89, -87, 203, -31, -102, 139, -50, 159, -139, 74, 60, -115, 83, 68, 49, 98, 260, 165, 111, -161, -58, -65, 142, 115, -70, 95, 244 },
{ 110, -73, 57, -81, -66, 33, 38, 75, -34, 18, 175, 41, -78, 37, -56, 84, -148, 164, -106, 80, 111, -81, 54, 99, -65, 39, -15, -97, 64, 33, 161, 232, 96, -51, 87, -31, -21, -30, 201, 76, 176, 204 },
{ 221, -132, 25, -55, 21, 38, 245, 42, -28, -57, 29, 18, -56, 79, -75, 48, -53, 57, -106, 94, 145, -89, 114, -25, 96, -30, 77, 265, -141, 242, -156, 360, 41, 95, 126, -43, -23, 190, -91, 131, 110, 123 },
{ 19, -129, 245, -55, 34, 98, -35, 86, -53, -66, -33, 23, 58, -90, 110, -53, 40, 61, 135, -131, 104, 106, -18, 167, 96, -62, -47, 75, -78, 121, 212, -203, 278, 177, -168, 197, -54, 85, 110, -128, -41, 377 },
{ 117, -53, 98, -39, -100, 105, 17, 198, -62, 22, 132, -60, -29, -160, 180, -31, -31, -96, 62, 127, -82, 165, -134, 191, -47, -69, -57, 87, 102, -126, 406, -138, 102, 110, 71, -90, -17, 195, 99, -33, 212, 356 },
{ 89, -89, 21, 163, 28, 46, -22, 31, -64, -51, 89, -5, 230, -77, 97, -74, -65, 96, -142, 139, -95, 80, -153, 213, 50, -74, 166, -58, 36, 109, 308, -170, 150, 149, -130, 182, -49, 117, 164, -62, 194, 235 },
{ -37, -49, 23, 148, -84, 129, 13, 54, -58, 56, -28, 74, -60, 51, 62, -68, -68, -71, 108, -60, 146, -44, -121, 112, 89, 52, 54, -58, 76, 139, -163, 322, 96, 136, -74, 154, -25, -29, 30, 93, 138, 228 },
{ 318, -123, 63, -49, 73, -47, 165, 47, -26, 46, -55, 72, -50, 39, 132, -129, -73, 44, 64, -94, 200, -146, 96, 129, 154, -34, 124, -73, 134, -125, 310, -242, 379, 153, 95, 58, -32, 154, -118, 95, -187, 416 },
{ 335, -174, 241, 25, 43, -70, -16, 204, -78, 197, -18, -28, 92, -59, 94, -140, -96, 76, 57, -68, 56, 228, -83, 118, 377, 64, 137, -51, 87, -136, 234, -107, 257, 165, 138, 103, -77, 102, -157, 150, -149, 312 },
{ 72, -57, 59, -62, -59, 42, 168, 14, -31, 36, 22, -42, -109, -49, 22, 21, -85, -74, 144, 131, -125, 164, -142, 148, -66, -119, 71, 97, -127, 273, -199, 356, -93, 83, 110, -38, 161, 225, 143, -63, 293, 58 },
{ 292, -68, 34, -42, -60, 145, -217, 85, -11, 38, -36, 118, 55, -23, 41, -51, -73, -77, 162, -100, 112, 68, -120, 127, -90, -70, 105, -69, 272, -112, 392, -200, 122, 119, 36, 139, -23, 126, 42, 91, 181, 262 },
{ 20, -120, 231, -57, 33, 110, -233, 131, -12, -54, 108, -25, 31, -80, 200, -82, -25, 79, -66, 121, -95, 143, -182, 58, 130, -36, -48, 102, -82, 77, 247, -208, 286, 62, 90, 193, 138, -82, 86, -56, 131, 377 },
{ 103, -156, 184, 19, 40, 104, -144, 128, -72, -107, 112, 33, -48, 73, 86, -136, 39, -63, 180, -95, 85, 118, -104, 75, 208, 19, -86, 149, 212, -262, 112, 334, -530, 308, 187, 197, -84, 197, -163, 101, -94, 271 },
{ 171, -284, 239, -115, 89, 98, 138, -94, 192, -123, 106, 16, -100, 70, 216, -259, -23, 24, 159, -148, -74, 132, 274, -167, 421, 46, -57, 132, 131, -229, 201, 154, -265, 526, -164, 279, -86, -116, 262, -97, -77, 478 },
{ -135, 149, 311, -112, 93, -23, 274, -271, 76, -111, 103, 176, -106, 99, 203, -264, 77, -156, 18, -225, 260, 214, -156, 130, 464, -67, -101, 104, -173, 319, -284, 222, 111, 400, -412, 389, 309, -93, -44, -100, 190, 234 },
{ 117, -80, 113, 9, -118, 144, 61, 71, -85, -65, 25, 41, 82, 12, -90, 59, -151, 142, 159, -147, 82, 156, -55, 172, -186, -222, 68, 202, -79, 123, 306, -163, 77, 180, 152, -103, 330, 222, 126, 187, -276, 399 },
{ 15, -81, 244, -54, 68, -90, 24, -61, 148, -72, 50, 124, 14, -46, 37, -34, -31, 47, -68, 68, 147, -139, 267, 173, -249, -229, 100, 96, -135, 113, 303, 192, -204, 59, 220, 192, 279, 134, -118, -125, 412, 159 },
{ -49, 26, 189, -48, -92, 204, 39, -62, 102, -60, 188, -314, -56, 81, 113, -106, 37, -26, 276, -84, 127, 120, -226, 208, -113, -222, 118, 109, -258, 266, 125, 193, -118, 40, 156, 435, 194, 84, -112, 69, 169, 219 },
{ 163, -115, 188, -165, 265, -110, 56, 92, -61, 63, -143, 204, -455, 70, 157, -178, 129, -112, 69, -44, 155, 156, -369, 336, 74, 89, -97, 104, -75, 88, 178, 276, -305, 70, 397, 282, 134, -187, 96, -67, 217, 249 },
{ -75, 30, 200, -37, -88, -37, 40, -29, 84, 67, 43, 39, -42, 76, -113, 120, -66, 99, -137, 98, 46, -115, 194, -70, 118, -39, 85, -37, 128, -27, 175, 278, 55, 91, -60, -24, -40, 147, 80, -90, 109, 192 },
{ -32, -81, 191, 73, 40, 48, -65, 58, -67, -83, 114, -40, 140, -109, 168, 90, -71, 123, -36, 143, -136, 193, -98, 75, 133, 22, 120, 80, -46, -86, 307, 216, 137, 55, -112, 24, -67, 67, 78, -94, 79, 233 },
{ 18, -115, 178, -57, 23, 82, 21, 86, -55, -65, 57, 44, -55, 118, -101, 174, 52, -38, 56, -108, 119, -170, 117, 51, 80, -86, 86, 99, -72, 128, 87, 269, 217, -97, 79, -35, -32, 162, -62, 120, -134, 245 },
{ -52, 47, 136, -58, -122, 75, -16, 79, -63, 178, 89, -41, 177, -67, 105, 263, -66, -20, 49, -122, 133, -69, 206, 64, 143, 32, 106, 54, -120, 123, 26, 391, 120, -90, -65, 60, -78, 114, -117, 198, 74, 186 },
{ -95, 57, 211, -35, -118, -51, -144, 80, -39, 152, 64, 161, 32, 89, -60, 142, -49, -62, 42, -141, 183, -125, 189, 134, 222, 160, 53, -107, 128, 120, 47, 308, 171, 65, -138, 31, -64, 109, 28, 81, -128, 134 },
{ -64, -61, 313, -42, 41, -573, 112, -37, 203, 226, -21, 139, -185, -73, -75, 129, -134, 26, -86, 152, 222, -136, 193, 271, 90, 117, 107, 54, -101, 95, 181, 314, 159, -82, 158, -94, -65, 83, -87, 187, -134, 156 },
{ -118, 56, 126, 57, 173, -34, -76, 126, -93, -173, 61, -337, 121, 197, -92, 153, 100, 159, -78, -64, 172, -48, -180, 329, 305, -39, 101, 30, -207, 185, 84, 383, 275, -163, 92, 135, -68, 214, -244, 237, 214, -251 },
{ -260, 136, -79, 475, -228, 124, -100, 115, 122, -54, 196, 64, 162, -184, -142, 444, 147, 327, -197, -84, 104, 265, -410, 274, 299, -230, -106, -848, 117, 227, -223, 190, 173, -224, -168, 428, -218, 135, 280, 219, -115, 230 },
{ 311, -258, 264, -207, 104, -375, 282, -128, 175, 151, -57, 103, -127, -137, 83, 87, -175, -38, -394, 295, 143, -93, 171, 300, 69, 102, 75, 137, -194, 93, -83, 357, 69, -97, 246, 46, -110, 205, -79, -144, 313, 68 },
{ -158, -94, 106, 173, 308, 92, -212, 139, 368, -172, 375, 36, -435, -268, 389, -84, 77, -140, 262, -386, 316, 182, -439, 536, 417, -119, -199, 270, -549, 488, 1178, -435, 211, 571, 415, 107, -95, 158, 942, -29, -284, -467 },
{ 76, -80, 194, -54, -91, 57, 78, -18, 20, 46, 84, -50, -26, 36, -50, 29, -77, 109, -114, 70, 93, -86, 121, -87, 58, -49, 43, -75, 111, 38, 265, 200, -69, 58, -13, -74, -17, 227, 75, 96, 104, 302 },
{ 184, -93, 79, -46, -56, 87, -99, 54, -242, 97, 66, -118, 107, 83, -87, -15, -121, 222, -63, 129, -38, -75, 140, 76, -16, -101, 86, 101, -177, 269, 190, 238, 141, -88, 161, -95, -48, 227, -49, 105, 69, 175 },
{ 85, -54, 74, -36, -76, 110, 73, 92, -66, 48, 74, -132, -27, 46, -57, 64, -82, 87, -151, 159, 113, -94, 159, -47, -25, -85, 96, -59, 100, -65, 295, 112, 95, -64, 81, -101, 96, 183, -23, 105, 140, 300 },
{ -26, -41, 49, 84, -77, 94, 19, 70, -76, 50, 71, -43, 86, 36, -59, 57, -96, 143, -109, 137, -52, -113, 193, -53, -44, -37, 91, -140, 101, -16, 303, 206, -105, 66, 174, -64, 6, 242, -141, 236, -82, 333 },
{ -46, 577, 29, -69, -35, -54, 129, 155, 12, 75, -71, 21, 52, -62, -49, 28, -81, -38, 61, 108, -204, 177, 111, 65, -17, 118, 64, -91, 79, -30, 436, -306, 256, -95, 201, -37, 92, -24, -133, 249, -148, 405 },
{ 108, -64, 102, -72, -64, 29, 37, 112, -51, 42, 39, -47, 20, -60, -21, 34, -92, 324, -114, 158, -59, 178, -101, 155, -49, -93, 118, -78, 73, -35, 359, -49, 170, -100, 99, -104, 47, 217, -36, 139, 184, 294 },
{ 121, -210, 144, -48, -85, 118, 43, 140, -54, 52, -22, 41, -47, -218, 102, -14, -71, -24, 146, -106, 159, -26, -74, 97, 44, -147, 182, -107, 96, 70, 158, 133, 211, -69, 124, -62, -12, 254, -59, 231, -135, 350 },
{ 153, -104, 37, -52, 19, 126, -22, 34, -52, -80, 11, 46, 93, 62, -56, 53, 25, 26, -40, -105, 103, -118, 98, -39, 84, -54, 114, -46, 118, 108, 114, 217, 103, 211, -101, 73, -37, 119, 58, -109, 131, 332 },
{ 119, -108, 145, -43, 59, 198, -64, 215, -63, -71, -28, 168, -355, 55, 91, -68, 68, 44, 43, -129, 123, -102, 81, 94, 70, -85, 85, -130, 120, 61, 106, 254, 176, 91, 153, -64, 101, 150, -123, 84, -40, 268 },
{ 155, -96, 114, -77, -62, 18, 320, 97, -94, 52, 28, -40, -122, -66, 143, 55, -21, -55, -104, 116, 171, -123, 129, -99, 73, -93, -33, 75, 260, 200, -128, 312, -51, 113, -36, -79, 205, 231, 107, -35, 223, 198 },
{ 154, -68, -13, 87, -57, 27, 118, 24, -72, 27, 24, -15, -47, 14, 259, -94, -69, 44, -136, 71, 99, -94, -96, 134, 422, -97, 125, -71, 96, 88, 268, -189, 290, 45, -62, 183, 85, -43, 143, 128, -115, 547 },
{ 207, -144, 24, 70, 43, 122, -42, 18, -71, -75, 64, 84, 23, 24, -49, 56, -42, 82, -141, 127, -102, 77, -87, 160, -36, -32, 66, -102, 64, 105, 255, -174, 290, 83, 105, 113, -34, 137, -133, 162, 74, 313 },
{ 116, -155, 199, 27, 20, 98, -62, 93, -95, 36, -61, 47, 154, -52, 126, -106, -69, 52, 47, -108, 215, 41, -93, 53, 156, 69, 76, -166, 95, 97, 114, 223, 156, 122, 307, -48, -35, 99, -163, 193, -62, 225 },
{ 83, -66, 55, -50, -48, 88, 106, 64, -56, 60, -33, -68, -34, -84, 87, -38, -49, 51, -139, 150, 102, -37, -109, 162, -47, -181, 115, -64, 190, 260, -119, 241, 127, 42, 79, -101, 173, 118, 147, 53, 237, 172 },
{ 93, -78, 58, -49, -60, 117, 120, -19, 18, -49, 115, -93, 73, 34, -46, 29, -35, 74, -124, 119, 101, -61, -93, 102, -83, -44, -37, 57, 147, 49, 95, 207, -85, 95, 54, 98, -25, 175, 64, -43, 287, 332 },
{ 16, -78, 81, 10, -69, 159, -28, 171, -53, 60, -78, 197, -53, 32, 31, -44, -56, -27, 90, -105, 533, 118, -134, -57, 173, -62, 144, 47, -174, 174, 195, -184, 173, 274, -43, 243, -60, 131, 67, -100, 164, 302 },
{ 140, -135, 174, 28, 67, 57, -79, 208, -82, 49, -83, 203, -26, 48, 43, -105, -74, 58, -26, 118, -72, 245, -112, 64, 197, 60, 63, -85, 157, -113, 220, -162, 303, 189, 230, 128, -89, 102, -120, 89, 57, 257 },
{ 159, -204, 310, 40, 31, 183, -69, 205, -120, -124, 194, -488, 197, 128, 114, -217, 165, 53, -43, -47, -250, 371, -196, 247, 344, -61, 62, -106, 111, -156, 282, -176, 249, 451, -202, 194, 229, -186, 141, 84, -86, 263 },
{ -211, 376, 89, 73, -135, -30, 205, -361, -21, 271, -108, 308, 91, 39, 218, -173, 108, -698, 194, -181, -319, 268, -248, 222, 488, 41, -64, 87, 104, -339, 821, -635, 701, 306, -197, 226, 196, -179, 154, -61, -156, 766 },
{ 55, -71, 89, 13, -59, 74, 111, -18, -27, -38, 83, 10, 54, -56, 116, -82, -61, 108, 62, -74, 124, 27, -121, 151, -81, -208, 95, 82, -76, 154, 142, 193, -96, 89, 274, -86, 291, 214, 181, 129, 125, 118 },
{ 107, -107, 130, -107, 21, -60, 141, 187, -29, -71, 214, 44, -32, -44, 44, 31, -46, 81, -124, 42, 123, 209, -111, 95, -178, -136, 189, -99, 136, 87, 104, 229, -218, 152, 180, 155, 240, 45, 99, -169, 304, 206 },
{ 13, -76, 226, -189, -69, 159, 40, -72, 182, 59, -97, 197, -214, 26, 28, -38, -104, 122, 12, 96, 40, -165, 141, 107, -145, -106, 105, -129, 81, 204, -113, 173, 74, -124, 226, 439, 211, -57, 50, 117, 68, 263 },
{ 103, -89, 252, -18, -88, 296, -134, 38, 104, 47, -113, 176, -64, 83, 56, -134, 38, -100, 154, 75, -167, 129, 151, -200, 227, -25, 114, -127, 108, -56, 104, 240, -231, 259, 228, 418, 124, -149, 92, -45, 342, -202 },
{ 222, -207, 409, 66, 250, -151, -197, 455, -146, 170, -1216, 538, 100, -199, 168, -202, -217, 76, 297, 145, -242, 212, -117, 230, 378, 55, -119, 173, -300, 389, 124, -402, 425, -133, 143, 250, 164, -295, 271, 188, 456, -338 },
{ 94, -95, 110, -96, -89, 105, -83, 172, -56, 34, 155, -78, 44, 45, -52, 76, -105, 41, -149, 137, 74, -52, 178, 16, -132, -12, 117, -25, 84, -80, 289, 192, 104, -105, 116, -30, -26, 123, 43, 89, 29, 292 },
{ 138, -74, 117, -53, -67, 27, 6, 81, -11, 54, 170, 36, -73, 69, -64, 114, -115, 77, -117, 131, 114, -76, 130, -50, 62, 16, 67, 40, 56, -56, 213, 291, 73, 94, -30, -14, -56, 131, 98, -105, 166, 226 },
{ 495, -65, 46, -54, -43, 51, -46, 256, 17, 81, -70, 74, 37, -62, 63, -66, -98, 170, -18, -93, 147, 110, -117, 151, 71, -20, 77, -92, 208, 76, 160, 161, 304, -105, 254, -100, -36, 105, -186, 204, -140, 310 },
{ 72, -105, 36, -48, 49, 182, -68, 135, 83, -68, -15, -106, 79, -100, 67, -54, 139, -11, 175, -81, 132, 31, 121, 197, 68, 41, -40, -188, -71, 145, 106, 279, 183, -62, -88, 33, -48, -76, 196, 93, -144, 236 },
{ 12, -89, 172, -63, 59, -36, 181, 64, -81, -143, 133, -37, 75, -104, 150, -45, 80, 275, 56, -120, 231, -118, 186, 130, 135, 40, -45, 92, -107, 178, 116, 268, 162, -64, -59, 72, -100, 174, -30, 112, -87, 222 },
{ -50, 23, 186, -25, -122, 284, -70, 140, -93, 43, 81, 16, 93, -97, 60, 124, -47, 95, -33, -76, 151, -95, 115, -38, 160, -66, 168, 44, -64, 140, 100, 362, 102, 203, -102, 150, -34, 18, 34, -134, 75, 147 },
{ 119, -120, 46, -24, -54, 240, -51, 45, -40, 39, 103, -22, 109, 72, -90, 77, -112, 102, -36, -62, 126, -120, 99, 81, 108, 92, 38, 26, -102, 134, 187, 213, 325, -53, 152, -40, -56, 204, -121, 89, -60, 258 },
{ -51, -53, 251, 24, -69, 207, -90, 76, -41, 73, -60, 64, -40, 93, -139, 176, -121, 168, 55, -154, 225, -143, 78, 120, 219, 32, -72, 156, -115, 124, 60, 370, 182, 145, -45, 156, 133, -70, 68, -121, 152, -134 },
{ -75, 328, -105, 24, 22, -102, 228, 157, -65, 260, -56, 48, -70, 82, 266, -130, -58, -571, 166, -74, -400, 162, -131, 216, 318, 126, 161, -198, 73, 92, 131, -125, 343, 75, 113, 108, -55, 110, -182, 177, -149, 237 },
{ -78, -90, 218, 46, 32, 212, -94, -52, 53, 135, -30, 55, -117, 190, -129, 259, -66, 195, -61, 197, -106, 116, 264, -110, 95, 85, 39, -67, -44, 213, 83, 251, 207, 91, -76, 202, -47, -51, 63, 198, -291, 151 },
{ -81, 333, -129, 134, -79, 33, 108, -123, 88, -55, 168, -95, 70, 93, -148, 321, 176, -187, 112, 137, -153, 161, 238, 261, -71, -60, 55, 62, -215, 240, 212, 351, 197, -195, 44, 242, -27, -31, -87, 185, 69, -60 },
{ 28, -165, 176, -32, 166, 90, -27, 168, -39, -17, -53, -49, 50, 51, -90, 78, -60, 199, 92, -91, 363, -201, 271, 314, 268, 42, -70, 106, -197, 201, 232, 229, 115, 96, -77, 92, -28, -80, 206, -192, 274, -237 },
{ -156, 61, 330, 246, -87, -87, -138, 162, -104, 17, 33, 118, 83, -86, 122, -100, 192, -154, 184, 131, -174, 207, 60, 111, 396, 37, 64, -107, 200, -119, 293, 126, 214, 96, 226, 61, -42, 76, -305, 263, -122, 277 },
{ -121, -36, 210, 22, 75, -100, 268, -469, 191, -129, 132, -141, 176, -140, 111, 338, 308, -324, -614, -145, 419, 134, -107, 174, 59, 19, 78, 133, 72, -177, -154, 199, 225, 121, -79, 234, -155, 133, -133, 276, -92, 337 },
{ -114, 54, 786, 105, -133, -341, -79, 113, 219, 252, 379, 47, -468, -95, -168, 315, -174, 68, -248, -144, -241, 305, 215, 152, 112, 175, 43, -104, 194, 384, 112, 274, 157, -81, -174, 273, -56, -693, 139, 261, 390, -86 },
{ 325, -190, -14, -311, 112, 218, -26, 124, -94, -41, -96, -31, 75, -197, 190, 104, 34, 276, -120, 177, -257, 99, -87, 418, 252, -177, 115, 160, -142, 256, 113, 256, 113, -181, 279, 143, -47, 132, -247, -70, 220, -180 },
{ -173, 107, 267, 31, -113, -283, 167, -103, 124, 177, 304, 83, 475, -343, 431, -211, 107, -273, 118, -233, 260, 204, -369, 511, 655, -171, 168, -267, -295, 492, 697, -606, 562, 740, -447, 267, -221, 252, 327, -477, 452, -629 },
{ 130, -107, 89, -71, 16, 17, 117, 14, -47, -46, -55, 55, -18, 100, -51, 56, -45, 147, 141, -160, 184, -140, 137, -75, -26, -108, -119, 70, -163, 219, 191, 237, -117, 83, 10, -119, 97, 126, 265, -87, 194, 245 },
{ -45, 26, 123, -46, 11, -55, -56, 104, -30, 80, -43, -13, 167, -70, -85, 49, -133, 27, -79, 86, -117, 136, 164, 24, -28, 16, 111, 67, -115, 68, 403, 169, 61, -103, 132, -42, -66, 81, -14, 163, 131, 276 },
{ 118, -77, 74, -186, -88, 32, 235, 112, -47, 57, 41, -31, -30, -40, 74, -28, -53, 105, -141, 69, 154, 132, -170, 160, 25, -84, 10, -61, 103, 42, 254, 118, 127, -45, -119, -66, 121, 48, 328, 51, 135, 273 },
{ -38, -13, 193, -64, -70, 33, 146, -292, 122, -89, 120, -98, 143, -339, 95, -102, 30, 120, -147, 100, -127, 247, -150, 138, 17, -55, -110, 33, 39, -31, 380, 191, 77, -102, 110, -106, -17, 152, -144, 309, 131, 281 },
{ 9, -98, 255, -103, -45, 549, 48, -246, 109, 73, -35, -70, 228, -57, 30, 91, -28, 43, -157, 206, -250, 164, -58, -52, 60, -26, 119, 41, -444, -81, 370, 287, 46, 117, 111, -42, -61, 34, 143, -205, 226, 306 },
{ 71, -90, 41, -38, 52, 15, 24, 58, -55, -90, 70, -38, 55, 13, -59, 38, 55, 102, -236, 74, 238, -70, -67, 134, -77, -131, 93, -141, 93, 73, 227, 119, 79, -58, 68, -114, 16, 398, -43, 144, 232, 253 },
{ 104, -86, 204, -27, -43, 25, -222, 157, -42, 53, -44, 54, -77, -33, 40, 21, -88, 84, 100, -138, 204, -89, -102, 235, -39, -48, 74, -130, 88, 123, 170, 165, 181, -74, 107, -114, 57, 266, -94, 216, -73, 351 },
{ 152, -102, 158, -44, -49, 116, 93, 55, -42, -47, 67, -20, -22, -63, 177, -39, -55, 52, -144, 157, -94, 102, -120, 63, 26, -49, 80, -98, 226, -34, 224, 177, 181, 152, -39, 35, -26, 194, -59, 122, 90, 272 },
{ 121, -91, 98, -19, -48, 227, 92, -8, -50, -40, 93, -58, -343, 33, -51, 64, 41, -49, -187, 125, 141, -104, 79, -97, 188, -139, -55, 65, 101, 62, 245, 104, 80, 256, -28, -103, 134, 297, 111, 111, 237, 225 },
{ 125, -152, 72, 11, 13, 85, 100, 69, -88, 52, -109, -42, 44, -57, 100, 171, -64, -15, -77, 198, -137, 96, -111, 153, -15, -164, 179, -64, 54, 52, 212, 138, 121, -233, 155, -17, -29, 220, -71, 157, 240, 208 },
{ 521, -117, 40, 82, -49, 262, -59, 59, -85, -52, 47, -481, 151, -510, 230, -58, 35, -24, -70, 147, -132, 91, -107, 115, -54, -59, 101, -90, 31, 58, 149, 222, 121, 86, 178, 93, -17, 170, -156, 274, 122, 235 },
{ 111, -121, 131, 135, 49, -36, 89, 27, -80, -98, 165, -87, 71, 85, -257, -53, 43, 136, -103, 122, -130, 272, -54, 78, 104, -92, 34, 419, -103, 201, 122, 171, 176, 161, 305, -60, 87, 33, -90, -116, 179, 234 },
{ 185, -181, 264, -56, 52, -47, 184, 51, -43, 150, -30, 186, -92, 103, -282, -129, -130, 73, 157, -45, 202, 115, -89, 180, 259, 75, -74, 55, -152, 172, 28, 126, 276, 428, -150, 125, -42, -34, 195, -131, 147, 263 },
{ 61, -73, 61, -34, -75, 36, 127, 71, -86, -61, 161, -63, -111, -59, 54, 20, -46, 74, -170, 69, 184, -75, -120, 130, -37, -86, 25, -62, 219, 273, -116, 296, 107, -18, 24, -81, 450, 79, 217, 108, 279, 106 },
{ 55, -104, 63, -36, -48, 253, -15, 104, -36, 35, -35, -307, 154, 53, -98, 48, 24, -92, -112, 151, 101, -173, 70, -124, 79, -55, -17, 39, 127, -50, 176, 234, -125, 201, 127, -49, 178, -44, 120, -47, 266, 362 },
{ 122, -86, -88, 33, -22, 219, 170, -99, -37, -63, 67, -35, 239, -59, 127, -67, -48, 55, -84, 66, -66, 146, -178, 84, -41, 48, -113, 54, 113, -53, 101, 277, -307, 253, 95, 196, -41, 84, 142, -155, 265, 294 },
{ 207, -201, 352, 198, 59, -128, -369, 189, -282, 334, -91, 187, 158, -378, 124, -242, -41, -118, 73, 150, -178, 285, 243, -194, 380, 197, 111, -34, -472, -78, 127, -106, 230, 550, -139, 143, -67, 220, -269, 274, 88, 312 },
{ 271, -254, 583, -779, 134, -119, 54, 184, -48, 324, -725, 36, 82, 27, 173, -295, 183, -167, 182, -562, -125, 353, -318, 386, 360, 88, -191, 275, -75, -518, 339, -300, 682, 246, -122, 213, 223, -187, 244, -129, 101, 408 },
{ 29, 63, 27, -60, -45, -53, 150, 96, -61, -44, 45, 67, -80, -57, 124, -71, 60, -53, -104, 30, 195, -164, -119, 153, -52, -201, 48, -44, 148, 64, 117, 236, -132, 164, 48, -71, 333, 154, 187, 133, 166, 146 },
{ 95, -95, 67, -76, -74, 274, -45, 64, 112, 163, -78, 43, 95, 17, -108, 68, -71, 63, 53, -139, 137, 51, -100, 75, -120, -129, 51, -69, 31, 278, 281, -87, 145, -82, 156, 180, 195, 87, 44, 83, 228, 341 },
{ 6, -127, 196, 35, -32, 15, 228, -100, 123, 228, -127, 149, -137, 126, -57, 26, -71, 46, 112, 58, -189, 61, -287, 247, -159, -54, 79, -185, 101, 108, 70, 77, 135, -149, 253, 421, 217, -114, 115, 225, -93, 254 },
{ 152, -69, -46, 60, 260, -51, 271, -247, -55, 42, -103, 98, 125, -44, 138, -119, -114, 155, 86, -94, 236, -201, 160, -74, 204, 59, -79, 69, 72, -129, -166, 264, -168, 304, 337, 404, -98, 250, -64, -91, 403, -258 },
{ 302, -233, 431, -612, 265, 114, -144, -53, 60, -98, 282, -79, 298, -219, 171, -228, -173, 69, 210, 247, -245, 330, 101, 490, 121, 36, 59, -566, 199, -243, -350, 366, -523, 613, 153, 296, 175, -362, 244, -425, 788, -200 },
{ 171, -46, -33, -56, -77, 40, 193, 56, -39, 73, -36, -49, 152, -91, -79, 89, 174, -42, -146, 91, -96, 88, 100, -81, -37, -49, -532, 613, 60, 43, 330, 202, -85, 151, -17, -52, -23, 226, 42, -104, 206, 337 },
{ -44, 22, 225, -51, -97, 60, -56, 60, -15, 57, 548, -133, 209, -97, 216, -31, -84, -68, 153, -92, 132, -110, 125, 37, -33, 21, 11, 98, -162, 64, 232, 412, -99, 188, 20, -22, 113, -68, 236, -147, 207, 226 },
{ 129, -95, 27, -59, -32, 131, 111, 44, -17, -30, 49, 81, -90, -84, -50, 105, -55, 60, -141, 109, 162, -64, 134, -45, 38, 29, -20, 65, 85, -64, 162, 342, 28, 136, -53, 35, -31, 83, 115, -127, 120, 268 },
{ -48, -96, 270, -24, 42, -25, 22, 160, 99, 35, -68, 45, 127, 66, -104, -34, -31, -32, 60, -73, -119, 106, 221, 66, 33, 472, -29, 18, -158, 153, 80, 439, 60, -117, -25, 15, -86, 174, 90, 223, 107, 116 },
{ 18, -115, 359, -106, 38, -75, -17, 117, -109, -23, 153, 33, -38, -13, 135, -10, 8, -37, 54, -152, 226, -143, 169, -36, 199, -54, 78, -31, -73, 410, 126, 411, 230, 212, -100, 58, -47, 40, 123, -98, 119, 244 },
{ 98, -132, 238, -31, 208, 86, -154, 127, -84, -64, -447, 57, 84, -151, 47, 294, -92, 288, -44, -125, 208, -46, 178, -79, 70, 46, -80, 54, 41, -101, 125, 495, 119, 209, -73, -24, 843, -77, 106, -169, 252, 89 },
{ 11, -67, 220, -130, 294, -41, 133, 91, 74, -47, -14, 40, -66, 84, -61, 79, 42, -33, 85, -62, 156, -133, 129, 146, -61, -129, 30, 49, -135, 130, 64, 417, 116, 132, 187, -209, 215, 150, -45, -123, 145, 167 },
{ 20, -108, 262, -72, 55, -699, 324, -64, 22, 49, 262, -70, 166, 88, -93, 47, 27, -30, -122, 297, -162, 45, 204, 119, 854, -68, 47, 80, -82, 184, 45, 316, 271, -61, -103, 48, -58, 36, -92, 117, -70, 168 },
{ -64, -93, 171, 134, 51, 267, -109, 96, -112, 20, -106, 225, 52, -89, 110, -64, -21, -82, 235, -88, 202, -116, 73, 135, 288, 36, -27, 123, -208, 411, 81, 258, 122, 147, -89, 188, -27, -35, 278, -102, 113, 264 },
{ -80, 86, 275, -131, -59, -124, 200, -235, 188, -134, 113, 267, 82, -78, -246, 188, 228, 159, -557, -94, 328, 179, 188, 123, 312, 46, -87, 222, -166, 107, -168, 316, 208, -416, -177, 25, -46, -18, 82, 154, 99, 265 },
{ -60, -55, 220, 242, 34, -208, -38, 312, -36, 121, 162, -154, 106, -33, -125, 172, 20, -35, -75, -140, 346, -112, 173, 299, 200, -53, 77, 212, -172, 182, -162, 386, 218, -107, 164, -76, -54, 115, -167, 120, 33, 110 },
{ -21, -130, 401, -48, 69, 210, -448, 250, -96, -78, -62, 74, 55, 222, 38, -143, 76, -63, 133, -101, 201, -135, 234, 182, 317, 68, -31, 143, -173, 197, 447, 70, 316, 220, -166, 369, -38, -59, -360, -113, 164, 268 },
{ 334, -171, -55, 136, 265, 214, 206, 90, -148, -263, 80, -806, -45, -145, 222, 300, 313, 155, -89, 237, 163, 211, 183, 82, -74, 118, -79, 77, -128, 360, -168, 281, 79, 223, -471, 311, -95, -38, -398, -56, -251, 271 },
{ -117, 95, 245, 175, -138, 125, -57, 146, -178, -705, 233, -245, 97, 348, 160, 214, 282, -80, -328, 335, -155, -295, 235, -102, 304, -213, 90, -40, -856, -292, 111, 555, 144, 143, -203, 86, -77, 302, 73, 355, 255, 251 },
{ 446, -218, -362, 63, 169, 354, -98, -94, -43, -129, -60, 193, 230, 217, -192, 253, 52, 58, 59, -435, 213, -261, 216, 258, 270, -110, 143, -50, -142, -117, 165, 304, -404, 184, -239, 142, -65, 149, -74, 221, 113, 226 },
{ 79, -181, 197, -94, -69, 24, 71, 99, -60, -39, 95, -76, 50, -173, 61, 30, -44, 65, -222, 84, 416, -145, 103, -54, -93, -234, 101, -97, 99, 122, 201, 255, -164, 73, 84, -285, 100, 197, 246, 155, 275, 235 },
{ 8, -47, 45, -733, 6, -63, 116, 154, -93, -48, 30, 36, -68, 112, -79, 42, -56, 126, -221, 79, 321, -203, 139, 271, -83, -50, -123, -83, 72, 24, 286, 239, -105, -36, 73, -120, 42, 204, 255, 69, 260, 279 },
{ -48, 43, 79, -88, -138, 155, -42, 150, -58, -64, 68, -93, 101, -61, -92, 84, 334, 121, -173, 106, -192, 221, -93, 481, -52, 24, -96, 46, -77, 47, 422, 102, 116, -59, 177, -172, 186, 39, 38, -143, 183, 339 },
{ 4, -76, 92, -75, -30, 14, 144, -341, -31, -49, 87, 42, -57, 116, -76, 52, -41, 104, -138, -79, 168, -183, 114, -34, -40, -114, 21, -127, 100, 78, 233, 225, -99, 36, 6, -119, 192, 109, 240, 114, 260, 295 },
{ -62, 27, 70, -22, -34, -45, 197, 26, -68, -56, 52, 10, -187, -14, 185, -35, -28, -26, 150, -156, 193, -182, 110, -50, 20, -75, 46, 195, -149, 158, 180, 335, -90, 101, 42, -39, 60, 99, 124, -90, 218, 210 },
{ -15, 47, 231, -83, -111, 288, -85, 192, -152, -63, 508, 68, 125, -234, 93, 33, -46, 97, -42, -96, -127, 406, 40, -92, 31, 118, -60, 36, -42, 138, 224, 360, -52, 209, -80, 34, -101, 239, 46, -159, 151, 273 },
{ 47, -59, 32, -28, -69, 64, 125, -24, -49, -37, 64, -45, 36, -52, 104, -37, -24, 75, -144, -64, 156, 74, -179, 94, 31, -132, 27, -101, 98, 81, 298, 87, 146, 40, -38, -133, 217, 140, 160, 120, 251, 311 },
{ 15, -35, 56, -53, -62, 45, -94, 88, -53, -78, 108, 49, 116, 30, -72, 60, 37, 76, -60, -109, 335, -159, 118, -78, -21, -84, 71, -135, 92, -29, 317, 151, 147, -80, 109, -53, 396, 201, -69, 108, 177, 349 },
{ -29, 330, 177, -42, 19, -112, 227, -21, 24, -78, 80, 37, 63, -41, -60, 138, -47, 48, -54, 134, -162, 187, -124, 57, -26, -45, 186, -43, 88, -105, 277, 166, 170, 112, -43, 102, -46, 21, 57, -113, 198, 425 },
{ 435, -82, 232, -113, -36, 98, -86, 144, 18, -73, -31, 147, 87, -88, -51, 258, 89, 48, -64, 112, -196, 233, -106, 29, 222, -63, 30, 488, -149, 253, 138, 246, 212, 156, -112, 153, -58, 73, -108, 138, 32, 273 },
{ 44, -107, 77, -67, -97, 61, -11, 91, -46, 43, 29, -60, 74, -31, 85, -133, -48, -79, -105, 37, 209, -68, -136, 119, 17, -127, 34, -58, 66, 121, 261, 139, 149, -33, 86, -138, 227, 289, 67, 142, 261, 314 },
{ -14, 26, 22, -22, -89, -47, 236, 38, -88, -41, 116, -89, 143, -46, 136, 24, -46, 45, -141, 121, -73, 113, -162, 88, 18, -108, 87, -140, 114, 99, 201, 176, 70, 77, 40, -51, 168, 88, -57, 208, 190, 307 },
{ -20, -66, 47, -38, 20, -24, -53, 180, 28, 81, -65, 72, 104, -57, 89, -79, -112, 116, 163, -96, 272, 56, -165, 112, -24, 32, -75, 128, -71, 207, 209, 301, 84, 194, -52, 170, -37, -15, 185, -125, 165, 400 },
{ 15, 110, -167, 291, 23, -75, 194, 13, -55, -46, -43, 129, 92, -47, 48, -29, 87, 41, -66, 226, -161, 155, -118, 79, 151, -40, 62, -111, 205, 201, 108, 160, 231, 263, 155, -44, -32, 59, -107, -62, 52, 305 },
{ 207, -184, 328, -143, 45, -82, 160, 62, 21, 95, -49, 78, -31, 44, -307, -73, -61, 163, -114, 187, -44, -54, 294, -93, 223, 272, -108, -101, 259, 149, -86, 291, 175, 416, 125, -49, 124, 30, -91, -57, 101, 255 },
{ 24, -55, 56, -29, -44, 123, -53, 65, -52, -47, 47, 44, -30, 51, -51, 49, -30, 61, -123, -69, 136, -103, -77, 295, -21, -136, 63, -89, 73, 96, 224, 117, 130, -47, 119, -98, 174, 265, 46, 213, 211, 261 },
{ -45, -69, 34, 105, 27, -60, 309, -70, -14, -55, 49, -24, 74, 89, -77, 61, -65, 77, -147, 83, -78, 252, -103, -121, 63, -270, 180, -53, -67, 96, 299, -128, 207, 103, 86, -60, 66, 191, -80, 79, 244, 451 },
{ -30, -20, 48, -20, -25, 217, -86, 154, -37, -36, -70, 261, 45, -74, 82, 42, 24, 180, -135, 133, -155, 334, -146, -66, 101, -70, 55, -94, 99, -65, 184, 108, 143, 205, 314, -31, 110, 35, -113, 162, 86, 344 },
{ 171, -28, -74, 55, 173, 62, -70, 235, -128, -120, 250, -246, 240, -102, 157, -139, -80, 39, 120, -71, 207, 139, -194, 54, 120, 17, 58, -259, -162, 217, 199, -140, 285, 388, 126, 154, 134, -78, -126, 168, 104, 288 },
{ 216, -154, 516, 63, -42, 112, -79, -286, -48, -152, 393, -51, 314, -63, 207, -279, 160, -477, -530, 118, 132, 128, -199, 92, 342, 237, 79, -678, -60, 121, 241, -200, 372, 322, 172, 20, 197, -55, -228, 85, 164, 330 },
{ 308, -143, 284, -45, -68, 505, -70, -731, 61, -1092, 326, 270, -38, 160, 84, -319, 99, 48, -56, -513, 120, -141, 197, -243, 534, -74, 150, -51, 218, -298, 228, 266, 219, 255, 205, -119, 120, -160, -238, 255, -104, 577 },
{ -9, -64, 44, 78, -27, 16, 139, -41, -160, -56, 18, 21, 89, -59, 107, -53, 109, -80, -98, 71, 187, -54, -112, -23, 66, -165, -87, 126, -290, 140, 331, -80, 187, 73, -34, -57, 339, 110, 135, 219, 175, 291 },
{ 49, -75, 194, -40, 132, -8, -147, 150, -50, -64, 93, 43, 97, 53, -89, 95, 69, -58, 70, -138, 209, 69, -26, -90, -113, -104, -13, -58, 118, 118, 146, 80, -46, 127, 177, 131, 148, 117, -103, 175, 200, 359 },
{ 93, -108, -10, 233, 317, -168, 224, -125, 20, 49, -93, 266, -437, 64, -72, 75, -52, 109, 77, 75, -175, 109, 184, -97, -76, -104, 69, 72, -95, -241, 230, 256, -185, 143, 238, 436, -38, 235, -114, 91, 209, 224 },
{ 162, -135, 413, -47, 329, -333, 262, -310, -239, -149, 226, -527, 171, -107, 211, -191, -109, 69, 194, 70, -78, 216, -227, 125, 256, -127, 225, -290, 271, -123, 229, -302, 318, 87, 465, 256, -103, 141, -277, 236, 363, 169 },
{ -133, 543, -108, 141, 164, 284, -262, 407, -1016, 88, -301, 505, 880, -76, 147, -195, -231, -138, 113, 272, -439, 248, -124, 486, 56, 167, 196, 236, -263, 204, -1559, 404, -341, 675, 213, 283, -137, 331, -257, 304, -308, 876 },
{ -93, -77, 64, -68, -53, -272, 236, -365, 43, -118, 102, -84, 143, 62, -69, -22, -72, 70, -200, 129, 179, -144, 298, 62, -238, -91, 31, -50, 62, 41, 266, 233, -133, -85, 49, -74, 14, 50, 333, -82, 202, 236 },
{ -18, -69, 194, -70, -39, 18, 96, 33, -6, -78, 112, 46, -45, 50, -39, 74, -74, 41, 114, -164, 169, -170, 188, -69, 95, -54, 168, 40, -174, 154, 177, 399, -151, 62, 77, -65, 155, 42, -31, -72, 213, 196 },
{ 112, -39, 46, -83, -41, -29, 135, 138, -30, 32, -407, 98, -99, 90, -49, 154, -39, 109, -36, -134, 312, -121, 198, 22, -39, -54, 200, -141, 291, 62, 188, 349, 173, -136, 108, -57, 10, 228, -68, 162, -150, 231 },
{ 497, 34, -59, -75, -24, -45, 304, 61, 27, 365, -760, 84, -51, 22, -48, -27, 20, -60, 84, -176, 168, -145, 102, 70, 18, -48, -41, 81, -140, 138, 152, 376, 147, -117, 192, -59, 109, 29, 118, -58, 255, 225 },
{ 112, -109, 131, -134, 470, 42, -43, 107, 143, 181, -122, 324, -47, -68, -105, 85, -23, -61, 32, -109, 162, -128, 167, -87, 18, -72, 37, 58, -152, 131, 142, 407, -48, 195, -49, 45, -29, 282, -83, -91, 93, 168 },
{ -54, 14, 165, 11, 129, -50, -84, 208, -54, -104, 506, 63, 205, -43, -51, 81, 190, 40, 24, -168, 238, -78, 265, -124, 113, -57, 140, 52, -85, 145, 69, 504, -43, 116, -41, 23, -34, 203, -55, -76, 199, 89 },
{ 119, -12, -125, 361, -103, 203, 171, 70, -40, 45, 150, -83, 46, -106, -34, 66, 319, -126, 96, -115, 186, -100, 147, -40, 59, 112, -80, 66, -95, 115, 90, 421, 78, 138, -77, 36, -70, 173, 375, -100, 197, 157 },
{ 10, 183, -89, 538, -104, -420, 91, -645, -51, 126, 72, -64, 76, 133, -90, 83, -78, 609, -92, -49, 326, -158, 194, -161, 316, 50, -75, 127, -132, 135, 149, 361, 139, 187, -42, 19, 138, -107, 118, -94, 85, 200 },
{ -31, -76, 318, -94, 240, 159, 30, 36, -97, -42, 47, -572, -88, 249, 83, 169, -49, 141, -55, 329, 73, -153, 198, 221, -107, 59, -48, 43, -93, -130, 123, 535, -349, -127, 99, 583, -60, -623, 82, -70, 459, 138 },
{ 70, -113, 516, -17, 21, 386, -114, 43, -44, 41, -363, -280, 645, -95, 83, 202, -53, -50, 325, -115, 142, -122, 156, 145, 113, -12, 138, 101, -123, -105, 133, 411, 215, -257, 252, 5, -89, 275, -86, -60, 266, 229 },
{ 29, -51, 337, -92, -141, 348, -23, 36, -61, 38, 111, -81, 75, 136, 51, -97, -76, 112, -93, 231, -158, 243, -393, 103, 147, 425, 35, -151, -123, 197, 89, 301, 271, 151, -45, 148, -92, 235, -56, -118, 120, 183 },
{ 535, -94, 420, -53, -22, 32, -355, 142, -53, 200, -85, 23, 111, 42, -62, -57, -415, 139, 97, -114, 307, 63, -91, 51, 152, -28, 181, 72, -147, 213, 149, 228, 176, 372, -105, 225, -98, 44, -80, -141, 120, 223 },
{ -82, 11, 334, -119, 72, -470, -110, 140, 223, -61, 162, 359, 96, -95, -177, 228, -213, 375, -145, 142, -159, 233, 261, 189, -110, 124, -30, 110, -62, 269, 117, 329, 124, -73, 172, -50, -85, -133, 107, -70, -115, 138 },
{ -37, 324, 263, 30, 40, -106, -78, 187, -172, -141, 361, -81, -707, -133, 153, 54, 79, -36, -66, 429, 391, -139, 291, 138, 89, -31, -74, 429, -22, -93, 150, 443, 73, -237, 402, -127, -44, 56, 49, -51, 84, 178 },
{ 41, -38, -64, 77, -48, 275, 37, -68, -46, 206, -529, -108, 120, 211, -98, 252, 40, 318, 62, 45, -219, 255, 210, 296, 61, -53, -150, 108, -83, 114, 91, 257, 354, -174, 129, -71, -33, 1046, -46, 281, -115, 143 },
{ 34, -200, 219, -420, 98, 180, -62, 225, 87, 56, -67, 110, -793, 179, -84, -141, -33, 196, 33, -22, -182, 256, 126, 427, 121, 40, -42, -111, 276, 126, 128, 147, 304, 38, -70, 52, -51, 208, -41, 90, -220, 348 },
{ 53, -107, 254, -105, 79, -573, 37, 287, 25, 338, -106, 118, -132, -73, 244, -126, -38, -130, 162, 178, -42, 127, -56, 121, 265, 78, 126, 89, -125, 110, 367, 206, 340, 228, -101, 195, -30, -167, 111, -234, 191, 174 },
{ 243, 151, -155, 64, -120, -106, 253, -114, -103, -202, 359, -862, 160, -188, 106, 325, 101, 382, 80, -105, 463, 181, 312, 225, -38, -461, -279, -183, -173, 223, -144, 201, 178, -112, -818, -43, -59, 541, 231, 608, -215, 274 },
{ 540, -188, 90, -143, 56, 170, -698, 161, -76, 237, -136, 155, -163, -141, 168, 446, -253, -536, 301, 366, -120, -99, 216, 208, -55, 33, 501, -54, -234, 201, -74, 184, 159, -170, 277, 305, -43, -76, -753, -372, 300, 140 },
{ 15, 539, -868, -37, -215, 187, 125, 36, -46, 286, -56, -584, 198, -276, -148, 295, 83, -142, 155, -241, 293, -172, 200, 372, -69, -181, 515, -46, 276, -229, 426, 269, 265, 91, -159, 108, 384, -80, 142, -60, 306, -769 },
{ 494, -148, 138, -180, 186, -57, 173, 215, -187, -63, -475, 32, -90, -481, 88, 199, 275, -169, 1081, 309, -67, -118, 216, 400, 232, 48, -83, 173, 70, 175, 118, 132, 167, -516, 237, -84, 35, -461, 49, -96, -177, 210 },
{ 681, -385, -144, 931, 318, 240, -1588, 483, 77, -377, -271, -1512, 204, -43, -460, 86, 223, 129, 183, -152, 535, -569, -327, 449, 719, 105, -391, -150, 312, -1143, 470, 269, 427, -137, -248, -174, -144, 93, 588, 301, 171, 638 },
{ 51, -182, 155, -130, -100, 20, 210, 23, 47, 35, -44, 36, -55, 32, -470, -109, -20, -77, 101, -151, 209, -133, 108, 14, -63, -81, -12, -48, -82, 162, 287, 184, -166, -228, 111, -149, 24, 116, 103, 72, 446, 302 },
{ 73, -262, 135, -255, -30, 65, -44, -15, 36, -79, 32, -44, 99, 72, -41, -470, -104, 76, -60, -91, 134, -164, 112, -50, 51, -83, 27, -25, -74, 138, 282, 165, -123, 46, -70, -247, 200, -30, 202, -65, 509, 314 },
{ -332, -102, 1315, -52, 55, -73, -51, 100, -133, -785, 513, -32, 162, -61, 311, 929, -922, -35, 294, 34, -221, 340, -160, -248, 154, -68, 65, 116, -82, 428, 384, 128, 142, 250, -187, -83, 165, 23, 46, 285, -194, 444 },
{ 160, -208, 42, -88, -42, -5, 191, -190, 48, -31, 23, -451, 26, 48, -241, -139, -157, 45, 473, -106, 278, -193, 99, -53, 29, -111, 23, -61, -98, 157, 289, 204, -112, 180, -54, -286, 46, 261, 217, 154, 333, 336 },
{ -95, 37, 190, -50, 32, -108, 213, 46, -62, 222, -131, 37, 94, -97, 68, -296, -35, -291, 44, -72, -124, 345, -157, 321, -269, -47, 175, 65, -185, 169, 317, 180, 180, -106, 48, -32, 18, 532, -52, 196, 93, 252 },
{ -31, 118, 87, -94, -69, -47, -99, 197, -73, 409, -79, -740, 199, -212, 45, 234, -57, -62, 26, 1088, -257, 260, -65, -91, 70, -135, 341, 48, -72, -110, 400, 123, 108, 77, 182, -57, 37, -15, 69, -193, 186, 315 },
{ -18, -63, 63, -64, -30, -10, 101, -65, 29, -56, 66, -410, 16, 85, -148, -30, -25, 29, -72, -51, 343, -197, 105, -60, 28, -94, -25, 80, -89, 188, 315, 172, -124, 80, -113, -94, 247, 51, 239, -26, 433, 356 },
{ -44, -65, 392, -31, -33, 208, -51, -68, 22, -82, 192, -94, 141, -78, 280, -65, -28, 87, -83, 118, -198, 129, -133, 75, -30, -53, -846, 310, -66, -67, 371, 105, 170, -67, 78, -112, 186, 100, 69, -100, 191, 359 },
{ -52, -35, 289, -36, -102, 172, -29, 48, -65, 69, -90, 70, 131, 57, -147, 813, -27, 48, -81, -149, 115, -183, 193, -62, 87, 100, 224, -26, 98, -54, 164, 300, 99, 158, -47, -10, 21, -75, 57, -116, 296, 239 },
{ 188, -191, 95, -57, 51, -54, 269, 31, -64, -82, -80, 142, -400, -64, -31, 245, 356, -118, 90, -132, 360, -137, 128, -79, 44, 173, -127, 106, -141, 299, 85, 268, 154, 299, 317, -134, -38, 26, 92, -179, 104, 411 },
{ -52, 20, 126, -57, -39, -17, 171, -23, -29, -76, 82, -564, 402, -354, 101, -48, 34, -569, -85, -63, 262, 51, -170, -17, 50, -118, 48, 78, -85, 171, 316, 61, 106, 87, -19, -133, 204, 176, -68, 215, 346, 381 },
{ -44, 50, 167, -19, -284, -56, 113, -29, -56, -48, 91, 46, 46, -44, 108, -36, -45, 73, -51, -131, 196, 181, -251, 109, -23, -100, 105, -152, 211, 48, 163, 226, 65, 199, 62, -40, 67, 198, -95, 212, 97, 268 },
{ 574, -57, -41, 23, 236, -1019, 212, 197, -138, 182, -181, 298, 60, -612, 108, 38, 12, -43, 94, -62, -114, 92, -168, 293, -50, -88, 71, 88, -164, 227, 177, 190, 149, 70, 140, 358, -48, 184, -36, -96, 186, 454 },
{ -58, 286, 32, -26, -63, -45, 194, 41, -145, -55, 44, -48, 232, -60, 125, -53, -33, -345, 85, 136, -88, 714, -190, 183, -52, 37, 37, 200, -157, 331, 116, 173, 261, 335, 139, 165, -103, 180, -38, -109, 106, 456 },
{ -76, 27, 104, -43, -57, -21, -32, 203, -79, -87, 72, -15, 106, -35, 305, 32, 23, -72, 108, -153, 120, -92, -58, -106, 20, -81, -33, 93, -130, 136, 174, 118, 103, 175, -59, -56, 425, 269, 167, 90, 313, 342 },
{ -30, 84, -83, 56, 15, 312, -42, -51, -68, -72, 113, -446, 491, 154, -95, 29, -181, 310, -413, -58, 296, -70, -205, 149, -29, -106, 122, -94, -87, 242, 132, 117, 197, -65, 150, -45, -238, 309, -94, 110, 129, 428 },
{ -61, 101, 49, -35, 278, -67, -28, 256, -142, 92, -682, 18, 178, 76, -45, 50, -49, 63, -29, -58, 247, -119, -77, 190, -120, -61, 137, -151, 157, 63, 133, 214, 149, 92, 355, 64, -28, 128, -147, 78, 54, 451 },
{ -25, 382, -476, 148, -77, 141, -23, 48, -167, -53, 33, 34, 422, -178, 172, -107, -55, -281, 60, 272, -141, 48, -172, 132, 109, -63, 110, -65, -53, 183, 216, 214, 189, 330, 254, -61, 29, 62, -115, 189, -132, 477 },
{ 35, -68, 483, -92, -98, 94, 90, 97, -88, -72, 44, 255, -94, -144, 317, -259, -89, 59, 225, 104, -61, 125, -138, -77, 348, 92, 90, -499, -174, 183, 236, -275, 432, 468, 182, -134, 158, 33, -132, -138, 321, 327 },
{ 117, -185, -152, 94, 617, 232, -198, -140, 176, 194, 42, -665, 817, 130, 273, -199, -108, -480, -1291, 497, -257, -227, 631, -193, 590, 953, 131, -420, 337, 362, -2004, 149, 283, -506, 362, 64, 199, 39, -696, 136, 1060, 806 },
{ -9, -31, 23, 103, -37, 114, 123, -40, -137, -43, 20, -125, 46, 60, 63, -51, 136, -80, -92, 80, -75, 136, -92, 18, 11, -127, -97, 125, -291, 133, 187, 103, 199, -153, -48, -29, 229, 249, 166, 85, 310, 236 },
{ -26, -27, 296, -46, 141, 148, -74, 73, -99, -92, 89, 103, -33, 91, -49, 80, -51, 143, -123, 177, 41, -143, 159, -77, -86, -81, 107, -203, 71, 143, 92, 110, 186, 92, 75, 52, 98, 144, -137, 264, 31, 405 },
{ 36, -121, 295, -39, 422, -90, 37, 202, -927, -34, -82, 242, -211, 122, -135, 23, -43, 58, 253, -270, 217, -143, -82, 130, -117, -118, 70, -133, 165, 48, 117, 223, -98, 121, 173, 610, -54, 115, -126, 172, 207, 262 },
{ -82, 60, 557, -178, -91, 406, 103, 50, -434, 19, -582, 141, 152, -192, 233, -183, -223, 21, 249, 105, 39, -363, -237, 224, 252, -195, 165, -172, 198, -39, -363, 348, 302, 211, 527, 241, -95, 195, -216, 293, -302, 433 },
{ -300, 1287, -974, 780, -1162, 673, -420, 122, -119, 222, -587, -118, 463, -84, 298, -332, -434, -109, -984, 1126, 492, 146, -450, 542, 200, 110, 103, -794, 464, 152, -788, 514, 980, 385, 289, 214, -142, -231, 442, 530, -399, 767 },
{ -88, 30, 156, -138, -105, 2110, -136, 86, 27, 65, 1658, -171, 163, -618, 376, -52, -236, -140, 68, 493, -180, -141, 41, 184, 4, 197, -28, 2458, -681, -91, 182, 215, -62, 25, -35, 701, 1049, -1280, -883, 108, -163, 397 },
{ 257, -28, -33, -142, -40, 55, 446, 37, 74, 52, -61, -432, -38, 51, -25, -54, 59, -126, 64, -76, 331, -126, 172, -54, 63, -72, 38, 95, -56, 185, 206, 294, -129, 164, 50, -78, -206, 183, 142, -68, 445, 241 },
{ -213, 357, 40, -43, 7, 22, -35, 152, -118, -20, -40, 81, 35, 48, -53, 41, -611, 58, 263, -218, 346, -103, -68, 319, -63, -58, -41, -492, 376, 36, 342, 253, 257, -121, 83, -708, -17, 496, -73, 528, -150, 262 },
{ -75, 39, 227, -32, 305, -143, -61, 58, 115, 132, -99, 72, 163, -94, -104, 540, -122, 175, 22, -59, -170, 247, -55, -23, -25, 39, -24, 84, -115, 319, 229, 328, 402, -114, 103, -22, 107, -37, -49, 309, -106, 273 },
{ -33, 74, 269, -94, 179, -159, -43, 96, -24, -1069, 209, 64, 345, -82, -78, 856, -73, 629, -102, 194, -191, 232, -64, 567, -522, -115, 77, 84, -101, 100, 168, 378, -90, 138, 37, -33, -16, 1187, -35, -83, 144, 170 },
{ -46, -109, 138, -80, -64, 15, -141, 109, 101, 273, -70, 194, -28, -21, -76, 133, -126, 35, 399, -134, -107, 406, -85, -38, 85, 44, -56, 92, -200, 164, 535, 353, 401, 157, -19, -491, 22, -43, 255, -34, 218, 143 },
{ -49, 331, 18, -65, -93, -77, 28, 70, 198, 19, 175, 98, -30, -146, -931, 173, -35, 411, -95, -132, 148, 75, 127, -106, 130, -72, -100, 412, 135, -57, 228, 353, 185, -43, -90, 144, -88, 267, 60, -76, -150, 248 },
{ -43, 8, 548, -71, 473, -150, -36, -237, -186, 61, -154, 118, 46, 161, -59, 423, -60, 50, 80, -104, -123, -136, 222, -54, 235, 79, -186, 146, -126, 200, 169, 407, 154, -150, 107, -118, 112, -54, 220, 254, 533, 84 },
{ -22, 146, 58, -106, -56, -59, 135, 35, -591, 195, -375, 27, 74, -86, 376, 529, -69, -44, 54, 199, -116, -86, 181, -89, -15, 49, -48, 69, -188, 259, 141, 416, 102, 441, 209, -81, -842, 992, 141, -66, 522, 172 },
{ 58, -72, 195, -78, -99, 83, 425, -497, 46, -54, 146, -64, 89, -116, -87, 90, 201, -154, 44, 68, 202, -154, -36, 309, -290, 80, -78, 175, -226, 256, -55, 463, 189, 388, -55, 214, -334, -125, 36, -125, 342, 313 },
{ -58, -82, 67, -576, 220, 801, -86, 42, 73, -94, 28, 74, 50, -145, 218, 60, -42, 25, -130, 36, -162, 87, 90, 191, -96, -23, 247, 91, -111, 453, 279, 464, 79, -215, 128, -68, -47, 1037, 40, -54, 136, 149 },
{ -288, 77, 75, -138, 323, -192, 147, 85, -55, 116, -127, 334, -246, 80, -80, 42, -75, 76, -170, -52, 197, -190, 230, 222, -72, -151, 80, 246, 666, -129, 164, 451, 203, -50, 32, -87, 12, 1209, -70, -102, 482, 221 },
{ -10, 73, -92, 45, 47, -54, -86, -257, -494, -151, -46, 95, 74, 888, -107, 108, 170, -32, 731, -102, -118, -38, 88, 169, -119, 39, -51, -90, 492, 379, 138, 277, 336, 156, 48, -52, 329, -850, 85, -98, -187, 291 },
{ 537, -125, 228, -96, 43, 59, 174, 93, 33, -61, -94, 34, -79, 41, -266, -33, 276, -133, 154, -104, 294, -151, 140, -33, 266, 191, -119, 450, -92, 211, -75, 461, 267, 364, -821, -29, 22, -56, 36, -212, 432, 192 },
{ 599, -258, 190, -163, 166, -897, 339, -51, 298, 252, -478, 86, -172, 1314, -1030, -46, -61, 143, -687, -764, 961, -198, 90, 110, 295, -66, 97, 345, -128, 221, 284, 150, 315, 441, 69, -154, -119, 123, -131, 171, -203, 324 },
{ -104, 59, 289, -90, 211, -166, 142, -186, 22, -24, -148, 230, -70, 453, 85, 169, 226, 647, -1098, 88, -148, -209, 263, 135, 164, -67, -179, 40, 129, -160, 212, 398, 159, -154, -94, 63, 44, -110, 63, -675, 565, 239 },
{ -87, 178, 55, 41, -97, 109, 368, -189, 113, 225, -181, 75, 443, 143, -105, 426, -117, -164, 107, 302, -208, -26, 292, 70, 48, 105, 65, -96, -121, 162, 104, 499, 122, 98, -185, 48, 111, -138, 170, -163, 321, -133 },
{ -61, 83, -77, 222, 196, -23, -64, 28, 545, -50, 237, 89, -113, 210, -140, 99, 813, -183, 345, -296, -113, 210, 190, 267, 122, 32, -35, 84, -102, 601, 81, 287, 216, 347, -117, 624, -42, -95, 82, -716, -161, 119 },
{ -90, 315, 725, 150, 55, -105, 222, -76, 176, -86, -445, 127, -158, 51, -102, -65, 121, -92, 177, 214, 121, -43, 165, 297, 108, 60, 124, -374, -98, -181, 150, 313, 270, -19, 116, -100, -112, 267, -68, 417, 226, 188 },
{ 47, -132, 87, -68, 864, 73, 17, -64, 103, 410, -105, 460, -342, -620, 989, -99, -92, -146, 184, -47, 259, -1218, -289, 165, 482, 931, -95, 202, -223, 476, 420, 54, 368, 199, -177, 45, -705, 96, 65, -230, 350, 299 },
{ 200, 122, -224, 180, 259, -141, 120, -159, -54, -188, 401, -936, -72, -177, 433, 213, -40, -866, -1219, 500, 841, -146, 227, 153, 75, 363, 637, 139, -375, -347, 139, 440, 183, -212, -63, -154, 23, -241, 633, 172, 303, 224 },
{ 633, -207, 86, -141, 279, 465, -933, 135, -162, 67, -274, 105, -436, -91, 182, 218, 55, -996, 169, 579, -120, 98, -65, 376, 278, -333, 305, -130, -1562, -122, 156, 506, 254, -170, 73, 43, 241, -167, -78, 301, 431, -131 },
{ 131, 395, -214, 252, 317, -68, 814, 134, -73, -152, -74, -1268, 89, -131, 224, 155, 391, -63, 95, -141, 124, -241, 189, 390, 309, 102, -126, 177, 110, -167, 394, 407, 185, -185, -108, 81, -117, -113, 133, -136, 274, -255 },
{ 326, -180, 550, -114, 198, -161, -1717, 164, -71, 63, 286, -227, 1908, 235, -181, 200, -734, 385, -235, 1079, -83, 609, 218, 196, 139, -105, -78, -610, -93, -1126, -85, 548, 141, 361, -477, -75, 57, 911, 68, 646, -263, 229 },
{ 58, -56, 485, -233, 66, -91, 106, -47, 38, -104, -258, 81, -61, 50, -127, -836, -40, -179, 69, -137, 506, -112, 101, -25, 47, -119, 48, 43, -157, 210, 199, 179, -144, 32, -123, -155, -14, 139, -74, 247, 416, 207 },
{ 58, -105, 180, -94, 29, -23, -51, 97, 21, -386, -58, 53, 283, 39, -202, -182, -49, 33, 143, -49, -150, -48, 44, 350, 171, -36, 86, 30, -106, 126, 328, 139, -93, 37, -183, 50, 58, -76, 182, -54, 397, 246 },
{ -33, -160, 54, -100, -880, 74, -108, 102, 63, -168, -74, 438, 118, 76, -79, 38, 172, 70, -88, -119, 444, -139, -626, 350, -139, -77, 1112, -81, 128, 81, 182, 230, 170, -87, 1514, -709, -38, 335, -52, 165, -230, 347 },
{ -17, -81, 115, -67, 51, -76, 62, -83, 23, 20, -111, 71, 275, 53, -404, -198, -59, 192, 230, -80, -84, -91, 68, -63, 56, -38, -73, 49, -122, 158, 338, 130, -30, 62, -203, -82, 221, 113, 237, -66, 464, 290 },
{ 421, -38, 89, -74, 40, -131, -105, 43, 42, -22, -102, 284, 118, 55, -102, 34, 22, -120, 56, -98, -98, -147, 137, -55, 11, -150, -75, 62, -129, 372, 235, 367, -183, 103, 20, -29, 1431, -28, 20, -75, 168, 302 },
{ 574, 170, 928, -125, -362, 182, -42, 41, -103, 131, -130, 263, -49, 124, -766, 20, 269, -366, 60, -123, 526, -303, 174, 49, -51, 38, -137, 171, 345, -126, 211, 485, -138, 129, 952, 478, -14, -14, -48, -45, 98, 211 },
{ -8, -108, 139, -161, 45, -43, -80, 26, -57, -55, -66, 79, 35, 50, 40, -59, 39, -50, 152, -118, 163, -117, -97, 75, 36, -14, -120, 78, -104, 138, 280, 69, 143, -71, -138, -49, -11, 343, 44, 113, 408, 263 },
{ -28, -12, 86, -19, 35, -89, -109, 152, -85, 133, -168, 127, 171, -95, -19, 55, -65, 69, 242, 94, -201, 235, -138, 71, -60, -77, 67, -194, -158, 113, 308, 120, 217, -84, 119, -88, -47, 107, -98, 670, 459, 322 },
{ -51, 222, 77, -35, -82, -27, -67, 35, -52, 143, -75, -376, 126, 120, -97, 56, 282, -37, 46, 273, -144, -151, 423, -106, -13, 568, -94, 163, -259, 130, 214, 314, 114, 51, 138, 16, -59, -193, 59, -128, 342, 353 },
{ 428, -79, 136, -166, -201, 210, -75, 38, 753, 51, -50, 361, -47, 63, -179, 424, -67, 10, 103, -74, 451, -81, -95, 495, -37, 38, 63, -30, -155, 89, 420, 314, 159, 151, -90, 62, -24, -137, 761, -152, 42, 295 },
{ -54, -38, 93, 308, 41, -113, 15, -83, 27, -100, -50, 137, 192, 121, -55, -36, 22, -35, 156, -92, -75, -83, -223, 57, -10, -88, 29, 435, -115, 83, 301, 95, -116, 111, -77, -226, -31, 472, -30, 101, 392, 363 },
{ -45, 132, 69, 25, 229, -621, -144, -35, -58, -30, -120, 66, 192, -57, 66, -83, 185, -908, 194, -47, -180, 1614, -165, 131, -14, -72, 45, 118, -141, 37, 204, 160, 128, 195, 38, -46, -29, 55, -37, -112, 266, 356 },
{ -40, 153, 82, -22, -11, 105, -85, 404, -110, 235, -126, 188, 165, -110, 119, 32, -39, -24, 43, 94, -144, 61, -133, -59, -38, -71, 61, 56, -186, 123, 136, 222, 150, 349, 120, -29, -30, 66, -91, -70, 992, 372 },
{ 238, 175, 63, -72, -66, -28, -31, 160, -107, -86, 25, 93, 164, 38, -620, 61, 157, -482, -87, 318, 212, -171, 26, -154, 101, 46, -93, 82, -122, 414, 222, 319, 130, 290, -89, 28, -44, 20, -63, -61, 95, 347 },
{ 163, -86, 112, -73, -42, 333, 95, -92, 63, 14, -93, -28, 80, 34, 31, -142, 85, -80, 122, 433, -220, 188, -147, -129, 164, 55, -141, 83, -88, 233, 200, 312, 78, 467, -110, 70, -125, 139, -70, -126, 195, 314 },
{ -40, -38, 70, 28, 41, -78, 198, -63, -79, -75, 96, 138, -48, 69, 69, 63, 33, 14, -41, -102, 218, -56, -102, -50, 33, -55, -19, 110, -93, 116, 284, 50, 49, 42, -64, -243, -12, 256, 82, 171, 398, 406 },
{ -29, 44, 201, 141, 221, -80, 292, -162, -39, 34, -67, 35, 378, 115, -42, 61, -20, -52, 41, 165, -19, -131, -76, -97, 63, -114, 155, -15, -168, -28, 250, 134, 93, 76, 72, 196, 395, 58, -171, 250, 201, 461 },
{ -33, 196, -39, 62, -28, 238, 48, -96, -112, 31, -236, -48, 198, 126, -147, 50, -75, 54, -106, 400, 106, -162, -120, 100, -75, -126, 112, 167, -158, 84, 135, 230, 228, -74, 337, -41, 135, 30, -128, 54, 133, 325 },
{ 46, -62, 158, -95, -93, 198, 269, -99, -271, -41, 110, -52, -56, 81, 50, -139, -52, 66, 17, -23, 258, 109, -166, -78, 288, -112, 125, -65, -139, 75, 169, 191, 223, 499, 109, 103, 14, 170, -175, 60, 109, 309 },
{ 22, 221, -89, 164, -124, 152, 134, -72, 86, -80, 128, -132, 204, 133, -112, -90, -255, -65, -90, 209, 181, -160, 257, -164, 239, -51, 152, -170, 131, -73, 94, 273, 82, 548, 160, -87, 32, 93, -49, -129, 153, 301 },
{ -36, -18, 138, 37, -50, 194, 41, -52, -60, -110, 74, -246, 61, 36, 37, -41, 122, -112, -104, 163, -367, 219, -141, -36, 52, -94, -55, -37, 38, 71, 130, 71, 49, 98, -45, -21, 248, 79, 249, 118, 296, 269 },
{ -150, 216, -92, 235, 33, -56, 314, -59, -45, 9, -69, 106, 37, -43, 120, 51, -77, 54, 144, 51, -51, 103, -186, 111, -61, -101, 42, -51, -141, 313, 201, -91, 138, 74, 73, 156, 152, 167, -150, 174, 196, 402 },
{ -35, -55, 271, 38, 393, -268, 209, -40, -43, -28, 53, 37, 39, 88, -128, 50, -73, 52, -24, 95, 161, -154, -88, 132, -113, -187, 129, -101, -328, -84, 167, 234, -105, 162, 332, 525, -29, 89, -74, 151, 216, 316 },
{ -55, 235, -1084, 357, -320, 230, 279, -34, -61, 158, 76, -566, 55, 47, 12, -158, -153, -181, 130, 200, 139, -386, -104, -170, 151, -284, 57, -38, 40, 187, -338, 198, 296, 263, 644, 115, -474, 306, -75, 419, -211, 631 },
{ 181, -358, -324, 863, -577, 384, 223, -445, 265, -285, 417, 1867, -1626, 256, 2240, -310, -675, 163, -454, -2458, 699, -581, 725, 93, 201, 111, 322, -1576, -701, -520, 287, -422, 484, 707, -110, 253, 2458, -545, 780, -238, 606, -916 },
{ 311, 629, -106, -13, 28, -24, 284, -218, -11, -276, -8, -1059, 50, 84, 27, -34, 281, -74, 79, -121, 309, -168, 103, -100, 104, -111, -136, 43, -94, 195, 193, 170, 231, 66, -80, -102, 403, 114, 288, 148, -107, 246 },
{ -15, 10, 494, -166, 108, -450, -425, 27, 359, 76, 21, -268, -292, 68, -25, 24, 39, -13, -53, 59, -137, 1362, -105, 318, -77, -537, -52, -319, 115, -71, 280, 117, 305, 208, -150, 30, 273, -15, 104, 36, -175, 362 },
{ -1428, -148, 371, 254, 38, -1188, 370, -255, 1536, 44, -40, 60, -23, 381, -1006, 166, 155, -171, 71, -95, -74, 199, -85, -43, 31, -66, -43, 416, -131, 191, 234, 158, 141, 439, -123, -413, -25, 105, 102, 54, -160, 360 },
{ -30, 50, 171, -1100, 587, -159, -86, 260, 88, 188, -52, 104, 80, 184, -47, 80, -124, 34, -633, -85, -102, 293, -112, 65, -26, 33, -73, 21, -31, 388, 268, 309, 365, -56, 99, 729, -22, 847, -163, 69, -164, 288 },
{ -15, 49, 431, -143, -35, -82, -116, 192, 1066, 13, -666, 80, 46, 244, -79, 407, -117, 30, 762, -117, -74, -101, 42, -32, -22, -88, 106, -110, 926, 174, 269, 416, -112, 108, 115, -25, -51, 54, -51, 63, -141, 339 },
{ 16, 48, 339, -501, -62, -457, -92, 249, 40, 98, -90, 74, 115, -49, 276, -102, -238, 330, -94, -58, -245, 159, -89, -38, 91, 55, -143, 178, -48, 445, 202, 333, 120, 74, -60, 44, -28, -20, 1066, -108, -132, 371 },
{ -115, 67, 291, -73, -53, 144, -150, 33, 26, 465, -94, 44, 67, -19, -10, -24, 241, -53, 57, -123, 318, -158, 198, -85, 12, 76, -102, 110, -108, 202, 124, 454, 137, 89, -87, 79, -93, 59, -99, 701, -166, 207 },
{ -20, 115, -66, -26, 470, -182, 55, 158, 411, -97, -1016, 156, 28, -130, 173, -38, 1069, -626, 335, -175, 160, -170, 310, 255, 553, 184, -64, 75, -87, 190, 93, 491, 312, -56, 136, -67, -64, 140, 67, -90, -110, 226 },
{ -424, 26, 496, -188, -45, 205, -87, 93, -84, 34, -71, 93, 60, -50, -574, 94, -74, 69, -188, 235, -208, 222, -78, 622, -34, -79, 275, -101, 277, -170, 241, 298, 142, 417, -32, 32, 20, 708, -114, 128, -104, 329 },
{ -281, 1458, 114, -54, -130, -92, 104, 139, -140, -34, -49, -401, 128, 85, -134, 30, 23, -82, 134, -68, 441, -264, 209, -83, 32, 411, -1009, 120, -191, 489, 119, 325, 197, 144, 40, -149, 34, -36, 566, -109, 160, 210 },
{ 22, 27, -146, -16, -138, 596, -145, 94, -54, 25, -870, -21, 110, -124, 57, 506, -96, -24, -71, 74, -177, -48, 319, -114, -41, 194, 43, 678, -19, 154, 192, 337, 78, -55, 52, 398, -1066, -69, -130, 37, -152, 269 },
{ -52, 143, 204, -71, -45, 515, -194, 67, -74, -1469, 273, -135, 104, -17, -106, 291, 16, 265, -203, 688, -148, 254, 184, 103, 365, 212, -126, 160, -58, -152, 227, 359, 176, -164, 309, -82, -51, 99, -27, -938, 222, 124 },
{ 259, 52, -60, -51, 1022, -44, 60, -84, -236, -58, -69, 108, 90, 50, -85, 214, 78, 138, -84, 450, -112, -84, 130, 307, 310, -689, -99, 46, -120, 479, 109, 387, 277, -78, 87, -92, 28, 1950, -155, 71, -83, 174 },
{ -51, 70, -91, 187, -60, 383, -53, 85, -189, -69, 183, -30, 29, 303, -572, 167, 153, -75, 1091, 104, -150, 226, -151, 275, -63, 39, -125, 150, -191, 158, 163, 304, 316, 388, -39, 47, 115, -157, 132, -131, -37, 250 },
{ 348, -126, 550, 27, 107, 301, -47, 26, -58, -1134, 647, 148, -174, 30, -1169, 343, -83, -115, 629, 226, 158, -210, -121, 241, 215, 81, 89, -102, -78, 190, 557, 300, 162, 377, -152, 74, -153, -74, 54, -121, 90, 273 },
{ -55, 79, 294, -145, 290, -90, 25, 113, -103, -1347, -59, 460, -161, 223, -139, 282, 450, 769, -1568, 1521, -246, 205, 246, 530, -101, 73, -65, 82, 227, 189, 197, 345, 152, -72, 68, 39, -86, -121, -84, -79, -115, 100 },
{ -71, 116, -68, -28, 393, 184, 34, 91, -44, -30, -179, 340, -98, -64, -161, 287, -128, 199, -143, 270, -75, -397, 236, 182, -134, -54, 1077, -10, -398, 690, 153, 364, 196, -64, -144, 80, -31, -52, -59, 84, -126, 469 },
{ 93, 278, -272, 989, 709, 189, 44, -165, 11, -138, -120, 112, 125, -115, -144, 145, 364, 380, -1266, 302, 178, -61, 105, 209, 37, -141, 230, -160, 38, -231, 179, 349, 245, -125, 64, -104, 38, -26, 44, -66, 556, 151 },
{ 45, 84, -175, 73, -30, 386, 116, -43, -43, 62, -60, 23, 149, -96, 113, -66, -52, -76, 86, 197, -141, 383, 83, 318, -47, 302, -198, 106, 240, -92, -175, 290, 251, 447, -26, 22, 86, -81, -99, -98, 130, 228 },
{ 198, -168, 324, 921, 1069, -118, 39, -54, -62, 153, -166, 53, 74, 201, -250, 138, -99, -313, 192, 71, -179, -118, 164, 69, 273, -122, 443, -1393, 152, -123, 181, 232, 174, 187, -94, 34, -125, 61, 199, -163, 445, 344 },
{ 21, 285, -188, -170, 61, 381, -74, 123, -60, -945, -124, 111, -142, 75, -46, 280, 376, 170, 37, 339, -152, 338, 213, 367, -71, -100, -344, 168, 99, 294, 161, 318, 171, 48, 65, -98, 251, -119, -41, -119, -239, -78 },
{ -12, 581, -69, -79, -83, 441, -47, 105, -49, -171, -524, 133, 41, -216, -80, 542, 445, -96, -1329, 134, -155, 201, 152, 236, 247, -17, 279, -170, 323, -229, 157, 285, 285, -109, -65, 82, 92, -197, 124, -91, 529, -125 },
{ 42, 207, -238, -153, -85, 510, 30, 70, -57, 400, 72, -126, 222, 164, -146, -102, -57, 96, -178, 1206, -125, 272, 129, 399, 140, 61, -146, -128, -81, 457, 175, 495, 272, 313, -82, 285, -232, 83, -1036, 64, -107, -363 },
{ -33, -805, 561, 38, 28, 204, -95, -159, 24, -531, -98, 61, 537, 40, -84, 68, -60, 69, 366, -85, -107, -1072, 107, -75, 170, -204, 55, -140, -17, 163, 208, 176, -29, 52, -705, -57, 194, 125, -98, 78, -160, 277 },
{ -52, 55, 250, 45, -100, -94, -88, -61, 368, -32, 83, 21, 94, -53, 72, -173, -908, 106, -98, 450, -174, 229, -97, 66, 299, 76, -87, -246, 1100, -19, 280, 335, 227, -74, -65, 22, -58, 549, 101, 96, -170, 291 },
{ -22, -83, 69, 504, -110, 1312, -141, -50, 193, -148, 58, 23, 117, 62, -65, -1729, -38, 91, -135, 95, -253, 42, -40, 101, -203, 35, -77, -114, 72, -87, 361, 373, 457, -91, 1980, -51, 493, -97, 50, 190, -97, 240 },
{ -30, -35, 110, -27, 91, -78, -146, -320, 51, -90, -72, 120, 103, 67, -61, -43, 81, -81, 50, -66, -156, 680, -74, 30, 29, 30, -168, 57, -73, 1065, 281, 76, 459, -52, -56, 21, -187, 122, -16, 515, -128, 276 },
{ -58, 114, 100, -40, -57, -82, -100, -100, 462, -14, -481, 108, -39, 99, -310, -269, 357, -134, 66, -67, -84, -68, -95, 40, -67, 26, -2208, 323, -73, 38, 154, 258, -101, 29, 339, -50, 321, 43, 69, -68, 262, 204 },
{ -28, 132, 40, 133, 68, -64, -56, -32, -63, -119, -67, 92, 250, 77, 79, -58, -23, 52, 160, -100, -1119, -120, -76, 72, -354, 51, -45, -79, -64, 117, 211, 70, 180, -105, -64, 29, -57, 15, 784, 570, -81, 295 },
{ 37, 522, -35, 99, 38, -77, 20, -51, -46, -185, 50, -259, 68, -37, 95, -100, -65, -36, 66, 171, -76, -84, -138, 60, -534, 44, 268, 135, -70, -52, 203, 216, 595, -322, 564, 447, -34, -109, 40, 42, -143, 447 },
{ 1015, -49, 162, 43, -51, 135, -118, 35, -140, 134, -96, 39, 117, -241, -235, 20, -145, -137, 161, 307, -145, -78, -807, -14, 52, 51, -10, 95, -151, -125, 229, 179, 171, 353, 10, 394, -26, -111, 32, -130, -81, 329 },
{ 186, -160, 152, -164, 103, -124, 198, -40, -74, 24, -160, 445, 39, 42, -91, -48, -1359, -34, 218, 145, -165, 76, -59, 132, 48, 1121, 538, -42, -86, -104, 139, 253, 76, 364, -122, 114, -42, -152, 672, 44, -17, 303 },
{ -49, -130, 89, 102, 22, 1281, -146, -50, -657, -49, -125, 49, 90, 85, 710, -109, -53, 23, -486, -40, -57, -102, -68, 83, 54, 52, -131, 59, -137, 86, 233, 110, 283, -746, -25, -318, -30, 453, -107, 160, 140, 389 },
{ -20, 141, -44, 79, 437, -226, -100, 28, -76, 90, -145, 1185, 124, -136, 85, 32, -127, 110, -38, 78, -170, -64, -140, -113, 25, 55, 111, -114, 311, -141, 237, 139, 173, -85, -14, 362, -47, 232, 76, -52, 440, 357 },
{ 52, -68, 83, -27, 96, -54, 50, -112, -87, 487, -194, 188, 83, 87, -62, 51, -64, -83, 371, 82, -59, -165, -53, -95, 61, 94, -133, 89, -41, -86, 147, 231, 177, 156, -46, 1441, -60, -79, 123, -113, -640, 403 },
{ 455, -79, 30, 115, -114, 145, 143, -44, -54, 95, -37, -85, 177, 44, -235, 31, -939, -46, 68, 174, 593, -135, -37, -57, 324, 48, -9, -115, -938, -65, 310, 297, 96, 369, -147, 133, -47, -64, 16, -145, -28, 314 },
{ 162, -198, 514, 25, -1006, 388, -43, 383, -393, 35, -71, 117, 23, -165, -109, 71, 59, -127, -581, 67, 331, -196, 145, -104, 400, 102, 221, 226, -109, -87, 362, 48, 427, 305, -80, 87, -44, -1520, 107, -99, -169, 349 },
{ -33, 14, 158, 41, 29, -85, 70, -110, 33, -37, -86, 86, 245, 126, -125, 587, -50, 15, 183, -106, -31, -94, 292, -138, 623, -589, 80, -38, -61, -55, 182, 134, -97, 107, -458, 15, 39, 237, -106, 293, 160, 358 },
{ 54, 121, -73, 71, -62, 145, -40, -146, -21, 68, -359, 339, 76, -75, 118, -30, -88, -94, 471, -183, 861, -1371, -154, -60, 49, 37, -46, 89, -89, -106, 136, 93, 194, -96, 109, 183, 38, -563, -114, 140, 67, 506 },
{ 209, 254, 18, -64, -126, 59, 389, -162, -417, 70, -839, 100, -211, 144, -112, 107, -63, 58, 119, -71, 296, -181, -148, -68, 209, -99, 61, 144, -59, 1413, -607, 161, 152, 124, 258, -94, 40, 125, -127, -76, 131, 296 },
{ 293, -46, -225, 176, -131, 214, 166, -81, -101, 63, -683, 143, -83, 647, 87, -81, -76, -28, -115, 117, 149, -82, -105, -145, 112, 240, 33, 105, -200, 196, 392, 74, 209, 730, 778, -87, -98, 27, -17, -60, 362, 289 },
{ 144, -94, 87, 164, -27, 325, 84, -362, -56, 290, -394, 107, 53, -184, 233, -61, -115, -35, -116, 80, 718, 438, -234, 193, 75, 562, -59, 95, -150, -102, 437, 319, 368, 618, 74, -104, -96, 111, -124, 958, 134, 339 },
{ 523, -1110, 1677, -158, 692, -591, -387, -1119, -198, -2458, 271, 452, 1161, -784, -352, 252, 2458, -592, 2458, 408, 990, -868, 2458, -1828, 406, -406, -354, -264, -2458, -832, 1294, 2458, -2458, 114, -375, 250, 662, 538, -504, -288, -2458, 1238 },
{ -29, 21, 23, 157, 51, -42, -37, 151, -50, -58, 68, -86, -49, 83, 95, -73, 84, -111, 46, 265, -46, -50, -135, 265, -52, -49, -536, 24, -105, 120, 112, 92, 96, -592, 88, -44, 398, -43, 137, 74, 343, 397 },
{ -14, -60, 107, -23, 44, 26, -118, 283, -48, -73, -45, 43, 74, 182, 246, -115, -119, 141, 71, 161, -111, -220, 262, -97, 55, 86, -48, -128, -22, -108, 156, -109, 246, -15, -64, 367, -427, 75, -38, 160, 217, 263 },
{ 67, -8, -145, 142, -145, 206, 79, 41, -141, -103, 148, -77, 124, -153, 215, -149, -95, 207, -95, 118, 551, -93, -188, -79, 326, -26, 59, -69, 163, -52, 88, -75, 165, 231, -159, 647, 67, -54, 274, -62, 139, 300 },
{ 280, -168, -289, 86, 103, -470, 661, -319, -61, 44, 405, -993, 1256, -400, 37, -44, -946, -78, -177, 310, -266, -117, -128, -74, 469, -59, 135, 243, 269, -261, 550, -324, 404, 332, 333, -92, 13, -63, 92, 46, 518, 1051 },
{ -72, -1189, 177, 117, -20, -23, -45, 161, -1219, -48, 1025, -24, 126, -131, 198, -38, 147, -74, 73, -79, -132, -30, 726, 84, 120, 50, -1417, -884, -46, 147, 232, 150, 226, -176, -43, 12, 247, -51, 549, 109, -134, 217 },
{ -21, -48, 96, -45, -63, 67, -97, 37, 242, -88, 178, -585, 80, -127, 319, -66, -35, 89, -54, 53, -160, 151, -38, 46, -13, -103, 38, -43, -43, -104, 258, 251, -77, 293, -22, 200, -34, 104, -110, 139, -137, 288 },
{ -132, 80, 510, 36, 329, -243, -64, -193, 240, -48, -82, 73, 113, -691, 316, -67, 35, 70, -134, 466, -258, -141, -2000, 131, -1904, 144, -94, 162, 106, -54, 367, 390, -119, -753, 754, -23, -63, 85, -56, 122, -126, 257 },
{ 214, -26, 66, -219, -139, 301, -85, 45, 818, -41, -81, 109, 126, 54, 338, -116, 54, -103, 48, -92, -124, -82, -49, 1827, -75, -93, -34, 102, -79, 138, 285, 284, -102, 88, -1442, 154, 729, 176, -51, 22, -151, 243 },
{ 38, -50, 57, -35, -199, 101, -140, -805, 197, -127, 361, -52, 93, 366, -42, -143, 68, -131, 67, -616, -106, -82, -63, 139, 48, -34, -52, 89, -53, -576, 293, 273, -48, 63, -104, 1516, -86, 230, -93, 58, -138, 295 },
{ 215, -116, -267, 38, -693, 683, -74, -232, 463, -33, 78, 171, 164, 849, 53, -38, 560, -377, -243, 56, -163, -227, -46, 468, -5, 454, -2212, 55, -126, -89, 212, 357, -19, 768, -241, 1623, -1979, 669, -1661, 40, -115, 352 },
{ -1048, 1364, 357, 374, -158, 61, -127, 58, -43, 87, -90, 138, 81, -64, 33, 126, -147, -39, 31, -83, -146, -61, 466, 59, -1409, 115, -51, 89, -141, 163, 222, 327, -89, 66, -80, 46, -118, 35, 227, -39, -59, 346 },
{ -1225, 17, 159, 120, -80, 26, -133, 34, -101, 48, 44, 357, 101, -151, 137, -43, 909, -46, -168, 129, -211, 117, -33, 441, 178, 106, -61, 42, 86, -143, 218, 288, 1456, 107, -91, 85, -310, -49, 31, -126, -73, 268 },
{ -17, -661, 228, -38, -116, 270, -149, -75, 32, 93, -106, 97, 97, 73, -115, 290, -279, -60, 1690, 266, -153, -157, 176, -55, 1098, 43, -121, -40, -130, -98, 245, 313, 91, 83, -146, 22, -86, 289, -42, 48, -111, 308 },
{ -30, -127, 183, 1029, -36, 52, -163, 25, -156, -113, -67, 92, 200, -237, 106, -53, 114, -129, 170, 190, -51, -139, -100, 217, -32, -70, 351, 147, -267, 206, 190, 348, 140, 544, -199, 127, 318, -144, 409, -164, 1288, 128 },
{ -68, 144, -126, 156, -63, 385, -128, 41, -70, -155, 1210, 48, 129, -110, 54, -48, -147, 1148, -150, -125, -128, 42, 602, 169, -1083, 112, 151, 35, 99, -151, 192, 363, 82, -45, 109, -74, -20, 67, -111, 64, -167, 244 },
{ -25, 34, 155, -182, 281, 1557, -48, -443, 87, -93, 455, -110, 109, -110, -97, -39, 51, -674, 625, 76, -107, 21, 202, 775, -29, 74, 157, -189, 53, -137, 187, 277, 163, -126, 92, 260, -33, -510, 377, -34, -106, 213 },
{ -97, 126, 834, -2059, -116, 376, -206, 105, -1337, 84, -141, 254, 966, -244, 76, -34, -180, -85, 272, -261, -100, -163, 596, 263, -29, 114, -76, 113, -101, 154, 197, 359, 169, 98, 13, -92, -30, 39, -162, 67, -154, 243 },
{ -53, -26, 430, 209, -1584, 182, -183, -68, 15, 68, -159, 214, 183, -112, -166, 26, -109, -112, 119, 323, -71, -114, -60, 306, -48, 49, 58, 40, -182, 241, 99, 259, 308, 1222, -44, 43, -31, -43, 48, -143, -197, 269 },
{ 49, -328, 675, -55, 52, -295, 178, 817, -204, -61, 513, -1160, 117, -125, -1569, -31, -593, -94, -32, 348, 144, -96, -49, 521, -44, 106, 71, -143, -34, -372, -77, 293, 341, 170, -75, 103, -39, -86, -137, 2290, 509, 281 },
{ -49, 58, -79, 40, 23, -70, 67, -301, -76, -44, 115, -30, 940, -195, 296, 143, -944, -61, -303, 32, 713, -13, 273, 284, -112, 397, 96, 377, 38, -135, -106, 349, 1054, -82, 121, 186, -13, -92, -177, -230, -39, 326 },
{ -221, 342, -103, 88, 401, -82, -301, -628, -94, -37, 613, 748, 412, -144, 556, 112, -40, -2458, 73, 63, 255, -132, 110, 332, -179, -25, 1013, -48, 1360, -245, 252, 326, 104, -114, 98, -127, 442, -572, 41, -157, 63, 468 },
{ 171, 25, -73, 57, -60, 247, -95, -488, 61, 39, -52, 67, 170, -41, -103, 52, -373, 583, 48, 53, 302, -109, 123, 308, 252, -28, -33, -164, 448, -148, 152, 335, 192, -87, 63, -333, 409, -147, 60, -114, 398, 168 },
{ -133, -76, 1347, 187, -714, 58, -84, -38, 44, 27, 162, 84, 100, -125, 440, -26, 425, -85, 57, 14, -57, -122, 73, 439, 77, -80, -240, 59, -76, 378, 399, 318, 286, 668, 456, -136, 107, -58, 132, -154, -52, 234 },
{ -59, -63, 242, -151, 555, 1741, -78, 74, -91, -223, -423, -1214, 165, 1092, -1334, -42, 1558, -89, -185, 2422, -160, 117, -34, 296, -40, -921, 292, -322, 218, -109, 204, 200, 242, 256, 177, 58, 152, -91, -1899, -153, -131, 153 },
{ -67, 105, -89, 525, 213, 312, -145, -81, -578, -34, -1827, 78, 139, -165, 333, 132, -104, 1763, -231, 581, -67, -174, 344, 579, 83, 57, -159, -617, 198, -118, 519, 178, -119, -197, 434, -119, 188, 35, 71, -1114, -51, 285 },
{ -117, 92, -48, -137, 127, -134, 625, 90, -69, -57, 505, -1440, 46, -102, 152, 254, 116, 95, 91, 419, 277, -212, 98, 474, 52, -65, -137, -202, -261, -145, 821, 441, -190, -66, -43, 602, 112, -411, 92, 457, -204, 300 },
{ -44, 277, 92, -60, 440, -261, 120, -41, -1437, -73, 286, 147, -292, 397, 63, 365, -71, 251, -144, 463, 134, -180, 94, 591, 70, 191, -131, 206, 557, -242, -170, 374, 232, -112, -107, 156, -189, -212, -305, -2183, 1082, 277 },
{ -588, -45, 231, 1324, -133, 89, -266, 678, -118, 130, 720, 165, -140, -43, -174, 113, -73, -82, -383, 230, -299, -258, 206, 1697, 201, -207, 245, 146, -143, 503, 238, 407, 219, -89, -185, 43, 20, -66, 700, 315, 220, -198 }
 },
{ 
{ 442, 48, -98, 110, 84, -39, -77, -12, 141, 98, -17, -16, -66, -34, -18, 175, 109, -38, -25, 5, 18, -20, -41, -41, 167, 111, -43, -31, -42, 4, -29, 12, -26, -40, -22, 178, 471, -94, -65, -72, -22, -19 },
{ 488, 32, -111, 107, 83, -71, -92, -33, 160, 88, -38, -21, -57, -26, 5, 143, 107, -57, -27, 13, -22, -18, -45, -14, 189, 140, -64, -39, -18, 8, -18, 1, -38, -48, -31, 236, 555, -129, -104, -92, -21, -16 },
{ 508, -136, -82, 242, 85, -120, -114, -32, 259, -46, -32, -29, -95, -68, 42, 260, -53, -56, 22, 55, -44, -39, -32, 58, 265, 115, -123, -70, -55, 33, 10, -19, -35, -62, 13, 277, 444, -60, -92, -92, -40, 10 },
{ 476, 137, -231, 108, 66, -42, -37, -22, 106, 81, -23, -27, -38, -30, -5, 132, 127, -30, -34, -29, 23, -67, -33, -40, 208, 246, -99, -65, -29, -12, -29, -31, -45, -78, -76, 329, 704, -174, -143, -113, -30, -33 },
{ 511, -39, -94, 206, 44, -68, -96, -15, 177, 113, -75, -13, -54, -42, -23, 180, 98, -64, 28, -10, -35, -38, -25, 15, 161, 34, -82, -31, 30, 19, -30, 9, -31, -65, 23, 207, 454, -81, -99, -93, -15, 9 },
{ 977, -1009, -922, 1002, -1302, 532, -180, -615, 809, 1260, 362, -286, 579, -454, -656, 339, 1096, -527, 316, -323, 90, 756, -464, 660, 997, -705, -613, 514, -241, 487, -1300, 180, -495, -1322, 661, 605, 501, 397, -938, -238, 848, -529 },
{ 265, -246, 367, 112, 267, -324, 528, -122, 96, -287, -241, 163, -341, 531, -472, 317, -188, -258, 220, -309, 277, -220, 518, -653, 189, -102, 310, -125, -135, 112, 257, 188, 460, 459, 583, 205, 502, -268, -169, -103, -213, -491 },
{ 406, -382, 172, 205, 102, 141, -189, 112, 335, 79, -291, -66, -131, -146, 205, 387, -179, 105, 46, 64, 142, -238, -67, 54, 406, 68, -136, 37, -105, 34, -115, 128, -193, -459, 319, 293, 389, 88, -227, -198, 108, 97 },
{ -924, 832, 2458, -666, -2458, -251, -875, 1463, 199, 1152, -1725, 564, 250, 1267, -1263, 627, 559, -922, -2027, -782, 368, 1152, 344, 700, -854, 1824, -1708, -688, -1500, 820, -963, 454, 1592, -2148, 1599, 899, 1464, -1783, 945, 2458, -264, -2363 },
{ -98, 693, 46, 282, -259, 198, -194, -358, 320, 166, -186, 54, 198, 244, -103, -106, -189, -271, 281, -142, -319, 774, -444, 260, 754, 277, -156, 215, -209, -375, -680, 521, 267, -444, 201, 340, 195, -159, 161, 268, -291, -158 },
{ 611, -288, 201, -133, 320, -275, 535, -472, 260, -303, -208, 476, 329, -632, 627, -539, 290, -316, 599, -679, -69, 577, -281, 245, 916, -382, -105, -416, 134, 327, 427, -604, 191, -384, -521, 696, 453, -339, -388, -362, 540, -246 },
{ -87, 221, 118, -115, -145, 58, 136, -235, 198, 205, -143, 111, -101, 75, 143, -188, -132, 173, 40, 203, -141, 169, 142, -175, 327, -224, 121, 240, -263, 109, 62, 144, -374, 398, -268, 584, 130, -144, 212, -295, 365, -284 },
{ 232, 130, -186, 98, -33, 119, -25, 169, -106, 79, -42, -47, 20, -137, 83, 133, 197, -134, -89, -33, 69, -175, 146, -188, 261, 217, -202, 70, -140, -50, 67, -59, 18, -82, 44, 356, 789, -302, -126, -100, 3, 104 },
{ 258, 218, -325, -103, 123, 247, 82, 114, -144, -196, 242, -216, 110, 144, -207, 169, -97, 119, 208, -184, 120, -90, -247, 169, 278, -246, 253, -59, 183, -367, 238, 235, -76, -335, 103, 768, 190, 173, -349, 544, -557, 296 },
{ 680, -555, 929, -498, 236, 231, -609, 57, 349, -202, 182, -215, -335, 250, -261, 569, -262, 424, 348, -152, 596, -531, -257, -242, 965, 180, -359, -59, -443, 366, 199, -324, 262, -155, -133, 606, 355, 56, -387, 281, -385, 151 },
{ 355, -176, -146, 179, 91, 168, -109, 23, 113, 162, -50, -69, 72, -67, 54, 104, -142, 80, 75, 66, 39, -38, -73, 49, 160, 109, 67, -49, -26, 23, -43, 37, -30, -47, -31, 200, 372, -235, 66, -32, 44, -14 },
{ 318, -340, 244, -98, 111, 69, -148, 108, 188, 128, -97, 123, -92, -51, 24, 155, -144, 91, 59, 119, -105, 82, -75, -25, 185, 116, 58, -54, 44, -43, 33, -18, -9, -14, -75, 228, 369, -213, 57, -41, 26, 21 },
{ 247, -488, 238, 124, 73, 78, -208, 137, 218, 191, -65, 67, -84, -127, -29, 294, -225, 92, 67, 124, -82, -92, -68, 29, 279, 124, -63, -30, 70, -57, 69, 67, -66, -133, 81, 318, 289, -175, -105, -55, 41, 103 },
{ -196, 228, 226, 178, -144, 76, -164, 64, 101, 140, 32, -104, 83, -163, 81, 108, -86, 52, 40, 70, -104, 65, -127, 77, 137, 144, -45, -44, 42, 34, 64, -45, 12, -43, -39, 246, 374, -149, -35, -25, 36, 35 },
{ -289, 367, 113, 300, 123, -238, -120, -33, 245, -199, 111, -43, 37, -181, -93, 419, 167, 73, -79, 167, -119, -189, -116, 140, 330, -97, -142, 41, 109, -45, 99, 78, -23, -293, 157, 369, 421, -217, -119, -134, -96, 191 },
{ 181, 100, -367, 190, 101, -65, 162, -156, 145, -61, 71, -50, 56, 85, -129, 138, 114, -93, 103, -122, 103, -171, 68, -64, 192, 142, -169, 54, -42, 66, 45, 68, -61, 13, -82, 234, 428, -112, -92, -36, 68, 67 },
{ -155, 220, 216, 120, -114, -113, -60, -102, 190, 124, 102, -41, -104, -52, 32, 200, -120, 90, -71, 110, -112, -103, -93, -54, 432, 143, -171, -90, 130, -106, 142, 82, 55, -58, -159, 415, 368, -243, -82, -58, 75, 130 },
{ 150, -155, 230, -117, -47, 53, 90, -52, 113, 121, 72, -105, -68, 21, -106, 170, 115, -142, 75, -80, 127, -147, -19, -65, 178, 144, -109, -47, 12, 94, -61, 121, -86, -18, -85, 369, 497, -221, -75, -41, 56, 111 },
{ 121, -116, 50, 88, 111, 47, -130, -104, 195, 68, -86, 62, 96, -182, -106, 216, 94, -133, 86, 89, -164, 128, -174, -127, 416, 119, -243, -166, 123, -53, 99, -173, 255, -143, -157, 632, 474, -247, -144, -40, 90, 131 },
{ 513, -319, 229, -137, 256, -104, -181, 214, 198, 134, 436, -253, 66, 101, -270, 165, -451, -422, 600, -591, 71, -69, 148, 129, 495, 552, -467, 409, -544, -451, 277, 373, 322, -461, 142, 353, 295, -174, -154, 553, 278, -530 },
{ -35, -146, 156, 351, 136, -128, 69, 131, -220, -163, 149, 209, 48, 129, 319, -456, -455, 390, 114, 106, -112, 156, -159, -126, 383, -346, 290, -242, 188, -125, 254, 109, -225, -100, -166, 780, 585, -280, 51, 140, -292, 257 },
{ 360, -190, -103, 184, -147, 194, -98, 54, 218, 129, 51, 39, -61, -66, -35, 197, 102, -58, 63, 51, 59, -60, -13, -43, 228, -202, 167, -58, 74, -26, -12, 19, -23, -29, -36, 231, 358, -97, -111, 38, -16, -7 },
{ 329, -406, 82, 189, 122, 64, -171, 73, 265, -197, 104, 116, -74, -110, 104, 288, 168, 65, -58, 122, -93, -108, -126, 85, 247, -328, -25, 81, 108, -60, 83, 15, -68, -117, 173, 199, 331, 82, -164, -91, -66, 70 },
{ 290, -386, 124, 187, 159, -144, 106, -89, 253, -103, 186, -54, -129, -132, 158, 445, 212, 176, -172, 174, -208, -260, -184, 234, 324, -208, -130, -109, 199, 120, 49, 103, -154, -268, 194, 240, 282, 87, -185, -225, 66, 76 },
{ 341, -429, 141, 283, 153, -234, -98, -112, 369, 194, -154, 53, -76, -147, 115, 336, 16, 63, 50, -41, -150, -198, -159, 137, 442, 120, -125, -87, 98, 98, 43, 133, -38, -199, -74, 348, 322, -118, -179, -68, -101, 136 },
{ 394, -292, -162, 384, 78, 144, -196, 60, 380, 138, -188, 114, -247, -250, -102, 487, 200, -69, 78, -176, 333, -241, -366, 387, 569, -171, -226, 38, 59, 388, -207, 195, -94, -321, -218, 380, 287, 291, -252, -212, 159, -143 },
{ -140, 379, 437, -195, -234, -46, 172, 270, -298, -151, 99, 180, -90, -88, 142, 210, 234, -163, 151, -116, -65, 27, 75, -513, 853, -202, 158, 119, -25, -116, 262, -156, -228, 144, -213, 692, 470, -297, -110, -142, 58, 168 },
{ -264, 261, 226, -173, 275, -161, -101, 200, 188, -142, 124, 67, -149, 88, -378, 621, 155, 195, -84, 51, 248, -74, -390, 336, 587, -161, 51, 58, -167, 141, 579, -411, 275, -434, 111, 162, 193, -257, 172, 64, -195, 550 },
{ -204, 535, 89, -56, -77, 733, -1332, 531, -53, 311, -22, -190, -31, 172, 96, -131, -55, 85, 150, -79, -47, -125, 643, -119, -114, -290, -73, 157, -124, 57, 148, 102, -84, -464, 170, 51, 421, -88, 262, 185, 95, 317 },
{ -220, 165, 293, 192, 132, -170, -45, -79, 134, -208, 109, 161, 134, -107, -57, 161, 103, 176, -51, -69, -135, 160, -50, -83, 157, -271, 156, 91, 71, -73, 119, -122, 132, 66, 58, -119, 282, 287, -159, -47, -134, 128 },
{ -247, 132, 280, 249, 158, -183, 131, -217, 142, -205, 90, 113, -77, 160, -154, 172, 148, 94, -82, 118, -143, -92, 162, -105, 118, -261, 162, 123, 112, -146, 128, -87, 80, -119, 114, 114, 272, 117, -158, 42, -154, 161 },
{ -279, 212, 118, 248, -270, 169, 262, -309, 227, 174, 109, -150, -75, 113, -48, 234, -184, 137, 137, 73, -182, 42, -223, 88, 246, -410, 386, -72, 113, -110, 109, 46, 74, -111, -71, 233, 185, 247, -218, 58, -169, 97 },
{ -223, 125, 212, 149, -229, 151, 189, -207, 190, 93, 120, -69, -114, 86, -66, 104, 108, -73, -36, 134, -131, 138, -89, -67, 167, -254, 188, 67, 137, -148, 124, -141, 140, 68, -145, 182, 344, 119, -124, -25, -70, 125 },
{ -278, 201, 134, 208, -150, 146, 198, -284, 177, -229, 235, 28, -124, -75, 68, 168, 142, 211, -179, 128, -178, 138, -105, -160, 293, -330, 167, 86, 165, -162, 121, -120, 153, -17, -121, 414, 222, -68, -71, -110, -147, 244 },
{ -313, 327, 127, 267, 59, -126, 56, -217, 218, -254, 226, -55, 65, -61, -138, 300, 193, 100, -134, 230, -249, 94, -78, -187, 451, -317, 158, -28, 132, -160, 229, -197, 247, -93, -65, 400, 194, 99, -353, 85, -267, 213 },
{ -181, 152, 93, 129, -202, 148, 115, 94, -119, 85, 107, -163, 74, -111, 58, 135, -108, 100, 39, 75, -151, 114, -30, -73, 100, -108, 174, -43, 99, -110, 127, -122, 96, -59, 91, 121, 332, 186, -239, -52, 28, 164 },
{ -229, 211, 93, 203, -180, 270, -86, -191, 160, -127, 311, -204, 156, -70, -82, 134, -146, 217, -56, 107, -138, 131, -34, -190, 306, -206, 189, -92, 151, -155, 143, -140, 172, 94, -247, 439, 304, -178, 61, -81, -169, 245 },
{ -216, 208, 100, 204, -142, 288, -218, -149, 236, 163, 65, -160, -46, -77, 80, 188, -188, 218, -136, 159, 140, -159, -165, -93, 438, -113, 165, -135, 130, -135, -136, 207, 101, -26, -128, 505, 254, -179, 170, -319, -121, 219 },
{ -123, 389, -116, 210, -93, 246, -206, -74, 245, -138, 282, -179, 25, -100, -123, 402, 135, 115, -126, 143, 98, -99, -90, -94, 509, -168, 97, -83, 213, -174, 130, -272, 234, -303, 224, 383, 429, -266, -274, -43, -284, 292 },
{ -97, 145, 148, -57, -141, 89, 83, -57, 62, -109, 123, 87, -58, -77, 14, 113, 92, -15, -38, 72, -106, 62, -40, -73, 147, 119, -109, -65, 64, -94, 100, 125, -109, 54, -158, 338, 422, -175, -81, 31, 97, 122 },
{ -113, 114, 31, 92, -129, 206, -126, 144, -119, 123, 23, -130, 139, -69, -124, 292, -65, 78, 54, 146, -111, -38, -102, -118, 301, -99, -61, 44, -13, -124, 85, 159, -109, 240, -255, 473, 235, 154, -265, -116, 76, 196 },
{ -88, 265, -52, 138, 84, -65, -99, -103, 181, 118, -59, 71, -87, -154, 217, 132, 118, -106, 152, -168, 218, -138, -158, -200, 596, 154, -281, -36, 204, -86, 163, -316, 166, -28, 126, 393, 320, -249, -74, -97, -163, 271 },
{ 70, 97, 36, -118, -96, 50, 150, -69, 77, 167, 55, -167, 92, -99, -53, 169, 110, -107, -69, 66, 85, -32, -60, -100, 168, 83, -89, -86, 30, 44, 79, -96, 86, -209, 162, 251, 552, -244, -217, 29, 88, 204 },
{ 648, -302, -367, 285, 549, 333, 271, 227, 54, -296, -463, -302, 75, 193, 433, 200, -332, 182, 484, -403, -232, 65, -384, 657, -173, 515, -158, -191, -53, 346, -346, 520, -258, -160, 668, 674, 258, -279, -328, -307, 275, -461 },
{ 188, -140, 186, 56, 117, -221, 734, -546, 76, 157, -258, 296, -301, 294, -140, 66, 92, -117, 88, -80, 36, -113, 69, -45, 191, 163, -100, -106, 101, -105, 148, -124, 139, -104, -117, 384, 889, -301, -101, -57, 46, 68 },
{ -234, 223, 148, 226, -273, 153, 167, -201, 163, 157, 145, -175, 57, 45, -95, 183, -213, 94, 87, 124, -212, 95, -68, -48, 163, 194, 128, -109, 111, -115, 130, -93, 120, -54, -43, 265, -206, 292, -123, 103, -198, 145 },
{ -345, 295, 230, 308, 115, -180, -131, -213, 291, -221, 149, 67, 113, -47, 66, 276, 100, 152, -78, 108, -227, -80, -212, 73, 363, -464, 211, 115, 136, -144, 146, 122, -63, -52, -155, 292, 215, 92, -119, -121, -120, 161 },
{ -311, 301, 226, 307, -134, 116, -173, -172, 245, 104, 85, -41, -140, -117, 136, 438, -170, 238, -98, 126, 171, -255, -124, -258, 559, 244, -181, 38, 127, -81, -121, 222, 103, -135, -202, 355, -166, 207, -121, -68, -214, 187 },
{ 449, -305, 82, 206, 252, -142, -137, -114, 367, -189, 233, -48, -149, -146, -136, 561, 374, 271, -250, 128, 211, -282, -279, 198, 533, -468, 285, -165, 224, -53, 141, -208, 109, -191, -113, 420, 379, -247, -143, -93, -216, 311 },
{ -332, 268, 456, -94, 356, -565, 517, -482, -66, 438, -1195, -275, -175, 306, 638, 207, 217, -250, 527, -561, 169, -372, -223, 741, 465, 56, 658, 148, 558, 371, -358, -277, -236, -271, 218, 617, -390, -405, 544, -247, 383, 298 },
{ -209, 127, 128, 213, -218, 141, 216, -112, 92, 100, 84, 30, -166, 74, 178, -159, -240, 111, 159, -74, 65, -120, -29, 73, 131, 164, 67, 32, -91, -52, 47, 116, -148, 123, -163, 246, -206, 194, 197, -166, 88, 58 },
{ -274, 140, 115, 272, -218, 175, 109, -253, 196, -240, 311, -59, -80, 121, -163, 144, 187, 118, 59, -101, 82, -64, 84, -56, 196, -211, 294, -87, -102, 97, -97, 223, -152, -77, -17, 288, -149, 220, -212, 147, 97, -83 },
{ -195, 151, 97, 134, -225, 103, 178, 158, -142, -229, 333, 60, -130, -133, 152, 127, 110, 135, -80, -43, 91, -153, 105, 114, -115, -284, 222, 66, 139, -155, -38, 159, -65, -84, 111, 107, 273, 220, -182, 41, -149, 143 },
{ -250, 173, 123, 134, -269, 165, 106, -214, 238, -205, 323, -62, -59, 94, 97, -96, 136, 189, -59, -15, 48, -115, -101, 111, 218, -369, 276, -121, 216, -178, 66, 190, -110, 145, -262, 266, 241, 141, -149, 64, -111, 117 },
{ -265, 191, 127, 224, 75, 104, -61, -170, 208, -195, 117, -43, 94, -57, -173, 244, 140, 231, -234, 100, -180, 225, -66, -136, 364, -375, 255, -98, 228, -213, 222, -182, 242, 40, -323, 410, 267, -112, -109, 114, -261, 217 },
{ -209, 99, 89, 140, -172, 73, 181, 119, -187, -133, 142, 145, -115, -100, 80, 128, 102, 51, 36, -30, -67, 74, 37, -111, 134, -242, 264, -106, 138, -93, 98, -156, 168, 36, -74, 125, 235, 200, -186, 92, -173, 224 },
{ -145, 209, 194, -50, -30, -131, 248, -161, 216, -146, 153, 178, -176, 65, -198, 266, 202, -52, 86, -167, 221, -133, -62, 49, 247, -325, 326, -46, -127, 132, -197, 129, 148, -261, 186, 290, 237, -124, -287, 236, -152, 194 },
{ -121, 106, 29, 108, -144, 151, 111, 86, -171, -107, 161, -81, 89, -139, 36, 162, 90, 22, 20, -39, 49, -47, 68, -132, 127, -116, 157, -108, 61, 46, -81, 171, -109, 93, -141, 256, 336, 125, -238, 24, 78, 137 },
{ -117, 281, 293, -215, -208, 148, -15, -117, 270, 127, -225, 290, -288, 175, -179, 223, 290, -177, 186, -161, 144, -191, -85, -152, 484, -207, -177, 375, -144, -33, 99, 191, -225, -51, 214, 433, 229, 184, -337, -344, 201, 135 },
{ -59, 180, 161, -137, -160, 122, 167, -122, 99, 133, 80, -142, -92, -18, 109, 69, -96, 84, 43, 52, -17, -73, 53, -108, 140, 89, -82, -122, 83, 40, 39, 105, -234, 92, -154, 377, 562, -211, -123, 60, 112, 136 },
{ -65, 100, 147, -60, 109, -94, 88, -117, 112, -51, 62, 143, -167, 119, -138, 106, 236, -165, 28, -92, 187, -210, 158, -270, 410, -159, -181, 263, -202, 124, -94, 182, -341, 400, -462, 738, 326, 198, -399, -114, 133, 262 },
{ 250, -1250, 231, 382, 466, 103, -228, 877, 398, -368, 216, -503, -471, -785, 578, 257, 639, 787, -552, 790, 545, -1090, 403, 267, 683, -1630, -302, 155, 173, -248, 159, 316, -128, -599, 165, -1188, 1061, 168, 306, -253, 1068, 98 },
{ -302, 161, 198, 268, -140, 142, -154, -186, 247, -167, 249, -92, 84, 56, -181, 285, 194, 121, -49, -112, 157, -173, 99, -249, 347, -158, 222, -105, 133, -52, -65, 232, -127, 63, -273, 361, -166, 289, -194, 96, -115, 138 },
{ -246, 262, 176, 182, 140, -148, -88, -177, 322, -182, 254, 90, -136, -167, -155, 473, 241, 136, -297, 205, 155, -71, -77, -230, 598, -331, 228, -90, 303, -126, -149, 226, 172, -135, -376, 354, 142, -32, -171, 102, -200, 121 },
{ -186, 368, 121, 220, 31, -33, -204, -161, 460, 159, -196, 185, -53, -290, -123, 654, -127, 166, 219, -282, 362, -227, -205, 108, 519, -243, 263, -214, 171, 260, -292, 327, -180, -315, -198, 344, 345, -82, -101, -126, 173, -178 },
{ 586, -454, 525, 287, -357, 573, -488, 202, 462, 898, -700, -145, -212, -286, -555, 1011, -396, -304, 611, 132, -177, -382, 460, -305, 527, -459, 645, -138, -289, 579, 224, -349, -248, -109, -250, 707, 632, -343, -364, 242, -185, 280 },
{ 321, -701, 554, -518, 226, 443, 305, 131, 684, 184, -211, -77, -427, -269, -246, 1100, 336, -82, -219, 157, 448, -198, -597, -424, 924, -453, 121, 302, 169, -347, 326, -324, 324, -301, -329, 369, 497, -228, -101, -411, 245, 203 },
{ 619, -372, -556, 303, 158, 399, 292, -81, 605, 485, -156, 226, -256, -405, 310, 534, -274, -568, -190, -235, 138, -274, -441, 287, 537, 93, 370, -295, 147, 160, 734, 358, -284, -453, -364, 307, 526, -606, 531, 181, 57, -284 },
{ -181, 325, -325, -540, 1107, 427, 449, -498, 390, -242, 323, -595, 516, 704, 444, 590, 303, 682, -569, -410, -304, -656, 631, 169, 853, -745, 660, 183, -630, 558, -440, -1093, -601, 1179, -308, -389, -817, 469, 374, -703, 955, -436 },
{ -193, 163, 82, 134, -222, 111, 180, -134, 111, -146, 296, -79, -60, 137, 106, -227, -112, 240, -63, 60, -64, 52, -49, 93, 132, -89, 244, -81, 76, -149, 153, -130, 43, 172, -219, 175, -160, 247, 91, -72, -97, 193 },
{ -200, 140, 69, 137, -187, 97, 180, -126, 176, -134, 267, -41, -123, -45, 146, -138, -136, 131, 75, 56, -45, 120, -89, 145, 174, 119, 58, 73, -128, -90, 74, 140, -165, 108, -159, 282, -220, 89, 85, -82, 70, 79 },
{ -164, 128, 52, 128, -233, 138, 135, 137, -182, -174, 346, -88, -14, -51, 30, 121, -112, 219, -67, 66, -45, 53, 118, 46, -84, 222, -113, 157, -47, -95, 128, -153, 128, -48, -58, 213, -158, 189, 179, -78, -150, 193 },
{ -193, 108, 92, 157, -227, 193, 59, -174, 168, -191, 410, -176, 54, 57, 86, -147, -137, 246, -104, 34, 12, -110, 65, 60, 196, -154, 304, -103, 128, -139, 44, 193, -176, 139, -156, 237, -122, 281, -185, 128, -97, 112 },
{ -181, 202, 106, 118, -82, 153, 75, -199, 104, -249, 230, 40, -104, 196, -135, 183, 122, 126, -44, -126, 72, -141, 183, -159, 321, -407, 314, 121, -56, 168, -115, 257, -218, 148, -188, 288, 136, -22, -121, 83, -142, 95 },
{ -136, 78, 30, 118, -211, 201, 85, 150, -215, -113, 240, -123, 104, -74, 20, 128, -192, 253, 63, -74, -40, -21, 181, 64, -130, -169, 320, -53, -53, -29, 49, 109, -173, 65, 46, 123, 245, -114, 124, -133, 95, 121 },
{ -141, 58, 46, 123, -234, 238, -33, 210, -231, 91, 117, -37, -140, 83, 20, 156, -218, 235, 95, -89, 104, -127, 93, -114, 219, -304, 493, -178, -73, 112, -72, 246, -170, 176, -228, 304, 157, -103, -18, -95, 217, -111 },
{ -103, 172, -79, 200, -84, 204, -94, 153, -239, -208, 238, -94, 22, 104, -40, 265, 138, 74, -37, 46, 63, -130, -146, 118, 270, -369, 368, -65, 73, -78, 159, -160, 281, -106, -237, 443, 270, -202, -99, 46, -161, 262 },
{ -186, 258, 236, -191, -104, 75, -111, 131, 211, -107, 186, -144, 70, 98, -342, 388, 247, 132, -111, 23, 56, -175, 186, -237, 559, -422, 349, -132, 119, 210, -86, 258, -276, 187, -270, 410, 170, 84, -231, -74, -185, 147 },
{ -91, 50, 79, 65, -178, 148, 91, 134, -181, -116, 272, -172, 172, -158, 256, -100, -160, 225, 36, -55, -44, -35, 72, -12, 79, -96, 157, -62, -8, 90, -68, 170, -107, 154, -149, 188, 293, -159, 181, -163, 93, 97 },
{ -117, 109, 37, 118, -183, 145, 35, 277, -328, 137, -45, -29, 96, -173, 150, 116, -213, 131, 200, -155, 89, -86, -106, 93, 97, -191, 269, -183, 135, 69, -82, 217, -171, 114, -135, 390, 212, -141, -75, 64, -175, 259 },
{ -123, 145, 165, -137, -157, 141, 57, 214, -190, -123, 187, -135, 53, -54, 48, 240, 165, 121, 56, -53, -50, 64, -198, 110, 214, -373, 279, 29, 110, -57, 90, -222, 272, -379, 285, 394, 221, -163, -175, -43, -108, 324 },
{ -116, 434, 343, -343, 54, -118, 203, -183, 259, 226, -198, 173, -133, 108, -251, 367, -141, 197, 126, -110, 114, -84, -143, -270, 667, -241, 106, 173, -71, 243, 102, -266, 179, -260, 282, 395, 240, -214, -84, -264, -128, 259 },
{ 631, -379, 579, -407, 228, 345, -286, 188, -101, -115, -69, 170, 40, 84, -134, 272, 318, 45, 204, -166, -146, 221, -113, -480, 1096, -281, -130, 261, 186, -183, 578, -543, 46, 209, -526, 793, 230, -252, -186, 169, -259, 214 },
{ -77, 188, 148, -88, -200, 86, 153, 127, -169, 148, -159, 156, -180, 166, -143, 135, -115, 54, 137, 86, -50, -106, 128, -57, 58, -138, 78, 67, -109, 87, 44, -20, 113, -126, 76, 163, 337, 328, -414, 36, 140, 171 },
{ -101, 152, 108, -66, -235, 108, 182, -162, 112, 138, 68, -46, -193, 178, 189, -186, -160, 154, 96, -44, -45, 149, -195, 95, 165, -246, 268, -96, -181, 265, -50, -116, 320, -200, -284, 655, 340, -236, -128, 75, 66, 183 },
{ -114, 251, 273, -123, -164, -72, 101, 247, -259, 227, -173, 107, 51, 78, -166, 276, -221, 204, 71, -91, 64, -84, 33, -308, 514, -243, 254, -161, 85, 222, -138, -176, 262, -141, -264, 734, 445, -234, -239, 113, -151, 221 },
{ 750, 314, -1106, 684, 280, -271, 278, -343, -265, 253, -176, 214, 297, -196, 293, 243, 346, -594, 486, 275, -552, -305, 107, -929, 1859, -400, -174, 227, 257, -551, 1537, -477, -690, 243, -775, 891, 384, 174, -598, 627, -430, 515 },
{ -30, 304, 201, -197, -251, 62, 432, 136, -285, 285, -133, -235, 287, -248, 346, -121, 112, -86, 85, -33, -63, -18, 76, -72, 177, -120, -83, 120, -171, 324, -131, 87, -18, -114, -139, 430, 719, 142, -250, -36, 77, 34 },
{ 340, 319, -757, 424, 152, -275, 369, 230, -330, -219, 70, 195, 184, -339, 420, -158, 193, -115, -50, 130, 117, -369, -191, 179, 407, -349, 208, -46, -149, 424, -528, 527, -272, -169, -320, 993, 563, 275, -528, 262, -358, 138 },
{ -180, 108, 66, 190, -89, 96, 94, -179, 181, 118, 108, -61, -70, 87, -155, 200, -280, 202, -59, 107, -95, 135, 133, -111, 255, 164, 160, -124, 61, -61, 210, -214, 224, -101, -88, 233, -256, 154, -85, 158, -148, 187 },
{ -181, 183, 112, 167, 48, 74, -121, -149, 249, 84, 78, -92, -24, -46, -157, 449, -99, 25, 87, 103, 129, -179, 134, -244, 404, 229, 115, -76, -148, 180, -78, 240, -174, 129, -337, 281, -216, 74, 93, -32, 64, -56 },
{ -118, 225, 195, -149, -72, 217, -31, -41, 293, -164, 123, -114, -65, 177, -310, 388, 121, 34, 65, -145, 85, -147, 159, -299, 556, 200, -142, 188, 113, 58, -70, 212, -112, 145, -309, 347, -220, 193, -93, -184, -91, 139 },
{ -169, 309, 145, 283, 182, -210, -190, -184, 264, -166, 129, -18, 152, -186, 97, 587, 142, 91, 52, 105, 97, -305, -139, 90, 339, 83, 57, 38, -146, 152, -42, 325, -207, -439, 105, 216, -153, 148, -185, 154, 173, 69 },
{ -276, 386, 300, 241, 374, -394, -214, -218, 393, -102, -181, 310, 185, -289, -215, 564, 123, 224, 77, -198, -98, 206, -533, 306, 570, -206, 99, -91, 152, 353, -100, 191, 202, -509, -217, 410, 302, -96, -126, -100, 381, -451 },
{ 450, -382, 242, -201, 356, -72, 181, -123, 285, 183, -233, 163, -189, 109, -284, 566, -150, 173, 112, -61, 164, -237, -204, -137, 792, 176, -167, 56, 90, 274, -129, 263, 125, -346, -131, 296, -209, 207, -159, -97, 241, -251 },
{ 411, -416, 139, 289, 250, 353, -387, -242, 552, 351, -786, 221, 163, -123, -444, 1071, -300, 267, 289, 195, -188, -255, -269, -364, 513, 466, 180, -123, -102, 208, 264, -134, 299, -426, 218, 371, -206, -281, 138, -166, -63, 57 },
{ -416, 918, 684, 617, -304, -1651, 173, -325, 707, 793, 1632, -207, -902, -430, 558, 1046, -581, -637, -409, 653, 316, -763, -726, 504, 523, -659, -570, 416, 495, -325, 690, 414, -536, -378, 363, 594, 708, 646, -500, -299, -596, 203 },
{ -1096, 2074, 366, -1349, -796, -1189, 617, 1221, 305, 507, 362, -473, -906, 492, 625, 949, 207, 538, 758, -179, -508, -312, 550, 572, 502, 207, -1043, -753, -453, 594, 886, -624, -852, -357, -684, 445, 832, 291, 474, -639, -486, 571 },
{ -134, 87, 78, 105, -254, 133, 159, 107, -187, 95, 54, 44, -51, -29, 52, 108, -257, 136, 153, -56, -24, 50, 136, 100, -192, 71, 150, -73, 82, -116, 167, -133, 55, -43, 71, 183, -153, 109, 158, -88, -44, 206 },
{ -114, 91, -32, 184, -261, 209, 105, 73, -165, 113, 142, -154, -62, 96, 53, 128, -204, 101, 54, 46, 69, -74, 251, -177, 104, 77, 85, -134, 36, 75, 93, -135, 150, 110, -176, 205, -168, 86, 148, 75, -134, 207 },
{ -83, -60, 145, 56, -142, 214, -60, 149, -164, -88, 135, -41, 145, -87, 226, -111, -244, 243, 101, -58, -22, -58, 57, 298, -174, 102, 69, -30, -43, 133, -95, 217, -74, -84, 80, 187, -146, 128, 180, -150, 108, -84 },
{ -130, 70, 202, -81, -258, 147, 72, 177, -157, 115, 70, -34, -70, 80, 42, 108, -224, 113, 139, -68, 48, -83, 232, -116, 139, -117, 369, -171, 23, 38, 63, 168, -150, 128, -112, 199, -141, 263, -112, 104, -74, 110 },
{ -156, 149, 261, -208, -128, 60, -48, 141, 118, -147, 220, -138, 197, -179, -49, 175, 95, 27, -57, 178, -86, 231, -104, -115, 287, -163, 111, 115, -140, 175, -198, 210, 219, -41, -223, 323, -141, 175, -36, -18, 72, -82 },
{ -90, 104, -33, 100, -242, 162, 129, 138, -215, -173, 334, -115, 39, -66, 35, 101, -197, 211, 98, -40, -31, -63, 154, 180, -210, -192, 396, -109, -58, 119, -99, 202, -41, -96, 100, 122, 196, -90, 64, 69, -91, 102 },
{ -112, 115, 112, -77, -223, 118, 152, 121, -155, -163, 368, -152, -143, 262, -69, 124, -102, 225, -131, 121, -34, -97, 125, -40, 102, -167, 320, -142, 64, -56, 55, 85, 181, -197, -70, 286, -105, 287, -211, 145, -127, 175 },
{ -115, 128, 160, -167, -119, 85, 132, 180, -187, -187, 245, -137, 30, -55, 140, 203, 77, 79, -81, 87, 60, -109, 149, -177, 244, -180, 108, 126, -74, 51, -58, 286, -229, 233, -150, 331, -117, 167, -39, -104, 43, 125 },
{ -170, 319, 70, 163, 167, -171, 158, -279, 143, -144, 99, -23, 139, -110, -185, 329, 208, 133, -137, 151, 65, -98, 208, -324, 546, -346, 320, -58, 107, 160, -133, 351, -288, 202, -326, 422, 172, -226, -20, -90, 68, 82 },
{ -93, 50, 31, 99, -108, 43, 104, 137, -203, -102, 157, 78, -139, 75, 171, -89, -215, 338, -94, -54, 130, -203, 68, 241, -133, -129, 260, -113, -26, 158, -110, 128, 146, -92, -95, 206, 241, -81, 42, 62, -94, 136 },
{ -110, 77, 139, -93, -217, 84, 220, 124, -215, 68, 93, -49, -74, -66, 121, 97, -210, 160, 30, 120, -188, 177, -97, 20, 100, -240, 382, -120, -82, 94, 103, -125, 171, 195, -306, 403, 202, -151, 95, -177, 62, 160 },
{ -114, 122, 155, -89, -63, -64, 188, 99, -192, -195, 185, 88, -171, 144, -54, 173, 149, 43, -58, -55, 90, 48, -260, 175, 252, -336, 306, -44, 82, 40, 62, -249, 363, -195, -253, 616, 283, -199, -89, -36, -184, 270 },
{ -180, 352, -240, 271, 282, -121, -48, 156, -233, -153, 135, 30, 127, 161, -132, 332, 199, 100, -54, -37, 121, -184, -144, -373, 784, -377, 142, 142, 98, -83, 220, 122, -70, 275, -302, 447, 201, 87, -158, -170, -130, 226 },
{ -60, -94, 104, 100, -80, 76, 192, 31, -194, -230, 240, 109, -204, 127, 204, -160, -78, 113, 80, 44, -62, 76, -128, 58, 73, -136, 213, -135, 122, -55, 38, 103, -71, 249, -231, 219, 373, -155, 147, -145, 159, 120 },
{ 109, 192, -267, 216, -112, 78, 351, 148, -327, -147, 152, 183, -230, 69, 231, -110, -204, 155, 189, -118, 154, 53, -160, 62, 76, -206, 22, 113, -60, 204, -180, 144, -91, -63, 81, 297, 507, 412, -264, -76, 129, 51 },
{ -145, 156, 193, -193, -148, 36, 70, 72, 270, -80, 199, -49, -40, -87, -188, 249, -71, 123, -26, 65, -51, 245, -88, -93, 179, 208, 50, 46, -55, 30, 82, -126, 281, -63, -123, 229, -188, 56, 89, 23, -125, 169 },
{ -72, 52, 210, -182, -141, 197, -95, 165, 250, 211, 77, -77, 78, -231, 63, 294, -106, 148, -71, 84, 111, -46, -294, 78, 289, 80, 92, -111, 81, -40, -102, 298, 125, -174, -117, 186, -175, 55, -34, 100, 48, 57 },
{ -141, 321, 275, -252, -188, 83, 95, 128, 216, 48, 66, 53, -138, -134, -57, 257, 141, -107, 47, 87, 76, -134, -215, 233, 266, -74, 136, 121, -72, 50, 93, 299, -140, -129, -103, 208, -210, 229, -110, -54, 146, -27 },
{ -286, 299, 373, -202, -109, -389, 209, 61, 356, 159, 145, 183, -184, -201, -119, 525, -280, 150, -120, 202, 57, -167, -523, 505, 317, 286, 81, -243, -10, 220, 148, 238, 172, -554, 186, 145, -206, 401, -170, -96, 275, -430 },
{ -408, 792, -579, 756, -83, -347, 280, -293, 347, -291, 353, -301, 73, 166, -299, 624, 480, 285, -154, 141, -184, -240, -406, 336, 688, -376, -116, 134, 109, 228, 378, -304, 133, -469, -136, 426, 361, -163, -103, -202, 229, -304 },
{ -394, 875, -731, 618, 515, -390, 224, 221, 343, -225, 236, -121, 193, -150, -331, 426, -51, 129, 70, 73, 346, -522, -189, 99, 761, -222, -326, -98, -208, 250, -113, 606, -536, -441, 167, 476, 629, -269, -252, 541, 404, -879 },
{ -87, -77, 191, 92, -122, 144, 132, -49, -161, -87, 90, 82, -89, 72, 69, 101, -101, 149, 108, -49, -45, 73, 115, 121, -218, -86, 122, 65, -86, -65, 224, -120, 94, -39, 66, 122, -92, 199, 83, -33, 39, 227 },
{ -102, 66, 148, -55, -143, 77, 103, -39, 130, -80, 132, 57, -127, 153, 109, -151, -159, 168, 89, -118, 77, -69, 114, 58, 118, 114, 88, -78, -61, 20, 115, 241, -83, 126, -139, 145, -98, -18, 128, 51, 63, 76 },
{ -59, -40, 193, -32, -148, 134, 98, 66, -97, -53, 113, -94, -42, 86, 105, -65, -169, 154, 108, -64, 49, -83, 164, 124, -93, -173, 213, 55, -36, 193, -94, 169, -81, 117, 170, -142, 116, 150, 78, -111, 64, 56 },
{ -83, 34, 95, -45, -89, 75, 105, -101, 135, -77, 126, 81, -78, 108, 123, -184, -141, 138, 67, -145, 134, -36, 99, 72, 101, 96, 42, -42, 21, 200, -136, 222, -95, 203, -102, 175, -153, 82, 106, -100, -19, 62 },
{ -88, 103, -36, 110, -61, 93, -20, 101, -174, -108, 98, 51, 62, -59, 120, 198, -54, 113, 50, -116, 148, 168, -102, -134, 201, 90, -68, 80, -58, 147, -100, 99, 259, -44, -105, 197, -170, 78, 41, 17, 23, 70 },
{ -71, -24, 120, 65, -131, 120, 68, 71, -162, -89, 79, 108, -94, 74, 230, -183, -159, 167, 144, -200, 141, -110, 67, 30, 79, -188, 220, 79, -102, 193, -117, 210, -130, 196, 91, -140, 189, 109, -49, -36, 42, 99 },
{ -84, 28, 153, -42, -112, 60, 84, 143, -221, -105, 127, 61, -97, 150, -51, 127, -166, 194, 64, -108, 73, -77, 255, -196, 139, 102, -48, -56, 42, 69, -54, 244, -102, 290, -207, 285, -173, 121, 140, -116, 90, 121 },
{ -113, 104, 159, -101, -111, 32, 127, 106, -141, -98, 168, -31, -85, 177, -80, 188, -63, 72, 72, -74, 62, -70, 217, -165, 238, -98, 92, 104, -45, 92, -89, 217, -53, 150, -121, 247, -83, 60, 65, -124, 32, 128 },
{ -134, 192, 196, -190, -70, 88, 56, 119, -137, -263, 255, -164, 153, 66, -101, 295, 231, 104, -43, 215, -104, 126, -227, 212, 298, -166, 203, -49, 118, 83, -143, 138, 239, -246, 116, 249, -129, 67, -203, 143, -146, 163 },
{ -61, 98, 58, -54, -228, 171, 81, 124, -142, -125, 230, -110, -33, 102, 90, -85, -191, 219, 83, -18, -119, 75, -61, 321, -230, -197, 266, -47, 25, -52, 257, -153, 198, -110, 115, 85, 209, 39, -56, 133, -128, 384 },
{ -108, 77, 123, -28, -127, 53, 70, 160, -192, -174, 272, -137, 63, 87, 108, -90, -151, 245, -133, 120, -42, -109, 165, -32, 117, -165, 202, 69, -50, 40, 19, 254, -213, 207, -180, 273, 179, -177, 165, -103, 108, 180 },
{ -116, 106, 190, -56, -88, 106, 32, 159, -219, -113, 89, 82, -47, 78, -100, 175, -52, 89, 66, 132, -82, -82, 237, -204, 306, -118, 179, 221, -160, 51, 134, -115, 190, -218, 68, 358, -104, 110, -101, -78, 97, 175 },
{ -126, 172, 259, -156, -187, 101, 105, 270, -196, 116, 137, -65, -100, 178, -75, 200, -249, 219, 110, -99, 65, 191, -148, -292, 576, -360, 316, 106, -94, 129, 213, -183, 88, 480, -605, 558, 234, -304, 91, -146, 116, 215 },
{ -131, 367, 421, -367, -290, 106, 213, 165, -363, 151, -110, 150, -43, 240, -112, 218, 190, -105, 135, -103, 77, 111, -207, -423, 917, -421, 230, -74, 173, 111, 244, -266, -355, 812, -803, 801, 364, -469, 196, -131, -169, 256 },
{ -57, 72, 109, -77, -187, 111, 62, 74, -44, -176, 163, 130, -162, 179, 117, -193, -259, 272, 129, -72, 62, -182, 157, 262, -244, -180, 261, -101, 36, 34, 42, 90, 94, -143, 167, 102, 334, 119, -72, 158, -196, 260 },
{ -96, 116, 152, -95, -186, 137, 82, 100, -152, -154, 175, 85, -163, 86, 300, -229, -90, 210, 173, -113, -31, 82, -93, 110, 170, -349, 337, 60, -146, 48, 62, 147, -173, 335, -249, 444, 333, -127, -94, -84, 199, 128 },
{ -86, 128, 167, -87, -151, -48, 203, 122, -214, 174, -12, 125, -136, 186, -116, 162, -97, 116, 108, -135, 105, -100, 182, -325, 367, -183, 129, 262, -130, 64, -88, 214, -66, 213, -373, 753, 108, -220, 119, -206, 170, 104 },
{ -439, 1040, 765, -489, -145, -179, -455, 715, -509, 221, -144, -128, 705, -441, 156, 233, 357, -172, -109, 318, -143, -312, -145, -746, 1464, -266, -320, -147, 501, -424, 959, 735, -1349, 431, -1028, 880, 394, -455, 242, 498, -267, -178 },
{ 126, -149, 155, 105, -41, 76, 201, 104, -238, -176, 88, 130, 98, 115, 177, -281, -316, 285, 95, 91, -139, -36, 157, 307, -242, -445, 403, -168, 115, 155, 64, -34, 78, -112, 105, 211, 601, 251, -283, 218, -255, 254 },
{ 477, -245, 409, -285, 325, -137, -211, -89, 180, 158, -116, 29, 149, 119, 135, -248, -207, 287, -161, 108, 37, 49, 224, -289, 382, -256, 242, 186, -171, -70, 72, 204, 56, -276, -404, 1036, 265, 300, -340, -175, 377, -147 },
{ -131, 166, 74, 117, -100, 95, 84, -209, 150, -89, 176, -47, -66, 116, -106, 176, -72, 85, 57, 46, 83, 65, 105, -141, 174, 82, 46, 98, -159, 147, -84, 300, -137, 122, -181, 186, -86, -74, 165, -106, 195, -74 },
{ -80, 38, 201, -198, -173, 198, -32, 108, 223, 84, 62, -122, 62, -103, 54, 274, -122, 108, 114, 54, 95, -86, -167, 124, 213, 101, 130, -126, -71, 87, 65, 295, 123, -153, -114, 132, -65, -171, 170, 86, 101, -71 },
{ -118, 151, 184, -176, -61, -100, 196, -60, 176, -147, 164, 133, -86, 114, -140, 283, 194, 65, 65, -117, 87, 84, -262, 125, 278, -107, 162, -82, 51, 91, -103, 189, 241, -162, -52, 111, -139, 176, -121, 88, -122, 58 },
{ -94, 129, 147, -237, -223, 207, -175, 321, 245, 157, 118, -157, 101, -158, -124, 554, -114, -156, 214, 62, 101, -114, -214, 157, 113, 89, 200, 139, 99, -124, 128, 311, -479, 172, -169, 186, -90, -165, 166, -201, 306, 88 },
{ -162, 205, 286, -207, -134, -109, 120, 98, 251, 158, 136, -127, 56, -159, -193, 467, -163, 90, 39, 99, 21, -108, 102, 189, 312, 161, 119, 97, -35, 122, 18, 324, -236, -328, 62, 202, -62, -196, 73, -104, 218, -115 },
{ -165, 393, -351, 267, 238, -188, 335, -247, 132, -261, 232, -64, -29, 137, -306, 435, 129, -112, 56, 142, 179, -128, -171, 158, 539, 109, -37, 119, 92, 119, -140, 393, -164, -223, -102, 338, -239, 168, -135, -148, 239, -238 },
{ -139, 354, 397, -385, -238, 180, -48, 123, 368, 120, 102, 81, -216, -55, 66, 234, -232, 259, -96, 231, -295, 102, -231, -119, 657, -125, -32, 79, 101, 98, 404, -253, -128, 236, -217, 431, 277, -387, 147, -257, 184, 193 },
{ -265, 330, 165, 326, 347, -189, -117, -176, 257, -170, -196, 57, 127, 137, -411, 819, 78, 280, 126, 98, -191, 296, -233, -60, 363, 227, -157, 95, -182, 103, 194, -325, 479, -352, -123, 300, -214, 178, -115, 143, 49, -95 },
{ 275, -561, -452, 522, 255, 278, -173, -245, 256, 400, -107, 236, -196, -110, -271, 862, -212, 169, 109, 295, 177, -192, -523, 233, 571, -133, -235, 120, 110, -267, 209, 119, 142, -541, -68, 299, 404, -357, 167, -172, 309, 297 },
{ -154, 243, 357, 147, 387, -469, 446, 135, 192, -268, -290, 173, -117, 144, 249, 71, 61, 166, -81, -165, 216, -432, -400, 169, 789, -274, -300, 107, -207, 177, 222, 365, -419, -131, -350, 814, 484, -426, 189, -181, 785, -490 },
{ 545, -291, 211, -78, 308, 206, -163, 411, -500, -427, 203, 185, 271, 257, 457, -492, 194, -374, -259, -208, 606, -353, -419, 489, 978, 221, -166, -210, 140, 281, -769, 1432, -1064, 230, -451, 1168, 212, -563, -465, 349, 284, -758 },
{ -274, -776, 1205, 573, 475, 260, -486, -689, 503, 1090, -398, -340, 728, 346, -469, 889, -358, -179, -815, 273, -380, -487, 288, -345, 623, -637, -184, 746, 169, -730, 900, -114, -259, -691, 451, 386, 900, 630, -352, -325, 823, 677 },
{ 402, -113, 91, -172, -144, 236, 79, 247, -271, 89, 212, -110, 137, 49, 207, 416, -245, -117, -67, 248, -163, -107, 121, 315, 483, 260, 176, -284, -107, 525, -194, 298, -67, -260, 192, -292, -120, 193, 162, -215, 606, -796 },
{ -38, -60, 226, -39, -114, 101, 29, 72, -107, 69, 27, -45, 38, 34, 44, 69, -126, 81, 42, 122, -88, 126, 41, 85, -127, -62, 119, -89, 151, -65, 313, -115, 153, -32, 93, -23, -45, 209, 52, 66, -73, 346 },
{ -94, 82, 69, 75, -67, 34, 87, -151, 93, -59, 43, 49, -34, 189, -162, 117, -54, 96, 143, -125, 115, -77, 270, 72, -120, -46, 87, 49, -114, 177, 113, 225, -108, 104, 62, 110, -81, 136, -117, -54, 166, 117 },
{ -36, -30, 170, -50, -110, 74, 88, 51, -82, -31, 47, 71, -84, 73, 63, -33, -106, 93, 127, -82, 135, -123, 179, 104, -89, -118, 161, -44, -28, 175, -84, 313, -108, 94, 90, -68, 116, 100, 24, 35, 79, 91 },
{ -34, -48, 158, -17, 35, -53, 98, 59, -102, -38, -47, 70, -44, 89, -37, 131, -52, 78, 152, -122, 126, -126, 206, 109, -173, -44, 73, 90, -78, 190, -55, 267, 79, -112, 147, 159, -66, 96, -148, 28, 89, 115 },
{ -87, 115, 16, 89, -105, 108, -81, 78, -160, -21, 122, -78, 165, -50, 61, 185, -90, 134, -101, 92, -179, 288, -21, -89, 181, 100, -54, 59, 31, -23, 266, -89, 234, 52, 138, -60, -61, 55, 47, -109, -16, 244 },
{ 85, -114, 111, -78, -128, 86, 108, 135, -160, -68, 121, 26, -80, 17, 24, 87, -144, 171, 119, -45, 82, -144, 166, 86, -137, -110, 117, 64, -103, 244, -113, 256, -93, 106, 155, -94, 141, 93, 65, -138, 153, 100 },
{ -64, 16, 105, -30, -56, 38, 86, 52, -107, -84, 102, 41, -94, 164, -88, 126, -70, 64, 106, -105, 54, -164, 204, 145, -185, -51, 95, 66, -69, 80, 170, 99, 154, -51, 133, 186, -85, 73, 50, -74, -75, 282 },
{ -77, 58, 126, -39, -45, 38, -32, 86, -162, -60, 108, 75, -56, 145, -84, 128, -93, 109, -13, 148, 133, -253, 333, -78, 163, -28, 71, 79, -124, 100, -75, 333, -203, 112, 50, 220, -118, 137, 34, -109, 49, 191 },
{ -105, 124, 142, -101, -30, -66, 57, 279, -347, -137, 134, 87, 180, -17, -25, 244, 442, -153, -71, 164, -124, 43, 148, -210, 393, -121, 79, 94, 118, -188, 333, -206, 317, 98, -135, 237, -163, 121, -162, 221, -171, 320 },
{ 83, -169, 213, -109, -173, 172, 138, 100, -128, 60, 39, -48, -76, 87, 102, -49, -161, 168, 91, -41, 117, -136, 95, 120, -107, -207, 285, -120, 57, 135, -39, 221, -48, 114, 207, -129, 179, 175, -162, 234, 32, 211 },
{ -40, -66, 145, -86, -89, 135, 30, 88, -126, -22, 122, -18, -33, 147, -148, 168, -120, 125, 99, 171, -260, 123, -101, 268, -219, -210, 250, -37, 70, -122, 226, -42, 253, -169, 228, 214, 159, -150, 87, 76, -79, 282 },
{ -99, 88, 192, -50, -98, -91, 78, 187, -219, 200, 32, 107, 123, -102, 227, -150, -92, 50, 123, -45, -58, 113, -91, 135, 228, -97, 132, 46, -61, 96, 185, -191, 335, -188, 159, 280, -162, 140, -103, 138, -116, 290 },
{ -125, 171, 190, -98, -98, 130, 115, 250, -329, -113, 125, -36, 148, 130, 142, -95, 107, -104, 101, 145, -161, 69, -161, 336, 269, -128, 139, 75, -68, 216, 143, -283, 472, -212, 215, 286, -188, 119, -105, 73, -326, 305 },
{ -76, 136, 260, -167, -206, 136, -83, 405, -355, 325, -39, -50, 136, 117, -228, 306, 228, 12, -51, 105, 91, -169, 88, -357, 711, -252, 56, 61, 93, 223, 178, -276, 136, 363, -68, 181, 322, -389, 93, 31, -260, 418 },
{ -29, -70, 122, 44, -41, 130, 49, 88, -114, -102, 66, 70, 22, 45, 126, -85, -234, 212, 73, -65, 75, -33, 161, 114, -170, -364, 439, -75, -38, 125, 141, -83, 61, 117, 254, -184, 325, 224, -150, 121, -86, 358 },
{ -46, -78, 81, 233, -46, 160, -64, 174, -224, -37, 170, 46, 40, 105, -108, 116, -140, 117, 179, -121, 94, -172, 75, -122, 99, -408, 375, 123, -333, 237, 164, -70, 273, -169, 173, 262, 252, 160, -383, 233, 165, 133 },
{ -57, 91, 319, -143, -190, 148, 109, 203, -349, 142, -76, 112, 122, 115, -205, 248, -195, 32, 134, -86, 179, -120, 144, -515, 803, 240, -147, 95, -68, 187, 295, -150, -470, 258, 322, 269, -202, 283, -387, 221, -299, 296 },
{ -193, 747, 298, -273, -126, -201, 56, 346, -427, 225, -227, 260, 162, -329, 178, 233, 229, -198, 191, 397, -132, -195, 181, -931, 1317, -185, 203, -158, -45, -219, 413, 834, -1176, 706, -870, 639, -275, 415, -278, 182, 217, -363 },
{ -13, 36, 255, -55, -72, 123, 103, 43, -61, -65, 64, 41, 143, 87, 143, -263, -234, 150, 215, 51, -37, -22, 178, 273, -290, -408, 298, -224, 166, 228, 31, 91, 73, -53, 160, 99, 562, 347, -200, 232, -328, 219 },
{ -68, 149, 53, -67, -67, 173, 131, -120, 81, 180, -74, -170, 104, 322, 205, -361, -320, 166, 165, 55, 127, -94, 322, -276, 151, -458, 480, -322, 307, -86, 96, -174, 250, 62, -342, 755, 540, -317, -19, 371, -425, 273 },
{ -73, 91, 313, -153, -200, 156, 327, -425, 230, 357, -195, 60, -143, 307, 218, -407, -131, 170, 71, 35, 364, -310, 162, 84, 222, -289, 123, 312, -378, 260, -138, 152, -355, 553, -590, 883, 674, -441, 290, -342, 339, -275 },
{ 252, -278, 321, 41, 243, 217, -174, 384, -510, -387, 165, 220, 206, 50, -299, 239, -151, 182, -192, 402, -257, 33, 144, -479, 789, 233, -334, 295, -315, 346, 166, 194, -836, 501, -464, 913, 203, -407, 292, -408, 1236, -997 },
{ -96, 26, 198, -66, 57, -62, -130, 114, 119, -112, 176, -98, 107, -91, -68, 159, -125, 121, -58, 167, -193, 304, -56, -119, 154, 44, 185, -118, 113, -6, 255, -142, 383, -66, 60, -76, -65, 116, -72, 150, -183, 266 },
{ -100, 90, 190, -128, -123, -54, 107, 193, -112, 54, 105, 44, -75, -81, 125, 360, -100, 80, -111, 156, -62, 254, -99, -193, 256, 174, -13, 29, 139, -55, 152, -188, 372, -89, 89, -145, -131, 146, 91, -81, -52, 159 },
{ -105, 97, 156, -120, -123, 92, 82, 79, -129, 302, -59, 299, -115, 153, 95, 223, -117, 129, -18, 89, -162, 239, -125, 91, 200, 45, 115, -55, 162, -164, 292, -96, 246, -94, 56, 90, -129, 89, -66, 64, -44, 256 },
{ -123, 145, 236, -114, -69, -100, 131, 121, -128, -170, 215, -60, -54, 138, -76, 327, 277, 83, -79, 282, -172, 149, -246, 177, 200, -117, 131, 68, 132, -167, 254, -239, 238, 197, 37, 134, -114, 139, -261, 109, -222, 333 },
{ -158, 126, 296, -201, -223, 154, 104, -40, 232, 68, 86, -123, 106, -160, 168, 393, 170, -53, 91, 94, 109, -158, -482, 90, 362, 149, -207, 117, -51, 159, -82, 310, 239, -183, -129, -190, -118, 235, 178, 107, 66, -71 },
{ 117, -265, 272, -256, 32, 162, -164, 93, 149, 237, 65, 119, -38, -217, -172, 351, -213, 111, -75, 160, 175, -80, 178, 167, 445, 109, 96, 64, 41, 38, 118, 96, -187, -293, 66, 58, -163, 207, -183, 152, 97, 187 },
{ -185, 199, 306, -169, -111, -82, 131, 200, -191, 103, 193, -137, 72, 113, -181, 326, -206, 148, -124, 167, 63, -79, -65, 132, 506, 77, 103, -129, 66, 142, -110, 458, -498, 126, -164, 200, -208, 273, -158, -112, 305, -234 },
{ -180, 246, -216, 357, 253, 95, -232, -193, 308, -332, 132, -64, 106, -157, -180, 557, 73, 174, 26, -15, 223, -142, 33, 203, 339, -184, 95, 78, -127, 126, -140, 416, -214, -233, -290, 284, 225, -239, 179, -128, 235, 92 },
{ -174, 402, 241, -290, -99, 114, 208, -73, 220, 71, 149, 242, -166, 99, -241, 376, -123, -301, -69, -228, 274, -188, -241, 95, 838, 115, -29, 190, -56, 197, 279, -248, -207, 327, -230, 343, 216, -530, 215, -217, 355, 172 },
{ 622, -1425, -1109, 1449, 806, 1711, 413, 289, -580, -311, -1840, -1060, 624, -596, 432, 753, 305, -350, -742, 96, 176, -803, 199, -516, 591, -473, 739, 397, -46, -200, 381, 167, -181, 440, -438, 510, -298, 953, -627, -573, 330, 615 },
{ -559, 1027, -1246, 1524, -603, 609, -833, 823, -664, 682, -326, -308, -614, 281, -434, 1045, -1138, 430, 387, 191, 1020, -487, -814, -803, 583, -516, 381, -549, -442, -410, 752, 523, -334, 485, -280, 378, 634, -425, 723, -483, -807, 1190 },
{ 58, -328, 338, -122, 267, -161, 369, -125, 213, 12, -105, 146, 258, -83, -230, 645, 48, -351, -302, -360, -39, -127, 233, 453, 122, 109, 255, -38, 108, 156, 335, 82, -228, -172, -233, 263, 90, -77, 119, -131, 312, 124 },
{ 209, -346, -129, 469, 540, -217, 253, 281, -373, -119, -639, -74, -180, 278, 241, 498, 558, 257, 198, 404, -212, -312, 346, 387, 770, -371, -555, 198, -127, -425, 442, -513, -716, -448, 256, 538, 535, 455, -804, 220, 195, 171 },
{ 191, -62, 114, -69, -38, 65, 47, -25, 53, 37, -39, 24, 113, 81, -122, 105, -71, 43, 75, 19, -72, 122, 59, 52, -77, -84, 45, 65, 91, 79, 303, -87, 165, 54, 52, -103, 92, 89, 148, -57, -61, 347 },
{ -28, -44, 181, -36, -75, 57, 56, 47, -56, 48, -16, -13, 52, 24, 57, -31, -77, 49, 72, 106, -105, 68, 37, 109, -51, -103, 109, -44, 91, -56, 363, -77, 98, 36, 73, -44, 77, 130, 15, 110, -76, 426 },
{ -61, 82, 76, -27, -117, 68, 14, 88, -49, 72, -40, 52, 14, 40, -71, 153, -28, 37, 99, -39, -34, 14, 166, -101, 90, -73, 138, -169, 71, 85, 177, 127, 140, 97, -99, 91, -33, 80, 36, 58, -55, 276 },
{ -56, 30, 130, -33, -83, 140, -30, 119, -77, -59, 117, -69, 39, 33, -31, 153, 36, -109, 99, 59, -24, 100, 121, -113, 115, -46, 113, 37, 88, -96, 281, -165, 243, 63, 38, 127, -57, 29, -146, 164, -189, 425 },
{ 76, -78, 98, -70, -81, 80, 125, 85, -60, -10, 44, 84, -76, 65, -22, 149, -55, 45, 50, 33, 188, -130, 106, 73, -81, -107, 78, 25, 126, -105, 229, 139, 44, 67, 66, -44, 122, 64, 21, 100, -65, 404 },
{ -70, 26, 199, -55, -77, 72, -29, 93, -46, -44, 98, -16, 65, 35, -64, 136, -73, 97, -29, 71, -40, -99, 118, 71, -102, -41, 112, -50, 124, -145, 230, 150, 145, -58, 125, 140, -62, 83, -143, 90, -75, 421 },
{ -78, 25, 175, -27, -76, 73, 156, 66, -117, 57, 8, -26, 67, 62, -81, 132, 61, -59, 42, 40, 68, 24, 43, -128, 202, -87, 88, -23, 85, -106, 281, -110, 303, 107, -52, 154, -70, 130, -36, -65, 30, 367 },
{ -86, 42, 234, -43, -101, 67, 29, 121, -100, 91, 62, -50, -45, 79, 117, -95, -93, 15, 96, 74, -48, 171, -153, 204, 259, 39, 105, -78, 90, 19, 159, -124, 364, -87, 185, 107, -114, 81, -81, -87, 99, 279 },
{ 294, -107, 199, -107, -121, 54, 231, 124, -127, 116, 42, 52, -125, -36, 73, 166, -62, 79, -75, 226, -43, 87, -47, -23, 49, -118, 54, -66, 256, -182, 340, -136, 209, 102, 130, -44, 131, 42, 108, 189, -185, 605 },
{ -70, -42, 182, 16, -33, 25, 66, 230, -79, -48, 109, -20, -90, 35, 100, -104, -103, 153, 119, -35, 207, -62, 127, 167, -105, -84, 119, -40, -43, 239, -166, 263, 103, -67, 161, 193, 141, -143, 131, -20, 117, 120 },
{ -70, 46, 199, -65, -152, 138, -31, 94, -49, 125, -42, 92, -114, 88, 145, -145, -129, 87, 119, -59, 83, -66, 101, 23, 189, 72, 20, -62, 76, 193, -167, 209, 167, -201, 177, 278, -120, 100, -89, 124, -70, 167 },
{ -79, 65, 268, -66, -183, 150, -85, 204, -221, 160, 38, -106, 229, 86, -174, 168, -130, 146, -62, 95, 114, -50, 110, -318, 486, 159, -98, -15, 129, 121, 118, -148, 322, 175, 97, 166, -125, 84, -137, 79, -148, 299 },
{ -36, 14, 155, -48, -140, 132, 165, 44, -28, -21, 67, -30, 22, 68, 72, -83, -161, 83, 64, 101, 84, 78, -89, 203, -216, -286, 283, -27, 96, -149, 271, -155, 228, 99, 208, -161, 287, 220, -57, 128, -190, 438 },
{ -64, 41, 228, -75, -65, -72, 116, 122, -65, 95, -30, -48, 221, 45, 55, -102, -77, 107, -46, 58, 95, -218, 72, 145, -113, -216, 238, -80, 26, 83, -143, 333, -132, -113, 244, 301, 206, -143, 55, 67, 179, 120 },
{ -73, 229, 70, -103, -145, 91, 37, 212, -114, 111, -34, -96, 46, 124, 104, -156, -51, 69, 46, -44, 29, 92, -83, 226, 152, -111, 79, 20, 36, 123, -142, 272, -122, 260, -198, 473, 169, -247, 193, -124, 177, -141 },
{ 157, -137, 270, -72, 180, -145, 140, 274, -290, -106, 62, 59, -45, 203, -298, 308, -101, 123, -38, 99, 113, -118, 104, -318, 583, 128, -46, 74, 19, 235, -131, 266, -479, 277, 211, 297, -232, 220, -76, -144, 298, -303 },
{ 203, -148, 224, 127, 197, -103, 203, -95, -68, -174, 117, 241, 118, 255, -384, 186, -155, 187, -180, 104, 50, 187, -140, -503, 1109, -203, 112, -224, 65, 293, 314, -199, -316, 580, -304, 436, 405, -426, 94, 81, 34, -117 },
{ -15, -29, 98, 163, -35, 13, 54, 21, 121, -115, 107, 120, 38, 105, -82, -79, -151, 202, 58, 45, 120, 80, 131, 179, -333, -544, 441, -136, 115, 103, 222, -32, 184, -31, 100, 113, 541, 267, -128, 195, -232, 185 },
{ -45, 257, -103, 39, -31, 33, 71, 118, -85, -60, 210, 110, -155, 107, 287, -285, 79, -80, -22, 129, -58, 65, 150, 192, -265, -493, 393, -181, 150, 205, -73, 302, -320, 310, -205, 557, 236, 266, -228, 60, 326, -212 },
{ 105, -197, 281, 56, 153, -77, 88, 51, -128, 124, -95, 171, -148, 188, 173, -232, -118, 128, 86, -112, 148, -124, 263, -391, 363, -229, 177, 262, -118, 127, 76, -148, 141, 414, -601, 880, 333, -254, 111, -158, 267, -216 },
{ 876, -162, 197, -178, 381, -341, 93, -121, 164, -119, 133, -304, -136, 222, 304, -251, 208, -70, -144, 118, 64, -53, -459, 401, 418, -249, 167, 203, -107, 259, -149, 430, -329, -330, 202, 615, 240, -276, -155, 215, 368, -437 },
{ -58, 89, 83, 9, -56, -13, 17, 171, -96, -26, 57, 40, -74, 55, 70, 124, -61, 56, -38, 89, 146, -107, 138, 74, -59, 84, -38, 55, 114, -90, 254, 187, 119, -33, 96, -30, -51, 79, 42, 43, -116, 381 },
{ -84, 101, 12, 109, -76, 72, 62, -62, -98, 27, 30, -90, 50, 98, 58, 135, -93, 107, 36, 53, -139, 126, 117, -103, 222, 80, -73, 73, 63, 64, 243, 166, 62, 51, -95, -32, -58, 158, 65, 24, -88, 242 },
{ -84, 35, 154, -29, -83, 131, 55, -80, 119, -52, 64, -47, -52, 142, -132, 133, -44, 124, 78, -75, 78, 32, 67, 61, 136, 111, -40, -57, 106, 81, 119, 185, 210, -61, 65, -78, -72, 149, 65, 53, -71, 240 },
{ -71, 67, 206, -95, -156, 77, 53, -46, 107, 152, 50, -32, -42, 82, 50, 182, -88, 63, -56, 66, 42, -95, 138, 67, 164, 74, -105, 129, 57, 111, 110, 259, 132, -96, 92, -99, -102, 231, 70, -109, -90, 160 },
{ -89, 54, 164, -30, 74, -48, 34, 81, -122, -206, 133, 71, 51, -19, 143, 180, 41, 103, -97, 86, 70, 88, -93, 113, 192, 142, -57, 35, 47, -54, 219, -70, 396, -198, -80, 141, -76, -49, 130, 46, -115, 320 },
{ -100, 69, 220, -58, -100, 118, -29, 97, -92, -112, 237, -243, -41, 168, -113, 144, -68, 125, -145, 181, 27, 73, -108, 261, 274, 166, 66, -62, 137, -71, 296, -135, 412, -173, 80, 49, -64, -144, 156, -55, -77, 347 },
{ -133, 82, 240, -139, -150, 117, -356, 261, 91, 154, 117, -76, 137, -118, 52, 462, -94, 64, -68, -77, 126, 242, -209, 153, 120, 47, -24, 107, 129, 140, -166, 217, 306, -134, 68, -154, -90, 302, -25, 92, -218, 128 },
{ -112, 93, 247, -86, 122, -122, 77, 81, -145, -186, 124, 116, -57, 27, 156, 288, 55, 224, -285, 141, 252, -101, 68, 153, 235, 71, -100, -29, 60, 58, 92, 234, 151, -165, 228, -223, -106, 272, 108, -89, -231, 84 },
{ -121, 70, 253, -64, 175, -335, 65, 194, -169, -139, 144, -64, 57, -67, 107, 222, -75, 56, -99, 110, 221, 131, -137, 254, 303, 95, 97, -68, 89, -103, 137, 165, 199, -101, 72, -107, -74, 232, -145, 68, -111, 174 },
{ -152, 123, 265, -53, -94, -73, 102, 59, -130, 155, 39, 102, -44, 254, -187, 303, -138, 157, -132, 92, 125, -119, -302, 262, 447, -25, 110, -104, 110, 94, 176, -213, 336, -94, -136, 128, 118, -136, 68, -86, 107, 217 },
{ -94, 64, 269, -35, -87, -56, 31, 192, -34, 236, -57, 37, 96, 29, 194, -191, 51, -134, 91, 56, -246, 158, 123, -166, 543, 180, -158, -30, 147, -120, 131, 139, -130, 314, 41, 195, -84, 227, -240, 50, -88, 216 },
{ -146, 73, -87, 470, 335, 138, -215, -127, 137, -221, 200, -73, 142, -149, -166, 464, 152, -294, -211, 75, 195, -84, 290, 133, 64, -227, 52, 149, -198, 172, 236, -126, 217, -233, 354, -215, 57, 239, 110, -144, 37, 217 },
{ 152, -254, 218, 121, 181, -110, 123, -201, 272, 192, -96, 147, -274, -294, -139, 434, -78, 97, -249, 149, 134, -128, 71, 275, 264, -158, -92, -73, 85, 126, 54, 312, -135, 126, -90, -164, 136, 180, 191, -113, 141, -128 },
{ -172, 147, -102, 212, 275, -113, 83, 174, -133, -90, 100, -105, 253, 106, -199, 330, 75, -24, -286, 106, 64, 146, -190, 486, 353, -84, 40, 83, 117, -90, 336, -371, 296, -307, 227, 195, 227, -172, -93, -300, -57, 407 },
{ -1189, 1170, -659, 1947, 336, -638, -1137, 512, 633, -456, 1205, 201, 499, -877, -893, 748, -202, -1106, 302, -296, -567, 202, -286, -466, 351, -584, 501, -315, -1111, -148, 610, -125, 182, -219, -245, 675, 364, 732, -494, 240, -459, 607 },
{ -871, 1006, -1066, 864, -221, 844, 477, 240, 382, 293, -639, -499, 235, -1137, -495, 805, 239, 169, 366, 262, -162, -499, 658, -720, 834, -145, -673, -284, -422, -799, 996, 212, -463, -409, 245, 666, -635, 1355, -682, 228, -610, 1166 },
{ 411, -343, 409, 127, 220, -188, -178, -252, 272, -445, 83, -340, 213, -257, 208, 498, 144, 115, 63, -183, 200, 127, -280, 197, 463, -148, 241, 300, -332, 284, -363, 370, 201, -379, -117, 424, -190, 120, -395, 63, 52, 71 },
{ 164, -67, 206, -77, -49, 55, 86, 60, -24, 18, -56, 38, 52, 22, -28, 19, -55, 189, 92, -111, 157, -76, 58, 91, -77, -83, 57, -23, -71, 173, 205, 148, -50, 21, 63, -71, 72, 163, 137, 20, 162, 277 },
{ -35, -46, 201, -32, 15, 89, 20, 77, -50, -95, 140, -219, -46, 120, -20, 61, 86, 52, -77, 90, 94, -39, 77, 131, -47, -75, -11, 101, 31, -69, 240, 291, 41, 101, -38, 92, -35, 151, 109, -71, 70, 253 },
{ -23, -42, 193, -43, -20, 34, 76, 33, -39, 17, -64, 50, 9, 61, -46, 29, 53, -59, 65, -18, 189, -112, 74, 94, -88, -83, -47, 66, 104, -101, 295, 127, 62, -59, 84, -55, 84, 167, 52, 185, -96, 471 },
{ -50, 30, -69, 191, 27, -49, 48, 79, -80, -66, 238, 44, -26, 53, 145, -63, -69, 93, -76, 54, 78, -91, 64, 99, -57, 233, -38, 83, 51, -77, 233, 206, 80, -21, 138, 86, -38, 65, 47, -92, 127, 408 },
{ -75, 58, 144, -50, -111, 182, -19, 67, -62, 45, 30, 76, -13, 49, 131, -79, -92, 42, -63, 83, -182, 112, 31, 72, 161, 70, 103, -63, 91, -46, 208, 160, 204, 47, -100, 229, -99, 42, -26, 90, -67, 291 },
{ 304, -53, 63, -52, -53, 27, 133, 92, -44, 26, 42, -35, -23, 6, -23, 39, 91, -35, -73, 91, 205, -107, 175, -44, -53, -89, -65, 127, 159, -110, 210, 185, -79, 131, 35, -64, 160, 39, 200, -49, 80, 445 },
{ -38, -54, 197, -6, 23, 92, -31, 201, -40, -36, 40, 85, -38, 44, 37, -56, -100, 89, 105, -135, 138, -93, 124, -44, 141, -69, 156, 62, -167, 266, -165, 463, -149, 209, -43, 161, 84, -92, 112, -121, 258, -111 },
{ 21, -123, 216, -58, 93, 65, 72, 64, -91, -38, 52, -65, 78, -51, 122, -90, -57, 97, -54, 83, 99, 96, -116, 83, 108, 128, -32, -21, 90, 104, -128, 294, 192, 146, -75, 239, -58, -58, 59, 32, -44, 122 },
{ -101, 31, 205, -14, -46, -93, 67, 79, -130, 86, 223, -36, 102, 114, -155, 184, -118, 102, -69, 36, 138, -93, 150, -53, 251, 116, -76, -305, 135, 130, -142, 386, -349, 344, -74, 81, -58, 137, -42, -61, 129, 73 },
{ 129, -150, 234, -137, -54, 165, 67, 137, -57, 170, -18, 63, -97, -14, 94, 23, 159, -40, 71, -112, 187, 103, -130, 88, -46, -88, -67, 26, 105, 254, -166, 253, 142, 30, -44, -29, 142, 93, 200, 157, 57, 178 },
{ -55, 23, 233, -60, -114, 39, 108, -50, 111, 84, 45, -12, -25, 67, -29, -34, -67, 73, -60, 144, 76, -171, 113, 110, -80, 113, -41, -39, 47, 112, -165, 521, -193, 97, 139, 150, -45, 108, -76, 91, 194, 146 },
{ -58, 47, -73, 215, -43, 129, -35, 79, -64, -51, 100, 46, 37, -39, 167, -111, 60, 38, -44, 129, -119, 71, -58, 60, 134, -73, -22, 36, 170, -91, 283, -154, 541, -212, 213, 246, 133, -167, -58, 261, -293, 593 },
{ 29, -122, 243, -38, 167, -15, 54, 155, -110, -50, 96, -17, 28, 138, -202, 202, 35, 142, -127, 131, -112, 98, 98, -303, 414, -65, -35, 16, 152, 160, 42, -143, 310, 133, 93, 199, 152, -236, 74, -180, 132, 255 },
{ -94, 229, 114, -122, 326, -66, 209, 67, -103, -140, 71, 69, 135, 210, -273, 173, 178, 39, -410, -83, 89, 234, 29, -304, 654, -164, 69, 134, -182, 172, 164, -159, 240, 247, -77, 212, 349, -270, 149, -308, 188, 282 },
{ -26, -35, 92, 188, -47, 61, 82, 41, -57, -99, 149, -31, 82, 70, 40, -63, -115, 155, 80, -115, 174, 26, -67, 105, -90, -212, 109, 102, -176, 229, 172, -137, 214, 77, 101, -143, 244, 166, 149, -42, 149, 275 },
{ 10, -99, 221, -42, -32, 25, 107, 92, -27, -76, 68, 79, -185, 86, 110, -152, 133, -249, -80, 66, 233, -110, 52, 77, -129, -114, 19, 156, -159, 44, 42, 288, -307, 276, 181, 239, 228, -162, 180, -93, 182, 176 },
{ -46, 46, 167, -95, -75, 217, -182, 199, -43, -52, 40, -179, 122, -30, 134, -176, 108, -72, -60, 96, 73, 66, -142, 111, 184, -73, 123, -72, 110, 77, -85, 261, -211, 153, 210, 373, 125, -153, 98, -230, 207, 166 },
{ 212, -135, 211, 31, 43, 116, -59, 129, -141, -128, 133, 83, 107, 157, -346, 242, -80, 144, -197, 98, -69, 54, 112, -233, 402, -57, 106, 52, 75, 182, -134, 290, -235, 218, 231, 253, -201, 328, -132, -253, 304, -241 },
{ 286, -164, 113, -44, 212, -71, 253, -152, 194, -65, -46, 143, -86, 63, 192, -218, 180, -161, 55, -123, -92, 215, 91, -538, 1103, 94, -116, -316, 170, -93, 270, 125, -444, 321, -315, 286, 237, -225, 108, 241, -132, -219 },
{ 500, -236, 248, 48, 157, 121, 190, -270, 284, -184, -839, -200, 14, 318, -512, 468, 566, 158, -678, 463, -125, -307, 283, -748, 1577, -136, 297, -197, 144, -494, 937, -149, -875, -278, 820, -419, 206, -597, 377, 444, -539, 434 },
{ 102, -53, 40, 98, -101, 106, 39, 42, -52, -80, 37, 87, 89, 24, 106, -167, -96, 74, 97, 44, 117, 17, 223, -87, -90, -579, 358, 39, 36, 124, 189, 156, -217, 253, 77, -70, 462, 426, -252, 263, -202, 178 },
{ 190, -99, 172, 14, -46, 88, 30, 168, -86, 220, -111, -170, 57, 118, 169, -219, -65, 41, 168, -81, 128, -224, 148, 231, -219, -241, 205, 76, 93, -61, 266, 98, -140, 346, -434, 648, 354, -245, 348, -290, 101, 142 },
{ 210, 26, -154, 260, 80, 84, -60, 31, 84, 76, -109, 134, -242, 149, 105, -244, 152, -169, 125, 149, 32, -28, -108, 95, 164, -197, 250, 137, -52, -27, 65, 223, -216, 166, -359, 763, 258, -78, -168, 164, 280, -141 },
{ 773, -52, 241, -82, 136, -144, 237, -333, -55, 190, -93, -165, 167, 174, -145, 192, 154, -230, 236, -496, 123, -118, 161, -249, 486, -65, 216, -226, 288, 223, -297, 171, -509, 344, -466, 924, -95, -64, 241, -156, 173, -132 },
{ 19, -84, 134, -38, -51, 28, 72, 59, -47, 17, 34, 64, 31, -70, -39, 152, -43, 89, -87, 96, 63, 58, 118, -163, -60, -69, 105, -100, 91, -36, 334, 218, -122, 87, 149, -82, 59, 49, 146, -45, 136, 304 },
{ -61, -49, 176, 54, 34, 61, -18, 50, -73, -55, 63, -48, 46, 111, 112, 92, -51, 263, 24, 107, -74, 77, 67, -72, 199, -44, 89, 62, -94, 60, 286, 169, 173, 77, -25, -36, -39, 203, -43, 81, -48, 311 },
{ -73, 39, 173, 37, -156, 79, -38, 33, -123, 160, 80, -22, 77, 29, 147, 135, -48, 46, 140, -59, -24, 103, 72, 59, 211, -85, 69, -94, 61, 108, 147, 297, 97, -201, 70, -127, 19, 208, -24, 133, -53, 165 },
{ -52, 145, 52, -57, -117, 91, 23, 116, -161, 53, 88, -63, 69, 34, 105, 159, -120, 92, -56, 114, 62, -83, 157, 25, 218, 203, 65, -94, 73, -98, 149, 349, 53, 142, -138, 117, -58, -49, 131, 42, 79, 230 },
{ -36, -65, 143, -307, 37, 177, -24, 65, -47, -72, 106, -60, 74, 66, -90, 136, -52, 35, 161, -97, 143, 94, -135, 213, 256, -94, 101, -178, -111, 95, 179, 228, 295, -162, 190, -72, 195, -47, 92, -154, 172, 172 },
{ -73, 263, 148, -38, -84, -75, 137, 87, -124, 84, 193, -394, -91, 62, 134, 316, -149, -244, 129, -19, 124, -130, 204, 128, 96, 135, 157, -43, -108, 223, 87, 231, 115, -91, 222, -116, -81, 118, 27, -70, -74, 201 },
{ -99, 291, 51, -36, -122, 113, 136, 73, -143, 144, 85, -115, 49, 103, -211, 316, -200, 143, -41, -337, 176, 127, -210, 175, 445, 187, -71, 239, 114, -126, 206, -314, 458, -120, 137, -115, 130, -98, -128, 136, -176, 365 },
{ 41, -228, 378, -90, 224, -453, 151, 126, -100, 39, 47, -72, 44, -199, 93, 463, -112, 42, -34, -138, 157, 237, -68, -240, 391, -25, 184, 35, 118, 289, -152, 231, 364, -161, -119, -109, 65, 47, 208, 116, -126, 227 },
{ -145, 374, -57, 172, 90, -95, 57, 171, -96, -74, 177, -425, -238, 297, -124, 294, 123, -258, 58, -78, 102, -156, 203, 206, 196, -139, 54, 73, -130, 131, 156, 328, 159, -117, -205, 136, 169, 121, -94, 144, 177, -341 },
{ -156, 469, 247, -263, -164, -427, -72, 175, 256, 1017, 187, 235, -370, -119, -229, 372, 75, -405, 237, -144, 414, -439, 166, -268, 605, 353, -347, -121, -117, 365, 257, 217, -298, 171, 175, 260, 428, -334, 351, -274, 379, -548 },
{ -150, 461, -72, -63, 97, -390, 408, -202, 125, -288, 120, 199, 308, 70, 297, 242, 514, -58, -220, -108, -93, -1099, 221, 533, -62, 77, -214, 144, -246, 397, -241, 408, -238, -77, 89, -299, -265, 376, 193, 197, 152, 404 },
{ -111, 178, 200, -322, 796, 265, -305, 337, -388, -501, 407, -48, 296, 564, 363, 325, -158, 305, -361, -233, -393, 662, -90, 162, 330, -134, 240, -105, 128, 284, -350, 417, 399, -318, 153, 295, 231, -492, 456, -259, -371, 314 },
{ 69, -141, 202, -82, -95, 45, 207, 58, -65, 34, 88, -49, 45, -140, 96, -81, -52, 132, -79, -85, 341, -65, -89, 158, -51, -70, -16, -112, -82, 245, 241, 227, -28, -99, 113, -89, 96, 249, 111, 97, 365, 139 },
{ 319, -78, 68, -51, 27, -25, 209, 46, -88, 28, -42, 27, 85, -59, -27, 56, -56, 111, -57, -105, 292, -64, 152, -58, -27, -80, 83, -52, -36, 147, 165, 213, -40, -8, 59, -116, 177, 87, 150, 105, 238, 265 },
{ -34, 21, 184, -48, -111, 113, -140, 168, -53, 59, 146, -47, -40, 49, 48, -37, -120, 93, -69, 70, 60, -78, 136, 69, -21, 28, 76, -78, 119, -69, 223, 268, 59, 31, 130, -31, -51, 218, -41, 173, -45, 362 },
{ -14, -112, 266, -67, -34, 100, 162, 55, -59, 51, -37, -41, 64, -32, -27, 36, -31, -49, 75, -107, 374, -63, -57, 117, -63, -92, 70, -24, -72, 312, -127, 302, 83, -70, 88, -93, 177, 218, 56, 122, 176, 150 },
{ 5, -61, 165, -31, -98, 154, 19, 39, -61, 31, 120, -60, 63, -27, 147, -47, 18, -80, 110, -80, 134, -29, 63, 58, 107, -73, 169, 51, -120, 80, 139, 269, 156, 51, -64, 210, -50, 105, -42, -19, 160, 244 },
{ 73, -75, 161, -33, -49, 50, 127, 31, -41, 64, -66, 16, 50, -3, -71, 71, -13, -65, 127, -113, 351, -93, 119, -92, -24, -116, -43, 110, -91, 118, 192, 150, 39, 75, -14, -66, 207, 67, 302, -83, 192, 409 },
{ -30, 14, 112, -48, -78, 117, 94, -47, 54, 72, -70, 81, -79, 81, -82, 83, -73, 87, 101, -52, 174, -120, 68, 102, -85, -118, 114, -71, 116, -44, 159, 197, 84, 96, -26, 135, 134, -19, 190, -36, 107, 406 },
{ 59, -130, 145, 10, 33, 211, -53, 114, -82, -71, -22, 156, 23, -32, 129, -49, 14, 78, -48, 105, -170, 84, 134, -14, 76, -49, 70, -83, 166, -134, 431, -121, 282, 94, -74, 248, -24, 71, -68, 94, -128, 453 },
{ -62, -62, 246, 21, 33, -66, 123, 40, -63, -22, -25, 170, -252, 69, -107, 134, -64, 153, -64, 120, 198, -117, 136, -49, 167, 64, 91, -39, -88, 202, 71, 244, 194, 127, -93, 249, -57, -40, 63, -92, 88, 255 },
{ 60, -62, 114, -10, -54, 78, 67, 129, -62, 88, -57, -25, 47, -72, -22, 52, 39, -127, 99, -63, 299, -93, 112, -68, -36, -98, -67, 93, 41, 87, 178, 265, -92, 119, 31, -84, 156, 158, 173, 81, 142, 357 },
{ -54, -88, 241, 16, 34, 96, -16, -86, 137, -71, 71, 62, 113, -406, 10, 78, 29, -36, 81, -115, 191, 44, -78, -79, 155, -74, 146, -91, 86, 173, -119, 270, 129, 89, -102, 118, 150, -88, 98, 99, 63, 204 },
{ 14, -103, 242, -46, -34, 46, 159, -16, -34, -58, 110, -42, 57, 60, -81, 93, 175, -185, -38, 126, 49, 130, -10, -156, 211, -43, 34, 68, -173, 93, 263, -146, 355, 247, -74, 322, 78, -73, -28, -49, 119, 400 },
{ 15, -117, 223, 20, 55, -48, 72, 28, -45, 25, -84, 161, -78, 164, 55, -144, 101, 30, 67, -96, 76, 157, 87, -244, 385, -85, 104, 66, -107, 174, 290, -186, 288, 362, -155, 362, 118, -136, -114, -32, -118, 373 },
{ 63, -58, 158, -36, -61, 52, 163, 32, -43, -40, 29, 11, 61, -47, 65, -63, -36, 57, 21, -81, 146, 136, -123, 107, -48, -102, -112, 47, -98, 186, 302, -133, 125, 46, 86, -89, 206, 146, 170, 64, 163, 381 },
{ -20, -79, 281, -30, 28, 44, -77, 179, 12, -99, 151, 76, -53, 37, -22, -48, 73, -98, -36, 125, 32, 40, -66, 167, -122, -33, 110, -58, -245, 357, 130, -112, 288, 142, -118, 264, -104, 299, -72, 141, 124, 369 },
{ -27, 20, 205, -67, -114, 164, 54, 99, -60, 29, -47, 129, -18, 91, 138, -166, -49, 177, -300, -32, 158, -50, 71, -139, 254, -31, 65, -119, 186, -99, 203, -186, 305, -273, 325, 271, 147, -177, -108, 296, -92, 387 },
{ -30, 159, 47, 187, -115, 173, 86, -97, 120, -47, 163, 59, -72, 132, 84, -155, -83, 144, -52, -115, 109, 88, 62, -271, 432, 41, -67, 127, -306, 189, 114, 166, -217, 390, 166, 164, -104, 253, -209, -105, 174, 171 },
{ -72, 70, 447, -85, -214, 305, -94, 239, -88, 181, -101, 167, 143, 85, 199, -254, 111, -517, 103, -236, -364, 223, 140, -566, 1040, 190, -94, 160, -217, 138, 173, 180, -468, 526, -172, 176, -189, 163, 94, -210, 243, -224 },
{ 138, -79, 153, -47, -134, 122, 54, 77, -3, -58, 77, -6, 53, 52, 45, -89, 101, -73, 36, -73, 248, 79, -123, 123, -76, -472, 214, -17, 96, 233, -118, 195, 125, -53, 126, -91, 425, 327, -196, 331, -168, 229 },
{ 17, -58, 73, -24, -73, 204, 35, 250, -83, -72, 241, 59, -104, 53, 113, -156, -84, 43, 207, -72, 94, -165, 211, 169, -218, -229, 94, 81, 11, 60, 78, 103, -32, 229, -310, 533, 297, -138, 188, -165, 229, 167 },
{ -41, 433, 66, -60, -93, 128, 128, 50, -69, 119, -99, 212, -190, 94, 79, -118, 125, -90, 46, 158, -80, 107, 16, -120, 181, -143, 76, 82, 43, -73, 46, 251, -194, 307, -347, 725, 229, -247, 233, -110, 228, -92 },
{ -44, 278, -37, 44, 30, -39, 101, 145, -159, -112, 144, -51, 72, 323, -418, 223, 104, -142, 151, -166, -146, 84, 154, -503, 606, 64, 134, -100, 121, 127, 146, -118, -183, 271, -368, 868, -197, 90, 303, -305, 285, -180 },
{ 38, -57, 127, -48, -36, 44, 185, -157, -30, 55, -45, -11, 70, 49, -15, 35, -30, -40, 94, -96, 203, -43, 138, -83, -28, -79, 125, -155, -100, 176, 222, 164, -43, 79, -56, 70, 64, 10, 150, 188, 140, 234 },
{ -31, 30, 177, -50, -129, 113, -171, 165, -46, 39, 124, -55, -34, 129, 122, -44, 55, -50, -71, 104, 72, -75, 126, 106, -26, -125, 70, 65, 69, -113, 266, 255, -40, 136, 105, -37, 16, 243, -38, -65, 113, 333 },
{ -24, -69, 191, 10, -79, 179, -38, 148, -75, 62, 65, -25, -64, 75, 184, -62, -81, 168, -79, 29, 146, -48, 45, 87, -41, -21, 140, -325, 171, -61, 149, 355, 8, 65, 89, 108, 103, -65, 59, -91, 102, 273 },
{ 106, -138, 38, -38, 112, 196, -38, 147, -95, 27, 83, 32, -48, 89, 113, 161, -135, -260, 56, -98, 47, -67, 254, -67, 102, 236, 200, -77, -84, 159, 147, 327, -105, 56, -170, 168, -98, 40, 24, 122, 49, 208 },
{ -43, -75, 46, -54, 124, 99, 158, 107, -62, -117, 94, -133, 106, -220, 57, 220, 106, 148, -61, 167, -65, 109, 52, -37, 116, -143, 39, -100, 217, -108, 213, 300, 151, 198, -110, 25, 80, 252, -261, -45, -261, 232 },
{ -111, 130, 116, 19, -99, 103, -24, 90, -85, 103, -86, 32, 52, 60, -99, 214, -87, 140, 96, -104, 160, -58, 226, -43, 211, 122, 8, -152, -89, 121, 88, 261, 154, 96, -77, 145, -106, 245, 11, -57, 17, 218 },
{ -113, 311, 69, -54, -90, -49, 97, -104, 102, 153, 153, 90, -73, 90, -96, 290, -416, -76, 226, -65, 165, -273, 275, 68, 99, 215, 49, -532, -39, 342, 55, 363, 124, -76, -85, -299, -70, 126, 90, 123, -168, 198 },
{ -110, 43, 189, -23, 140, -80, 34, 175, -79, -121, 266, -60, -465, 166, -79, 158, 142, -267, -38, 84, 168, 54, 159, 44, 168, -14, 73, -90, 107, -155, 150, 228, 218, 186, -189, 154, -66, 216, -346, 109, -71, 260 },
{ -119, 195, 103, -83, -51, 82, 116, 41, -218, -23, -413, 20, 110, 89, -171, 296, 195, -97, 107, -73, 262, -189, 202, -92, 358, 92, -99, 79, -82, 228, -53, 315, 182, -62, 160, -144, -56, 183, -83, 84, -92, 224 },
{ -107, 395, 80, -66, -125, 149, 95, 113, -206, 99, -161, 250, -33, 103, 137, -126, -170, 69, -112, -64, -83, 109, -182, -27, 503, 55, 49, 110, -117, 269, 108, 281, -98, 344, -138, 224, 99, -190, 72, -117, 237, -149 },
{ 177, -178, 88, -72, 215, 68, -264, 332, -216, -29, -48, 313, -459, -65, 197, 331, 585, 164, -509, -40, 200, -213, 342, -150, 232, 32, -331, -84, 118, 246, 62, 287, 43, 105, -139, -53, -126, 362, 77, 155, -231, 185 },
{ -77, 275, 113, -152, -63, 209, 96, 222, -123, -251, -66, -415, 117, 208, -175, 335, -42, 169, -79, -453, -67, 136, -205, 302, 312, -64, 113, 299, -126, 231, 212, -187, 352, -180, 220, -170, 83, -234, -57, 105, -161, 322 },
{ -172, 359, 70, 110, -81, 112, 163, -86, 324, -112, 186, -41, -395, -308, 354, 113, -83, -119, 179, 37, -140, -545, 459, -478, 865, 176, -75, 71, -382, 382, 88, 407, -352, 619, -363, 257, 174, -253, 236, -221, 410, -477 },
{ -165, 563, 229, 159, 70, -547, 62, 102, -224, -208, -34, -50, -401, 93, -224, 516, 193, -190, 149, -111, 137, 243, -294, 627, 186, 173, 64, -25, 358, 124, -218, 358, -274, -248, 208, -123, -120, 50, 214, -151, -255, 419 },
{ 318, -220, 219, -172, -151, -49, 261, -11, -31, 51, -106, 36, 113, -48, -33, 54, -72, -89, 198, -169, 412, -40, -81, 54, -50, -130, 279, 18, -158, 247, 323, 234, -81, -43, -139, -155, 137, 265, 211, 85, 415, 399 },
{ 42, -195, 215, -149, -41, 34, 235, -36, -12, 51, -64, -44, 170, 25, -34, 42, -15, -36, 112, -123, 343, -74, -89, 138, -77, -113, 57, -34, -105, 216, 172, 300, -90, -59, 27, -46, 176, 194, 182, 39, 376, 252 },
{ -12, 92, -71, 47, -124, 200, 13, 99, -58, 52, 131, -110, 330, -30, -45, 49, -52, -54, 179, 112, -158, 172, 135, -44, -52, 49, -72, 43, -93, -232, 256, 271, -59, 103, 42, 140, -26, -53, 293, -80, 287, 273 },
{ 10, -75, 230, -150, -50, 52, 167, -18, -29, 65, -51, -99, 174, 48, -81, 44, -13, -35, 67, -113, 393, -150, 190, -50, -33, -96, 77, -19, -104, 118, 180, 229, -103, 88, 20, -84, 144, 258, 142, 50, 345, 290 },
{ -42, -70, 34, 436, 11, 70, -35, -65, 131, -99, 204, -78, 207, 75, -65, 56, 30, 114, -22, -64, 118, -147, 123, 117, -60, -137, 132, 43, -71, 88, 181, 324, -47, 193, -45, 31, 87, 123, 79, -62, 117, 327 },
{ 13, -105, 179, -23, 186, -59, 13, 270, -71, -49, 413, 87, 58, -106, 204, -20, 20, -22, -52, 96, -96, 97, -30, -25, 88, -121, 202, 86, -145, 156, 60, 370, -58, 172, -90, 173, 19, 27, -67, 35, 138, 312 },
{ 57, -94, 131, -92, -27, 21, 114, 21, -35, 59, -49, 44, 42, 41, -108, 61, -59, 92, -36, -111, 327, -89, 95, -67, 52, -84, 106, -19, -79, 153, 185, 259, -103, 72, -29, -71, 213, 47, 245, -35, 376, 251 },
{ -39, 20, 169, -61, -35, -60, 195, 24, 46, 27, 91, 114, -77, 190, -91, 94, -93, 241, -509, -72, 219, -117, 133, -68, -34, 75, -33, -95, 241, -101, 102, 285, 41, 39, 129, 31, 85, -113, 224, 50, 87, 334 },
{ 12, -135, 305, -39, 16, 143, -49, 184, -59, -52, 13, 78, 62, -62, 61, -29, 9, -111, 69, -97, 236, -69, -19, 93, -49, -54, 95, -131, 175, 26, 194, 316, 115, 55, 170, 115, 78, -70, 87, 61, -73, 265 },
{ -38, -73, 39, 179, 164, -93, -39, 238, -112, 35, 125, -43, 216, 67, 145, -79, -34, 104, 89, -141, 128, -36, 103, -34, 122, -56, 119, -295, -141, 399, -206, 446, 43, 268, 149, -120, 21, 70, -29, -80, 77, 193 },
{ 10, -115, 151, -85, -44, 56, 147, -12, -20, 40, -65, 17, 116, 35, -77, 48, -32, 127, -45, -77, 237, 76, -133, -33, 82, -106, 100, -74, -13, 139, 189, 135, 65, 84, -49, -52, 179, 170, 217, 91, 174, 331 },
{ -33, -37, 43, -41, 79, 234, -47, -53, 88, -95, 30, 99, 83, 59, 50, -62, -37, 103, -92, -83, 199, 125, -192, 134, 26, -70, 88, -59, 198, 78, -76, 254, 151, 77, 129, -35, 219, -27, 198, -44, 152, 384 },
{ 13, -103, 226, -50, 12, 67, 136, -9, -55, 56, -118, 137, 237, -35, 74, -69, -22, 52, -45, 80, -121, 278, 94, -178, 122, -34, 84, -119, 196, -129, 406, -133, 318, 167, 102, 191, 73, -43, -72, 84, -121, 411 },
{ -52, 12, 143, -15, 169, -109, 225, 31, -60, 91, -27, 212, -29, 50, 82, -149, -298, -78, 88, -103, 221, 25, -55, 130, 185, 140, -22, 71, -67, 354, -120, 376, 59, 176, 214, 34, -71, 177, -118, -86, 144, 139 },
{ -91, 170, 141, 252, 70, -140, 222, -37, -45, -86, 67, 144, 93, 144, 34, -195, 115, -150, 132, -357, -74, 187, 109, -109, 401, 195, -117, 173, 148, -169, 110, 100, 128, 275, -75, 217, 138, -120, 56, -167, 170, 173 },
{ 45, -62, 47, -21, -30, 44, 209, -13, -20, 40, -81, 29, 79, 111, -123, 50, 42, -96, 60, -43, 198, -54, 77, -121, 41, -99, -107, 151, -141, 134, 250, 177, -195, 100, 26, -75, 184, 246, 78, 205, 146, 320 },
{ -32, -59, 74, -30, -30, -33, 270, -70, 73, -33, 45, 164, -98, 134, 37, -48, -73, 82, 81, -49, 157, -53, -66, 92, -121, -11, 65, -47, -82, 134, 219, -132, 232, 87, 97, 265, 176, -113, 78, 115, 94, 404 },
{ -35, -43, 94, -31, -64, 247, -49, 108, -234, 37, -103, 180, 94, 93, -36, -66, 155, -95, 47, -53, 186, -72, 152, -162, 131, 111, -367, 24, -145, 165, 195, -107, 338, 75, 127, 256, 208, -141, 137, -120, 169, 368 },
{ 160, -69, 97, -64, 250, -100, 196, 106, -125, 34, -59, 219, 56, 141, 108, -234, -141, 183, -281, -81, 162, 86, 217, -253, 343, 53, -59, 110, -391, 77, 228, -103, 261, 218, 261, 77, -87, 243, -213, 265, -284, 435 },
{ -122, 195, 573, -289, -212, 322, -200, 355, -181, 114, -70, 49, 236, -210, 196, -326, 131, -446, 99, -202, 157, 185, 199, -569, 897, 220, 49, -86, -143, -158, 209, 157, -300, 427, -110, 184, 119, -206, 141, -113, 184, 114 },
{ 70, -53, 136, -136, -121, 97, 96, 84, -26, -118, 82, 86, 103, 47, -153, -53, 152, -108, 80, -148, 134, 108, 146, -75, -84, -298, 42, 91, -33, 206, 121, 90, -88, 159, 112, -85, 411, 255, -150, 220, 203, 233 },
{ 15, -150, 104, 58, 86, -45, -306, 418, -73, -112, 252, 49, 26, 109, 41, -88, 126, -30, -86, 83, -58, 118, 240, 111, -220, -181, 98, -32, 91, -38, 106, 112, 140, -201, 260, 335, 163, 155, -107, 100, 244, 167 },
{ -30, 9, -72, 284, -91, 289, 74, 27, -105, 174, -164, -83, 219, -255, 129, -130, 103, -98, 131, 52, -114, 247, -286, -148, 292, -88, 86, -153, 127, 142, 108, -169, 443, -225, -149, 739, -172, 305, -285, 132, 198, 153 },
{ 90, -52, 279, -70, 212, 193, -119, 134, 31, 206, -81, -187, 197, -32, 222, -242, -238, 227, -373, 110, -312, 132, 297, -502, 610, -154, 250, 140, -595, 172, 228, -283, 166, -229, 85, 643, -215, 308, -225, 459, -361, 544 },
{ 161, -78, 56, -83, -79, 68, 262, 60, -48, 38, 67, -202, -38, 22, 176, -127, -98, 105, -48, -47, 349, -58, -87, 49, -68, -79, 70, -31, -50, 115, 246, 199, -75, 161, 21, -46, 144, 61, 272, -32, 261, 238 },
{ -23, -68, 210, 27, -75, 406, -45, -16, -26, 60, 133, -39, 67, 137, -52, 62, -116, 126, -70, 85, -104, 103, 93, -22, -28, -69, 124, -38, 165, -90, 302, 267, -101, 188, 194, -55, 19, 172, 81, -77, 90, 298 },
{ -51, -21, 26, 51, -41, -42, 202, 184, -70, 43, 137, -68, -78, 57, 211, -26, 84, 246, 85, -48, 268, -130, 117, -34, 112, -32, -85, 98, -113, 82, 200, 438, 16, 69, -25, 94, -54, 31, 99, -76, 251, 178 },
{ 93, -92, 209, 19, 21, -36, -112, 183, -38, 59, -53, 58, 229, -90, 194, 88, -44, -21, 35, -112, 88, 199, -34, -59, -32, -89, 125, 81, -170, 63, 132, 314, 84, 204, 263, -470, 125, 172, -49, -88, 275, 264 },
{ -46, -36, 76, 83, -63, 146, -78, 61, -89, 60, -45, 21, 139, -62, 297, -27, 84, 168, -97, 235, -50, 230, -53, 100, -57, -110, 48, -48, 182, -94, 169, 221, 108, 148, 241, 53, 254, 85, -88, -101, -92, 405 },
{ -85, 168, 157, 31, -112, 25, -31, -56, 111, 225, 228, -613, 154, -124, 94, -68, 40, -104, 39, 191, -101, 207, 55, 141, -77, -117, 149, 41, -87, 247, 112, 334, 101, -33, 185, 163, 15, 85, -148, 112, -130, 235 },
{ -107, 579, 143, 75, -149, 55, 126, -723, 137, 303, -28, -341, 218, -64, 117, -104, 85, -69, 49, -113, 264, -50, 103, 115, -35, -110, 103, 41, -143, 121, 124, 369, 87, 85, 187, 14, 208, -57, -77, -58, 136, 237 },
{ -28, -126, 381, -238, 35, -92, 176, 133, -112, 104, -78, 88, 94, 82, -60, 199, -74, 155, 21, -78, 188, -106, 111, -50, 57, 49, 57, -28, -82, 81, 131, 382, 118, 124, -73, 206, 191, -110, 117, -156, 145, 152 },
{ -13, -155, 279, 186, 68, -41, -41, 266, -42, -18, -117, 234, -26, 156, 64, -60, 83, -81, 66, -87, 221, 88, 312, -70, 221, -173, -60, 80, -156, 326, -67, 315, 142, 221, -55, 168, 80, 106, -88, -308, -150, 278 },
{ -80, 291, 122, -80, -56, 174, -128, 144, -100, -114, 61, -110, 286, 130, -127, 143, 109, 230, 103, -160, 274, -341, 116, 410, 320, 47, -404, -62, -72, 172, 163, 345, 252, 100, -177, 39, -63, 154, 94, 96, -212, 227 },
{ 28, -42, 208, -42, -122, 233, 54, 246, -66, 15, 152, -96, 84, 163, -113, 81, -37, -24, 82, -388, 396, -371, -91, 64, 327, -48, 70, 126, -115, 138, 235, 169, 257, 191, -152, 239, -27, 68, -79, -139, 44, 272 },
{ -181, 242, 659, -142, 38, -127, 295, 126, -166, -250, 347, -284, -372, 144, 116, 273, 31, 76, 151, 74, -150, -98, 254, 288, 277, -121, -58, -83, -187, 394, 110, 307, 113, -89, -204, 407, 342, -458, 91, 113, 55, -174 },
{ -111, 576, 23, -34, -168, 357, 57, 149, -214, 307, -111, -613, 115, -142, 289, 255, -136, -817, 95, -54, 84, 125, -45, 93, 247, 35, 176, -128, -124, 579, -313, 101, 348, -632, -321, 260, 176, -113, 166, 147, -54, 204 },
{ 226, -116, 74, -66, 267, 88, 86, 134, 93, -65, -86, 80, -92, 193, -251, 227, 157, 351, -142, 269, -129, -115, 253, 384, 230, -43, -407, 63, -309, 355, 148, 220, 186, -176, 131, -148, 103, 72, 109, -124, 150, -197 },
{ 376, -121, 77, -296, 264, -69, 45, -145, 130, -115, 67, 198, 98, -134, 118, 376, 153, -187, 163, -44, 68, -87, -287, 327, 383, -69, 129, -417, 104, 210, 291, 240, 181, -260, 146, -222, -75, 106, 214, -119, -42, 159 },
{ 1569, -237, -1183, -57, 284, 140, 220, -240, -156, -143, -802, 1057, 82, 140, 161, -405, 77, 89, 230, -620, -242, 387, -116, 346, 663, -55, -313, 581, 787, -315, 441, 102, 254, -277, 388, -281, 104, -203, 55, 246, -301, 478 },
{ -128, 91, -125, 111, 455, 421, 49, -65, -162, -1034, -93, 98, 56, 177, -54, 480, 230, -43, 62, 339, -113, -363, 154, 107, 271, -201, 650, -584, -36, 398, 159, 184, 128, -119, -88, -44, 65, -225, 41, 260, -95, 291 },
{ 799, -175, -504, 50, 129, 68, -119, 249, -170, 331, 194, -186, 169, 316, -332, 488, -257, 269, 38, -125, -266, 189, -107, 319, 571, -566, 116, -88, 240, 70, -177, 273, -172, 140, 126, -259, -544, -37, 228, 204, 308, -443 },
{ 30, -293, 239, -165, -91, 58, 111, -101, 18, 41, 19, -64, 201, 61, -29, -70, -69, -35, 125, -117, 426, -163, 82, 21, 6, -208, 82, -37, -113, 192, 321, 271, -187, 78, -29, -93, 104, 92, 181, 74, 407, 435 },
{ 71, -160, 223, -185, -66, -36, 278, -18, -27, -44, 72, -44, 120, 36, 35, -62, 61, 29, -66, -69, 278, -143, -32, 49, 18, -85, -24, 24, -121, 137, 331, 278, -143, 69, -49, -70, 151, 85, 210, 69, 383, 359 },
{ -26, -51, 263, -41, -90, 149, 20, -38, 95, 268, 159, -67, 72, 39, -85, 168, 45, 23, -64, 196, -176, 384, -100, 103, -87, -117, -18, 74, -155, 125, 186, 191, 93, -35, 163, 390, -14, 116, 132, -81, 309, 153 },
{ 53, -76, 221, -507, -30, -278, 223, 176, -55, 27, -51, 30, 82, 36, -45, 28, 23, -69, 103, -101, 333, -159, 167, -112, -34, -112, 95, 54, -150, 178, 242, 265, -118, -20, 102, -62, 116, 294, -14, 180, 397, 177 },
{ -28, -32, 135, 15, -27, -48, 293, -134, 194, 99, 10, 101, -387, 240, -12, -46, 55, -91, 102, -80, 232, -94, 265, -60, 24, -63, 112, -98, -60, 62, 98, 201, 147, -43, 195, -64, -12, 228, -55, 395, -111, 343 },
{ -36, -58, 157, 136, 38, -76, 441, -103, 129, 167, -74, 38, 143, 44, -54, 141, -42, 170, -34, -79, 321, -135, 111, -84, 102, -49, 65, -28, 138, -112, 168, 300, 22, 115, -35, 177, 84, -85, 106, -106, 224, 295 },
{ 69, -58, 183, -56, -17, -22, 143, -90, 52, 41, -63, 42, 80, 37, -64, 20, -19, -21, 98, -114, 259, -109, 102, 44, -43, -85, 17, 32, -96, 108, 317, 236, -103, 32, 68, -73, 170, 193, 198, -53, 370, 269 },
{ -11, -74, 53, 183, 9, 77, 169, -145, 186, 115, -96, 99, -34, 51, 156, -37, 69, 92, -250, 50, -87, 347, -102, -71, 21, -77, 64, -104, -122, 204, 76, 244, 109, 88, 114, -32, 86, -19, 88, -97, 325, 366 },
{ 152, -127, 295, -53, -10, 84, -85, 51, -31, -55, 126, -43, 117, -74, -54, 206, -25, 32, -309, 162, -143, 193, -41, -95, 167, -34, 72, -70, 213, -157, 191, 190, 142, 152, -63, 141, 219, 12, -125, 307, -130, 461 },
{ 122, -146, 126, 35, 108, -142, 175, 223, -61, 90, -74, 53, -278, 78, -66, 70, -82, 169, 52, -41, 386, -80, -66, 387, 95, 131, 65, -66, -122, 145, 284, 341, 175, 258, -35, 112, -115, 178, -109, -44, -77, 347 },
{ 66, -47, 23, -22, 51, -25, 190, -18, -29, 147, -117, 27, 60, 127, -75, 52, -47, 38, 105, -109, 231, -89, 23, -74, 24, -69, 139, -32, -84, 36, 298, 272, -116, 62, 59, -95, 158, 268, -35, 158, 325, 336 },
{ -30, 169, -43, 17, -36, 128, -56, 179, -92, 115, -98, 213, 25, 34, -48, 196, 12, 48, -30, -38, 192, -128, 218, -65, 11, -67, 67, -53, 66, -79, 164, 325, -41, 63, 218, -6, 43, 155, -98, 137, 175, 394 },
{ 11, -88, 225, -44, 20, 180, 112, -105, 138, -107, 204, -283, 57, -68, 36, -35, -28, 33, 34, -50, 241, 209, -105, -72, 199, -70, 98, -74, 242, -141, 150, 120, 219, 23, 307, 85, 208, -38, -101, 187, -53, 502 },
{ 566, -125, 108, 124, 30, 113, -40, 197, -89, -89, 184, -213, 18, 216, -467, -50, 90, -30, 58, -52, 218, -71, 137, -85, 168, 171, -70, 308, -165, 218, 191, -123, 351, 146, 350, -83, -99, 105, -93, -82, -45, 387 },
{ -82, 74, -69, 245, 126, -142, -341, 216, -91, 377, 266, 69, 192, -88, 195, -123, -31, -86, 72, -142, 231, 59, -122, -163, 350, 262, -95, 213, -109, 257, 189, 399, -336, 504, -105, 257, 110, -82, -214, -216, 349, -181 },
{ -13, -36, 81, -42, -13, -42, 202, 28, -46, 265, -55, 50, 79, 89, -77, 46, -36, 67, -71, -72, 240, -63, 93, -62, 40, -134, 78, -101, 40, 76, 236, 167, -33, 107, 18, -45, 192, 194, 36, 217, 185, 413 },
{ 177, -76, 25, 90, 14, -50, 246, -34, -16, -79, 303, -355, 254, 56, -72, 36, -46, 134, -42, 122, -107, 244, -115, 36, -69, -71, 99, -86, -70, 227, 180, -49, 209, 39, 119, 140, 176, -16, 222, -309, 216, 449 },
{ -17, -64, 23, 165, -29, 21, -21, 166, -47, -76, 154, -60, 243, 65, -230, -17, -63, 204, -400, 168, 50, 90, -139, 186, -70, -66, 81, 53, -134, 196, -42, 216, 122, 129, 149, 261, 135, -97, 180, -134, 175, 340 },
{ -42, 297, 38, -113, 48, 232, 22, 143, -163, -192, 151, -239, 227, 89, -43, -77, -133, 66, -67, 110, 139, 151, -179, 95, 237, 21, 118, -565, -79, 157, 158, -75, 287, 308, 339, -84, 124, 91, -147, 237, -130, 409 },
{ 76, 385, -131, 299, -88, 216, 163, -117, -155, -185, 187, -68, 184, -92, 208, -268, 111, 85, 91, 157, 71, -211, 90, -510, 776, 103, 89, -493, 200, 153, 112, 83, -86, 391, 394, -268, 250, -123, -198, 75, 233, 101 },
{ 62, -72, 121, 13, -107, 114, 123, -9, -37, -70, 59, 47, 11, 48, 31, -49, 171, -116, -148, 90, 210, -318, 207, -82, -59, -173, -87, 154, -149, 65, 291, 100, -31, 82, -56, 57, 422, -86, 300, 105, 159, 288 },
{ -15, -35, 230, -15, -107, 85, 218, -110, 64, -96, 253, -44, 71, 17, -55, 27, 67, -65, 53, 38, 225, -135, -23, 153, -100, -42, -84, 146, -65, 47, -54, 168, 402, -130, -107, 366, 98, -82, 99, 106, 145, 300 },
{ 18, -92, -17, 297, 415, -208, 147, 85, -550, 143, -86, 105, -258, -135, 211, -156, 66, 41, -60, 174, -346, 180, 111, -230, 255, -115, 201, -44, -42, 95, -51, 137, 331, -230, 363, 531, -72, 166, 89, 92, 121, 304 },
{ 71, -126, 399, -171, 292, 351, -34, 147, -722, 183, -54, -96, 149, 76, -93, -107, -387, 67, 80, 180, 77, -400, 205, -592, 567, -265, 158, 110, 139, -441, 92, 267, -252, 152, 312, 450, -257, 268, 211, 257, -470, 482 },
{ 4, -68, 111, -83, -52, 36, -31, 258, -51, 18, -28, 50, 138, 43, 11, -48, -39, 131, 29, -95, 239, -119, 188, 96, -74, -25, -303, 31, -95, 142, 184, 155, -127, 47, 230, -95, 125, 74, 98, -40, 342, 213 },
{ 14, -78, 176, -22, -96, 199, -36, 130, -26, 116, 129, 27, 120, -24, 191, -67, -56, 77, -48, -45, -147, 179, -105, 140, -88, -102, 170, -38, -58, 236, 285, 129, 114, 135, 162, 28, 16, 130, -53, 88, -131, 280 },
{ 56, -168, 215, 125, 23, 38, -79, 46, -34, 176, -88, 77, 97, -69, 200, -30, 326, 106, 58, -69, -158, 312, -43, -58, 156, -55, -60, 42, -89, 231, 266, 243, 219, 164, -49, 48, -53, 250, -32, 99, -76, 241 },
{ -21, -86, 372, -371, 21, -51, -57, 100, 8, 14, 218, -46, 33, 152, -57, 156, -75, 162, -78, 97, -169, 253, 101, -33, -38, 30, -35, 173, -111, 197, 173, 226, 123, 93, 136, 51, -30, 136, -88, -53, 170, 258 },
{ -20, -79, 270, 48, 694, -73, -48, 284, -76, 21, -29, 21, -225, 278, -53, 224, 13, -31, -292, 186, -88, -48, 159, 112, -36, -45, 198, 80, -150, 201, 119, 435, 43, -53, 104, 21, -74, 179, -109, 290, -74, 186 },
{ -42, -100, 329, -35, 103, 21, 47, -66, 40, 215, -61, 18, -38, 622, -145, 351, -73, 141, 56, -86, 394, -123, 189, -105, 77, 35, 60, -64, -76, 119, 138, 343, 89, -40, 116, 46, -28, -49, -75, 199, -141, 247 },
{ 25, -188, 327, -34, 98, -60, 321, -27, -24, -40, 45, -125, 324, -50, 169, -46, 23, -54, 95, -92, 187, -105, 81, -88, 192, 244, 49, 23, -123, 108, 68, 386, 117, 305, -43, 36, -22, -68, 126, -75, -64, 217 },
{ 40, -235, 294, 105, 49, -80, 266, 59, -70, -107, 23, -87, 139, -10, 48, -40, 138, 159, 82, -49, 217, -98, 50, -363, 134, 115, -36, -37, -100, -43, 355, 353, 186, 290, -87, 236, -84, 205, -32, -14, -182, 403 },
{ -62, 152, 338, -69, 29, -90, 66, -63, -73, -105, -37, 92, 56, -63, 168, 198, 152, 300, -125, 138, -135, -146, 289, 160, -45, 38, -41, 162, -77, 420, 140, 392, 128, -59, 79, -120, -88, 179, 72, 49, -134, 119 },
{ 75, 153, -81, 300, -127, 320, 53, -73, -86, 76, -69, -54, 152, 98, 303, 145, -66, -43, 118, -181, -92, -822, -457, 118, 133, -125, 388, -92, -92, 376, 796, 494, 140, 163, -105, 55, 159, -45, 643, -20, -81, 135 },
{ -29, 330, -90, 162, -56, 54, -41, 237, -45, -308, 286, -150, 73, 73, -50, 107, -69, -48, 148, 123, -66, 170, -78, 159, 124, 150, 179, -95, -84, 77, 220, 426, 113, 229, -128, 10, -63, 27, 158, 154, -67, 188 },
{ -63, 327, 160, 232, -170, 118, -44, 182, 153, 79, -59, -315, 104, -50, 236, -80, -91, 255, -95, 114, -121, 274, -54, 171, 145, 170, 38, -64, -151, 197, 169, 253, 243, 93, 104, 117, -104, 154, -270, -127, -85, 213 },
{ -77, 185, -106, 354, -44, -213, 81, -236, 205, 281, 356, -26, -328, -54, 86, -158, -48, -132, 216, 445, -95, 239, -139, 312, 264, 209, -31, -563, -186, 377, -161, 478, -250, 376, -175, 345, 106, -128, 146, -142, 266, -288 },
{ -84, 530, 55, -53, -188, -88, 523, 72, -185, 104, 230, 82, -94, 128, 696, 279, -98, -118, 70, 64, -124, 60, 99, 254, 383, 357, -36, 175, -65, 144, 127, 292, 211, -129, -70, -94, -80, 120, 95, 50, -102, -154 },
{ 27, 412, -57, -75, -198, 291, 347, 117, -95, 476, -33, 18, 186, -382, -140, 277, -81, -388, -273, -107, 249, 78, 219, 216, 159, 33, -40, 60, 229, 340, -218, 250, 386, -212, 234, -144, -91, 217, 189, -78, -188, 176 },
{ -78, 607, 42, 100, -221, 43, -117, 103, -49, 542, -532, 47, 276, 107, -185, 247, -105, 252, -317, -557, -114, 153, 206, 145, 112, -53, -50, -205, 137, 129, -290, 444, 166, 152, -243, 91, 197, -68, 138, -141, 189, 351 },
{ 202, -227, 102, 214, 641, -122, -103, 170, -173, -96, 153, 77, -639, 281, 272, 55, -51, -34, 1305, 57, -624, -155, 174, 373, 283, 132, -103, -39, 129, 182, -254, 221, 305, -119, -86, 79, -364, 58, -196, 187, 324, 323 },
{ -125, 426, -127, 61, 373, -736, 208, -282, 40, -43, -1084, 196, 98, 48, -66, 159, 312, -140, 146, -77, 482, -197, -864, 231, 580, 205, 62, -216, -737, -29, 483, 358, -323, -93, 180, 187, -70, -145, 275, 91, -340, 636 },
{ -80, 863, -78, -509, -352, 100, 339, 198, -143, 122, -66, -610, -175, 124, 81, 369, 358, -92, 114, 145, -156, 194, -190, 291, 143, -44, -708, 53, 195, 198, -280, 289, 276, -113, 126, -122, 176, 43, 99, -168, 107, 335 },
{ -8, -564, 272, -85, -76, -50, 83, 141, 138, 35, -24, 49, -37, 34, -25, 23, -22, -70, 216, -88, 315, -62, 224, -58, -81, 25, -65, 63, -115, 365, 151, 143, -115, 70, 19, -61, 114, -14, 401, -63, 378, 211 },
{ 305, -55, 271, -95, 37, -61, 161, -26, 43, -49, 67, 16, 45, 45, -18, -66, 54, -50, 116, -28, -143, -40, 198, 171, -77, -37, -39, 77, -157, 296, 270, 134, -123, 41, 16, -33, 214, -58, 289, -63, 356, 215 },
{ -33, 17, 322, -328, 40, -181, 374, -58, 22, -51, -342, -71, 94, 77, -30, 34, 36, 216, -62, 94, -200, 154, -68, -63, 407, 14, -73, -130, 568, -64, 219, 150, 96, 165, 30, -47, -42, 116, 235, 31, -213, 384 },
{ 97, -87, 315, -68, 31, -20, -45, 31, 19, -67, 160, -72, 167, -46, 173, -76, -44, 78, -61, 192, -213, 82, -42, 26, 22, -30, 16, 10, -107, 164, 256, 310, -70, 59, -73, -14, 121, -35, 407, -96, 415, 278 },
{ -89, 44, 681, 61, 144, -88, -66, 357, 209, 28, -41, -60, 98, 88, -12, -88, 133, -68, 65, 115, -183, 272, -80, 119, -77, 25, -42, 85, -160, 225, 149, 219, -84, 313, 112, -75, -59, 41, 203, -138, 234, 277 },
{ 117, -72, 200, 25, 40, -66, 150, -35, -47, -21, -72, 96, -60, 57, -54, -22, -93, 462, -70, -97, 414, -169, 294, 44, -26, 61, -89, -30, 241, 214, 109, 199, 246, 80, 277, -19, -38, 219, -53, -45, -191, 345 },
{ 52, -37, 372, -98, 37, -53, -27, 136, -16, -33, -79, 194, 96, -80, -41, 27, -31, 48, 76, -110, 293, -127, 101, -38, 35, -105, 83, 37, -128, 105, 322, 209, -75, 238, -97, 10, 152, 162, 212, -76, 385, 282 },
{ -45, 46, 77, -38, 134, -98, -75, 114, 519, -17, -61, 111, -26, 130, 68, -96, -27, 140, 269, -53, 397, -136, -118, 150, -54, 56, -90, 110, -106, -98, 169, 211, 99, -23, 263, 226, -12, -70, 86, -166, 303, 350 },
{ 151, -58, 267, -345, 23, -105, 235, -44, 21, 32, -85, 55, 162, 37, -44, 4, -40, -42, 62, 200, -92, -94, -43, 390, -111, -24, 51, 190, -141, 276, 95, 273, 223, 42, 262, -18, -41, 39, -36, 197, -134, 358 },
{ 25, -138, 410, -406, -108, 104, -104, 107, -48, 177, -76, 162, 27, 53, -339, 19, 273, -21, -114, 255, -268, 210, -87, -38, 129, -53, 63, 223, -117, 107, 191, 344, 60, 437, -65, 76, -44, -278, 69, -228, 317, -266 },
{ -20, -37, 127, -50, -64, 243, -43, 627, -57, 106, -86, -21, 108, -76, 164, 11, 163, 17, -51, -45, 302, -132, 44, -69, 35, -119, 35, 198, -48, -31, 259, 282, -162, 89, -71, 19, 265, -43, 279, -18, 219, 315 },
{ -48, 151, -54, 151, 123, -513, 90, -161, 74, -59, 42, -142, 244, 85, 397, -16, 35, 252, -92, -48, 303, -83, -142, 132, -110, -48, 20, 131, 111, -166, 321, 259, 51, 87, -386, 276, -11, 277, -110, 211, -70, 368 },
{ 23, 337, -55, -21, -77, 77, 300, -60, -12, -70, -23, -64, 85, 118, 31, -46, 76, -95, 63, -39, -107, 359, -153, 229, -60, -30, 99, 270, -98, -572, 346, 215, 159, 142, 433, -71, -77, 55, -123, 194, 96, 275 },
{ 1243, -100, 106, -89, -102, 83, -70, 34, 135, 64, -95, 97, 32, 74, 65, -169, 334, -235, 87, -71, 216, -121, -64, -92, 178, -35, 98, 113, -125, 161, 301, 404, -123, 453, -91, 915, 214, -160, 99, -119, -71, 361 },
{ -22, 58, 427, -187, -152, 527, -53, 56, -64, 176, -129, -347, 218, -135, 146, -149, 97, -159, 87, 284, -228, 244, -68, -162, 256, 340, -97, -208, 254, 58, 327, 123, 256, 221, 463, 35, -130, 116, -206, -196, -223, 417 },
{ -13, 23, 234, -306, -71, 299, -54, 87, -43, -22, 40, -109, 290, 73, -61, 34, 62, 94, -112, -22, 72, -163, 229, -23, -44, -104, 165, 76, -58, 59, 184, 194, -83, 128, -29, 39, -18, 409, -28, 162, 176, 450 },
{ -68, 208, 36, -18, -74, -463, 121, -19, -93, 77, -83, 170, 86, -101, 208, 53, 477, -615, 37, -52, -52, 307, -116, 112, -87, -118, 101, 155, 27, -149, 149, -64, 221, 106, 368, 605, 243, -100, 123, -82, 285, 493 },
{ 23, 89, 9, -53, -43, 67, 298, 152, -44, 130, -69, -37, 47, -387, 98, -125, -95, 216, 121, -66, 296, 151, -214, 204, -64, 99, 78, -90, -151, 91, 163, 190, 135, 98, 382, -155, 57, 292, -128, -34, 150, 354 },
{ 50, 220, -134, 87, -150, 266, 266, -185, 148, -63, -99, 152, 170, 42, -22, -32, -223, -151, 210, 92, 259, -117, 87, -101, 181, -63, -56, 103, -104, 105, 223, 128, 201, 314, 197, 75, 128, -105, -167, 97, -82, 384 },
{ 189, 404, -229, -56, 478, -132, 303, -98, -94, -82, 294, -54, 188, -63, 119, -202, 111, 99, -62, 70, 80, -53, 121, -400, 713, 53, 57, 54, 132, 196, 155, 242, -334, 585, 42, -129, -40, -141, -105, -88, 388, 200 },
{ -38, -36, 231, 25, -64, 258, -155, 37, -70, -38, 121, -206, 44, 78, 50, -61, 109, -70, -103, 150, 107, 159, -122, -101, 88, -175, 121, -64, -66, 314, 125, -56, 146, 57, -72, 50, 289, 214, -170, 315, 226, 342 },
{ -87, 376, 51, -82, 83, 296, -42, -239, 188, 115, -160, -29, 48, 236, 70, -17, -71, -115, 121, 202, 36, -117, 107, -125, 175, -153, 112, 119, -197, 221, -237, 273, 312, 124, -248, 314, 152, -99, 259, -178, 301, 227 },
{ 48, -33, -68, 94, 54, 54, -46, 129, -451, -101, 208, -22, -183, -162, 186, -101, 77, -70, 267, -166, 350, 117, -119, -232, 207, 132, -80, -93, 99, -312, 90, -46, 321, -117, 195, 668, 279, 73, -113, 90, 224, 245 },
{ 32, 48, -124, -57, 647, 293, 91, 194, 100, -213, 185, -609, 162, -259, 156, -237, -233, 347, 512, 123, 107, 36, -179, -58, 252, -322, 293, -89, 197, 231, 109, -55, 235, 142, 501, 455, 110, -196, 200, 228, -301, 418 },
{ 104, 110, 67, -90, 23, -67, 126, 985, -40, -77, 23, -53, 267, -562, 47, -38, 84, -14, -21, 216, -147, 161, -144, 40, -80, 35, -45, 48, 241, -116, 270, 62, 291, 85, 38, -40, 79, -37, 638, 57, -132, 277 },
{ -20, 84, 41, 30, -51, 11, -62, -84, 256, -55, 191, 71, 246, 88, -49, 20, 12, -38, -33, -75, -182, 334, -69, -218, -62, -34, 40, 16, -20, 170, 267, 184, 236, 60, 27, 71, 445, -58, -32, 266, -153, 237 },
{ -48, 113, 168, 22, -101, 44, -62, 330, -126, -47, -57, 37, 226, 120, 22, 20, 49, -332, -33, 49, -165, 859, -142, -38, 161, 193, -54, 248, -56, -82, 195, 236, 378, -77, 91, -51, 36, -99, 876, -68, 257, 98 },
{ -31, -92, 45, 114, 483, 27, -57, -90, 168, 38, -64, 86, 165, 66, -51, 575, -88, -91, 83, -120, 397, -105, 109, -63, -58, 251, 28, 71, -109, 314, 109, 324, -79, 81, 27, 181, -40, -25, -23, -38, 320, 135 },
{ -12, -336, 30, -33, 27, -71, -72, 58, -23, -113, 201, 68, 97, -70, 357, 25, 913, 59, -122, 176, -173, 432, -92, -38, 41, 16, -163, 209, -58, 349, 167, 193, 96, 314, 76, -42, -48, 380, -75, 50, -189, 316 },
{ -39, 66, -123, 21, -514, 198, -86, 87, -69, -101, 143, 39, 90, -68, -56, 367, 257, -74, 86, -150, 360, -146, 150, -27, 66, 40, 332, 214, 524, 167, 151, 321, -52, 251, -75, 18, -38, -61, -111, -150, -151, 254 },
{ -90, 167, -65, -23, -94, 139, 39, 55, -57, 306, -826, -59, 91, -73, -46, 48, 199, -30, 42, 55, -187, 441, -84, 299, 86, -36, 352, -42, 1110, 340, 270, 273, 86, 475, -177, 88, 18, -128, -79, 189, -246, 275 },
{ -125, 178, 243, 44, -89, -60, -17, 161, -777, 317, 340, -91, 90, -112, 65, -27, -12, -79, 42, 268, 213, -158, -33, 66, 72, -57, 191, -105, -44, -58, 443, 383, 99, 347, -35, -30, 36, -19, -32, 244, -168, 363 },
{ -59, 267, 43, -54, -267, 1288, -142, 118, -69, 420, 40, -732, 451, -179, 534, 189, 203, -89, 138, 141, -134, 151, -93, -34, 63, 80, -121, 181, -149, 213, 112, 306, 327, 458, -90, 29, -118, -33, 88, -87, -103, 220 },
{ -30, 225, -224, 18, 22, 233, -15, -172, 555, -124, -46, 373, 116, -47, -87, 312, 38, 27, -92, 154, -198, 354, 126, 227, 168, 425, -62, 61, 253, -146, 266, 276, -138, -36, -161, 183, -27, 38, -93, 344, -121, 221 },
{ 19, 297, -77, -46, 495, -803, 370, 24, 157, -140, 39, 762, -132, 110, -102, 280, 1301, 29, -176, 256, -625, -57, 128, 184, 300, -734, 20, -54, 408, -62, 263, 453, 44, -62, -118, 158, -60, 50, -69, 132, -120, 297 },
{ 75, -119, 346, -132, 55, -44, 104, 180, 37, 231, -36, 38, -140, 343, -150, 285, -152, -261, 43, 115, 87, -32, 225, 269, 115, 43, 119, 49, -121, 260, -51, 316, 238, -108, 194, 188, -56, -37, -56, -107, 80, 272 },
{ -59, 114, -150, 478, 194, -231, 395, -259, -91, -70, -161, 185, 419, 112, -165, -77, 166, -216, 521, 234, 168, -149, 478, 339, -58, -1052, 172, -100, -266, 167, -214, 220, 126, 135, 427, -54, -130, 183, -99, 388, -119, 327 },
{ 43, 255, -1331, 258, -77, 540, -97, -79, -53, -150, -612, 677, 49, -81, 68, 216, 119, -39, -207, 381, 149, -139, 317, 86, 366, -36, -70, -371, -237, -85, 180, 329, 161, -208, -45, 64, -27, 190, 85, 77, -136, 370 },
{ -33, 316, -1375, -42, 51, 754, 444, -795, 123, -253, -160, -65, 111, -69, 360, 79, 343, 68, -48, 747, -83, -225, 279, 304, 204, 1579, -771, 25, -56, 112, 358, 272, 199, -203, 170, -140, -119, 497, 419, 125, -253, 147 },
{ 389, -204, 223, -190, 227, 85, 224, 24, 30, 240, -47, 54, 86, -56, -110, 262, -113, -56, 277, 264, 299, -174, 243, 247, 239, 501, -769, -186, -71, -143, -115, 275, 208, -188, 94, 166, -74, 346, -832, -133, 398, 136 },
{ 651, -133, 251, -156, 18, 328, 104, 112, -53, -70, -86, -182, 137, 354, -157, 136, 382, -79, 163, -88, 172, -97, 140, 233, 255, 159, -75, 117, -56, -67, 400, 192, 163, -186, 22, -486, 23, 93, -98, 556, 379, 231 },
{ 94, -131, -95, 372, -111, 312, -998, 74, 98, 404, 197, 181, -186, -135, 211, 138, 102, -27, -525, 408, 195, -266, 366, 190, 96, 480, -105, -222, 90, -140, 305, 323, 187, -85, -51, 208, -235, -92, 344, 147, -155, 431 },
{ 181, 53, -320, -123, 153, 813, 189, 31, 883, -921, -646, -156, 315, -1530, 386, 425, -164, 558, 120, -208, -136, -382, 155, -85, 242, 733, 66, 124, -97, 508, -334, 198, 432, -100, -147, 225, -160, -71, -365, 126, -131, 357 },
{ 737, -241, -223, -334, 82, 201, 346, 31, 244, -237, 369, 228, -23, -88, 474, 164, 487, -247, -719, -182, -31, -1125, -190, 381, 129, 249, -166, 837, 72, 199, -219, 154, 353, -318, -584, 94, -167, -640, 189, -216, 363, 703 },
{ 424, -232, -551, 533, -117, -124, -1455, 388, -90, 906, 98, -413, 356, 159, -166, 360, -217, 170, 1403, 1265, 133, 228, -536, 297, 465, 43, -625, -198, -244, -219, 418, 322, 151, 81, -115, -119, -198, -72, 154, 158, -147, 304 },
{ 106, -59, 69, -36, 34, 169, -67, 106, 19, -41, -31, -16, 76, -62, 171, -48, 34, 39, -53, 164, -137, 246, -10, -67, 178, -23, -43, -61, 77, 127, 208, 114, -58, 74, -83, 32, -34, 28, 19, 367, -109, 232 },
{ -61, -33, 673, 19, 53, -102, 639, -87, 60, 25, -33, 439, 211, 57, -24, 119, -41, 22, 15, -41, -63, -46, 255, 64, -87, 25, -59, 48, -54, 76, 180, 183, -53, -81, 110, 20, -25, 19, 281, 38, -114, 261 },
{ 28, -41, 349, -204, 26, -67, 409, -18, 47, 102, -107, -26, 164, 301, -764, -431, 47, -42, 90, -108, 193, -130, 116, 71, -19, -138, 181, -34, -38, -38, 457, 290, -125, -21, 194, 649, 65, -53, 421, 52, -152, 315 },
{ -69, -47, 301, -58, 39, -91, -47, 305, 59, 82, -44, 149, 103, -15, -69, 92, -34, 64, -30, -33, -149, 111, -49, 69, -75, 14, -54, -77, 343, -116, 303, 48, 96, -78, -170, 199, -26, 121, 320, 101, -125, 390 },
{ 188, -62, 484, -122, -14, 12, -60, 21, -34, 37, 651, -96, 99, 239, 34, -455, 651, 42, -107, 268, -161, -67, -61, 173, -105, -78, -59, -80, 172, -142, 371, 210, 32, -82, 312, 112, 49, -105, 322, 73, -176, 366 },
{ 684, -71, 164, -16, 30, -65, 633, -78, -125, 528, -87, 53, 343, 152, -156, 164, -162, -22, 46, -90, -113, 287, -72, 170, -369, 171, 70, -39, -116, 27, 593, 219, 169, -109, 461, 14, 19, -243, 345, -110, 493, 134 },
{ 17, -114, 404, -85, 39, -41, -35, 201, -98, -28, 81, -56, 129, 124, 155, -74, 135, -26, 38, 119, -165, -45, 55, 225, -69, 23, -98, 95, -97, -122, 327, 423, -119, -52, 59, 107, -35, 245, -17, -81, 460, 405 },
{ 353, -22, -67, 33, 43, -71, -29, 72, -80, 385, -100, 90, -60, 85, -62, 46, -40, -89, 104, -77, 248, -187, -66, 60, 753, 25, 274, 72, -183, 204, 203, 108, 94, -89, -24, 487, -61, 12, 156, -79, 170, 319 },
{ 512, -113, 86, -16, 92, -129, 464, -121, 55, -89, -130, 92, 39, 116, -179, -17, 27, -24, 130, 1250, -146, -235, 251, 1166, -191, -107, 95, -26, -89, -136, 424, 121, 178, -67, 425, 104, 153, -100, -59, 379, -82, 343 },
{ 347, -120, 282, -68, -330, 918, 457, -52, -136, 36, -59, 356, 54, 115, -68, 697, 19, -52, 65, 274, -89, -118, -79, 288, -29, 48, -121, -48, 36, -64, 297, 259, 92, 232, 27, -39, -119, 203, 192, -92, -177, 339 },
{ 202, -74, 450, 23, -78, 245, 17, -65, -64, 145, -114, -55, 98, 69, 192, -54, 10, 43, 182, 206, -102, -67, 97, -105, 35, 47, -285, -52, 159, -98, 214, 95, 191, -34, 27, -25, -63, 589, -67, 192, -156, 513 },
{ 73, 77, 459, 103, 32, -217, 116, -140, 33, -163, 586, 68, -191, 283, 228, 323, -39, 810, 28, -146, 123, -246, 253, 48, 97, 115, -51, 109, -83, -76, 273, 240, -44, 196, -116, 97, -112, 108, -104, 131, 43, 382 },
{ 42, -48, 387, -104, -263, 23, 278, 178, -192, 361, -150, 402, -108, 91, 1308, -112, -20, -53, 74, 142, -24, -148, -48, -80, 76, 39, 46, 160, -251, 256, 75, 187, 60, 122, 182, -111, -45, 303, 38, -55, 721, 253 },
{ 500, -178, 124, -101, -147, 181, 346, -66, -70, -476, 33, 112, 75, 1016, -87, 46, -414, -47, -247, 499, 90, -192, 376, -195, 163, 92, -96, 127, -83, -206, 319, 46, 708, 466, -156, -30, -47, 92, -50, 118, -134, 269 },
{ 47, 66, 129, 1578, -89, -111, -46, 85, -114, 78, -87, 117, 973, -1356, 63, -596, 101, -107, -101, 320, 71, 818, -314, 33, 244, 54, -57, -136, -169, 117, 376, 193, 395, 345, 41, 49, 79, 324, -75, 203, -244, 347 },
{ -25, 318, 37, -14, -77, 317, -33, -62, -32, -14, 149, -93, 171, 144, -99, 176, 41, -38, -46, -44, 281, -18, -127, -49, 40, 58, -68, 31, -33, -73, 316, 128, -32, 84, -64, 79, 262, -96, 227, -83, 165, 396 },
{ -42, 424, -242, 61, -33, 515, -152, -40, -37, -61, 71, 113, 643, 56, -69, 52, -118, -67, 98, -124, 332, 114, -112, -69, 194, 103, -23, 73, -134, 80, -115, 240, -64, 218, 164, -536, -18, 408, -113, 139, 202, 410 },
{ 138, 746, -83, 435, -144, 147, -85, -67, 126, -40, 175, -100, -518, 64, 95, -51, -249, -57, 312, 129, -102, -129, 223, -173, 159, 199, -190, 376, -108, -31, 135, -88, 136, 556, 158, -182, 44, 97, -167, 99, 241, 390 },
{ 217, -50, -164, 177, -147, 229, 81, -203, 93, 185, -161, -39, 247, 230, 83, -66, 70, -142, -45, -93, 334, 299, -151, -251, 219, -64, 120, 34, -222, 312, 197, 251, 90, 601, 197, -120, -112, 138, -45, -105, 402, 181 },
{ 550, -54, -69, 169, 540, -221, 220, 148, -102, 417, -313, 218, -100, 523, -159, -62, 127, 208, -62, 70, 336, 143, -39, 385, 552, 235, -143, 171, 163, 336, 101, -175, -111, 325, 218, -53, 76, -261, -15, -122, 242, 127 },
{ -15, 33, 528, -222, -195, 403, -46, -43, -52, -92, 41, 100, 59, -20, 76, -14, 110, -173, 80, -51, 368, -351, -98, 263, -105, -27, -98, 116, -85, 81, 74, 76, 111, -236, -16, 112, 422, -106, 262, 82, 190, 334 },
{ -95, 242, 78, -96, 451, -88, 126, 139, -122, 84, -23, -231, 248, -59, 137, -88, -187, 109, -93, 114, -235, 308, -43, -202, 93, 199, -117, 208, -125, -211, -87, 210, 153, 203, -121, 251, 178, -216, 107, 174, 74, 375 },
{ 96, -118, -78, 390, 146, -183, 40, 40, 152, 91, 101, -108, -328, -34, 160, -92, -89, 226, -143, 176, -134, 485, -88, -121, 106, 164, -59, -70, -116, 382, -133, -144, 357, 402, -523, 539, 248, -66, 132, 234, 153, 176 },
{ 119, -87, -468, 1249, 278, -335, -262, 537, -232, 126, 932, -553, 637, -278, 326, -317, -275, -290, 240, 394, -415, 691, -363, 454, 44, -94, -826, 339, -186, 381, -319, 382, -536, 652, -125, 656, 67, 464, 386, -282, 369, 1197 },
{ -5, -72, 33, -84, -59, 139, -57, 125, -11, -29, 636, -44, 51, 51, 16, 157, 932, -57, -85, 197, -121, -19, -11, -36, 40, -24, -25, 60, 57, -85, 253, 301, 119, 20, -39, 11, 25, -155, 508, 148, -103, 239 },
{ 25, -96, 198, -79, 6, 92, 113, -18, 30, 70, -55, 14, 92, 159, -16, 37, 51, -70, -391, 114, -127, -28, -35, 182, -50, -124, 159, 134, 17, -114, 248, 202, -85, 23, 541, -13, 37, -17, 729, 146, -88, 203 },
{ 185, 50, -54, -41, -86, -40, 219, 31, -82, 167, -68, 69, 265, -82, 132, -17, -61, 22, -127, 76, -83, 263, -99, 42, -84, 52, 94, -50, 71, -126, 166, 294, 219, 52, 21, 35, -23, 11, -29, 254, -139, 227 },
{ 970, -75, 298, -107, 25, 14, -44, 114, -115, 238, -97, 93, -121, -91, 58, 231, -94, 57, -694, 241, 262, -157, -45, 1044, 481, 403, 241, -108, 31, -202, 171, 291, 1148, -105, -29, 38, 194, -53, -23, 83, -153, 368 },
{ 1812, -609, 201, -40, -91, 210, -107, 105, -53, 28, -80, 91, 257, -132, -40, 98, -155, 199, 38, -100, 607, -152, 723, -79, 219, 115, 276, -93, -47, -108, 279, 224, 154, 406, -34, -81, -107, 114, -95, 64, -149, 292 },
{ -67, -7, 123, 1003, 194, 277, -72, -157, 37, -141, -53, 77, 378, 67, -60, 829, -59, 35, -144, -683, -105, -153, 246, 832, -56, 75, 212, 143, -60, 118, 199, 349, -61, -183, 76, 66, -394, -89, -160, -82, 197, 235 },
{ 167, 75, -86, 464, 56, 254, -111, 103, -190, -152, -38, 207, -105, -66, -98, 330, 68, 414, -118, 171, 420, -218, 308, 100, -22, -28, -15, 61, -168, 424, 203, 141, 469, -27, -122, 71, -158, 28, -43, -101, -122, 272 },
{ 899, -42, 93, -97, -41, 491, -165, 102, -112, -62, 95, 143, 85, -48, -359, 108, 370, -97, -158, 747, 276, -165, 296, -27, 159, -140, 84, 25, -85, -150, 279, 118, 160, 633, -271, 71, 187, -59, -117, -74, -140, 142 },
{ 52, -101, -36, 230, -114, 247, 904, 207, -175, 64, -162, 512, 69, -82, 92, -46, 225, -78, -98, 170, -80, 368, -132, 133, 122, -850, -83, 162, -147, 44, 302, 307, 98, 85, 385, 54, 698, -38, 286, -175, -50, 207 },
{ -183, 901, -138, 103, 86, 135, 16, -126, 130, -126, -1181, 313, 108, 1679, -77, 246, -95, 48, -1208, -34, -124, -122, 615, 89, 189, 238, 307, -230, -80, -94, 266, 397, -48, -81, -134, 153, -74, -96, -94, 203, 205, 91 },
{ -77, 166, -58, -75, 466, 259, 45, -137, -33, -101, -90, 127, 109, -77, 286, 86, -144, 511, -82, 389, -96, -146, 83, 387, 249, 46, -116, 87, 236, -121, 274, 546, -36, 299, -132, 1936, -46, 48, -258, -843, -51, -147 },
{ 28, 175, 90, -100, -66, -59, 133, -210, -166, -74, -80, 368, 296, -62, -96, 244, -60, 321, 73, 527, 904, -210, -101, 647, 1167, 76, -81, 67, -132, -203, 320, 339, 109, -350, -441, 10, 13, -87, -137, 25, 940, -145 },
{ 114, -30, 257, -60, 509, 168, 182, -97, -84, -96, -123, 149, 116, -95, -204, 500, 354, -169, -124, 154, 253, -110, -171, 412, 55, -73, 191, 378, -95, -167, 423, 180, 157, 331, 32, 25, 94, -368, -100, 140, -312, 332 },
{ -121, -282, 475, -182, -272, 268, 301, -142, -324, -88, -113, 603, 644, -169, 221, -210, -446, -497, -133, 134, 546, 217, -402, 356, 143, 117, 848, -61, -225, 398, 276, 119, 202, -250, 179, 221, 143, -227, -87, -371, 284, 221 },
{ -16, 615, -261, 418, -531, 87, -59, -90, 279, -470, -86, 148, 440, -106, 161, 151, 169, 500, 353, -129, 221, -72, 178, 241, 104, 70, -60, -232, 374, -145, 226, 189, 132, -215, -39, 183, -76, -975, 81, -727, 161, -119 },
{ -1474, 212, -412, -174, 35, 1398, 148, -164, -16, -148, -115, 50, 579, -249, 165, 222, 47, 77, -101, 37, 680, -282, 124, 548, 486, -569, -73, 267, 665, -209, 235, 338, 99, -145, 43, 80, 117, -103, -683, -43, -182, 1102 },
{ -87, 195, -64, -47, -142, 605, 620, -161, 48, 327, -2144, 44, 216, -190, 65, 366, -309, 524, -100, 561, 108, -102, 98, 500, 1065, 47, -118, -126, -409, -194, 133, 418, 84, -52, 96, -30, -20, 365, -228, -84, 314, 748 },
{ -75, 99, -61, 357, -28, 222, -41, 119, -289, -316, 164, 12, 387, 681, -203, 81, -181, -461, -48, 130, 250, 57, -1554, 172, 67, 380, -192, -174, -64, -66, 1023, 206, 214, 142, 196, -51, 53, 362, -620, -77, -186, 246 },
{ 297, -136, -101, -57, -50, 478, 88, -71, -1037, 432, -76, 38, -292, -926, 338, 159, 197, -168, 170, 595, 138, -202, 230, 339, 511, 147, 98, 240, 173, -216, 321, 383, 110, -65, 992, -191, -100, -213, -135, 86, -186, 163 },
{ 190, -179, 567, -629, 301, -264, 430, 772, -2052, -236, -67, -303, 97, -23, 183, 384, -105, 916, -1146, -272, -116, -234, 755, 636, 295, 109, -180, 219, 464, 89, 498, 200, 384, -197, 226, -200, 529, -176, -156, 701, -221, -170 },
{ 113, 113, -179, 375, -252, -299, 303, -125, -691, -180, 432, 60, 101, -159, -648, 409, 293, -364, -147, -865, 208, 128, -867, 400, 185, 1172, 1353, -339, 447, -264, 239, 419, 1397, -149, 136, 235, -170, -161, -596, -102, 449, -322 },
{ -60, -70, 173, -69, 99, 1595, -164, 870, 184, -76, -602, 276, 87, 41, -49, -52, 104, 138, -143, 66, -166, 102, -87, -55, 77, 20, -60, -22, -42, -166, 211, -30, 161, -311, -150, 146, -70, 59, 44, 43, 189, 250 },
{ 174, -101, 59, -53, 2155, 133, -75, -103, 352, -51, 1159, -73, -146, 110, -256, 225, -101, 73, -213, 52, -39, -118, 393, -54, 45, -1796, -54, 58, -34, -2458, 127, 70, -57, -80, 555, -50, 126, 167, 129, -38, -1012, 204 },
{ 224, 215, 1038, -108, 38, -71, 1528, -129, 293, -55, 127, -238, 666, -180, -152, 128, 1176, 171, -188, -99, -84, -180, -167, -121, 52, -1962, -105, -76, 151, -158, 247, 228, -94, -84, 200, 533, -56, 116, -122, 158, -210, 257 },
{ 213, -118, 79, -148, -78, 186, -152, 308, 1802, 33, -95, -36, 134, 257, -2107, 39, 41, -115, -13, -2124, -102, 352, -108, 162, -64, -84, -100, -56, 160, 96, 193, 105, -20, -164, -2167, 243, -27, 19, 174, 97, -156, 446 },
{ 507, -134, 482, 36, 104, -117, -73, -84, 2462, -108, 73, 146, 1922, 33, -313, 109, 46, -190, -158, 502, -218, 179, -261, 194, -66, 110, -316, 466, -59, -127, 178, 195, 63, -213, 156, 365, -199, 40, -139, 136, -225, 479 },
{ 777, -325, 197, -156, -182, -99, 431, -66, 113, 228, 295, 161, 28, -157, 88, -98, 527, -119, -245, -114, 144, 150, 114, 112, -159, 325, -197, 152, -205, -185, 136, 304, -93, -89, 32, 241, -158, 76, 224, -57, 240, 411 },
{ 121, 82, -237, 142, 392, 203, -105, 351, -56, -39, -104, 19, 669, -79, -85, 65, -534, 93, 28, -955, -130, 61, 318, -136, -62, 222, 90, -183, -95, -180, 342, 768, -157, 32, 28, 113, -10, -1423, -81, 207, 180, 363 },
{ 286, -62, 80, 35, 96, -250, -224, 228, -102, 120, -374, 447, -118, -1338, 1002, 54, -216, -156, 365, -222, -71, -468, -93, 224, -226, 302, 148, -882, -290, 117, 715, 349, -212, 820, 74, 216, -92, -235, 66, 545, -137, 278 },
{ 2075, 1926, -222, 293, 70, -201, -162, 33, -686, 99, -85, 510, -396, 16, -135, 73, -51, -482, 172, 343, 1298, -231, 450, 127, -165, 164, 399, 116, -447, 51, 669, 128, 610, -911, 819, 238, -107, 140, -142, 115, -323, 399 },
{ -27, 185, -146, 65, -186, 23, 474, -118, 285, 211, -420, 274, 239, -246, 1722, -16, -462, -70, 160, -43, 1393, 530, -217, 251, 623, 55, -429, 650, -169, -286, 472, 408, 125, 305, -308, 1626, 101, -146, 301, -49, -171, 344 },
{ -347, 121, 192, 31, -49, -186, 616, -60, -240, -129, 99, 1605, -736, 599, -302, 52, -108, 35, 111, 158, -59, -172, 112, -153, 47, -909, 127, -358, 143, 190, 166, 278, -135, 36, -503, 53, -47, 352, 582, 81, -88, 397 },
{ -72, -66, 482, 67, 117, 1102, -181, -165, 126, 281, -58, -737, 350, 542, -75, -79, -81, -473, 180, 260, 229, -366, 137, 1634, -445, 138, -166, 183, -280, -317, 1277, 286, -219, 207, 75, -109, -79, 71, -1170, 82, -131, 306 },
{ 33, 1507, -623, -25, 30, 54, -80, 14, -1635, -163, -80, 500, -1856, 294, -34, 61, 40, -1800, 790, 153, -104, -302, 135, -178, 742, 130, -120, 246, -297, 877, 262, 81, -577, 279, -120, 226, -95, -26, 196, -131, 1363, 476 },
{ 153, -118, 2110, -70, -273, 150, -93, 165, 49, 112, -202, 193, 49, -190, 132, -71, -87, -76, 311, 248, -158, -151, 391, 55, 781, 34, -838, 146, -134, -126, 299, -155, 982, 468, 90, -149, -104, 121, 115, 586, 508, 264 },
{ 143, -90, 756, -327, 1126, 283, 384, -224, 1969, -958, -107, 848, 543, -255, 198, -416, 141, -1569, -404, 190, 697, 163, -303, 135, 468, -238, -255, 363, -654, 1378, 117, 115, -160, 221, -183, 286, 433, -393, 302, -326, -208, 1941 },
{ -63, 107, 223, -128, -20, 129, -115, -38, 155, 55, -253, 633, -78, 345, -52, 54, -252, 6, -74, 454, -1034, 297, -47, -1500, -80, -352, 54, 224, -1008, -37, 104, -135, 132, -576, 119, 149, -61, 73, 68, -134, 369, 261 },
{ -19, 240, -116, 173, 122, -2211, 513, -128, -123, 32, 101, -82, -196, 785, -96, 107, -226, 227, -266, 104, 177, -214, 382, -268, 43, 356, 179, -212, -1575, -179, 25, 161, -182, -982, 165, -64, -410, 110, -80, 689, -110, 307 },
{ 167, 619, -52, 1621, -93, -86, 386, 91, -112, 85, -175, 22, 98, -120, 132, -55, 505, 45, -39, 842, -29, -1283, -97, -215, 224, 40, -128, 509, 243, -280, 482, -295, 483, 424, 146, -109, 14, -76, -88, 364, 82, 232 },
{ 331, -101, -163, 126, -88, 99, 138, -90, -107, 260, -292, 350, -68, -181, 162, -158, 154, -257, 140, -973, 394, -49, -210, -209, 229, -50, 282, 203, -264, 183, 276, -165, -197, 610, -231, -55, -255, 358, -83, 511, 538, 1331 },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 },
{ 856, 170, -173, 1970, 107, -107, -234, 214, -135, 317, -652, 139, -515, -181, 566, -307, -103, 581, 269, -147, 246, -447, 357, -59, -77, -415, 263, 587, -639, 518, -363, 1015, -399, 238, -100, 149, -117, 163, -270, -38, 606, 443 },
{ 97, -124, -54, 302, 65, 553, -227, 534, -119, 132, -98, 320, -429, 524, 500, -171, -136, 284, 958, 296, -183, -81, 1118, -167, -50, 40, 177, -281, 346, -82, 637, 217, -313, 372, 448, 521, 89, -248, 234, 272, -253, 534 },
{ -28, 98, 37, -79, 43, -77, -145, 16, 28, 32, -1080, -435, 513, 283, 43, -139, -53, 226, 181, 107, -254, -28, -137, 125, -69, 55, 19, -360, -149, -61, 224, 70, -101, 114, -67, 165, 414, 42, 117, 248, 109, 248 },
{ 22, 29, 183, -1095, 105, -115, 171, 2458, -622, -69, -88, 32, 143, -89, 71, -65, -39, 146, -1237, -136, 182, -141, -97, 1432, 118, -87, -96, -96, 38, -150, 2458, 199, -104, 39, -47, 331, 199, 76, 314, 111, -101, 145 },
{ -19, 388, 130, -264, 268, -136, -37, 208, -247, -146, -484, 635, -249, 156, 1692, -394, -204, 227, 153, -263, 755, -477, 175, 1996, -78, 168, -86, 731, -207, 227, 502, 409, -268, 133, -33, 650, -99, -2462, 1735, 157, -285, 476 },
{ -118, 219, 195, 1172, -136, -983, 137, -444, 73, 147, -87, 404, 470, 139, -325, 232, 98, -127, 89, -191, 55, 160, 318, 1701, 183, -123, -1469, -987, 270, -305, 358, 1510, -45, -62, -220, -153, 163, -104, 213, -130, 1678, 776 },
{ -128, 2458, 151, -22, -772, 1882, -452, 357, -2458, 45, 219, 282, -714, -79, 61, 400, -245, -114, -293, 190, 429, -237, 645, 146, 108, 215, -12, 254, -256, 969, -576, 92, -175, -185, -690, -244, -126, 246, -189, 165, -332, 411 },
{ 53, 92, -292, 77, -76, -55, -407, 1767, -270, 79, 1264, 420, -1698, 332, -51, 72, -120, -275, -276, 342, -105, -1217, -99, 446, -110, 107, 192, 140, -319, 674, 283, 213, 858, 2082, -940, 128, -164, 189, -262, 76, -824, 253 },
{ 44, -500, 86, 545, -255, 1047, -260, 508, -151, -211, -293, 297, 72, 1602, 146, 749, 76, -480, -179, 168, -147, -149, -151, 528, 177, -83, 330, 210, -273, 305, 186, 160, 525, 876, -294, 67, 164, -292, 289, 368, -306, -892 },
{ -60, -1803, 621, -115, 251, -1191, -252, 169, -126, -541, -482, 2274, -434, -103, 181, 127, -106, -60, 367, 371, -113, -116, 296, 182, 100, 214, -245, -186, -84, -322, 165, 164, -281, 659, -151, 123, -97, 94, -85, 149, 1304, 342 },
{ 60, 144, 828, -301, 42, -151, 140, -322, 286, -185, 128, 46, -661, 58, -739, -55, -33, -2462, -141, 336, -333, -68, 297, 575, -159, -36, 454, 41, -1970, -103, 386, -177, 144, 779, 711, 556, 112, -183, -59, 137, -123, 231 },
{ -111, 70, 1354, -95, 95, 847, -77, -45, 109, 1168, -148, 226, 236, -278, -186, 136, -79, -143, -58, 31, 2327, 2461, -207, 490, -172, 60, 95, 215, -308, 239, 654, 229, 306, 595, -444, 64, 168, -296, 164, -395, 149, -366 },
{ -114, 114, -58, 88, 98, 727, -333, 91, 533, 151, -76, 121, -331, -99, 416, 186, -191, 398, -261, -129, 661, -152, 297, 845, 394, -2147, 106, -56, 238, -122, 101, 441, -2355, 149, -283, 148, 137, -202, 686, 138, -149, 110 },
{ -74, 64, -195, -98, 246, -1544, 199, -115, -518, -183, -117, -2458, 231, 380, 2147, 153, 2316, -168, 206, 850, -197, -125, 722, 331, 1180, 396, 341, 70, 595, -138, -297, 296, -101, 500, 88, -101, -1989, -75, 153, -202, 674, 358 },
{ -234, 122, -187, 289, -68, -164, -65, 582, -122, 388, -104, 122, 146, 244, 152, -212, -318, 178, -44, 331, 356, 157, -87, 553, 192, 169, -210, -446, -249, 348, 1135, 408, 407, -196, 288, -200, -41, -451, 370, -461, 76, -212 }
 }
 }

 };


static const short m_clippingFixed[NUM_SETS_FIXED_FILTERS][NUM_CLASSIFIER][NUM_FIXED_FILTERS][42] = { 
{ 
{ 
{ 3, 2, 1, 2, 2, 3, 3, 3, 2, 2, 0, 2, 3, 1, 2, 2, 2, 0, 2, 2, 2, 2, 2, 3, 2, 2, 3, 3, 2, 3, 3, 3, 2, 3, 3, 2, 3, 1, 3, 2, 2, 3  },
{ 3, 2, 1, 2, 1, 2, 3, 3, 2, 2, 2, 3, 2, 3, 3, 2, 2, 2, 3, 2, 2, 2, 2, 3, 2, 2, 2, 3, 2, 3, 3, 0, 2, 3, 3, 2, 3, 1, 3, 2, 2, 1  },
{ 3, 2, 1, 2, 1, 2, 3, 1, 2, 3, 2, 3, 2, 3, 3, 2, 2, 2, 1, 3, 2, 2, 2, 2, 3, 3, 2, 1, 2, 3, 3, 0, 1, 3, 3, 2, 2, 1, 3, 3, 1, 2  },
{ 3, 2, 1, 2, 2, 1, 3, 0, 2, 3, 2, 0, 3, 2, 1, 2, 2, 2, 3, 2, 2, 3, 3, 3, 2, 2, 3, 3, 1, 1, 1, 1, 2, 2, 3, 0, 2, 1, 3, 3, 2, 2  },
{ 2, 3, 3, 3, 1, 1, 1, 0, 2, 3, 0, 2, 2, 3, 2, 0, 1, 2, 2, 1, 3, 0, 2, 3, 3, 3, 0, 3, 0, 2, 1, 1, 2, 2, 1, 2, 2, 0, 3, 2, 1, 2  },
{ 2, 2, 2, 2, 0, 1, 3, 0, 0, 1, 1, 0, 1, 0, 1, 1, 2, 3, 3, 2, 3, 0, 2, 3, 3, 2, 2, 1, 1, 1, 0, 1, 3, 0, 3, 1, 2, 1, 0, 0, 0, 1  },
{ 0, 1, 1, 3, 1, 0, 0, 0, 0, 0, 1, 0, 2, 3, 3, 0, 0, 3, 2, 0, 0, 2, 1, 2, 1, 2, 1, 1, 2, 2, 1, 1, 1, 3, 1, 3, 2, 2, 3, 1, 2, 2  },
{ 2, 3, 2, 1, 1, 2, 3, 2, 0, 2, 3, 3, 3, 0, 1, 3, 2, 3, 3, 3, 3, 3, 1, 2, 3, 2, 3, 3, 3, 3, 2, 2, 2, 3, 2, 3, 3, 3, 3, 3, 2, 2  },
{ 1, 2, 0, 3, 1, 3, 0, 0, 1, 3, 2, 1, 1, 2, 2, 2, 3, 0, 2, 2, 0, 3, 2, 1, 3, 2, 3, 1, 1, 3, 1, 1, 1, 1, 3, 2, 2, 1, 2, 3, 2, 2  },
{ 2, 1, 2, 1, 2, 3, 3, 2, 2, 2, 2, 3, 2, 2, 1, 2, 1, 3, 2, 1, 2, 3, 0, 3, 3, 2, 1, 2, 1, 3, 2, 2, 2, 3, 0, 2, 2, 1, 3, 3, 2, 2  },
{ 3, 2, 1, 2, 0, 1, 3, 2, 2, 3, 1, 2, 1, 0, 3, 2, 0, 1, 3, 2, 2, 2, 3, 1, 2, 2, 2, 3, 2, 0, 2, 1, 2, 1, 2, 2, 3, 1, 3, 1, 2, 3  },
{ 3, 2, 1, 2, 0, 1, 3, 2, 2, 3, 2, 2, 1, 2, 2, 3, 0, 1, 3, 2, 2, 2, 3, 1, 2, 3, 2, 3, 2, 1, 2, 2, 2, 3, 1, 2, 2, 1, 3, 1, 2, 1  },
{ 3, 2, 1, 2, 0, 1, 3, 2, 2, 3, 1, 2, 0, 1, 0, 2, 0, 1, 0, 2, 2, 2, 3, 1, 2, 3, 2, 3, 2, 1, 0, 2, 2, 1, 3, 2, 2, 1, 3, 3, 2, 1  },
{ 3, 3, 1, 2, 1, 1, 3, 0, 2, 3, 3, 2, 0, 0, 3, 2, 2, 3, 0, 3, 2, 2, 0, 3, 2, 3, 2, 1, 2, 2, 2, 2, 2, 3, 3, 2, 2, 1, 3, 1, 0, 2  },
{ 3, 3, 1, 2, 1, 1, 3, 2, 2, 3, 3, 1, 2, 0, 2, 2, 1, 3, 0, 3, 2, 2, 2, 3, 1, 3, 2, 1, 2, 2, 2, 2, 2, 1, 3, 2, 2, 0, 3, 1, 2, 0  },
{ 3, 3, 1, 2, 1, 2, 3, 2, 3, 3, 2, 2, 0, 2, 3, 2, 2, 1, 3, 3, 2, 2, 3, 1, 2, 2, 2, 1, 2, 0, 2, 0, 2, 1, 1, 2, 2, 1, 3, 2, 0, 3  },
{ 3, 1, 3, 2, 1, 1, 2, 2, 2, 3, 3, 2, 2, 2, 0, 2, 3, 3, 3, 1, 3, 2, 3, 0, 3, 3, 2, 1, 3, 0, 0, 2, 2, 1, 3, 2, 2, 0, 2, 3, 2, 2  },
{ 1, 3, 1, 3, 3, 2, 3, 2, 0, 3, 2, 3, 1, 2, 3, 2, 2, 3, 1, 3, 2, 3, 3, 2, 3, 2, 3, 3, 2, 0, 0, 0, 0, 2, 3, 2, 2, 1, 3, 3, 2, 2  },
{ 3, 1, 2, 3, 2, 2, 2, 0, 2, 3, 2, 1, 1, 0, 2, 2, 0, 2, 3, 1, 3, 3, 3, 1, 2, 2, 3, 0, 3, 2, 1, 1, 2, 1, 3, 3, 2, 1, 1, 3, 1, 3  },
{ 3, 1, 0, 2, 1, 2, 2, 2, 1, 3, 0, 1, 1, 2, 0, 2, 3, 2, 2, 3, 0, 3, 2, 3, 3, 3, 3, 1, 1, 1, 1, 2, 2, 1, 3, 2, 2, 3, 2, 1, 2, 2  },
{ 3, 2, 0, 2, 1, 1, 3, 3, 2, 3, 1, 1, 2, 1, 3, 2, 2, 0, 1, 3, 2, 2, 2, 3, 2, 3, 2, 2, 2, 2, 0, 0, 2, 3, 0, 2, 2, 1, 3, 0, 2, 0  },
{ 3, 1, 3, 2, 3, 3, 3, 0, 2, 0, 1, 1, 3, 2, 3, 3, 3, 2, 0, 0, 2, 2, 2, 3, 2, 0, 1, 0, 0, 2, 0, 0, 2, 1, 3, 2, 2, 2, 0, 2, 2, 0  },
{ 3, 1, 0, 2, 2, 3, 2, 2, 2, 3, 0, 2, 3, 2, 3, 2, 1, 3, 1, 1, 2, 2, 2, 0, 3, 3, 1, 0, 0, 2, 2, 2, 2, 3, 2, 2, 2, 0, 3, 1, 0, 1  },
{ 0, 2, 2, 2, 2, 2, 2, 2, 2, 3, 2, 3, 2, 3, 2, 3, 2, 1, 2, 0, 2, 1, 2, 1, 0, 3, 2, 2, 0, 1, 0, 0, 3, 2, 1, 2, 2, 0, 3, 0, 2, 2  },
{ 3, 2, 0, 3, 1, 3, 3, 2, 1, 3, 3, 1, 0, 2, 1, 3, 0, 1, 0, 0, 2, 2, 3, 3, 1, 2, 1, 1, 3, 0, 0, 2, 2, 2, 3, 2, 3, 0, 3, 0, 2, 2  },
{ 0, 3, 2, 2, 2, 2, 3, 3, 2, 3, 1, 2, 0, 2, 1, 2, 2, 1, 3, 1, 2, 0, 2, 1, 0, 2, 2, 2, 3, 2, 0, 0, 0, 2, 2, 2, 2, 2, 2, 3, 2, 0  },
{ 1, 3, 3, 2, 1, 1, 2, 1, 2, 3, 2, 2, 0, 1, 3, 2, 0, 2, 0, 3, 2, 2, 0, 3, 0, 2, 1, 1, 3, 1, 1, 2, 1, 3, 3, 2, 2, 2, 1, 0, 2, 2  },
{ 0, 3, 0, 3, 1, 2, 3, 2, 2, 3, 1, 2, 0, 2, 3, 2, 0, 3, 1, 3, 2, 0, 3, 1, 2, 2, 1, 3, 0, 0, 0, 0, 2, 3, 2, 2, 2, 1, 3, 1, 2, 2  },
{ 3, 3, 1, 2, 1, 1, 2, 2, 3, 3, 0, 2, 0, 2, 1, 3, 0, 3, 0, 3, 2, 3, 1, 2, 2, 2, 1, 2, 3, 0, 0, 0, 2, 3, 3, 2, 2, 1, 3, 3, 0, 0  },
{ 1, 2, 1, 3, 1, 1, 2, 1, 2, 1, 3, 2, 0, 1, 1, 2, 3, 2, 3, 1, 3, 1, 3, 2, 3, 2, 3, 1, 1, 0, 2, 2, 1, 3, 3, 2, 2, 0, 2, 0, 0, 2  },
{ 1, 3, 0, 3, 0, 2, 3, 0, 1, 3, 0, 1, 0, 3, 2, 2, 3, 1, 3, 3, 3, 3, 0, 1, 2, 2, 3, 2, 3, 0, 0, 0, 0, 2, 1, 2, 2, 1, 3, 1, 2, 3  },
{ 1, 2, 2, 3, 1, 1, 3, 0, 3, 3, 1, 3, 3, 3, 0, 2, 1, 2, 0, 3, 2, 3, 0, 1, 2, 2, 1, 2, 3, 0, 0, 0, 2, 1, 3, 2, 2, 1, 1, 3, 2, 0  },
{ 1, 2, 2, 2, 1, 2, 2, 1, 1, 1, 2, 1, 3, 3, 2, 2, 3, 2, 2, 2, 3, 2, 1, 3, 3, 1, 0, 1, 2, 3, 1, 1, 2, 1, 3, 2, 2, 0, 1, 0, 2, 1  },
{ 0, 3, 0, 3, 1, 2, 3, 0, 3, 3, 0, 1, 1, 3, 0, 3, 3, 1, 3, 0, 2, 0, 3, 2, 1, 2, 2, 3, 3, 1, 0, 2, 3, 2, 3, 2, 2, 1, 3, 2, 2, 3  },
{ 1, 3, 3, 2, 0, 0, 1, 2, 0, 3, 2, 1, 0, 2, 3, 2, 0, 0, 2, 3, 3, 3, 2, 0, 1, 2, 0, 1, 2, 3, 0, 0, 0, 1, 1, 3, 2, 0, 3, 0, 1, 3  },
{ 3, 3, 1, 3, 1, 3, 2, 1, 3, 3, 3, 2, 2, 3, 2, 3, 0, 3, 0, 3, 2, 2, 1, 3, 2, 2, 2, 3, 1, 3, 0, 1, 3, 3, 1, 2, 3, 2, 3, 3, 2, 2  },
{ 0, 2, 0, 2, 2, 2, 0, 1, 0, 2, 0, 2, 2, 0, 3, 1, 0, 2, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 1, 3, 2, 1, 1, 3, 2, 1  },
{ 3, 2, 0, 2, 2, 2, 2, 1, 3, 3, 2, 1, 2, 0, 2, 3, 0, 1, 2, 0, 2, 0, 2, 2, 2, 2, 1, 2, 0, 0, 0, 0, 0, 3, 2, 2, 2, 0, 2, 2, 2, 0  },
{ 3, 3, 1, 2, 1, 1, 3, 1, 0, 3, 1, 0, 2, 0, 1, 2, 1, 0, 0, 0, 2, 3, 2, 0, 3, 2, 1, 1, 1, 0, 2, 1, 2, 2, 2, 2, 0, 2, 2, 2, 2, 2  },
{ 3, 0, 1, 2, 2, 3, 3, 1, 2, 3, 2, 1, 1, 2, 2, 0, 1, 0, 2, 1, 0, 2, 2, 2, 2, 3, 1, 1, 1, 0, 2, 2, 2, 3, 2, 2, 2, 0, 2, 2, 0, 0  },
{ 3, 2, 0, 2, 1, 1, 2, 1, 2, 3, 3, 1, 0, 2, 1, 2, 0, 0, 2, 0, 3, 1, 2, 3, 3, 3, 1, 1, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 3, 2, 0, 2  },
{ 2, 3, 0, 1, 1, 0, 2, 1, 2, 3, 2, 1, 3, 1, 2, 0, 3, 3, 2, 1, 3, 2, 2, 3, 2, 1, 0, 1, 0, 0, 1, 0, 1, 3, 1, 2, 3, 1, 3, 2, 1, 1  },
{ 2, 2, 1, 0, 0, 3, 2, 1, 2, 3, 0, 3, 2, 2, 2, 0, 3, 0, 0, 3, 3, 0, 2, 3, 2, 0, 0, 2, 1, 3, 0, 1, 1, 1, 1, 1, 3, 1, 3, 2, 1, 1  },
{ 0, 3, 2, 3, 3, 1, 2, 2, 1, 2, 3, 3, 1, 0, 1, 2, 1, 2, 0, 2, 3, 1, 3, 1, 3, 0, 2, 3, 2, 1, 0, 0, 2, 1, 1, 1, 3, 3, 1, 1, 2, 1  },
{ 1, 2, 2, 2, 1, 1, 2, 2, 2, 3, 2, 1, 0, 2, 1, 2, 2, 1, 3, 1, 1, 1, 2, 1, 1, 2, 3, 2, 3, 0, 0, 0, 3, 2, 1, 2, 0, 2, 3, 0, 2, 0  },
{ 0, 3, 3, 2, 1, 1, 2, 1, 0, 3, 1, 2, 0, 1, 1, 2, 2, 0, 3, 0, 1, 0, 2, 1, 0, 2, 3, 1, 3, 0, 0, 0, 2, 2, 1, 2, 0, 2, 3, 0, 2, 2  },
{ 1, 3, 2, 2, 1, 0, 2, 1, 0, 3, 0, 2, 0, 1, 1, 2, 0, 1, 2, 0, 3, 2, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 0, 3, 1, 2, 2, 2, 3, 2, 2, 0  },
{ 1, 2, 2, 2, 1, 1, 2, 2, 2, 3, 2, 2, 2, 2, 2, 2, 2, 1, 3, 1, 3, 3, 0, 2, 2, 2, 1, 2, 3, 0, 0, 0, 2, 2, 3, 2, 0, 2, 3, 0, 2, 2  },
{ 0, 2, 1, 3, 2, 3, 3, 0, 0, 3, 0, 2, 0, 1, 3, 2, 0, 1, 3, 0, 1, 0, 0, 3, 3, 2, 1, 1, 3, 0, 0, 2, 0, 0, 1, 2, 3, 1, 3, 2, 2, 2  },
{ 0, 0, 2, 1, 1, 1, 2, 2, 2, 3, 2, 1, 0, 1, 1, 2, 0, 2, 2, 0, 3, 1, 3, 2, 3, 3, 1, 1, 1, 0, 0, 0, 0, 3, 2, 1, 2, 0, 3, 2, 1, 2  },
{ 1, 3, 2, 3, 0, 0, 3, 0, 0, 3, 1, 3, 0, 2, 0, 3, 2, 1, 3, 0, 1, 1, 3, 1, 3, 2, 1, 2, 3, 0, 0, 3, 0, 2, 3, 2, 2, 1, 3, 0, 2, 0  },
{ 1, 3, 0, 2, 1, 2, 3, 0, 2, 3, 0, 1, 0, 2, 3, 2, 0, 1, 2, 0, 1, 2, 1, 1, 3, 2, 1, 1, 2, 1, 0, 0, 0, 1, 3, 2, 2, 0, 0, 3, 1, 2  },
{ 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 2, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 1, 2, 2, 2, 2, 2, 2, 1, 0, 3, 2, 1, 2, 2, 1, 3, 1, 1, 2, 2, 2, 2, 2, 2, 0, 2, 1, 0, 0, 0, 0, 1, 1, 1, 1, 2, 1, 3, 2, 2, 1, 0  },
{ 1, 2, 2, 2, 1, 1, 2, 1, 0, 3, 0, 1, 0, 1, 2, 2, 1, 1, 2, 2, 0, 0, 2, 1, 0, 2, 1, 2, 1, 0, 0, 0, 3, 2, 1, 2, 1, 0, 2, 2, 0, 2  },
{ 0, 2, 2, 2, 1, 1, 3, 2, 2, 3, 3, 1, 0, 1, 2, 0, 1, 2, 2, 1, 0, 2, 2, 2, 2, 2, 1, 1, 2, 0, 2, 0, 2, 1, 1, 1, 3, 0, 3, 0, 3, 0  },
{ 3, 0, 0, 1, 1, 0, 0, 0, 1, 2, 2, 3, 1, 1, 2, 0, 1, 0, 0, 2, 3, 3, 2, 3, 2, 0, 0, 1, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 2, 3, 2, 2  },
{ 0, 2, 2, 2, 1, 2, 2, 1, 1, 0, 3, 1, 0, 1, 2, 2, 0, 2, 2, 0, 3, 0, 2, 3, 3, 2, 0, 2, 0, 1, 0, 0, 0, 0, 2, 1, 3, 0, 3, 2, 2, 2  },
{ 2, 3, 0, 0, 1, 2, 0, 3, 1, 0, 2, 0, 0, 0, 1, 2, 0, 1, 2, 2, 3, 1, 3, 1, 3, 3, 0, 0, 0, 3, 1, 2, 1, 3, 2, 1, 2, 0, 3, 1, 2, 1  },
{ 1, 2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 1, 2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1, 1, 0, 0, 0, 1, 1, 2, 2, 1, 1, 2, 2, 0, 0  },
{ 1, 2, 2, 2, 2, 1, 2, 2, 2, 2, 3, 2, 3, 2, 2, 2, 0, 1, 2, 0, 0, 1, 2, 1, 2, 2, 1, 2, 3, 0, 0, 0, 3, 2, 2, 2, 1, 2, 2, 1, 3, 0  },
{ 1, 2, 2, 2, 2, 2, 2, 1, 1, 3, 2, 2, 3, 2, 1, 3, 2, 0, 3, 0, 1, 0, 2, 1, 0, 2, 2, 1, 3, 0, 0, 0, 1, 2, 1, 2, 0, 2, 2, 3, 1, 2  },
{ 1, 2, 2, 2, 1, 2, 1, 3, 1, 3, 2, 1, 0, 1, 1, 2, 0, 2, 2, 0, 2, 0, 2, 3, 2, 2, 1, 1, 2, 3, 0, 0, 2, 2, 1, 2, 1, 2, 3, 3, 1, 2  },
{ 1, 3, 2, 2, 1, 1, 3, 1, 2, 3, 1, 2, 2, 2, 1, 3, 2, 3, 3, 0, 3, 0, 3, 1, 0, 2, 2, 1, 1, 3, 0, 3, 2, 2, 1, 2, 0, 2, 3, 0, 2, 0  },
{ 0, 3, 3, 3, 1, 1, 3, 0, 1, 3, 0, 2, 0, 1, 0, 2, 2, 2, 3, 0, 3, 0, 0, 0, 3, 2, 3, 1, 0, 3, 0, 0, 1, 2, 1, 2, 0, 0, 3, 2, 2, 2  },
{ 1, 2, 2, 3, 1, 2, 3, 1, 1, 3, 2, 1, 0, 1, 2, 2, 0, 2, 2, 3, 2, 1, 1, 2, 3, 1, 1, 1, 2, 3, 0, 0, 0, 2, 3, 2, 0, 0, 1, 1, 2, 0  },
{ 1, 2, 3, 3, 1, 2, 3, 1, 1, 1, 2, 1, 0, 1, 1, 2, 3, 1, 0, 2, 3, 1, 0, 0, 3, 2, 0, 1, 0, 2, 0, 0, 0, 3, 1, 2, 0, 1, 3, 1, 3, 0  },
{ 0, 2, 0, 3, 2, 2, 2, 3, 1, 3, 1, 2, 2, 2, 2, 3, 2, 1, 3, 0, 3, 0, 3, 1, 0, 2, 3, 2, 2, 3, 0, 3, 1, 1, 1, 2, 0, 2, 3, 0, 2, 2  },
{ 1, 2, 2, 3, 0, 1, 3, 0, 1, 3, 3, 2, 1, 2, 2, 2, 0, 2, 0, 3, 3, 2, 0, 1, 0, 2, 1, 1, 3, 3, 0, 0, 0, 0, 3, 2, 2, 2, 2, 3, 0, 0  },
{ 1, 2, 1, 3, 1, 3, 2, 2, 2, 3, 1, 2, 2, 2, 2, 2, 0, 1, 2, 3, 1, 0, 1, 3, 3, 2, 1, 1, 2, 3, 0, 0, 0, 1, 3, 2, 3, 3, 1, 2, 2, 2  },
{ 0, 2, 2, 3, 1, 1, 3, 1, 3, 0, 3, 2, 1, 3, 2, 2, 0, 2, 1, 2, 3, 0, 0, 1, 3, 1, 2, 1, 0, 2, 0, 0, 2, 1, 3, 2, 0, 0, 1, 2, 2, 0  },
{ 0, 0, 1, 0, 0, 1, 0, 1, 2, 3, 2, 1, 0, 2, 0, 1, 1, 2, 3, 0, 2, 2, 0, 1, 3, 2, 0, 0, 0, 3, 0, 1, 0, 0, 3, 2, 3, 3, 1, 2, 2, 2  },
{ 0, 3, 0, 3, 1, 3, 0, 3, 1, 3, 0, 0, 0, 2, 2, 3, 2, 1, 3, 0, 2, 3, 0, 1, 3, 2, 1, 2, 0, 3, 0, 3, 0, 3, 1, 2, 2, 1, 3, 1, 2, 0  },
{ 0, 3, 0, 2, 1, 3, 2, 0, 0, 3, 0, 2, 2, 1, 2, 3, 1, 2, 2, 2, 1, 3, 1, 1, 2, 1, 1, 1, 2, 3, 0, 3, 0, 0, 3, 2, 2, 1, 2, 3, 2, 2  },
{ 0, 3, 0, 2, 0, 3, 1, 0, 3, 1, 0, 2, 0, 2, 2, 3, 0, 2, 2, 2, 2, 0, 0, 1, 2, 3, 1, 1, 2, 2, 0, 0, 0, 1, 3, 3, 2, 2, 3, 2, 2, 2  },
{ 0, 2, 2, 2, 2, 1, 0, 3, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 2, 2, 1, 1, 0, 1, 3, 2, 2, 1, 3, 2, 0, 0, 0, 1, 3, 2, 2, 3, 1, 2, 0, 0  },
{ 1, 2, 3, 0, 0, 1, 3, 1, 0, 0, 2, 0, 0, 2, 0, 1, 1, 2, 3, 0, 2, 3, 0, 0, 3, 0, 0, 3, 0, 2, 1, 1, 1, 3, 2, 1, 0, 0, 1, 0, 3, 1  },
{ 3, 3, 2, 3, 3, 2, 0, 3, 2, 3, 0, 1, 2, 2, 1, 3, 1, 0, 3, 0, 2, 2, 3, 1, 3, 2, 1, 1, 2, 3, 0, 3, 0, 3, 2, 2, 2, 1, 3, 1, 2, 2  },
{ 1, 2, 0, 2, 0, 2, 2, 2, 2, 2, 3, 1, 3, 1, 2, 0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1, 2, 0, 0, 0, 2, 1, 2, 2, 1, 1, 2, 1, 2, 2  },
{ 1, 2, 1, 2, 2, 2, 2, 1, 0, 2, 0, 2, 3, 1, 1, 2, 2, 2, 2, 0, 1, 2, 2, 2, 2, 2, 3, 1, 2, 0, 0, 0, 2, 1, 2, 2, 1, 3, 3, 0, 1, 0  },
{ 3, 0, 0, 2, 1, 3, 3, 1, 0, 2, 0, 1, 0, 1, 1, 2, 1, 2, 2, 3, 2, 0, 0, 0, 2, 2, 2, 1, 0, 2, 0, 0, 3, 1, 3, 1, 0, 3, 1, 0, 2, 0  },
{ 1, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 1, 1, 2, 1, 0, 2, 2, 2, 1, 2, 0, 3, 2, 1, 1, 1, 2, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 2, 0  },
{ 2, 2, 2, 2, 1, 2, 1, 2, 1, 0, 0, 1, 1, 3, 2, 2, 1, 2, 2, 2, 1, 0, 2, 3, 2, 2, 0, 1, 3, 2, 0, 0, 2, 2, 2, 1, 0, 1, 1, 3, 0, 2  },
{ 2, 2, 1, 2, 0, 2, 1, 2, 0, 1, 0, 3, 0, 1, 1, 2, 0, 2, 2, 2, 3, 0, 2, 0, 3, 3, 3, 0, 2, 2, 0, 2, 2, 2, 1, 2, 3, 0, 2, 3, 0, 0  },
{ 2, 0, 1, 3, 1, 2, 3, 1, 0, 0, 2, 1, 2, 0, 1, 2, 1, 2, 1, 2, 3, 1, 2, 0, 3, 2, 1, 2, 0, 2, 0, 0, 0, 3, 2, 1, 0, 0, 3, 1, 0, 2  },
{ 2, 2, 1, 1, 3, 2, 3, 1, 1, 0, 0, 1, 3, 1, 2, 0, 1, 0, 2, 2, 3, 0, 2, 3, 2, 3, 2, 0, 2, 2, 1, 1, 2, 1, 3, 2, 3, 2, 3, 2, 0, 1  },
{ 1, 1, 1, 2, 3, 2, 2, 1, 2, 2, 1, 0, 3, 0, 1, 2, 1, 0, 2, 1, 3, 0, 2, 3, 2, 3, 1, 0, 3, 3, 0, 0, 1, 2, 1, 2, 0, 2, 3, 2, 1, 0  },
{ 0, 2, 0, 2, 2, 2, 2, 2, 2, 3, 2, 1, 0, 2, 2, 2, 2, 2, 2, 2, 3, 0, 2, 2, 2, 2, 2, 2, 1, 0, 0, 0, 2, 1, 2, 2, 0, 0, 2, 1, 3, 0  },
{ 1, 2, 2, 2, 2, 2, 2, 2, 2, 3, 0, 1, 1, 1, 1, 2, 2, 2, 3, 2, 0, 0, 2, 2, 2, 2, 2, 1, 1, 3, 0, 0, 3, 2, 1, 2, 0, 2, 2, 3, 0, 0  },
{ 0, 3, 1, 2, 0, 0, 3, 0, 1, 0, 3, 1, 0, 1, 1, 3, 1, 0, 3, 0, 2, 0, 3, 3, 1, 2, 3, 1, 1, 3, 0, 0, 1, 1, 2, 2, 1, 2, 3, 0, 1, 0  },
{ 1, 1, 1, 2, 1, 3, 3, 0, 0, 3, 2, 1, 0, 1, 0, 2, 1, 0, 3, 3, 0, 0, 1, 2, 3, 2, 1, 1, 2, 3, 0, 0, 0, 1, 3, 2, 0, 2, 2, 0, 0, 0  },
{ 0, 3, 2, 2, 0, 0, 2, 2, 2, 3, 0, 2, 0, 2, 0, 3, 2, 0, 3, 0, 3, 0, 3, 2, 2, 2, 2, 1, 1, 3, 0, 3, 1, 1, 2, 2, 0, 2, 3, 0, 1, 0  },
{ 0, 3, 2, 3, 0, 0, 3, 0, 1, 1, 3, 0, 0, 2, 2, 3, 1, 0, 3, 1, 3, 1, 0, 1, 0, 2, 1, 1, 2, 3, 0, 0, 0, 1, 1, 2, 0, 2, 3, 1, 2, 0  },
{ 0, 0, 0, 2, 0, 1, 3, 0, 0, 3, 0, 1, 2, 0, 0, 2, 1, 2, 1, 2, 3, 0, 0, 1, 0, 3, 1, 1, 2, 2, 0, 0, 0, 3, 1, 2, 0, 2, 3, 1, 0, 0  },
{ 0, 2, 2, 3, 1, 2, 3, 0, 0, 1, 2, 1, 2, 2, 1, 2, 1, 2, 3, 0, 3, 1, 0, 3, 3, 1, 1, 2, 0, 2, 0, 0, 1, 3, 2, 1, 2, 0, 3, 1, 0, 1  },
{ 0, 2, 2, 3, 1, 0, 3, 2, 2, 3, 3, 3, 1, 3, 3, 3, 2, 1, 3, 0, 3, 0, 0, 3, 0, 2, 3, 1, 0, 3, 0, 3, 0, 1, 1, 2, 0, 0, 3, 0, 3, 0  },
{ 0, 3, 3, 2, 0, 2, 2, 0, 1, 3, 2, 0, 0, 2, 0, 3, 1, 1, 2, 3, 1, 0, 0, 1, 1, 2, 1, 1, 2, 3, 0, 0, 3, 0, 3, 2, 0, 1, 3, 1, 0, 2  },
{ 0, 0, 0, 2, 0, 2, 1, 0, 0, 3, 2, 0, 2, 0, 0, 1, 0, 2, 3, 2, 0, 0, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 1, 1, 3, 0  },
{ 2, 1, 0, 2, 3, 1, 3, 0, 0, 3, 0, 2, 1, 2, 0, 1, 1, 2, 3, 0, 1, 0, 0, 2, 3, 2, 2, 1, 0, 3, 0, 0, 1, 3, 3, 2, 1, 0, 1, 2, 3, 0  },
{ 0, 3, 0, 3, 1, 2, 3, 0, 2, 3, 0, 0, 0, 2, 3, 1, 2, 0, 0, 3, 0, 1, 3, 1, 2, 2, 1, 2, 2, 3, 0, 3, 1, 3, 2, 2, 2, 0, 3, 3, 2, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 1, 0, 3, 2, 0, 2, 3, 0, 1, 1, 3, 1, 0, 2, 0, 0, 3, 0, 0, 3, 2, 2, 0, 3, 2, 2, 0  },
{ 0, 0, 0, 2, 0, 0, 1, 0, 2, 1, 0, 2, 1, 2, 0, 3, 0, 3, 2, 0, 2, 0, 0, 0, 2, 1, 3, 1, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 1, 2, 0, 0  },
{ 2, 2, 0, 3, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 2, 1, 3, 2, 2, 0, 2, 0, 0, 0, 1, 3, 0, 1, 0, 3, 0, 2, 0, 0, 3, 3, 2, 2, 1, 3, 0, 1  },
{ 0, 2, 1, 1, 2, 2, 1, 2, 2, 0, 3, 2, 1, 0, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 3, 0, 2, 1, 0, 3, 0, 1, 1, 0, 3, 2, 0, 1, 0, 1, 3, 1  },
{ 1, 0, 0, 2, 0, 2, 2, 0, 0, 1, 0, 1, 0, 2, 1, 2, 1, 2, 0, 0, 3, 1, 0, 1, 1, 0, 3, 1, 0, 0, 0, 0, 1, 2, 1, 2, 0, 0, 3, 0, 2, 0  },
{ 0, 0, 1, 2, 0, 2, 3, 0, 0, 1, 1, 1, 0, 1, 1, 2, 1, 2, 0, 1, 0, 1, 1, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0, 1, 3, 2, 0, 3, 3, 0, 2, 0  },
{ 1, 2, 0, 0, 1, 3, 1, 2, 0, 1, 2, 1, 3, 1, 1, 0, 1, 1, 2, 1, 0, 0, 1, 2, 1, 2, 1, 1, 3, 2, 0, 0, 0, 1, 3, 2, 0, 3, 3, 0, 0, 0  },
{ 2, 0, 0, 3, 1, 0, 3, 1, 0, 2, 1, 1, 3, 0, 1, 2, 2, 0, 2, 1, 3, 0, 0, 3, 0, 2, 0, 1, 3, 2, 0, 0, 0, 1, 2, 1, 0, 2, 0, 3, 0, 0  },
{ 2, 0, 0, 2, 1, 2, 3, 0, 2, 1, 1, 1, 2, 3, 1, 0, 1, 2, 2, 1, 0, 0, 1, 1, 2, 1, 3, 1, 3, 3, 0, 1, 3, 1, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 2, 0, 1, 3, 0, 0, 1, 0, 2, 2, 0, 1, 2, 0, 0, 2, 2, 3, 1, 0, 3, 2, 3, 3, 2, 3, 0, 0, 0, 1, 1, 3, 1, 1, 0, 1, 0, 0, 0  },
{ 2, 1, 1, 0, 3, 2, 0, 0, 0, 0, 1, 2, 1, 0, 1, 1, 1, 2, 3, 0, 3, 0, 1, 0, 3, 3, 1, 1, 3, 1, 0, 0, 0, 1, 2, 1, 0, 3, 3, 0, 0, 0  },
{ 3, 0, 1, 0, 2, 3, 1, 2, 2, 3, 0, 3, 1, 3, 1, 2, 0, 3, 2, 2, 2, 1, 1, 3, 2, 2, 1, 0, 1, 3, 0, 0, 2, 1, 3, 0, 3, 0, 1, 0, 0, 0  },
{ 2, 1, 3, 3, 0, 1, 0, 0, 0, 1, 1, 2, 2, 0, 1, 1, 1, 2, 3, 0, 1, 0, 3, 1, 3, 1, 0, 1, 3, 3, 0, 0, 1, 1, 1, 1, 3, 0, 0, 3, 1, 1  },
{ 1, 2, 3, 3, 2, 3, 3, 1, 1, 3, 1, 2, 1, 1, 2, 3, 2, 2, 0, 0, 1, 0, 0, 1, 1, 2, 3, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 3, 0, 1, 0  },
{ 3, 3, 0, 3, 0, 0, 3, 0, 1, 0, 3, 0, 0, 1, 2, 3, 0, 0, 3, 2, 0, 1, 3, 2, 2, 2, 0, 1, 3, 1, 0, 0, 2, 0, 2, 3, 1, 2, 3, 0, 0, 0  },
{ 2, 2, 0, 3, 2, 3, 3, 0, 0, 2, 3, 0, 0, 2, 0, 3, 1, 0, 0, 3, 0, 1, 3, 2, 3, 3, 1, 1, 3, 3, 0, 0, 2, 0, 3, 2, 1, 0, 3, 0, 0, 0  },
{ 0, 3, 2, 3, 0, 0, 3, 0, 1, 3, 0, 1, 0, 2, 0, 3, 1, 0, 3, 0, 0, 0, 3, 2, 2, 0, 2, 1, 0, 3, 0, 1, 3, 0, 3, 2, 0, 0, 3, 0, 1, 0  },
{ 1, 2, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 3, 0, 0, 1, 3, 1, 3, 0, 1, 0, 2, 0, 1, 0, 1, 3, 2, 0, 1, 3, 0, 0, 0  },
{ 3, 3, 0, 3, 0, 0, 3, 0, 0, 3, 3, 0, 0, 3, 3, 3, 1, 1, 3, 3, 0, 3, 1, 3, 0, 2, 1, 1, 0, 3, 0, 3, 1, 1, 0, 2, 0, 2, 3, 0, 1, 0  },
{ 0, 0, 0, 2, 0, 1, 0, 0, 0, 3, 3, 0, 0, 2, 1, 3, 1, 0, 3, 3, 1, 0, 0, 1, 0, 2, 0, 1, 2, 3, 0, 0, 0, 1, 3, 2, 0, 1, 3, 3, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2, 0, 0, 2, 0, 2, 1, 1, 0, 3, 0, 0, 1, 3, 0, 2, 0, 1, 3, 2, 0, 0, 1, 1, 3, 2, 0, 0, 1, 3, 1, 0  },
{ 2, 0, 3, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 2, 1, 3, 2, 0, 3, 0, 0, 3, 3, 2, 3, 1, 3, 2, 0, 1, 0, 1, 3, 2, 0, 2, 3, 1, 0, 0  },
{ 1, 2, 2, 3, 0, 2, 0, 3, 0, 3, 0, 2, 0, 3, 1, 3, 1, 1, 2, 1, 3, 0, 3, 2, 2, 2, 1, 1, 2, 3, 0, 3, 0, 1, 3, 2, 0, 3, 3, 3, 1, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 3, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 3, 2, 2, 1, 2, 2, 0, 3, 1, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 2, 1, 0, 0, 2, 2, 0, 3, 0, 0, 1, 2, 2, 1, 3, 0, 2, 0, 0, 0, 3, 3, 2, 0, 3, 1, 1, 1, 0  },
{ 0, 0, 0, 2, 3, 0, 0, 0, 3, 3, 2, 0, 3, 2, 0, 0, 0, 2, 2, 0, 3, 0, 0, 2, 3, 0, 3, 0, 0, 3, 0, 0, 0, 3, 0, 1, 0, 0, 1, 1, 2, 0  },
{ 3, 2, 3, 0, 3, 1, 2, 0, 0, 1, 1, 1, 3, 0, 1, 1, 2, 3, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 1, 3, 0, 0, 0, 3, 2, 1, 0, 0, 2, 1, 1, 0  },
{ 0, 2, 2, 3, 0, 2, 0, 1, 2, 3, 0, 2, 0, 3, 2, 1, 0, 3, 2, 2, 0, 3, 0, 1, 2, 2, 1, 1, 2, 2, 0, 3, 3, 2, 3, 2, 0, 3, 2, 3, 0, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 0, 2, 1, 0, 0, 2, 0, 3, 3, 1, 0, 1, 1, 2, 1, 1, 0, 2, 0, 3, 0, 3, 3, 2, 2, 0, 3, 2, 3, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 1, 0, 1, 1, 0, 3, 2, 1, 0, 0, 2, 0, 0, 3, 3, 0, 0, 2, 1, 3, 1, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 1, 1, 3, 0  },
{ 0, 0, 0, 2, 0, 0, 3, 0, 1, 0, 3, 0, 1, 2, 0, 2, 1, 1, 2, 0, 0, 3, 0, 0, 3, 1, 2, 0, 1, 3, 0, 0, 0, 0, 3, 2, 0, 3, 1, 1, 2, 0  },
{ 0, 0, 2, 1, 0, 2, 2, 3, 2, 2, 0, 1, 1, 2, 0, 0, 1, 3, 2, 0, 3, 2, 0, 1, 3, 0, 0, 2, 0, 3, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 3, 0  },
{ 3, 1, 3, 2, 0, 1, 0, 0, 0, 2, 1, 0, 2, 2, 1, 1, 3, 2, 3, 0, 3, 2, 0, 0, 3, 0, 0, 2, 0, 3, 0, 1, 0, 3, 1, 1, 0, 0, 3, 1, 0, 1  },
{ 0, 0, 2, 3, 0, 3, 0, 2, 1, 0, 3, 1, 3, 3, 3, 1, 1, 0, 3, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 3, 1, 0, 2, 1, 3, 2, 2, 3, 0, 1, 3, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 1, 0, 0, 2, 1, 0, 2, 0, 0, 0, 1, 2, 0, 2, 0, 3, 0, 0, 2, 3, 0, 3, 2, 3, 2, 3, 2, 0  },
{ 0, 2, 3, 3, 0, 0, 3, 0, 1, 0, 3, 1, 0, 2, 1, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 1, 2, 0, 0, 1, 1, 1, 0, 3, 0, 3, 3, 0, 0, 0  },
{ 0, 2, 1, 2, 1, 1, 3, 0, 0, 2, 3, 0, 0, 3, 1, 1, 1, 0, 1, 3, 0, 0, 0, 0, 0, 2, 0, 1, 2, 2, 0, 0, 0, 1, 0, 2, 1, 3, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 2, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 3, 0, 0, 1, 2, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 3, 2, 1, 2, 0, 0, 0, 0  },
{ 2, 1, 0, 2, 1, 2, 3, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 2, 3, 0, 0, 1, 1, 0, 2, 1, 0, 3, 3, 0, 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 2, 0, 1, 0, 1, 3, 2, 2, 3, 1, 3, 2, 0, 0, 2, 1, 3, 2, 1, 0, 1, 1, 0, 0  },
{ 3, 0, 0, 3, 0, 3, 3, 0, 0, 0, 2, 2, 3, 0, 0, 2, 1, 0, 2, 2, 3, 0, 1, 3, 2, 2, 2, 1, 3, 2, 0, 0, 1, 1, 3, 2, 1, 3, 2, 0, 0, 0  },
{ 0, 3, 0, 1, 0, 2, 0, 2, 0, 0, 0, 3, 3, 3, 1, 3, 1, 0, 2, 3, 2, 0, 1, 1, 1, 2, 3, 0, 0, 3, 0, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 3, 2, 3, 3, 1, 0, 0, 0, 0, 0, 0, 1, 2, 3, 0, 2, 0, 0, 0, 1, 3, 2, 2, 3, 0, 0, 3, 0, 0, 0, 1, 3, 2, 3, 0, 0, 0, 1, 0  },
{ 2, 0, 1, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 0, 3, 2, 1, 0, 2, 3, 2, 3, 3, 2, 3, 3, 0, 0, 0, 1, 3, 2, 1, 0, 1, 0, 0, 0  },
{ 2, 2, 0, 0, 3, 1, 0, 0, 0, 2, 3, 2, 3, 0, 2, 1, 0, 3, 1, 0, 0, 0, 0, 3, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3, 1, 2, 3, 0, 1, 1, 0, 0  },
{ 0, 3, 3, 0, 3, 1, 2, 1, 2, 0, 0, 0, 2, 3, 1, 0, 1, 2, 3, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 3, 3, 1, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 2, 3, 3, 0, 0, 0, 3, 2, 0, 0, 1, 2, 1, 0, 3, 2, 0, 0, 1, 3, 2, 0, 2, 0, 0, 3, 3, 0, 0, 1, 3, 2, 0, 0, 1, 0, 0, 0  },
{ 0, 0, 1, 2, 1, 3, 3, 0, 0, 1, 0, 2, 1, 0, 1, 2, 1, 0, 3, 1, 0, 0, 2, 0, 1, 3, 2, 0, 2, 3, 3, 0, 0, 0, 3, 3, 0, 3, 1, 0, 0, 0  },
{ 1, 1, 2, 2, 3, 1, 0, 0, 0, 2, 2, 3, 0, 0, 1, 1, 2, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 3, 0, 3, 0, 0, 2, 3, 0, 0, 0, 3, 0  },
{ 2, 1, 3, 0, 3, 2, 0, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 0, 2, 3, 3, 0, 0, 0, 3, 3, 1, 1, 3, 0, 1, 0  },
{ 3, 2, 1, 3, 1, 2, 2, 2, 0, 3, 2, 0, 3, 0, 1, 1, 0, 1, 2, 2, 2, 0, 0, 3, 3, 1, 1, 0, 0, 3, 1, 0, 1, 3, 1, 3, 2, 0, 0, 2, 0, 0  },
{ 0, 3, 3, 2, 2, 0, 3, 3, 2, 3, 2, 2, 2, 2, 3, 2, 2, 2, 2, 2, 1, 1, 3, 3, 2, 3, 2, 1, 2, 1, 0, 1, 2, 1, 2, 3, 1, 1, 3, 1, 0, 0  },
{ 0, 3, 2, 3, 2, 0, 3, 2, 2, 3, 3, 2, 2, 3, 0, 2, 2, 2, 2, 3, 0, 2, 2, 1, 1, 2, 3, 2, 3, 3, 0, 0, 2, 2, 0, 3, 0, 2, 3, 2, 1, 0  },
{ 0, 3, 0, 3, 2, 0, 3, 0, 1, 2, 0, 0, 0, 1, 3, 2, 2, 0, 3, 0, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 1, 0, 2, 0, 2, 3, 2, 1, 0, 2, 2, 3, 1, 0, 3, 3, 0, 1, 3, 0, 2, 2, 2, 1, 1, 3, 0, 0, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0  },
{ 2, 2, 0, 3, 2, 0, 0, 2, 1, 2, 1, 0, 0, 2, 1, 2, 1, 2, 0, 3, 0, 0, 3, 1, 1, 3, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 1, 1, 3, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 1, 0, 1, 0, 2, 1, 0, 3, 2, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 0, 2, 3, 0, 1, 2, 3, 0, 0, 3, 3, 3, 1, 2, 1, 3, 0, 1, 0, 3, 1, 2, 1, 0, 0, 2, 0, 3, 0, 1, 0, 2, 0, 3, 3, 0, 1, 0  },
{ 0, 2, 2, 3, 2, 0, 0, 0, 1, 3, 1, 0, 0, 2, 0, 2, 1, 0, 3, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0, 2, 0, 1, 1, 3, 0, 2, 1, 0, 3, 3, 0, 0  },
{ 0, 2, 2, 0, 3, 0, 3, 0, 2, 2, 0, 0, 0, 0, 1, 2, 1, 2, 1, 0, 1, 0, 0, 1, 0, 2, 0, 1, 3, 2, 1, 1, 0, 1, 3, 2, 1, 1, 1, 3, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 2, 0, 3, 0, 0, 2, 3, 2, 3, 1, 3, 2, 0, 0, 1, 3, 1, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 2, 2, 3, 0, 2, 0, 1, 3, 3, 0, 2, 0, 2, 1, 3, 1, 0, 3, 2, 0, 3, 0, 0, 1, 2, 1, 1, 1, 2, 0, 3, 0, 1, 1, 2, 0, 1, 3, 3, 0, 0  },
{ 2, 0, 0, 2, 2, 0, 0, 3, 0, 3, 2, 0, 0, 2, 1, 0, 0, 0, 1, 3, 1, 1, 0, 1, 2, 2, 3, 1, 1, 2, 1, 1, 0, 1, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 2, 0, 2, 0, 2, 0, 0, 0, 0, 2, 3, 0, 0, 2, 0, 1, 1, 2, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 3, 2, 0, 0, 1, 3, 3, 2, 0, 0, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0, 1, 3, 2, 0, 0, 3, 2, 0, 1, 3, 2, 3, 0, 2, 3, 3, 0, 0, 3, 3, 2, 1, 3, 3, 1, 0, 0  },
{ 3, 0, 2, 0, 3, 0, 3, 0, 2, 1, 1, 0, 3, 3, 0, 1, 0, 2, 3, 1, 0, 2, 0, 3, 3, 0, 0, 0, 2, 3, 3, 0, 0, 3, 2, 1, 1, 0, 3, 1, 1, 0  },
{ 1, 2, 2, 2, 1, 0, 0, 2, 3, 2, 0, 0, 0, 3, 2, 1, 1, 3, 2, 0, 0, 3, 0, 3, 0, 2, 1, 1, 0, 2, 0, 2, 0, 1, 3, 2, 2, 3, 2, 3, 3, 0  },
{ 2, 0, 3, 0, 0, 0, 3, 2, 0, 0, 0, 2, 3, 2, 1, 0, 1, 0, 3, 0, 3, 0, 0, 0, 2, 2, 1, 1, 1, 2, 0, 0, 0, 3, 3, 2, 0, 2, 3, 1, 3, 0  },
{ 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 2, 1, 0, 0, 2, 0, 0, 3, 2, 0, 0, 1, 0, 2, 3, 1, 2, 0, 0, 0, 0, 3, 2, 2, 3, 1, 1, 3, 0  },
{ 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 3, 0, 1, 2, 0, 1, 3, 1, 0, 0, 0, 3, 0, 1, 3, 2, 0, 1, 2, 3, 2, 0, 1, 0, 3, 2, 0, 3, 1, 0, 3, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 3, 3, 1, 1, 2, 0, 3, 2, 0, 2, 0, 2, 1, 1, 2, 3, 1, 1, 1, 3, 1, 2, 2, 3, 0, 3, 3, 2  },
{ 3, 0, 2, 0, 0, 1, 0, 1, 0, 0, 2, 0, 3, 0, 2, 0, 0, 2, 3, 0, 2, 1, 0, 0, 1, 0, 1, 2, 1, 3, 0, 0, 2, 3, 0, 3, 2, 3, 1, 3, 0, 0  },
{ 2, 0, 2, 0, 0, 0, 1, 0, 3, 1, 0, 1, 3, 2, 1, 0, 0, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 2, 1, 3, 1, 3, 0, 3, 0, 3, 2, 3, 1, 3, 0, 0  },
{ 1, 3, 3, 3, 0, 0, 3, 0, 0, 0, 3, 1, 0, 2, 0, 3, 0, 3, 0, 1, 0, 0, 1, 1, 1, 3, 0, 0, 1, 0, 0, 0, 1, 1, 0, 2, 2, 3, 3, 0, 0, 0  },
{ 1, 2, 1, 2, 2, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 2, 2, 2, 0, 3, 0, 1, 0, 0, 0, 2, 1, 1, 3, 2, 0, 1, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 2, 0, 1, 1, 1, 3, 0, 0, 0, 0, 3, 0, 0, 1, 2, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 2, 2, 0, 0, 3, 3, 0, 2, 0, 0, 0, 3, 0, 0, 2, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 0, 3, 3, 3, 3, 3, 1, 3, 2, 0, 0, 0, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 1, 2, 3, 1, 0, 0, 0, 0, 2, 0, 0, 3, 0, 1, 3, 0, 0, 0, 1, 1, 2, 0, 0, 2, 3, 3, 0, 0, 1, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 0, 0, 3, 2, 0, 1, 0, 3, 2, 0, 2, 0, 0, 3, 3, 0, 0, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 0, 2, 0, 3, 3, 2, 2, 3, 0, 0, 3, 3, 1, 1, 1, 3, 2, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 2, 0, 1, 3, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 0, 0, 0, 3, 1, 2, 0, 3, 0, 1, 0, 0  },
{ 3, 3, 3, 0, 2, 2, 2, 0, 0, 0, 0, 1, 2, 1, 1, 0, 1, 0, 3, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 3, 3, 0, 0, 3, 2, 3, 0, 2, 0, 0, 1, 0  },
{ 2, 0, 0, 0, 2, 3, 0, 0, 0, 0, 2, 1, 2, 0, 1, 2, 0, 0, 3, 1, 2, 1, 1, 3, 1, 3, 0, 0, 0, 3, 3, 0, 2, 1, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 2, 1, 0, 1, 1, 2, 0, 2, 3, 2, 2, 2, 0, 0, 3, 3, 0, 0, 1, 3, 3, 0, 3, 2, 0, 0, 0  },
{ 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 3, 3, 0, 0, 3, 3, 3, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 1, 0, 2, 0, 3, 0, 0  },
{ 3, 2, 2, 0, 0, 3, 1, 0, 0, 3, 0, 3, 0, 0, 1, 3, 0, 1, 0, 0, 3, 0, 0, 3, 1, 0, 0, 3, 1, 2, 3, 0, 1, 0, 0, 2, 1, 2, 0, 0, 3, 0  },
{ 1, 0, 2, 1, 0, 0, 3, 0, 1, 2, 2, 0, 2, 1, 2, 0, 0, 2, 0, 0, 3, 2, 0, 0, 1, 1, 0, 1, 3, 0, 0, 0, 1, 2, 2, 1, 0, 3, 0, 0, 3, 1  },
{ 1, 2, 3, 2, 2, 3, 2, 3, 2, 2, 3, 1, 1, 1, 3, 2, 2, 3, 2, 0, 0, 2, 3, 3, 2, 2, 3, 2, 2, 2, 0, 0, 0, 2, 3, 3, 1, 1, 2, 2, 0, 0  },
{ 1, 3, 1, 3, 2, 3, 2, 3, 1, 2, 2, 2, 2, 1, 3, 2, 2, 3, 0, 2, 0, 0, 2, 3, 2, 3, 2, 2, 2, 2, 1, 3, 3, 2, 0, 3, 1, 1, 2, 2, 0, 0  },
{ 0, 3, 2, 3, 2, 2, 2, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 2, 0, 2, 0, 0, 1, 2, 1, 2, 0, 0, 2, 2, 1, 0, 2, 0, 2, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 1, 3, 2, 3, 2, 1, 1, 2, 2, 2, 2, 2, 1, 2, 2, 3, 2, 2, 0, 2, 3, 3, 2, 2, 2, 2, 2, 2, 1, 2, 2, 2, 0, 2, 1, 0, 0, 2, 1, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 3, 1, 0, 2, 2, 0, 3, 2, 0, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 1, 0, 3, 2, 0, 2, 3, 0, 0, 0, 1, 0, 3, 0, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 3, 0, 3, 2, 0, 0, 0, 3, 0, 0, 2, 2, 2, 0, 3, 0, 3, 0, 2, 0, 0, 0, 2, 3, 0, 2, 2, 0, 2, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 2, 0, 0, 0, 2, 2, 1, 0, 0, 2, 0, 2, 1, 2, 0, 3, 3, 0, 0, 1, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 3, 2, 0, 0, 3, 2, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 2, 1, 1, 3, 0, 3, 0, 0, 1, 3, 2, 2, 0, 2, 3, 0, 0, 1, 3, 1, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 1, 0, 1, 0, 2, 1, 0, 0, 0, 0, 2, 1, 1, 1, 2, 0, 3, 0, 2, 1, 2, 1, 1, 3, 2, 1, 2, 3, 1, 1, 2, 2, 1, 2, 3, 0, 0  },
{ 0, 0, 2, 0, 0, 2, 3, 0, 2, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 2, 0, 3, 1, 2, 0, 1, 3, 1, 3, 2, 1, 3, 2, 3, 0, 0  },
{ 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 3, 2, 0, 3, 0, 0, 1, 0, 0, 0, 2, 3, 1, 1, 1, 1, 3, 3, 2, 0, 0, 0, 3, 0, 0  },
{ 2, 0, 2, 0, 3, 0, 0, 0, 3, 2, 0, 0, 3, 0, 0, 2, 3, 2, 3, 0, 2, 0, 0, 1, 0, 0, 3, 0, 2, 3, 0, 1, 1, 3, 2, 0, 0, 0, 3, 1, 0, 0  },
{ 0, 2, 3, 2, 0, 1, 0, 0, 2, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 3, 2, 0, 3, 3, 0, 3, 1, 2, 3, 3, 1, 1, 3, 1, 2, 3, 0, 3, 1, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 3, 2, 0, 0, 3, 0, 2, 0, 0, 0, 2, 1, 3, 0, 0, 2, 1, 2, 3, 1, 1, 2, 1, 2, 3, 1, 1, 0, 2, 3, 2, 3, 0, 0  },
{ 1, 0, 2, 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 2, 0, 1, 0, 2, 0, 3, 0, 0, 0, 2, 1, 2, 3, 1, 2, 1, 0, 2, 3, 1, 3, 0, 2, 3, 1, 3, 0  },
{ 2, 1, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 3, 2, 0, 0, 3, 0, 2, 0, 3, 2, 0, 0, 2, 3, 0, 2, 0, 3, 2, 1, 0, 3, 3, 2, 0, 1, 3, 1, 3, 0  },
{ 0, 0, 3, 2, 3, 0, 3, 2, 0, 2, 0, 0, 3, 2, 0, 0, 3, 3, 0, 0, 1, 3, 0, 1, 3, 2, 0, 2, 3, 2, 3, 0, 1, 3, 0, 1, 0, 3, 0, 1, 3, 0  },
{ 0, 0, 2, 2, 3, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 3, 0, 0, 1, 3, 0, 0, 2, 0, 3, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0  },
{ 2, 2, 3, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 3, 0, 1, 1, 2, 3, 0, 1, 0, 3, 1, 1, 1, 0, 3, 0, 0, 1  },
{ 0, 0, 3, 2, 0, 2, 0, 1, 0, 0, 2, 0, 3, 0, 3, 2, 0, 2, 0, 0, 3, 3, 0, 2, 1, 0, 1, 2, 0, 3, 0, 2, 0, 3, 1, 2, 2, 3, 2, 3, 3, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 3, 3, 3, 2, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 1, 2, 0, 3, 1, 2, 0, 1, 3, 2, 1, 2, 1, 3, 0, 0  },
{ 0, 2, 3, 0, 0, 2, 0, 1, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 2, 3, 0, 2, 3, 0, 1, 0, 0, 0, 0, 3, 1, 1, 3, 0, 3, 3, 2, 1, 1, 3, 1, 0  },
{ 0, 0, 0, 2, 0, 2, 0, 3, 1, 0, 0, 0, 3, 2, 2, 0, 0, 1, 1, 0, 3, 0, 2, 0, 3, 0, 2, 1, 0, 3, 1, 0, 1, 0, 3, 2, 2, 3, 1, 2, 3, 2  },
{ 1, 2, 3, 2, 2, 3, 2, 3, 2, 2, 3, 2, 2, 2, 2, 2, 2, 3, 2, 2, 0, 1, 3, 2, 2, 2, 2, 2, 0, 2, 0, 0, 0, 2, 3, 3, 1, 3, 0, 2, 0, 0  },
{ 1, 2, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 3, 0, 0, 1, 0, 0, 1, 1, 3, 0, 0, 3, 2, 0, 0, 0, 3, 0, 2, 2, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1, 1, 1, 3, 0, 2, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 1, 0, 3, 1, 1, 0, 3, 2, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 2, 3, 1, 0, 3, 3, 3, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 2, 2, 0, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 2, 2, 0, 1, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 3, 3, 2, 3, 2, 0, 1, 0, 1, 0, 1, 3, 2, 3, 0, 2, 3, 0, 0  },
{ 3, 1, 2, 0, 2, 2, 3, 0, 0, 0, 0, 0, 3, 0, 1, 3, 3, 0, 0, 0, 0, 0, 1, 1, 3, 3, 2, 1, 0, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 2, 1, 1, 3, 2, 2, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 1, 1, 2, 0, 0, 3, 3, 2, 1, 0, 0, 3, 3, 0, 1, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 0, 0, 3, 0, 0, 3, 3, 2, 0, 0, 0, 2, 3, 1, 1, 1, 3, 2, 3, 0, 0, 3, 0, 0  },
{ 3, 1, 2, 0, 3, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 1, 3, 2, 0, 1, 0, 1, 3, 0, 0, 0, 3, 3, 0, 0, 3, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 3, 2, 0, 0, 0, 3, 1, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 3, 1, 2, 0, 0, 1, 3, 3, 0, 2, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 2, 0, 1, 1, 2, 0, 2, 3, 2, 1, 0, 0, 0, 3, 3, 0, 1, 1, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 3, 3, 0, 0, 2, 0, 3, 3, 0, 1, 1, 1, 3, 3, 2, 0, 3, 0, 0  },
{ 3, 2, 0, 1, 2, 0, 0, 0, 1, 1, 3, 0, 0, 0, 1, 0, 0, 0, 1, 3, 2, 1, 1, 3, 1, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 0, 3, 2, 0, 2, 0, 0, 3, 3, 0, 1, 0, 3, 2, 2, 3, 1, 0, 0, 0  },
{ 1, 0, 1, 0, 3, 0, 1, 0, 2, 3, 2, 0, 1, 0, 3, 1, 3, 2, 3, 0, 3, 2, 2, 2, 3, 0, 3, 2, 1, 0, 3, 0, 0, 1, 0, 0, 0, 1, 1, 1, 0, 0  },
{ 1, 1, 3, 2, 1, 3, 2, 3, 1, 1, 3, 1, 1, 0, 0, 1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 2, 3, 1, 2, 2, 0, 2, 1, 1, 3, 2, 0, 0, 1, 1, 0, 1  },
{ 1, 2, 1, 3, 1, 3, 2, 3, 1, 1, 1, 1, 0, 0, 0, 1, 1, 0, 1, 1, 0, 1, 0, 3, 1, 2, 1, 1, 2, 2, 0, 2, 2, 1, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 3, 1, 1, 2, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 1, 3, 1, 3, 2, 1, 1, 1, 2, 2, 2, 2, 1, 3, 1, 2, 0, 2, 1, 3, 2, 2, 2, 1, 3, 2, 0, 2, 3, 2, 3, 2, 1, 1, 0, 1, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 2, 2, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 3, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1, 1, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 3, 2, 1, 1, 2, 0, 0, 0, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 3, 2, 0, 2, 3, 0, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 2, 0, 0, 3, 2, 3, 1, 0, 1, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 0, 2, 3, 1, 1, 2, 3, 1, 0, 0, 1, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 3, 0, 0, 1, 3, 2, 3, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 3, 0, 0, 2, 3, 0, 1, 0, 0, 0, 3, 0, 2, 0, 0, 2, 3, 0, 3, 2, 3, 0, 0, 3, 0, 2, 0, 0, 2, 3, 0, 0  },
{ 1, 2, 3, 2, 3, 0, 0, 1, 2, 2, 3, 0, 0, 2, 0, 3, 1, 2, 0, 2, 3, 0, 1, 0, 0, 2, 3, 1, 3, 1, 0, 2, 1, 3, 1, 2, 0, 2, 3, 3, 0, 1  },
{ 2, 0, 2, 0, 3, 0, 0, 3, 0, 3, 2, 0, 0, 2, 0, 0, 3, 2, 0, 2, 3, 0, 0, 0, 0, 2, 3, 2, 1, 3, 2, 0, 0, 3, 3, 2, 0, 1, 1, 3, 0, 0  },
{ 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 3, 2, 3, 0, 2, 0, 0, 1, 3, 0, 1, 0, 2, 3, 0, 1, 1, 3, 2, 1, 0, 0, 3, 0, 1, 0  },
{ 0, 2, 1, 0, 3, 3, 2, 0, 1, 1, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 2, 3, 3, 1, 1, 3, 1, 1, 0, 0, 0, 0, 1, 0  },
{ 1, 2, 0, 2, 0, 0, 3, 0, 0, 0, 2, 0, 3, 2, 3, 0, 0, 2, 0, 1, 3, 0, 3, 2, 0, 0, 0, 3, 1, 2, 0, 2, 3, 1, 3, 2, 2, 3, 2, 3, 0, 0  },
{ 3, 2, 0, 0, 0, 1, 3, 0, 2, 2, 0, 0, 3, 2, 0, 2, 2, 3, 0, 2, 3, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 3, 2, 3, 3, 2, 3, 2, 1, 3, 0, 0  },
{ 2, 3, 0, 0, 2, 0, 3, 0, 0, 0, 3, 0, 3, 0, 2, 0, 2, 3, 2, 0, 3, 0, 0, 0, 1, 3, 2, 0, 0, 3, 2, 0, 0, 3, 0, 1, 0, 3, 2, 0, 3, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3, 3, 2, 0, 0, 3, 0, 0, 0, 3, 3, 1, 2, 0, 3, 1, 1, 0  },
{ 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 2, 0, 0, 3, 1, 1, 2, 0, 1, 3, 2, 1, 0, 1, 3, 1, 0, 1, 3, 3, 1, 1, 0, 3, 0, 2, 1  },
{ 0, 0, 3, 2, 0, 1, 0, 0, 2, 0, 0, 2, 3, 0, 0, 1, 2, 0, 2, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 1, 2, 1, 3, 3, 2, 3, 3, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 0, 2, 3, 0, 2, 0, 0, 0, 0, 0, 3, 0, 2, 3, 3, 3, 1, 2, 3, 1, 3, 2, 0  },
{ 0, 1, 0, 0, 0, 3, 1, 2, 0, 0, 0, 0, 1, 3, 2, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 1, 3, 0, 3, 2, 3, 1, 3, 2, 2  },
{ 0, 2, 1, 0, 1, 2, 3, 2, 0, 2, 1, 0, 0, 3, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 1, 1, 0, 3, 2, 2, 0, 0, 2, 3, 0  },
{ 2, 2, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 1, 3, 1, 0, 3, 3, 0, 0, 1, 0, 3, 1, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 2, 0, 0, 1, 1, 2, 1, 0, 2, 1, 1, 3, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 1, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 3, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 2, 3, 1, 3, 0, 0, 0, 0  },
{ 2, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 1  },
{ 1, 3, 2, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 2, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 3, 0, 3, 3, 2, 0, 1, 2, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 2, 3, 0, 0, 2, 0, 1, 0, 0, 3, 2, 3, 2, 0, 0, 2, 3, 0, 1  },
{ 0, 3, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 3, 0, 0, 0, 1, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 1  },
{ 0, 2, 0, 0, 1, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 3, 3, 1, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 3, 0, 0, 1, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 3, 2, 0, 3, 0, 3, 3, 1, 1, 1, 3, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 1, 2, 0, 3, 3, 1, 0, 0, 0, 3, 1, 3, 0, 0, 3, 0, 0, 0, 3, 2, 0, 0, 1, 2, 2, 0, 1, 0, 2, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 0, 1, 3, 2, 0, 0, 3, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 2, 0, 2, 3, 2, 2, 0, 0, 0, 3, 3, 0, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 2, 0, 0, 2, 3, 3, 0, 0, 0, 0, 3, 3, 0, 1, 1, 0, 0, 3, 2, 0, 3, 0, 1  },
{ 2, 1, 2, 0, 2, 1, 0, 0, 0, 3, 3, 3, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 1, 3, 2, 0, 2, 2, 1, 1, 0, 0, 0, 3, 3, 0, 3, 0, 0, 2, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 2, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 1, 0, 1, 3, 1, 1, 2, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 1, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 3, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 0, 0, 3, 1, 3, 2, 3, 0, 0, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 3, 0, 3, 2, 1, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 3, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 1, 1, 1, 0, 0, 3, 0, 3, 2, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 1, 2, 0, 0, 0, 1, 0, 2, 0, 2, 3, 1, 3, 1, 3, 2, 3, 0, 3, 2, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0, 3, 0, 3, 2, 0, 2, 0, 0, 3, 1, 0, 2, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 3, 0, 3, 1, 0, 2, 3, 2, 3, 0, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 2, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 3, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 0, 0, 3, 2, 0, 2, 1, 2, 3, 0, 3, 1, 3, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 2, 3, 3, 2, 0, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 2, 1, 0, 2, 0, 1, 3, 0, 0, 2, 3, 0, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 0, 0, 2, 0, 1, 0, 0, 3, 0, 3, 2, 0, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1, 1, 0, 0, 2, 3, 0, 0, 3, 1, 3, 1, 2, 0, 0, 2, 3, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 2, 0, 1, 3, 0, 0, 0, 3, 2, 1, 1, 0, 3, 0, 0, 0  },
{ 2, 0, 3, 0, 2, 1, 1, 0, 0, 0, 1, 0, 0, 3, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 3, 0, 3, 1, 0, 3, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 1, 0, 2, 0, 0, 3, 3, 2, 0, 1, 2, 0, 3, 0, 1, 0, 0, 3, 1, 3, 2, 2, 3, 2, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 2, 3, 0, 1, 2, 0, 0, 3, 0, 2, 1, 2, 2, 0, 0, 3, 1, 0, 3, 1, 3, 3, 2, 2, 0, 1, 3, 0, 0  },
{ 3, 2, 0, 0, 2, 0, 3, 2, 0, 0, 3, 0, 0, 2, 0, 0, 1, 2, 3, 0, 3, 0, 1, 0, 2, 2, 0, 1, 0, 0, 3, 0, 3, 3, 3, 1, 2, 0, 0, 3, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 3, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 3, 3, 0, 2, 0, 3, 3, 1, 1, 0, 1, 0, 0, 0  },
{ 0, 1, 0, 3, 2, 2, 3, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 3, 0, 0, 1, 0, 2, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 3, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 2, 2, 3, 1, 3, 3, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 0, 0, 2, 3, 1, 2, 0, 0, 2, 0, 2, 3, 0, 0, 1, 2, 0, 1, 2, 0, 3, 0, 2, 3, 1, 3, 1, 1, 2, 1, 3, 2, 0  },
{ 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 0, 3, 1, 1, 0, 0, 1, 0, 0, 1, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 3, 3, 0, 3, 1, 2, 3, 1, 0, 2, 0  },
{ 2, 0, 1, 2, 3, 0, 0, 3, 3, 0, 0, 0, 1, 0, 1, 0, 0, 2, 3, 0, 3, 3, 0, 0, 1, 1, 0, 2, 0, 3, 0, 0, 0, 3, 3, 1, 0, 3, 0, 1, 2, 0  },
{ 1, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 2, 2, 3, 0, 3, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 2, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 3, 2, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 2, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 2, 3, 0, 1, 0, 3, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 2, 0, 0, 3, 3, 2, 0, 1, 0, 1, 3, 0, 3, 1, 3, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 1, 0, 3, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 2, 1, 0, 0, 3, 0, 0  },
{ 0, 0, 2, 0, 3, 1, 2, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 0, 1, 0, 3, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 3, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 3, 3, 1, 3, 0, 1, 0, 2, 3, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 2, 2, 0, 0, 0, 3, 3, 2, 0, 1, 0, 3, 3, 0, 2, 1, 1, 2, 3, 1, 0, 3, 0, 1  },
{ 0, 2, 1, 0, 2, 2, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 2, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 0, 1, 2, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 0, 1, 0, 2, 0, 0, 3, 2, 1, 1, 0, 0, 1, 0, 0, 3, 1, 2, 0, 1, 2, 1, 0, 0, 0, 0, 3, 3, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 1, 0, 0, 2, 3, 3, 0, 1, 0, 0, 0, 2, 3, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 2, 3, 1, 2, 0, 2, 2, 3, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 2, 0, 0, 1, 0, 1  },
{ 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0, 0, 3, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3  },
{ 0, 0, 0, 2, 3, 0, 2, 2, 3, 1, 0, 0, 1, 2, 0, 1, 3, 0, 1, 0, 3, 1, 1, 0, 1, 1, 0, 0, 0, 0, 3, 3, 3, 1, 0, 2, 0, 3, 0, 0, 0, 2  },
{ 0, 0, 3, 1, 1, 0, 2, 0, 3, 1, 0, 0, 3, 0, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 1, 2, 3, 1, 0, 0, 2, 3, 1, 0, 0, 0, 1, 1, 0, 0, 3, 0, 1, 0, 3, 3, 1, 0, 3, 2, 0, 0, 0, 0, 3, 1, 3, 0, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 1, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 1, 2, 0, 3, 0, 3, 1, 3, 0, 0, 0, 1, 3, 0, 0, 2, 0, 0, 2, 1, 1, 0, 1, 3, 0, 3, 1, 3, 1, 3, 2, 0, 2, 0, 0, 0, 1  },
{ 0, 0, 3, 2, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 3, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 1, 3, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 2, 0, 0, 0, 0, 3, 2, 1, 3, 2, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 3, 1, 0, 2, 0, 0, 3, 1, 2, 0, 1, 2, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0, 3, 1, 3, 1, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 3, 1, 3, 0, 0, 2, 0, 2, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 3, 2, 0, 1, 0, 1, 0, 1, 3, 0, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 1, 0, 3, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 1, 0, 0, 0, 1, 3, 3, 1, 2, 0, 2, 3, 3, 0, 0  },
{ 2, 0, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 3, 2, 3, 0, 0, 3, 0, 0, 3, 3, 2, 1, 0, 2, 3, 1, 0, 1  },
{ 0, 0, 2, 1, 2, 0, 2, 0, 2, 2, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 2, 0, 1, 3, 0, 0, 2, 3, 1, 1, 1, 0, 3, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 2, 1, 1, 2, 0, 0, 3, 0, 0, 1, 0, 2, 1, 0, 0, 1, 2, 1, 3, 0, 3, 1, 0, 3, 2, 3, 0, 1  },
{ 0, 0, 1, 1, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 3, 0, 1, 0, 1, 0, 1, 3, 0, 0, 0, 3, 0, 3, 1, 2, 0, 1, 3, 0, 0  },
{ 0, 1, 0, 1, 3, 0, 0, 2, 1, 0, 1, 0, 3, 3, 1, 0, 1, 0, 0, 0, 1, 3, 0, 1, 2, 1, 0, 2, 3, 0, 0, 1, 3, 3, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 0, 0, 1, 0, 3, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 0, 0, 3, 3, 1, 0, 0, 2, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 2, 1, 2, 0, 1, 1, 3, 3, 0, 3, 0, 1, 0, 0, 1  },
{ 0, 2, 0, 3, 0, 0, 0, 1, 0, 2, 0, 1, 3, 2, 1, 0, 0, 2, 0, 3, 2, 1, 0, 2, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 3, 1, 3, 3, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 2, 3, 1, 0, 1, 0, 0, 3, 1, 0, 0, 2, 0, 0, 1, 3, 0, 0, 3, 0, 3, 2, 1, 1, 2, 3, 2  },
{ 2, 1, 0, 0, 3, 0, 1, 3, 0, 0, 1, 0, 3, 3, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 0, 1, 0, 1, 3, 0, 3, 1, 3, 1, 2, 0, 0, 0, 2, 0  },
{ 2, 0, 1, 0, 2, 0, 1, 1, 0, 0, 3, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 3, 1, 0, 3, 0, 0, 2, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 3, 1, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 3, 3, 1, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 3, 3, 3, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 3, 2, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 3, 0, 3, 1, 3, 0, 2, 3, 1, 0, 0, 0  },
{ 1, 1, 2, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 3, 0, 2, 1, 1, 0, 0, 0, 1  },
{ 2, 3, 2, 0, 0, 0, 3, 0, 0, 0, 2, 2, 1, 0, 0, 3, 3, 0, 0, 0, 1, 0, 0, 0, 3, 2, 1, 0, 0, 3, 3, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 3, 3, 1, 1, 0, 0, 0, 0, 3, 1, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 3, 0, 0, 0, 2, 0, 3, 3, 2, 2, 3, 0, 0, 3, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 2, 2, 0, 0, 2, 0, 0, 3, 1, 0, 0, 1, 0, 3, 2, 0, 3, 3, 1, 3, 0, 3, 0, 0, 0, 0  },
{ 3, 2, 3, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 3, 2, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 3, 2, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 2, 0, 3, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 0, 3, 0, 2, 2, 2, 1, 3, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 1, 1, 2, 2, 1, 0, 1, 3, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 2, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 3, 1, 2, 2, 0, 0, 1, 3, 0, 1, 0, 3, 2, 1, 2, 2, 0, 0, 0  },
{ 1, 3, 0, 1, 0, 0, 0, 0, 0, 1, 3, 0, 1, 2, 0, 0, 2, 0, 1, 1, 0, 0, 3, 2, 0, 1, 0, 0, 0, 1, 3, 0, 2, 0, 0, 2, 2, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 3, 0, 0, 0, 1, 3, 1, 1, 0, 3, 2, 0, 0, 1  },
{ 0, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 1, 3, 3  },
{ 0, 0, 0, 1, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 3  },
{ 0, 0, 1, 2, 0, 0, 3, 3, 0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 2  },
{ 0, 0, 3, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 1, 1, 1, 0, 1, 0, 0, 1, 2  },
{ 0, 0, 1, 0, 1, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 3, 1, 0, 0, 0, 0, 3, 1, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2  },
{ 0, 0, 3, 1, 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 1, 3, 0, 1, 0, 0, 0, 1, 0, 1, 3, 2, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 3, 2, 1, 3, 2, 0, 1, 3, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 2, 0, 1, 0, 2, 0, 1, 2, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 0, 2, 1, 0, 0, 0, 2, 0, 3, 1, 2  },
{ 0, 0, 1, 3, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 3, 3, 1, 0, 3, 1, 1, 3, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 2, 1, 3, 2, 0, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 1, 0, 3, 0, 0  },
{ 0, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 1, 1, 1, 0, 3, 0, 0  },
{ 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 2, 1, 0, 3, 1, 3, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 3, 1, 0, 2, 1, 3, 0, 1  },
{ 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 0, 3, 0, 3, 1, 2, 0, 0, 3, 0, 1  },
{ 2, 1, 2, 2, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 3, 0, 3, 1, 0, 0, 0, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 2, 1, 2, 1, 2, 3, 1, 3, 0, 0  },
{ 0, 0, 2, 0, 0, 1, 0, 3, 1, 2, 0, 1, 3, 2, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 3, 2, 1, 3, 0, 2, 0  },
{ 2, 2, 2, 2, 0, 3, 1, 3, 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 1, 1, 0, 2, 2, 0, 1, 2, 0, 0, 1, 3, 1, 3, 1, 0, 1, 0, 0, 2, 1  },
{ 0, 1, 1, 0, 3, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 2, 1, 3  },
{ 0, 0, 1, 1, 0, 0, 1, 1, 2, 1, 0, 0, 1, 1, 3, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 3, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 3, 1, 0, 0, 0, 0, 3, 1, 2, 1, 0, 1, 2, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 1, 3, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 3, 1, 0, 0, 1, 0, 0, 1, 2  },
{ 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 2, 3, 1, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 3, 2, 3, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 1, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 0, 0, 3, 0, 3, 1, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 3, 3, 3, 0, 0, 0, 2, 0, 3, 1, 3, 1, 0, 0, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 3, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 2, 0, 0, 1, 0, 1, 3, 1, 0, 3, 0, 0, 0, 2, 1, 2, 0, 1, 0, 3, 3, 1, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 2, 1, 0, 1, 3, 0, 2, 0, 0, 0, 0, 2, 2, 1, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 1, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 1, 0, 2, 3, 1, 0, 0, 0, 2, 2, 3, 1, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 3, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 2, 1, 3, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 1, 2, 1, 2, 0, 1, 2, 1, 1, 3, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 1, 2, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 3, 0, 0, 0, 0, 3  },
{ 0, 0, 2, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 3  },
{ 0, 0, 1, 1, 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 3, 1, 3, 3  },
{ 0, 1, 3, 0, 3, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 2, 1, 1, 2, 0, 1, 3, 2, 0, 0  },
{ 0, 0, 3, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 3, 0, 0, 0, 0, 0, 2, 3, 1, 3, 1, 1, 0, 3, 0, 0  },
{ 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 3, 3, 1, 2, 0, 0, 0, 2, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 2, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 2, 1, 0, 3, 1, 3, 3, 3  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 1, 3, 0, 0  },
{ 3, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 1, 3, 0, 1  },
{ 2, 1, 1, 0, 1, 0, 2, 2, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 0, 2, 3, 3, 1, 0, 1, 0, 0, 0, 1  },
{ 1, 0, 1, 0, 0, 3, 1, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 0, 2, 3, 2, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 2, 0, 3, 2, 1, 3, 3, 3  },
{ 2, 2, 3, 0, 0, 3, 3, 1, 2, 2, 1, 0, 3, 2, 3, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 2, 0, 0, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 2, 0, 1, 1, 3, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 1, 3, 3, 1, 1, 0, 0, 3, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 1, 0, 3, 0, 0, 1, 3, 2, 3, 1, 2, 0, 1, 0, 3, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 2, 0  },
{ 0, 1, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 3, 3, 1, 1, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 0, 3, 2, 1, 3, 3  },
{ 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 0, 3, 0, 0, 0, 3  },
{ 2, 1, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 1, 0, 0, 1, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 2, 0, 0, 1, 0, 0, 1, 0, 0, 1, 2  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 3, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 2, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 2, 3, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 3, 3, 0, 2, 3, 1, 0, 3, 0, 0  },
{ 3, 1, 2, 0, 1, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 2, 0, 3, 0, 1, 0, 0, 2, 2, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 0, 0, 1, 2, 1, 0, 2, 0, 1, 1, 1, 2, 0, 0, 0, 0, 2, 3, 1, 1, 0, 2, 1, 1, 2, 1, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 3, 1, 0, 2, 1, 3, 0, 0, 0, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 2, 0, 3, 0, 2, 3, 2, 1, 0, 2, 3, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 3, 3, 0, 3, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 3, 2, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 3, 1, 2, 0  },
{ 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 3, 3  },
{ 0, 0, 1, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 2, 0, 2  },
{ 0, 0, 0, 3, 1, 1, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 2, 3, 0, 2  },
{ 0, 1, 1, 2, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 3, 3  },
{ 0, 0, 1, 1, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 3, 3, 1, 2  },
{ 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0  },
{ 0, 0, 1, 2, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 3, 1, 0, 3, 3, 1, 0, 0, 0, 1  },
{ 0, 0, 0, 3, 0, 0, 2, 1, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 1, 3, 1, 3, 3  },
{ 0, 1, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0  },
{ 1, 1, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 2, 1, 0, 0, 0, 1  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 3, 1, 0, 3, 3, 3  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 3, 0, 3, 0, 3, 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 3, 0, 1, 0, 0, 1, 0, 1  },
{ 2, 1, 1, 0, 2, 0, 3, 0, 0, 3, 3, 0, 2, 0, 3, 3, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 3, 3, 3, 1, 0, 1, 3, 0, 0, 1  },
{ 0, 0, 0, 1, 1, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 2, 1, 0, 3, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 1, 3, 3, 0, 1, 2, 1, 2, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 1, 3, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 0, 3, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 3, 1, 3, 1, 1, 1, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 0, 3, 0, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 0, 0, 3, 0, 0  },
{ 2, 3, 1, 0, 0, 2, 1, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 0, 0, 1, 2, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 2, 1, 1, 3, 0  },
{ 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 1, 0, 3, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 0, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 3, 0, 0, 1, 0, 0  },
{ 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 1, 2, 0, 2, 0, 0, 2, 0, 1, 0, 0, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 2, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 1, 3, 0, 2, 1, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 2, 1, 2, 3, 1, 0, 3, 3, 1, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 3, 3, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 2, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 1, 1, 2, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 1, 0, 0, 2, 0, 1, 2, 0, 0, 0, 1, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 2, 0, 3, 1, 3, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 3, 1, 3, 1, 3, 3  },
{ 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 1, 3, 1, 3, 3  },
{ 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 3, 0, 1, 0, 2, 1, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 3, 1, 2, 1, 3, 1, 3, 3  },
{ 0, 1, 0, 3, 1, 0, 2, 1, 2, 0, 0, 0, 2, 2, 2, 1, 0, 0, 0, 0, 0, 1, 0, 1, 3, 1, 0, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 2, 0, 0, 1, 2, 1, 1, 1, 0, 0, 3, 2, 2, 0, 0, 3, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 3, 1, 1, 1, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 3, 3  },
{ 3, 1, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 3, 3, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 2, 0, 1, 2, 0, 1, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 1, 3  },
{ 3, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 3, 0, 1, 2, 3, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0, 0, 3, 3, 0, 3, 0, 1, 0, 1, 0, 0  },
{ 2, 0, 2, 2, 0, 1, 3, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 1, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 2, 2, 3, 0, 0  },
{ 3, 0, 2, 1, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 1, 2  },
{ 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 1, 0, 3, 3, 0, 1, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 3, 1, 3, 0, 0  },
{ 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 0, 0, 3, 3, 0, 0, 2, 0, 1, 2, 3, 0, 1, 0, 0, 0, 2, 1, 0, 1, 2, 2, 2, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 2, 1, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 3, 1, 0, 2, 2  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 0, 1, 0, 3, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 3, 0, 1, 3, 3, 3, 1, 0, 3, 2  },
{ 2, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 3, 3, 1, 2, 0, 0, 0, 2, 1, 0, 0, 0, 1, 1, 0, 2, 1, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 3, 3, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 2, 2, 1, 1, 2, 0  },
{ 2, 1, 1, 0, 0, 2, 3, 0, 2, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0, 3  },
{ 1, 1, 1, 1, 0, 0, 1, 0, 0, 1, 1, 2, 1, 1, 0, 1, 3, 3, 1, 0, 1, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 3, 2, 3  }
 },
{ 
{ 1, 1, 3, 2, 3, 1, 1, 1, 2, 3, 0, 1, 2, 1, 1, 3, 3, 0, 1, 2, 3, 2, 1, 0, 3, 2, 0, 1, 1, 3, 3, 3, 3, 1, 1, 2, 1, 3, 1, 1, 3, 3  },
{ 0, 2, 3, 1, 2, 0, 0, 1, 2, 3, 0, 1, 0, 0, 0, 2, 2, 0, 1, 1, 2, 2, 0, 1, 3, 2, 3, 0, 2, 1, 3, 3, 2, 1, 3, 3, 1, 3, 0, 0, 2, 3  },
{ 2, 0, 3, 0, 2, 3, 1, 3, 3, 2, 2, 1, 1, 2, 1, 3, 1, 2, 2, 3, 1, 1, 1, 3, 3, 2, 2, 2, 2, 1, 1, 3, 3, 2, 2, 3, 2, 3, 2, 2, 1, 3  },
{ 2, 2, 3, 1, 3, 3, 3, 2, 1, 1, 3, 0, 1, 3, 1, 3, 3, 2, 2, 2, 1, 1, 1, 1, 3, 2, 3, 3, 3, 1, 1, 1, 2, 2, 3, 3, 3, 3, 3, 3, 2, 3  },
{ 0, 3, 2, 0, 0, 3, 0, 1, 0, 0, 3, 0, 2, 2, 1, 0, 3, 2, 2, 1, 1, 1, 2, 1, 3, 2, 0, 2, 2, 2, 1, 1, 1, 1, 3, 3, 1, 3, 2, 3, 1, 1  },
{ 3, 2, 3, 2, 1, 3, 2, 1, 1, 3, 3, 2, 2, 3, 2, 3, 3, 2, 3, 2, 3, 3, 2, 2, 3, 3, 3, 1, 3, 3, 1, 1, 2, 3, 3, 3, 3, 2, 3, 3, 2, 1  },
{ 0, 0, 0, 2, 1, 2, 0, 1, 1, 0, 0, 3, 0, 3, 1, 3, 3, 2, 1, 2, 1, 2, 2, 1, 0, 0, 3, 0, 0, 2, 3, 1, 1, 1, 0, 2, 2, 1, 3, 0, 3, 1  },
{ 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 2, 0, 3, 2, 0, 0, 0, 1, 3, 0, 0, 0, 1, 3, 0, 2, 0  },
{ 1, 2, 3, 0, 3, 1, 0, 1, 3, 3, 0, 3, 0, 0, 0, 3, 3, 3, 1, 1, 2, 2, 0, 1, 3, 2, 0, 2, 1, 0, 0, 3, 3, 2, 2, 3, 0, 3, 2, 2, 0, 3  },
{ 0, 1, 3, 0, 1, 0, 2, 0, 3, 0, 3, 0, 1, 3, 0, 0, 0, 1, 0, 0, 3, 1, 3, 3, 1, 0, 1, 2, 1, 2, 3, 1, 1, 1, 1, 3, 0, 2, 1, 3, 2, 1  },
{ 1, 3, 1, 2, 2, 3, 1, 3, 3, 3, 2, 2, 0, 0, 1, 2, 3, 2, 0, 2, 2, 0, 0, 3, 1, 2, 3, 0, 2, 2, 3, 3, 2, 0, 1, 2, 1, 1, 3, 0, 2, 3  },
{ 0, 3, 2, 2, 2, 0, 3, 0, 3, 2, 0, 3, 0, 3, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 0, 2, 3, 2, 2, 2, 3, 2, 1, 3, 0, 2, 2, 3  },
{ 3, 0, 3, 0, 3, 2, 0, 0, 1, 2, 0, 2, 1, 3, 2, 2, 3, 1, 0, 3, 0, 0, 1, 2, 3, 2, 2, 3, 1, 0, 2, 2, 2, 0, 3, 2, 1, 1, 0, 0, 0, 3  },
{ 3, 0, 3, 0, 1, 1, 2, 3, 2, 2, 3, 3, 2, 3, 3, 2, 3, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 3, 2, 2, 2, 2, 2, 2, 3, 2, 1, 3, 0, 0, 3, 3  },
{ 3, 0, 3, 0, 3, 2, 3, 0, 1, 3, 3, 2, 0, 3, 1, 1, 2, 3, 0, 3, 0, 1, 0, 1, 3, 0, 0, 3, 0, 0, 0, 2, 1, 2, 0, 3, 1, 0, 0, 1, 0, 2  },
{ 3, 3, 0, 0, 1, 3, 2, 3, 2, 2, 0, 3, 2, 3, 2, 2, 2, 2, 0, 3, 0, 3, 0, 0, 2, 2, 2, 3, 0, 0, 0, 2, 2, 2, 0, 3, 2, 3, 3, 3, 3, 3  },
{ 3, 1, 2, 1, 3, 0, 2, 3, 0, 2, 2, 1, 1, 1, 2, 2, 2, 2, 1, 3, 0, 3, 0, 0, 3, 2, 2, 3, 3, 0, 2, 2, 2, 2, 3, 3, 0, 3, 2, 2, 2, 3  },
{ 3, 1, 2, 1, 2, 2, 0, 3, 0, 3, 1, 0, 0, 0, 2, 0, 1, 2, 0, 2, 1, 3, 0, 0, 3, 3, 2, 3, 2, 1, 1, 1, 2, 2, 3, 2, 1, 3, 3, 3, 1, 1  },
{ 1, 3, 3, 2, 3, 2, 2, 2, 3, 0, 2, 3, 2, 2, 2, 2, 3, 3, 0, 3, 0, 2, 3, 3, 2, 2, 3, 3, 0, 3, 0, 0, 0, 0, 0, 3, 3, 2, 3, 3, 3, 3  },
{ 0, 3, 1, 2, 0, 3, 2, 3, 0, 0, 2, 3, 3, 1, 3, 1, 0, 2, 0, 2, 0, 3, 2, 3, 2, 1, 0, 2, 2, 3, 2, 0, 2, 2, 0, 3, 2, 3, 2, 1, 0, 1  },
{ 3, 3, 0, 2, 3, 0, 3, 2, 0, 0, 3, 1, 1, 3, 1, 0, 3, 2, 3, 1, 3, 0, 1, 3, 0, 1, 3, 2, 1, 3, 2, 3, 2, 3, 2, 3, 3, 2, 3, 3, 3, 3  },
{ 1, 1, 1, 2, 2, 2, 0, 3, 0, 3, 1, 2, 3, 1, 0, 2, 2, 1, 0, 2, 1, 3, 0, 0, 1, 2, 1, 2, 1, 1, 3, 2, 1, 1, 1, 3, 1, 1, 3, 1, 2, 1  },
{ 3, 2, 1, 0, 1, 3, 1, 3, 2, 0, 1, 0, 1, 2, 0, 1, 1, 2, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 3, 3, 2, 1, 0, 1, 1, 1, 2  },
{ 1, 3, 0, 1, 0, 2, 0, 3, 2, 3, 2, 3, 3, 0, 2, 2, 3, 2, 0, 0, 2, 0, 0, 0, 3, 2, 3, 3, 0, 0, 2, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 2  },
{ 2, 3, 2, 1, 2, 2, 0, 2, 2, 2, 2, 2, 0, 0, 3, 2, 1, 2, 0, 3, 0, 0, 2, 3, 3, 3, 2, 2, 3, 2, 2, 0, 0, 2, 3, 2, 1, 2, 0, 0, 0, 2  },
{ 3, 3, 3, 1, 1, 0, 0, 2, 2, 3, 1, 1, 1, 3, 1, 3, 1, 2, 2, 3, 1, 1, 1, 2, 3, 3, 3, 2, 3, 1, 2, 2, 1, 1, 2, 0, 0, 2, 1, 3, 2, 2  },
{ 3, 1, 3, 0, 3, 3, 0, 0, 1, 3, 1, 2, 1, 1, 3, 3, 3, 1, 2, 2, 1, 0, 1, 0, 3, 2, 0, 2, 3, 0, 0, 2, 0, 0, 1, 1, 0, 1, 1, 2, 2, 2  },
{ 2, 0, 2, 1, 2, 2, 0, 3, 1, 3, 0, 2, 1, 2, 1, 3, 2, 3, 0, 2, 3, 1, 2, 2, 3, 2, 1, 3, 1, 3, 2, 1, 2, 1, 1, 1, 0, 3, 2, 2, 1, 1  },
{ 0, 1, 1, 0, 3, 1, 0, 0, 0, 2, 1, 1, 0, 2, 3, 0, 1, 2, 0, 0, 2, 3, 2, 1, 3, 1, 2, 1, 0, 2, 3, 2, 2, 1, 3, 0, 0, 1, 3, 3, 2, 1  },
{ 3, 0, 1, 0, 2, 0, 0, 0, 0, 1, 1, 1, 2, 1, 1, 3, 0, 2, 3, 1, 2, 2, 2, 2, 3, 1, 1, 3, 2, 3, 1, 1, 1, 3, 3, 1, 0, 2, 3, 2, 1, 1  },
{ 3, 0, 2, 1, 2, 2, 1, 1, 0, 3, 2, 3, 2, 1, 0, 2, 2, 2, 0, 3, 2, 3, 1, 3, 3, 0, 2, 3, 3, 2, 3, 2, 3, 3, 1, 1, 3, 3, 1, 2, 2, 3  },
{ 3, 2, 2, 0, 2, 3, 3, 0, 2, 3, 2, 2, 0, 1, 3, 2, 2, 2, 0, 3, 0, 3, 0, 3, 2, 2, 3, 2, 1, 2, 2, 2, 2, 2, 1, 2, 0, 2, 3, 3, 2, 3  },
{ 1, 3, 0, 0, 0, 2, 3, 2, 2, 3, 0, 2, 2, 2, 0, 1, 0, 2, 1, 3, 0, 3, 0, 0, 3, 0, 3, 2, 3, 0, 2, 2, 0, 3, 3, 2, 1, 2, 3, 1, 0, 2  },
{ 0, 2, 3, 0, 1, 2, 3, 2, 0, 3, 1, 1, 2, 1, 3, 0, 0, 2, 0, 2, 0, 3, 0, 0, 2, 0, 1, 2, 3, 0, 1, 0, 0, 2, 3, 0, 0, 2, 1, 3, 1, 2  },
{ 1, 3, 2, 1, 2, 3, 2, 0, 2, 1, 3, 2, 3, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 2, 0, 3, 0, 0, 2, 2, 0, 3, 0, 2, 1, 3, 3, 3, 2, 3  },
{ 1, 3, 2, 1, 1, 3, 2, 2, 1, 3, 0, 2, 3, 2, 3, 0, 3, 3, 0, 2, 3, 0, 3, 0, 2, 2, 2, 2, 3, 0, 2, 0, 0, 0, 3, 3, 1, 0, 0, 3, 0, 2  },
{ 0, 2, 3, 1, 1, 2, 3, 1, 1, 1, 1, 1, 3, 1, 0, 0, 3, 0, 0, 2, 0, 3, 0, 0, 2, 2, 3, 2, 3, 0, 0, 0, 2, 0, 3, 3, 1, 0, 3, 2, 0, 2  },
{ 1, 2, 3, 2, 2, 3, 3, 2, 2, 1, 3, 2, 0, 3, 2, 1, 2, 3, 0, 0, 3, 0, 2, 3, 2, 2, 0, 3, 0, 3, 2, 3, 0, 3, 0, 2, 2, 3, 2, 3, 3, 3  },
{ 0, 2, 1, 0, 0, 3, 2, 0, 2, 1, 1, 1, 3, 3, 1, 0, 0, 2, 1, 2, 0, 3, 1, 0, 2, 1, 1, 2, 2, 3, 1, 1, 1, 1, 2, 3, 2, 3, 2, 3, 0, 3  },
{ 2, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 2, 1, 3, 1, 0, 0, 3, 0, 2, 0, 2, 3, 1, 3, 2, 1, 0, 2, 3, 1, 1, 1, 1, 3, 1, 0, 1, 2, 1, 1, 1  },
{ 0, 3, 2, 0, 3, 1, 1, 3, 2, 1, 3, 2, 1, 2, 3, 0, 3, 3, 2, 3, 1, 1, 2, 3, 1, 2, 1, 3, 3, 3, 1, 3, 1, 1, 1, 3, 2, 3, 2, 3, 3, 2  },
{ 0, 0, 1, 2, 2, 2, 2, 1, 0, 1, 0, 2, 2, 2, 2, 0, 1, 2, 1, 3, 1, 3, 2, 0, 2, 1, 1, 2, 2, 3, 1, 1, 1, 1, 0, 3, 1, 3, 2, 3, 1, 2  },
{ 0, 1, 1, 0, 0, 2, 1, 3, 0, 0, 1, 3, 1, 0, 2, 0, 1, 3, 3, 0, 0, 1, 2, 0, 3, 1, 2, 2, 2, 1, 3, 2, 1, 1, 3, 2, 1, 1, 3, 1, 2, 1  },
{ 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 3, 0, 1, 0, 3, 3, 0, 3, 1, 2, 3, 0, 2, 3, 1, 1, 3, 3, 2, 0, 3, 2, 2, 1  },
{ 2, 0, 3, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 3, 1, 1, 0, 0, 3, 1, 3  },
{ 3, 1, 0, 0, 2, 2, 2, 2, 0, 3, 2, 3, 2, 3, 3, 2, 0, 0, 2, 3, 0, 0, 0, 3, 2, 1, 2, 2, 3, 2, 2, 2, 2, 0, 2, 1, 3, 3, 2, 2, 0, 2  },
{ 1, 3, 3, 0, 0, 1, 0, 1, 2, 2, 1, 3, 2, 0, 3, 1, 0, 0, 0, 3, 0, 1, 0, 1, 2, 3, 0, 2, 2, 0, 2, 2, 2, 0, 3, 0, 1, 2, 1, 2, 0, 2  },
{ 3, 0, 3, 1, 0, 2, 2, 1, 0, 3, 1, 3, 2, 3, 0, 1, 1, 0, 2, 3, 0, 0, 0, 0, 1, 2, 0, 2, 2, 1, 2, 2, 0, 3, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 0, 2, 3, 1, 0, 2, 3, 2, 0, 1, 3, 0, 2, 0, 3, 2, 0, 3, 0, 2, 0, 3, 0, 0, 3, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 1, 1, 1, 0, 3, 0, 0  },
{ 2, 3, 2, 0, 0, 3, 1, 2, 0, 2, 0, 0, 0, 0, 3, 3, 0, 1, 0, 1, 1, 1, 0, 1, 2, 1, 3, 2, 2, 0, 2, 3, 2, 0, 3, 1, 0, 2, 0, 1, 1, 1  },
{ 3, 2, 2, 0, 0, 3, 0, 3, 1, 2, 0, 1, 2, 3, 3, 3, 3, 3, 2, 0, 1, 0, 0, 1, 1, 3, 1, 1, 1, 2, 1, 2, 1, 2, 1, 0, 0, 1, 0, 0, 1, 2  },
{ 1, 2, 1, 2, 2, 1, 2, 2, 2, 2, 2, 3, 2, 2, 2, 1, 2, 1, 0, 2, 2, 3, 1, 2, 2, 2, 2, 2, 3, 2, 3, 2, 3, 3, 2, 2, 0, 1, 2, 2, 2, 3  },
{ 1, 2, 3, 1, 2, 2, 2, 0, 0, 2, 3, 1, 3, 2, 3, 1, 2, 2, 0, 2, 0, 3, 0, 2, 2, 2, 1, 2, 3, 2, 2, 2, 3, 2, 2, 2, 3, 2, 3, 2, 2, 3  },
{ 1, 2, 1, 1, 2, 2, 2, 2, 0, 3, 1, 3, 1, 3, 2, 0, 1, 2, 1, 2, 0, 3, 0, 2, 1, 1, 0, 0, 2, 0, 2, 2, 1, 2, 0, 2, 0, 2, 2, 2, 1, 2  },
{ 0, 0, 2, 0, 1, 3, 2, 2, 1, 2, 0, 1, 3, 2, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 2, 1, 1, 2, 3, 0, 2, 2, 0, 3, 3, 0, 3, 3, 0, 0, 0, 2  },
{ 1, 0, 2, 2, 0, 3, 2, 1, 1, 1, 0, 0, 1, 2, 0, 1, 0, 3, 1, 2, 0, 3, 0, 0, 2, 2, 0, 0, 2, 3, 0, 0, 2, 3, 3, 0, 3, 2, 1, 2, 2, 2  },
{ 1, 3, 0, 2, 2, 3, 0, 2, 0, 2, 3, 0, 3, 0, 3, 1, 2, 2, 0, 2, 0, 2, 0, 2, 2, 2, 1, 3, 0, 3, 2, 2, 0, 3, 3, 2, 0, 3, 2, 2, 3, 2  },
{ 1, 2, 1, 3, 0, 3, 2, 0, 1, 3, 1, 0, 3, 2, 0, 0, 1, 2, 0, 0, 2, 3, 0, 0, 2, 0, 1, 2, 3, 0, 0, 0, 0, 2, 3, 0, 2, 3, 0, 2, 0, 2  },
{ 0, 2, 3, 0, 0, 2, 0, 3, 2, 0, 1, 0, 2, 0, 0, 1, 0, 3, 1, 2, 0, 2, 3, 0, 2, 0, 1, 2, 2, 2, 0, 2, 0, 2, 3, 0, 2, 2, 3, 2, 0, 2  },
{ 0, 2, 0, 0, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 1, 0, 0, 2, 2, 0, 1, 1, 3, 0, 1, 3, 3, 0, 1, 2, 0, 2, 1, 3, 1, 0, 0, 2, 0, 2, 0, 2  },
{ 1, 0, 3, 2, 0, 3, 0, 2, 2, 1, 3, 2, 1, 3, 2, 1, 2, 2, 0, 3, 2, 0, 2, 0, 2, 2, 3, 2, 0, 3, 0, 3, 0, 0, 0, 2, 2, 3, 0, 3, 3, 3  },
{ 0, 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 3, 0, 0, 0, 2, 3, 3, 0, 3, 2, 0, 2, 1, 2, 3, 2, 2, 0, 2, 0, 2, 3, 3, 0, 3, 2, 0, 2, 2  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 0, 1, 2, 0, 0, 2, 2, 0, 0, 0, 3, 0, 1, 3, 2, 1, 0, 3, 2, 2, 0, 1, 3, 0, 0, 2, 3, 0, 1, 3, 1  },
{ 0, 2, 3, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 3, 3, 0, 0, 2, 3, 0, 0, 2, 0, 2, 0, 2, 1, 1, 2, 1, 3, 2, 2, 1, 1, 3, 2, 0, 3, 3, 2, 1  },
{ 1, 0, 2, 1, 0, 1, 0, 0, 3, 3, 1, 3, 0, 2, 2, 0, 0, 1, 0, 2, 0, 3, 0, 3, 3, 0, 0, 0, 1, 0, 2, 2, 0, 2, 2, 0, 1, 2, 2, 2, 0, 2  },
{ 1, 2, 3, 0, 0, 1, 2, 2, 0, 1, 2, 0, 0, 3, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 2, 2, 0, 2, 0, 0, 2, 0, 0, 3, 0, 0, 0, 2, 1, 0, 0, 2  },
{ 1, 2, 1, 1, 2, 1, 2, 1, 0, 2, 2, 0, 3, 2, 1, 1, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0, 2, 3, 1, 3, 1, 1, 2, 0, 2  },
{ 3, 0, 0, 0, 1, 0, 2, 0, 0, 2, 1, 1, 1, 2, 3, 2, 0, 2, 0, 2, 1, 2, 2, 0, 1, 2, 0, 2, 2, 2, 1, 0, 2, 0, 3, 0, 0, 1, 3, 2, 2, 1  },
{ 0, 0, 2, 1, 0, 1, 1, 1, 1, 1, 0, 3, 0, 2, 1, 1, 1, 2, 0, 1, 3, 2, 0, 1, 0, 1, 1, 1, 2, 2, 2, 2, 3, 0, 1, 2, 1, 0, 0, 0, 3, 2  },
{ 0, 0, 2, 1, 1, 1, 0, 1, 1, 1, 3, 0, 3, 0, 3, 1, 1, 1, 0, 2, 1, 1, 0, 2, 0, 1, 2, 0, 2, 1, 2, 2, 0, 0, 3, 1, 1, 2, 0, 0, 3, 2  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 2, 1, 0, 2, 1, 1, 3, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 2, 3, 3, 1, 2, 0, 1, 1, 0, 3, 2  },
{ 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0, 3, 1, 3, 0, 0, 2, 0, 2, 0, 2, 0, 2, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 3, 2  },
{ 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 3, 0, 2, 1, 1, 2, 0, 3, 0, 2, 1, 0, 2, 1, 0, 0, 2, 2, 0, 2, 0, 0, 3, 1, 1, 2, 2, 2, 3, 2  },
{ 0, 2, 2, 0, 2, 3, 1, 2, 0, 2, 2, 0, 1, 1, 0, 1, 2, 2, 2, 2, 3, 2, 2, 2, 2, 2, 3, 2, 0, 3, 0, 0, 2, 2, 2, 2, 2, 3, 2, 0, 3, 2  },
{ 0, 2, 0, 0, 0, 2, 1, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 1, 0, 3, 2, 3, 2, 1, 0, 0, 2, 2, 2, 0, 0, 0, 1, 3, 2, 1, 2, 2, 0, 3, 2  },
{ 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 3, 0, 2, 3, 1, 2, 0, 1, 1, 2, 2, 0, 0, 0, 0, 3, 1, 1, 2, 3, 0, 0, 2  },
{ 0, 2, 0, 3, 0, 2, 1, 0, 2, 0, 2, 0, 3, 1, 0, 1, 0, 2, 0, 2, 0, 2, 3, 0, 3, 0, 1, 1, 3, 2, 0, 0, 0, 0, 3, 0, 0, 2, 1, 1, 0, 1  },
{ 1, 2, 2, 1, 2, 2, 1, 1, 1, 3, 3, 1, 0, 1, 3, 3, 2, 2, 2, 2, 3, 2, 3, 0, 0, 2, 2, 2, 0, 3, 0, 3, 0, 2, 2, 2, 3, 2, 3, 0, 3, 2  },
{ 0, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 0, 3, 1, 2, 0, 1, 2, 0, 3, 0, 3, 2, 0, 0, 1, 2, 0, 2, 2, 0, 0, 0, 0, 3, 2, 1, 1, 3, 0, 2, 2  },
{ 0, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 3, 0, 2, 1, 0, 0, 3, 3, 1, 1, 0, 3, 2, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 2, 1, 3, 2, 0, 2, 2  },
{ 0, 1, 1, 0, 0, 2, 0, 1, 3, 0, 3, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 3, 2, 3, 3, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 1, 2, 3, 0, 2, 0, 0  },
{ 0, 3, 3, 0, 3, 1, 3, 2, 1, 3, 1, 0, 3, 2, 1, 3, 3, 3, 0, 3, 1, 2, 3, 1, 1, 2, 0, 3, 2, 2, 0, 3, 0, 2, 2, 2, 2, 3, 0, 3, 2, 3  },
{ 0, 2, 1, 0, 0, 1, 0, 3, 1, 0, 3, 1, 3, 0, 3, 3, 0, 2, 0, 2, 1, 3, 3, 2, 0, 1, 3, 0, 2, 2, 0, 0, 0, 0, 0, 3, 2, 3, 0, 2, 3, 0  },
{ 3, 3, 0, 3, 3, 0, 2, 1, 3, 3, 2, 2, 3, 2, 3, 3, 3, 2, 3, 0, 2, 1, 3, 3, 0, 3, 2, 0, 0, 3, 0, 0, 3, 0, 0, 2, 2, 3, 0, 3, 2, 3  },
{ 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 0, 2, 3, 2, 0, 2, 0, 0, 1, 1, 1, 1, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 3, 2  },
{ 0, 0, 2, 1, 0, 2, 1, 1, 1, 2, 0, 0, 1, 0, 2, 1, 0, 1, 0, 2, 3, 3, 0, 3, 2, 0, 3, 1, 3, 2, 1, 2, 1, 2, 1, 0, 1, 3, 0, 0, 3, 2  },
{ 0, 0, 0, 0, 0, 0, 1, 3, 2, 2, 0, 0, 3, 1, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 1, 1, 0, 3, 2, 0, 2, 0, 0, 3, 0, 1, 2, 0, 2, 2, 2  },
{ 2, 0, 0, 0, 0, 3, 1, 2, 0, 0, 3, 0, 3, 2, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 1, 1, 3, 0, 2, 2, 2, 3, 0, 0, 2, 1, 1, 0, 0  },
{ 2, 2, 2, 2, 1, 1, 0, 1, 0, 1, 1, 0, 3, 0, 2, 1, 0, 0, 0, 1, 3, 3, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 0, 3, 0, 1, 0, 0, 3, 2, 0  },
{ 0, 2, 2, 3, 2, 3, 1, 0, 0, 0, 2, 1, 1, 1, 2, 0, 0, 2, 0, 3, 2, 3, 0, 0, 3, 2, 0, 0, 2, 3, 0, 0, 0, 0, 3, 1, 1, 0, 1, 2, 3, 0  },
{ 2, 0, 1, 0, 0, 0, 3, 1, 1, 0, 1, 1, 1, 2, 2, 1, 1, 2, 0, 1, 2, 1, 2, 0, 0, 1, 1, 2, 0, 3, 0, 2, 1, 1, 2, 2, 2, 0, 1, 0, 1, 0  },
{ 1, 3, 1, 2, 3, 2, 1, 1, 0, 2, 1, 1, 3, 1, 0, 0, 0, 3, 1, 0, 0, 2, 2, 0, 0, 0, 1, 1, 2, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 2, 0  },
{ 0, 3, 0, 2, 0, 3, 0, 2, 0, 2, 3, 0, 3, 0, 0, 3, 2, 0, 2, 0, 3, 0, 2, 1, 3, 3, 1, 1, 0, 1, 1, 1, 1, 0, 0, 2, 2, 1, 3, 0, 3, 1  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 1, 3, 0, 1, 1, 0, 0, 1, 2, 0, 1, 2, 1, 1, 3, 0, 2, 0, 0, 0, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 0, 1, 0, 0, 2, 0, 3, 2, 0, 0, 2, 1, 2, 1, 1, 1, 1, 1, 3, 0, 0, 2, 0, 3, 0, 2  },
{ 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 2, 1, 3, 0, 2, 1, 0, 2, 1, 0, 0, 0, 2, 2, 0, 0, 3, 1, 2, 2, 1, 1, 1, 0, 3, 2, 0, 1, 0, 3, 0, 2  },
{ 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 3, 0, 3, 0, 2, 0, 0, 2, 1, 2, 2, 1, 0, 2, 3, 0, 3, 1, 3, 2, 0, 0, 0, 1, 3, 2, 0, 3, 1, 3, 0, 2  },
{ 0, 0, 1, 2, 0, 0, 0, 0, 1, 2, 2, 0, 1, 1, 2, 3, 0, 0, 0, 1, 3, 2, 3, 0, 0, 0, 2, 2, 2, 3, 0, 1, 1, 1, 0, 1, 0, 2, 0, 3, 0, 2  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 1, 3, 2, 1, 1, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 3, 2, 0, 3, 3, 0, 0, 2  },
{ 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 2, 0, 2, 3, 2, 0, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 2, 1, 0, 2, 3, 1, 0, 2  },
{ 2, 1, 3, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 0, 1, 2, 2, 0, 0, 0, 3, 2, 1, 0, 1, 3, 1, 2, 0  },
{ 0, 3, 0, 2, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 2, 3, 1, 2, 1, 0, 2, 3, 2, 1, 0, 1, 2, 0, 0, 2, 0, 3, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 3, 2, 2, 0, 2, 3, 0, 2, 0, 1, 1, 0, 0, 0, 3, 0, 1, 2, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 3, 0, 3, 2  },
{ 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 2, 0, 1, 2, 3, 0, 3, 1, 1, 1, 1, 2, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 3, 2  },
{ 2, 1, 3, 0, 0, 0, 3, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 3, 0, 2, 1, 0, 2, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 3, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 1, 1, 3, 0, 2, 1, 0, 3, 2, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 0  },
{ 0, 0, 3, 3, 0, 1, 3, 0, 3, 3, 1, 0, 3, 3, 2, 1, 0, 0, 3, 1, 3, 2, 3, 0, 1, 2, 1, 0, 3, 2, 0, 3, 0, 2, 0, 1, 2, 3, 2, 2, 3, 2  },
{ 0, 2, 1, 0, 0, 3, 0, 3, 1, 0, 3, 0, 3, 0, 3, 0, 0, 2, 1, 3, 0, 3, 1, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 3, 2, 2, 1, 3, 0, 2, 2  },
{ 0, 0, 1, 0, 0, 3, 2, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 3, 3, 0, 0, 1, 2, 0, 1, 1, 2, 2, 0, 0, 3, 0, 0, 0, 3, 2, 2, 0, 3, 0, 2, 2  },
{ 3, 3, 3, 3, 3, 2, 3, 3, 2, 3, 2, 3, 2, 0, 1, 3, 2, 3, 2, 0, 0, 2, 3, 3, 0, 2, 3, 0, 2, 3, 0, 3, 0, 2, 0, 2, 2, 3, 3, 2, 3, 2  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 1, 3, 0, 3, 1, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 2, 1, 2, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 2  },
{ 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 3, 1, 1, 1, 0, 1, 0, 3, 0, 2, 1, 2, 3, 0, 2, 0, 2, 2, 0, 2, 0, 1, 2, 2, 0, 2, 2, 3, 1, 1  },
{ 2, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 2, 1, 1, 1, 0, 2, 3, 0, 0, 2, 1, 3, 2, 0, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0  },
{ 0, 0, 2, 2, 0, 3, 1, 3, 0, 1, 0, 0, 1, 1, 2, 0, 0, 2, 0, 1, 3, 0, 0, 1, 3, 0, 3, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0  },
{ 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 3, 2, 1, 1, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 2, 2, 3, 2, 0  },
{ 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 2, 0, 3, 3, 1, 1, 0, 2, 3, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 3, 1, 1, 2, 0, 3, 2, 0  },
{ 2, 3, 0, 1, 0, 2, 0, 0, 2, 0, 2, 0, 3, 1, 1, 1, 0, 3, 0, 0, 1, 2, 2, 0, 3, 0, 2, 1, 0, 3, 0, 0, 0, 3, 2, 0, 0, 1, 3, 0, 3, 0  },
{ 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 2, 0, 1, 0, 3, 2, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 3, 3, 0  },
{ 1, 2, 2, 2, 3, 0, 1, 3, 2, 0, 1, 0, 2, 1, 0, 0, 0, 2, 3, 0, 3, 1, 1, 0, 0, 1, 0, 2, 2, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0  },
{ 0, 3, 0, 2, 2, 0, 0, 3, 2, 3, 0, 0, 1, 2, 3, 0, 2, 1, 3, 3, 0, 2, 2, 0, 3, 0, 2, 1, 0, 3, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 3, 0  },
{ 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 3, 2, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 2, 1, 1, 1, 1, 2, 3, 0, 3, 0, 0, 0, 3, 0, 2  },
{ 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 3, 3, 0, 3, 0, 1, 3, 2, 1, 1, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 2, 1, 0, 2, 0, 1, 0, 3, 1, 2  },
{ 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 2, 3, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 0, 3, 1, 2, 0, 1, 0, 3, 1, 2  },
{ 0, 3, 0, 3, 0, 2, 3, 1, 0, 3, 3, 0, 0, 0, 2, 3, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 3, 0, 2  },
{ 1, 2, 0, 1, 2, 0, 0, 0, 0, 2, 3, 2, 3, 2, 2, 2, 0, 1, 3, 3, 0, 0, 3, 0, 0, 2, 0, 1, 2, 2, 0, 1, 1, 1, 3, 2, 0, 1, 0, 3, 0, 2  },
{ 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 3, 3, 2, 0, 0, 1, 0, 2, 1, 0, 2, 3, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 3, 2, 0, 1, 0, 3, 1, 2  },
{ 0, 3, 0, 3, 2, 0, 3, 3, 0, 3, 3, 2, 0, 0, 0, 2, 0, 0, 3, 3, 0, 3, 0, 0, 0, 2, 1, 1, 0, 2, 1, 1, 0, 1, 1, 2, 2, 3, 0, 3, 1, 2  },
{ 0, 0, 0, 2, 0, 1, 3, 0, 3, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 3, 0, 1, 0, 2, 1, 3, 1, 1, 2, 1, 1, 1, 1, 3, 2, 0, 2, 0, 3, 1, 2  },
{ 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 3, 0, 1, 1, 1, 0, 2, 0, 0, 3, 1, 2, 0, 3, 2, 2, 1, 3, 2, 1, 1, 1, 3, 1, 2, 0, 2, 3, 1, 0, 2  },
{ 0, 0, 3, 2, 3, 0, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 0, 2, 0, 3, 2, 3, 0, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 2  },
{ 0, 3, 0, 3, 0, 3, 0, 3, 1, 3, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0, 3, 0, 2, 0, 1, 1, 2, 1, 0, 2, 1, 2, 1, 0, 3, 2, 2, 0, 3, 3, 0, 2  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 3, 2, 3, 0, 2, 2, 0, 0, 1, 1, 0, 1, 3, 1, 0, 0, 2, 1, 3, 1, 1, 2, 1, 1, 1, 3, 3, 2, 2, 0, 0, 3, 0, 2  },
{ 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 3, 0, 0, 0, 1, 2, 2, 0, 2, 1, 2, 0, 0, 1, 2, 3, 2, 0, 3, 1, 1, 3, 0  },
{ 0, 0, 2, 3, 0, 0, 3, 2, 1, 1, 3, 0, 2, 0, 0, 0, 0, 2, 3, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 3, 3, 0, 0, 1, 3, 0, 0, 3, 2, 0, 3, 0  },
{ 0, 3, 2, 2, 1, 1, 3, 2, 0, 3, 0, 0, 1, 3, 2, 0, 0, 0, 3, 0, 3, 3, 0, 0, 2, 2, 1, 1, 1, 2, 1, 3, 1, 2, 3, 0, 2, 3, 3, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 3, 0, 3, 1, 2, 2, 0, 3, 3, 0, 1, 0, 2, 2, 0, 3, 3, 2, 1, 0, 1, 3, 1, 2, 1, 0, 3, 0, 1, 3, 2, 2, 3, 1, 1, 3, 2  },
{ 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 3, 0, 2, 3, 0, 1, 0, 2, 1, 1, 3, 0, 0, 1, 0, 3, 1, 2, 1, 3, 1, 2, 0  },
{ 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 3, 2, 2, 1, 3, 1, 2, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 2  },
{ 0, 3, 0, 3, 0, 3, 0, 1, 0, 3, 0, 3, 0, 3, 2, 0, 0, 0, 2, 0, 1, 3, 2, 0, 0, 2, 0, 1, 0, 2, 3, 0, 2, 1, 3, 2, 1, 3, 3, 3, 2, 2  },
{ 0, 2, 0, 3, 0, 2, 3, 2, 0, 3, 0, 3, 3, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 3, 0, 3, 2, 0, 0, 0, 3, 0, 2, 0, 1, 3, 1, 1, 3, 3, 2, 0  },
{ 0, 0, 3, 2, 0, 3, 3, 0, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 1, 3, 2, 0, 1, 3, 0, 1, 2, 0, 1, 3, 0, 1, 1  },
{ 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 2, 1, 0, 2, 3, 0, 1, 0, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 3, 2, 0, 3, 3, 0, 0, 2  },
{ 0, 2, 0, 2, 0, 3, 0, 3, 0, 0, 2, 0, 1, 1, 1, 1, 0, 0, 1, 0, 1, 2, 0, 3, 2, 0, 2, 0, 0, 3, 0, 2, 3, 1, 3, 2, 0, 0, 0, 0, 1, 0  },
{ 1, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 1, 0, 1, 2, 1, 3, 2, 2, 0, 0, 0, 3, 0, 2, 0, 1, 3, 2, 0, 0, 3, 0, 1, 0  },
{ 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 3, 2, 1, 0, 2, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, 0, 3, 0, 2, 1, 0, 1, 2, 0, 2, 0, 3, 0, 2  },
{ 0, 0, 0, 1, 3, 0, 1, 0, 0, 2, 2, 0, 3, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 1, 2, 0, 3, 2, 3, 0, 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 0  },
{ 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 1, 2, 1, 3, 0, 1, 3, 0, 2, 2, 0, 3, 1, 2, 0, 0, 0, 3, 3, 2, 2, 0, 0, 0, 1, 0, 0, 0, 1, 0  },
{ 2, 0, 0, 2, 3, 0, 3, 0, 0, 0, 2, 0, 3, 0, 1, 1, 0, 0, 3, 0, 2, 0, 1, 1, 1, 0, 1, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 1, 2, 0, 1, 0  },
{ 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 3, 2, 1, 0, 0, 2, 3, 0, 0, 2, 2, 1, 1, 0, 2, 0, 0, 3, 3, 0, 0, 0, 0, 2, 0, 3, 0, 3, 1, 0  },
{ 3, 2, 3, 1, 3, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 2, 1, 0, 3, 2, 0, 0, 0, 3, 3, 0, 0, 2, 0, 0, 3, 0, 0, 1, 1, 0  },
{ 0, 2, 0, 0, 0, 3, 3, 3, 0, 0, 3, 0, 0, 0, 1, 3, 3, 0, 3, 2, 0, 2, 0, 1, 0, 3, 0, 0, 0, 3, 3, 2, 2, 0, 0, 3, 0, 2, 0, 0, 1, 0  },
{ 2, 0, 3, 1, 3, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 0, 3, 0, 2, 2, 2, 0, 1, 0, 2, 0, 0, 3, 3, 2, 0, 0, 0, 0, 0, 0, 3, 2, 3, 0  },
{ 1, 2, 0, 0, 3, 1, 2, 3, 3, 0, 0, 0, 0, 0, 2, 0, 0, 3, 3, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0, 3, 0, 3, 0, 0  },
{ 0, 3, 3, 0, 0, 1, 2, 0, 3, 0, 2, 0, 1, 0, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0, 3, 3, 0, 0, 2, 3, 0, 1, 0, 2, 3, 0, 2, 2, 0, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 2, 0, 1, 1, 0, 3, 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 2, 0, 1, 1, 1, 3, 1, 2, 1, 0, 3, 1, 1, 0, 1, 3, 1  },
{ 0, 0, 0, 3, 0, 3, 0, 1, 2, 3, 0, 0, 2, 0, 3, 3, 0, 1, 2, 1, 0, 1, 3, 1, 0, 3, 0, 0, 2, 1, 2, 1, 2, 0, 0, 3, 2, 0, 0, 2, 0, 1  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 2, 3, 0, 3, 0, 2, 0, 3, 1, 0, 3, 0, 0, 3, 0, 0, 1, 2, 1, 1, 0, 0, 1, 3, 3, 0, 3, 0, 0, 0  },
{ 1, 2, 0, 3, 0, 2, 3, 0, 0, 1, 1, 0, 0, 3, 0, 2, 0, 1, 2, 3, 0, 0, 0, 1, 0, 2, 0, 1, 3, 2, 1, 1, 3, 1, 3, 2, 0, 3, 1, 0, 1, 2  },
{ 0, 3, 0, 3, 0, 0, 3, 2, 0, 0, 3, 0, 0, 1, 2, 3, 0, 0, 3, 1, 0, 3, 0, 3, 0, 2, 0, 0, 1, 2, 1, 1, 3, 0, 1, 2, 0, 2, 3, 0, 0, 0  },
{ 2, 2, 0, 2, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 1, 2, 0, 3, 0, 1, 2, 3, 2, 2, 0, 2, 3, 2, 0, 2, 0, 1, 3, 2, 0, 2, 1, 0, 1, 2  },
{ 0, 0, 1, 2, 0, 1, 3, 0, 2, 2, 3, 2, 2, 2, 0, 2, 0, 1, 3, 2, 0, 3, 1, 2, 0, 2, 0, 1, 3, 2, 0, 1, 3, 0, 0, 2, 0, 2, 3, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 3, 0, 1, 0, 2, 2, 0, 0, 2, 0, 0, 2, 2, 0, 3, 0, 3, 0, 2, 0, 0, 0, 3, 1, 2, 1, 1, 0, 0, 3, 2, 2, 3, 1, 0, 1, 2  },
{ 0, 0, 2, 3, 3, 0, 2, 0, 2, 0, 3, 0, 0, 3, 0, 2, 0, 2, 2, 0, 0, 0, 0, 0, 3, 2, 0, 2, 2, 3, 1, 1, 1, 3, 1, 2, 1, 0, 1, 3, 1, 2  },
{ 0, 0, 0, 0, 3, 0, 3, 0, 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 2, 3, 0, 2, 3, 0, 1, 0, 3, 0, 2, 0, 3, 3, 1, 1, 2  },
{ 0, 0, 3, 3, 1, 3, 3, 1, 0, 2, 0, 1, 1, 3, 2, 0, 0, 1, 1, 1, 3, 0, 0, 2, 1, 0, 1, 2, 1, 2, 3, 0, 3, 1, 3, 2, 3, 2, 0, 3, 0, 1  },
{ 0, 0, 2, 0, 0, 3, 2, 0, 0, 2, 3, 1, 0, 0, 2, 0, 2, 0, 0, 3, 3, 0, 2, 0, 1, 0, 3, 1, 2, 1, 0, 3, 1, 3, 3, 2, 0, 2, 1, 3, 1, 2  },
{ 3, 2, 0, 0, 3, 0, 1, 3, 0, 3, 3, 0, 3, 2, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 2, 0, 1, 2, 1, 3, 1, 1, 1, 3, 3, 2, 0, 1, 2, 1, 0, 2  },
{ 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 3, 0, 3, 0, 0, 0, 0, 2, 3, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 1, 1, 3, 0, 0, 0, 2, 1, 3, 0  },
{ 3, 2, 3, 0, 0, 2, 0, 2, 3, 3, 2, 0, 3, 0, 0, 0, 0, 1, 3, 0, 2, 3, 1, 3, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 1, 0  },
{ 0, 0, 1, 2, 2, 3, 0, 0, 0, 2, 3, 0, 2, 3, 2, 0, 0, 0, 2, 0, 1, 3, 0, 2, 0, 0, 1, 1, 1, 2, 3, 0, 3, 1, 3, 2, 2, 3, 2, 3, 1, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 3, 1, 0, 2, 2, 0, 1, 2, 2, 1, 3, 2, 0, 0, 0, 0, 1, 2, 1, 2, 0, 3, 0, 0, 3, 2, 2, 3, 3, 0, 3, 2  },
{ 0, 0, 3, 1, 2, 0, 3, 2, 0, 2, 1, 0, 2, 2, 2, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 0, 2, 3, 1, 2, 0, 3, 0, 1, 3, 1, 0, 2, 3, 0, 2, 0  },
{ 0, 0, 2, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 3, 2, 0, 3, 1, 2, 0, 3, 3, 2, 0, 3, 2, 2, 1, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 3, 3, 2, 0, 0, 0, 0, 2, 3, 0, 1, 0, 1, 3, 2, 0, 2, 0, 3, 2, 0, 1, 3, 1, 0, 0, 1, 3, 0, 2, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 3, 2, 3, 1, 2, 0, 0, 2, 3, 0, 3, 1, 0, 0, 0, 2, 0, 1, 2, 3, 3, 0, 2, 1, 3, 2, 2, 3, 1, 2, 3, 2  },
{ 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3, 1, 0, 2, 2, 0, 1, 0, 2, 0, 3, 0, 3, 2, 0, 3, 2, 1, 0, 3, 3, 1, 2, 1, 1, 3, 2, 1, 3, 2, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 2, 1, 2, 3, 1, 2, 2, 1, 0, 1, 3, 1, 3, 1, 3, 2, 0  },
{ 2, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 1, 1, 1, 0, 3, 0, 3, 0, 0, 0, 2, 0, 1  },
{ 2, 2, 2, 2, 0, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 3, 3, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 3, 3, 0, 0, 1, 0, 0, 0, 3, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 1, 1, 0, 3, 1, 2, 3, 0, 3, 0, 0, 0  },
{ 2, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 1, 0, 3, 3, 0, 0, 0, 3, 2, 0, 2, 2, 0, 0, 1, 1, 1, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 2, 0, 0, 3, 0, 2, 0, 2, 0, 2, 3, 3, 0, 0, 1, 2, 3, 0, 0, 0, 0, 1, 0, 3, 1, 2, 1, 1, 0, 3, 0, 2, 2, 2, 1, 3, 1, 0, 0, 0, 1, 3  },
{ 2, 0, 0, 3, 0, 2, 2, 0, 0, 0, 2, 3, 3, 0, 1, 2, 0, 3, 2, 0, 0, 1, 0, 3, 2, 3, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 2, 0, 0, 1, 2  },
{ 2, 3, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 0, 1, 0, 3, 3, 1, 3, 2, 0, 2, 2, 0, 3, 0, 1, 2  },
{ 1, 0, 2, 0, 3, 3, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 3, 2, 0, 0, 2, 3, 3, 1, 1, 3, 1, 1, 0, 0, 3, 2, 1, 2  },
{ 0, 0, 2, 3, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 3, 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 1, 2, 2, 0, 0, 0, 3, 0, 0, 0, 2, 3  },
{ 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 2, 3, 0, 0, 2, 2, 0, 3, 1, 2, 1, 0, 3, 1, 0, 2, 0, 0, 3, 0, 2, 1, 2, 3, 0, 2, 2, 0, 0, 1, 3  },
{ 1, 2, 1, 0, 3, 2, 0, 0, 0, 0, 2, 3, 0, 0, 2, 1, 3, 0, 2, 1, 1, 2, 0, 3, 3, 0, 0, 0, 0, 3, 3, 2, 0, 2, 0, 0, 3, 1, 3, 0, 0, 0  },
{ 3, 2, 2, 2, 3, 0, 0, 1, 2, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 3, 3, 0, 3, 0, 0, 2, 3, 0, 1, 3, 0, 2, 1, 0, 3, 3, 0, 0  },
{ 2, 2, 3, 1, 3, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 3, 3, 1, 2, 2, 0, 3, 0, 0, 0, 0, 0, 3, 3, 2, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0  },
{ 3, 0, 2, 0, 3, 3, 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 2, 1, 0, 3, 0, 0, 0, 3, 3, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0  },
{ 3, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 1, 2, 2, 0, 1, 0, 1, 2, 0, 0, 3, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 2, 0, 0, 2, 1, 1  },
{ 0, 0, 0, 3, 0, 2, 0, 3, 1, 3, 0, 3, 0, 2, 0, 0, 3, 0, 1, 3, 0, 2, 0, 1, 3, 0, 2, 0, 0, 1, 2, 0, 1, 2, 3, 0, 0, 1, 3, 0, 0, 1  },
{ 2, 0, 2, 3, 1, 3, 0, 0, 2, 3, 3, 1, 2, 0, 1, 3, 0, 2, 3, 3, 2, 2, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 1, 2  },
{ 1, 3, 1, 3, 2, 2, 2, 3, 2, 2, 3, 2, 1, 1, 2, 3, 2, 3, 2, 2, 0, 2, 2, 3, 2, 3, 1, 2, 2, 2, 2, 0, 3, 2, 3, 2, 2, 3, 2, 2, 0, 2  },
{ 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 3, 0, 3, 0, 2, 0, 3, 3, 0, 0, 0, 2, 0, 3, 2, 1, 0, 3, 0, 0, 2, 0, 3, 2, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 2, 0, 3, 0, 0, 3, 1, 0, 1, 2, 0, 3, 0, 1, 1, 3, 0, 2, 2, 1, 3, 0, 0, 0, 1  },
{ 0, 0, 0, 3, 0, 2, 2, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 3, 0, 3, 0, 0, 0, 2, 1, 0, 3, 1, 0, 1, 3, 0, 1, 2, 2, 3, 0, 0, 0, 1  },
{ 1, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 1, 3, 0, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 2, 0, 3, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 2, 3, 0, 0, 0, 1, 0, 2, 0, 2, 3, 0, 3, 1, 1, 0, 3, 2, 3, 1, 1, 0, 1, 2  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 3, 0, 0, 2, 0, 2, 3, 0, 3, 2, 3, 0, 3, 0, 3, 2, 0, 3, 0, 0, 0, 1  },
{ 3, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 2, 0, 2, 3, 0, 0, 3, 2, 0, 3, 0, 3, 2, 1, 1, 3, 0, 0, 1  },
{ 3, 0, 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 3, 3, 1, 0, 3, 0, 2, 0, 0, 1, 0, 1, 2  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 2, 3, 0, 1, 1, 3, 1, 2, 3, 0, 1, 3, 1, 2  },
{ 0, 2, 3, 2, 1, 2, 3, 0, 2, 2, 3, 0, 0, 2, 3, 0, 0, 2, 1, 2, 3, 2, 0, 2, 0, 0, 0, 3, 1, 2, 3, 0, 3, 2, 1, 2, 3, 2, 0, 3, 1, 2  },
{ 0, 0, 2, 0, 3, 2, 3, 2, 0, 0, 2, 0, 0, 1, 0, 0, 2, 3, 0, 0, 3, 2, 0, 0, 2, 2, 3, 2, 0, 3, 0, 3, 0, 3, 1, 2, 0, 1, 0, 3, 1, 2  },
{ 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 0, 1, 2, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 1, 3, 0, 3, 0, 3, 3, 2, 3, 0, 1, 3, 1, 2  },
{ 3, 2, 3, 2, 2, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 1, 1, 3, 3, 1, 2, 0, 2, 0, 0, 0  },
{ 0, 3, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 3, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 3, 1, 0, 0, 3, 0, 3, 1, 1, 1, 3, 0, 0, 0, 2, 0, 0, 0  },
{ 0, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 1, 3, 2, 2, 0, 2, 0, 2, 1, 3, 0, 0, 2, 0, 0, 1, 0, 1, 2, 3, 0, 1, 3, 1, 2, 3, 2, 3, 3, 1, 2  },
{ 0, 2, 3, 2, 0, 3, 2, 3, 0, 0, 2, 0, 3, 2, 1, 0, 2, 0, 3, 0, 1, 0, 2, 0, 2, 0, 0, 2, 0, 2, 3, 0, 3, 0, 3, 1, 2, 0, 3, 1, 3, 2  },
{ 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 3, 2, 3, 2, 0, 1, 0, 2, 0, 3, 0, 3, 0, 2, 0, 3, 0, 2, 3, 0, 2, 0, 1, 3, 1, 2, 0, 0, 3, 0, 0  },
{ 0, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0, 3, 3, 0, 0, 2, 0, 2, 1, 0, 3, 2, 0, 0, 3, 0, 1, 3, 1, 3, 1, 1, 1, 1, 3, 1, 0, 1, 1, 0, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 0, 0, 3, 2, 1, 0, 3, 0, 2, 0, 3, 1, 3, 0, 2, 1, 2, 0, 1, 3, 0, 3, 2, 1, 0, 1, 2, 3, 0, 3, 3, 2  },
{ 0, 0, 1, 1, 0, 2, 3, 0, 0, 2, 0, 3, 2, 0, 3, 0, 2, 0, 0, 0, 3, 2, 3, 1, 0, 0, 3, 2, 0, 3, 0, 3, 1, 2, 3, 1, 2, 3, 1, 3, 2, 0  },
{ 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 3, 0, 2, 3, 1, 2, 3, 1, 2, 1, 1, 3, 3, 0, 0, 3, 2, 2, 2  },
{ 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 3, 1, 1, 0, 1, 0, 1, 2, 0, 3, 0, 0, 1, 0, 0, 3, 1, 0, 1, 2, 1, 3, 3, 0, 0, 0, 2, 0, 0  },
{ 2, 3, 2, 3, 2, 2, 2, 2, 2, 2, 3, 2, 2, 2, 3, 2, 2, 3, 2, 2, 0, 0, 2, 2, 2, 3, 2, 2, 2, 2, 0, 0, 0, 1, 2, 3, 2, 3, 2, 2, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 1, 3, 0, 3, 0, 1, 1, 0, 0, 2, 0, 0, 3, 3, 0, 0, 1  },
{ 0, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0, 3, 2, 1, 0, 3, 2, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 3, 1, 0, 2, 1, 0, 3, 3, 1, 1, 3, 0, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 2, 0, 0, 0, 2, 3, 0, 2, 3, 0, 3, 3, 0, 2, 0, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 1, 2, 2, 2, 0, 2, 1, 0, 0, 0, 0, 3  },
{ 0, 2, 1, 0, 3, 2, 1, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 3, 1, 1, 0, 0, 0, 3, 1, 2, 0, 2, 3, 0, 2, 0, 0, 0, 0, 3  },
{ 2, 3, 1, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 0, 0, 2, 3, 3, 2, 1, 3, 0, 3, 0, 2, 0, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 3, 2, 0, 0, 3, 3, 2, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 0, 1, 2, 2, 1, 2, 1, 0, 3, 3, 1, 2  },
{ 1, 3, 3, 0, 0, 0, 1, 0, 0, 0, 1, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0, 2, 3, 0, 0, 3, 0, 3, 2, 3, 0, 1, 0, 0, 0, 0, 0, 3  },
{ 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 3, 2, 2, 0, 0, 0, 3, 0, 2, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3  },
{ 0, 2, 1, 0, 3, 0, 0, 0, 3, 0, 0, 3, 2, 0, 1, 1, 2, 0, 0, 0, 0, 1, 2, 3, 2, 3, 1, 0, 0, 3, 1, 2, 1, 3, 0, 0, 1, 2, 0, 0, 0, 1  },
{ 1, 2, 3, 2, 3, 1, 0, 0, 1, 0, 0, 0, 3, 1, 0, 0, 0, 2, 3, 0, 0, 0, 2, 3, 3, 3, 0, 3, 3, 3, 0, 1, 1, 3, 0, 2, 1, 0, 3, 3, 0, 1  },
{ 2, 3, 3, 0, 2, 2, 1, 0, 0, 0, 0, 2, 1, 0, 0, 3, 0, 2, 3, 1, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 3, 2, 1, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 2, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 3, 3, 2, 3, 0, 0, 2, 3, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 3, 1, 0, 0, 2, 0, 1, 0, 3, 0, 3, 0, 0, 3, 2, 2, 2, 0, 0, 3, 3, 1, 1, 0, 3, 1, 0, 0, 2, 0, 0, 0  },
{ 0, 1, 2, 0, 3, 3, 0, 3, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 2, 2, 3, 0, 0, 0, 0, 3, 1, 1, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0  },
{ 3, 3, 0, 1, 0, 3, 0, 3, 2, 0, 3, 2, 2, 0, 0, 2, 3, 0, 3, 3, 1, 2, 0, 3, 0, 0, 0, 0, 0, 1, 3, 2, 1, 3, 0, 2, 0, 0, 0, 2, 0, 0  },
{ 3, 3, 1, 0, 2, 3, 1, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 0, 2, 2, 2, 0, 1, 1, 0, 2, 2, 0, 0, 3, 3, 0, 1, 0, 0, 0, 3, 0, 2, 2, 3, 0  },
{ 2, 1, 1, 3, 2, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 1, 2, 0, 3, 2, 0, 2, 0, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 2, 3, 2, 3, 2, 1, 1, 2, 2, 2, 2, 2, 0, 1, 2, 3, 2, 2, 0, 2, 2, 2, 1, 2, 1, 2, 3, 2, 2, 2, 2, 1, 3, 2, 2, 3, 2, 1, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 3, 3, 2, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 2, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 2, 2, 0, 1, 0, 0, 0, 1  },
{ 1, 2, 2, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 0, 1, 0, 0, 3, 2, 3, 0, 3, 0, 3, 2, 1, 3, 0, 0, 0, 1  },
{ 3, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 3, 2, 0, 3, 0, 0, 0, 1  },
{ 2, 0, 0, 2, 1, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 2, 0, 1, 0, 3, 2, 0, 2, 3, 2, 0, 2, 0, 0, 3, 1, 3, 2, 0, 2, 3, 0, 3, 1, 3, 2, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 1, 0, 0, 2, 3, 0, 0, 2, 0, 2, 1, 3, 0, 2, 3, 0, 0, 1, 0, 2, 0, 0, 0, 3, 2, 3, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1  },
{ 2, 0, 0, 0, 0, 2, 1, 0, 0, 2, 3, 0, 0, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 3, 0, 3, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 2, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 1, 0, 3, 2, 3, 2, 0, 2, 0, 2, 0, 2, 3, 0, 3, 2, 0, 0, 2, 3, 0, 1, 3, 3, 0, 0, 1, 2, 2, 3, 2, 3, 0, 1  },
{ 2, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 2, 2, 3, 2, 0, 3, 2, 0, 3, 3, 2, 1, 3, 2, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 0, 3, 0, 0, 2, 2, 0, 0, 2, 3, 0, 0, 0, 3, 0, 2, 0, 1, 0, 3, 0, 1  },
{ 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 2, 2, 0, 3, 0, 1, 1, 3, 0, 0, 0, 0, 1, 3, 0, 1  },
{ 1, 0, 0, 1, 0, 3, 1, 1, 2, 1, 2, 0, 3, 0, 0, 0, 0, 3, 0, 1, 2, 1, 0, 0, 3, 0, 3, 2, 3, 3, 1, 1, 1, 2, 0, 1, 0, 3, 0, 0, 0, 1  },
{ 0, 0, 3, 2, 0, 3, 1, 0, 2, 2, 3, 0, 0, 0, 0, 2, 2, 0, 0, 2, 3, 0, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 1, 3, 0, 2, 3, 2, 3, 3, 1, 2  },
{ 0, 3, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 3, 0, 2, 0, 2, 0, 2, 0, 3, 1, 0, 1, 2, 0, 2, 0, 3, 0, 0, 3, 1, 3, 3, 1, 2, 3, 2, 3, 0, 1  },
{ 1, 2, 3, 2, 3, 1, 0, 2, 0, 1, 0, 3, 1, 0, 2, 0, 0, 2, 0, 3, 3, 0, 2, 0, 2, 0, 2, 1, 0, 3, 3, 0, 3, 1, 3, 1, 2, 0, 3, 0, 3, 1  },
{ 3, 0, 0, 3, 0, 0, 3, 3, 0, 1, 0, 3, 1, 2, 0, 0, 2, 3, 3, 0, 0, 3, 0, 0, 3, 1, 2, 0, 0, 3, 0, 0, 1, 2, 3, 0, 0, 3, 1, 0, 2, 1  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 1, 3, 0, 3, 0, 1, 1, 0, 2, 0, 1, 3, 1, 3, 0, 1, 2, 2, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 2, 3, 1, 3, 3, 2  },
{ 0, 0, 0, 3, 0, 2, 1, 0, 0, 3, 0, 3, 1, 0, 1, 0, 2, 3, 0, 0, 3, 0, 1, 2, 0, 0, 2, 0, 0, 3, 0, 1, 3, 1, 2, 3, 2, 0, 3, 0, 1, 2  },
{ 2, 0, 0, 0, 3, 2, 0, 1, 0, 2, 0, 0, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 2, 2, 0, 0, 2, 1, 0, 3, 0, 1, 3, 0, 3, 3, 2, 0, 0, 3, 2, 0  },
{ 2, 3, 1, 2, 1, 1, 2, 3, 1, 1, 0, 1, 1, 1, 0, 2, 1, 1, 1, 2, 0, 3, 3, 2, 2, 2, 1, 2, 2, 2, 0, 0, 3, 2, 3, 2, 2, 3, 2, 2, 0, 0  },
{ 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 3, 0, 0, 3, 1, 0, 0, 3, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 0, 1, 0, 0, 3, 3, 1, 1, 0, 3, 2, 1, 0, 0, 0, 0, 0, 1  },
{ 3, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 2, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 1, 3, 2, 3, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 0, 0, 3, 1, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3  },
{ 3, 2, 2, 0, 3, 3, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 2, 3, 2, 3, 0, 0, 0, 1, 2, 3, 1, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 3, 2, 3, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 2, 3, 0, 0, 2, 3, 3, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 3, 3, 0, 1, 3, 0, 1, 0, 2, 0, 0, 2, 0, 2  },
{ 1, 3, 2, 0, 3, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 2, 2, 1, 3, 3, 1, 0, 0, 0, 0, 3  },
{ 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 3, 0, 0, 1, 2, 2, 0, 1, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 3, 1, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 1  },
{ 3, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 2, 2, 2, 3, 0, 3, 0, 1, 3, 1, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 3, 0, 1, 3, 3, 1, 2, 3, 0, 0, 1, 0, 0  },
{ 3, 2, 2, 0, 2, 0, 1, 0, 0, 3, 0, 2, 3, 0, 0, 3, 2, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 3, 2, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 3, 2, 0, 0, 2, 0, 0, 3, 3, 0, 1, 0, 3, 1, 2, 0, 0, 1, 0, 3, 2, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 3, 3, 1, 1, 3, 0, 0, 0, 0, 2, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 2, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 2, 3, 1, 0, 3, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0  },
{ 0, 0, 1, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 2, 1, 2, 2, 3, 1, 3, 0, 0, 1, 3, 0, 1, 3, 0, 3, 2, 1, 0, 0, 1, 0  },
{ 3, 2, 3, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 3, 0, 2, 3, 3, 2, 1, 2, 0, 2, 1, 0, 0, 1, 3, 2, 0, 3, 0, 2, 3, 3, 1, 2, 0, 0  },
{ 2, 0, 2, 1, 2, 0, 0, 0, 0, 3, 2, 3, 3, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 1, 2, 3, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 3, 0, 0  },
{ 0, 2, 1, 2, 2, 3, 2, 0, 1, 0, 1, 2, 0, 1, 1, 0, 0, 2, 0, 2, 2, 2, 0, 1, 2, 2, 1, 3, 0, 1, 3, 1, 2, 2, 0, 1, 2, 1, 2, 2, 3, 1  },
{ 1, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 3, 3, 0, 1, 2, 0, 1, 3, 0, 3, 0, 3, 1, 0, 2, 3, 1, 0, 0, 0, 3  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 3, 3, 1, 0, 2, 3, 0, 3, 0, 3, 3, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 2, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 0, 2, 3, 1, 3, 0, 3, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 1, 3, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 2, 3, 2, 0, 1, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 3, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 0, 0, 1, 3, 0, 2, 0, 2, 3, 1, 3, 0, 3, 0, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 3, 0, 3, 1, 1, 2, 0, 0, 3, 0, 0, 3, 3, 1, 3, 2, 0, 0, 1, 0, 0, 1  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 2, 1, 0, 0, 0, 2, 3, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 1, 0, 3, 1, 0, 2, 0, 0, 1, 2, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0, 2, 3, 1, 3, 0, 3, 1, 3, 0, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 2, 0, 0, 0, 2, 0, 0, 1, 3, 3, 0, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 3, 2, 0, 2, 3, 2, 3, 0, 0, 3, 3, 0, 3, 2, 0, 1, 0, 3, 0, 1  },
{ 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 2, 0, 2, 0, 3, 0, 3, 0, 3, 0, 2, 0, 0, 0, 3, 0, 0  },
{ 0, 0, 1, 1, 0, 3, 0, 0, 2, 3, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 2, 0, 3, 0, 3, 0, 0, 2, 0, 3, 0, 1, 1, 3, 2, 0, 0, 1, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 3, 1, 3, 3, 0, 0, 3, 3, 1, 2, 0, 0, 0, 0, 1, 3, 0, 1, 2, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 0, 3, 0, 2, 1, 2, 0, 3, 3, 2, 0, 2, 1, 2, 1, 0, 0, 1, 3, 3, 0, 0, 1, 0, 2, 3, 2, 3, 0, 1  },
{ 0, 0, 2, 0, 0, 2, 3, 2, 0, 0, 1, 0, 0, 3, 2, 0, 2, 1, 0, 0, 0, 3, 0, 1, 2, 0, 0, 2, 3, 0, 0, 0, 3, 1, 3, 1, 2, 0, 1, 3, 0, 1  },
{ 0, 0, 0, 1, 0, 2, 1, 1, 0, 2, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 2, 0, 1, 2, 0, 2, 3, 0, 0, 3, 3, 1, 3, 1, 2, 0, 0, 3, 0, 1  },
{ 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 1, 0, 2, 0, 0, 3, 0, 0, 1, 3, 0, 0, 2, 0, 0, 2, 0, 1  },
{ 0, 2, 0, 0, 1, 1, 3, 2, 0, 3, 1, 2, 3, 2, 0, 1, 1, 0, 3, 0, 2, 3, 0, 0, 3, 2, 0, 1, 0, 2, 0, 0, 1, 3, 3, 0, 1, 0, 1, 0, 1, 0  },
{ 0, 0, 0, 1, 0, 2, 3, 0, 1, 1, 0, 0, 0, 3, 1, 0, 2, 0, 0, 3, 0, 1, 0, 3, 2, 0, 2, 2, 0, 1, 0, 3, 0, 2, 1, 0, 2, 3, 1, 3, 3, 2  },
{ 0, 0, 2, 1, 0, 2, 3, 0, 2, 0, 0, 0, 3, 2, 2, 0, 1, 2, 0, 3, 1, 3, 0, 2, 1, 2, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 2, 3, 0, 3, 1, 2  },
{ 1, 0, 0, 2, 1, 2, 0, 3, 0, 2, 3, 0, 0, 2, 2, 0, 3, 0, 0, 1, 1, 3, 2, 1, 0, 1, 0, 2, 0, 3, 0, 3, 1, 1, 3, 0, 1, 3, 0, 1, 2, 1  },
{ 3, 0, 0, 2, 3, 0, 0, 0, 3, 0, 1, 0, 3, 0, 1, 0, 0, 0, 1, 2, 0, 2, 2, 0, 2, 1, 0, 0, 0, 3, 0, 3, 0, 2, 3, 0, 0, 1, 0, 2, 1, 0  },
{ 3, 2, 0, 2, 0, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 3, 1, 0, 2, 0, 1, 3, 0, 3, 3, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 1, 0, 0, 3, 0, 2, 1, 0, 2, 0, 1, 0, 1, 0, 3, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 3, 0, 1, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 1, 3, 3, 3, 1, 0, 0, 0, 0, 1, 3, 2, 2, 1, 3, 0, 0, 2, 1, 0, 2, 3, 0, 0, 0, 0, 0, 2  },
{ 3, 2, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 3, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 3, 1, 2, 0, 0, 0, 0, 1  },
{ 3, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 1, 2, 3, 0, 1, 3, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 3, 0, 1, 0, 0, 0, 0, 1, 3, 0, 1, 2, 0, 0, 0, 3, 0, 0  },
{ 0, 0, 1, 0, 2, 2, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 1, 2, 1, 0, 0, 0, 0, 1, 3, 1, 0, 3, 2, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 2, 2, 2, 0, 0, 0, 3, 1, 2, 1, 1, 0, 3, 0, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 1, 3, 0, 3, 0, 0, 0, 1, 0, 1, 2, 2, 0, 3, 3, 0, 2, 3, 0, 2, 1, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 3, 3, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 1, 3, 0, 0, 3, 3, 0, 1, 2, 3, 1, 0, 2, 2, 0, 1, 0, 0  },
{ 3, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 3, 0, 2, 2, 0, 2, 2, 1, 0, 0, 0, 0, 3  },
{ 1, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 2, 2, 2, 3, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 2, 3, 0, 0, 0, 0, 3, 3, 1, 1, 0, 0, 3, 0, 2, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 0, 2, 3, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 3, 3, 1, 0, 2, 0, 3, 3, 1, 2, 3, 0, 1, 1, 2, 0, 0, 1, 0  },
{ 0, 0, 3, 3, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 2, 2, 2, 0, 0, 2, 0, 2, 2, 1, 3, 3, 3, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 3, 3, 3, 0, 0, 0, 2, 0, 2, 0, 1, 3, 1, 2, 1, 0, 2, 1, 3, 1, 3, 0, 0, 1, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 2, 0, 0, 2, 2, 3, 3, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 1, 0, 0, 2, 3, 1, 1, 1, 3, 0, 2, 0, 2, 3, 0, 0  },
{ 2, 1, 3, 1, 2, 2, 3, 2, 1, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 2, 3, 0, 2, 1, 0, 1, 1, 1, 0, 3, 1, 0  },
{ 1, 0, 0, 2, 0, 1, 0, 3, 1, 0, 2, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 2, 0, 1, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 1, 2, 3, 2, 0, 3, 0, 2, 1, 2, 3, 0, 0, 1, 1, 1, 0, 1, 2, 0, 0, 0, 2, 0, 1, 0, 1, 1, 0, 0, 3, 0, 3, 1, 1, 1, 2, 0, 0, 0, 0, 3  },
{ 1, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 0, 3, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0, 1  },
{ 1, 2, 3, 2, 0, 3, 0, 2, 1, 0, 3, 0, 0, 1, 3, 0, 0, 0, 2, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 2, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 1, 0, 1, 0, 0, 1, 0, 2, 1, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 3, 0, 3, 0, 3, 1, 3, 1, 3, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 1, 1, 2, 0, 2, 1, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 2, 0, 3, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 1, 2, 0, 1, 2, 1, 3, 0, 3, 1, 2, 0, 2, 0, 3, 0, 1, 3, 3, 3  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 2, 3, 3, 0, 1  },
{ 3, 3, 3, 1, 3, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 1  },
{ 0, 0, 1, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 1, 1, 3, 0, 0, 2, 3, 0, 3, 0, 3, 3, 0, 0, 0, 1  },
{ 0, 0, 1, 2, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 1, 1, 0, 2, 1, 3, 0, 1, 1, 2, 3, 2, 3, 0, 1  },
{ 0, 0, 3, 0, 0, 2, 2, 0, 2, 0, 3, 0, 0, 0, 0, 2, 1, 2, 0, 0, 3, 0, 2, 3, 1, 1, 0, 2, 3, 0, 0, 0, 3, 1, 3, 2, 0, 2, 1, 3, 0, 1  },
{ 0, 0, 0, 3, 3, 2, 0, 0, 1, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 2, 0, 3, 2, 1, 0, 0, 2, 3, 0, 0, 0, 3, 3, 3, 1, 0, 2, 0, 2, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 2, 0, 2, 3, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 2, 0, 3, 0, 1, 1, 3, 1, 0, 0, 1, 0, 1, 0, 1  },
{ 0, 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 1, 3, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 3, 1, 3, 3, 2  },
{ 2, 0, 2, 2, 3, 0, 3, 1, 2, 0, 2, 0, 3, 1, 0, 1, 0, 0, 0, 2, 1, 3, 0, 1, 1, 0, 3, 1, 0, 3, 0, 1, 3, 0, 3, 2, 2, 3, 0, 3, 2, 1  },
{ 1, 2, 1, 0, 3, 2, 0, 1, 0, 0, 1, 2, 1, 0, 2, 1, 0, 0, 3, 0, 1, 2, 0, 2, 1, 2, 0, 1, 0, 0, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0, 1, 1  },
{ 2, 0, 0, 3, 0, 0, 0, 1, 3, 1, 3, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 3, 1, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 2, 0, 3, 2, 1, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 3, 2, 1, 3, 3, 1, 3, 1, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 2, 1, 0, 0, 0  },
{ 3, 0, 2, 0, 0, 3, 1, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 2, 3, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 3, 0, 3, 0, 3, 0, 0, 2, 0, 2, 1, 0, 1, 2, 3, 2, 0, 0, 1, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 2, 1, 3, 0, 0, 0, 3, 3, 1, 3, 3, 1, 2, 3, 0, 1, 3, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 3, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 3, 2, 3, 0, 3, 0, 1, 3, 1, 3, 0, 1, 0, 0, 0, 3, 3, 3, 1, 2, 1, 1, 0, 2, 0, 0  },
{ 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 1, 3, 0, 0, 3, 2, 2, 0, 0, 0, 3  },
{ 0, 2, 0, 0, 3, 1, 1, 0, 3, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 1, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 1, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 2, 0, 0, 3, 1, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 2, 2, 3, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 3  },
{ 0, 3, 0, 0, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 3, 0, 1, 2, 1, 0, 1, 2, 1, 0, 3, 0, 0  },
{ 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 1, 0, 2, 0, 0, 2, 0, 1, 1, 3, 2, 2, 1, 3, 2, 2, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 3, 1, 0, 0, 2, 1, 2, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 2, 0, 2, 0, 0, 2, 0, 2, 1, 3, 1, 2, 0, 3, 3, 1, 0, 3, 0  },
{ 3, 1, 0, 1, 3, 2, 1, 1, 3, 0, 1, 0, 0, 3, 0, 2, 1, 0, 1, 0, 1, 3, 0, 3, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 3, 3, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 3  },
{ 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 1, 2, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 3  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 2, 1, 0, 0, 0, 1, 3, 2, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 0, 3, 2, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 0, 0, 0, 0, 1, 2  },
{ 0, 0, 0, 1, 3, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 3, 1, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 3, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 1, 1, 2, 0, 2, 0, 3  },
{ 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 3, 0, 3, 1, 1, 0, 3, 0, 1, 3, 3, 3  },
{ 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 0  },
{ 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 0, 2, 0, 3, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 2, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 3, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 1, 0, 3, 0, 2, 0, 0, 0, 0, 1, 3, 3, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 2, 1, 3, 0, 3, 0, 3, 1, 0, 0, 2, 0, 1, 3, 2, 3  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 3, 0, 0, 0, 3, 0, 0, 1, 2, 0, 1, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 3, 3, 3, 1, 0, 2, 3, 3, 0, 0  },
{ 3, 2, 3, 0, 2, 2, 0, 0, 1, 2, 2, 0, 2, 2, 1, 0, 0, 0, 1, 0, 2, 3, 2, 0, 2, 1, 2, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 1, 0, 3, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 3, 0, 1, 3, 1, 2, 3, 0, 0, 1, 3, 0, 2, 0, 2, 2, 0, 0, 0, 0, 3, 0, 0, 1, 2, 3, 2, 3, 1, 3  },
{ 0, 0, 0, 0, 0, 3, 2, 3, 3, 0, 1, 0, 3, 0, 1, 3, 0, 3, 0, 1, 3, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 3, 2, 3, 0, 0, 2, 0, 1, 0, 3, 2  },
{ 0, 2, 0, 1, 0, 1, 3, 1, 3, 1, 0, 0, 0, 1, 2, 3, 0, 0, 1, 0, 0, 1, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 1, 3, 3, 3, 0, 0, 0, 1, 2, 1  },
{ 2, 0, 0, 2, 1, 0, 1, 2, 3, 3, 1, 0, 0, 0, 2, 0, 0, 3, 1, 3, 0, 1, 0, 2, 0, 3, 0, 0, 1, 0, 2, 1, 0, 3, 3, 0, 1, 3, 3, 2, 1, 0  },
{ 0, 0, 0, 1, 3, 0, 1, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 1, 3  },
{ 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 3, 0, 1, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 3, 0, 1, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 2, 2, 0, 0, 0, 0, 3  },
{ 0, 0, 2, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 3, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 2, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 3, 2, 3, 1, 2, 2, 0, 3, 2, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 1, 0, 3, 3, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 3, 0, 0, 1, 2, 2, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 3, 3, 1, 3, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 3, 0, 3, 0, 3, 0, 2, 0, 0, 0, 0, 3, 3, 3, 1, 1, 1, 0, 2, 0, 0, 0  },
{ 2, 3, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 0, 2, 2, 2, 0, 0, 2, 1, 3, 0, 0, 0, 3, 3, 1, 3, 0, 0, 0, 1, 3, 3, 1, 2, 0, 2, 0, 0, 0, 3  },
{ 1, 1, 3, 0, 1, 1, 1, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 3, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 3, 1, 1, 0, 2, 0, 0, 0, 1, 0, 2, 2, 1, 0, 0, 0, 0, 0, 3, 1, 1, 3, 1, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 2, 0, 0, 3, 2, 0, 0, 1, 0, 3, 0, 1, 0, 3, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 3, 3, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 3, 2, 2, 3, 0, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0, 3  },
{ 1, 0, 2, 1, 3, 0, 3, 0, 1, 1, 2, 1, 1, 0, 3, 2, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 3, 2, 0, 0, 0, 0, 0, 0, 3, 0  },
{ 0, 2, 2, 0, 0, 0, 0, 3, 0, 1, 2, 3, 1, 2, 2, 1, 2, 0, 0, 1, 2, 0, 1, 2, 0, 0, 1, 2, 3, 1, 0, 3, 3, 1, 3, 2, 2, 0, 0, 0, 0, 3  },
{ 3, 0, 2, 0, 1, 2, 0, 0, 1, 1, 2, 0, 2, 0, 0, 3, 1, 0, 2, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 0, 2, 2, 2, 2, 2, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 2, 3, 0, 0, 3, 2, 2, 0, 0, 0, 1, 0, 3, 2, 0, 0  },
{ 0, 1, 1, 3, 0, 1, 0, 0, 0, 3, 2, 1, 0, 0, 0, 1, 3, 0, 2, 2, 1, 0, 1, 3, 1, 0, 0, 0, 1, 2, 0, 1, 1, 3, 0, 0, 0, 0, 1, 0, 0, 3  },
{ 0, 0, 1, 0, 1, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 3, 3, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 1, 1, 0, 3, 0, 3, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 0, 1, 3, 0, 3, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 3  },
{ 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 0, 1, 0, 0, 1, 3  },
{ 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 1, 0, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3  },
{ 0, 0, 0, 0, 1, 0, 0, 3, 2, 1, 0, 0, 0, 0, 1, 2, 3, 0, 0, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 3  },
{ 0, 2, 0, 3, 0, 0, 3, 1, 3, 1, 0, 0, 0, 1, 3, 1, 0, 3, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 2, 0, 2, 3, 1, 3  },
{ 0, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 0, 2, 0, 1, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 2, 0, 1, 0, 3  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 1, 2, 3, 1, 3  },
{ 0, 0, 1, 3, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 2, 3, 1, 3  },
{ 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 1, 0, 3  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 1, 0, 3  },
{ 0, 0, 0, 1, 2, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 3, 3, 0, 3, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 3, 2, 2, 1, 0, 2, 1, 3, 1, 3  },
{ 0, 2, 3, 0, 2, 0, 1, 0, 3, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 3, 0, 0, 1, 3, 1, 3, 1, 3, 3  },
{ 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 1, 3, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 3, 0, 0, 0, 3, 0, 2, 0, 2, 3, 1, 3, 3, 3  },
{ 2, 2, 2, 0, 2, 3, 3, 0, 1, 1, 3, 0, 2, 1, 0, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 3, 0, 0, 0, 1, 0, 3, 0, 0, 0, 3, 0, 0, 1  },
{ 3, 3, 1, 3, 0, 3, 2, 1, 0, 3, 2, 3, 1, 0, 0, 2, 3, 0, 2, 1, 0, 2, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 3, 1, 0, 3, 3, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 1, 0, 1, 2, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 1, 1, 1, 3, 3  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 1, 2, 0, 1, 0, 0, 0, 3  },
{ 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 2, 0, 0, 0, 1, 1, 3  },
{ 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 2, 2, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 1, 1, 0, 1, 3, 0, 2, 0, 0, 3, 1, 3, 0, 0, 0, 0, 3, 3, 0, 0, 2, 2, 0, 2, 3, 0, 1, 2  },
{ 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 3, 3, 2, 1, 0, 0, 2  },
{ 0, 3, 2, 3, 1, 3, 3, 3, 0, 0, 1, 1, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 2, 3, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 3, 3, 1, 0, 2, 2, 2, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 2, 2, 2, 0, 1, 3, 3, 3, 0, 0, 0, 2, 0, 1, 1, 0, 2, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 2, 0, 1, 1, 2, 3, 1, 0, 1, 0, 2, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 1, 1, 0, 0, 1, 3  },
{ 3, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0, 1, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 2, 3, 2, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 3, 3, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 1, 0, 0, 0  },
{ 3, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 1, 1, 1, 2, 0, 0, 1, 0, 1, 2, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0  },
{ 1, 0, 1, 0, 1, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 3, 2, 3, 1, 2, 0, 3, 3, 0, 2, 1, 2, 0, 0, 0, 1, 1, 1, 0, 2, 1, 2, 0, 1, 0, 3  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 3, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 3, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 1, 3, 1, 3, 3, 3  },
{ 0, 2, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 1, 1, 0, 3, 3  },
{ 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3  },
{ 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 3, 1, 3, 1, 3  },
{ 0, 0, 0, 2, 2, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 2, 0, 0, 1, 3  },
{ 2, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 3, 0, 1, 1, 0, 0, 3  },
{ 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 1, 3, 1, 0, 1, 3  },
{ 2, 0, 1, 1, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 3, 1, 0, 3, 1, 3  },
{ 0, 3, 0, 3, 2, 0, 0, 0, 0, 1, 3, 2, 0, 0, 1, 3, 0, 0, 3, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 3, 1, 1, 0, 2, 3, 0, 0, 0, 0, 0, 3, 3, 1, 0, 2, 3, 1, 3, 3  },
{ 0, 2, 0, 2, 0, 1, 1, 3, 2, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1  },
{ 3, 2, 0, 3, 3, 1, 2, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 3, 3, 3, 0, 1, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 3, 2, 0, 0, 2, 0, 0, 3, 0, 2, 1, 0, 0, 0, 0, 0, 3, 2, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 1, 3, 0, 3, 3  },
{ 2, 0, 0, 3, 0, 0, 0, 1, 3, 0, 1, 0, 3, 3, 0, 3, 2, 0, 0, 1, 1, 2, 0, 3, 0, 2, 0, 1, 2, 0, 0, 2, 1, 1, 3, 0, 1, 3, 0, 1, 2, 1  },
{ 0, 0, 0, 3, 0, 3, 3, 3, 2, 0, 1, 2, 2, 0, 0, 3, 3, 0, 0, 1, 0, 2, 0, 0, 3, 3, 2, 0, 2, 0, 2, 1, 0, 0, 3, 0, 3, 0, 1, 0, 1, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 1, 3, 0, 0, 0, 0, 3, 3, 1, 3, 3, 0, 1, 3, 0, 0, 0  },
{ 0, 3, 0, 1, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 3, 1, 0, 3, 1, 0, 0  },
{ 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 1, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 3, 0, 1, 3, 2, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 0, 3, 0, 0, 0, 0, 3  },
{ 0, 0, 2, 2, 0, 0, 1, 3, 0, 1, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 1, 1, 0, 0, 1, 0, 1, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 3, 2, 3, 0, 3, 3, 0, 0, 0, 3  },
{ 0, 0, 0, 2, 0, 1, 0, 3, 1, 1, 3, 1, 1, 0, 1, 0, 3, 0, 0, 0, 3, 0, 0, 3, 1, 0, 3, 0, 0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 2, 0, 0, 0  },
{ 3, 1, 0, 0, 3, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 3, 3, 3, 1, 0, 0, 1, 2, 1, 2, 0, 0, 1, 0, 3, 1, 1, 0, 0, 3  },
{ 1, 3, 0, 3, 0, 3, 0, 0, 3, 2, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 2, 1, 3, 0, 0, 0  },
{ 0, 3, 3, 2, 0, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 3, 2, 0, 0, 0, 0, 3, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 2  },
{ 0, 1, 0, 2, 3, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 2, 2, 0, 1, 0, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0, 3, 3, 1, 0, 2, 0, 0, 0, 3, 0, 3  },
{ 3, 2, 0, 1, 0, 2, 0, 0, 0, 3, 2, 3, 1, 0, 2, 1, 2, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 0, 3, 3, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 3  },
{ 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 2, 3, 0, 0, 0, 1, 2, 0, 2, 1, 0, 3, 3, 1, 1, 0, 1, 0, 0, 0, 0, 1, 3, 1, 1, 3, 1, 3, 0, 3, 3  },
{ 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 0, 0, 3, 0, 2, 0, 3, 1, 1, 2, 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 3, 1, 3, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 1, 1, 3, 3, 1, 0, 2, 3, 1, 0, 3, 3, 1, 2, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 1, 0, 1, 3, 0, 0, 1, 0, 1, 3, 1, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 3, 3, 0, 2, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 3, 1, 3, 3  },
{ 0, 0, 0, 0, 1, 0, 1, 3, 1, 1, 0, 0, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 1, 3, 0, 3, 3, 0, 0, 0, 0, 0, 3, 3, 1, 0, 1, 3, 1, 1, 3, 3  },
{ 1, 1, 0, 1, 0, 3, 3, 0, 2, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 0, 3, 0, 2, 3, 1, 1, 1, 1, 0, 0, 0, 2  },
{ 2, 3, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 2, 1, 0, 0, 1, 0, 0, 2, 2, 1, 1, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 3, 1, 0, 0, 3  },
{ 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 3, 3, 0, 3, 0, 2, 0, 1, 2, 0  },
{ 2, 2, 1, 0, 0, 1, 1, 1, 3, 2, 1, 0, 0, 1, 2, 2, 2, 0, 2, 0, 0, 0, 0, 3, 1, 1, 2, 0, 0, 0, 2, 0, 3, 3, 2, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 2, 0, 1, 2, 1, 1, 0, 0, 0, 1, 3, 0, 0, 1, 2, 0, 1, 3, 0, 1, 0, 3, 0, 0, 0, 3, 0, 0, 2, 3, 0, 1, 0, 1, 3, 0, 2  },
{ 0, 0, 1, 1, 2, 0, 3, 2, 0, 1, 1, 0, 0, 0, 0, 3, 2, 0, 3, 0, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0, 0, 0, 3, 3, 0, 0, 2, 1, 0, 0, 0, 0  },
{ 0, 3, 1, 0, 2, 1, 1, 2, 1, 0, 3, 1, 1, 0, 3, 0, 1, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 0, 1, 0  },
{ 0, 2, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 3, 0, 0, 0, 2, 1, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 1, 0, 1, 0, 1, 3, 0, 0, 2, 0, 3, 0, 3, 1, 3, 2, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 2, 2, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 0, 3, 3, 3, 1, 3, 0, 0, 1, 1, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 1, 1, 3, 0, 0  },
{ 1, 0, 0, 0, 3, 0, 1, 2, 0, 3, 1, 0, 1, 2, 0, 2, 1, 0, 0, 0, 3, 2, 0, 1, 3, 1, 3, 0, 0, 0, 2, 0, 3, 3, 0, 0, 0, 0, 0, 1, 0, 3  },
{ 3, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 3, 2, 1, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 1, 2, 3  },
{ 0, 1, 0, 0, 0, 3, 0, 0, 0, 3, 2, 2, 0, 0, 3, 1, 3, 2, 0, 1, 1, 1, 1, 3, 2, 0, 1, 1, 0, 0, 0, 2, 1, 3, 3, 1, 0, 2, 1, 1, 3, 2  },
{ 3, 1, 1, 0, 0, 2, 0, 0, 1, 0, 3, 1, 1, 3, 0, 0, 1, 1, 0, 0, 0, 1, 1, 2, 0, 2, 0, 1, 3, 2, 0, 3, 3, 3, 1, 1, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 2, 0, 3, 0, 0, 2, 1, 3, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 1, 1, 0, 2, 2  }
 }
 },
{ 
{ 
{ 3, 2, 1, 2, 2, 3, 3, 3, 2, 2, 0, 1, 3, 2, 3, 2, 2, 0, 3, 2, 2, 2, 2, 3, 2, 2, 3, 3, 2, 2, 3, 3, 2, 3, 3, 2, 3, 1, 3, 2, 2, 1  },
{ 3, 2, 1, 2, 2, 3, 3, 2, 2, 2, 1, 0, 2, 3, 1, 2, 2, 2, 3, 2, 2, 2, 3, 3, 2, 2, 2, 3, 1, 1, 3, 2, 1, 2, 3, 2, 2, 1, 3, 3, 2, 2  },
{ 3, 2, 1, 2, 1, 2, 3, 2, 2, 3, 3, 2, 2, 3, 3, 2, 1, 1, 1, 3, 2, 2, 1, 3, 3, 2, 2, 3, 2, 0, 0, 2, 1, 2, 3, 2, 3, 1, 3, 3, 2, 3  },
{ 2, 3, 1, 2, 1, 1, 3, 2, 3, 3, 2, 3, 3, 3, 3, 3, 1, 0, 0, 1, 2, 2, 2, 3, 3, 2, 2, 3, 1, 2, 3, 3, 2, 1, 3, 3, 2, 0, 1, 3, 2, 2  },
{ 2, 0, 3, 3, 1, 0, 0, 0, 0, 2, 1, 0, 0, 2, 1, 1, 0, 2, 2, 0, 3, 2, 0, 3, 2, 2, 2, 2, 0, 2, 1, 1, 1, 2, 3, 1, 2, 1, 3, 2, 1, 1  },
{ 0, 2, 3, 0, 2, 1, 2, 2, 0, 3, 0, 1, 0, 1, 0, 0, 3, 1, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 2, 3, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 2, 1, 2, 3, 2, 3, 2, 3, 3, 3, 3, 3, 2, 2, 1, 3, 3, 2, 2, 3, 3, 2, 2, 3, 0, 3, 1, 3, 2, 1, 3, 3, 1, 2, 3, 3, 3, 2, 2  },
{ 3, 2, 2, 1, 3, 1, 2, 3, 2, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 2, 2, 0, 1, 3, 0, 0, 0, 3, 2, 0, 3, 1, 0, 3, 2  },
{ 2, 3, 1, 1, 0, 3, 2, 2, 1, 0, 2, 0, 1, 3, 1, 0, 1, 2, 2, 2, 0, 0, 1, 3, 2, 2, 2, 2, 0, 3, 1, 0, 2, 1, 1, 1, 1, 0, 3, 2, 2, 1  },
{ 2, 3, 1, 2, 2, 2, 3, 0, 2, 3, 1, 3, 3, 0, 3, 2, 2, 1, 3, 2, 2, 2, 3, 1, 2, 2, 0, 3, 2, 0, 0, 0, 2, 3, 1, 3, 2, 1, 3, 1, 2, 1  },
{ 2, 3, 1, 3, 2, 0, 3, 2, 2, 3, 2, 2, 3, 0, 0, 2, 2, 1, 3, 2, 2, 2, 3, 1, 2, 2, 1, 1, 2, 1, 1, 2, 2, 1, 3, 2, 2, 1, 3, 3, 2, 0  },
{ 2, 3, 1, 2, 0, 2, 3, 1, 2, 3, 1, 0, 0, 1, 3, 2, 0, 1, 3, 3, 2, 2, 2, 3, 2, 3, 2, 3, 2, 0, 2, 1, 2, 3, 1, 2, 2, 1, 3, 1, 2, 3  },
{ 3, 3, 1, 2, 3, 3, 3, 3, 2, 3, 3, 2, 0, 2, 3, 2, 2, 3, 1, 2, 2, 2, 3, 0, 2, 3, 2, 1, 2, 0, 1, 2, 2, 2, 3, 2, 2, 1, 3, 2, 0, 0  },
{ 3, 3, 1, 2, 1, 1, 3, 0, 2, 3, 3, 1, 1, 2, 0, 2, 0, 1, 1, 3, 2, 2, 2, 3, 1, 3, 2, 1, 2, 0, 2, 0, 2, 1, 3, 2, 2, 1, 3, 3, 2, 2  },
{ 3, 2, 1, 3, 2, 0, 3, 3, 2, 3, 2, 2, 1, 3, 0, 2, 2, 1, 3, 3, 2, 2, 3, 2, 2, 2, 1, 0, 2, 0, 0, 2, 2, 2, 3, 2, 2, 1, 3, 2, 0, 3  },
{ 3, 1, 3, 2, 1, 1, 2, 1, 2, 3, 3, 1, 1, 2, 3, 2, 3, 3, 1, 3, 2, 2, 3, 1, 2, 2, 3, 2, 3, 2, 1, 2, 0, 2, 3, 3, 2, 1, 2, 2, 0, 2  },
{ 3, 1, 2, 2, 3, 3, 2, 0, 2, 1, 3, 1, 3, 3, 0, 2, 3, 3, 0, 3, 1, 2, 2, 2, 3, 3, 3, 1, 1, 2, 1, 2, 2, 3, 3, 3, 2, 0, 2, 1, 2, 2  },
{ 1, 3, 1, 2, 3, 2, 3, 0, 2, 3, 2, 2, 2, 1, 3, 2, 2, 3, 0, 3, 2, 3, 1, 3, 2, 2, 3, 3, 0, 0, 0, 2, 1, 2, 2, 2, 3, 1, 3, 3, 1, 2  },
{ 2, 1, 1, 2, 1, 2, 2, 0, 1, 3, 1, 2, 0, 3, 2, 2, 3, 2, 0, 2, 3, 2, 0, 1, 3, 2, 2, 1, 2, 3, 1, 1, 1, 1, 3, 2, 2, 0, 1, 3, 1, 1  },
{ 2, 1, 2, 2, 2, 0, 2, 0, 1, 3, 1, 3, 1, 0, 3, 2, 0, 0, 2, 3, 2, 3, 2, 2, 3, 3, 0, 1, 1, 3, 0, 2, 0, 1, 3, 2, 2, 3, 1, 0, 0, 1  },
{ 0, 3, 2, 2, 3, 1, 2, 1, 2, 2, 2, 3, 2, 0, 2, 1, 2, 3, 1, 0, 2, 3, 0, 0, 3, 2, 3, 2, 1, 2, 1, 1, 1, 3, 2, 1, 1, 0, 1, 1, 3, 1  },
{ 2, 3, 0, 2, 1, 1, 3, 1, 2, 3, 1, 1, 3, 1, 3, 2, 1, 3, 0, 2, 0, 2, 2, 3, 2, 3, 2, 1, 3, 0, 2, 2, 2, 1, 3, 2, 2, 0, 3, 1, 2, 0  },
{ 3, 0, 3, 2, 1, 1, 3, 3, 2, 3, 2, 1, 3, 0, 3, 2, 1, 3, 0, 1, 1, 2, 2, 3, 2, 3, 3, 1, 3, 2, 1, 0, 2, 1, 3, 2, 2, 0, 1, 1, 1, 2  },
{ 2, 1, 3, 2, 3, 2, 1, 0, 2, 3, 3, 3, 3, 2, 3, 2, 3, 2, 3, 1, 3, 2, 1, 3, 3, 2, 0, 1, 2, 2, 2, 2, 1, 1, 3, 2, 2, 0, 1, 3, 1, 0  },
{ 2, 3, 0, 2, 0, 1, 3, 1, 0, 3, 1, 2, 0, 2, 1, 2, 1, 1, 1, 3, 2, 2, 2, 1, 0, 2, 1, 2, 2, 0, 1, 1, 2, 2, 1, 2, 2, 0, 3, 0, 2, 0  },
{ 2, 2, 0, 2, 1, 1, 2, 1, 0, 3, 0, 2, 3, 2, 1, 2, 0, 1, 0, 3, 2, 1, 3, 3, 3, 2, 1, 1, 2, 1, 1, 0, 2, 2, 1, 2, 2, 0, 3, 0, 2, 2  },
{ 0, 2, 3, 3, 2, 3, 3, 1, 0, 3, 1, 2, 0, 2, 1, 2, 0, 1, 3, 3, 2, 3, 0, 1, 2, 2, 2, 2, 3, 2, 0, 0, 2, 0, 2, 2, 2, 2, 3, 3, 2, 0  },
{ 2, 3, 1, 2, 0, 0, 3, 1, 0, 3, 3, 1, 0, 2, 1, 2, 0, 1, 1, 3, 1, 2, 1, 3, 2, 2, 1, 1, 3, 0, 1, 0, 2, 2, 3, 2, 2, 0, 3, 1, 0, 0  },
{ 3, 3, 1, 2, 1, 1, 3, 0, 1, 3, 0, 1, 0, 2, 2, 2, 0, 2, 0, 3, 3, 2, 2, 0, 1, 2, 1, 1, 1, 0, 0, 2, 0, 3, 3, 2, 2, 0, 1, 3, 2, 0  },
{ 1, 3, 2, 3, 3, 1, 3, 2, 0, 3, 1, 2, 0, 3, 1, 2, 2, 3, 0, 2, 1, 3, 0, 3, 0, 2, 3, 2, 2, 0, 0, 0, 2, 3, 2, 2, 2, 2, 3, 3, 0, 2  },
{ 1, 3, 2, 2, 1, 1, 2, 2, 1, 2, 0, 1, 2, 2, 2, 2, 3, 2, 0, 3, 3, 3, 0, 0, 3, 2, 1, 1, 3, 0, 0, 0, 2, 0, 3, 2, 2, 2, 2, 3, 2, 2  },
{ 1, 3, 3, 2, 1, 3, 1, 2, 2, 2, 0, 3, 0, 1, 3, 2, 3, 2, 3, 0, 3, 3, 3, 2, 3, 1, 3, 1, 2, 0, 2, 1, 2, 1, 3, 2, 2, 0, 1, 0, 0, 1  },
{ 1, 3, 3, 3, 2, 2, 3, 2, 3, 3, 2, 1, 3, 0, 2, 3, 3, 1, 3, 3, 0, 3, 0, 3, 2, 2, 3, 1, 3, 0, 0, 0, 0, 3, 3, 2, 2, 1, 3, 2, 2, 3  },
{ 1, 2, 2, 2, 3, 2, 1, 1, 1, 3, 3, 2, 0, 2, 3, 1, 0, 1, 3, 1, 1, 2, 1, 3, 2, 2, 1, 1, 3, 0, 0, 0, 0, 1, 3, 3, 2, 0, 3, 3, 0, 1  },
{ 1, 2, 2, 2, 1, 0, 2, 0, 1, 3, 2, 2, 3, 2, 2, 2, 0, 1, 2, 3, 1, 2, 0, 1, 3, 3, 1, 1, 2, 0, 0, 0, 1, 1, 3, 3, 2, 2, 3, 1, 2, 2  },
{ 1, 3, 0, 3, 2, 3, 3, 3, 2, 3, 2, 3, 2, 0, 1, 3, 1, 3, 3, 0, 2, 3, 2, 3, 1, 2, 3, 2, 3, 1, 0, 1, 3, 2, 0, 2, 2, 1, 3, 3, 0, 1  },
{ 1, 2, 1, 3, 1, 3, 0, 3, 2, 3, 2, 1, 2, 3, 1, 1, 0, 2, 0, 3, 1, 2, 0, 1, 2, 2, 1, 2, 3, 3, 0, 1, 0, 1, 1, 3, 2, 0, 3, 3, 2, 2  },
{ 3, 3, 1, 3, 3, 2, 3, 3, 0, 3, 2, 0, 0, 1, 0, 3, 2, 3, 0, 3, 2, 2, 3, 1, 2, 3, 2, 2, 3, 1, 0, 3, 1, 1, 1, 2, 3, 3, 2, 3, 0, 2  },
{ 0, 2, 2, 2, 3, 1, 3, 0, 2, 0, 3, 0, 1, 3, 2, 0, 1, 1, 0, 3, 3, 0, 1, 1, 1, 2, 1, 1, 3, 2, 0, 1, 0, 0, 1, 3, 2, 3, 3, 1, 2, 2  },
{ 1, 1, 2, 2, 1, 0, 2, 3, 0, 1, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 1, 0, 0, 3, 2, 2, 0, 1, 2, 0, 1, 0, 3, 3, 1, 1, 3, 0, 0, 3, 0  },
{ 2, 3, 3, 2, 0, 1, 1, 0, 0, 3, 2, 0, 3, 2, 1, 1, 0, 2, 3, 0, 0, 3, 0, 0, 3, 2, 1, 0, 0, 2, 1, 1, 0, 3, 3, 1, 0, 0, 1, 0, 3, 1  },
{ 2, 3, 0, 2, 0, 1, 3, 1, 2, 3, 0, 1, 0, 2, 1, 0, 0, 3, 1, 0, 0, 3, 2, 2, 3, 2, 2, 1, 1, 0, 2, 0, 2, 3, 1, 2, 2, 0, 3, 2, 0, 0  },
{ 2, 0, 1, 1, 1, 1, 0, 3, 2, 3, 2, 0, 1, 2, 1, 0, 0, 3, 0, 3, 3, 2, 2, 3, 1, 3, 0, 1, 0, 0, 0, 0, 0, 2, 3, 2, 2, 0, 1, 3, 2, 2  },
{ 2, 1, 2, 2, 3, 0, 1, 2, 2, 3, 0, 1, 2, 2, 0, 2, 0, 1, 3, 0, 3, 2, 2, 3, 3, 3, 1, 1, 0, 0, 1, 1, 2, 2, 3, 2, 2, 0, 1, 0, 0, 2  },
{ 2, 2, 2, 2, 1, 1, 0, 1, 2, 3, 1, 1, 3, 1, 2, 0, 1, 1, 2, 0, 3, 2, 2, 3, 2, 3, 1, 1, 0, 0, 1, 2, 1, 0, 3, 2, 2, 2, 3, 2, 2, 2  },
{ 2, 1, 0, 1, 0, 3, 2, 0, 1, 3, 1, 0, 2, 2, 2, 0, 1, 2, 2, 0, 3, 2, 2, 3, 2, 2, 3, 1, 0, 2, 0, 0, 2, 2, 3, 1, 2, 0, 1, 3, 2, 2  },
{ 2, 1, 0, 1, 1, 0, 1, 2, 0, 2, 3, 3, 0, 1, 2, 0, 2, 0, 0, 3, 0, 2, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 2, 1  },
{ 1, 2, 2, 2, 2, 3, 3, 1, 0, 3, 2, 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 2, 2, 2, 2, 1, 2, 0, 0, 0, 0, 2, 1, 2, 2, 0, 2, 3, 0, 2, 1  },
{ 0, 2, 2, 2, 2, 1, 3, 2, 2, 3, 2, 1, 2, 2, 1, 0, 0, 1, 2, 0, 1, 0, 2, 1, 3, 2, 1, 1, 2, 0, 0, 0, 2, 2, 1, 2, 0, 2, 3, 3, 0, 2  },
{ 0, 3, 0, 2, 3, 1, 3, 0, 3, 3, 3, 2, 3, 2, 1, 3, 2, 1, 3, 1, 3, 3, 3, 1, 1, 2, 1, 2, 3, 0, 0, 0, 3, 0, 1, 2, 2, 0, 3, 0, 2, 2  },
{ 1, 2, 2, 2, 1, 1, 3, 1, 0, 3, 2, 1, 0, 1, 1, 2, 0, 1, 2, 2, 3, 2, 2, 3, 3, 2, 1, 1, 0, 0, 0, 0, 2, 2, 1, 2, 3, 0, 3, 0, 0, 1  },
{ 1, 2, 2, 2, 2, 3, 3, 0, 3, 3, 3, 2, 1, 0, 1, 2, 0, 3, 0, 3, 2, 2, 0, 1, 2, 2, 1, 1, 3, 0, 0, 0, 2, 2, 3, 2, 2, 0, 3, 3, 0, 2  },
{ 1, 2, 2, 2, 1, 2, 2, 1, 3, 3, 0, 1, 0, 1, 2, 2, 3, 2, 0, 2, 3, 3, 0, 1, 3, 2, 3, 1, 3, 0, 0, 0, 2, 0, 3, 2, 1, 0, 1, 3, 0, 2  },
{ 1, 2, 2, 2, 1, 2, 3, 1, 0, 3, 3, 1, 0, 1, 1, 2, 0, 2, 2, 0, 3, 2, 2, 2, 3, 3, 1, 1, 0, 0, 0, 0, 0, 3, 2, 1, 2, 0, 3, 2, 0, 2  },
{ 1, 3, 2, 3, 3, 2, 3, 0, 3, 3, 1, 3, 0, 2, 1, 3, 0, 1, 3, 0, 3, 2, 0, 3, 1, 2, 1, 3, 3, 0, 0, 0, 3, 2, 2, 2, 2, 1, 3, 1, 2, 2  },
{ 0, 3, 3, 2, 0, 0, 1, 2, 0, 1, 2, 0, 0, 1, 0, 0, 0, 2, 0, 3, 0, 2, 0, 0, 1, 1, 1, 1, 3, 2, 0, 2, 0, 1, 1, 3, 2, 3, 2, 3, 0, 1  },
{ 1, 0, 0, 3, 3, 0, 1, 0, 3, 1, 3, 1, 1, 1, 0, 2, 0, 0, 3, 1, 0, 3, 0, 1, 3, 0, 0, 1, 3, 3, 1, 1, 0, 3, 3, 1, 0, 0, 2, 0, 3, 1  },
{ 0, 2, 2, 2, 1, 1, 1, 0, 1, 2, 3, 1, 3, 1, 2, 0, 0, 2, 0, 3, 1, 0, 2, 3, 1, 2, 1, 1, 2, 3, 2, 0, 1, 2, 3, 2, 0, 2, 3, 1, 3, 1  },
{ 2, 2, 1, 1, 1, 3, 0, 2, 1, 2, 2, 1, 3, 0, 1, 2, 2, 3, 2, 0, 3, 2, 2, 0, 3, 0, 2, 1, 0, 2, 0, 0, 0, 3, 1, 2, 2, 1, 3, 2, 2, 2  },
{ 2, 1, 3, 2, 3, 3, 0, 1, 1, 2, 1, 0, 0, 0, 1, 1, 0, 1, 2, 2, 3, 2, 2, 1, 3, 2, 1, 2, 1, 3, 0, 0, 0, 3, 2, 1, 2, 0, 2, 1, 2, 2  },
{ 1, 2, 2, 2, 3, 2, 2, 1, 0, 2, 3, 2, 3, 2, 1, 0, 2, 2, 2, 0, 3, 2, 2, 2, 2, 2, 2, 1, 2, 0, 0, 0, 2, 1, 2, 2, 1, 1, 2, 3, 0, 0  },
{ 0, 3, 2, 2, 3, 1, 3, 2, 2, 3, 3, 2, 0, 1, 3, 2, 2, 2, 3, 0, 3, 0, 3, 2, 0, 2, 3, 1, 3, 0, 0, 0, 3, 1, 1, 2, 0, 2, 3, 0, 3, 1  },
{ 0, 2, 2, 2, 1, 1, 2, 0, 3, 2, 2, 2, 0, 1, 2, 3, 2, 2, 2, 0, 3, 2, 2, 2, 0, 2, 3, 1, 2, 1, 0, 0, 2, 1, 1, 2, 1, 2, 3, 0, 3, 0  },
{ 1, 2, 1, 3, 1, 0, 3, 2, 3, 2, 3, 1, 0, 1, 3, 2, 2, 2, 2, 0, 3, 2, 3, 1, 0, 2, 3, 1, 2, 0, 0, 0, 1, 1, 1, 2, 0, 1, 3, 0, 3, 0  },
{ 0, 2, 1, 2, 1, 1, 3, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 3, 0, 3, 0, 0, 3, 0, 3, 2, 1, 1, 3, 3, 0, 0, 1, 1, 1, 2, 0, 2, 3, 2, 0, 1  },
{ 0, 3, 0, 3, 3, 2, 3, 2, 3, 3, 1, 3, 1, 3, 2, 3, 0, 3, 0, 3, 3, 0, 3, 1, 0, 2, 1, 1, 1, 3, 0, 0, 3, 1, 1, 2, 0, 2, 3, 0, 0, 2  },
{ 0, 2, 0, 3, 3, 1, 3, 0, 0, 3, 0, 2, 0, 1, 2, 2, 0, 1, 3, 0, 3, 2, 0, 1, 0, 2, 1, 1, 3, 0, 0, 0, 0, 3, 1, 2, 2, 0, 3, 2, 2, 0  },
{ 0, 2, 3, 2, 1, 0, 2, 0, 0, 2, 0, 1, 0, 1, 1, 2, 0, 1, 0, 3, 3, 0, 0, 1, 3, 2, 1, 0, 0, 3, 0, 0, 1, 3, 3, 2, 3, 3, 1, 1, 0, 0  },
{ 0, 0, 0, 1, 1, 2, 0, 1, 0, 2, 3, 2, 0, 2, 1, 2, 0, 1, 0, 2, 3, 0, 0, 2, 3, 2, 1, 3, 0, 2, 0, 0, 0, 3, 2, 1, 0, 0, 3, 1, 1, 2  },
{ 3, 3, 1, 3, 3, 3, 3, 2, 3, 3, 2, 3, 2, 3, 2, 3, 2, 1, 3, 0, 2, 3, 0, 3, 3, 2, 1, 0, 3, 0, 0, 3, 1, 1, 1, 2, 2, 1, 3, 0, 3, 0  },
{ 0, 2, 3, 3, 0, 1, 3, 0, 0, 3, 3, 1, 2, 0, 0, 3, 0, 2, 0, 3, 3, 1, 1, 1, 2, 2, 1, 1, 0, 3, 0, 0, 0, 0, 3, 2, 2, 0, 3, 2, 0, 2  },
{ 0, 2, 0, 0, 1, 0, 3, 0, 2, 3, 2, 0, 3, 0, 0, 2, 0, 1, 2, 0, 3, 0, 0, 1, 3, 2, 1, 0, 2, 0, 0, 0, 0, 0, 3, 2, 2, 3, 1, 2, 2, 2  },
{ 0, 0, 0, 0, 1, 2, 0, 0, 2, 2, 3, 1, 2, 0, 2, 1, 0, 2, 1, 2, 3, 0, 1, 3, 3, 1, 2, 0, 2, 2, 0, 0, 0, 0, 3, 2, 2, 0, 1, 0, 0, 2  },
{ 2, 3, 0, 1, 1, 2, 0, 0, 2, 0, 1, 2, 3, 2, 0, 1, 2, 0, 2, 2, 2, 3, 0, 0, 3, 2, 0, 0, 3, 2, 1, 1, 1, 3, 1, 2, 1, 2, 1, 3, 0, 2  },
{ 0, 3, 0, 3, 0, 3, 2, 3, 1, 3, 1, 3, 2, 0, 1, 3, 2, 3, 1, 3, 2, 3, 0, 3, 1, 2, 1, 3, 0, 3, 0, 3, 1, 2, 0, 2, 2, 1, 3, 2, 2, 0  },
{ 0, 2, 2, 2, 0, 2, 3, 0, 1, 3, 0, 2, 0, 2, 3, 1, 0, 0, 2, 1, 3, 0, 0, 1, 1, 2, 1, 1, 2, 3, 0, 0, 0, 0, 0, 3, 2, 3, 3, 3, 0, 1  },
{ 0, 2, 2, 2, 1, 1, 3, 0, 1, 2, 0, 2, 2, 0, 1, 3, 0, 1, 0, 2, 3, 2, 0, 1, 2, 2, 1, 1, 3, 2, 0, 0, 0, 1, 3, 2, 2, 3, 1, 3, 2, 1  },
{ 0, 2, 3, 3, 1, 0, 0, 3, 2, 2, 3, 0, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 0, 1, 0, 3, 2, 2, 3, 1, 0, 0, 2  },
{ 3, 3, 2, 3, 1, 0, 3, 2, 3, 3, 1, 1, 3, 0, 1, 3, 0, 3, 3, 2, 1, 3, 0, 3, 1, 2, 3, 1, 2, 0, 0, 3, 0, 1, 3, 2, 0, 3, 2, 1, 3, 2  },
{ 1, 2, 1, 2, 2, 3, 3, 2, 2, 2, 2, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 2, 2, 2, 3, 2, 1, 1, 3, 3, 0, 0, 2, 1, 1, 2, 1, 3, 3, 0, 0, 0  },
{ 0, 2, 1, 1, 1, 3, 1, 0, 2, 2, 2, 1, 3, 1, 1, 0, 1, 0, 0, 2, 2, 1, 0, 2, 1, 2, 1, 1, 2, 2, 0, 0, 3, 1, 0, 2, 0, 1, 3, 3, 2, 0  },
{ 1, 2, 1, 1, 1, 3, 2, 3, 0, 2, 0, 1, 0, 1, 1, 2, 1, 0, 0, 3, 3, 0, 2, 0, 3, 2, 1, 1, 3, 3, 0, 0, 0, 1, 1, 2, 0, 0, 3, 1, 0, 0  },
{ 2, 0, 0, 2, 1, 1, 1, 3, 2, 2, 2, 2, 2, 1, 1, 0, 1, 1, 2, 3, 3, 2, 2, 3, 2, 2, 0, 0, 2, 2, 0, 1, 1, 1, 3, 1, 3, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 1, 2, 3, 2, 0, 2, 1, 1, 0, 1, 2, 1, 2, 3, 2, 3, 0, 2, 3, 3, 2, 0, 1, 2, 2, 0, 1, 0, 2, 1, 2, 2, 2, 1, 3, 1, 1  },
{ 0, 1, 1, 2, 3, 1, 1, 3, 2, 0, 2, 2, 1, 0, 1, 0, 1, 3, 3, 1, 3, 0, 1, 3, 2, 0, 2, 1, 2, 3, 0, 0, 0, 1, 1, 1, 3, 3, 0, 0, 1, 1  },
{ 0, 3, 0, 2, 3, 3, 3, 3, 2, 3, 2, 2, 3, 2, 2, 3, 2, 2, 2, 0, 3, 0, 2, 1, 0, 2, 3, 1, 2, 0, 0, 0, 2, 2, 1, 2, 1, 2, 3, 1, 2, 0  },
{ 3, 3, 1, 3, 1, 2, 3, 0, 0, 2, 2, 1, 0, 1, 2, 3, 3, 0, 2, 0, 2, 0, 3, 0, 3, 2, 3, 1, 2, 0, 0, 0, 3, 1, 0, 2, 1, 2, 3, 2, 3, 0  },
{ 1, 2, 2, 2, 1, 1, 2, 1, 0, 2, 1, 2, 0, 1, 1, 2, 1, 1, 0, 1, 3, 0, 1, 1, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 1, 2, 1, 3, 3, 0, 3, 0  },
{ 0, 2, 2, 3, 1, 2, 3, 0, 0, 3, 1, 1, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 1, 1, 0, 3, 0, 0, 1, 1, 3, 2, 0, 2, 3, 3, 2, 2  },
{ 0, 2, 0, 0, 3, 0, 0, 3, 0, 2, 0, 0, 0, 1, 1, 2, 1, 2, 1, 3, 0, 0, 2, 2, 3, 2, 1, 1, 3, 3, 0, 0, 1, 1, 3, 2, 0, 1, 3, 3, 0, 0  },
{ 0, 3, 0, 3, 3, 2, 3, 3, 3, 3, 1, 3, 2, 3, 1, 3, 0, 3, 1, 3, 3, 0, 3, 3, 0, 2, 1, 1, 1, 3, 0, 0, 3, 1, 1, 2, 0, 2, 3, 2, 3, 0  },
{ 2, 2, 0, 2, 1, 2, 0, 0, 0, 2, 2, 1, 0, 2, 0, 1, 1, 2, 0, 3, 0, 0, 0, 0, 1, 2, 0, 1, 1, 2, 0, 0, 1, 1, 3, 2, 1, 3, 1, 1, 3, 0  },
{ 0, 1, 1, 2, 1, 0, 0, 3, 0, 1, 2, 1, 0, 2, 1, 2, 1, 2, 1, 3, 2, 0, 0, 3, 3, 2, 3, 1, 2, 2, 0, 0, 0, 3, 2, 1, 2, 0, 1, 1, 2, 2  },
{ 3, 3, 1, 3, 3, 0, 3, 2, 3, 2, 3, 2, 3, 3, 0, 3, 0, 2, 3, 1, 3, 3, 0, 3, 0, 2, 1, 1, 0, 3, 0, 3, 0, 1, 0, 2, 3, 0, 3, 3, 0, 2  },
{ 1, 0, 0, 2, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 1, 0, 1, 2, 3, 0, 0, 0, 1, 2, 2, 1, 1, 2, 3, 0, 0, 0, 3, 3, 2, 2, 3, 1, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 0, 3, 0, 1, 2, 2, 1, 0, 2, 2, 0, 0, 2, 3, 1, 0, 0, 1, 0, 2, 0, 1, 3, 2, 0, 0, 0, 0, 3, 2, 2, 3, 1, 1, 3, 0  },
{ 0, 0, 1, 2, 3, 0, 2, 0, 3, 1, 2, 1, 0, 0, 2, 1, 2, 2, 3, 0, 2, 0, 0, 0, 3, 0, 1, 2, 0, 2, 0, 0, 1, 0, 3, 2, 2, 1, 3, 1, 1, 2  },
{ 1, 3, 1, 3, 1, 2, 3, 0, 3, 2, 3, 3, 3, 1, 0, 3, 2, 3, 1, 3, 0, 3, 0, 1, 3, 2, 1, 2, 1, 3, 0, 3, 0, 1, 1, 2, 2, 1, 3, 1, 3, 2  },
{ 1, 2, 1, 2, 1, 3, 3, 0, 0, 2, 1, 1, 0, 1, 1, 2, 1, 3, 2, 3, 0, 0, 1, 1, 0, 2, 1, 1, 3, 3, 0, 0, 2, 1, 1, 2, 0, 1, 3, 2, 0, 0  },
{ 0, 2, 1, 2, 3, 0, 0, 0, 2, 2, 0, 1, 3, 3, 1, 0, 1, 2, 2, 3, 1, 0, 1, 1, 1, 2, 3, 1, 2, 2, 0, 0, 3, 1, 0, 2, 3, 0, 1, 3, 0, 0  },
{ 0, 2, 1, 2, 3, 1, 0, 3, 0, 2, 0, 1, 0, 1, 1, 2, 1, 2, 2, 3, 3, 0, 2, 3, 0, 0, 0, 1, 2, 2, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 1, 0  },
{ 3, 0, 0, 0, 3, 3, 0, 0, 2, 2, 0, 2, 3, 3, 1, 0, 1, 2, 3, 1, 3, 1, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 1, 2, 3, 1, 3, 0, 0, 2, 0, 1, 2, 0, 1, 2, 1, 3, 2, 1, 3, 0, 1, 3, 2, 2, 2, 1, 0, 3, 0, 0, 1, 1, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 2, 3, 0, 3, 2, 1, 0, 2, 0, 1, 2, 3, 2, 0, 1, 1, 0, 2, 3, 0, 3, 0, 0, 0, 3, 0, 2, 0, 2, 2, 0, 0, 1, 1, 2, 1, 0, 0, 1, 3, 0, 0  },
{ 3, 1, 0, 3, 3, 2, 0, 3, 2, 3, 1, 2, 0, 3, 1, 0, 3, 2, 3, 2, 3, 1, 1, 3, 1, 0, 0, 0, 1, 3, 1, 0, 1, 1, 0, 2, 2, 0, 0, 0, 2, 3  },
{ 0, 0, 1, 2, 3, 2, 1, 0, 0, 2, 2, 3, 2, 1, 1, 0, 0, 0, 2, 3, 1, 1, 1, 3, 2, 0, 0, 0, 0, 3, 3, 0, 0, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 2, 3, 1, 3, 0, 2, 0, 1, 2, 0, 0, 1, 1, 3, 3, 3, 0, 0, 1, 0, 3, 3, 1, 0, 2, 2, 3, 3, 0, 1, 2, 1, 1, 0, 3, 0, 3, 0, 0  },
{ 0, 3, 1, 3, 2, 2, 0, 0, 1, 3, 0, 3, 2, 3, 1, 1, 0, 2, 0, 0, 1, 0, 2, 3, 1, 2, 0, 3, 0, 0, 3, 0, 1, 1, 0, 2, 1, 3, 0, 2, 3, 1  },
{ 1, 2, 0, 2, 2, 3, 0, 0, 3, 0, 3, 3, 2, 0, 1, 3, 0, 0, 1, 0, 0, 0, 1, 2, 1, 1, 2, 0, 1, 3, 3, 0, 1, 1, 3, 1, 2, 3, 3, 0, 0, 0  },
{ 3, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 3, 3, 1, 1, 3, 1, 2  },
{ 1, 2, 3, 2, 0, 0, 3, 3, 3, 2, 0, 2, 0, 1, 2, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 1, 1, 1, 3, 2, 1, 3, 3, 0, 3, 0  },
{ 3, 2, 1, 3, 0, 0, 3, 1, 1, 3, 0, 2, 0, 0, 0, 2, 0, 3, 3, 1, 0, 0, 3, 0, 2, 2, 0, 2, 1, 0, 0, 1, 2, 1, 2, 2, 3, 1, 3, 2, 0, 0  },
{ 0, 2, 1, 2, 1, 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 2, 3, 0, 0, 3, 1, 1, 2, 1, 1, 3, 3, 0, 0, 2, 1, 3, 2, 0, 3, 3, 3, 0, 0  },
{ 3, 3, 0, 3, 3, 2, 3, 0, 0, 3, 2, 1, 0, 0, 3, 2, 0, 2, 3, 0, 0, 0, 3, 3, 2, 2, 0, 1, 0, 3, 0, 0, 2, 1, 3, 2, 0, 2, 3, 3, 1, 0  },
{ 1, 2, 0, 2, 1, 0, 3, 0, 0, 1, 2, 1, 0, 3, 0, 2, 1, 2, 2, 3, 0, 0, 3, 3, 2, 2, 2, 1, 1, 2, 0, 1, 1, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 0, 2, 2, 3, 0, 0, 3, 0, 3, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 3, 0, 2, 0, 1, 3, 3, 0, 3, 1, 1, 1, 2, 0, 3, 2, 3, 1, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 2, 2, 2, 1, 0, 0, 0, 0, 2, 0, 3, 2, 3, 0, 0, 0, 1, 0, 2, 3, 1, 3, 3, 0, 0, 0, 1, 3, 2, 0, 3, 1, 3, 1, 0  },
{ 2, 2, 3, 0, 1, 2, 0, 0, 2, 2, 3, 0, 0, 0, 1, 2, 0, 3, 2, 3, 3, 0, 0, 1, 0, 2, 1, 1, 2, 2, 0, 1, 1, 3, 1, 2, 0, 1, 3, 1, 1, 0  },
{ 2, 0, 0, 2, 2, 3, 3, 0, 0, 2, 1, 1, 2, 0, 1, 1, 1, 2, 1, 0, 3, 0, 0, 0, 3, 2, 1, 1, 2, 2, 0, 1, 1, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 0, 2, 0, 3, 2, 3, 3, 0, 3, 3, 2, 3, 1, 3, 1, 3, 1, 1, 2, 3, 0, 3, 0, 3, 0, 2, 1, 3, 2, 3, 0, 3, 0, 1, 1, 2, 0, 0, 3, 1, 3, 0  },
{ 0, 2, 0, 2, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 1, 3, 0, 2, 2, 3, 1, 0, 0, 3, 2, 2, 1, 1, 2, 2, 0, 0, 1, 3, 3, 2, 2, 3, 3, 1, 3, 0  },
{ 2, 1, 2, 0, 2, 0, 3, 0, 2, 1, 3, 0, 0, 2, 1, 0, 0, 2, 3, 0, 3, 0, 0, 1, 0, 0, 0, 1, 3, 2, 0, 0, 0, 3, 3, 2, 2, 0, 1, 3, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 2, 0, 3, 0, 2, 0, 3, 2, 0, 0, 2, 3, 2, 0, 3, 0, 0, 2, 3, 2, 2, 0, 1, 3, 0, 0, 0, 3, 3, 2, 3, 0, 1, 1, 0, 0  },
{ 0, 0, 0, 1, 3, 0, 2, 0, 0, 1, 2, 0, 3, 0, 2, 1, 2, 3, 2, 2, 0, 0, 0, 0, 3, 2, 0, 1, 1, 3, 1, 1, 0, 3, 3, 1, 0, 0, 3, 1, 2, 1  },
{ 0, 3, 0, 3, 1, 3, 0, 3, 2, 3, 0, 2, 0, 3, 1, 3, 1, 1, 2, 3, 0, 3, 0, 1, 0, 2, 1, 1, 2, 3, 0, 3, 1, 3, 1, 2, 2, 0, 3, 3, 2, 0  },
{ 2, 0, 0, 2, 0, 3, 0, 0, 0, 2, 0, 3, 0, 2, 1, 0, 0, 0, 3, 0, 3, 0, 0, 1, 2, 2, 1, 0, 0, 2, 0, 0, 1, 0, 3, 2, 2, 3, 2, 2, 3, 0  },
{ 2, 0, 3, 0, 0, 2, 0, 2, 0, 2, 0, 3, 1, 2, 1, 0, 0, 2, 0, 0, 3, 2, 0, 1, 2, 1, 0, 3, 0, 2, 0, 0, 0, 0, 3, 2, 2, 0, 1, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 3, 2, 0, 0, 0, 3, 0, 0, 3, 2, 0, 3, 0, 3, 0, 0, 0, 0, 3, 2, 0, 3, 1, 1, 3, 0  },
{ 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 3, 0, 3, 0, 0, 3, 3, 2, 1, 0, 1, 3, 1, 0, 0, 3, 0, 1, 3, 0, 0, 1, 3, 0  },
{ 0, 2, 0, 3, 0, 1, 3, 0, 2, 0, 3, 3, 2, 0, 0, 3, 0, 2, 3, 1, 3, 1, 0, 2, 1, 2, 1, 3, 2, 0, 1, 0, 3, 1, 3, 2, 2, 3, 1, 3, 0, 0  },
{ 2, 2, 3, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 2, 2, 0, 0, 2, 0, 2, 3, 1, 0, 1, 1, 2, 1, 1, 0, 3, 1, 2, 1, 1, 3, 3, 2, 3, 2, 3, 1, 2  },
{ 2, 1, 2, 0, 1, 3, 3, 0, 0, 2, 0, 3, 1, 1, 2, 0, 3, 0, 2, 0, 3, 2, 0, 0, 1, 0, 2, 0, 1, 3, 3, 0, 0, 0, 3, 3, 2, 1, 3, 3, 2, 0  },
{ 3, 2, 0, 1, 3, 0, 3, 2, 1, 3, 3, 2, 0, 1, 1, 2, 3, 0, 2, 0, 3, 0, 1, 0, 3, 2, 0, 0, 1, 3, 2, 0, 0, 0, 3, 2, 2, 3, 1, 2, 3, 2  },
{ 1, 2, 3, 2, 0, 0, 3, 1, 0, 1, 0, 2, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 3, 3, 0, 0, 0  },
{ 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 0, 3, 1, 3, 1, 0, 2, 3, 0, 0, 1, 1, 0, 2, 0, 1, 3, 2, 0, 1, 1, 1, 3, 2, 0, 3, 3, 0, 0, 0  },
{ 2, 0, 0, 2, 3, 2, 3, 1, 0, 2, 0, 0, 0, 3, 0, 0, 1, 2, 2, 0, 0, 0, 1, 1, 3, 0, 0, 1, 3, 3, 0, 0, 1, 0, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 2, 0, 2, 2, 3, 0, 0, 1, 3, 2, 0, 3, 1, 3, 3, 0, 0, 3, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 1, 3, 2, 3, 0, 0, 3, 0, 0, 0, 0, 1, 2, 1, 2, 2, 3, 3, 0, 2, 3, 0, 3, 3, 1, 2, 2, 0, 0, 1, 1, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 2, 1, 0, 3, 2, 0, 0, 0, 2, 1, 2, 1, 1, 3, 1, 0, 0, 0, 3, 2, 0, 0, 1, 1, 1, 2, 1, 0, 0, 3, 0, 0, 0, 1, 3, 3, 0, 0, 2, 0, 0, 0  },
{ 3, 2, 0, 0, 3, 3, 0, 2, 0, 0, 0, 2, 3, 0, 1, 3, 0, 2, 3, 1, 3, 0, 1, 3, 2, 0, 0, 0, 2, 3, 0, 0, 2, 1, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 3, 2, 2, 0, 0, 0, 2, 3, 2, 0, 1, 1, 0, 0, 2, 0, 3, 0, 0, 3, 3, 0, 0, 0, 2, 3, 0, 0, 1, 1, 1, 1, 2, 0, 3, 1, 0, 0  },
{ 2, 2, 3, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 0, 1, 2, 0, 3, 2, 2, 0, 0, 1, 3, 2, 0, 2, 0, 1, 3, 3, 0, 0, 1, 3, 1, 0, 3, 3, 0, 1, 0  },
{ 3, 3, 3, 0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 1, 1, 0, 1, 1, 3, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 2, 3, 1, 1, 1, 0, 3, 1, 3, 0, 0, 3, 3  },
{ 0, 1, 3, 2, 1, 1, 2, 3, 0, 0, 1, 2, 0, 0, 1, 1, 1, 2, 3, 1, 1, 1, 0, 3, 3, 0, 0, 1, 0, 2, 3, 0, 0, 1, 1, 1, 3, 2, 0, 3, 1, 0  },
{ 0, 2, 2, 1, 1, 0, 3, 2, 1, 1, 2, 1, 0, 1, 2, 1, 0, 2, 3, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1  },
{ 1, 2, 3, 2, 1, 0, 3, 0, 0, 2, 2, 1, 0, 1, 1, 2, 1, 2, 3, 2, 3, 1, 1, 1, 1, 2, 1, 2, 0, 1, 0, 1, 0, 2, 0, 2, 0, 3, 3, 0, 3, 2  },
{ 1, 2, 0, 2, 2, 2, 3, 0, 1, 2, 2, 0, 0, 1, 2, 0, 1, 0, 3, 0, 0, 1, 3, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2, 1, 0, 2, 1, 0, 3, 1, 1, 2  },
{ 1, 2, 0, 2, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 0, 3, 0, 0, 3, 2, 1, 2, 3, 0, 3, 2, 0, 0, 3, 1, 3, 2, 3, 1, 1, 0, 0, 0  },
{ 1, 3, 0, 2, 2, 0, 3, 0, 0, 2, 1, 2, 0, 3, 0, 2, 1, 0, 3, 0, 0, 0, 3, 3, 0, 2, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 3, 0, 3, 0, 1, 0  },
{ 1, 2, 0, 2, 3, 0, 0, 0, 0, 2, 1, 0, 0, 3, 0, 2, 0, 2, 0, 3, 0, 0, 3, 2, 3, 2, 0, 1, 3, 2, 0, 0, 3, 0, 3, 2, 0, 2, 3, 0, 0, 0  },
{ 1, 2, 0, 3, 1, 0, 3, 0, 0, 3, 0, 2, 0, 3, 0, 3, 1, 3, 3, 3, 0, 0, 3, 1, 0, 2, 1, 1, 1, 2, 1, 3, 0, 1, 0, 2, 3, 0, 3, 1, 0, 0  },
{ 0, 2, 0, 2, 0, 2, 3, 0, 1, 2, 0, 0, 0, 2, 0, 2, 1, 2, 0, 3, 0, 0, 0, 3, 0, 2, 0, 0, 3, 2, 0, 0, 0, 1, 3, 2, 0, 3, 2, 3, 1, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 2, 1, 1, 0, 2, 3, 0, 0, 3, 0, 2, 3, 1, 3, 2, 1, 0, 0, 1, 3, 2, 1, 3, 2, 3, 1, 0  },
{ 3, 1, 1, 2, 0, 2, 0, 0, 0, 2, 3, 0, 2, 0, 0, 2, 1, 2, 0, 0, 3, 0, 0, 3, 3, 2, 3, 3, 3, 2, 1, 0, 1, 1, 3, 2, 1, 0, 1, 3, 1, 0  },
{ 0, 0, 3, 2, 0, 0, 3, 0, 1, 3, 0, 2, 0, 3, 0, 2, 1, 0, 2, 0, 3, 0, 0, 3, 0, 2, 1, 1, 1, 2, 0, 3, 0, 1, 3, 2, 0, 1, 3, 3, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 1, 0, 0, 2, 3, 0, 2, 1, 1, 1, 0, 3, 3, 0, 0, 1, 2, 2, 0, 1, 3, 2, 1, 1, 0, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 2, 0, 0, 2, 0, 0, 0, 0, 3, 1, 2, 0, 0, 2, 0, 2, 1, 0, 2, 0, 3, 0, 0, 1, 0, 2, 0, 1, 3, 2, 0, 1, 1, 3, 3, 2, 0, 1, 3, 1, 0, 0  },
{ 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 3, 0, 3, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 2, 3, 2, 3, 0, 2, 3, 3, 0, 0, 3, 3, 2, 0, 0, 3, 1, 0, 0  },
{ 2, 0, 3, 0, 1, 0, 2, 1, 3, 0, 2, 0, 3, 1, 1, 1, 0, 0, 3, 1, 0, 2, 0, 0, 3, 0, 2, 0, 3, 2, 3, 0, 0, 3, 3, 1, 0, 0, 2, 1, 0, 0  },
{ 0, 0, 3, 2, 0, 1, 3, 0, 0, 2, 0, 3, 0, 1, 3, 2, 1, 3, 2, 0, 3, 0, 0, 0, 0, 2, 1, 1, 2, 2, 0, 3, 2, 3, 1, 2, 0, 2, 3, 0, 3, 0  },
{ 2, 0, 0, 2, 0, 2, 0, 3, 1, 2, 0, 3, 2, 1, 2, 0, 0, 1, 2, 1, 3, 0, 0, 1, 2, 2, 3, 1, 1, 2, 0, 1, 0, 3, 3, 2, 2, 3, 1, 1, 3, 0  },
{ 2, 0, 2, 0, 0, 2, 3, 2, 0, 2, 3, 0, 3, 2, 0, 1, 1, 2, 2, 0, 3, 1, 0, 1, 2, 3, 0, 1, 3, 2, 0, 0, 0, 0, 3, 2, 0, 1, 1, 1, 3, 2  },
{ 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 3, 2, 0, 2, 3, 2, 3, 1, 0, 3, 0, 1, 3, 0, 0, 1, 2, 3, 2, 0, 0, 3, 0, 1, 3, 0, 0, 1, 3, 0  },
{ 0, 0, 2, 2, 0, 1, 0, 3, 2, 2, 0, 1, 0, 2, 0, 3, 0, 3, 1, 3, 2, 1, 0, 2, 0, 2, 0, 1, 3, 2, 1, 1, 1, 3, 1, 2, 2, 3, 0, 3, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 3, 0, 0, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 2, 1, 2, 3, 0, 1, 0  },
{ 0, 2, 0, 2, 1, 2, 3, 0, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 2, 3, 0, 0, 0, 0, 0, 2, 2, 0, 3, 2, 0, 0, 0, 3, 0, 2, 0, 3, 3, 0, 1, 0  },
{ 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 3, 0, 3, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 1, 3, 2, 0, 3, 2, 3, 0, 0, 0  },
{ 2, 2, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 3, 2, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 3, 0, 3, 3, 2, 0, 0, 0, 3, 2, 0, 0, 1, 1, 3, 2, 0, 0, 1, 0, 0, 0  },
{ 1, 2, 0, 0, 2, 2, 0, 3, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 1, 2, 0, 0, 1, 0, 3, 2, 2, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 2, 0, 0, 1, 0, 0, 2, 2, 3, 0, 0, 2, 0, 2, 3, 2, 3, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 3, 3, 2, 0, 3, 0, 2, 0, 0, 0, 3, 0, 3, 0, 0, 2, 3, 0, 2, 0, 2, 0, 3, 3, 3, 0, 1, 0, 0, 3, 3, 0, 1, 1, 1, 0, 2, 2, 3, 0, 0, 0  },
{ 3, 2, 3, 0, 0, 0, 2, 0, 0, 3, 0, 0, 3, 0, 2, 1, 0, 2, 1, 1, 0, 0, 0, 3, 3, 0, 3, 0, 0, 2, 3, 1, 0, 3, 1, 2, 1, 0, 0, 3, 1, 0  },
{ 0, 2, 0, 2, 2, 2, 0, 0, 3, 1, 1, 3, 1, 0, 1, 0, 0, 0, 0, 2, 2, 1, 1, 1, 1, 3, 0, 0, 0, 3, 3, 0, 1, 0, 3, 0, 0, 3, 0, 0, 2, 3  },
{ 1, 1, 3, 0, 1, 0, 2, 0, 0, 0, 1, 3, 3, 0, 1, 0, 2, 0, 0, 2, 2, 0, 0, 3, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 2, 3, 2, 0, 0, 0, 0, 1, 3, 0, 1, 2, 0, 0, 0, 1, 2, 0, 2, 3, 2, 0, 2, 0, 0, 3, 3, 0, 0, 1, 3, 3, 1, 3, 2, 0, 0, 0  },
{ 3, 2, 2, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 2, 1, 3, 2, 3, 1, 0, 0, 2, 3, 3, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 1, 3, 2, 0, 3, 1, 0  },
{ 3, 2, 3, 3, 3, 1, 0, 0, 0, 0, 1, 0, 0, 1, 2, 1, 2, 0, 3, 1, 3, 1, 0, 3, 3, 1, 1, 0, 2, 3, 1, 0, 1, 3, 1, 1, 1, 0, 3, 0, 0, 0  },
{ 2, 3, 2, 0, 0, 0, 1, 0, 3, 2, 0, 2, 2, 0, 1, 0, 3, 2, 0, 1, 3, 0, 1, 3, 1, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0  },
{ 2, 1, 0, 0, 2, 1, 3, 0, 0, 3, 2, 1, 3, 0, 0, 2, 0, 0, 0, 2, 0, 0, 2, 3, 2, 0, 3, 0, 0, 3, 3, 0, 1, 1, 3, 2, 3, 2, 0, 0, 0, 0  },
{ 0, 2, 2, 2, 0, 0, 3, 0, 1, 0, 2, 1, 0, 2, 1, 2, 0, 2, 0, 0, 3, 1, 1, 1, 1, 2, 0, 1, 0, 0, 0, 1, 1, 3, 0, 2, 0, 3, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 1, 2, 0, 0, 0, 1, 2, 1, 0, 2, 0, 3, 0, 0, 3, 0, 1, 2, 3, 0, 3, 2, 0, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 1, 0, 0, 3, 2, 1, 1, 0, 0, 3, 0, 0, 3, 2, 0, 2, 0, 0, 3, 2, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 0, 2, 3, 2, 2, 0, 0, 1, 3, 2, 0, 0, 0, 1, 0, 2, 1, 0, 0, 3, 0, 0, 3, 1, 1, 2, 3, 0, 3, 2, 1, 1, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 1, 3, 0, 0, 0, 0, 2, 0, 2, 1, 0, 2, 3, 0, 0, 3, 1, 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 2, 2, 3, 0, 2, 3, 1, 0, 3, 2, 3, 2, 0, 0, 3, 2, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 2, 2, 0, 0, 3, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 1, 3, 0, 3, 0, 0, 1, 2, 0, 0, 3, 2, 0, 2, 0, 0, 3, 2, 0, 1, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 3, 1, 0, 0, 0, 2, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 3, 2, 1, 0, 3, 2, 0, 1, 3, 1, 3, 2, 0, 2, 3, 3, 0, 0  },
{ 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 2, 1, 1, 0, 2, 3, 0, 0, 0, 0, 2, 3, 2, 3, 1, 1, 0, 3, 2, 3, 2, 0, 3, 0, 3, 0, 0  },
{ 0, 2, 0, 2, 3, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 2, 1, 1, 2, 0, 3, 0, 0, 3, 3, 2, 3, 2, 3, 1, 0, 0, 1, 1, 3, 2, 3, 0, 0, 3, 0, 0  },
{ 1, 2, 1, 2, 0, 0, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 3, 0, 0, 1, 0, 2, 2, 1, 3, 2, 0, 2, 1, 1, 3, 2, 0, 2, 3, 3, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 1, 0, 3, 2, 3, 0, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 2, 3, 2, 3, 0, 3, 2, 0, 0, 3, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 2, 3, 0, 0, 2, 0, 3, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 2, 3, 0, 0, 1, 2, 0, 0, 2, 3, 1, 1, 0, 1, 3, 3, 2, 1, 0, 1, 3, 0, 0  },
{ 1, 2, 0, 0, 3, 0, 2, 0, 3, 2, 0, 0, 0, 2, 0, 2, 0, 0, 2, 3, 0, 0, 0, 1, 3, 1, 1, 0, 2, 3, 1, 1, 1, 3, 3, 2, 0, 1, 3, 1, 0, 0  },
{ 2, 2, 3, 2, 1, 0, 0, 0, 0, 2, 0, 0, 3, 2, 0, 1, 0, 1, 0, 1, 1, 2, 0, 3, 3, 0, 0, 0, 3, 2, 3, 1, 0, 3, 2, 1, 1, 0, 3, 0, 1, 0  },
{ 0, 2, 0, 2, 3, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 1, 2, 0, 3, 1, 2, 0, 2, 3, 3, 1, 2, 2, 0, 3, 2, 3, 0  },
{ 1, 2, 3, 0, 0, 3, 0, 2, 0, 2, 0, 2, 3, 2, 0, 1, 0, 0, 0, 2, 3, 0, 0, 2, 1, 2, 0, 3, 1, 2, 1, 0, 3, 3, 3, 2, 2, 3, 2, 1, 3, 0  },
{ 3, 0, 2, 0, 0, 3, 2, 0, 0, 2, 3, 0, 3, 2, 0, 0, 0, 3, 2, 0, 3, 3, 0, 0, 2, 0, 1, 2, 1, 3, 2, 1, 1, 3, 3, 2, 3, 2, 3, 1, 3, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 2, 0, 3, 2, 0, 0, 3, 0, 2, 0, 3, 2, 0, 0, 1, 0, 0, 2, 3, 2, 3, 1, 0, 3, 0, 1, 0, 0, 0, 1, 3, 0  },
{ 2, 0, 3, 3, 3, 0, 3, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 2, 0, 1, 3, 1, 1, 3, 2, 3, 3, 0, 1, 3, 0, 1, 0, 0, 0, 1, 3, 0  },
{ 0, 0, 2, 2, 0, 1, 3, 0, 0, 0, 2, 0, 3, 0, 1, 2, 0, 2, 1, 0, 3, 2, 0, 0, 0, 2, 1, 3, 0, 2, 0, 3, 0, 3, 1, 2, 2, 3, 1, 3, 3, 2  },
{ 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 3, 1, 2, 0, 0, 2, 0, 3, 2, 3, 2, 0, 0, 3, 1, 2, 0, 3, 0, 0, 0, 3, 0, 3, 1, 0, 1, 3, 0, 2  },
{ 2, 0, 3, 0, 0, 3, 0, 2, 0, 2, 3, 0, 0, 0, 2, 0, 1, 2, 3, 0, 2, 3, 1, 0, 1, 0, 2, 0, 0, 3, 2, 0, 3, 0, 3, 3, 1, 1, 1, 3, 0, 0  },
{ 3, 2, 0, 2, 1, 1, 3, 0, 0, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 3, 0, 2, 0, 2, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 1, 2, 0, 0, 0, 2, 1, 0, 0, 3, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 3, 0, 0, 1, 3, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 2, 0, 0, 0, 0, 3, 2, 3, 2, 0, 1, 3, 1, 0, 0, 3, 0, 1, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 3, 3, 2, 3, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 1, 3, 2, 2, 1, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 3, 2, 3, 2, 3, 2, 3, 3, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 2, 0, 2, 3, 0, 3, 3, 3, 2, 0, 1, 3, 3, 1, 0, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 3, 0, 0, 0, 0, 1, 2, 0, 0, 3, 1, 3, 3, 0, 3, 2, 1, 0, 1, 1, 2, 1, 2, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 2, 1, 3, 2, 0, 0, 0, 0, 1, 3, 0, 0, 3, 1, 2, 3, 2, 2, 0, 1, 3, 1, 1, 0, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 3, 2, 0, 2, 0, 0, 3, 3, 0, 0, 0, 0, 3, 3, 0, 1, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 3, 2, 1, 3, 1, 1, 3, 0, 0, 3, 3, 2, 0, 0, 0, 2, 3, 0, 1, 1, 1, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 1, 3, 0, 3, 2, 1, 0, 3, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 3, 3, 0, 3, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 1, 0, 0, 2, 2, 3, 1, 0, 0, 3, 0, 0, 1, 1, 2, 0, 1, 3, 1, 2, 0, 0, 0, 3, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 1, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 3, 0, 1, 1, 2, 0, 3, 3, 1, 2, 2, 0, 0, 3, 3, 0, 1, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 3, 0, 2, 2, 0, 0, 0, 1, 3, 3, 1, 0, 3, 1, 2, 0, 0, 1, 0, 0, 2, 3, 3, 0, 0, 0, 0, 2, 3, 0, 1, 1, 1, 2, 3, 2, 0, 3, 0, 0  },
{ 3, 2, 3, 3, 3, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 2, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 3, 0, 3, 0, 1, 0, 1, 0, 1, 0, 0, 3, 2, 0, 3, 1, 0, 2, 0, 0, 1, 2, 2, 2, 3, 3, 0, 3, 0, 3, 3, 1, 0, 1, 0, 3, 2, 2, 0, 2, 0, 0  },
{ 2, 0, 3, 2, 0, 1, 1, 2, 0, 2, 1, 0, 1, 1, 0, 0, 1, 1, 1, 1, 2, 0, 2, 2, 3, 3, 0, 1, 0, 3, 1, 1, 1, 3, 0, 1, 3, 0, 2, 2, 0, 0  },
{ 3, 2, 0, 2, 3, 0, 0, 3, 1, 2, 0, 0, 0, 1, 0, 1, 1, 1, 0, 3, 0, 0, 2, 3, 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 1, 1, 3, 0, 1, 1, 1, 2, 1, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 3, 1, 0, 2, 2, 1, 3, 1, 0, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 1, 3, 0, 0, 1, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 3, 2, 0, 2, 3, 0, 3, 2, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 3, 0, 0, 1, 3, 0, 2, 3, 1, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 3, 1, 0, 2, 3, 2, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 3, 2, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 3, 1, 1, 0, 2, 3, 0, 0, 1, 2, 0, 2, 3, 0, 3, 2, 0, 2, 3, 0, 3, 2, 0, 3, 0, 0, 0, 1  },
{ 3, 1, 0, 2, 1, 0, 0, 3, 0, 2, 3, 0, 0, 2, 0, 0, 0, 1, 0, 2, 3, 0, 3, 2, 0, 2, 3, 0, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 1, 0, 0, 0, 3, 3, 2, 0, 0, 2, 0, 2, 1, 1, 0, 2, 3, 0, 0, 1, 3, 2, 0, 2, 3, 1, 0, 1, 3, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 2, 2, 3, 0, 3, 1, 2, 0, 2, 2, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 3, 0, 0, 1, 3, 2, 0, 1, 1, 1, 0, 0, 2, 1, 1, 2, 0, 2, 3, 3, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 2, 1, 2, 0, 1, 0, 2, 3, 2, 1, 0, 1, 0, 3, 0, 3, 2, 1, 2, 2, 1, 3, 2, 0, 2, 3, 0, 1, 2, 0, 2, 3, 3, 1, 0  },
{ 1, 2, 3, 0, 3, 0, 0, 2, 0, 3, 2, 0, 0, 2, 0, 2, 1, 2, 0, 3, 2, 0, 0, 2, 3, 2, 0, 1, 3, 1, 0, 0, 3, 2, 3, 2, 3, 0, 0, 3, 0, 0  },
{ 2, 0, 2, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 2, 0, 1, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 2, 0, 0, 3, 0, 1, 1, 3, 3, 1, 0, 2, 3, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 3, 0, 0, 1, 0, 2, 3, 2, 3, 0, 2, 0, 0, 1, 3, 0, 2, 0, 0, 3, 0, 0, 1, 3, 1, 2, 0, 0, 3, 0, 0, 0  },
{ 2, 0, 0, 1, 0, 3, 2, 0, 3, 0, 0, 2, 3, 2, 0, 2, 0, 0, 0, 3, 0, 0, 0, 1, 3, 0, 0, 0, 2, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 3, 3, 0, 0, 0, 2, 0, 0, 2, 3, 2, 0, 2, 1, 3, 3, 0, 3, 2, 0, 2, 0, 3, 1, 2, 0, 0, 0, 3, 1, 2, 0, 2, 3, 1, 3, 0  },
{ 3, 0, 2, 0, 2, 0, 0, 1, 0, 2, 3, 0, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 0, 1, 2, 2, 0, 2, 0, 3, 0, 0, 3, 3, 3, 1, 0, 2, 3, 0, 3, 0  },
{ 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 3, 0, 2, 0, 3, 1, 0, 2, 3, 2, 0, 0, 2, 2, 0, 2, 0, 3, 0, 0, 0, 3, 3, 1, 0, 2, 3, 1, 3, 0  },
{ 2, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 3, 0, 3, 1, 0, 0, 3, 2, 0, 2, 0, 3, 0, 1, 0, 3, 3, 1, 0, 3, 1, 1, 3, 0  },
{ 0, 2, 0, 3, 0, 3, 0, 1, 2, 0, 0, 0, 0, 1, 3, 0, 0, 2, 3, 0, 0, 3, 0, 2, 1, 2, 1, 0, 0, 2, 0, 3, 0, 1, 3, 1, 2, 3, 2, 3, 3, 0  },
{ 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 0, 3, 3, 2, 0, 2, 0, 1, 0, 3, 2, 3, 0, 2, 0, 0, 1, 0, 3, 1, 3, 0, 1, 3, 3, 2, 1, 3, 3, 2, 0  },
{ 1, 1, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 1, 3, 2, 0, 1, 1, 0, 0, 3, 1, 2, 0, 0, 0, 2, 0, 3, 2, 3, 0, 3, 0, 3, 3, 1, 1, 1, 3, 2, 0  },
{ 0, 2, 1, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 3, 0, 1, 3, 0, 0, 1, 0, 0, 2, 0, 3, 1, 1, 0, 0, 3, 1, 2, 3, 1, 0, 2, 0  },
{ 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 2, 1, 1, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 2, 1, 0, 3, 2, 1, 1, 2, 0, 3, 0, 0, 3, 2, 0, 1, 2, 1, 0, 3, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 3, 2, 3, 1, 1, 0, 3, 0, 0, 3, 2, 0, 1, 0, 0, 0, 3, 0, 1, 0, 3, 2, 2, 2, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 1, 0, 0, 0, 3, 2, 0, 2, 0, 0, 1, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 2, 1, 3, 3, 0, 1, 0, 3, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 2, 3, 3, 2, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 3, 2, 2, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 2, 1, 0, 3, 0, 3, 1, 3, 2, 3, 2, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 3, 1, 0, 2, 3, 0, 0, 1, 1, 0, 1, 0, 0, 0, 3, 1, 0, 0, 3, 2, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 3, 2, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 2, 3, 1, 0, 3, 3, 2, 0, 0, 1, 1, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 2, 0, 3, 0, 2, 0, 0, 2, 3, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 3, 3, 0, 2, 1, 1, 1, 3, 0, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 1, 3, 1, 1, 2, 0, 0, 3, 3, 2, 1, 1, 0, 3, 3, 0, 1, 1, 1, 2, 3, 0, 0, 3, 0, 0  },
{ 0, 2, 0, 0, 3, 2, 1, 0, 0, 0, 3, 2, 3, 0, 1, 3, 3, 0, 0, 0, 2, 0, 1, 1, 2, 0, 1, 0, 0, 3, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 3, 3, 0, 0, 0, 1, 1, 0, 1, 3, 2, 0, 3, 3, 1, 2, 1, 0, 0, 3, 3, 0, 0, 0, 3, 0, 3, 3, 2, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 1, 3, 0, 3, 2, 0, 3, 3, 2, 0, 2, 0, 3, 3, 0, 1, 1, 1, 1, 3, 2, 0, 3, 0, 0  },
{ 1, 0, 0, 0, 0, 1, 1, 0, 0, 2, 3, 0, 0, 2, 0, 0, 0, 2, 0, 3, 1, 0, 0, 3, 3, 0, 0, 0, 3, 3, 1, 0, 1, 3, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 2, 1, 1, 0, 0, 0, 3, 1, 3, 0, 1, 3, 2, 0, 0, 0, 2, 0, 1, 3, 1, 0, 2, 3, 2, 3, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 2, 3, 0, 0, 0, 3, 1, 0, 3, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 1, 1, 1, 0, 0, 3, 3, 0, 0, 0, 3, 0, 1, 3, 2, 0, 0, 0  },
{ 1, 2, 1, 2, 1, 0, 0, 2, 0, 2, 1, 1, 1, 0, 2, 1, 1, 2, 0, 0, 3, 0, 3, 0, 0, 2, 3, 1, 3, 3, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 2, 1, 1, 0, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 1, 2, 0, 0, 3, 1, 0, 0, 3, 0, 0, 2, 0, 3, 0, 0, 0, 1  },
{ 2, 2, 2, 0, 1, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 0, 3, 0, 2, 3, 0, 3, 1, 0, 0, 3, 1, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 1, 0, 1, 0, 2, 1, 1, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 3, 1, 0, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 0, 2, 3, 1, 0, 0, 0, 1, 0, 1, 1, 2, 0, 3, 0, 0, 1, 0, 3, 1, 1, 1, 3, 1, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 3, 1, 3, 1, 0, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 3, 2, 1, 0, 0, 1, 1, 1, 2, 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 2, 3, 0, 3, 1, 0, 2, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 2, 3, 0, 3, 1, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 3, 0, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 3, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 3, 0, 0, 1, 3, 1, 1, 2, 3, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 3, 0, 1  },
{ 1, 2, 3, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 3, 2, 0, 2, 0, 1, 0, 3, 0, 2, 1, 1, 0, 1, 3, 1, 0, 1, 3, 0, 3, 2, 0, 3, 2, 3, 0, 1  },
{ 3, 0, 2, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 0, 1, 0, 2, 0, 1, 3, 0, 0, 0, 3, 0, 3, 2, 3, 2, 1, 3, 0, 0  },
{ 2, 0, 0, 2, 2, 0, 0, 3, 0, 3, 2, 0, 0, 2, 0, 0, 1, 0, 0, 2, 3, 0, 0, 1, 1, 1, 0, 2, 0, 3, 0, 0, 3, 3, 3, 1, 0, 0, 0, 3, 0, 1  },
{ 2, 0, 2, 0, 2, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 3, 2, 2, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 3, 1, 0, 0  },
{ 3, 1, 1, 0, 2, 1, 2, 0, 0, 3, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 1, 3, 0, 2, 0, 1, 3, 0, 0, 2, 0, 1, 2, 3, 0, 1, 0, 3, 1, 3, 0, 2, 0, 2, 3, 1, 3, 0  },
{ 3, 2, 3, 2, 0, 1, 0, 0, 0, 3, 2, 0, 3, 0, 2, 0, 3, 2, 0, 0, 3, 0, 0, 1, 2, 2, 0, 3, 0, 1, 0, 1, 3, 3, 1, 3, 3, 2, 3, 1, 3, 0  },
{ 3, 2, 0, 0, 0, 0, 3, 2, 0, 0, 3, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 2, 0, 1, 0, 1, 3, 0, 1, 2, 3, 1, 0, 2, 3, 0, 3, 0  },
{ 2, 0, 1, 2, 3, 2, 0, 0, 3, 0, 3, 0, 1, 0, 2, 0, 0, 3, 3, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 3, 0, 0, 0, 3, 3, 1, 0, 0, 3, 0, 1, 0  },
{ 1, 1, 1, 2, 2, 3, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 0, 2, 0, 0, 2, 2, 3, 0, 1, 0, 3, 3, 1, 0, 0, 1, 0, 3, 0  },
{ 1, 1, 1, 2, 2, 1, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0, 0, 1, 1, 3, 2, 2, 0, 3, 3, 1, 0, 0, 0, 1, 3, 1, 2, 3, 0, 1, 3, 0, 0, 0, 2, 1  },
{ 0, 0, 3, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 0, 2, 0, 3, 3, 1, 0, 0, 2, 2, 1, 1, 0, 3, 0, 3, 0, 0, 3, 2, 2, 3, 1, 3, 3, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 1, 0, 0, 2, 0, 2, 3, 3, 2, 0, 1, 0, 2, 1, 0, 3, 0, 3, 2, 2, 3, 1, 1, 3, 1, 3, 2, 0  },
{ 2, 0, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 0, 2, 3, 0, 3, 0, 3, 3, 2, 1, 3, 1, 2, 0  },
{ 2, 0, 1, 2, 0, 3, 0, 2, 2, 3, 3, 0, 3, 2, 1, 0, 0, 1, 3, 0, 1, 3, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 2, 0, 3, 1, 0, 3, 0, 1, 2, 0  },
{ 2, 2, 0, 2, 1, 0, 0, 3, 0, 2, 2, 1, 0, 3, 2, 1, 1, 1, 0, 3, 0, 0, 3, 0, 0, 2, 0, 1, 3, 1, 0, 0, 0, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 0, 3, 2, 0, 2, 3, 1, 3, 1, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 1, 1, 2, 0, 3, 0, 0, 3, 1, 0, 2, 3, 1, 3, 1, 0, 0, 0, 3, 1, 2, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 3, 2, 3, 0, 0, 0, 0, 0, 3, 1, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 3, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 3, 3, 0, 1, 1, 0, 0, 0, 0, 3, 0, 1, 2, 0, 1, 0, 3, 0, 0  },
{ 0, 1, 0, 3, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 1, 3, 2, 2, 1, 1, 3, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 3, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 3, 3, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 3, 2, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 3, 3, 3, 2, 1, 0, 0, 3, 0, 0, 3, 0, 3, 2, 3, 0, 1, 0, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 3, 0, 2, 2, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 3, 3, 0, 0, 2, 0, 1, 3, 0, 3, 0, 1, 2, 3, 0, 0, 3, 0, 0  },
{ 3, 0, 0, 2, 1, 0, 1, 0, 3, 2, 0, 0, 0, 2, 0, 1, 0, 0, 3, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 1, 3, 1, 1, 3, 2, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 2, 2, 1, 0, 0, 2, 3, 2, 2, 0, 0, 3, 1, 0, 1, 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 0, 2, 2, 0, 0, 0, 2, 3, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 3, 1, 0, 0, 0, 0, 3, 3, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 1, 1, 0, 0, 0, 1, 3, 0, 1, 0, 3, 1, 3, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1  },
{ 1, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 3, 0, 0, 1, 0, 1, 3, 0, 2, 1, 0, 0, 3, 2, 0, 3, 0, 0  },
{ 2, 2, 3, 0, 2, 1, 0, 0, 0, 1, 2, 3, 1, 0, 0, 3, 0, 0, 2, 0, 2, 1, 1, 3, 0, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 3, 1, 2, 0, 0, 1, 2, 1, 0, 0, 0, 3, 0, 0, 3, 0, 1, 0, 0, 2, 1, 3, 0, 0, 2, 3, 3, 0, 3, 0, 0, 3, 2, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 1, 2, 1, 0, 2, 0, 0, 2, 1, 0, 3, 1, 0, 0, 0, 3, 0, 0, 1, 3, 1, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 0, 2, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 0, 3, 0, 2, 0, 0, 1, 1, 0, 2, 2, 3, 0, 0, 0, 0, 3, 3, 0, 2, 1, 0, 2, 2, 3, 0, 3, 0, 0  },
{ 0, 0, 1, 1, 3, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 1, 1, 0, 2, 3, 1, 3, 0, 2, 0, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 0  },
{ 2, 2, 1, 1, 0, 1, 1, 2, 1, 2, 0, 1, 3, 1, 0, 1, 0, 1, 0, 3, 3, 0, 0, 3, 0, 2, 1, 1, 2, 1, 3, 2, 1, 1, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 0, 1, 2, 2, 0, 2, 2, 2, 1, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0, 3, 3, 1, 1, 0, 0, 2, 1, 1, 3, 1, 3, 3, 3, 0, 3, 1, 2, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 0, 2, 0, 3, 0, 0, 3, 1, 0, 1, 0, 1, 0, 2, 0, 0, 3, 3, 1, 0, 2, 1, 0, 0, 3, 1, 3, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 3, 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 2, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 2, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 3, 0, 1, 1, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 1, 0, 2, 1, 0, 0, 0, 1, 0, 3, 1, 0, 2, 0, 2, 0, 0, 0, 3, 0, 2, 1, 2, 3, 1, 3, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 1, 3, 2, 0, 1, 0, 1, 0, 0, 3, 0, 1, 3, 0, 1, 1, 1, 3, 0, 0, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 0, 1, 3, 0, 0, 0, 2, 1, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 3, 3, 1, 0, 3, 1, 0, 3, 0, 0  },
{ 1, 1, 3, 1, 0, 1, 3, 3, 1, 0, 2, 0, 0, 1, 3, 2, 0, 2, 1, 0, 3, 3, 0, 1, 1, 2, 0, 1, 3, 1, 3, 1, 0, 3, 1, 1, 0, 3, 2, 3, 0, 0  },
{ 1, 1, 3, 1, 0, 1, 3, 2, 0, 0, 3, 0, 0, 1, 0, 1, 0, 2, 0, 0, 3, 0, 1, 1, 0, 2, 2, 1, 3, 0, 0, 3, 3, 1, 3, 1, 3, 0, 1, 3, 0, 1  },
{ 2, 1, 1, 0, 1, 0, 3, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 3, 0, 0, 0, 3, 3, 3, 1, 0, 2, 1, 2, 0, 1  },
{ 1, 0, 2, 0, 2, 0, 1, 0, 0, 3, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 2, 0, 0, 3, 0, 0, 2, 3, 3, 1, 0, 0, 3, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 0, 3, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 2, 0, 2, 3, 0, 0, 2, 3, 3, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 0, 3, 3, 1, 0, 2, 0, 1, 0, 1, 0, 1, 3, 0, 0, 3, 3, 1, 3, 0, 1, 3, 3, 1  },
{ 1, 1, 3, 0, 1, 0, 0, 2, 2, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 3, 0, 3, 3, 1, 0, 3, 1, 0, 3, 1  },
{ 3, 1, 3, 1, 3, 0, 0, 2, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 2, 1, 2, 0, 0, 0, 0, 3, 1, 3, 3, 1, 1, 0, 3, 0, 3, 1  },
{ 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 1, 1, 2, 0, 0, 3, 0, 0, 0, 3, 3, 1, 0, 3, 0, 0, 2, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 1, 2, 0, 3, 0, 1, 3, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 1, 3, 3, 3, 0  },
{ 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 0, 3, 1, 0, 1, 2, 0, 0, 1, 0, 3, 0, 0, 0, 3, 1, 3, 1, 3, 1, 3, 2, 0  },
{ 2, 0, 1, 0, 3, 0, 1, 3, 0, 0, 1, 0, 2, 3, 1, 0, 0, 3, 0, 0, 1, 3, 1, 0, 1, 2, 0, 1, 0, 1, 0, 3, 1, 0, 3, 1, 1, 0, 0, 0, 2, 0  },
{ 3, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 1, 2, 3, 0, 1, 0, 0, 1, 3, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0, 3, 1, 0, 2, 2, 0, 0, 0, 3  },
{ 1, 1, 0, 0, 3, 0, 0, 1, 2, 2, 0, 1, 0, 0, 3, 1, 1, 0, 1, 3, 1, 0, 3, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 0, 1, 3, 1, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 1, 0, 3, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 3, 3, 2, 3, 1, 0, 0, 0, 0, 3, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 1, 1, 1, 1, 0, 3, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 1, 0, 0, 3, 3, 3, 0, 1, 0, 0, 2, 0, 3, 0, 1, 0, 2, 1, 0, 3, 0, 0  },
{ 2, 1, 3, 0, 0, 0, 3, 1, 0, 3, 1, 0, 0, 3, 0, 1, 0, 0, 0, 2, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 3, 2, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 3, 1, 0, 2, 3, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 1, 3, 0, 0, 1, 3, 0, 3, 0, 0, 0, 2, 3, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 3, 1, 0, 0, 1, 0, 1, 2, 0, 2, 3, 0, 0, 0, 3, 0, 3, 0, 0  },
{ 2, 0, 1, 0, 1, 3, 0, 0, 1, 0, 3, 1, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 3, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 1, 0, 2, 2, 0, 0, 0, 1, 0, 3, 0, 0, 3, 1, 0, 2, 1, 1, 1, 1, 0, 3, 1, 2, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 2, 0, 2, 0, 0, 0, 0, 3, 2, 2, 2, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 2, 0, 3, 0, 0, 0, 1, 3, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 0  },
{ 2, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 1, 3, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 2, 2, 0, 0, 0, 0, 3, 2, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 2, 2, 0, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0, 3, 1, 1, 0, 2, 0, 0  },
{ 0, 1, 1, 1, 1, 0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 1, 2, 0, 0, 0, 3, 2, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 3, 0, 3, 3, 3, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2  },
{ 3, 2, 1, 3, 1, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 3, 1, 2, 0, 1, 0, 0, 0, 0, 2, 1, 2, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 1, 3, 1, 1, 0, 1, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 1, 2, 0, 0, 3, 1, 1, 0, 0, 1, 1, 0, 1, 3, 0, 0, 0, 3, 3, 1, 3, 0, 1, 0, 0, 0, 0, 3, 1, 2, 1, 3, 1, 0, 3, 1, 0, 0, 2  },
{ 3, 1, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 2, 1, 3, 1, 3, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 0, 3, 1, 0, 1, 3, 0, 1, 0, 3, 3, 1, 3, 0, 1, 0, 0, 0, 0, 3, 1, 2, 1, 2, 1, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 1, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 3, 1, 0, 3, 0, 1, 3, 1, 0, 0, 3, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 1, 0, 3, 1, 1, 0, 0, 2, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 0, 3, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 1, 2, 0, 2, 1, 2, 1, 3, 0, 3, 0, 1, 3, 1, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 3, 2, 1, 3, 0, 0, 1, 0, 1, 0, 3, 0, 0, 3, 1, 1, 0, 1, 1, 0, 1, 3, 0, 0, 0, 3, 1, 3, 1, 1, 0, 1, 3, 0, 1  },
{ 2, 0, 3, 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 2, 3, 1, 0, 3, 0, 0, 3, 3, 1, 3, 1, 1, 0, 1, 2, 0, 1  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 3, 0, 1, 1, 0, 0, 0, 2, 2, 3, 1, 1, 2, 0, 1, 2, 0, 0  },
{ 3, 0, 3, 2, 1, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 3, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 2, 1, 3, 1, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 3, 0, 0, 1, 2, 1, 0, 0, 2, 1, 0, 3, 1, 3, 3, 1  },
{ 3, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 3, 0, 1, 0, 2, 0, 1, 2, 0, 0, 0, 3, 0, 3, 1, 0, 3, 1, 3, 0, 1  },
{ 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 2, 3, 3, 1, 0, 1, 0, 0, 2, 1  },
{ 1, 1, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 1, 1, 3, 2, 1, 0, 0, 3, 0, 0, 1  },
{ 0, 0, 1, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 3, 0, 1, 3, 2, 0, 0, 1, 0, 0, 2, 0, 2, 1, 2, 0, 0, 3, 1, 3, 3, 3, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 1, 0, 3, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 1, 2, 0, 3, 3, 2, 1, 3, 0, 2, 0  },
{ 3, 1, 1, 0, 0, 2, 1, 2, 1, 1, 0, 0, 2, 0, 2, 0, 1, 0, 0, 1, 0, 1, 1, 0, 1, 3, 0, 0, 0, 1, 2, 0, 1, 3, 1, 3, 1, 1, 0, 0, 2, 0  },
{ 2, 0, 0, 1, 1, 1, 0, 0, 3, 1, 0, 0, 0, 1, 1, 0, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 2, 2, 1, 0, 2, 0, 0, 2, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 3, 0, 0, 1, 3, 1, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 3, 1, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 1, 1, 3, 0, 1, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 0, 2, 2, 1, 3, 1, 0, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 2, 3, 1, 0, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 3, 3, 3, 1, 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 0, 3, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 0, 3, 1, 1, 0, 0, 0, 3, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 3, 1, 0, 1, 0, 0, 2, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 1, 3, 2, 0, 1, 0, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 2, 0, 0  },
{ 0, 0, 2, 0, 1, 1, 3, 0, 0, 0, 2, 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 2, 0, 0, 3, 3, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 3, 0, 0, 0, 0, 2, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 0, 3, 0, 0, 0, 3, 0, 3, 0, 1, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 3, 1, 0, 0, 2, 1, 2, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 3, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 1, 0, 1, 0, 0, 2, 1, 2, 3, 0, 0, 3, 3, 1, 1, 1, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 2, 1, 1, 2, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 3, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 2, 1, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 3, 1, 1, 0, 0, 2, 2, 2, 0, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 1, 0, 3, 3, 3  },
{ 3, 1, 0, 1, 0, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 3, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 1, 0, 2, 0, 3, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 3, 2, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 2, 1, 3, 3, 0, 0, 0, 2  },
{ 2, 1, 0, 3, 3, 0, 1, 3, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 1, 0, 3, 1, 0, 0, 2  },
{ 0, 0, 0, 1, 1, 0, 1, 2, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1, 2, 0, 1, 1, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 2, 0, 2, 1, 2, 1, 3, 0, 1, 3, 1, 2  },
{ 1, 0, 1, 1, 3, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 3, 0, 1, 2, 0, 3, 0, 1, 0, 0, 2, 1, 2, 0, 0, 0, 1, 0, 1, 2, 1, 2  },
{ 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 1, 2, 1, 1, 2, 1, 3, 1, 0, 0, 0, 0, 2, 1, 3, 1, 3, 0, 1, 3, 0, 1  },
{ 0, 0, 3, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 3, 0, 0, 2, 0, 0, 3, 0, 1, 0, 3, 2, 0, 0, 0, 0, 0, 0, 2, 3, 1, 2, 0, 1, 0, 3, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 2, 0, 0, 0, 2, 1, 3, 3, 1, 3, 3, 2  },
{ 0, 0, 0, 1, 0, 0, 2, 0, 1, 2, 3, 0, 2, 0, 3, 1, 3, 0, 2, 0, 3, 2, 1, 0, 0, 1, 0, 1, 3, 0, 0, 0, 3, 0, 3, 1, 1, 0, 1, 2, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1, 0, 0, 0, 2, 0, 1  },
{ 0, 0, 0, 1, 0, 0, 2, 1, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 2, 3, 3, 1, 0, 1, 0, 0, 0, 1  },
{ 3, 2, 0, 1, 2, 2, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 2, 3, 2, 2, 0, 0, 0, 2, 1, 3, 2, 0, 1, 1, 0, 0, 0, 0  },
{ 2, 2, 2, 2, 3, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 3, 1, 0, 3, 0, 1  },
{ 3, 3, 3, 0, 0, 3, 3, 1, 0, 1, 3, 0, 0, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0, 1, 3, 1, 0, 0, 2, 0, 0  },
{ 0, 0, 3, 3, 1, 0, 2, 1, 1, 3, 1, 0, 2, 0, 0, 3, 0, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 1, 3, 0, 0, 3, 2, 0, 3, 3, 0, 1, 0, 0, 2, 1  },
{ 1, 0, 3, 0, 1, 3, 1, 0, 0, 2, 2, 1, 1, 0, 0, 1, 2, 2, 2, 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 2, 2, 1, 0, 0, 1, 0, 2, 0  },
{ 0, 0, 1, 1, 1, 0, 3, 0, 2, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 2  },
{ 0, 0, 2, 3, 1, 0, 1, 3, 3, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 2, 1, 2, 1, 0, 3, 1, 3, 3, 2  },
{ 0, 1, 0, 3, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 2  },
{ 2, 1, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 3, 1, 1, 2, 3, 1, 0, 0, 2  },
{ 2, 1, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 2, 3, 1, 1, 0, 1, 0, 0, 0, 0, 2  },
{ 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 3, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 3, 3, 2, 3, 0, 0, 0, 2, 0, 3, 0, 2, 1, 2, 0, 2, 0, 0, 0  },
{ 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 1, 3, 1, 0, 3, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 2, 2, 0, 0, 3, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 3, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 1, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 3, 2, 3, 3, 3, 3, 0, 0, 2, 1, 0, 2, 0, 0, 3, 1, 0, 1, 1, 1, 0, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 0, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 3, 1, 2, 3, 0, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 3, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 3, 0, 0, 0, 2, 1, 3, 2, 0, 3, 2, 0, 0, 0, 2, 1, 1, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 2, 0  },
{ 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 3  },
{ 0, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 3, 3, 1, 0, 3, 0, 2  },
{ 3, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 2, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 1, 2, 3, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 3, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 2, 0, 0, 0, 0, 2, 0, 3, 3, 0, 0, 0, 2, 1, 0, 0, 0  },
{ 0, 1, 1, 1, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 2, 0, 1, 1, 1, 0, 3, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 2, 1, 1, 3, 1, 2  },
{ 3, 1, 3, 1, 2, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 2, 3, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 1, 2, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 1, 0, 3, 0, 0  },
{ 0, 0, 1, 3, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 0, 1, 2, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 1, 0, 0  },
{ 2, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 3, 1, 3, 1, 2  },
{ 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 3, 3, 1, 2, 0, 1  },
{ 1, 1, 1, 3, 2, 0, 0, 1, 0, 0, 0, 0, 2, 2, 3, 1, 0, 0, 2, 0, 2, 1, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 2, 0, 1  },
{ 3, 0, 0, 1, 2, 2, 0, 1, 2, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 3, 3, 0, 0, 3, 0, 0, 0, 1  },
{ 0, 0, 1, 3, 0, 1, 0, 0, 0, 2, 3, 0, 0, 3, 3, 0, 0, 0, 2, 0, 2, 2, 1, 0, 2, 2, 1, 2, 0, 0, 0, 2, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 3, 1, 0, 3, 3, 2  },
{ 3, 0, 1, 0, 3, 0, 0, 1, 2, 3, 2, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 0, 3, 1, 3, 0, 1, 0, 1  },
{ 1, 3, 0, 0, 2, 0, 3, 0, 3, 3, 0, 0, 2, 0, 3, 3, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 3, 3, 3, 3, 0, 1, 3, 0, 1, 1  },
{ 1, 2, 0, 0, 2, 1, 3, 0, 3, 3, 2, 0, 0, 0, 3, 0, 1, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 2, 3, 0, 1, 3, 0, 0, 0, 1  },
{ 0, 1, 0, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 1, 3, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 1, 1, 2, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 1, 3, 1, 2, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 0, 3, 1, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1, 2, 0, 2, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 1, 3, 1, 2, 2  },
{ 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 2, 2, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 2, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 0, 3, 0, 0  },
{ 2, 1, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0  },
{ 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 3, 3, 0, 0, 1, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 3, 2, 3, 3, 2, 0, 3, 3, 0, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 1, 2, 1, 1, 0, 0, 2, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 3, 0, 1, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 3, 3, 1, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 2, 1, 0, 1, 0, 3, 1, 0, 2, 3, 0, 0, 3, 3, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 3, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 1, 3, 3  },
{ 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 0, 2, 1, 3, 1, 0, 3, 3, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 1, 3, 3, 2  },
{ 3, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 1, 3, 1, 3, 2  },
{ 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 1, 3, 1, 1, 2  },
{ 3, 2, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 3, 1, 0, 0, 0  },
{ 2, 3, 0, 0, 0, 0, 2, 1, 0, 3, 1, 0, 3, 2, 0, 2, 2, 1, 1, 0, 2, 2, 3, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 1, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 0, 0, 0, 0, 1, 3, 2, 0, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 3, 0, 1, 3, 0, 2  },
{ 3, 1, 0, 3, 3, 0, 1, 1, 2, 0, 0, 0, 2, 3, 0, 1, 1, 2, 0, 0, 3, 0, 1, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 1, 3, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 3, 2, 0, 1, 0, 3, 0, 0, 1, 1, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 3, 1, 1, 0, 1, 1, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 2, 3, 0, 1, 0, 0  },
{ 3, 1, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 3, 1, 2  },
{ 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 3, 3, 3, 1, 3, 0, 2, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 3, 1, 2, 0, 1  },
{ 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 1, 1, 0, 2, 0, 1, 2, 1, 1, 0, 0, 0, 3, 3, 3, 0, 1, 0, 1, 0, 1, 0  },
{ 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 3, 0, 0, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 3, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 3, 1, 2, 1, 0, 0, 0, 0  },
{ 1, 0, 2, 1, 3, 0, 3, 2, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 1, 3, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 2, 0, 3, 1, 3, 3  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 3, 0, 1, 0, 3, 2  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 1, 3, 3, 0, 0, 0, 0, 0, 2, 0, 1, 1, 1, 1, 1, 0, 0, 0  },
{ 3, 0, 0, 0, 3, 1, 0, 0, 1, 1, 0, 3, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 3, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 1, 1, 2, 1, 2, 2  },
{ 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 1, 2, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 2, 0, 0, 2, 2, 3, 2, 0, 0, 1, 3, 2, 0, 0, 0, 0, 1, 0, 2, 1, 2, 1, 0, 0, 0, 0, 1, 2, 3, 0, 0, 3, 3, 0, 1, 0, 0  },
{ 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 1, 0, 0, 0, 2, 1, 0, 2, 1, 2, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 2, 1, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 0, 3, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0  }
 },
{ 
{ 1, 0, 3, 0, 3, 1, 2, 1, 1, 3, 0, 1, 1, 1, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 1, 0, 0, 0, 1, 0, 1, 1, 1, 1, 3, 1, 2, 0, 0  },
{ 0, 2, 3, 0, 3, 1, 2, 1, 3, 3, 1, 2, 2, 2, 2, 3, 2, 3, 2, 2, 2, 2, 0, 1, 3, 2, 1, 2, 2, 0, 3, 1, 1, 1, 1, 3, 1, 3, 1, 0, 0, 2  },
{ 2, 0, 3, 1, 3, 3, 2, 2, 1, 2, 1, 1, 1, 1, 0, 3, 2, 3, 1, 1, 1, 0, 0, 1, 3, 2, 3, 2, 2, 0, 1, 0, 0, 1, 3, 3, 3, 3, 3, 2, 0, 0  },
{ 2, 0, 3, 1, 2, 3, 1, 3, 1, 2, 0, 3, 1, 2, 2, 0, 3, 0, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 1, 0, 2, 1, 1, 1, 3, 3, 3, 3, 3, 3, 3, 3  },
{ 3, 2, 3, 2, 3, 3, 1, 3, 3, 2, 3, 1, 3, 3, 1, 3, 2, 1, 1, 3, 1, 3, 2, 3, 3, 2, 1, 3, 1, 2, 3, 2, 1, 2, 3, 3, 3, 3, 2, 1, 1, 3  },
{ 3, 0, 2, 0, 3, 3, 0, 1, 0, 1, 0, 1, 0, 3, 0, 1, 3, 2, 0, 1, 1, 2, 3, 1, 3, 1, 2, 1, 2, 2, 2, 2, 2, 1, 3, 3, 0, 3, 2, 3, 1, 1  },
{ 2, 2, 2, 2, 0, 1, 3, 1, 0, 0, 2, 0, 3, 2, 1, 1, 0, 0, 0, 2, 1, 2, 1, 1, 3, 2, 0, 0, 3, 2, 1, 1, 1, 1, 3, 1, 0, 2, 1, 2, 1, 2  },
{ 0, 1, 3, 2, 0, 1, 1, 3, 0, 3, 1, 0, 3, 0, 1, 1, 3, 0, 3, 0, 1, 2, 2, 1, 3, 3, 2, 1, 0, 2, 3, 2, 1, 1, 1, 0, 3, 3, 1, 1, 1, 1  },
{ 1, 1, 3, 3, 0, 1, 2, 1, 0, 1, 1, 1, 0, 0, 0, 0, 2, 3, 0, 2, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2  },
{ 1, 1, 1, 2, 2, 1, 2, 0, 2, 0, 0, 3, 0, 2, 0, 1, 1, 0, 3, 0, 1, 0, 2, 0, 3, 2, 0, 1, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0, 1, 1  },
{ 0, 1, 0, 1, 2, 2, 1, 1, 2, 3, 3, 0, 0, 0, 0, 2, 2, 1, 1, 0, 2, 2, 1, 0, 2, 2, 2, 0, 2, 2, 3, 3, 2, 0, 3, 2, 0, 3, 0, 1, 2, 3  },
{ 0, 3, 1, 0, 0, 3, 1, 1, 0, 2, 3, 0, 0, 0, 3, 2, 3, 0, 0, 2, 0, 0, 0, 2, 0, 1, 2, 2, 2, 2, 2, 2, 2, 2, 3, 1, 2, 3, 0, 0, 2, 3  },
{ 3, 3, 3, 1, 3, 1, 1, 1, 0, 2, 2, 2, 0, 2, 0, 2, 3, 3, 0, 3, 0, 0, 0, 0, 3, 2, 0, 3, 1, 2, 2, 2, 2, 0, 2, 3, 0, 1, 0, 0, 2, 3  },
{ 2, 3, 2, 0, 1, 1, 3, 2, 2, 2, 3, 2, 0, 0, 3, 2, 3, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 2, 2, 0, 0, 3, 0, 2, 3, 0, 2, 0, 3  },
{ 3, 1, 3, 0, 3, 2, 3, 1, 0, 2, 3, 2, 0, 3, 1, 2, 3, 3, 0, 3, 2, 2, 0, 0, 3, 2, 2, 3, 1, 1, 2, 1, 2, 0, 0, 3, 1, 3, 2, 1, 1, 2  },
{ 3, 2, 2, 2, 0, 2, 3, 2, 0, 2, 2, 3, 3, 2, 3, 2, 2, 0, 0, 3, 0, 3, 0, 0, 2, 2, 0, 3, 0, 0, 2, 0, 0, 0, 0, 3, 2, 3, 3, 0, 3, 3  },
{ 3, 1, 0, 0, 2, 2, 3, 2, 0, 3, 3, 2, 0, 3, 3, 2, 2, 1, 0, 3, 0, 3, 0, 3, 3, 1, 1, 3, 3, 0, 2, 1, 1, 1, 2, 3, 0, 3, 3, 1, 2, 3  },
{ 2, 0, 3, 0, 3, 1, 0, 2, 0, 1, 2, 0, 0, 3, 1, 1, 3, 1, 1, 2, 3, 0, 3, 0, 3, 2, 1, 2, 2, 3, 0, 1, 1, 0, 3, 3, 0, 3, 2, 3, 2, 1  },
{ 3, 2, 0, 3, 3, 0, 2, 2, 0, 0, 0, 3, 0, 2, 3, 2, 3, 3, 2, 3, 3, 2, 3, 3, 0, 0, 3, 2, 3, 0, 2, 2, 0, 0, 0, 3, 3, 2, 3, 3, 3, 3  },
{ 0, 2, 2, 3, 1, 2, 3, 2, 0, 3, 0, 2, 0, 1, 3, 0, 3, 3, 1, 2, 0, 3, 2, 0, 2, 2, 2, 2, 3, 3, 1, 1, 1, 0, 0, 3, 1, 3, 2, 3, 2, 1  },
{ 3, 3, 1, 2, 3, 0, 3, 2, 0, 2, 1, 3, 1, 0, 3, 1, 2, 3, 2, 0, 1, 3, 3, 3, 1, 1, 0, 3, 3, 1, 0, 0, 0, 1, 3, 3, 3, 3, 3, 3, 2, 2  },
{ 0, 1, 3, 2, 1, 3, 1, 0, 0, 0, 2, 1, 0, 2, 1, 0, 2, 0, 3, 1, 1, 1, 3, 3, 1, 0, 3, 0, 2, 2, 3, 1, 1, 1, 1, 3, 0, 2, 3, 1, 1, 1  },
{ 0, 0, 1, 0, 0, 0, 2, 3, 2, 0, 1, 0, 3, 1, 0, 0, 0, 0, 1, 3, 0, 1, 0, 2, 3, 1, 0, 1, 1, 0, 1, 0, 1, 3, 1, 0, 0, 2, 3, 0, 2, 1  },
{ 0, 3, 3, 0, 2, 0, 1, 0, 0, 3, 2, 2, 0, 0, 3, 2, 2, 0, 0, 0, 0, 2, 2, 0, 3, 1, 1, 3, 0, 2, 2, 2, 2, 0, 3, 2, 1, 1, 0, 0, 2, 3  },
{ 0, 3, 0, 1, 0, 2, 3, 0, 0, 3, 2, 2, 0, 0, 2, 3, 2, 3, 2, 0, 0, 2, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 0, 2  },
{ 2, 2, 2, 1, 3, 3, 0, 3, 2, 2, 2, 2, 0, 0, 2, 3, 3, 3, 0, 3, 0, 0, 2, 2, 3, 2, 2, 2, 3, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2  },
{ 3, 0, 3, 0, 3, 3, 1, 0, 1, 1, 0, 2, 0, 1, 0, 2, 3, 2, 1, 2, 0, 1, 0, 0, 3, 2, 0, 2, 3, 0, 2, 2, 2, 1, 3, 3, 1, 3, 0, 3, 2, 2  },
{ 2, 0, 1, 0, 3, 3, 2, 3, 0, 2, 1, 0, 0, 2, 3, 3, 3, 1, 0, 3, 3, 1, 2, 1, 3, 1, 0, 3, 3, 2, 1, 2, 2, 2, 1, 1, 0, 3, 2, 2, 3, 1  },
{ 2, 0, 3, 0, 3, 3, 2, 3, 1, 1, 3, 3, 0, 2, 3, 3, 3, 1, 1, 1, 2, 2, 0, 0, 3, 0, 1, 1, 2, 0, 1, 0, 0, 1, 2, 1, 0, 3, 1, 3, 1, 0  },
{ 0, 0, 2, 0, 0, 3, 0, 1, 2, 0, 0, 1, 3, 2, 0, 0, 0, 2, 3, 0, 1, 1, 2, 1, 3, 1, 1, 2, 2, 1, 3, 1, 1, 1, 3, 2, 1, 3, 1, 3, 2, 2  },
{ 0, 2, 0, 0, 3, 2, 0, 2, 1, 1, 2, 2, 3, 0, 1, 1, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 3, 1, 0, 3, 1, 3, 2, 0, 0, 3, 1, 3, 1, 3, 2, 2  },
{ 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 1, 0, 2, 1, 2, 3, 0, 0, 1, 1, 0, 3, 0, 1, 1, 0, 0, 0, 0, 3, 0, 2, 0  },
{ 3, 0, 3, 0, 2, 2, 0, 3, 0, 2, 2, 2, 2, 2, 3, 2, 1, 3, 0, 3, 2, 1, 0, 1, 2, 2, 3, 2, 0, 2, 3, 2, 2, 2, 0, 0, 0, 2, 3, 2, 2, 3  },
{ 1, 3, 2, 0, 0, 1, 3, 1, 0, 3, 0, 2, 2, 3, 0, 2, 1, 2, 0, 3, 0, 0, 0, 0, 1, 0, 3, 2, 3, 2, 2, 2, 1, 1, 3, 1, 2, 2, 0, 0, 1, 3  },
{ 1, 2, 3, 0, 2, 1, 2, 3, 3, 2, 3, 2, 2, 0, 3, 2, 2, 2, 0, 3, 0, 3, 0, 2, 2, 2, 1, 3, 0, 2, 2, 2, 2, 3, 1, 2, 0, 2, 3, 3, 2, 3  },
{ 3, 2, 2, 2, 2, 3, 3, 2, 0, 2, 3, 2, 2, 3, 2, 2, 3, 2, 0, 2, 0, 0, 0, 0, 2, 2, 3, 2, 0, 2, 2, 2, 0, 2, 3, 2, 1, 2, 3, 3, 2, 2  },
{ 0, 2, 3, 0, 0, 2, 3, 0, 1, 0, 1, 0, 2, 0, 1, 1, 3, 2, 0, 2, 1, 3, 0, 0, 2, 2, 1, 2, 3, 0, 2, 1, 0, 0, 3, 0, 0, 0, 0, 3, 1, 2  },
{ 1, 2, 3, 0, 2, 0, 3, 2, 3, 1, 3, 2, 2, 0, 2, 0, 2, 0, 0, 2, 0, 3, 0, 0, 2, 2, 2, 3, 0, 2, 2, 2, 0, 0, 0, 2, 1, 3, 2, 0, 3, 3  },
{ 1, 2, 2, 3, 2, 2, 2, 3, 1, 1, 1, 2, 2, 3, 0, 1, 3, 2, 0, 2, 0, 3, 0, 0, 2, 2, 0, 2, 3, 0, 0, 0, 2, 0, 3, 3, 1, 0, 3, 3, 2, 2  },
{ 0, 2, 1, 1, 2, 2, 3, 1, 0, 1, 3, 0, 2, 3, 1, 0, 3, 0, 0, 2, 0, 3, 0, 0, 0, 2, 3, 2, 3, 0, 0, 2, 0, 0, 3, 3, 0, 1, 3, 0, 0, 2  },
{ 1, 2, 0, 3, 2, 2, 0, 3, 1, 1, 3, 2, 3, 0, 2, 1, 2, 3, 0, 2, 3, 0, 0, 3, 2, 2, 3, 0, 3, 0, 0, 3, 0, 0, 0, 3, 2, 3, 2, 3, 3, 3  },
{ 0, 2, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 1, 0, 1, 3, 3, 1, 0, 0, 2, 0, 3, 2, 1, 1, 2, 2, 3, 0, 2, 2, 1, 0, 3, 1, 3, 2, 3, 1, 1  },
{ 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 3, 1, 1, 0, 0, 2, 3, 2, 1, 2, 1, 1, 3, 2, 3, 0, 2, 0, 0, 1, 2, 0, 3, 0, 0, 1, 1, 2, 0, 0  },
{ 0, 2, 0, 3, 2, 3, 1, 1, 3, 2, 3, 3, 1, 3, 2, 0, 1, 3, 3, 0, 3, 3, 0, 3, 1, 2, 1, 3, 3, 3, 0, 0, 3, 1, 1, 3, 2, 3, 2, 3, 2, 2  },
{ 0, 1, 3, 2, 1, 3, 0, 1, 2, 3, 1, 0, 1, 3, 1, 1, 0, 3, 2, 0, 1, 0, 2, 0, 0, 1, 3, 1, 2, 2, 1, 0, 1, 1, 0, 3, 2, 3, 1, 3, 2, 3  },
{ 3, 2, 1, 0, 0, 1, 3, 0, 1, 3, 1, 2, 3, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 2, 0, 1, 3, 0, 2, 2, 1, 3, 0, 2  },
{ 3, 0, 3, 0, 3, 2, 1, 1, 0, 2, 1, 1, 2, 0, 0, 2, 1, 3, 2, 2, 0, 0, 0, 1, 3, 3, 0, 2, 2, 0, 0, 0, 1, 3, 1, 0, 0, 3, 1, 3, 1, 2  },
{ 0, 2, 1, 0, 0, 0, 2, 0, 0, 3, 1, 3, 2, 0, 0, 2, 2, 2, 0, 3, 0, 3, 2, 0, 3, 2, 3, 2, 2, 0, 0, 2, 2, 0, 3, 0, 0, 1, 3, 0, 0, 0  },
{ 2, 0, 2, 0, 0, 2, 3, 2, 0, 2, 0, 3, 1, 2, 1, 3, 3, 3, 0, 2, 3, 1, 2, 1, 3, 0, 1, 3, 2, 3, 1, 1, 1, 3, 2, 1, 0, 2, 0, 1, 1, 1  },
{ 2, 1, 0, 0, 0, 3, 1, 0, 1, 2, 2, 2, 2, 2, 0, 3, 3, 0, 0, 2, 3, 0, 1, 2, 0, 1, 3, 0, 2, 2, 0, 0, 1, 1, 1, 1, 0, 0, 0, 2, 2, 1  },
{ 2, 2, 1, 0, 1, 2, 2, 1, 1, 0, 1, 0, 0, 1, 1, 3, 0, 0, 3, 2, 3, 1, 1, 1, 0, 2, 2, 0, 0, 2, 3, 2, 1, 0, 0, 0, 3, 3, 3, 0, 3, 3  },
{ 0, 0, 0, 1, 3, 1, 2, 2, 0, 1, 3, 3, 0, 3, 0, 2, 3, 1, 0, 2, 0, 0, 1, 3, 2, 2, 3, 1, 0, 1, 1, 1, 1, 2, 0, 0, 0, 0, 0, 3, 1, 1  },
{ 3, 2, 0, 2, 1, 0, 0, 1, 3, 2, 0, 1, 0, 2, 0, 2, 3, 0, 2, 0, 3, 0, 3, 1, 0, 2, 1, 1, 3, 3, 1, 1, 1, 0, 0, 2, 0, 3, 1, 1, 0, 3  },
{ 1, 0, 1, 2, 0, 1, 2, 0, 3, 1, 2, 2, 2, 2, 2, 1, 2, 2, 0, 3, 1, 3, 0, 2, 0, 2, 1, 3, 3, 2, 3, 2, 0, 2, 1, 1, 2, 3, 1, 2, 2, 3  },
{ 1, 2, 3, 1, 2, 3, 2, 3, 2, 2, 1, 2, 2, 1, 3, 2, 2, 2, 0, 2, 0, 2, 0, 1, 2, 2, 0, 2, 3, 2, 2, 2, 1, 2, 1, 2, 3, 2, 3, 2, 2, 3  },
{ 1, 0, 2, 1, 0, 1, 3, 2, 0, 2, 1, 1, 2, 2, 2, 1, 1, 1, 1, 2, 0, 3, 0, 1, 2, 0, 1, 2, 2, 2, 2, 2, 2, 2, 3, 2, 1, 1, 2, 1, 0, 2  },
{ 1, 2, 3, 0, 0, 2, 3, 1, 0, 0, 3, 1, 1, 2, 0, 1, 1, 2, 0, 2, 0, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2, 2, 0, 0, 3, 1, 2, 3, 2, 2, 2, 2  },
{ 1, 2, 0, 1, 0, 2, 3, 2, 0, 2, 1, 0, 3, 2, 1, 0, 0, 0, 1, 2, 0, 3, 0, 1, 2, 0, 0, 2, 2, 0, 2, 0, 0, 3, 3, 1, 2, 3, 1, 1, 0, 2  },
{ 1, 2, 1, 3, 2, 1, 3, 3, 2, 2, 1, 3, 0, 0, 3, 2, 2, 3, 0, 2, 0, 2, 0, 3, 0, 2, 3, 2, 3, 2, 2, 2, 0, 3, 3, 2, 1, 2, 3, 3, 2, 3  },
{ 0, 2, 0, 2, 1, 2, 2, 3, 3, 3, 1, 0, 3, 0, 1, 1, 1, 2, 0, 2, 0, 3, 3, 0, 2, 1, 2, 3, 2, 0, 0, 0, 0, 0, 3, 1, 1, 0, 3, 2, 2, 2  },
{ 0, 2, 1, 0, 0, 2, 3, 1, 0, 0, 1, 1, 3, 2, 1, 0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 1, 1, 2, 2, 2, 0, 0, 0, 0, 3, 0, 2, 2, 2, 2, 0, 0  },
{ 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 1, 3, 3, 2, 2, 1, 3, 0, 3, 3, 0, 3, 2, 2, 0, 2, 0, 0, 3, 0, 1, 2, 0, 3, 1, 0  },
{ 1, 0, 3, 2, 2, 0, 3, 1, 2, 2, 3, 1, 3, 2, 3, 0, 0, 3, 0, 3, 2, 0, 2, 3, 0, 2, 0, 3, 0, 3, 0, 3, 0, 3, 0, 2, 2, 3, 2, 3, 3, 3  },
{ 1, 0, 2, 0, 3, 1, 0, 0, 0, 0, 3, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 2, 1, 1, 3, 2, 1, 2, 2, 3, 2, 1, 1, 3, 1, 0, 0, 3, 0, 2, 3, 1  },
{ 3, 3, 2, 2, 0, 3, 1, 3, 2, 3, 2, 3, 0, 3, 1, 3, 3, 2, 3, 0, 2, 0, 0, 3, 1, 2, 3, 2, 1, 1, 1, 3, 0, 1, 1, 2, 3, 0, 3, 3, 2, 3  },
{ 2, 3, 1, 0, 0, 3, 0, 2, 0, 0, 1, 0, 2, 2, 0, 0, 0, 2, 3, 1, 0, 3, 0, 0, 3, 1, 0, 1, 0, 0, 2, 1, 1, 1, 2, 0, 0, 0, 2, 3, 0, 1  },
{ 1, 2, 3, 1, 2, 1, 3, 0, 0, 2, 3, 1, 1, 2, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 2, 2, 0, 0, 3, 0, 1, 3, 1, 2, 0, 2  },
{ 0, 2, 2, 0, 0, 2, 3, 1, 0, 2, 0, 1, 2, 2, 2, 2, 1, 0, 2, 2, 0, 0, 0, 0, 0, 1, 0, 2, 2, 2, 2, 2, 0, 1, 3, 0, 2, 2, 1, 2, 0, 2  },
{ 0, 2, 1, 1, 0, 2, 2, 1, 1, 2, 1, 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 3, 0, 0, 2, 2, 0, 0, 0, 0, 3, 0, 2, 2, 1, 2, 0, 2  },
{ 2, 1, 2, 0, 2, 3, 0, 2, 0, 3, 0, 1, 2, 2, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 0, 3, 3, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 3, 3, 0, 0  },
{ 1, 2, 0, 0, 0, 3, 2, 0, 0, 2, 1, 1, 3, 2, 0, 1, 1, 0, 2, 3, 1, 3, 0, 0, 3, 2, 2, 2, 1, 2, 0, 0, 0, 2, 2, 0, 0, 2, 1, 2, 3, 1  },
{ 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 3, 2, 1, 2, 2, 0, 3, 2, 2, 2, 3, 2, 1, 3, 0, 2, 0, 3, 3, 2, 2, 3  },
{ 0, 0, 2, 1, 0, 0, 1, 3, 0, 1, 0, 0, 1, 1, 2, 1, 0, 0, 0, 2, 3, 0, 1, 2, 2, 0, 2, 2, 3, 2, 2, 2, 2, 2, 1, 2, 0, 3, 2, 0, 3, 2  },
{ 0, 0, 2, 2, 0, 2, 2, 1, 0, 1, 2, 0, 2, 1, 2, 1, 0, 0, 0, 2, 3, 1, 0, 2, 0, 0, 0, 0, 2, 0, 2, 2, 1, 1, 3, 1, 0, 2, 1, 0, 3, 2  },
{ 0, 2, 0, 0, 0, 3, 2, 2, 0, 0, 0, 1, 3, 0, 2, 0, 0, 1, 1, 2, 3, 2, 1, 2, 3, 2, 0, 2, 2, 0, 0, 0, 0, 0, 3, 2, 3, 2, 3, 0, 2, 2  },
{ 1, 2, 2, 2, 0, 0, 2, 2, 3, 1, 2, 0, 3, 1, 2, 1, 0, 0, 1, 3, 1, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 1, 0, 0, 3, 2, 1, 0, 3, 0, 3, 2  },
{ 0, 0, 2, 3, 0, 2, 3, 3, 0, 2, 0, 3, 0, 3, 3, 0, 1, 0, 3, 0, 3, 2, 3, 2, 3, 0, 3, 2, 0, 3, 0, 0, 0, 3, 2, 1, 2, 0, 3, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 3, 2, 3, 1, 2, 2, 0, 3, 0, 3, 1, 0, 1, 0, 2, 3, 3, 2, 1, 1, 0, 2, 1, 2, 0, 0, 0, 0, 3, 3, 2, 2, 3, 2, 0, 3, 2  },
{ 0, 2, 0, 2, 0, 3, 1, 0, 1, 2, 2, 1, 3, 0, 1, 1, 0, 1, 1, 3, 0, 2, 3, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 2, 3, 1, 0, 2  },
{ 0, 0, 2, 3, 0, 1, 3, 3, 1, 3, 0, 1, 3, 1, 1, 3, 1, 3, 3, 2, 3, 2, 2, 3, 0, 1, 3, 2, 0, 3, 0, 0, 0, 3, 1, 1, 2, 0, 3, 0, 3, 2  },
{ 0, 0, 1, 2, 0, 1, 3, 3, 1, 2, 3, 1, 3, 0, 2, 1, 1, 2, 3, 0, 1, 2, 3, 2, 0, 2, 0, 0, 2, 2, 0, 0, 0, 0, 3, 2, 1, 3, 3, 0, 2, 2  },
{ 0, 1, 0, 2, 0, 2, 1, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 2, 3, 1, 2, 2, 1, 2, 1, 0, 1, 0, 2, 0, 0, 0, 0, 3, 1, 2, 0, 3, 0, 0, 0  },
{ 0, 2, 3, 0, 0, 0, 0, 1, 2, 0, 2, 0, 3, 2, 1, 0, 0, 2, 1, 2, 0, 2, 0, 3, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 3, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 2, 0, 3, 1, 3, 1, 2, 3, 3, 0, 2, 2, 1, 0, 3, 3, 2, 3, 3, 3, 0, 2, 3, 0, 2, 0, 3, 2, 3, 0, 0, 3, 0, 3, 2, 2, 3, 2, 3, 2, 3  },
{ 0, 2, 3, 0, 0, 3, 1, 1, 0, 0, 2, 2, 3, 3, 0, 0, 3, 2, 0, 1, 1, 2, 0, 2, 0, 1, 3, 2, 3, 0, 2, 3, 1, 1, 1, 3, 0, 0, 3, 3, 2, 2  },
{ 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 3, 1, 0, 0, 0, 2, 1, 0, 0, 2, 1, 3, 0, 1, 0, 2, 2, 1, 2, 2, 1, 1, 3, 3, 2, 0, 3, 2, 1, 2  },
{ 0, 2, 0, 2, 0, 3, 2, 2, 3, 3, 1, 1, 3, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 2, 3, 0, 3, 0, 0, 2, 2, 2, 0, 1, 2, 0, 0, 2, 2, 3, 2, 2  },
{ 0, 2, 2, 0, 1, 1, 1, 1, 1, 1, 3, 0, 3, 0, 2, 0, 0, 1, 2, 0, 2, 2, 0, 3, 2, 2, 0, 0, 2, 2, 0, 2, 0, 1, 2, 0, 0, 2, 3, 0, 2, 2  },
{ 0, 2, 2, 2, 0, 3, 1, 3, 0, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 2, 0, 2, 0, 0, 3, 2, 1, 0, 3, 2, 0, 0, 0, 2, 3, 0, 0, 0, 3, 2, 3, 2  },
{ 2, 0, 1, 0, 0, 0, 3, 1, 1, 1, 2, 1, 1, 2, 2, 3, 0, 0, 2, 0, 3, 3, 0, 0, 1, 2, 0, 0, 3, 1, 0, 2, 1, 0, 1, 0, 3, 1, 3, 1, 2, 1  },
{ 0, 0, 2, 0, 0, 1, 3, 1, 0, 1, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 3, 0, 3, 2, 0  },
{ 0, 2, 3, 0, 0, 2, 0, 1, 0, 0, 3, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 2, 0, 0, 3, 2, 0, 0, 0, 0, 3, 0, 1, 3, 2, 2, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 1, 1, 3, 0, 2, 2, 0, 3, 2, 2, 0, 1, 2, 3, 0, 0, 3, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 2, 0  },
{ 0, 1, 2, 0, 3, 1, 1, 0, 0, 2, 1, 1, 3, 2, 3, 1, 0, 3, 0, 0, 0, 2, 2, 0, 3, 2, 0, 2, 2, 3, 3, 0, 1, 2, 2, 0, 3, 1, 3, 2, 2, 1  },
{ 3, 2, 3, 2, 0, 0, 3, 3, 0, 2, 0, 0, 3, 2, 1, 1, 0, 0, 2, 2, 3, 2, 3, 1, 0, 2, 1, 3, 2, 1, 3, 2, 3, 2, 3, 1, 1, 3, 3, 3, 3, 3  },
{ 0, 0, 3, 2, 0, 3, 3, 2, 0, 2, 0, 2, 3, 2, 1, 2, 2, 3, 0, 1, 3, 1, 0, 1, 3, 2, 3, 1, 2, 0, 2, 1, 0, 1, 0, 2, 1, 2, 3, 1, 3, 2  },
{ 0, 0, 2, 1, 0, 1, 1, 1, 0, 2, 0, 0, 3, 0, 1, 1, 0, 0, 0, 1, 0, 2, 1, 2, 3, 2, 1, 2, 0, 0, 2, 2, 2, 1, 2, 2, 0, 3, 3, 1, 3, 2  },
{ 0, 2, 0, 2, 0, 3, 1, 3, 0, 3, 3, 0, 3, 0, 0, 1, 0, 1, 3, 3, 2, 1, 3, 2, 2, 2, 1, 1, 2, 3, 0, 0, 0, 0, 3, 2, 0, 3, 2, 3, 0, 2  },
{ 0, 1, 2, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 3, 2, 0, 0, 0, 0, 3, 2, 0, 0, 3, 2, 2, 2, 0, 0, 2, 0, 1, 0, 1, 3, 2, 0, 0, 3, 2, 0, 2  },
{ 0, 2, 0, 3, 0, 3, 2, 3, 0, 3, 3, 0, 1, 0, 3, 2, 0, 3, 3, 3, 2, 0, 3, 0, 3, 2, 3, 0, 1, 3, 1, 1, 3, 2, 0, 2, 3, 2, 3, 3, 0, 2  },
{ 0, 2, 1, 2, 0, 3, 1, 3, 1, 1, 0, 0, 3, 0, 2, 0, 0, 1, 1, 1, 3, 0, 2, 1, 1, 2, 0, 1, 1, 2, 0, 0, 0, 3, 3, 2, 2, 3, 3, 1, 0, 2  },
{ 2, 1, 0, 2, 0, 2, 1, 0, 1, 2, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 2, 0, 3, 2, 0, 1, 0, 3, 2, 0, 0, 0, 3, 3, 1, 0, 2, 3, 1, 0, 2  },
{ 2, 1, 0, 1, 0, 1, 3, 2, 0, 1, 2, 0, 3, 1, 0, 0, 1, 1, 3, 0, 0, 2, 1, 0, 3, 2, 0, 1, 3, 1, 1, 0, 0, 1, 3, 1, 0, 2, 3, 1, 2, 0  },
{ 0, 1, 3, 2, 1, 3, 3, 2, 1, 3, 0, 3, 0, 3, 0, 3, 1, 0, 3, 2, 3, 2, 3, 1, 0, 1, 2, 1, 3, 2, 0, 0, 3, 0, 2, 1, 2, 0, 3, 0, 3, 2  },
{ 0, 1, 1, 2, 0, 3, 1, 0, 0, 2, 3, 0, 3, 2, 3, 0, 0, 1, 0, 3, 3, 2, 0, 1, 2, 1, 0, 1, 2, 2, 0, 0, 0, 1, 3, 0, 2, 3, 3, 1, 3, 2  },
{ 2, 1, 2, 2, 0, 3, 1, 0, 0, 2, 1, 0, 3, 0, 2, 0, 0, 0, 0, 3, 1, 0, 2, 0, 1, 0, 0, 2, 1, 2, 0, 0, 0, 0, 3, 1, 2, 3, 2, 0, 3, 2  },
{ 2, 1, 0, 2, 0, 1, 3, 2, 3, 1, 3, 0, 0, 3, 0, 0, 2, 3, 2, 0, 1, 2, 0, 3, 3, 1, 1, 2, 2, 2, 3, 0, 0, 0, 3, 0, 3, 3, 2, 0, 3, 0  },
{ 1, 3, 0, 3, 2, 0, 2, 3, 2, 1, 2, 0, 0, 3, 0, 0, 1, 3, 2, 1, 0, 2, 1, 1, 3, 2, 0, 1, 0, 1, 3, 0, 0, 0, 3, 0, 3, 0, 2, 0, 3, 0  },
{ 0, 0, 2, 3, 0, 1, 3, 3, 2, 0, 3, 1, 0, 3, 2, 0, 1, 3, 0, 1, 3, 2, 3, 0, 0, 2, 0, 3, 0, 2, 0, 0, 0, 2, 1, 0, 2, 3, 2, 2, 3, 2  },
{ 0, 1, 0, 2, 2, 3, 1, 2, 3, 1, 2, 0, 3, 0, 2, 0, 0, 0, 1, 1, 3, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 0, 0, 0, 1, 3, 1, 3, 0, 3, 2, 2  },
{ 0, 0, 0, 2, 0, 3, 2, 2, 0, 0, 2, 0, 3, 3, 1, 0, 0, 0, 1, 3, 0, 3, 3, 3, 0, 0, 2, 1, 2, 0, 3, 0, 0, 0, 3, 3, 1, 2, 3, 0, 2, 2  },
{ 3, 3, 2, 2, 1, 3, 3, 1, 2, 3, 0, 0, 2, 3, 1, 3, 3, 0, 2, 3, 1, 2, 0, 3, 1, 2, 0, 0, 3, 2, 3, 0, 3, 0, 3, 2, 1, 3, 2, 3, 2, 3  },
{ 0, 2, 2, 2, 0, 0, 3, 0, 3, 1, 0, 2, 2, 1, 1, 1, 0, 0, 3, 1, 0, 2, 1, 2, 3, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 1, 0, 2, 3, 3, 0, 2  },
{ 3, 1, 1, 2, 0, 3, 3, 0, 3, 2, 1, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 2, 1, 3, 2, 0, 3, 0, 0, 1, 1, 2, 1, 0, 3, 1, 0, 2, 2, 1, 0, 2  },
{ 0, 0, 0, 1, 0, 3, 1, 2, 3, 2, 0, 0, 3, 1, 1, 1, 0, 0, 3, 0, 0, 2, 0, 1, 3, 2, 2, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 3, 3, 3, 0, 0  },
{ 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 2, 1, 3, 0, 3, 0, 3, 2, 0, 0, 1, 1, 3, 0, 0, 0, 2, 3, 2, 0, 0, 1, 1, 0, 2, 3, 0, 1, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 0, 3, 3, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 0, 1, 3, 3, 1, 0, 0, 1, 2, 0  },
{ 2, 3, 0, 0, 3, 0, 3, 0, 0, 2, 3, 0, 0, 2, 1, 0, 0, 2, 3, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 1, 3, 0, 3, 2, 0  },
{ 2, 0, 3, 1, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 0, 2, 0, 0, 3, 2, 0, 3, 2, 3, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 2, 0  },
{ 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 3, 0, 2, 3, 0, 3, 2, 0, 0, 1, 3, 1, 2, 0, 0, 3, 0, 0, 1, 0, 1, 2, 0, 0, 3, 2, 0  },
{ 3, 2, 3, 2, 0, 1, 3, 3, 0, 2, 0, 2, 1, 2, 1, 3, 0, 1, 0, 0, 3, 0, 3, 2, 0, 2, 0, 0, 0, 1, 3, 1, 0, 3, 0, 2, 3, 1, 0, 0, 3, 2  },
{ 0, 2, 0, 1, 0, 2, 3, 2, 1, 3, 0, 2, 0, 2, 2, 3, 0, 3, 0, 0, 3, 0, 3, 1, 0, 2, 1, 2, 0, 1, 1, 1, 0, 2, 2, 2, 3, 0, 3, 1, 3, 2  },
{ 0, 1, 3, 2, 0, 0, 3, 3, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 1, 3, 0, 1, 1, 3, 0, 2, 3, 0, 1, 1, 1, 0, 1, 0, 2, 0, 1, 3, 3, 0, 2  },
{ 0, 2, 0, 3, 0, 2, 3, 3, 0, 2, 0, 2, 0, 1, 2, 3, 0, 3, 0, 0, 3, 0, 3, 0, 3, 2, 1, 1, 1, 1, 0, 1, 0, 2, 1, 2, 3, 3, 0, 3, 0, 2  },
{ 0, 0, 3, 2, 0, 1, 3, 3, 0, 2, 2, 0, 0, 0, 3, 2, 0, 1, 3, 0, 0, 1, 3, 1, 3, 1, 2, 1, 3, 2, 0, 0, 1, 1, 3, 2, 0, 2, 3, 3, 1, 2  },
{ 0, 1, 0, 2, 1, 1, 3, 0, 0, 2, 2, 0, 1, 1, 3, 1, 0, 1, 3, 0, 1, 2, 2, 3, 2, 1, 1, 1, 0, 0, 0, 2, 1, 1, 3, 2, 0, 2, 1, 3, 1, 2  },
{ 0, 2, 0, 3, 0, 3, 3, 3, 0, 2, 1, 3, 1, 3, 2, 2, 1, 2, 3, 1, 3, 1, 3, 1, 0, 2, 1, 1, 2, 3, 1, 1, 2, 3, 1, 2, 2, 3, 0, 3, 0, 2  },
{ 0, 1, 1, 2, 0, 0, 3, 0, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 3, 1, 3, 0, 2, 0, 0, 1, 1, 3, 2, 1, 1, 1, 1, 3, 2, 0, 2, 3, 3, 0, 2  },
{ 0, 0, 0, 2, 0, 1, 3, 0, 0, 2, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0, 3, 1, 2, 0, 3, 2, 2, 2, 3, 0, 1, 0, 1, 3, 3, 2, 0, 0, 3, 1, 0, 2  },
{ 3, 1, 0, 2, 3, 1, 0, 0, 0, 2, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 2, 0, 1, 3, 2, 1, 2, 2, 3, 3, 0, 1, 3, 2, 1, 0, 1, 3, 1, 0, 2  },
{ 0, 0, 3, 2, 0, 3, 3, 2, 3, 2, 0, 3, 2, 2, 0, 3, 0, 2, 3, 1, 3, 3, 0, 3, 1, 2, 1, 1, 3, 2, 1, 3, 0, 0, 3, 2, 2, 3, 0, 3, 0, 2  },
{ 0, 2, 0, 1, 0, 3, 3, 0, 0, 2, 3, 0, 1, 3, 2, 0, 0, 2, 0, 0, 3, 1, 3, 0, 2, 2, 1, 3, 1, 2, 0, 0, 1, 2, 3, 2, 2, 3, 1, 1, 3, 2  },
{ 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 3, 0, 1, 2, 2, 2, 2, 3, 0, 3, 2, 1, 3, 1, 0, 0, 2, 1, 1, 3, 1, 1, 2, 3, 2, 2, 0, 3, 0, 3, 2  },
{ 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 3, 0, 3, 3, 0, 0, 2, 0, 3, 0, 0, 2, 1, 2, 3, 0, 3, 2, 1, 2, 3, 0, 0, 1, 3, 0, 0, 0, 2, 1, 3, 2  },
{ 0, 3, 0, 3, 0, 0, 3, 0, 1, 2, 3, 0, 2, 3, 0, 2, 1, 1, 0, 3, 3, 3, 0, 1, 2, 2, 1, 1, 3, 2, 0, 1, 2, 3, 3, 0, 2, 3, 3, 2, 3, 2  },
{ 0, 0, 0, 1, 0, 2, 3, 0, 2, 2, 3, 0, 2, 1, 0, 0, 0, 1, 2, 0, 3, 1, 2, 0, 0, 2, 1, 1, 0, 2, 3, 0, 0, 0, 3, 1, 2, 1, 3, 0, 2, 2  },
{ 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 3, 0, 3, 3, 1, 0, 0, 0, 2, 0, 3, 2, 3, 0, 1, 0, 0, 2, 1, 2, 3, 0, 0, 1, 3, 0, 2, 1, 3, 0, 2, 2  },
{ 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 2, 3, 0, 3, 2, 0, 1, 0, 1, 3, 2, 0, 0, 3, 1, 3, 1, 3, 0, 0, 0  },
{ 2, 2, 3, 0, 0, 3, 0, 1, 0, 0, 2, 0, 3, 2, 0, 0, 0, 3, 2, 3, 0, 1, 0, 2, 0, 1, 0, 1, 0, 3, 2, 0, 0, 3, 1, 0, 2, 3, 0, 2, 3, 0  },
{ 0, 0, 2, 3, 0, 3, 3, 1, 0, 2, 0, 2, 3, 3, 0, 2, 0, 1, 3, 3, 3, 1, 2, 0, 0, 2, 1, 1, 1, 0, 3, 2, 1, 3, 3, 2, 1, 3, 2, 3, 2, 2  },
{ 0, 1, 1, 2, 0, 0, 3, 1, 0, 0, 2, 0, 0, 3, 0, 2, 0, 0, 3, 0, 1, 0, 1, 0, 3, 2, 0, 1, 0, 2, 2, 1, 3, 1, 0, 2, 0, 1, 3, 0, 0, 2  },
{ 2, 0, 0, 2, 0, 2, 0, 2, 3, 2, 0, 3, 1, 2, 1, 1, 0, 0, 1, 0, 1, 2, 1, 3, 2, 2, 3, 0, 0, 2, 3, 2, 3, 1, 3, 3, 3, 0, 0, 0, 1, 2  },
{ 1, 2, 0, 2, 0, 1, 3, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 3, 2, 2, 0, 0, 0, 3, 0, 2, 1, 0, 3, 2, 0, 0, 3, 0, 1, 2  },
{ 0, 3, 0, 2, 0, 2, 3, 0, 0, 2, 3, 0, 0, 2, 2, 1, 0, 0, 3, 0, 3, 0, 0, 3, 3, 1, 0, 0, 0, 2, 0, 2, 1, 3, 1, 2, 0, 2, 0, 3, 1, 2  },
{ 2, 0, 0, 0, 0, 1, 0, 0, 1, 1, 3, 0, 0, 3, 1, 3, 0, 0, 3, 0, 2, 0, 0, 3, 0, 2, 1, 0, 0, 3, 3, 2, 2, 2, 0, 2, 2, 1, 0, 0, 1, 0  },
{ 2, 0, 0, 1, 0, 1, 0, 3, 2, 1, 1, 0, 0, 1, 1, 1, 0, 3, 3, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 3, 3, 2, 3, 2, 3, 1, 0, 0, 0, 0, 1, 2  },
{ 1, 2, 3, 1, 3, 0, 2, 0, 3, 0, 0, 0, 3, 0, 2, 1, 0, 0, 3, 0, 2, 1, 0, 0, 3, 2, 0, 0, 0, 3, 3, 2, 2, 1, 1, 3, 0, 0, 0, 3, 2, 0  },
{ 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 2, 0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 3, 2, 0, 2, 2, 3, 3, 0, 0, 2, 0, 0, 3, 0, 2, 3, 1, 0  },
{ 2, 0, 0, 0, 3, 0, 0, 0, 1, 3, 3, 0, 1, 0, 0, 3, 2, 0, 3, 0, 3, 2, 0, 1, 0, 3, 0, 0, 0, 2, 3, 0, 2, 1, 0, 1, 3, 2, 0, 0, 3, 0  },
{ 2, 0, 3, 3, 3, 0, 1, 0, 3, 0, 2, 0, 3, 0, 1, 3, 2, 0, 3, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 3, 2, 0, 1, 3, 0, 0, 0, 2, 0, 3, 0  },
{ 3, 2, 0, 2, 0, 2, 1, 0, 3, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 1, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 3, 0, 2, 3, 0  },
{ 1, 1, 3, 1, 3, 0, 1, 2, 1, 2, 3, 0, 3, 2, 0, 0, 3, 0, 3, 0, 3, 0, 2, 0, 3, 0, 0, 0, 0, 2, 1, 0, 2, 2, 0, 3, 2, 2, 0, 0, 3, 0  },
{ 2, 2, 1, 2, 3, 0, 1, 0, 3, 0, 1, 3, 2, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 1, 0, 3, 2, 0, 0, 2, 3, 1, 0, 0, 3, 1, 1, 3, 3, 0, 3, 2  },
{ 3, 2, 3, 2, 0, 1, 3, 0, 0, 2, 0, 1, 1, 2, 1, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 1, 1, 1, 0, 3, 2, 1, 0, 2, 3, 1, 3, 1  },
{ 1, 2, 0, 1, 2, 2, 3, 0, 0, 2, 2, 0, 0, 2, 3, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 0, 1, 1, 1, 0, 1, 0, 2, 3, 1, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 0, 2, 0, 0, 0, 3, 2, 2, 0, 0, 0, 3, 0, 0, 3, 1, 0, 1, 2, 1, 1, 2, 1, 1, 3, 1, 3, 2, 0, 2, 3, 3, 1, 2  },
{ 3, 2, 2, 2, 0, 0, 3, 1, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 3, 0, 3, 2, 0, 0, 2, 1, 1, 1, 1, 1, 0, 1, 3, 2, 0, 3, 0, 3, 0, 1  },
{ 2, 1, 0, 2, 1, 2, 0, 0, 0, 2, 3, 0, 0, 0, 3, 1, 0, 0, 0, 3, 0, 1, 2, 2, 3, 2, 0, 2, 3, 2, 0, 2, 1, 1, 3, 2, 0, 3, 1, 0, 1, 2  },
{ 0, 0, 1, 2, 0, 3, 3, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 3, 0, 3, 0, 3, 0, 0, 2, 0, 0, 3, 2, 1, 1, 3, 0, 3, 2, 3, 1, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 2, 1, 3, 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 3, 2, 1, 0, 0, 3, 2, 1, 1, 1, 1, 3, 2, 0, 2, 3, 0, 1, 2  },
{ 0, 0, 0, 2, 0, 2, 1, 0, 0, 2, 3, 0, 2, 0, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 2, 3, 1, 2, 3, 1, 0, 0, 3, 3, 2, 3, 1, 1, 3, 1, 2  },
{ 3, 0, 2, 0, 3, 0, 0, 1, 2, 2, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 2, 3, 0, 0, 1, 3, 0, 2, 0, 1, 1, 3, 1, 2  },
{ 0, 0, 1, 3, 2, 0, 3, 0, 2, 2, 0, 0, 0, 2, 0, 2, 0, 0, 3, 3, 3, 0, 0, 0, 1, 2, 1, 0, 1, 2, 1, 2, 0, 0, 3, 2, 3, 2, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 2, 2, 0, 1, 3, 1, 2, 0, 2, 0, 3, 2, 3, 1, 3, 0, 2, 0, 0, 1, 3, 1, 0, 0, 1, 3, 3, 2, 1, 2, 3, 3, 1, 2  },
{ 0, 0, 0, 0, 0, 1, 2, 1, 3, 0, 3, 0, 0, 0, 0, 2, 2, 0, 0, 1, 3, 0, 0, 0, 1, 0, 1, 1, 2, 3, 1, 0, 1, 3, 3, 2, 3, 1, 3, 1, 1, 2  },
{ 0, 0, 3, 2, 0, 0, 1, 0, 1, 0, 2, 0, 3, 1, 0, 0, 2, 0, 3, 0, 3, 0, 2, 0, 3, 3, 3, 1, 3, 2, 3, 1, 1, 1, 3, 0, 0, 2, 3, 1, 3, 0  },
{ 0, 0, 2, 2, 0, 0, 3, 2, 2, 1, 2, 0, 3, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 1, 3, 0, 0, 3, 0, 3, 3, 1, 1, 0, 3, 0, 0, 0, 1, 0, 2, 0  },
{ 0, 0, 0, 3, 3, 0, 3, 0, 2, 2, 0, 1, 2, 3, 0, 2, 0, 0, 1, 0, 3, 2, 0, 2, 3, 2, 1, 3, 1, 2, 0, 3, 0, 1, 3, 2, 2, 3, 3, 0, 3, 2  },
{ 0, 2, 0, 0, 3, 1, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 2, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1, 2, 1, 3, 1, 1, 1, 3, 1, 2, 3, 3, 1, 3, 2  },
{ 0, 0, 2, 3, 0, 0, 2, 3, 2, 1, 2, 0, 2, 1, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 0, 3, 2, 3, 1, 0, 0, 1, 1, 3, 0, 1, 0, 3, 1, 3, 2  },
{ 0, 3, 0, 2, 3, 0, 0, 2, 2, 2, 1, 0, 2, 2, 0, 0, 2, 2, 2, 0, 3, 1, 2, 0, 3, 0, 3, 3, 1, 2, 3, 0, 0, 1, 3, 1, 2, 0, 3, 0, 1, 0  },
{ 0, 0, 0, 2, 0, 1, 3, 2, 0, 0, 2, 3, 2, 1, 0, 2, 0, 2, 2, 3, 0, 3, 0, 1, 0, 2, 0, 1, 3, 2, 3, 0, 2, 2, 3, 2, 1, 3, 3, 3, 2, 2  },
{ 0, 0, 2, 2, 0, 0, 3, 0, 0, 0, 2, 2, 3, 1, 0, 0, 0, 2, 0, 0, 3, 1, 2, 3, 0, 2, 3, 1, 0, 2, 3, 1, 1, 1, 2, 3, 1, 3, 0, 2, 2, 2  },
{ 0, 2, 2, 0, 0, 2, 2, 3, 0, 0, 1, 3, 3, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 3, 2, 3, 2, 3, 2, 0, 0, 0, 3, 0, 3, 0, 3, 0, 2  },
{ 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1, 1, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 0, 1, 1, 1, 0, 3, 1, 2, 0, 0, 0, 3, 0, 2  },
{ 2, 1, 0, 2, 0, 0, 3, 0, 0, 2, 0, 2, 0, 3, 0, 2, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 3, 1, 0, 3, 1, 1, 3, 0, 0, 1, 0, 3, 0, 0, 0, 2  },
{ 3, 2, 2, 2, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 1, 0, 3, 1, 2, 0, 0, 2, 1, 1, 3, 2, 3, 2, 0, 0, 0, 2, 0, 2  },
{ 1, 0, 0, 2, 0, 0, 0, 1, 2, 2, 0, 0, 0, 3, 1, 3, 0, 3, 1, 0, 0, 2, 0, 3, 1, 3, 2, 0, 0, 3, 1, 2, 1, 2, 1, 3, 2, 0, 0, 0, 1, 3  },
{ 3, 2, 0, 2, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 2, 3, 0, 0, 1, 0, 3, 2, 1, 2, 0, 0, 3, 1, 2, 1, 0, 3, 2, 0, 2, 0, 0, 1, 1  },
{ 2, 0, 0, 2, 2, 2, 3, 0, 0, 2, 0, 0, 3, 0, 0, 0, 1, 1, 2, 0, 1, 0, 0, 2, 3, 2, 0, 1, 3, 3, 0, 1, 3, 0, 1, 2, 0, 0, 3, 0, 1, 2  },
{ 3, 0, 2, 0, 3, 0, 2, 0, 2, 0, 0, 0, 3, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 3, 1, 2, 0, 2, 3, 3, 0, 1, 3, 0, 2, 0, 0, 2, 1, 1, 2  },
{ 1, 0, 0, 2, 0, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 3, 0, 0, 3, 0, 2, 3, 0, 3, 2, 2, 0, 0, 2, 0, 0, 0, 1, 3  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 0, 3, 1, 3, 3, 0, 0, 3, 3, 2, 3, 2, 3, 1, 0, 2, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 3, 1, 3, 0, 3, 0, 0, 0, 2, 0, 2, 1, 3, 0, 3, 0, 2, 1, 0, 0, 3, 0, 2, 0, 0, 3, 3, 2, 3, 2, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 3, 0, 3, 1, 0, 2, 0, 0, 2, 1, 1, 0, 0, 2, 3, 0, 3, 2, 0, 1, 3, 1, 0, 1, 0, 2, 3, 0, 0, 3, 0, 1, 0, 0, 2, 3, 0, 0  },
{ 1, 0, 3, 0, 3, 2, 0, 0, 2, 0, 0, 0, 1, 0, 1, 3, 3, 0, 0, 0, 2, 2, 1, 3, 0, 1, 0, 0, 3, 3, 3, 2, 2, 0, 0, 3, 0, 3, 0, 0, 1, 1  },
{ 0, 3, 0, 3, 3, 2, 2, 0, 0, 0, 2, 3, 2, 0, 0, 3, 0, 0, 0, 3, 3, 2, 0, 0, 0, 1, 3, 0, 0, 1, 3, 2, 3, 0, 0, 3, 0, 0, 3, 1, 3, 0  },
{ 3, 1, 1, 0, 1, 3, 0, 0, 0, 0, 1, 2, 3, 0, 1, 0, 0, 0, 3, 1, 2, 1, 0, 1, 3, 0, 0, 0, 0, 3, 3, 2, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0  },
{ 3, 2, 0, 3, 3, 3, 2, 0, 3, 0, 1, 0, 2, 0, 1, 2, 3, 0, 3, 0, 2, 2, 0, 3, 0, 1, 2, 0, 1, 3, 3, 2, 3, 1, 0, 0, 2, 0, 2, 0, 3, 2  },
{ 1, 1, 0, 2, 0, 0, 3, 0, 0, 2, 1, 2, 0, 3, 2, 2, 0, 0, 0, 0, 3, 0, 3, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 1, 2, 3, 3, 3, 0, 3, 1  },
{ 2, 2, 0, 2, 0, 0, 3, 0, 0, 1, 1, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 1, 0, 2, 0, 0, 3, 3, 0, 1, 3, 0, 3, 2, 3, 1, 3, 0, 0, 1  },
{ 3, 2, 0, 2, 3, 1, 3, 0, 0, 1, 0, 0, 0, 3, 0, 2, 0, 2, 1, 3, 0, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 1, 3, 0, 0, 1, 0, 2, 3, 0, 0, 1  },
{ 0, 2, 2, 2, 0, 0, 3, 0, 0, 1, 1, 2, 0, 2, 0, 1, 0, 0, 0, 0, 3, 0, 3, 2, 0, 2, 3, 0, 3, 3, 1, 1, 3, 0, 3, 2, 3, 1, 3, 0, 0, 1  },
{ 2, 0, 0, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 0, 3, 0, 0, 1, 1, 0, 0, 3, 1, 1, 3, 1, 3, 2, 0, 0, 3, 0, 0, 1  },
{ 2, 0, 0, 2, 0, 1, 1, 0, 0, 2, 3, 0, 0, 0, 3, 2, 0, 1, 1, 3, 0, 0, 3, 1, 3, 0, 0, 2, 3, 2, 0, 1, 2, 2, 3, 2, 0, 0, 0, 0, 1, 2  },
{ 0, 2, 3, 2, 1, 0, 3, 1, 3, 2, 3, 2, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0, 2, 3, 1, 0, 1, 3, 2, 0, 2, 3, 2, 0, 3, 0, 1  },
{ 3, 0, 0, 2, 0, 1, 3, 0, 3, 2, 3, 0, 0, 2, 0, 2, 1, 1, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 3, 2, 0, 1, 1, 3, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 3, 2, 1, 3, 0, 1, 1, 3, 1, 2, 0, 2, 3, 3, 1, 2  },
{ 0, 0, 0, 2, 3, 2, 0, 0, 0, 2, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 3, 0, 1, 1, 3, 1, 2, 0, 3, 3, 1, 1, 2  },
{ 0, 0, 3, 2, 0, 2, 3, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 3, 0, 2, 0, 0, 2, 3, 0, 3, 2, 3, 0, 3, 0, 3, 2, 3, 2, 0, 3, 1, 2  },
{ 0, 2, 3, 2, 1, 2, 3, 2, 0, 2, 2, 0, 0, 1, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 2, 1, 2, 0, 0, 3, 3, 0, 1, 0, 3, 2, 0, 2, 3, 3, 0, 1  },
{ 0, 0, 1, 2, 2, 0, 3, 0, 1, 3, 0, 0, 0, 2, 0, 0, 2, 3, 0, 2, 3, 0, 0, 0, 2, 2, 0, 0, 1, 3, 0, 0, 1, 3, 3, 1, 0, 2, 3, 1, 1, 2  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 3, 0, 0, 2, 0, 2, 0, 2, 3, 0, 1, 0, 0, 0, 3, 0, 3, 0, 1, 3, 0, 1, 1, 3, 1, 0, 0, 3, 3, 0, 0, 1  },
{ 1, 2, 0, 3, 0, 1, 0, 2, 1, 0, 3, 2, 3, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 3, 1, 2, 3, 1, 1, 1, 1, 2, 3, 0, 0, 2, 0, 0, 3, 0  },
{ 0, 0, 0, 2, 0, 1, 3, 2, 0, 2, 3, 0, 0, 0, 0, 2, 0, 2, 0, 2, 3, 1, 0, 2, 0, 1, 2, 3, 0, 1, 0, 0, 1, 3, 3, 2, 3, 2, 3, 1, 3, 2  },
{ 0, 0, 0, 0, 0, 2, 3, 2, 0, 1, 0, 2, 3, 3, 2, 0, 0, 2, 0, 3, 0, 0, 3, 0, 2, 0, 1, 0, 0, 2, 3, 0, 1, 3, 3, 1, 2, 3, 3, 0, 3, 2  },
{ 0, 0, 1, 0, 0, 3, 2, 3, 0, 2, 3, 0, 0, 2, 2, 0, 3, 1, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 3, 0, 3, 0, 1, 1, 3, 1, 3, 2, 3, 2, 0, 0  },
{ 0, 0, 3, 0, 0, 1, 3, 2, 2, 2, 3, 0, 3, 1, 0, 2, 2, 3, 3, 0, 3, 2, 0, 0, 2, 0, 1, 3, 1, 3, 1, 1, 1, 1, 3, 0, 2, 0, 0, 0, 3, 0  },
{ 0, 0, 1, 2, 0, 1, 3, 0, 2, 0, 2, 2, 2, 0, 1, 3, 0, 1, 0, 2, 3, 1, 0, 3, 2, 2, 3, 0, 0, 3, 0, 2, 3, 1, 0, 1, 1, 3, 2, 2, 3, 2  },
{ 0, 0, 1, 1, 0, 2, 3, 0, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0, 1, 0, 3, 2, 2, 3, 0, 0, 2, 0, 0, 0, 3, 1, 0, 3, 0, 0, 1, 3, 0, 3, 2, 0  },
{ 1, 0, 0, 0, 2, 0, 2, 3, 0, 0, 2, 0, 0, 2, 2, 0, 1, 1, 2, 1, 2, 0, 2, 3, 0, 0, 1, 2, 0, 3, 1, 2, 1, 1, 3, 3, 3, 0, 2, 3, 1, 2  },
{ 3, 3, 0, 1, 3, 3, 0, 3, 1, 1, 0, 1, 2, 3, 0, 0, 2, 1, 3, 0, 0, 3, 1, 0, 0, 0, 2, 0, 2, 3, 0, 1, 2, 1, 3, 3, 3, 0, 1, 2, 0, 1  },
{ 3, 2, 0, 1, 0, 0, 3, 2, 0, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 0, 3, 0, 3, 0  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3, 2, 2, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 2, 1, 1, 0, 3, 0, 2, 0, 3, 3, 0, 0, 1  },
{ 1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 2, 0, 1, 3, 1, 1, 3, 0, 0, 1, 2, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 2, 3, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 1, 2, 1, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 0, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 3, 1, 2, 3, 0, 0, 2, 1, 0, 0, 0, 0, 1  },
{ 2, 0, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 0, 1, 2, 1, 0, 1, 3, 3, 0, 1, 0, 3, 2, 2, 3, 0, 0, 3, 1, 2, 1, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 1, 3, 0, 0, 1, 2, 3, 2, 2, 3, 0, 0, 3, 0, 2, 1, 0, 3, 2, 3, 0, 0, 0, 1, 2  },
{ 0, 0, 2, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 2, 3, 2, 0, 0, 0, 3, 0, 1, 2, 0, 1, 2, 3, 0, 2, 3, 1, 2  },
{ 1, 0, 0, 1, 0, 2, 1, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 2, 2, 0, 1, 2, 0, 0, 0, 0, 3  },
{ 1, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3  },
{ 0, 0, 2, 0, 3, 3, 2, 0, 3, 0, 0, 3, 0, 0, 2, 1, 3, 0, 0, 0, 0, 1, 1, 3, 3, 2, 1, 0, 0, 3, 0, 2, 1, 1, 0, 0, 1, 2, 0, 0, 0, 1  },
{ 2, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 2, 0, 2, 3, 3, 2, 0, 1, 2, 3, 0, 0, 1, 3, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 3, 1, 0, 1, 3, 3, 0, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 1, 2, 2, 2, 0, 0, 1, 0, 0, 0, 0, 3  },
{ 3, 3, 2, 0, 2, 1, 0, 0, 0, 0, 2, 3, 2, 0, 0, 3, 0, 0, 1, 1, 0, 2, 0, 3, 1, 2, 0, 0, 0, 3, 3, 2, 1, 0, 0, 3, 0, 2, 0, 0, 0, 0  },
{ 3, 3, 3, 1, 2, 3, 0, 0, 0, 0, 3, 3, 2, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 2, 2, 0, 0, 3, 3, 0, 0, 0, 3, 0, 3, 1, 3, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 3, 0, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 2, 1, 0, 2, 0, 2, 2, 3, 1, 0, 0, 0, 3, 3, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 2, 3, 2, 1, 3, 3, 0, 0, 2, 3, 0, 1, 2, 0, 0, 2, 2, 2, 3, 3, 2, 2, 0, 3, 0, 0, 0, 0, 0, 1, 3, 2, 1, 0, 0, 2, 0, 3, 0, 1, 3, 0  },
{ 3, 3, 2, 2, 2, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 2, 1, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 0, 0, 0, 2, 0, 1, 3, 0  },
{ 1, 2, 3, 1, 1, 0, 2, 0, 3, 0, 3, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 3, 3, 0, 0, 0, 3, 1, 0, 2, 2, 0, 0, 1  },
{ 1, 0, 1, 1, 3, 0, 1, 0, 0, 0, 2, 0, 1, 0, 3, 0, 3, 2, 2, 0, 3, 2, 1, 2, 2, 2, 0, 0, 1, 0, 1, 1, 1, 0, 0, 3, 1, 1, 0, 2, 3, 2  },
{ 3, 2, 1, 2, 0, 0, 0, 1, 1, 2, 0, 2, 3, 0, 0, 2, 1, 0, 3, 0, 3, 0, 3, 2, 0, 2, 3, 1, 0, 0, 3, 0, 0, 3, 1, 1, 3, 0, 0, 0, 0, 3  },
{ 0, 2, 3, 2, 1, 0, 0, 2, 3, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 0, 2, 3, 0, 3, 3, 0, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 1, 1, 0, 0, 0, 3, 2, 3, 1, 0, 2, 0, 2, 1, 2, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 3, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 1, 2, 3, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 0, 3, 1, 0, 2, 3, 0, 3, 0, 0, 3, 3, 0, 3, 2, 3, 3, 0, 0, 0, 1  },
{ 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0, 3, 0, 0, 3, 0, 0, 2, 2, 2, 0, 3, 0, 1, 3, 0, 1, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 3, 0, 1, 0, 1, 1, 0, 2, 0, 2, 0, 2, 0, 0, 3, 0, 3, 1, 0, 2, 1, 0, 3, 1, 3, 0, 3, 0, 1, 2, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 1, 3, 2, 0, 0, 2, 0, 2, 2, 1, 0, 0, 3, 0, 3, 1, 1, 2, 0, 0, 0, 3, 3, 0, 3, 0, 3, 2, 1, 1, 0, 3, 0, 1  },
{ 0, 0, 0, 3, 0, 2, 0, 0, 3, 2, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 3, 1, 0, 2, 3, 3, 0, 1  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 1, 1, 3, 0, 1, 0, 2, 0, 3, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 3, 2, 3, 0, 3, 2, 0, 0, 0, 2, 0, 2, 3, 2, 3, 2, 3, 0, 0, 0, 2, 3, 0, 1, 3, 0, 0, 3, 2, 2, 0, 1, 3, 3, 0, 0  },
{ 1, 1, 0, 2, 0, 0, 0, 0, 1, 0, 3, 2, 3, 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0, 0, 3, 2, 0, 3, 1, 3, 1, 0, 2, 3, 3, 0, 1  },
{ 0, 0, 1, 2, 3, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 3, 2, 0, 0, 3, 3, 0, 3, 1, 3, 3, 1, 0, 1, 3, 3, 0, 1  },
{ 0, 0, 1, 2, 0, 2, 0, 0, 0, 3, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 3, 0, 3, 0, 3, 0, 0, 2, 0, 3, 0, 0, 1, 3, 1, 0, 0, 1, 0, 0, 0, 1  },
{ 1, 0, 2, 0, 0, 3, 0, 1, 1, 2, 2, 0, 1, 1, 0, 0, 1, 2, 2, 1, 3, 0, 0, 0, 3, 2, 3, 2, 2, 3, 0, 1, 1, 2, 3, 0, 0, 1, 0, 0, 3, 1  },
{ 0, 0, 3, 2, 0, 0, 3, 3, 0, 2, 3, 0, 0, 0, 0, 2, 0, 2, 3, 0, 3, 3, 0, 2, 0, 2, 3, 0, 0, 2, 3, 0, 1, 0, 3, 2, 2, 3, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 2, 0, 1, 0, 2, 3, 2, 1, 0, 2, 0, 0, 0, 3, 2, 0, 0, 1, 0, 1, 0, 0, 2, 3, 0, 3, 1, 3, 1, 1, 0, 3, 1, 3, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 3, 0, 0, 3, 2, 0, 1, 1, 0, 3, 0, 0, 3, 0, 1, 2, 0, 1, 0, 0, 3, 0, 1, 3, 0, 0, 0, 2, 3, 0, 3, 1  },
{ 3, 1, 1, 2, 1, 3, 0, 1, 1, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 1, 2, 3, 0, 2, 1, 2, 3, 0, 0, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 3, 0, 2, 1, 0, 2, 0, 2, 3, 2, 1, 3, 2, 0, 1, 2, 2, 0, 0, 0, 0, 3, 1, 3, 0, 1, 2, 3, 1, 3, 3, 2  },
{ 0, 0, 2, 3, 0, 0, 1, 0, 0, 0, 2, 3, 1, 0, 1, 0, 1, 0, 2, 0, 1, 2, 3, 1, 0, 0, 2, 0, 3, 0, 0, 3, 0, 1, 0, 3, 1, 3, 3, 3, 2, 2  },
{ 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 2, 1, 3, 0, 1, 0, 3, 0, 1, 2, 3, 0, 3, 2, 0, 2, 0, 0, 0, 3, 0, 3, 1, 0, 3, 3, 1, 0, 3, 2, 2, 0  },
{ 2, 2, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 3, 2, 2, 0, 2, 3, 0, 0, 0, 3, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 3, 1, 3, 3, 3  },
{ 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 0, 2, 1, 0, 0, 3, 0, 0, 0, 3, 1, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 2, 1, 0, 3, 2, 2, 0, 0, 2, 3, 0, 0, 3, 1, 0, 0, 1, 0, 3, 3, 1, 1, 0, 3, 1, 1, 2, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 2, 3, 0, 0, 3, 1, 0, 1, 2, 0, 3, 1, 1, 1, 3, 0, 3, 2, 0, 3, 0, 0, 0, 1  },
{ 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 3, 1, 2, 0, 0, 0, 1, 2, 0, 0, 0, 1, 3, 1, 2, 1, 3, 2, 0, 1, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 0, 2, 3, 0, 0, 3, 3, 2, 0, 1, 0, 3, 3, 1, 1, 3, 0, 3, 2, 1, 0, 0, 0, 0, 1  },
{ 0, 2, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 2, 0, 0, 0, 3, 2, 3, 0, 2, 0, 3, 3, 0, 1, 2, 0, 1, 2, 0, 0, 3, 0, 0, 1  },
{ 3, 0, 2, 0, 2, 0, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 2, 3, 0, 2, 1, 0, 3, 0, 1, 2, 2, 1, 2, 3, 0, 3, 2, 1, 2  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 3, 1, 2, 1, 2, 0, 1, 3, 0, 0, 0, 0, 3  },
{ 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 1, 0, 3, 1, 2, 0, 0, 0, 3, 0, 2, 1, 0, 0, 2, 2, 0, 0, 0, 0, 3  },
{ 2, 1, 2, 0, 3, 3, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 2, 1, 0, 0, 0, 0, 3, 1, 2, 3, 0, 1, 3, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 0, 0, 2, 3, 3, 0, 1, 2, 3, 0, 2, 3, 0, 0, 3, 0, 1  },
{ 3, 0, 1, 0, 0, 2, 1, 0, 0, 3, 2, 2, 1, 0, 0, 3, 1, 1, 3, 0, 0, 2, 0, 3, 0, 0, 0, 0, 2, 3, 3, 2, 1, 1, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 3, 1, 3, 0, 0, 1, 0, 2, 2, 0, 0, 3, 0, 1, 3, 0, 0, 1, 0, 3, 0, 2, 0, 0, 1, 3, 1, 2, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 3, 3, 0, 2, 0, 0, 3, 1, 3, 2, 0, 1, 3, 0, 1, 1, 0, 3, 2, 0, 1, 3, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 2, 2, 3, 2, 0, 1, 0, 1, 2, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 0, 3, 2, 2, 0, 0, 0, 3, 3, 1, 0, 1, 2, 1, 0, 2, 0, 0, 3, 1, 3, 0, 3, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 2, 2, 1, 0, 0, 2, 1, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 1, 1, 0, 2, 2, 0, 2, 3, 3, 0, 1, 0, 0, 3, 3, 0, 0, 0, 2, 0  },
{ 0, 1, 1, 2, 0, 3, 0, 0, 0, 3, 3, 2, 3, 0, 1, 0, 1, 0, 1, 2, 3, 0, 0, 2, 0, 3, 0, 0, 0, 3, 2, 0, 0, 3, 1, 0, 0, 2, 2, 0, 0, 0  },
{ 1, 0, 3, 2, 2, 1, 0, 0, 1, 0, 3, 1, 3, 0, 0, 0, 1, 3, 0, 3, 1, 1, 0, 2, 2, 2, 2, 0, 0, 3, 3, 0, 2, 2, 0, 0, 2, 1, 0, 2, 1, 3  },
{ 3, 2, 0, 2, 1, 3, 0, 3, 3, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 2, 0, 1, 3, 0, 0, 3, 3, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 2, 0, 0, 0, 2, 0, 0, 1, 2, 3, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 2, 3, 1, 3, 3, 3, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 1  },
{ 1, 2, 3, 2, 0, 0, 3, 0, 0, 0, 2, 1, 0, 2, 3, 2, 0, 2, 0, 3, 0, 3, 1, 0, 2, 1, 2, 0, 3, 0, 3, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 0, 0, 3, 0, 3, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 1, 2, 3, 1, 0, 3, 3, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 1  },
{ 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 2, 3, 2, 3, 0, 0, 1, 3, 0, 3, 1, 0, 2, 0, 0, 0, 0  },
{ 1, 2, 3, 2, 0, 3, 0, 1, 0, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0, 3, 0, 3, 2, 1, 0, 2, 1, 0, 3, 0, 3, 2, 3, 0, 2, 1, 0, 3, 0, 0, 0, 0  },
{ 2, 2, 3, 0, 0, 1, 3, 0, 0, 3, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 3, 3, 0, 3, 0, 3, 1, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 1, 0, 0, 2, 3, 0, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 0, 0, 2, 0, 3, 0, 0, 2, 0, 3, 1, 0, 2, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 2, 0, 3, 3, 0, 2, 3, 1, 2, 0, 1, 3, 3, 0, 1  },
{ 0, 0, 3, 2, 0, 2, 3, 0, 1, 0, 2, 0, 0, 1, 3, 2, 0, 0, 0, 3, 3, 0, 0, 1, 1, 0, 1, 0, 0, 1, 3, 3, 0, 1, 1, 0, 3, 2, 3, 3, 1, 2  },
{ 3, 2, 3, 0, 3, 2, 0, 0, 3, 2, 1, 0, 0, 1, 0, 2, 1, 1, 0, 2, 3, 0, 0, 1, 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 3, 1, 0, 1, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 2, 0, 2, 0, 3, 0, 3, 1, 3, 3, 1, 1, 1, 3, 3, 0, 0  },
{ 0, 0, 1, 2, 0, 0, 0, 0, 3, 3, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, 3, 2, 0, 0, 1, 0, 0, 3, 1  },
{ 0, 0, 0, 3, 1, 0, 0, 0, 2, 1, 3, 0, 3, 2, 0, 1, 0, 0, 0, 1, 1, 0, 2, 0, 3, 0, 1, 1, 3, 0, 0, 1, 1, 3, 3, 0, 0, 2, 0, 0, 0, 1  },
{ 0, 0, 3, 2, 0, 0, 1, 0, 0, 1, 0, 2, 3, 2, 3, 2, 1, 2, 0, 3, 0, 0, 3, 2, 0, 2, 1, 0, 0, 1, 3, 0, 0, 2, 1, 0, 1, 3, 2, 3, 0, 1  },
{ 0, 0, 0, 3, 0, 1, 1, 2, 0, 1, 0, 2, 3, 2, 1, 0, 3, 2, 0, 3, 3, 0, 2, 0, 2, 2, 0, 1, 0, 0, 0, 3, 3, 3, 1, 1, 0, 1, 3, 0, 3, 1  },
{ 0, 0, 0, 3, 3, 2, 0, 1, 0, 2, 3, 0, 0, 1, 2, 0, 0, 0, 0, 1, 3, 0, 2, 0, 1, 1, 0, 2, 3, 0, 0, 3, 1, 2, 3, 1, 1, 0, 3, 0, 2, 1  },
{ 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 2, 1, 0, 0, 3, 3, 0, 1, 0, 1, 2, 0, 1, 0, 3, 0, 1, 1, 3, 0, 0, 0, 3, 0, 0, 2, 1  },
{ 0, 0, 0, 1, 0, 3, 2, 1, 0, 0, 2, 3, 3, 0, 0, 1, 2, 0, 1, 3, 2, 3, 0, 1, 2, 2, 0, 0, 0, 1, 0, 3, 0, 2, 0, 1, 2, 3, 1, 3, 3, 2  },
{ 0, 0, 0, 2, 0, 0, 3, 2, 0, 0, 1, 2, 3, 0, 0, 2, 0, 2, 1, 1, 3, 2, 1, 0, 0, 2, 0, 1, 0, 1, 3, 0, 0, 3, 1, 3, 1, 1, 0, 3, 2, 1  },
{ 2, 1, 0, 2, 3, 1, 0, 3, 0, 3, 1, 2, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 3, 2, 0, 2, 0, 1, 0, 3, 1, 0, 3, 1, 0, 3, 1, 3, 0, 1, 2, 1  },
{ 3, 0, 0, 2, 3, 0, 0, 0, 3, 0, 2, 0, 3, 1, 0, 0, 0, 3, 1, 2, 0, 3, 2, 0, 3, 1, 0, 1, 0, 3, 0, 1, 2, 1, 3, 0, 0, 3, 0, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 3, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 3, 3, 0, 0, 3, 0, 2, 2, 0, 1, 0, 0, 3  },
{ 0, 3, 0, 2, 0, 0, 0, 1, 1, 0, 2, 1, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 3, 1, 0, 2, 0, 1, 0, 3, 1, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 3, 3, 0, 0, 3, 2, 0, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 1, 3, 1, 3, 0, 0, 1, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 3, 3, 1, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 3, 0, 0, 1, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 1, 2, 3, 0, 3, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 1, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 3, 1, 0, 0, 1, 2, 0, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1  },
{ 0, 2, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 1, 0, 0, 0, 3, 1, 0, 2, 3, 0, 0, 0, 0, 1, 3, 0, 3, 1, 2, 0, 0, 0, 0, 1  },
{ 1, 2, 2, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 3, 1, 0, 0, 0, 2, 2, 3, 0, 1, 3, 0, 3, 1, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 2, 0, 2, 0, 3, 2, 0, 0, 1, 3, 0, 3, 1, 0, 1, 2, 0, 2, 1, 3, 2, 3, 0, 2, 3, 0, 0  },
{ 3, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 2, 3, 1, 2, 0, 0, 0, 1, 3, 0, 0, 0, 0, 3, 0, 2, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 3, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 0, 2, 3, 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 2, 0, 2, 1, 0, 1, 3, 0, 0, 0, 3, 3, 1, 0, 3, 0, 0, 3, 0, 1, 2, 1, 3, 0, 2, 2, 1, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 3, 0, 2, 1, 3, 3, 0, 1, 2, 3, 0, 0, 2, 1, 0, 1, 0, 0  },
{ 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 2, 3, 0, 2, 1, 1, 2, 2, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 3, 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 3, 0, 1, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 0, 0, 0, 3, 2, 3, 2, 0, 1, 0, 0, 1, 2, 3, 3, 0, 1, 3, 3, 3, 0, 2, 0, 2, 3, 1, 2, 3, 0, 1, 1, 0, 0, 3, 1, 0  },
{ 2, 3, 0, 0, 0, 0, 2, 0, 0, 1, 1, 1, 1, 2, 0, 0, 0, 0, 1, 3, 0, 1, 0, 2, 3, 1, 0, 2, 0, 3, 0, 0, 1, 3, 0, 1, 2, 2, 0, 0, 0, 0  },
{ 3, 2, 2, 2, 2, 0, 3, 0, 1, 1, 1, 1, 2, 0, 0, 3, 0, 3, 2, 0, 2, 1, 0, 0, 0, 2, 2, 0, 2, 3, 3, 2, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0  },
{ 0, 3, 1, 0, 1, 0, 2, 0, 0, 1, 1, 3, 3, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 3, 0, 0, 2, 1, 2, 1, 3, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0  },
{ 0, 2, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 2, 0, 0, 2, 0, 2, 2, 2, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 1, 1, 3, 0, 3, 3, 3, 1, 1, 0, 0, 0, 0, 0, 0, 3  },
{ 3, 2, 0, 2, 1, 3, 0, 3, 2, 2, 3, 1, 0, 1, 0, 2, 0, 3, 0, 3, 0, 0, 2, 0, 1, 1, 1, 1, 3, 0, 3, 3, 3, 1, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 2, 3, 0, 0, 2, 3, 0, 2, 0, 2, 3, 1, 0, 3, 0, 2, 1, 0, 3, 0, 0, 0, 1, 0, 0, 1, 1, 1, 3, 0, 0, 2, 3, 1, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 2, 3, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 3, 1, 3, 0, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 3, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 3, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 2, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 3, 2, 0, 1, 0, 1, 3, 0, 2, 0, 0, 1, 3, 2, 0, 2, 0, 0, 0, 3, 0, 2, 0, 1, 0, 1, 3, 0, 3, 0, 3, 1, 3, 2, 3, 3, 0, 0, 0, 1  },
{ 0, 0, 0, 1, 0, 2, 3, 0, 3, 2, 3, 0, 0, 2, 0, 2, 1, 1, 0, 0, 3, 0, 3, 1, 0, 2, 3, 1, 3, 0, 0, 3, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 3, 0, 3, 0, 3, 0, 3, 1, 0, 2, 0, 0, 0, 0  },
{ 2, 2, 0, 3, 3, 3, 0, 0, 1, 2, 0, 0, 0, 1, 0, 2, 3, 2, 3, 0, 3, 0, 3, 1, 3, 0, 2, 2, 0, 0, 0, 2, 2, 3, 1, 1, 0, 2, 0, 3, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 3, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 3, 0, 2, 0, 1, 1, 0, 0, 0, 3, 1, 0, 3, 0, 1, 0, 0, 1, 3, 0, 1  },
{ 3, 1, 3, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 2, 0, 2, 3, 0, 0, 3, 3, 0, 3, 1, 0, 1, 3, 3, 0, 0  },
{ 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 2, 3, 0, 0, 3, 2, 3, 3, 1, 0, 0, 1, 3, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 3, 0, 3, 3, 1, 1, 1, 0, 0, 0, 1  },
{ 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 1, 2, 1, 0, 0, 1, 1, 3, 3, 2, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 1, 0, 3, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 1, 1, 0, 1, 3, 3, 0, 0, 0, 1, 2, 3, 1, 3, 0, 1  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 3, 2, 0, 2, 1, 3, 0, 3, 0, 1, 1, 2, 2, 0, 1, 0, 0, 0, 3, 0, 3, 3, 1, 0, 1, 3, 0, 2, 1  },
{ 0, 0, 0, 2, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 2, 3, 0, 0, 3, 2, 3, 3, 1, 0, 2, 3, 0, 2, 1  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 3, 0, 0, 0, 3, 2, 0, 1, 0, 3, 0, 1, 1, 3, 1, 0, 0, 0, 2, 0, 2, 1  },
{ 1, 0, 0, 3, 2, 3, 0, 2, 2, 2, 2, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 2, 2, 0, 0, 2, 0, 0, 2, 0  },
{ 0, 0, 0, 2, 0, 0, 3, 1, 2, 2, 0, 3, 3, 0, 1, 2, 2, 2, 0, 0, 1, 3, 0, 0, 2, 0, 1, 0, 0, 2, 0, 3, 0, 2, 1, 0, 1, 3, 0, 3, 3, 2  },
{ 3, 0, 0, 2, 0, 1, 3, 2, 1, 3, 0, 0, 3, 1, 0, 3, 0, 2, 0, 2, 1, 3, 0, 1, 2, 0, 1, 2, 0, 0, 3, 0, 0, 3, 0, 3, 2, 3, 0, 3, 2, 1  },
{ 2, 3, 0, 1, 2, 2, 1, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 2, 1, 0, 3, 2, 0, 1, 2, 1, 0, 1, 0  },
{ 0, 2, 0, 1, 1, 2, 0, 0, 0, 0, 3, 1, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 3, 0, 0, 2, 3, 1, 3, 0, 3, 2, 1, 1, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 1, 0, 0, 0, 0, 0, 0, 1, 3, 2, 1, 0, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 3, 2, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 3, 1, 3, 0, 3, 0, 0, 0, 3, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 3, 1, 0, 0, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 3, 1, 1, 0, 2, 1, 3, 0, 1, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 3, 1, 0, 1, 2, 0, 0, 3, 0, 2, 0, 0, 1, 0, 2, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 3, 0, 1, 3, 2, 2, 3, 0, 0, 1, 1, 3, 0, 3, 2, 0, 0, 3, 3, 3, 0, 1, 0, 0, 3, 2, 1, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 3, 3, 3, 0, 2, 2, 0, 0, 1, 0, 3, 1, 1, 2, 3, 0, 3, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 1, 2, 3, 2, 0, 0, 0, 3, 3, 1, 2, 1, 1, 2, 3, 0, 1, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0  },
{ 3, 1, 3, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 2, 0, 1, 1, 2, 3, 0, 3, 0, 0, 3, 1, 3, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 3, 0, 0  },
{ 0, 0, 2, 0, 2, 2, 0, 3, 0, 0, 3, 0, 0, 3, 0, 2, 2, 0, 1, 0, 2, 0, 3, 0, 3, 0, 1, 2, 0, 0, 0, 3, 2, 3, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 1, 2, 2, 0, 3, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 3, 0, 1, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 3, 1, 0, 3, 0, 2, 3, 0, 2, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 3, 0, 2, 1, 1, 1, 0, 0, 0, 3, 0, 0, 2  },
{ 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 3, 3, 0, 0, 0, 2, 3, 3, 0, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0  },
{ 1, 0, 2, 0, 1, 3, 0, 0, 1, 2, 0, 1, 0, 0, 0, 3, 3, 2, 1, 3, 0, 1, 2, 2, 0, 0, 1, 3, 1, 2, 0, 2, 3, 1, 0, 0, 3, 0, 0, 2, 0, 2  },
{ 1, 2, 1, 0, 1, 0, 0, 3, 1, 0, 0, 1, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 2, 1, 3, 0, 0, 0, 3, 0, 1, 1, 2, 0, 0, 3, 3, 1, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 1, 1, 1, 1, 0, 0, 3, 1, 1, 1, 0, 0, 1, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 2  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 1, 0, 2, 0, 1, 1, 3, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 3  },
{ 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 2, 1, 1, 0, 0, 3, 1, 0, 3, 1, 0, 0, 0, 0, 3, 3, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 1, 2, 0, 0, 0, 1, 1, 0, 2, 0, 1, 1, 3, 2, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 3  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 3, 0, 1, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 3, 0, 2, 0, 0, 0, 1, 0, 1, 3, 3, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 0, 2, 0, 1, 0, 1, 0, 0, 3, 0, 3, 1, 1, 1, 3, 3, 1, 3, 1, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 2, 3, 1, 0, 1, 1, 1, 0, 0, 3, 0, 3, 1, 3, 1, 0, 3, 0, 0, 1, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 3, 1, 0, 0, 0, 3, 3, 3, 1, 0, 0, 1, 0, 3, 0, 0  },
{ 0, 0, 3, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 2, 3, 3, 1, 3, 2, 2, 3, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 2, 1, 0, 3, 0, 0, 3, 1, 1, 3, 3, 1, 3, 3, 3  },
{ 0, 0, 0, 1, 0, 0, 2, 0, 3, 1, 0, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 3, 1, 1, 0, 1, 3, 0, 1  },
{ 0, 0, 1, 1, 3, 1, 0, 0, 3, 1, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 3, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0, 3, 3, 3, 3, 1, 2, 0, 1, 3, 0, 1  },
{ 1, 3, 3, 3, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 2, 3, 3, 1, 1, 2, 0, 0, 0, 0  },
{ 3, 3, 2, 1, 0, 0, 0, 3, 1, 0, 2, 2, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 1, 2, 3, 3, 2, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 1, 3, 0, 2, 0, 1, 3, 1, 0, 0, 3, 3, 0, 0, 0, 1, 3, 0, 1, 3, 1, 2  },
{ 0, 0, 3, 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 3, 0, 0, 0, 3, 3, 3, 1, 0, 1, 1, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 3, 3, 0, 0, 0, 3, 2, 3, 1, 0, 1, 0, 0, 3, 1  },
{ 3, 1, 0, 0, 0, 2, 1, 1, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 3, 0, 0, 3, 2, 3, 2, 0, 0, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 0, 3, 0, 2, 1, 2, 1, 0, 1, 3, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 2, 0, 1, 0, 1, 1, 3, 2, 3, 1, 2  },
{ 0, 0, 3, 2, 0, 1, 3, 1, 3, 1, 0, 0, 3, 0, 1, 3, 0, 3, 0, 0, 3, 1, 0, 1, 2, 0, 1, 0, 0, 1, 0, 3, 0, 3, 3, 3, 2, 0, 3, 0, 2, 1  },
{ 0, 0, 3, 1, 0, 0, 3, 1, 1, 1, 2, 1, 0, 0, 2, 1, 0, 1, 2, 0, 1, 0, 0, 2, 0, 3, 0, 1, 3, 0, 0, 3, 1, 3, 3, 3, 0, 0, 1, 0, 1, 0  },
{ 0, 3, 1, 0, 2, 1, 3, 0, 2, 1, 2, 2, 1, 0, 1, 0, 0, 1, 2, 3, 3, 0, 2, 2, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 0, 2, 2, 0, 0, 1, 0, 2  },
{ 0, 1, 3, 1, 3, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 0, 0, 3, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 1, 0, 0, 0, 0, 2  },
{ 2, 3, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 0, 1, 3, 1, 0, 0, 0, 0, 0, 3, 2, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 3, 0, 3, 1, 3, 0, 2, 0, 0, 0  },
{ 2, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 3, 3, 0, 1, 0, 3, 3, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0, 1, 3, 1, 2, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 2, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 3, 1, 1, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 3, 2, 0, 1, 0, 0, 0, 2, 3, 3, 0, 2, 0, 0, 0, 1, 0, 0  },
{ 3, 1, 1, 0, 1, 3, 2, 0, 0, 2, 0, 0, 0, 0, 1, 3, 1, 2, 3, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 2, 3, 1, 2, 0  },
{ 0, 2, 0, 0, 1, 1, 0, 0, 3, 2, 0, 0, 2, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 3, 0, 0, 2, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 1, 3, 1, 0, 2, 0, 2, 1, 1, 0, 0, 1, 0, 3, 0, 0, 0, 3, 0, 3, 3, 2, 2, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 1, 1, 3, 2, 2, 0, 3, 0, 0, 3, 3, 0, 3, 3, 3, 3, 2, 1, 0, 2, 3, 2, 1, 0, 3, 0, 0, 2, 0, 2, 0, 1, 0, 3, 0, 0, 3, 0  },
{ 2, 1, 1, 1, 2, 2, 0, 0, 3, 1, 2, 2, 2, 0, 1, 3, 1, 0, 2, 1, 1, 0, 1, 3, 0, 0, 1, 1, 0, 1, 2, 2, 1, 2, 0, 0, 1, 0, 0, 2, 0, 0  },
{ 3, 0, 0, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 3, 1, 1, 2, 2, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 3, 0, 3, 2  },
{ 1, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 2, 2, 2, 3, 1, 1, 3, 1, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 0, 2, 0, 3, 0, 0, 2  },
{ 2, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 2, 2, 1, 0, 0, 0, 3, 0, 1, 0, 0, 1, 0, 3, 1, 3, 2, 0, 3  },
{ 0, 1, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 3  },
{ 0, 0, 0, 1, 1, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3  },
{ 0, 0, 0, 3, 0, 0, 1, 3, 3, 1, 0, 0, 1, 1, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3  },
{ 0, 0, 3, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 3  },
{ 0, 0, 1, 0, 3, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 3, 3, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 3, 0, 0, 0, 3  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 1, 0, 0, 1, 2  },
{ 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 2, 1, 0, 0, 0, 0, 3, 0, 2, 1, 3, 2, 3, 3, 1, 3, 1, 3  },
{ 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 3, 0, 2, 3, 1, 2, 0, 3, 0, 0, 3, 0, 0, 1, 1, 2, 3, 1, 0, 0, 3, 0, 3, 1, 3, 1, 0, 3, 0, 0, 1, 2  },
{ 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 3, 3, 0, 0, 3, 1, 1, 3, 2, 0, 2, 1, 0, 0, 2, 0, 3, 1, 3, 1, 1, 0, 0, 3, 1, 2  },
{ 0, 3, 1, 0, 3, 3, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 3, 0, 1, 1, 0, 0, 3, 3, 3, 2, 1, 2, 0, 3, 1, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 2, 0, 3, 1, 3, 1, 3, 0, 1, 3, 1, 2  },
{ 0, 0, 1, 1, 2, 0, 0, 3, 1, 2, 0, 0, 0, 1, 3, 1, 1, 0, 3, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 2, 3, 2, 3, 1, 2  },
{ 0, 0, 2, 3, 2, 0, 2, 2, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 3, 1, 2, 1, 0, 2, 1, 0, 0, 0, 0, 3, 3, 3, 1, 0, 2, 2, 0, 1, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 1, 1, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 1, 3, 3, 0, 0, 2, 2, 3, 0, 1, 2, 0, 0, 1, 0, 0  },
{ 0, 0, 3, 1, 0, 1, 3, 0, 0, 0, 2, 0, 0, 3, 0, 1, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 1, 2, 0, 3, 3, 0, 0, 0, 2, 3, 0, 1, 3, 1, 2  },
{ 0, 0, 0, 0, 0, 3, 2, 1, 3, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 0, 3, 1, 0, 0, 0, 3, 0, 0, 1, 3, 3, 0, 1, 3, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 3, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 3, 3, 0, 3, 1, 0, 0, 3, 1  },
{ 0, 0, 0, 0, 0, 3, 0, 2, 0, 2, 3, 0, 0, 3, 0, 2, 1, 1, 0, 0, 0, 2, 0, 1, 0, 2, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 2, 3, 1, 3, 3, 2  },
{ 0, 3, 2, 2, 1, 3, 3, 1, 0, 1, 3, 3, 0, 0, 1, 2, 1, 0, 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 0, 0, 0, 3, 1, 1, 3, 0, 1, 3, 0, 1, 0, 0  },
{ 0, 0, 0, 1, 0, 2, 0, 2, 3, 1, 3, 1, 2, 1, 0, 0, 1, 2, 1, 2, 0, 0, 2, 0, 0, 1, 3, 0, 2, 0, 0, 1, 3, 1, 3, 1, 0, 1, 0, 0, 1, 0  },
{ 3, 0, 1, 3, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 3, 0, 3  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3  },
{ 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 3, 1, 1, 0, 0, 0, 3, 3, 3, 1, 3, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 0, 1, 0, 1, 0, 1, 3  },
{ 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 3, 0, 0, 0, 0, 3, 3, 1, 1, 3, 1, 0, 0, 0, 0, 3  },
{ 1, 0, 1, 0, 3, 0, 0, 0, 3, 1, 0, 0, 1, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 1, 2, 2, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 1, 0, 0, 0, 3, 1, 0, 3, 1, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 1, 2, 1, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 2, 1, 0, 0, 1, 0, 0, 1, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 2  },
{ 0, 3, 0, 0, 3, 0, 0, 0, 1, 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0  },
{ 2, 1, 2, 3, 2, 0, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 2, 3, 0, 0, 1, 0, 0, 3, 1, 3, 3, 0, 0, 0, 0, 2, 2, 0, 0, 1, 1, 0, 2, 0, 0, 0  },
{ 0, 0, 3, 3, 0, 1, 1, 1, 0, 1, 0, 3, 1, 0, 1, 0, 3, 1, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 2, 2, 1, 0, 3, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 2, 3, 2, 1, 2, 2, 3, 0, 2, 1, 0, 0, 1, 1, 1, 3, 2, 0, 0, 0  },
{ 3, 2, 0, 0, 2, 0, 2, 0, 1, 1, 3, 2, 0, 0, 0, 1, 2, 3, 0, 3, 3, 0, 3, 3, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 0, 2, 0, 2, 0, 1, 0, 0  },
{ 3, 0, 0, 2, 0, 3, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 1, 0, 1, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 1, 1, 0, 3, 0, 0, 0  },
{ 3, 2, 2, 1, 0, 1, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 1, 0, 0, 1, 2, 0, 0, 0, 1, 0, 2, 2, 0, 1, 2, 0, 0, 0, 1, 0, 2, 0, 0  },
{ 0, 0, 0, 3, 3, 0, 0, 3, 2, 1, 3, 0, 1, 2, 0, 0, 2, 0, 3, 0, 1, 0, 2, 3, 1, 1, 1, 2, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 1, 1, 0, 0, 0, 2, 2, 0, 2, 0, 0, 1, 2, 3, 2, 3, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 3, 2, 2  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 2, 0  },
{ 0, 0, 0, 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 3, 1, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3  },
{ 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 3, 1, 2, 0, 0, 0, 3  },
{ 0, 0, 0, 0, 3, 0, 2, 0, 3, 0, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 3, 1, 2, 3, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 1, 0, 0, 1, 3  },
{ 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 3, 3, 1, 0, 0, 2  },
{ 0, 2, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 3, 1, 3, 2, 1, 0, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 3, 1, 3, 1, 2  },
{ 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 1, 3, 0, 1, 0, 1, 0, 1, 2  },
{ 2, 1, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 3, 0, 3, 0, 0, 0, 0, 2, 0, 3, 3, 1, 0, 0, 1, 1, 0, 0, 0  },
{ 0, 0, 1, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 2, 1, 0, 0, 3, 0, 0, 0, 3, 1, 1, 3, 1, 0, 0, 2  },
{ 1, 0, 0, 3, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 0, 0, 3, 0, 3, 1, 3, 1, 1, 0, 1, 3, 1, 2  },
{ 2, 1, 0, 0, 2, 0, 3, 2, 2, 1, 3, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 2, 0, 3, 1, 2  },
{ 3, 2, 1, 3, 0, 2, 1, 3, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 1, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 0, 3, 2, 0, 1, 1, 0, 3, 0, 0, 1, 0, 2, 0, 3, 0, 0, 0, 0, 3, 0, 3, 0, 1, 0, 1, 3, 0, 2  },
{ 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 3, 3, 0, 2, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 1, 1, 3, 0, 0  },
{ 2, 2, 0, 3, 2, 0, 0, 2, 2, 0, 0, 0, 0, 1, 3, 2, 1, 0, 3, 0, 0, 1, 0, 0, 1, 3, 2, 1, 0, 0, 0, 0, 2, 3, 3, 0, 0, 0, 1, 2, 0, 0  },
{ 3, 2, 2, 3, 0, 3, 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 1, 1, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 3, 3, 0, 2, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 3, 0, 2, 0, 0, 0, 0, 0, 3, 0, 2, 1, 0, 0, 0, 0, 3, 0, 1, 3, 2, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 1, 3, 1, 3, 2  },
{ 0, 0, 0, 1, 3, 3, 1, 1, 1, 0, 2, 0, 1, 3, 0, 2, 1, 0, 0, 1, 1, 2, 0, 3, 0, 2, 0, 2, 1, 0, 0, 2, 1, 1, 0, 3, 3, 0, 1, 2, 1, 0  },
{ 1, 0, 0, 1, 0, 0, 3, 0, 2, 0, 1, 2, 0, 0, 3, 0, 2, 0, 0, 2, 0, 2, 0, 1, 3, 1, 1, 0, 0, 0, 2, 1, 0, 0, 3, 3, 3, 2, 1, 0, 1, 0  },
{ 0, 1, 0, 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 1, 3, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 3, 0, 1, 0, 0, 0, 3  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 3, 1, 3, 3  },
{ 0, 1, 1, 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 1, 0, 1, 3  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 1, 0, 0, 3, 0, 0, 0, 3  },
{ 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0  },
{ 3, 2, 2, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 3, 3, 0, 0, 0, 0  },
{ 2, 3, 3, 3, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 3, 1, 1, 1, 0, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 3, 0, 3, 3, 1, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 3, 1, 0, 0  },
{ 3, 0, 0, 0, 0, 2, 0, 0, 1, 3, 1, 3, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 2, 3, 0, 0, 3, 0, 1, 0, 2, 1, 0, 0, 0, 1, 3, 0, 3, 0, 0, 3, 1, 2, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 2, 3, 0, 0, 0, 0  },
{ 0, 0, 3, 3, 1, 0, 3, 1, 0, 2, 0, 0, 3, 0, 1, 1, 2, 3, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 1, 1, 1  },
{ 0, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 3, 0, 3, 3, 0, 2, 3, 3, 1, 2, 2, 0, 0, 0, 1, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0  },
{ 2, 1, 1, 0, 2, 1, 1, 3, 0, 3, 3, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 3, 3, 3, 2, 3, 0, 2, 0, 0, 0, 3, 0, 1, 1, 1, 1, 2, 0, 3, 0  },
{ 1, 3, 1, 0, 3, 2, 1, 0, 1, 0, 1, 1, 0, 1, 1, 3, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 1, 2, 1, 0, 0, 0, 0, 3, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 2, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 3, 0, 1, 3, 1, 2, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 2, 1, 3, 2, 3  },
{ 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 1, 3, 0, 0, 0, 0, 0, 0, 3, 1, 3, 3, 0, 0, 3, 1, 3, 3  },
{ 0, 0, 0, 1, 1, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 3, 2, 0, 3, 3, 0, 0, 0, 0, 0, 3, 1, 3, 1, 3, 1, 3, 1, 3, 3  },
{ 0, 0, 1, 0, 0, 0, 0, 2, 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 1, 3, 1, 1, 3, 0, 0, 0, 3, 0, 3, 2, 1, 1, 1, 0, 0, 1, 3, 3  },
{ 1, 1, 0, 1, 0, 2, 3, 0, 1, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 3, 0, 0, 0  },
{ 2, 1, 0, 1, 3, 0, 2, 0, 0, 2, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 3, 3, 0, 1, 3, 1, 3, 1, 2  },
{ 2, 3, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 0, 1, 0, 3, 0, 0, 0, 3, 2, 1, 1, 0, 0, 0, 1, 0, 2, 1, 2, 0, 2, 1, 1, 0, 2  },
{ 0, 0, 1, 0, 0, 1, 1, 2, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 1, 1, 0, 0, 0, 0, 2, 2, 1, 2, 0, 2, 1, 1, 0, 0  },
{ 0, 3, 0, 0, 3, 1, 1, 1, 3, 0, 0, 0, 3, 0, 3, 0, 1, 0, 3, 0, 0, 2, 2, 0, 2, 0, 0, 0, 2, 0, 0, 3, 3, 2, 0, 1, 0, 1, 3, 0, 0, 0  },
{ 1, 3, 1, 2, 0, 3, 0, 3, 1, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 2, 2, 0, 2, 0, 0, 0, 1, 0, 0, 2, 3, 2, 0, 0, 0, 2, 1, 0, 1, 0  },
{ 0, 1, 1, 0, 1, 0, 2, 1, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 3, 2, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0, 1, 0  },
{ 0, 1, 3, 3, 3, 2, 3, 1, 3, 3, 3, 0, 2, 1, 0, 1, 2, 0, 0, 3, 1, 0, 2, 2, 3, 0, 1, 1, 2, 0, 0, 0, 1, 1, 3, 2, 2, 1, 3, 3, 0, 2  },
{ 1, 0, 0, 2, 0, 1, 3, 1, 2, 3, 1, 0, 1, 2, 1, 3, 1, 0, 2, 0, 1, 1, 3, 3, 2, 0, 0, 0, 0, 0, 0, 0, 1, 2, 2, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 0, 2, 0, 1, 3, 0, 0, 1, 0, 2, 0, 0, 0, 3, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 3, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 3, 3, 3, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 1, 1, 0, 1, 2, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 0, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 1, 1, 0, 0, 0, 0, 3, 0, 3, 3, 1, 0, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 3, 0, 2, 0, 3  },
{ 2, 1, 1, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 1, 0, 1, 1, 1, 0, 2, 0  },
{ 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 3, 0, 2, 1, 0, 0, 0, 0, 2, 0, 1, 3, 0, 2, 0, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 2, 0, 0, 2  },
{ 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 2, 2, 1, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 3, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 3, 1, 0, 0, 0, 0  },
{ 3, 1, 1, 3, 0, 0, 0, 3, 2, 1, 1, 3, 0, 3, 0, 3, 0, 1, 1, 0, 1, 0, 0, 3, 1, 3, 0, 0, 0, 0, 3, 0, 3, 3, 2, 1, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 1, 0, 0, 3, 0, 0, 1, 2, 0, 0, 3, 1, 0, 0, 1, 1, 0, 1, 3, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 3, 3, 1, 3, 1, 0, 1, 2, 0, 0, 3, 1, 1, 3, 0, 2, 1, 2, 1, 0, 0, 1, 0, 3, 0, 3, 3, 1, 1, 3, 0, 0, 3, 3, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 3, 1, 3, 0, 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 3, 0, 1, 2, 3, 2, 1, 0, 2, 0  }
 }
 },
{ 
{ 
{ 2, 2, 1, 2, 2, 3, 3, 3, 2, 2, 1, 2, 3, 2, 3, 2, 2, 0, 3, 2, 1, 2, 2, 3, 2, 2, 3, 2, 2, 3, 2, 2, 1, 2, 3, 2, 2, 1, 3, 3, 0, 0  },
{ 2, 3, 1, 2, 2, 3, 3, 3, 2, 2, 3, 3, 3, 2, 3, 2, 2, 1, 3, 2, 2, 2, 2, 3, 2, 2, 0, 3, 2, 3, 1, 2, 2, 3, 3, 2, 2, 1, 3, 2, 2, 0  },
{ 2, 1, 1, 2, 2, 3, 3, 3, 2, 3, 3, 3, 3, 3, 3, 2, 1, 2, 0, 3, 2, 0, 1, 3, 3, 2, 1, 3, 3, 3, 1, 2, 2, 3, 3, 3, 2, 1, 1, 3, 2, 2  },
{ 2, 0, 3, 2, 1, 0, 3, 3, 1, 1, 2, 2, 2, 1, 0, 1, 2, 3, 1, 1, 3, 2, 0, 0, 3, 0, 2, 2, 0, 0, 2, 1, 1, 2, 3, 2, 1, 3, 1, 2, 3, 1  },
{ 2, 1, 0, 1, 1, 2, 3, 0, 1, 2, 2, 2, 0, 2, 1, 2, 3, 2, 2, 0, 3, 2, 2, 2, 3, 2, 2, 3, 0, 1, 2, 1, 1, 2, 3, 2, 1, 0, 1, 2, 1, 2  },
{ 2, 1, 2, 3, 3, 2, 3, 1, 2, 2, 3, 3, 3, 1, 0, 2, 2, 1, 3, 2, 2, 2, 2, 0, 3, 1, 3, 1, 3, 2, 3, 3, 1, 2, 3, 2, 2, 3, 3, 3, 2, 2  },
{ 2, 1, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 3, 0, 0, 0, 2  },
{ 0, 2, 1, 1, 1, 2, 3, 3, 1, 2, 1, 0, 2, 0, 2, 1, 2, 1, 2, 0, 3, 2, 3, 2, 3, 1, 2, 1, 2, 3, 1, 2, 1, 1, 3, 3, 2, 3, 2, 2, 2, 2  },
{ 1, 0, 1, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 2, 3, 1, 1, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0  },
{ 2, 0, 0, 1, 3, 1, 0, 3, 2, 2, 2, 2, 0, 3, 1, 3, 1, 1, 1, 2, 2, 0, 0, 3, 3, 2, 0, 2, 1, 3, 3, 2, 2, 2, 1, 1, 1, 3, 1, 3, 1, 1  },
{ 2, 3, 0, 2, 2, 3, 3, 3, 1, 2, 1, 3, 1, 3, 1, 2, 1, 1, 2, 2, 0, 2, 2, 3, 2, 2, 0, 3, 2, 0, 2, 2, 2, 3, 3, 2, 2, 1, 3, 1, 2, 3  },
{ 2, 3, 0, 2, 2, 3, 3, 1, 2, 2, 1, 3, 1, 3, 3, 2, 1, 1, 3, 2, 2, 2, 2, 3, 2, 2, 3, 1, 2, 0, 0, 2, 2, 3, 3, 2, 2, 0, 3, 2, 0, 3  },
{ 2, 0, 2, 2, 2, 1, 3, 3, 2, 3, 1, 3, 1, 3, 3, 2, 0, 1, 3, 2, 2, 2, 2, 3, 2, 2, 1, 3, 2, 0, 2, 2, 2, 2, 3, 2, 2, 1, 3, 1, 1, 3  },
{ 2, 3, 1, 2, 1, 2, 3, 0, 2, 3, 1, 3, 0, 3, 3, 2, 2, 3, 1, 2, 2, 2, 2, 3, 2, 3, 3, 1, 2, 2, 2, 2, 2, 3, 3, 2, 2, 3, 0, 2, 0, 2  },
{ 2, 2, 0, 2, 3, 1, 2, 3, 2, 3, 3, 1, 0, 3, 3, 2, 3, 3, 1, 3, 2, 1, 2, 3, 3, 2, 1, 1, 2, 2, 1, 2, 2, 3, 3, 3, 2, 0, 3, 1, 0, 1  },
{ 2, 3, 1, 2, 2, 3, 2, 3, 2, 2, 1, 3, 1, 0, 1, 2, 2, 1, 3, 2, 2, 2, 3, 3, 2, 2, 1, 1, 2, 0, 2, 2, 2, 2, 3, 2, 2, 1, 3, 3, 2, 3  },
{ 2, 3, 1, 2, 2, 1, 2, 3, 2, 2, 2, 0, 0, 3, 3, 2, 2, 1, 3, 1, 2, 2, 3, 3, 2, 2, 0, 3, 2, 2, 0, 2, 2, 2, 3, 3, 2, 1, 3, 2, 2, 1  },
{ 2, 3, 2, 2, 0, 0, 2, 2, 2, 3, 3, 0, 0, 3, 3, 2, 2, 2, 0, 3, 3, 0, 3, 1, 3, 2, 1, 1, 2, 2, 2, 1, 2, 1, 3, 3, 2, 0, 1, 2, 0, 2  },
{ 1, 3, 1, 2, 2, 3, 3, 3, 2, 2, 2, 3, 2, 0, 1, 2, 2, 3, 0, 2, 2, 3, 0, 3, 2, 2, 2, 3, 2, 2, 2, 1, 0, 2, 3, 1, 2, 3, 2, 3, 2, 3  },
{ 0, 0, 1, 2, 0, 2, 3, 3, 0, 3, 1, 2, 3, 0, 1, 1, 2, 3, 1, 0, 1, 2, 0, 3, 1, 2, 2, 1, 2, 0, 2, 0, 0, 1, 1, 3, 2, 3, 1, 3, 1, 3  },
{ 2, 0, 1, 1, 2, 2, 2, 0, 1, 1, 0, 2, 2, 1, 2, 2, 2, 1, 2, 2, 3, 2, 2, 3, 3, 2, 0, 1, 1, 2, 1, 2, 2, 2, 3, 2, 1, 3, 1, 3, 1, 2  },
{ 2, 0, 2, 2, 3, 1, 3, 3, 2, 3, 3, 1, 2, 0, 3, 2, 0, 1, 1, 3, 2, 0, 2, 3, 2, 3, 1, 3, 2, 2, 0, 0, 2, 1, 3, 2, 2, 1, 3, 3, 2, 0  },
{ 2, 0, 2, 2, 3, 2, 1, 3, 2, 3, 3, 1, 3, 0, 3, 3, 3, 2, 0, 3, 2, 2, 2, 3, 2, 0, 1, 1, 3, 2, 0, 0, 0, 1, 3, 2, 2, 3, 1, 3, 2, 2  },
{ 2, 3, 2, 2, 0, 1, 2, 3, 2, 3, 2, 3, 3, 3, 3, 2, 3, 3, 0, 3, 0, 0, 2, 3, 3, 2, 2, 1, 2, 0, 0, 2, 2, 1, 3, 3, 2, 0, 2, 1, 2, 3  },
{ 2, 0, 2, 2, 3, 2, 1, 3, 2, 3, 3, 2, 1, 3, 0, 3, 3, 2, 1, 3, 2, 0, 2, 3, 3, 0, 2, 1, 1, 1, 0, 2, 2, 0, 2, 2, 2, 3, 3, 0, 2, 2  },
{ 2, 2, 0, 1, 2, 1, 3, 3, 2, 0, 1, 3, 1, 2, 1, 0, 1, 1, 0, 2, 1, 2, 3, 1, 2, 2, 0, 1, 2, 0, 2, 0, 2, 3, 1, 2, 2, 3, 3, 3, 0, 2  },
{ 2, 2, 0, 1, 2, 1, 3, 3, 2, 0, 2, 1, 0, 3, 1, 0, 0, 1, 0, 2, 1, 0, 2, 3, 2, 2, 1, 1, 2, 0, 2, 0, 2, 1, 3, 1, 2, 0, 3, 3, 1, 0  },
{ 2, 3, 0, 2, 2, 3, 1, 2, 2, 2, 0, 1, 3, 2, 0, 1, 2, 3, 0, 2, 0, 2, 0, 3, 2, 2, 1, 3, 2, 2, 0, 2, 2, 0, 0, 2, 2, 3, 3, 3, 0, 2  },
{ 2, 2, 0, 1, 2, 2, 0, 0, 1, 2, 0, 0, 3, 1, 0, 2, 3, 3, 1, 0, 0, 2, 0, 3, 2, 2, 1, 3, 2, 2, 0, 0, 2, 2, 3, 1, 2, 3, 3, 3, 0, 0  },
{ 2, 2, 0, 1, 3, 2, 1, 3, 2, 2, 2, 1, 0, 1, 3, 2, 0, 2, 1, 3, 1, 1, 2, 1, 3, 2, 1, 0, 3, 0, 2, 0, 2, 0, 3, 2, 2, 2, 3, 2, 2, 1  },
{ 2, 2, 0, 3, 0, 1, 2, 3, 2, 2, 1, 0, 1, 2, 3, 2, 1, 3, 0, 2, 1, 1, 0, 3, 2, 2, 0, 3, 2, 0, 2, 2, 0, 3, 3, 2, 2, 3, 3, 2, 2, 0  },
{ 2, 3, 0, 2, 3, 2, 3, 2, 1, 2, 2, 1, 0, 3, 3, 2, 3, 3, 0, 3, 1, 3, 0, 3, 1, 2, 1, 3, 2, 0, 0, 0, 0, 1, 3, 0, 2, 3, 0, 3, 2, 2  },
{ 2, 1, 1, 2, 2, 0, 2, 3, 1, 3, 2, 1, 0, 1, 3, 2, 1, 2, 0, 3, 2, 1, 3, 3, 2, 2, 0, 0, 3, 0, 0, 2, 2, 2, 3, 3, 2, 3, 1, 0, 2, 2  },
{ 2, 2, 1, 1, 0, 1, 3, 0, 1, 3, 2, 2, 0, 2, 1, 2, 2, 2, 0, 3, 2, 0, 2, 2, 3, 3, 3, 1, 2, 0, 2, 2, 1, 0, 3, 2, 2, 3, 1, 3, 2, 1  },
{ 1, 3, 2, 2, 3, 2, 3, 2, 1, 3, 1, 0, 2, 3, 2, 2, 3, 1, 3, 3, 1, 1, 0, 3, 2, 2, 3, 1, 3, 0, 0, 0, 0, 3, 2, 0, 2, 3, 3, 2, 0, 2  },
{ 1, 2, 2, 2, 1, 0, 2, 0, 1, 2, 2, 1, 0, 2, 3, 1, 3, 1, 2, 3, 2, 2, 0, 2, 2, 2, 3, 1, 3, 0, 1, 0, 0, 2, 3, 3, 2, 3, 2, 0, 0, 1  },
{ 0, 0, 2, 3, 1, 2, 3, 3, 1, 3, 1, 1, 2, 3, 3, 3, 1, 3, 0, 3, 2, 1, 0, 3, 2, 2, 1, 3, 3, 0, 3, 0, 3, 2, 3, 0, 2, 3, 2, 3, 1, 1  },
{ 0, 2, 1, 1, 1, 2, 0, 1, 3, 2, 2, 0, 0, 3, 2, 2, 0, 1, 2, 3, 2, 2, 0, 3, 1, 2, 1, 3, 2, 0, 3, 0, 0, 1, 1, 3, 2, 3, 2, 3, 0, 1  },
{ 0, 2, 2, 2, 1, 0, 3, 3, 2, 2, 1, 1, 0, 1, 2, 1, 0, 1, 2, 2, 1, 2, 1, 3, 1, 1, 3, 1, 1, 2, 0, 0, 1, 1, 1, 3, 2, 3, 1, 3, 2, 2  },
{ 3, 3, 1, 3, 0, 3, 2, 3, 3, 3, 1, 2, 0, 1, 1, 3, 2, 3, 3, 0, 2, 2, 0, 3, 2, 2, 3, 1, 1, 3, 0, 3, 2, 0, 1, 2, 3, 2, 3, 3, 1, 2  },
{ 2, 2, 2, 2, 0, 1, 1, 3, 2, 2, 2, 1, 3, 2, 3, 3, 0, 1, 0, 2, 2, 0, 2, 3, 2, 1, 2, 3, 3, 0, 2, 0, 0, 1, 3, 2, 2, 0, 1, 0, 2, 2  },
{ 2, 2, 2, 2, 0, 3, 1, 3, 2, 3, 1, 2, 3, 1, 0, 3, 2, 2, 0, 0, 2, 1, 2, 3, 2, 0, 1, 1, 1, 0, 2, 1, 2, 2, 3, 1, 2, 3, 3, 0, 0, 2  },
{ 2, 1, 0, 1, 3, 2, 1, 3, 2, 2, 3, 2, 3, 2, 0, 3, 0, 2, 1, 0, 1, 1, 2, 3, 2, 3, 1, 2, 3, 0, 2, 1, 0, 2, 3, 1, 2, 0, 3, 2, 3, 2  },
{ 2, 1, 0, 1, 2, 2, 1, 3, 2, 3, 1, 0, 2, 1, 2, 3, 1, 1, 0, 3, 1, 0, 2, 3, 2, 2, 3, 2, 2, 3, 2, 1, 0, 3, 3, 1, 1, 0, 1, 2, 1, 2  },
{ 2, 2, 0, 2, 0, 1, 3, 1, 3, 2, 2, 1, 3, 2, 1, 0, 2, 3, 0, 2, 1, 2, 0, 3, 2, 2, 0, 1, 2, 0, 2, 0, 0, 1, 1, 2, 2, 3, 2, 3, 1, 2  },
{ 2, 2, 0, 2, 0, 1, 3, 1, 2, 0, 1, 2, 1, 3, 1, 0, 1, 0, 0, 0, 1, 1, 2, 1, 1, 2, 0, 1, 3, 1, 0, 0, 0, 1, 3, 2, 2, 3, 1, 3, 0, 2  },
{ 2, 2, 0, 2, 2, 2, 3, 1, 0, 0, 1, 2, 2, 1, 1, 2, 0, 1, 2, 2, 3, 1, 0, 3, 1, 2, 1, 2, 2, 0, 2, 0, 2, 2, 0, 2, 2, 2, 3, 3, 0, 0  },
{ 2, 1, 0, 2, 2, 3, 1, 2, 1, 2, 2, 1, 3, 1, 3, 2, 2, 2, 0, 3, 1, 3, 1, 3, 1, 2, 0, 1, 3, 0, 1, 0, 2, 0, 3, 2, 2, 3, 1, 3, 0, 1  },
{ 2, 0, 3, 2, 2, 2, 1, 2, 2, 0, 1, 1, 3, 1, 3, 2, 2, 1, 2, 0, 1, 3, 0, 3, 3, 1, 2, 1, 1, 0, 2, 1, 2, 2, 3, 1, 2, 0, 1, 3, 0, 2  },
{ 0, 2, 1, 3, 1, 3, 3, 1, 2, 2, 3, 3, 2, 1, 0, 2, 0, 1, 3, 0, 0, 0, 0, 3, 1, 2, 1, 2, 3, 0, 0, 0, 2, 3, 3, 2, 2, 2, 3, 0, 0, 0  },
{ 2, 1, 0, 2, 2, 3, 1, 0, 1, 3, 2, 0, 0, 3, 1, 2, 2, 2, 0, 3, 2, 3, 0, 1, 3, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 2, 2, 1, 3, 2, 0, 0  },
{ 2, 1, 0, 2, 2, 0, 1, 3, 1, 2, 0, 1, 2, 2, 2, 1, 0, 0, 2, 3, 2, 2, 3, 0, 3, 2, 2, 1, 1, 0, 0, 0, 1, 3, 3, 2, 1, 0, 1, 0, 1, 2  },
{ 0, 3, 2, 2, 2, 3, 0, 3, 2, 3, 0, 1, 1, 3, 1, 1, 1, 3, 0, 3, 1, 3, 0, 3, 2, 2, 0, 3, 3, 0, 0, 0, 3, 2, 3, 2, 2, 1, 3, 3, 0, 2  },
{ 2, 2, 1, 2, 1, 2, 3, 0, 1, 2, 2, 1, 0, 3, 2, 1, 2, 2, 0, 3, 1, 2, 0, 1, 1, 1, 1, 2, 3, 0, 0, 1, 0, 1, 3, 2, 2, 0, 3, 3, 2, 2  },
{ 0, 3, 2, 3, 2, 3, 1, 0, 2, 3, 0, 2, 1, 2, 0, 1, 0, 2, 2, 0, 2, 0, 2, 1, 1, 2, 1, 1, 3, 2, 1, 1, 0, 0, 1, 3, 2, 3, 3, 1, 0, 2  },
{ 2, 0, 3, 2, 2, 2, 1, 0, 1, 0, 1, 2, 3, 1, 2, 3, 0, 1, 0, 0, 3, 1, 2, 3, 2, 2, 1, 3, 3, 0, 2, 0, 1, 1, 3, 1, 2, 0, 3, 1, 1, 2  },
{ 2, 3, 0, 1, 1, 1, 1, 3, 2, 2, 3, 2, 3, 1, 1, 0, 0, 2, 0, 0, 2, 1, 2, 3, 2, 0, 1, 1, 3, 0, 0, 0, 1, 1, 3, 1, 2, 3, 1, 3, 3, 2  },
{ 2, 0, 3, 2, 1, 1, 2, 0, 1, 2, 1, 1, 3, 2, 1, 0, 0, 0, 2, 0, 3, 3, 2, 3, 2, 2, 3, 1, 2, 0, 2, 0, 2, 3, 3, 1, 1, 0, 1, 3, 3, 2  },
{ 2, 3, 0, 1, 1, 1, 1, 3, 2, 2, 2, 2, 2, 1, 2, 3, 1, 1, 2, 3, 2, 3, 2, 0, 2, 2, 1, 2, 2, 2, 2, 1, 2, 1, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 0, 3, 1, 1, 2, 1, 3, 2, 2, 1, 1, 0, 3, 1, 0, 1, 2, 0, 2, 3, 0, 1, 3, 2, 2, 3, 1, 3, 2, 1, 2, 0, 1, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 3, 2, 2, 1, 3, 1, 3, 2, 2, 1, 2, 2, 1, 2, 3, 3, 1, 0, 1, 1, 0, 2, 0, 2, 1, 1, 3, 2, 3, 2, 1, 2, 0, 3, 1, 0, 0, 2, 0, 0, 2  },
{ 0, 2, 1, 2, 2, 3, 3, 1, 0, 0, 1, 1, 2, 1, 1, 2, 2, 1, 3, 0, 3, 0, 2, 3, 2, 2, 1, 1, 3, 0, 0, 0, 3, 1, 1, 2, 2, 0, 3, 2, 3, 0  },
{ 2, 2, 0, 2, 1, 1, 3, 3, 2, 0, 0, 1, 2, 1, 1, 3, 2, 3, 0, 0, 3, 0, 2, 0, 2, 2, 3, 1, 0, 0, 0, 0, 0, 1, 3, 1, 2, 0, 1, 3, 2, 0  },
{ 0, 2, 1, 2, 0, 1, 3, 3, 1, 2, 0, 1, 0, 1, 1, 0, 0, 2, 3, 1, 3, 0, 3, 3, 2, 2, 1, 1, 3, 0, 0, 0, 3, 1, 1, 1, 2, 0, 3, 3, 2, 0  },
{ 2, 2, 0, 2, 0, 3, 0, 3, 1, 2, 3, 0, 0, 1, 1, 0, 1, 1, 2, 1, 3, 2, 0, 0, 2, 2, 1, 3, 1, 0, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 1, 2  },
{ 2, 2, 0, 2, 2, 3, 1, 3, 1, 1, 2, 1, 3, 1, 1, 0, 2, 2, 0, 2, 2, 0, 2, 1, 3, 2, 1, 1, 3, 0, 0, 0, 0, 3, 1, 1, 2, 0, 3, 1, 3, 0  },
{ 0, 2, 1, 3, 0, 3, 3, 3, 2, 3, 3, 1, 0, 1, 2, 2, 0, 1, 3, 0, 3, 0, 0, 3, 1, 2, 1, 3, 3, 0, 0, 0, 3, 2, 1, 2, 2, 0, 3, 3, 0, 0  },
{ 0, 2, 1, 2, 1, 0, 3, 1, 3, 2, 1, 0, 1, 2, 1, 2, 2, 2, 0, 3, 3, 2, 0, 3, 2, 2, 1, 1, 3, 0, 0, 0, 1, 3, 1, 0, 2, 1, 3, 0, 1, 2  },
{ 2, 2, 0, 2, 1, 0, 3, 1, 0, 0, 2, 3, 2, 0, 1, 1, 2, 1, 2, 0, 3, 2, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 1, 3, 1, 3, 2, 1, 3, 1, 0, 2  },
{ 2, 1, 3, 2, 1, 2, 1, 3, 2, 2, 0, 3, 1, 0, 1, 1, 2, 0, 2, 2, 3, 1, 1, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 3, 3, 1, 2, 0, 1, 2, 3, 2  },
{ 1, 3, 1, 2, 3, 2, 3, 0, 3, 3, 3, 1, 0, 3, 0, 3, 0, 1, 3, 3, 0, 3, 1, 3, 1, 2, 1, 1, 1, 3, 0, 0, 3, 0, 3, 2, 2, 2, 3, 3, 0, 2  },
{ 0, 2, 3, 2, 1, 2, 0, 0, 3, 2, 3, 1, 3, 0, 2, 1, 0, 1, 2, 3, 2, 3, 0, 0, 3, 1, 3, 0, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 1, 3, 2, 0  },
{ 2, 1, 3, 2, 2, 3, 0, 1, 2, 1, 2, 3, 2, 2, 0, 1, 2, 0, 2, 2, 3, 2, 1, 3, 3, 2, 0, 0, 3, 2, 0, 0, 2, 0, 3, 2, 1, 3, 1, 0, 0, 0  },
{ 0, 2, 3, 2, 1, 2, 3, 1, 1, 1, 2, 3, 2, 0, 3, 1, 2, 0, 3, 2, 2, 0, 2, 0, 3, 2, 0, 0, 2, 2, 0, 2, 0, 1, 3, 2, 1, 3, 1, 1, 0, 2  },
{ 1, 3, 2, 3, 2, 3, 0, 3, 2, 2, 2, 3, 1, 3, 2, 3, 1, 2, 0, 3, 3, 1, 3, 1, 3, 2, 0, 2, 0, 3, 0, 0, 3, 1, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 0, 2, 3, 2, 2, 1, 3, 2, 1, 0, 2, 0, 3, 1, 0, 1, 2, 1, 3, 1, 2, 0, 0, 0, 3, 0, 1, 2, 3, 2, 0, 0, 1, 0, 3, 3, 2, 1, 3, 0, 0, 0  },
{ 3, 3, 2, 3, 1, 3, 2, 3, 0, 3, 0, 2, 0, 2, 1, 3, 1, 3, 2, 3, 3, 0, 1, 3, 1, 2, 1, 2, 0, 3, 0, 1, 3, 0, 3, 2, 3, 3, 1, 3, 0, 2  },
{ 3, 2, 0, 1, 1, 3, 0, 2, 1, 2, 3, 1, 1, 2, 3, 0, 0, 2, 1, 0, 2, 3, 2, 0, 1, 1, 0, 0, 2, 3, 2, 0, 0, 0, 0, 3, 2, 3, 0, 3, 0, 1  },
{ 2, 0, 3, 1, 2, 0, 2, 2, 1, 0, 1, 1, 3, 2, 0, 0, 1, 0, 2, 1, 3, 2, 0, 2, 3, 3, 1, 1, 0, 1, 3, 0, 0, 2, 1, 3, 3, 1, 0, 0, 2, 0  },
{ 2, 0, 0, 2, 2, 3, 1, 3, 2, 1, 1, 1, 3, 1, 1, 0, 2, 2, 2, 0, 2, 2, 2, 3, 2, 2, 3, 1, 0, 1, 0, 0, 1, 1, 3, 1, 2, 0, 1, 2, 2, 1  },
{ 2, 3, 0, 1, 1, 2, 0, 0, 1, 2, 3, 1, 3, 1, 1, 0, 1, 0, 0, 2, 2, 0, 1, 3, 1, 0, 1, 1, 3, 3, 0, 0, 1, 1, 3, 2, 2, 3, 3, 2, 2, 0  },
{ 2, 1, 0, 1, 2, 3, 0, 0, 2, 1, 2, 3, 3, 3, 1, 2, 2, 0, 0, 2, 0, 2, 2, 3, 3, 0, 1, 1, 3, 3, 0, 0, 1, 2, 1, 1, 2, 0, 3, 1, 0, 0  },
{ 3, 2, 0, 2, 3, 3, 0, 0, 1, 2, 0, 2, 3, 1, 1, 0, 1, 2, 0, 2, 3, 1, 1, 3, 1, 2, 1, 3, 1, 2, 0, 0, 0, 1, 0, 1, 2, 0, 0, 3, 0, 0  },
{ 0, 2, 3, 2, 1, 0, 1, 3, 1, 1, 2, 2, 3, 0, 1, 1, 2, 3, 0, 2, 3, 1, 2, 0, 3, 0, 3, 0, 2, 2, 0, 2, 0, 3, 2, 1, 1, 0, 3, 1, 2, 2  },
{ 2, 3, 0, 2, 2, 2, 0, 3, 1, 1, 2, 3, 1, 3, 1, 0, 2, 2, 2, 2, 3, 2, 0, 3, 2, 0, 1, 2, 0, 3, 1, 0, 0, 1, 3, 1, 0, 0, 3, 2, 0, 2  },
{ 2, 1, 0, 0, 3, 2, 0, 0, 1, 0, 2, 3, 0, 3, 1, 2, 2, 1, 0, 1, 3, 0, 0, 3, 3, 0, 3, 0, 2, 2, 0, 2, 0, 0, 1, 1, 1, 0, 3, 1, 2, 2  },
{ 1, 0, 2, 3, 0, 0, 0, 0, 1, 3, 1, 0, 0, 3, 1, 1, 3, 3, 3, 2, 3, 0, 2, 3, 1, 1, 0, 0, 0, 3, 3, 1, 3, 1, 0, 1, 3, 2, 0, 1, 1, 3  },
{ 0, 2, 1, 2, 1, 1, 3, 1, 2, 2, 1, 2, 1, 3, 1, 0, 0, 2, 3, 1, 3, 1, 3, 3, 2, 2, 1, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 3, 3, 2, 3, 0  },
{ 0, 2, 3, 2, 1, 1, 3, 3, 2, 2, 2, 1, 2, 1, 1, 0, 0, 1, 3, 0, 3, 0, 2, 3, 1, 2, 3, 1, 3, 0, 0, 0, 2, 1, 2, 2, 3, 0, 1, 3, 0, 0  },
{ 0, 2, 1, 2, 3, 0, 3, 3, 2, 2, 1, 1, 0, 1, 3, 2, 0, 2, 0, 3, 3, 0, 3, 1, 0, 2, 1, 1, 0, 3, 0, 0, 3, 3, 1, 2, 3, 0, 3, 3, 3, 0  },
{ 2, 2, 0, 2, 1, 2, 0, 3, 2, 2, 2, 1, 0, 2, 1, 0, 2, 0, 0, 3, 0, 0, 0, 3, 2, 2, 3, 1, 2, 3, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 1, 1  },
{ 0, 2, 0, 2, 2, 3, 3, 0, 3, 0, 1, 1, 0, 1, 0, 2, 2, 0, 3, 0, 3, 0, 1, 3, 2, 1, 2, 1, 1, 3, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 3, 0  },
{ 0, 2, 1, 2, 1, 0, 3, 1, 0, 0, 3, 2, 0, 3, 1, 1, 2, 2, 0, 2, 3, 0, 0, 0, 3, 0, 1, 3, 2, 2, 0, 0, 0, 3, 1, 1, 2, 0, 3, 1, 1, 2  },
{ 0, 3, 0, 2, 2, 3, 3, 0, 1, 3, 0, 0, 0, 3, 1, 2, 2, 3, 1, 2, 0, 3, 0, 3, 2, 2, 1, 1, 0, 3, 0, 3, 0, 1, 1, 1, 2, 0, 3, 3, 0, 2  },
{ 2, 2, 0, 2, 1, 3, 0, 1, 2, 2, 0, 0, 0, 0, 3, 1, 1, 2, 1, 3, 0, 2, 1, 1, 2, 2, 2, 0, 2, 3, 0, 3, 0, 0, 3, 1, 1, 0, 1, 3, 3, 0  },
{ 0, 2, 3, 2, 1, 2, 3, 0, 0, 1, 2, 1, 0, 2, 3, 0, 2, 2, 0, 2, 3, 0, 1, 1, 0, 2, 3, 0, 1, 2, 0, 0, 1, 0, 3, 1, 1, 0, 1, 3, 0, 2  },
{ 2, 3, 0, 2, 3, 2, 3, 0, 0, 1, 2, 1, 3, 3, 1, 1, 2, 1, 3, 1, 2, 2, 0, 0, 3, 2, 3, 2, 0, 2, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 2  },
{ 0, 1, 3, 2, 1, 3, 2, 3, 2, 0, 2, 0, 3, 0, 0, 1, 2, 3, 2, 1, 2, 3, 0, 1, 3, 2, 1, 2, 3, 2, 1, 1, 1, 1, 3, 1, 1, 0, 1, 1, 3, 2  },
{ 0, 3, 0, 2, 0, 0, 3, 0, 1, 2, 3, 0, 0, 3, 1, 2, 2, 3, 1, 3, 2, 3, 0, 2, 1, 2, 1, 0, 2, 0, 3, 0, 3, 3, 3, 2, 3, 0, 3, 0, 0, 2  },
{ 0, 0, 0, 2, 2, 1, 3, 0, 2, 0, 1, 2, 3, 1, 3, 0, 0, 1, 1, 2, 3, 2, 1, 3, 1, 2, 1, 1, 0, 2, 0, 3, 0, 1, 3, 0, 2, 3, 1, 3, 0, 2  },
{ 0, 2, 3, 2, 0, 0, 1, 2, 1, 0, 1, 2, 3, 2, 0, 1, 0, 2, 1, 2, 2, 3, 0, 0, 1, 1, 2, 1, 3, 2, 0, 3, 0, 0, 3, 3, 2, 3, 1, 2, 3, 0  },
{ 0, 2, 3, 2, 1, 2, 1, 3, 1, 2, 3, 1, 3, 0, 1, 0, 2, 0, 0, 2, 0, 1, 1, 3, 1, 0, 1, 0, 3, 3, 0, 1, 0, 1, 2, 2, 2, 2, 3, 3, 0, 0  },
{ 2, 3, 0, 1, 1, 2, 0, 0, 1, 2, 2, 3, 3, 1, 1, 0, 0, 3, 0, 2, 0, 0, 1, 3, 1, 3, 2, 1, 1, 2, 0, 0, 3, 1, 0, 1, 2, 0, 0, 3, 0, 0  },
{ 2, 2, 1, 2, 1, 3, 1, 3, 2, 0, 2, 0, 0, 3, 1, 0, 2, 2, 3, 2, 3, 0, 1, 3, 2, 2, 3, 1, 2, 2, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 0, 0  },
{ 2, 0, 3, 2, 2, 3, 0, 3, 0, 0, 2, 3, 3, 0, 1, 2, 0, 3, 2, 1, 3, 1, 0, 3, 2, 2, 0, 1, 1, 3, 0, 1, 1, 1, 1, 1, 3, 0, 0, 3, 0, 0  },
{ 2, 3, 0, 0, 0, 1, 2, 3, 2, 2, 3, 0, 3, 0, 1, 1, 0, 2, 0, 1, 3, 0, 3, 0, 3, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 1, 3, 2, 0  },
{ 0, 0, 0, 0, 3, 2, 0, 1, 1, 0, 3, 3, 0, 1, 1, 0, 2, 0, 2, 2, 3, 0, 1, 3, 1, 3, 0, 0, 1, 3, 3, 0, 3, 1, 3, 0, 2, 2, 0, 0, 1, 0  },
{ 1, 3, 0, 0, 2, 2, 0, 3, 2, 2, 3, 2, 1, 0, 1, 0, 2, 0, 3, 2, 3, 0, 0, 3, 1, 0, 2, 0, 0, 3, 3, 0, 1, 1, 3, 2, 1, 0, 0, 0, 0, 1  },
{ 1, 3, 0, 2, 0, 0, 0, 3, 2, 1, 2, 2, 2, 1, 1, 0, 2, 3, 3, 3, 0, 0, 1, 3, 2, 0, 0, 2, 0, 3, 3, 0, 0, 1, 3, 1, 3, 2, 0, 2, 0, 1  },
{ 0, 3, 3, 2, 2, 2, 3, 0, 3, 0, 2, 3, 2, 0, 1, 2, 3, 2, 0, 3, 1, 1, 2, 3, 3, 2, 0, 1, 1, 3, 3, 1, 0, 2, 1, 1, 3, 0, 2, 3, 0, 0  },
{ 0, 2, 0, 0, 3, 1, 0, 2, 1, 0, 3, 0, 0, 3, 1, 1, 3, 0, 3, 2, 0, 0, 1, 2, 1, 1, 1, 0, 1, 2, 3, 2, 3, 1, 3, 3, 0, 2, 2, 0, 3, 3  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 0, 1, 3, 0, 1, 2, 2, 0, 1, 1, 0, 3, 0, 3, 2, 0, 2, 2, 2, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 3, 1, 3, 0  },
{ 0, 2, 0, 2, 1, 0, 3, 2, 3, 2, 2, 2, 2, 1, 2, 2, 0, 2, 3, 0, 0, 0, 3, 3, 2, 2, 1, 0, 0, 0, 0, 1, 0, 1, 3, 2, 0, 3, 3, 2, 0, 0  },
{ 0, 2, 2, 2, 0, 0, 3, 1, 3, 2, 1, 0, 0, 1, 2, 2, 0, 3, 3, 0, 3, 0, 3, 3, 0, 2, 1, 1, 1, 3, 0, 0, 2, 1, 1, 2, 3, 0, 3, 2, 0, 0  },
{ 0, 2, 0, 2, 3, 2, 0, 3, 2, 2, 2, 2, 3, 0, 1, 0, 0, 2, 3, 0, 3, 0, 3, 3, 2, 2, 1, 0, 3, 3, 0, 0, 1, 1, 3, 2, 0, 3, 3, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 0, 0, 3, 1, 2, 0, 3, 2, 3, 0, 0, 3, 3, 2, 2, 0, 1, 2, 2, 0, 0, 1, 1, 3, 1, 0, 2, 2, 3, 0, 0  },
{ 0, 2, 2, 2, 1, 3, 0, 3, 0, 2, 0, 3, 0, 0, 1, 2, 0, 2, 0, 3, 0, 0, 3, 0, 0, 2, 1, 1, 1, 3, 0, 3, 1, 1, 2, 1, 0, 0, 3, 3, 0, 2  },
{ 3, 2, 0, 2, 3, 1, 0, 3, 0, 2, 0, 0, 0, 0, 3, 2, 0, 3, 1, 3, 0, 0, 0, 3, 2, 2, 2, 1, 3, 3, 0, 0, 0, 1, 3, 1, 2, 0, 1, 3, 0, 2  },
{ 2, 2, 0, 2, 0, 0, 3, 0, 0, 2, 1, 0, 0, 2, 1, 1, 0, 1, 3, 0, 3, 0, 0, 3, 0, 2, 1, 2, 0, 2, 0, 0, 1, 3, 1, 1, 0, 2, 3, 1, 1, 0  },
{ 2, 3, 0, 2, 2, 1, 0, 3, 2, 2, 3, 2, 3, 0, 1, 1, 0, 2, 0, 0, 3, 0, 0, 3, 3, 2, 1, 2, 3, 0, 0, 0, 1, 3, 1, 1, 0, 2, 3, 1, 0, 0  },
{ 0, 2, 0, 3, 1, 3, 3, 0, 3, 2, 2, 3, 1, 3, 0, 2, 0, 2, 0, 3, 0, 3, 1, 2, 3, 2, 1, 3, 2, 3, 0, 3, 1, 3, 1, 2, 1, 0, 3, 0, 3, 2  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 3, 2, 2, 2, 0, 0, 1, 2, 1, 3, 0, 2, 0, 0, 0, 2, 1, 1, 1, 1, 1, 2, 0, 0, 0, 1, 3, 2, 2, 0, 1, 3, 3, 0  },
{ 2, 3, 2, 0, 2, 0, 0, 3, 2, 1, 2, 0, 0, 1, 0, 1, 2, 3, 1, 2, 3, 0, 0, 1, 3, 2, 3, 1, 0, 2, 0, 0, 0, 3, 3, 2, 2, 3, 1, 1, 3, 2  },
{ 0, 2, 3, 2, 3, 2, 1, 1, 1, 0, 2, 0, 3, 2, 1, 1, 2, 3, 0, 0, 3, 0, 0, 0, 3, 2, 3, 0, 0, 3, 0, 0, 1, 3, 0, 1, 1, 0, 0, 1, 3, 0  },
{ 1, 0, 1, 0, 1, 3, 2, 0, 3, 0, 2, 3, 2, 0, 1, 1, 2, 0, 3, 3, 0, 2, 0, 0, 3, 0, 3, 1, 2, 3, 3, 0, 0, 3, 3, 1, 3, 0, 1, 1, 0, 0  },
{ 0, 2, 0, 3, 1, 1, 3, 0, 1, 2, 1, 3, 0, 2, 0, 3, 0, 2, 0, 3, 3, 2, 0, 3, 1, 2, 1, 1, 2, 0, 3, 0, 2, 1, 3, 2, 2, 0, 3, 3, 0, 2  },
{ 2, 1, 0, 2, 2, 3, 0, 1, 0, 1, 0, 2, 1, 3, 2, 0, 0, 1, 0, 3, 1, 2, 0, 0, 1, 2, 3, 1, 3, 2, 0, 3, 1, 2, 3, 2, 2, 3, 1, 0, 3, 2  },
{ 0, 0, 0, 2, 0, 3, 0, 0, 3, 2, 0, 1, 2, 1, 0, 2, 0, 2, 3, 0, 3, 2, 0, 1, 3, 0, 1, 0, 3, 2, 0, 0, 0, 0, 3, 2, 2, 1, 3, 0, 2, 0  },
{ 3, 0, 0, 2, 0, 1, 0, 2, 2, 2, 3, 0, 3, 2, 0, 0, 3, 2, 3, 1, 0, 2, 0, 0, 3, 2, 0, 0, 2, 3, 2, 0, 0, 0, 3, 2, 1, 3, 1, 1, 2, 0  },
{ 0, 2, 2, 2, 3, 0, 2, 2, 1, 1, 3, 0, 3, 2, 0, 0, 2, 2, 3, 2, 0, 3, 0, 0, 3, 2, 3, 0, 1, 3, 2, 0, 0, 3, 0, 1, 3, 0, 0, 1, 3, 0  },
{ 1, 2, 1, 3, 1, 2, 3, 0, 2, 3, 0, 1, 0, 3, 0, 2, 0, 1, 2, 3, 3, 1, 0, 1, 1, 2, 1, 3, 2, 3, 0, 0, 2, 1, 3, 2, 2, 3, 1, 2, 3, 0  },
{ 0, 2, 3, 2, 0, 3, 2, 0, 1, 0, 0, 3, 3, 0, 2, 0, 0, 2, 3, 0, 2, 1, 0, 3, 1, 1, 0, 1, 1, 3, 0, 0, 1, 1, 0, 3, 2, 3, 2, 3, 2, 1  },
{ 2, 3, 0, 1, 2, 3, 0, 3, 2, 1, 0, 0, 0, 1, 1, 0, 3, 2, 3, 2, 0, 0, 1, 0, 3, 2, 0, 0, 3, 3, 2, 1, 1, 0, 3, 3, 1, 3, 1, 3, 1, 2  },
{ 0, 2, 0, 2, 0, 3, 0, 3, 3, 0, 2, 1, 3, 3, 1, 0, 0, 2, 3, 0, 0, 0, 1, 3, 1, 2, 3, 1, 2, 0, 1, 1, 3, 1, 3, 2, 0, 2, 3, 2, 0, 0  },
{ 3, 2, 0, 2, 1, 3, 1, 3, 2, 1, 2, 3, 2, 3, 1, 0, 0, 2, 0, 3, 0, 0, 1, 3, 1, 2, 3, 2, 2, 1, 0, 1, 3, 1, 0, 2, 0, 3, 0, 3, 0, 0  },
{ 2, 0, 3, 2, 3, 2, 3, 0, 0, 2, 3, 0, 0, 3, 1, 2, 1, 2, 2, 2, 0, 0, 3, 3, 3, 2, 3, 1, 3, 2, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 0, 0  },
{ 2, 3, 0, 2, 1, 0, 0, 3, 1, 2, 2, 0, 0, 3, 1, 0, 3, 3, 2, 0, 0, 0, 1, 3, 1, 3, 2, 3, 1, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 3, 1, 0  },
{ 2, 3, 0, 1, 3, 2, 0, 3, 0, 2, 2, 3, 0, 3, 1, 3, 2, 0, 2, 2, 3, 0, 0, 3, 1, 0, 3, 0, 0, 3, 3, 0, 0, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 2, 2, 1, 0, 2, 3, 2, 0, 0, 3, 0, 2, 1, 3, 2, 3, 1, 3, 0, 0, 0, 3, 1, 1, 1, 1, 3, 3, 0, 0, 0, 1, 1, 1, 0, 3, 3, 0, 0  },
{ 1, 3, 0, 2, 1, 2, 0, 3, 1, 2, 0, 0, 1, 3, 1, 0, 3, 2, 3, 2, 2, 0, 1, 1, 1, 0, 0, 0, 0, 3, 3, 2, 0, 0, 3, 0, 3, 2, 0, 0, 0, 3  },
{ 1, 0, 3, 2, 2, 3, 3, 0, 1, 0, 0, 2, 3, 0, 2, 1, 2, 3, 3, 0, 3, 3, 1, 3, 3, 0, 3, 2, 1, 2, 3, 0, 1, 1, 3, 1, 0, 0, 3, 1, 0, 1  },
{ 2, 1, 2, 2, 1, 0, 0, 0, 3, 0, 0, 3, 2, 0, 1, 0, 2, 2, 0, 1, 1, 0, 0, 2, 1, 0, 0, 3, 3, 2, 3, 0, 0, 1, 3, 1, 3, 2, 2, 0, 3, 3  },
{ 2, 3, 0, 3, 0, 1, 2, 2, 1, 2, 1, 0, 3, 0, 1, 0, 2, 3, 2, 1, 3, 0, 1, 3, 2, 0, 0, 2, 3, 1, 3, 0, 0, 3, 1, 1, 0, 3, 0, 3, 0, 0  },
{ 0, 2, 2, 2, 3, 0, 3, 0, 0, 2, 0, 2, 2, 2, 3, 2, 0, 3, 2, 0, 3, 0, 3, 3, 0, 2, 0, 2, 0, 1, 0, 0, 0, 1, 2, 2, 0, 3, 3, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 3, 2, 3, 0, 1, 3, 0, 0, 3, 2, 3, 2, 3, 1, 3, 2, 0, 1, 3, 1, 3, 2, 3, 0, 0, 2, 0, 0  },
{ 0, 2, 3, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 0, 2, 2, 3, 0, 0, 3, 3, 3, 2, 3, 0, 3, 2, 0, 0, 3, 1, 3, 2, 0, 3, 2, 2, 0, 0  },
{ 0, 2, 2, 2, 1, 0, 3, 0, 0, 2, 0, 2, 0, 3, 3, 2, 0, 3, 2, 1, 3, 0, 2, 3, 0, 2, 0, 1, 1, 3, 1, 0, 3, 0, 1, 2, 3, 0, 3, 3, 1, 0  },
{ 0, 2, 3, 2, 3, 0, 0, 1, 0, 2, 3, 0, 0, 1, 3, 2, 0, 3, 0, 0, 3, 0, 0, 3, 0, 2, 0, 0, 3, 2, 0, 1, 1, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 2, 2, 0, 2, 0, 2, 0, 3, 2, 2, 3, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 3, 2, 0, 3, 0, 2, 0, 1, 1, 3, 1, 1, 2, 0, 3, 1, 0, 0  },
{ 2, 1, 0, 2, 0, 2, 3, 0, 0, 2, 3, 0, 3, 1, 2, 1, 2, 1, 2, 0, 3, 0, 0, 3, 3, 2, 1, 3, 0, 3, 0, 1, 1, 3, 1, 1, 2, 0, 3, 1, 0, 0  },
{ 0, 2, 0, 2, 1, 3, 3, 0, 1, 2, 0, 2, 1, 2, 0, 2, 0, 3, 2, 0, 3, 0, 0, 2, 1, 2, 1, 1, 0, 2, 1, 3, 1, 1, 1, 2, 3, 0, 3, 3, 0, 2  },
{ 0, 0, 0, 2, 0, 2, 0, 3, 2, 2, 0, 3, 0, 2, 1, 2, 0, 2, 0, 0, 3, 0, 0, 1, 3, 2, 3, 1, 3, 2, 0, 0, 1, 1, 3, 2, 2, 3, 1, 3, 1, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 3, 2, 1, 2, 0, 0, 2, 0, 2, 3, 2, 3, 0, 3, 0, 0, 1, 3, 2, 3, 2, 0, 2, 1, 0, 0, 3, 3, 2, 0, 3, 1, 1, 3, 0  },
{ 2, 3, 0, 2, 2, 0, 0, 3, 1, 0, 1, 0, 1, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 0, 3, 0, 3, 0, 2, 3, 0, 0, 0, 3, 3, 1, 2, 0, 1, 1, 3, 2  },
{ 1, 2, 2, 2, 0, 3, 0, 3, 1, 2, 0, 3, 0, 2, 0, 2, 0, 1, 0, 3, 0, 2, 0, 2, 0, 1, 1, 1, 3, 2, 0, 2, 1, 3, 0, 2, 2, 0, 3, 0, 3, 2  },
{ 3, 2, 0, 2, 2, 3, 3, 0, 0, 1, 2, 0, 3, 2, 0, 2, 0, 2, 3, 2, 3, 0, 0, 3, 1, 2, 3, 1, 2, 2, 0, 1, 1, 0, 3, 1, 2, 3, 1, 3, 0, 0  },
{ 2, 2, 1, 0, 3, 2, 3, 0, 2, 2, 0, 0, 3, 0, 2, 1, 2, 3, 2, 0, 3, 1, 0, 1, 3, 2, 3, 1, 1, 3, 1, 0, 1, 0, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 1, 3, 0, 2, 2, 0, 0, 2, 1, 0, 1, 0, 0, 1, 1, 2, 3, 2, 3, 1, 0, 3, 0, 1, 3, 2, 3, 2, 2, 3, 2, 0, 0, 0, 3, 1, 1, 0, 1, 0, 3, 0  },
{ 0, 0, 2, 2, 0, 2, 3, 0, 1, 0, 3, 2, 2, 1, 0, 2, 0, 0, 1, 2, 3, 2, 1, 0, 0, 2, 1, 3, 1, 2, 0, 0, 2, 3, 0, 1, 3, 0, 3, 0, 3, 2  },
{ 3, 2, 3, 0, 0, 3, 0, 0, 0, 3, 1, 2, 3, 1, 2, 0, 2, 0, 3, 0, 2, 2, 3, 0, 1, 0, 0, 1, 3, 0, 3, 2, 1, 0, 1, 3, 1, 1, 3, 2, 2, 2  },
{ 1, 2, 0, 2, 0, 1, 3, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 0, 0, 2, 2, 2, 2, 3, 2, 2, 3, 2, 3, 0, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 3, 0, 2, 3, 0, 3, 2, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 2, 2, 0, 1, 3, 1, 3, 0, 2, 3, 3, 0, 0, 3, 2, 3, 2, 0, 2, 1, 2, 0, 1, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0  },
{ 2, 0, 2, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 3, 1, 3, 0, 2, 2, 3, 0, 0, 1, 3, 1, 2, 3, 0, 3, 3, 0, 0, 3, 1, 0, 2, 1, 0, 0, 1, 0, 0  },
{ 2, 0, 3, 2, 3, 2, 3, 0, 0, 0, 2, 3, 0, 0, 0, 2, 2, 0, 2, 0, 3, 0, 3, 3, 3, 2, 3, 0, 2, 3, 0, 0, 1, 1, 3, 2, 0, 3, 3, 3, 0, 0  },
{ 2, 0, 2, 3, 3, 2, 3, 2, 1, 2, 2, 0, 1, 3, 1, 0, 0, 0, 3, 2, 2, 0, 1, 1, 1, 1, 0, 0, 0, 3, 3, 0, 0, 3, 3, 2, 0, 2, 1, 1, 0, 0  },
{ 1, 0, 1, 3, 3, 1, 2, 3, 2, 1, 0, 0, 3, 1, 1, 2, 0, 2, 1, 0, 1, 0, 1, 3, 1, 1, 3, 0, 3, 3, 3, 0, 1, 1, 3, 2, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 2, 2, 1, 3, 1, 1, 0, 0, 0, 3, 1, 3, 1, 2, 1, 0, 0, 2, 0, 0, 0, 3, 3, 3, 0, 2, 3, 3, 1, 1, 0, 1, 1, 2, 0, 1, 3, 0, 0  },
{ 2, 0, 0, 1, 2, 2, 0, 2, 3, 0, 2, 3, 3, 1, 1, 0, 3, 1, 3, 2, 3, 1, 1, 3, 1, 0, 0, 0, 0, 3, 3, 0, 1, 1, 1, 1, 0, 2, 0, 0, 0, 3  },
{ 1, 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 0, 3, 0, 1, 1, 0, 2, 3, 2, 0, 0, 1, 3, 3, 0, 0, 2, 1, 3, 3, 0, 0, 1, 1, 1, 3, 2, 3, 0, 0, 3  },
{ 3, 1, 2, 0, 2, 2, 3, 0, 0, 3, 0, 3, 0, 0, 0, 1, 0, 3, 2, 3, 0, 0, 1, 3, 3, 3, 0, 0, 1, 2, 3, 0, 1, 1, 1, 1, 0, 2, 0, 3, 0, 0  },
{ 0, 2, 0, 3, 3, 1, 0, 3, 1, 3, 0, 0, 1, 0, 1, 2, 2, 2, 3, 2, 3, 0, 1, 3, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 0, 1, 2, 0, 0, 0, 3, 3  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 2, 0, 1, 1, 1, 0, 2, 0, 3, 3, 0, 0, 0, 3, 2, 3, 2, 0, 2, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 3, 2, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 0, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 2, 0, 3, 2, 0, 0, 3, 0, 1, 2, 0, 2, 3, 1, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 0, 0, 1, 3, 2, 0, 2, 3, 2, 0, 0, 1, 0, 3, 0, 3, 3, 0, 2, 0, 0, 3, 0, 1, 0, 3, 0, 0, 2, 0, 3, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 1, 0, 0, 2, 3, 2, 3, 0, 2, 2, 0, 1, 1, 0, 3, 0, 3, 1, 3, 2, 3, 2, 3, 1, 0, 1, 3, 0, 3, 2, 0, 3, 1, 2, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 3, 0, 0, 2, 0, 2, 0, 2, 1, 1, 0, 2, 3, 0, 3, 0, 3, 2, 0, 2, 0, 2, 3, 2, 0, 0, 3, 0, 0, 2, 3, 0, 3, 2, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 2, 0, 0, 2, 2, 0, 2, 3, 0, 3, 0, 3, 1, 0, 1, 2, 0, 3, 2, 0, 0, 3, 3, 0, 2, 0, 2, 3, 2, 0, 0  },
{ 3, 2, 2, 0, 3, 1, 3, 0, 2, 0, 2, 0, 0, 3, 0, 1, 0, 2, 0, 3, 0, 0, 0, 3, 3, 2, 0, 0, 3, 1, 1, 0, 1, 0, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 3, 1, 0, 2, 0, 3, 0, 0, 0, 2, 3, 0, 0, 2, 0, 1, 0, 3, 2, 3, 3, 0, 0, 3, 3, 2, 3, 2, 3, 3, 1, 0, 1, 3, 1, 2, 0, 0, 3, 0, 0, 0  },
{ 0, 2, 3, 2, 1, 0, 3, 0, 0, 2, 1, 0, 2, 0, 2, 2, 0, 3, 1, 0, 3, 0, 0, 3, 0, 2, 0, 3, 1, 2, 0, 2, 2, 3, 0, 2, 3, 0, 3, 1, 3, 0  },
{ 3, 2, 0, 2, 3, 0, 3, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 2, 1, 0, 3, 0, 0, 0, 0, 2, 3, 1, 3, 2, 0, 0, 0, 3, 3, 1, 3, 0, 0, 3, 0, 0  },
{ 2, 1, 0, 0, 0, 2, 3, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 2, 3, 2, 3, 0, 0, 1, 3, 2, 1, 1, 0, 3, 0, 0, 1, 3, 3, 1, 0, 2, 3, 1, 3, 0  },
{ 2, 1, 0, 0, 2, 3, 2, 0, 3, 0, 3, 0, 2, 0, 0, 2, 3, 2, 3, 3, 0, 0, 0, 1, 3, 2, 3, 1, 0, 3, 1, 0, 0, 3, 3, 1, 0, 0, 3, 1, 0, 0  },
{ 2, 0, 0, 2, 3, 0, 1, 0, 0, 0, 2, 0, 3, 0, 1, 1, 2, 3, 1, 1, 3, 2, 0, 3, 3, 2, 0, 0, 2, 3, 3, 0, 1, 3, 1, 1, 2, 0, 3, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 3, 3, 0, 1, 1, 2, 0, 0, 2, 0, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 2, 3, 1, 3, 2, 0, 2, 2, 3, 1, 2, 2, 3, 3, 2, 3, 0  },
{ 2, 0, 0, 2, 0, 3, 0, 3, 0, 2, 0, 2, 3, 0, 2, 0, 0, 2, 1, 3, 3, 0, 0, 0, 2, 2, 3, 1, 3, 2, 0, 0, 0, 3, 3, 2, 2, 3, 1, 3, 3, 0  },
{ 2, 0, 0, 2, 2, 0, 0, 3, 0, 0, 1, 0, 3, 0, 2, 0, 0, 2, 3, 0, 2, 3, 0, 0, 1, 2, 3, 2, 0, 3, 0, 1, 1, 3, 3, 2, 2, 3, 1, 1, 3, 0  },
{ 2, 1, 1, 0, 1, 0, 2, 0, 3, 0, 1, 0, 3, 2, 0, 2, 3, 1, 2, 1, 3, 3, 0, 0, 2, 2, 0, 3, 2, 3, 2, 0, 0, 0, 3, 1, 3, 0, 0, 1, 3, 0  },
{ 1, 1, 1, 0, 1, 2, 0, 2, 1, 0, 2, 0, 3, 2, 0, 0, 1, 0, 3, 0, 3, 1, 0, 1, 2, 2, 0, 0, 0, 3, 1, 0, 1, 3, 3, 1, 3, 0, 1, 1, 3, 1  },
{ 3, 3, 1, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 3, 2, 3, 0, 2, 0, 0, 3, 2, 0, 0, 0, 3, 3, 0, 0, 3, 1, 1, 1, 0, 3, 0, 3, 0  },
{ 0, 0, 1, 2, 0, 3, 0, 3, 2, 2, 0, 3, 2, 1, 0, 2, 0, 2, 3, 1, 3, 2, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 1, 3, 1, 1, 3, 0, 3, 0, 3, 2  },
{ 3, 2, 3, 0, 0, 2, 3, 0, 2, 0, 1, 0, 3, 0, 2, 0, 0, 2, 3, 0, 2, 3, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 1, 3, 0, 3, 1, 1, 3, 0, 2, 2  },
{ 1, 3, 2, 0, 1, 0, 0, 3, 0, 2, 3, 1, 1, 3, 2, 0, 0, 2, 3, 0, 2, 3, 1, 0, 1, 0, 2, 1, 0, 3, 1, 3, 1, 0, 3, 3, 1, 1, 3, 3, 2, 2  },
{ 1, 2, 3, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 1, 3, 1, 3, 0, 0, 0, 3, 0, 2, 0, 2, 3, 1, 2, 0, 0, 3, 3, 1, 3, 1, 2, 3, 2  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 3, 0, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 2, 1, 0, 3, 0, 1, 2, 3, 0, 0, 0, 3, 0, 3, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 0  },
{ 1, 2, 0, 2, 0, 0, 0, 1, 3, 1, 2, 0, 0, 3, 2, 2, 3, 0, 2, 3, 0, 0, 3, 1, 0, 1, 2, 0, 3, 1, 0, 0, 0, 3, 0, 2, 0, 2, 3, 1, 0, 1  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 2, 1, 2, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 3, 0, 3, 3, 1, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 1, 3, 0, 0, 2, 0, 2, 3, 0, 0, 3, 0, 2, 3, 0, 2, 1, 0, 0, 3, 1, 0, 1, 0, 0, 3, 3, 0, 1, 3, 0, 3, 2, 0, 1, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 3, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 1, 2, 3, 3, 0, 3, 3, 3, 2, 3, 2, 3, 0, 1, 1, 3, 0, 1, 2, 0, 2, 3, 2, 0, 0  },
{ 2, 0, 0, 3, 0, 2, 0, 0, 2, 0, 1, 3, 0, 3, 1, 3, 0, 0, 2, 2, 0, 0, 1, 1, 1, 0, 3, 1, 3, 3, 0, 0, 0, 3, 1, 0, 1, 2, 0, 1, 0, 0  },
{ 2, 2, 0, 2, 0, 0, 1, 0, 0, 3, 2, 3, 3, 0, 0, 3, 3, 1, 0, 2, 3, 0, 0, 3, 1, 2, 0, 0, 1, 3, 3, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 3, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 3, 0, 3, 3, 1, 0, 1, 0, 3, 3, 3, 1, 1, 1, 3, 2, 3, 0, 3, 1, 0, 0  },
{ 1, 2, 0, 1, 0, 3, 2, 1, 0, 2, 0, 0, 3, 1, 2, 1, 1, 1, 0, 0, 3, 0, 0, 2, 3, 2, 3, 2, 3, 2, 3, 0, 1, 1, 1, 2, 3, 0, 1, 3, 0, 0  },
{ 2, 3, 0, 1, 0, 2, 0, 3, 2, 2, 0, 0, 0, 3, 1, 3, 1, 1, 3, 1, 2, 0, 1, 3, 1, 0, 0, 2, 2, 3, 3, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 3  },
{ 0, 0, 0, 2, 3, 0, 0, 2, 3, 1, 1, 0, 3, 0, 1, 3, 1, 1, 3, 2, 0, 0, 1, 3, 1, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 2, 2, 3, 0, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 1, 2, 0, 1, 3, 1, 0, 2, 0, 0, 3, 3, 0, 1, 1, 3, 2, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 1, 2, 3, 0, 1, 0, 0, 2, 3, 0, 3, 1, 1, 1, 0, 3, 1, 0, 3, 2, 0, 3, 3, 0, 0, 1, 2, 3, 3, 0, 1, 1, 1, 3, 3, 2, 0, 3, 0, 0  },
{ 1, 0, 0, 3, 2, 0, 0, 3, 1, 1, 2, 3, 2, 0, 0, 0, 3, 1, 1, 0, 3, 0, 2, 3, 0, 0, 0, 2, 3, 2, 3, 0, 2, 0, 0, 3, 3, 0, 0, 0, 3, 3  },
{ 2, 0, 2, 3, 2, 0, 1, 0, 0, 2, 1, 0, 2, 0, 1, 2, 0, 2, 3, 0, 3, 0, 1, 2, 1, 1, 0, 0, 3, 2, 3, 0, 0, 0, 0, 3, 0, 2, 0, 0, 3, 3  },
{ 1, 2, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 2, 0, 1, 1, 3, 0, 3, 0, 3, 0, 2, 0, 1, 2, 0, 0, 3, 2, 3, 0, 2, 0, 3, 2, 3, 1, 2, 0, 3, 3  },
{ 3, 0, 1, 1, 2, 3, 2, 0, 2, 2, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 1, 2, 2, 2, 3, 0, 0, 2, 0, 1, 3, 0, 0, 1, 0, 3, 2, 3, 0, 3, 0, 1  },
{ 3, 2, 0, 1, 1, 3, 0, 3, 0, 1, 0, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 0, 3, 3, 0, 2, 3, 0, 3, 2, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 2, 0, 3, 0, 0, 0, 2, 2, 0, 0, 3, 1, 2, 0, 2, 3, 3, 0, 0, 3, 1, 0, 1, 3, 0, 3, 0, 0, 1, 0, 3, 0, 2, 1, 0, 0, 0, 0, 1  },
{ 3, 2, 0, 2, 0, 3, 0, 1, 3, 2, 3, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 1, 3, 0, 0, 0  },
{ 2, 1, 0, 2, 1, 3, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 3, 0, 0, 3, 1, 0, 1, 3, 0, 3, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 2, 3, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 1, 0, 3, 0, 0, 3, 1, 0, 2, 3, 1, 3, 1, 0, 0, 3, 1, 3, 2, 3, 0, 0, 1, 0, 1  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 2, 0, 2, 0, 1, 0, 0, 0, 0, 3, 0, 3, 2, 0, 2, 0, 3, 0, 0, 0, 0, 3, 0, 1, 2, 3, 0, 3, 2, 0, 1  },
{ 1, 2, 0, 1, 3, 0, 0, 0, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 3, 0, 0, 0, 3, 3, 1, 2, 0, 3, 1, 0, 0, 3, 1, 3, 2, 0, 3, 2, 3, 0, 0  },
{ 2, 1, 0, 0, 3, 2, 3, 0, 2, 2, 3, 0, 2, 0, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 3, 1, 3, 1, 0, 0, 3, 3, 3, 1, 0, 2, 0, 3, 0, 0  },
{ 2, 0, 0, 2, 3, 2, 3, 0, 0, 2, 0, 0, 2, 0, 2, 3, 1, 1, 3, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 3, 0, 1, 1, 3, 1, 1, 0, 2, 3, 0, 0, 0  },
{ 3, 2, 0, 2, 1, 3, 0, 3, 2, 2, 1, 2, 0, 2, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0, 3, 1, 3, 2, 0, 3, 3, 3, 0, 0  },
{ 1, 2, 1, 0, 3, 3, 0, 0, 0, 2, 2, 0, 0, 2, 0, 2, 0, 0, 3, 2, 3, 0, 0, 0, 0, 2, 3, 0, 3, 1, 0, 0, 3, 3, 1, 1, 0, 3, 2, 3, 0, 0  },
{ 2, 1, 0, 0, 3, 2, 3, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 1, 0, 2, 3, 0, 0, 0, 3, 1, 2, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 2, 3, 0, 3, 0  },
{ 2, 1, 1, 0, 2, 0, 2, 0, 3, 0, 3, 0, 0, 2, 0, 2, 3, 1, 3, 0, 3, 0, 0, 0, 3, 2, 2, 0, 0, 3, 0, 0, 0, 3, 3, 1, 0, 0, 3, 0, 0, 1  },
{ 2, 0, 2, 0, 0, 3, 1, 0, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 2, 0, 3, 3, 2, 0, 0, 2, 3, 3, 1, 0, 2, 1, 1, 2, 0, 3, 0, 0, 0  },
{ 0, 2, 3, 2, 0, 0, 3, 0, 1, 0, 2, 1, 0, 2, 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 3, 0, 1, 2, 0, 0, 0, 3, 0, 1, 2, 0, 0, 3, 3, 0  },
{ 0, 2, 3, 0, 0, 1, 3, 0, 2, 2, 0, 3, 1, 0, 2, 0, 1, 2, 0, 2, 3, 0, 0, 0, 2, 2, 3, 0, 1, 3, 0, 0, 1, 3, 3, 1, 0, 3, 1, 1, 3, 0  },
{ 2, 1, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 2, 0, 2, 0, 3, 2, 0, 2, 3, 0, 0, 0, 1, 2, 3, 2, 0, 3, 0, 0, 0, 3, 3, 1, 0, 1, 3, 1, 3, 0  },
{ 2, 0, 3, 0, 3, 0, 2, 0, 3, 0, 3, 0, 3, 2, 0, 2, 0, 1, 3, 0, 3, 2, 0, 0, 3, 2, 0, 2, 0, 3, 0, 1, 0, 2, 3, 1, 0, 3, 1, 1, 3, 0  },
{ 1, 0, 1, 0, 0, 3, 2, 0, 1, 1, 1, 1, 1, 1, 0, 1, 3, 0, 3, 2, 3, 1, 0, 0, 3, 2, 0, 0, 1, 3, 1, 1, 1, 3, 0, 1, 0, 3, 0, 0, 3, 0  },
{ 0, 2, 0, 1, 0, 0, 3, 1, 2, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0, 3, 1, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 3, 2, 3, 1, 1, 2, 3, 0, 3, 2, 0  },
{ 3, 0, 0, 2, 0, 0, 3, 2, 0, 2, 0, 2, 3, 1, 2, 0, 0, 1, 0, 2, 3, 2, 3, 0, 0, 0, 1, 2, 0, 3, 1, 0, 1, 3, 0, 3, 1, 1, 3, 3, 2, 0  },
{ 1, 1, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 0, 1, 2, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 1, 0, 2, 3, 1, 3, 0, 2, 0, 3, 1, 1, 3, 1, 2, 0  },
{ 1, 2, 2, 0, 2, 3, 2, 0, 2, 0, 3, 0, 0, 0, 2, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 1, 0, 0, 2, 3, 3, 1, 1, 0, 3, 3, 1, 3, 0, 2, 3, 0  },
{ 3, 2, 0, 2, 0, 0, 0, 0, 3, 2, 0, 3, 0, 3, 2, 2, 0, 1, 0, 0, 0, 0, 3, 2, 0, 2, 0, 3, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0  },
{ 1, 1, 0, 2, 0, 0, 0, 3, 0, 2, 1, 0, 0, 3, 1, 2, 0, 2, 0, 3, 0, 0, 3, 1, 0, 1, 0, 0, 3, 1, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 3, 0, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 3, 0, 0, 3, 1, 3, 2, 3, 1, 3, 3, 0, 0, 0, 3, 3, 2, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 3, 3, 0, 1, 0, 2, 0, 0, 0, 1, 3, 1, 0, 1, 2, 3, 0, 0, 3, 1, 3, 1, 3, 2, 3, 3, 0, 1, 3, 0, 3, 2, 0, 0, 2, 3, 0, 0  },
{ 1, 0, 0, 2, 0, 3, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1, 1, 1, 3, 2, 3, 0, 0, 3, 3, 2, 0, 0, 0, 3, 1, 1, 1, 0, 3, 2, 3, 0, 1, 3, 0, 0  },
{ 2, 2, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 3, 1, 1, 3, 3, 1, 1, 0, 0, 2, 1, 1, 2, 0, 0, 0, 3, 0, 1, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 3, 2, 0, 0, 0, 2, 3, 1, 0, 0, 0, 1, 0, 2, 3, 2, 3, 0, 3, 3, 3, 2, 0, 1, 1, 3, 3, 1, 2, 0, 3, 1, 3, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 2, 0, 0, 2, 3, 1, 1, 0, 3, 1, 0, 2, 1, 3, 1, 0, 0, 2, 3, 0, 3, 1, 1, 2, 3, 0, 1, 1, 0, 1, 1, 0, 2, 3, 0, 0  },
{ 1, 2, 0, 3, 3, 2, 0, 1, 0, 2, 0, 0, 0, 3, 0, 3, 3, 1, 2, 0, 0, 0, 1, 3, 1, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3  },
{ 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 1, 0, 2, 0, 1, 3, 1, 2, 3, 0, 3, 3, 3, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 1  },
{ 2, 2, 3, 0, 0, 0, 3, 0, 0, 2, 3, 1, 3, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 3, 1, 2, 0, 1, 1, 3, 3, 0, 1, 0, 3, 2, 0, 3, 2, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 3, 3, 0, 2, 0, 2, 0, 3, 0, 3, 1, 2, 3, 1, 0, 2, 0, 0, 2, 3, 0, 0, 2, 3, 3, 3, 0, 0, 1, 0, 3, 3, 2, 0, 3, 0, 0  },
{ 2, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 3, 2, 0, 1, 2, 0, 1, 3, 0, 3, 0, 1, 3, 0, 3, 0, 0, 2, 2, 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 3, 3  },
{ 2, 3, 3, 2, 0, 0, 0, 3, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 0, 3, 3, 3, 0, 3, 0, 0, 3, 2, 3, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 3, 3, 0, 0, 0, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 3, 2, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 3, 0, 3, 0, 2, 3, 3, 0  },
{ 1, 2, 0, 1, 0, 3, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 3, 3, 0, 3, 1, 0, 0, 1, 3, 0, 3, 1, 0, 2, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 0, 3, 0, 1, 3, 2, 3, 1, 0, 3, 0, 1, 0, 0, 2, 3, 0, 0, 0, 3, 0, 2, 1, 0, 3, 1, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 1  },
{ 1, 1, 0, 2, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 0, 1, 0, 0, 2, 3, 0, 3, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 0, 3, 3, 0, 0, 2, 1, 0, 1, 0, 3, 0, 1, 0, 0, 2, 3, 0, 0, 0, 3, 0, 1, 0, 0, 3, 1, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 1  },
{ 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 1, 0, 3, 0, 0, 0, 3, 0, 1, 3, 1, 3, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 0, 1, 0, 3, 0, 3, 0, 0, 3, 0, 1, 2, 3, 0, 3, 3, 0, 1  },
{ 0, 1, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 1, 2, 1, 3, 1, 0, 0, 3, 3, 1, 1, 0, 2, 3, 3, 0, 1  },
{ 2, 1, 0, 0, 2, 0, 0, 0, 1, 2, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 1, 3, 2, 3, 2, 3, 0, 0, 0, 2, 3, 3, 1, 0, 0, 1, 3, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 2, 3, 0, 0, 0, 2, 3, 1, 1, 0, 0, 1, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 2, 3, 0, 2, 1, 0, 3, 0, 3, 2, 0, 2, 0, 1, 3, 1, 0, 2, 3, 0, 0, 1, 0, 0, 3, 3, 0, 1  },
{ 3, 1, 0, 2, 0, 1, 0, 3, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 2, 3, 1, 0, 3, 0, 0, 3, 3, 0, 1, 1, 0, 0, 3, 0, 0  },
{ 1, 2, 0, 0, 3, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 3, 0, 0, 1, 2, 1, 0, 2, 0, 3, 0, 0, 2, 3, 3, 1, 3, 0, 0, 3, 0, 1  },
{ 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 3, 2, 2, 0, 0, 3, 0, 0, 1, 3, 3, 1, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 1, 2, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 3, 0  },
{ 1, 2, 3, 1, 0, 0, 3, 0, 0, 2, 0, 1, 0, 2, 3, 2, 0, 1, 0, 0, 3, 0, 0, 2, 0, 1, 2, 1, 0, 1, 0, 3, 1, 0, 3, 1, 3, 0, 0, 3, 3, 1  },
{ 1, 2, 3, 0, 3, 0, 0, 2, 0, 2, 3, 0, 0, 1, 0, 0, 0, 2, 0, 2, 3, 0, 0, 1, 2, 1, 2, 3, 0, 1, 0, 0, 3, 3, 3, 1, 0, 1, 3, 1, 3, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 1, 0, 0, 3, 1, 0, 2, 3, 2, 0, 0, 1, 2, 0, 1, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 3, 1, 3, 0  },
{ 2, 0, 1, 0, 3, 2, 2, 0, 0, 0, 3, 0, 3, 2, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 3, 2, 0, 1, 0, 3, 0, 0, 0, 3, 2, 1, 0, 3, 0, 0, 3, 0  },
{ 3, 0, 0, 1, 0, 0, 2, 0, 2, 1, 1, 0, 3, 2, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 3, 2, 0, 0, 2, 3, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0  },
{ 0, 0, 1, 3, 0, 1, 0, 3, 2, 0, 0, 1, 0, 3, 1, 0, 0, 3, 0, 0, 3, 3, 0, 2, 1, 2, 1, 0, 0, 3, 0, 3, 0, 1, 0, 3, 1, 3, 0, 3, 3, 2  },
{ 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 2, 3, 2, 3, 1, 3, 1, 3, 2, 0  },
{ 0, 0, 1, 0, 0, 2, 3, 1, 0, 0, 0, 0, 3, 1, 1, 0, 0, 1, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1, 0, 3, 3, 0, 0, 2, 0, 3, 1, 1, 0, 3, 2, 0  },
{ 2, 2, 0, 0, 0, 1, 0, 0, 3, 1, 1, 3, 2, 0, 1, 0, 1, 1, 0, 0, 3, 3, 1, 0, 2, 1, 0, 2, 0, 1, 3, 0, 0, 0, 3, 1, 0, 3, 0, 0, 2, 0  },
{ 1, 2, 0, 1, 0, 3, 0, 1, 0, 3, 2, 1, 0, 3, 1, 1, 0, 2, 0, 3, 0, 0, 3, 1, 0, 1, 2, 1, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 0, 0, 3, 2, 1, 0, 1, 0, 3, 0, 1, 3, 0, 2, 3, 0, 0, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 1, 3, 0, 0, 1, 3, 0, 0, 3, 1, 0, 1, 3, 1, 3, 3, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 1, 3, 1, 3, 1, 3, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3, 1, 3, 2, 0, 3, 0, 0, 0, 3, 3, 2, 3, 1, 0, 3, 0, 0, 3, 0, 1, 0, 0, 1, 3, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 3, 0, 0, 3, 3, 2, 3, 1, 0, 0, 0, 0, 2, 1, 3, 2, 0, 1, 2, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3, 1, 3, 2, 3, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 2, 3, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 3, 1, 0, 0, 0, 3, 3, 3, 0, 3, 0, 3, 3, 0, 0, 2, 0, 3, 1, 1, 0, 1, 0, 0, 0  },
{ 2, 3, 1, 0, 3, 2, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 3, 2, 0, 0, 3, 3, 3, 0, 2, 3, 0, 2, 3, 1, 0, 0, 0, 0  },
{ 3, 0, 2, 0, 2, 0, 0, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 3, 3, 3, 0, 0, 1, 3, 0, 0, 1, 2, 0, 1, 1, 0, 0, 0, 3, 0  },
{ 1, 2, 0, 0, 2, 1, 0, 0, 0, 3, 2, 2, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 3, 0, 0, 3, 2, 3, 2, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 2, 2, 3, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 2, 0, 0, 2, 3, 3, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 3, 0, 0, 2, 0, 3, 3, 1, 2, 3, 1, 3, 3, 3, 1, 2, 0, 3, 2, 0, 3, 2, 0, 0, 0  },
{ 3, 1, 3, 0, 0, 0, 1, 0, 0, 2, 3, 3, 2, 0, 3, 0, 0, 2, 3, 2, 3, 1, 0, 2, 3, 0, 0, 1, 0, 3, 3, 1, 0, 0, 0, 3, 3, 2, 0, 3, 0, 0  },
{ 1, 1, 1, 1, 3, 2, 0, 0, 0, 2, 0, 1, 1, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 3, 0, 0, 0, 2, 3, 3, 1, 2, 2, 0, 1, 2, 0, 0, 0, 2, 0  },
{ 2, 0, 0, 3, 2, 1, 0, 0, 0, 3, 0, 2, 2, 0, 0, 3, 0, 2, 3, 0, 2, 1, 0, 3, 0, 0, 2, 2, 1, 3, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 1, 1, 2, 0, 0, 0, 1, 0, 2, 0, 0, 2, 3, 0, 2, 0, 1, 0, 1, 2, 1, 2, 2, 0, 3, 3, 3, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 3, 2, 0, 0, 0, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 2, 1, 0, 3, 3, 2, 1, 3, 0, 0, 0, 3, 0, 2, 0, 2, 0, 3, 0  },
{ 2, 0, 1, 2, 2, 0, 1, 0, 0, 3, 3, 2, 2, 0, 0, 0, 2, 3, 1, 1, 1, 1, 2, 2, 2, 0, 0, 0, 0, 2, 3, 0, 2, 3, 0, 2, 2, 0, 0, 1, 0, 1  },
{ 0, 3, 1, 1, 2, 1, 0, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 2, 0, 1, 1, 0, 3, 2, 3, 1, 0, 2, 0, 2, 3, 1, 2, 0, 1, 2, 0, 3, 0, 1, 0, 0  },
{ 1, 1, 3, 0, 3, 2, 1, 2, 0, 2, 1, 2, 1, 3, 1, 0, 2, 0, 3, 1, 0, 2, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 2, 2, 1, 1, 1, 0, 0, 2, 1  },
{ 1, 1, 0, 1, 3, 3, 0, 3, 3, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 1, 1, 0, 0, 2, 1, 0, 2, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 2, 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 1, 3, 0, 1, 3, 0, 3, 0, 0, 3, 1, 0, 0, 2, 1, 0, 3, 2, 1, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 0, 3, 0, 3, 1, 2, 1, 1, 0, 3, 0, 1, 0, 1, 0, 3, 0, 0, 3, 1, 0, 1, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 0, 1, 0, 0, 0, 1, 3, 0, 1, 3, 0, 3, 1, 0, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 3, 0, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 2, 3, 1, 3, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 1, 2, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 3, 1, 0, 1, 0, 1, 3, 1, 0, 1, 2, 1, 0, 1, 3, 0, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 3, 0, 1, 1, 3, 1, 0, 0, 3, 3, 1, 1, 1, 0, 1, 2, 0, 1  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 1, 3, 0, 1, 0, 3, 0, 0, 0, 2, 3, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 1, 0, 1, 0, 0, 0, 0, 2, 1, 3, 2, 1, 0, 1, 2, 0, 0  },
{ 3, 1, 3, 2, 0, 1, 0, 3, 2, 2, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 3, 0, 1, 2, 0, 2, 0, 0, 3, 1, 0, 1, 2, 0, 3, 1, 3, 0, 1, 2, 0, 1  },
{ 0, 0, 0, 1, 0, 3, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 2, 3, 1, 3, 0, 0, 0, 3, 3, 0, 0, 0, 1, 3, 2, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 1, 0, 2, 3, 1, 0, 0, 2, 0, 0, 1, 3, 1, 0, 1, 3, 0, 0, 0, 2, 0, 3, 1, 0, 0, 1, 2, 0, 0  },
{ 2, 2, 1, 0, 3, 2, 1, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 0, 2, 3, 3, 1, 0, 0, 3, 0, 0, 0  },
{ 3, 3, 2, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 3, 0, 1, 0, 1, 2, 3, 0, 2, 2, 3, 1, 3, 0, 3, 0, 0, 0  },
{ 0, 2, 3, 1, 0, 3, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 3, 2, 0, 1, 0, 1, 0, 0, 3, 0, 0, 3, 3, 1, 3, 0, 0, 3, 3, 0  },
{ 1, 2, 3, 1, 0, 3, 2, 0, 0, 2, 0, 1, 3, 1, 0, 0, 3, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 2, 1, 3, 0, 1, 3, 1, 2, 1  },
{ 1, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 2, 1, 0, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 0, 0, 2, 1  },
{ 2, 2, 0, 0, 3, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 3, 3, 1, 0, 1, 0, 0, 2, 0  },
{ 3, 1, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 3, 0, 1, 0, 1, 1, 0, 1, 1, 0, 0, 3, 0, 0, 2, 1, 2, 3, 0, 2, 2, 3, 0, 0, 0, 1, 0, 3, 0  },
{ 0, 0, 1, 2, 0, 0, 0, 1, 0, 0, 2, 0, 3, 1, 0, 1, 0, 2, 0, 1, 2, 0, 3, 2, 0, 1, 0, 1, 0, 2, 0, 3, 1, 0, 2, 1, 1, 3, 1, 2, 3, 0  },
{ 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 3, 3, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 1, 3, 0, 1, 0, 3, 2, 1, 3, 1, 2, 2, 0  },
{ 1, 0, 1, 0, 0, 1, 1, 3, 0, 1, 2, 0, 2, 1, 1, 0, 3, 1, 2, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 1, 2, 1, 3, 1, 0, 0, 3, 2, 0  },
{ 0, 1, 1, 0, 3, 0, 0, 0, 1, 1, 3, 2, 1, 0, 1, 0, 1, 1, 1, 1, 0, 2, 1, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 2, 2, 1, 0, 0, 0, 2, 2, 0  },
{ 3, 1, 0, 3, 1, 0, 3, 2, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 3, 1, 2, 0, 1, 2, 0  },
{ 1, 2, 0, 2, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 3, 1, 3, 1, 2, 0, 0, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 1, 3, 2, 0, 1, 2, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 1, 0, 3, 0, 1, 2, 0, 1, 3, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 1, 1, 3, 0, 0, 0, 0, 3, 1, 0, 1, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 1, 1, 0, 0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 3, 2, 3, 1, 2, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 3, 0, 0, 1, 2, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 2, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 3, 0, 0, 0, 3, 0, 3, 1, 1, 0, 1, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 2, 2, 3, 0, 0, 2, 0, 0, 0, 0, 3, 1, 2, 3, 1, 0, 0, 0, 0, 3, 1, 0, 0, 1, 3, 3, 0, 0, 2, 0, 2, 2, 1, 3, 1, 0, 0, 0  },
{ 0, 1, 0, 2, 3, 1, 3, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 3, 1, 0, 0, 1, 3, 3, 0, 2, 1, 0, 0, 0, 1, 0, 2, 0, 0  },
{ 0, 3, 0, 2, 3, 3, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 1, 2, 0, 2, 2, 1, 1, 0, 2, 0, 0, 2, 0  },
{ 1, 2, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 3, 3, 2, 2, 2, 1, 0, 2, 0, 1, 2, 0, 0, 0, 2, 3, 0, 0, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 3, 1, 0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 0, 3, 1, 1, 0, 2, 2, 1, 0, 1, 0, 0, 3, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 2, 0, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 2, 3, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 1, 0, 1, 3, 1, 0, 0, 0  },
{ 1, 0, 1, 0, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 2, 3, 3, 0, 0, 1, 0, 2, 3, 0, 0, 1, 3, 2, 2, 1, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0  },
{ 1, 2, 2, 2, 2, 0, 0, 0, 3, 1, 1, 1, 1, 0, 0, 3, 0, 0, 2, 1, 1, 0, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0, 2, 0, 2, 2, 3, 2, 0, 0, 0, 3  },
{ 0, 3, 1, 1, 2, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 0, 1, 1, 3, 0, 3, 0, 0, 1, 1, 0, 0, 0, 2, 0  },
{ 2, 1, 0, 1, 2, 3, 2, 0, 0, 0, 2, 2, 1, 0, 0, 3, 1, 0, 2, 0, 1, 1, 1, 3, 0, 0, 1, 0, 2, 2, 3, 0, 1, 0, 3, 0, 1, 0, 3, 0, 0, 0  },
{ 1, 3, 3, 0, 3, 1, 0, 0, 0, 3, 0, 1, 0, 0, 1, 0, 1, 2, 2, 2, 0, 0, 2, 2, 0, 0, 0, 3, 0, 2, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 3, 0, 0, 3, 0, 1, 0, 1, 0, 1, 3, 1, 1, 0, 1, 2, 0, 2, 0, 0, 2, 3, 2, 1, 2, 0, 2, 1, 2, 1, 2, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 1, 2, 0, 3, 0, 0, 0, 1, 1, 1, 2, 1, 2, 1, 2, 1, 2, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 3, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 2, 1, 0, 1, 3, 3, 1, 0, 0, 0, 0, 2, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 3, 0, 1, 2, 1, 0, 1, 3, 1, 0, 1, 0, 0, 3, 3, 3, 0, 1, 0, 0, 1, 1, 1, 2, 1, 2, 1, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 1, 1, 1, 1, 1, 3, 0, 0, 1, 3, 0, 1, 0, 3, 0, 1, 1, 3, 1, 0, 0, 0, 0, 2, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 2, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 3, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 3, 0, 0, 0, 0  },
{ 1, 1, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 3, 1, 0, 1, 3, 1, 2, 0, 0, 1, 2, 0, 3, 1, 1, 3, 0, 0, 0, 1  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 3, 1, 0, 1, 1, 1, 2, 0, 0, 3, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1, 3, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 1, 3, 2, 1, 0, 0, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 3, 0, 0, 1, 0, 1, 0, 2, 0, 1, 2, 3, 0, 2, 0, 1, 3, 0, 1, 3, 1, 2  },
{ 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 3, 0, 0, 1, 2, 1, 3, 1, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 1, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 3, 1, 0, 0, 1, 0, 2, 0, 2, 3, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 1, 0, 0, 2, 0, 0, 3, 0, 0, 2, 0, 1, 1, 2, 0, 1, 0, 2, 0, 2, 1, 0, 3, 1, 3, 0, 3, 0  },
{ 1, 0, 0, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 2, 3, 0, 3, 1, 0, 1, 2, 0, 1  },
{ 2, 1, 0, 0, 3, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 3, 3, 1, 0, 1, 2, 0, 2, 1  },
{ 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 1, 1, 0, 0, 2, 0, 0, 1, 3, 2, 1, 0, 0, 3, 0, 2, 1  },
{ 3, 1, 1, 0, 1, 1, 1, 2, 0, 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 2, 3, 0, 0, 0, 0, 1, 2, 0, 2, 2, 0, 1, 2, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 3, 2, 0, 1, 2, 0, 2, 0, 0, 1, 0, 3, 2, 0, 2, 1, 0, 0, 2, 0, 2, 1, 2, 0, 0, 3, 1, 3, 3, 2, 0  },
{ 0, 0, 2, 3, 0, 0, 0, 3, 1, 1, 0, 0, 2, 0, 1, 0, 3, 0, 0, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 3, 0, 3, 1, 3, 0, 2, 2, 0  },
{ 3, 0, 2, 0, 0, 2, 3, 1, 0, 1, 1, 0, 2, 0, 3, 0, 0, 1, 0, 2, 0, 3, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 2, 1, 3, 1, 2, 0, 1, 2, 0  },
{ 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 1, 1, 0, 1, 3, 0, 3, 0, 0, 1, 1, 2, 1, 2, 1, 2, 2, 3, 1, 3, 3, 1, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 0, 0, 1, 3, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 2, 0, 0, 3, 1, 0, 1, 2, 1, 2, 1, 2, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 3, 3, 1, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 1, 3, 1, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 1, 3, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 3, 2, 0, 1, 2, 0, 2, 0, 2, 0, 3, 1, 3, 0, 1, 0, 0, 0  },
{ 1, 3, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 2, 0, 2, 3, 0, 1, 3, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 3, 3, 1, 2, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 1, 3, 1, 2, 0, 2, 3, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 1, 1, 3, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 2, 3, 0, 0, 1, 0, 1, 2, 0, 2, 1, 0, 1, 3, 1, 0, 2, 0, 0  },
{ 2, 2, 0, 3, 1, 1, 0, 3, 0, 2, 1, 2, 0, 0, 0, 3, 0, 0, 2, 1, 1, 1, 2, 0, 0, 1, 0, 0, 0, 2, 2, 1, 3, 3, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 0, 2, 2, 0, 3, 2, 2, 1, 2, 3, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 3, 0, 0, 0, 1, 3, 2, 1, 1, 3, 2, 1, 2, 2, 0, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 2, 3, 3, 0, 0, 0, 1, 2, 1, 0, 2, 0, 1, 2, 2, 2, 3, 0, 2, 2, 3, 1, 1, 0, 1, 2, 1, 0, 2, 2, 0, 0, 1, 0, 0, 2, 1, 0  },
{ 3, 1, 3, 0, 1, 0, 1, 2, 3, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 3, 2, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 3, 1, 3, 0, 0, 2, 0, 1, 0, 0, 1, 1, 2, 1, 3, 0, 0, 0, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 2, 1, 0, 2, 1, 0, 3, 1, 2, 1, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 3, 2, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 2, 2, 3, 0, 0, 0, 3, 1, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 3, 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 2, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 3, 2, 1, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 3, 1, 0, 0, 1, 1, 2, 0, 0, 0, 2, 1, 2, 1, 3, 1, 0, 0, 0, 0, 0, 1  },
{ 3, 0, 1, 0, 2, 0, 1, 0, 1, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 2, 0, 0, 3, 0, 1, 2, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 3, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 2, 1, 0, 0, 0, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 2, 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 3, 0, 0, 2, 0, 1, 2, 1, 2, 0, 2, 0, 0, 3, 0, 1, 0, 3, 1, 3, 0, 2  },
{ 0, 0, 0, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 3, 0, 0, 3, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 2, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 2, 0, 3, 1, 1, 0, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 2, 2, 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 0, 2, 0, 0  },
{ 2, 3, 2, 3, 2, 0, 0, 2, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 2, 2, 0, 2, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 1, 1, 0, 1, 0, 2, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 3, 0, 3, 1  },
{ 0, 0, 2, 0, 0, 0, 3, 0, 1, 1, 3, 0, 0, 3, 0, 1, 0, 2, 0, 0, 0, 1, 0, 1, 1, 2, 0, 0, 3, 0, 0, 3, 0, 2, 1, 3, 1, 0, 1, 2, 0, 1  },
{ 2, 0, 0, 1, 2, 0, 0, 3, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 3, 1, 0, 0, 3, 0, 2, 1  },
{ 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 2, 2, 1, 0, 3, 0, 0, 2, 1  },
{ 3, 0, 1, 2, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 1, 1, 2, 3, 0, 0, 2, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0  },
{ 0, 1, 0, 2, 0, 3, 0, 1, 2, 2, 0, 2, 0, 3, 2, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 1, 0, 2, 3, 1  },
{ 0, 0, 0, 1, 3, 0, 3, 0, 0, 1, 3, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 1, 3, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 3, 3, 1, 3, 0, 0, 2, 1  },
{ 0, 0, 0, 1, 0, 1, 3, 2, 0, 1, 3, 0, 1, 2, 3, 0, 0, 1, 3, 0, 1, 0, 3, 3, 0, 1, 0, 1, 2, 0, 0, 3, 0, 3, 2, 3, 1, 0, 0, 1, 2, 1  },
{ 0, 1, 0, 1, 1, 1, 0, 0, 0, 2, 0, 0, 3, 0, 2, 0, 1, 3, 1, 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 2, 1, 0, 0, 2, 0, 2, 1  },
{ 1, 0, 3, 3, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 3, 0, 0, 1, 1, 0, 0, 1, 3, 1, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 1, 1, 0, 0, 0, 0, 0, 2  },
{ 2, 1, 1, 3, 0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 3, 0, 0, 2, 3, 1, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 2, 0, 0, 1, 0, 1, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 3, 3, 1, 0, 0, 0, 0, 2, 0, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 1, 1, 3, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 3, 1, 0, 1, 0, 0, 2, 0, 2, 0, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 2, 3, 3, 1, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 3, 0, 1, 0, 2, 1, 3, 0, 0, 0, 2, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 3, 2, 0, 0, 1, 0, 0, 3, 1, 3, 3, 1, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 1, 2, 2, 0, 0, 3, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0, 2, 2, 0, 1, 3, 2, 0, 0, 0, 0  },
{ 2, 2, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 2, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 2, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 0, 0, 0  },
{ 0, 3, 2, 1, 0, 0, 0, 1, 2, 0, 2, 0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 3, 1, 3, 0, 0, 0, 0, 2, 2, 0, 3, 0, 0, 1, 2, 0, 0  },
{ 0, 1, 2, 0, 3, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 2, 2, 0, 0, 1, 1, 0, 1, 2, 1, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0  },
{ 1, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 3, 1, 0, 0, 0, 0, 2, 2, 1, 1, 0, 0, 1, 3, 2, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 1, 0, 0, 0, 2, 0, 1, 2, 0, 0, 3, 0, 0, 2, 3, 0, 1, 0, 2, 2, 1, 2, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 1, 3, 3, 2  },
{ 1, 0, 3, 1, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 3, 2, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 3, 3, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 3, 1, 1, 0, 1, 2, 1, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 1, 3, 0, 0, 0, 2  },
{ 1, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 3, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 1, 0, 0, 0, 2  },
{ 1, 1, 3, 1, 3, 0, 0, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 2, 0, 2, 0, 0, 2, 1, 1, 0, 0, 2, 1, 2, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 3, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 2, 2, 0, 1, 3, 1, 3, 0, 0, 0, 1  },
{ 3, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 2, 0, 1, 0, 0, 1, 2, 1, 1, 0, 2, 0, 1, 1, 1, 1, 1, 2, 1, 3, 0, 2  },
{ 2, 1, 3, 1, 2, 0, 0, 0, 1, 0, 0, 0, 2, 1, 1, 0, 0, 3, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 3, 1, 2, 1, 3, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 2, 1, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 3, 1, 0, 1, 0, 0, 0, 2, 2, 2, 0, 1, 0, 1, 0, 2, 0, 0  },
{ 0, 1, 2, 3, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 2, 2, 0, 1, 2, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 1, 3, 1, 3, 2  },
{ 2, 1, 2, 0, 2, 0, 0, 0, 1, 0, 2, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 2, 0, 0, 0, 0, 2, 0, 3, 1, 2, 1, 2, 0, 1  },
{ 3, 2, 0, 0, 1, 2, 0, 2, 1, 3, 1, 0, 2, 2, 3, 0, 0, 1, 2, 0, 3, 1, 2, 0, 2, 1, 1, 0, 1, 0, 0, 0, 2, 3, 3, 0, 1, 0, 0, 2, 0, 1  },
{ 0, 0, 2, 1, 1, 2, 0, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 2, 3, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 2, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 3, 1, 2, 1, 0, 3, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 2, 1, 2, 0, 3, 2, 3, 0, 0, 1, 0  },
{ 0, 1, 0, 2, 0, 2, 0, 0, 2, 3, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 3, 2, 1  },
{ 0, 0, 1, 0, 0, 3, 2, 1, 0, 3, 0, 0, 3, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 0, 0, 0, 2, 1, 1, 0, 3, 0, 0, 0, 1, 2, 1  },
{ 2, 1, 3, 0, 2, 0, 0, 2, 3, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 0, 0, 2, 0, 1, 1  },
{ 1, 0, 0, 0, 2, 1, 1, 0, 0, 2, 0, 3, 2, 3, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 2, 3, 2, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0  },
{ 0, 1, 3, 2, 1, 0, 0, 2, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 1, 0, 1, 2, 2  },
{ 1, 0, 3, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 3, 3, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 2, 1, 0, 2, 0, 2  },
{ 2, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 2, 0, 3, 3, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 3, 2  },
{ 0, 0, 3, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 3, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 2, 2, 1, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 3, 1, 0, 2, 3, 3, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 1, 0, 2, 0, 0, 1, 0, 0, 3, 0, 2, 1, 0, 2, 1, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 2, 0, 0, 0, 2, 0, 2, 0, 3, 1, 1, 1, 1, 0, 0, 0  },
{ 0, 2, 0, 3, 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 2, 0, 1, 0, 0  },
{ 1, 1, 1, 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 3, 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 2, 1, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 2, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 2, 1, 0, 0, 0  },
{ 0, 2, 2, 0, 1, 0, 2, 0, 0, 2, 2, 0, 0, 0, 0, 3, 2, 0, 3, 1, 0, 0, 2, 1, 2, 2, 1, 0, 0, 2, 2, 1, 2, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 2, 2, 0, 2, 0, 1, 3, 2, 0, 0, 0, 1, 1, 1, 0, 0  },
{ 2, 1, 0, 2, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 2, 3, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 2, 0  },
{ 2, 1, 0, 0, 1, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 1, 2, 1, 1, 2, 0  },
{ 3, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 3, 1, 2, 0, 0, 0, 2  },
{ 2, 1, 0, 0, 1, 0, 1, 3, 1, 1, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 3, 1, 0, 0, 2  },
{ 1, 2, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 2, 3, 0, 0, 0, 0, 2, 2, 3, 0, 0, 2, 0, 1, 0, 0, 1  },
{ 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 3, 1, 1, 2, 1, 3, 0, 2  },
{ 2, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 3, 0, 3, 3, 1, 0, 1, 0, 0, 0, 0, 1  },
{ 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 1, 2, 0, 0, 2, 0, 1, 3, 1, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 1, 2, 1, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 2, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 2, 3, 2, 0, 3, 0, 2, 1, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 1, 2, 0, 1, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 0, 2, 2, 1, 0, 1, 3, 1, 1, 0, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 1, 3, 0, 0, 0, 0, 2  },
{ 1, 0, 3, 0, 0, 0, 1, 2, 3, 1, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 1, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 1  },
{ 2, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 3, 0, 0, 2, 0, 0, 2, 0, 3, 3, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 2, 3, 0, 0, 1, 1, 1, 0, 2, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 0, 0, 0, 1, 2, 0, 0  },
{ 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 2, 0, 3, 0, 0, 1, 0, 2, 3, 0, 2, 3, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 2, 2, 0, 1, 3, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 1, 3, 0, 3, 2, 2  },
{ 0, 0, 0, 2, 3, 0, 0, 2, 2, 0, 1, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 3, 1, 0, 0, 2, 1, 3, 0, 2, 1, 0, 0, 2, 0, 1  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 2, 1, 0, 1, 0  },
{ 2, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 3, 2, 1, 0, 0, 1, 1, 1, 0, 0, 0, 0, 3, 2, 2, 0, 0, 0, 0, 0, 1, 0  },
{ 2, 1, 0, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 2, 2, 1, 0, 0, 0, 0, 0, 2, 3, 1, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 0, 1, 3, 1, 3, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 1, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 1, 2, 1, 2, 3, 3  },
{ 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 2, 1, 1, 0, 3, 1, 0, 2, 0, 2  },
{ 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 1, 1, 2, 3, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 1, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 2, 2, 0, 0, 3, 1, 3, 0, 0, 0  },
{ 1, 3, 0, 0, 2, 2, 0, 0, 1, 1, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 2, 1, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 2, 1, 2, 0, 1, 0, 0, 2, 0, 2, 2, 0, 0, 1, 1, 1, 2, 0, 0  },
{ 0, 0, 1, 0, 1, 2, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 1, 0, 0, 2, 0, 2, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 2, 0  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 3, 2, 0, 2, 2, 0, 2, 0, 3, 0, 0, 1, 0, 0, 2, 0, 1, 1, 2, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 1, 0, 1, 1, 2, 2, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 2, 1, 2, 0, 1, 3, 0, 0, 0, 2, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0  }
 },
{ 
{ 0, 1, 3, 3, 3, 1, 1, 2, 3, 3, 0, 0, 0, 1, 1, 1, 1, 1, 1, 2, 0, 1, 2, 2, 3, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 3, 0, 3, 2, 0, 0, 1  },
{ 2, 1, 3, 1, 0, 2, 2, 2, 3, 2, 0, 0, 1, 0, 0, 0, 2, 1, 0, 2, 0, 0, 0, 2, 3, 2, 3, 0, 2, 0, 3, 0, 1, 0, 3, 3, 2, 3, 3, 0, 0, 0  },
{ 0, 2, 3, 3, 2, 0, 0, 1, 3, 3, 1, 3, 2, 1, 0, 3, 2, 1, 2, 2, 1, 0, 0, 2, 3, 1, 2, 3, 2, 0, 0, 3, 0, 2, 2, 3, 0, 3, 0, 2, 0, 3  },
{ 3, 2, 3, 3, 2, 2, 1, 1, 3, 2, 3, 1, 3, 2, 3, 1, 3, 1, 3, 3, 3, 2, 3, 3, 3, 2, 2, 1, 3, 1, 2, 1, 1, 1, 1, 3, 3, 2, 1, 1, 1, 1  },
{ 2, 2, 3, 2, 3, 3, 2, 3, 1, 2, 3, 0, 3, 1, 1, 3, 3, 3, 0, 0, 0, 1, 0, 0, 3, 3, 2, 3, 1, 0, 0, 0, 0, 1, 3, 3, 3, 3, 3, 1, 1, 3  },
{ 0, 2, 1, 1, 0, 3, 0, 0, 0, 0, 2, 2, 1, 0, 3, 0, 1, 2, 2, 2, 3, 1, 2, 1, 3, 2, 1, 2, 1, 2, 3, 2, 2, 1, 1, 3, 1, 3, 2, 3, 1, 1  },
{ 2, 0, 3, 0, 1, 0, 1, 3, 1, 3, 1, 1, 2, 0, 3, 1, 2, 0, 0, 2, 3, 2, 2, 3, 3, 1, 2, 1, 1, 2, 2, 0, 1, 0, 0, 3, 0, 3, 3, 2, 3, 0  },
{ 3, 2, 0, 0, 2, 0, 0, 1, 1, 3, 2, 0, 3, 2, 0, 0, 0, 1, 1, 3, 0, 2, 3, 0, 2, 3, 3, 0, 3, 3, 0, 1, 0, 2, 3, 0, 2, 1, 0, 0, 1, 0  },
{ 0, 0, 1, 0, 1, 0, 0, 3, 2, 2, 3, 0, 0, 0, 0, 2, 3, 0, 0, 0, 1, 1, 2, 3, 2, 2, 2, 0, 2, 2, 0, 2, 1, 0, 1, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 0, 0, 0, 2, 2, 0, 0, 1, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 2, 0, 3, 3, 0, 3, 0, 0, 0, 0  },
{ 0, 3, 1, 0, 3, 3, 1, 3, 2, 2, 1, 3, 0, 0, 1, 2, 3, 3, 1, 3, 0, 0, 0, 0, 3, 2, 0, 3, 0, 2, 2, 2, 0, 1, 0, 3, 0, 3, 0, 2, 2, 0  },
{ 0, 2, 0, 1, 1, 0, 1, 2, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 3, 2, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 2, 2, 2, 3, 3, 1, 3, 0, 0, 0, 0  },
{ 3, 2, 3, 0, 0, 1, 0, 0, 1, 3, 3, 2, 0, 3, 0, 2, 2, 1, 0, 3, 0, 1, 0, 1, 3, 0, 1, 3, 0, 2, 0, 0, 2, 2, 0, 3, 0, 0, 0, 1, 0, 1  },
{ 2, 3, 1, 0, 0, 2, 2, 3, 0, 2, 3, 0, 3, 2, 0, 2, 2, 0, 0, 3, 0, 3, 0, 3, 3, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 2, 3, 3, 3, 2, 2  },
{ 3, 2, 1, 1, 3, 2, 2, 3, 0, 1, 3, 0, 3, 1, 3, 2, 2, 0, 0, 2, 0, 3, 0, 1, 1, 1, 0, 3, 3, 0, 0, 2, 2, 2, 3, 3, 2, 3, 3, 1, 1, 3  },
{ 1, 2, 0, 3, 3, 0, 2, 3, 0, 2, 3, 3, 1, 0, 3, 2, 0, 3, 0, 3, 0, 3, 2, 3, 2, 2, 3, 2, 3, 2, 2, 2, 2, 2, 3, 3, 3, 2, 3, 3, 3, 3  },
{ 2, 2, 0, 0, 2, 1, 0, 3, 0, 0, 2, 2, 3, 1, 3, 0, 1, 2, 1, 2, 0, 3, 0, 3, 3, 2, 2, 3, 2, 2, 1, 2, 0, 1, 2, 3, 1, 3, 2, 3, 0, 0  },
{ 2, 3, 0, 2, 0, 2, 0, 2, 3, 3, 1, 3, 1, 1, 0, 0, 1, 0, 2, 0, 2, 1, 1, 2, 0, 1, 1, 2, 1, 1, 2, 3, 1, 1, 1, 3, 1, 3, 1, 2, 2, 1  },
{ 1, 2, 2, 0, 3, 0, 3, 0, 0, 0, 1, 2, 0, 2, 0, 1, 3, 2, 1, 1, 3, 1, 1, 2, 1, 3, 1, 0, 0, 2, 2, 1, 1, 2, 0, 0, 3, 0, 3, 0, 0, 0  },
{ 2, 1, 3, 1, 0, 1, 3, 0, 0, 2, 2, 0, 0, 2, 1, 0, 3, 1, 3, 1, 0, 3, 1, 1, 3, 0, 2, 2, 1, 0, 2, 1, 1, 1, 3, 0, 0, 3, 3, 0, 2, 1  },
{ 0, 3, 1, 0, 2, 1, 1, 3, 2, 3, 3, 2, 0, 0, 0, 3, 2, 0, 0, 0, 1, 0, 0, 1, 3, 2, 1, 3, 0, 2, 0, 2, 0, 0, 2, 3, 0, 1, 0, 0, 2, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 3, 2, 3, 3, 2, 0, 1, 1, 3, 1, 1, 1, 3, 3, 0, 0, 0, 3, 2, 1, 2, 3, 2, 0, 0, 0, 0, 3, 3, 0, 1, 0, 1, 1, 0  },
{ 2, 0, 2, 1, 3, 3, 2, 3, 2, 0, 0, 2, 0, 2, 2, 1, 0, 1, 3, 1, 3, 1, 2, 1, 3, 2, 3, 1, 1, 0, 1, 2, 1, 1, 1, 3, 0, 1, 2, 3, 2, 2  },
{ 2, 2, 3, 0, 3, 2, 2, 3, 3, 0, 0, 0, 2, 2, 2, 3, 2, 2, 0, 2, 1, 3, 2, 2, 2, 0, 3, 2, 0, 3, 1, 1, 2, 1, 3, 1, 0, 3, 2, 1, 3, 1  },
{ 2, 3, 0, 3, 3, 2, 3, 0, 0, 1, 2, 0, 0, 3, 0, 2, 0, 1, 2, 0, 2, 1, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 1, 2, 0, 0, 2, 3, 0, 3, 3, 2  },
{ 0, 2, 1, 0, 1, 2, 3, 3, 1, 2, 0, 2, 0, 3, 1, 2, 2, 0, 3, 0, 0, 0, 0, 3, 2, 0, 2, 2, 0, 2, 2, 2, 1, 0, 3, 0, 1, 3, 1, 0, 2, 2  },
{ 2, 0, 2, 0, 3, 3, 0, 3, 1, 2, 0, 2, 3, 1, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 3, 2, 3, 3, 0, 0, 2, 2, 1, 0, 3, 1, 1, 1, 3, 0, 0, 2  },
{ 2, 2, 2, 0, 0, 2, 1, 3, 0, 2, 3, 1, 2, 3, 0, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 2, 2, 0, 0, 3, 1, 1, 3, 0, 0, 2, 2  },
{ 2, 1, 2, 0, 2, 2, 3, 1, 0, 0, 2, 0, 2, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 0, 2, 2, 3, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 0, 2, 2, 0  },
{ 2, 0, 2, 0, 0, 0, 1, 3, 1, 1, 3, 0, 2, 1, 0, 0, 1, 3, 1, 2, 1, 3, 0, 0, 3, 2, 1, 2, 2, 0, 2, 0, 0, 0, 3, 3, 0, 1, 3, 0, 0, 0  },
{ 2, 3, 1, 2, 0, 2, 3, 2, 0, 2, 1, 2, 3, 1, 2, 2, 1, 3, 0, 3, 0, 3, 0, 2, 2, 2, 0, 3, 0, 2, 2, 2, 0, 0, 0, 3, 1, 3, 2, 2, 3, 2  },
{ 2, 2, 1, 1, 1, 2, 3, 2, 0, 0, 3, 1, 2, 2, 3, 2, 2, 3, 0, 2, 0, 3, 0, 2, 2, 2, 0, 3, 3, 0, 2, 2, 0, 0, 2, 3, 0, 3, 0, 0, 2, 2  },
{ 2, 0, 0, 0, 3, 1, 2, 3, 0, 1, 2, 0, 2, 0, 0, 1, 3, 3, 0, 2, 0, 3, 0, 0, 3, 2, 3, 2, 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 3, 0, 0, 0  },
{ 2, 0, 2, 1, 2, 2, 3, 0, 1, 1, 2, 2, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 1, 2, 2, 3, 0, 2, 0, 1, 3, 3, 0, 0, 1, 3, 1, 0  },
{ 1, 2, 3, 2, 3, 2, 3, 2, 3, 1, 3, 2, 1, 3, 2, 0, 0, 3, 1, 1, 2, 2, 0, 3, 2, 2, 0, 3, 1, 3, 1, 1, 3, 0, 3, 3, 1, 3, 1, 3, 2, 3  },
{ 2, 2, 0, 2, 0, 2, 1, 3, 0, 0, 3, 2, 0, 1, 1, 0, 1, 3, 1, 2, 1, 2, 3, 1, 1, 2, 0, 3, 2, 3, 1, 1, 1, 0, 2, 3, 1, 3, 2, 2, 2, 1  },
{ 2, 0, 3, 0, 2, 0, 0, 0, 0, 0, 3, 3, 2, 0, 3, 2, 1, 3, 2, 2, 2, 3, 0, 0, 3, 0, 0, 1, 1, 2, 0, 1, 1, 0, 3, 3, 0, 3, 2, 3, 3, 0  },
{ 1, 3, 0, 2, 3, 2, 1, 2, 3, 2, 3, 2, 3, 1, 3, 0, 1, 3, 2, 0, 3, 2, 3, 3, 2, 2, 0, 3, 3, 3, 0, 3, 0, 3, 2, 3, 3, 2, 3, 3, 2, 3  },
{ 2, 1, 0, 2, 2, 2, 3, 1, 0, 1, 2, 1, 2, 3, 0, 0, 2, 2, 0, 2, 2, 0, 3, 0, 1, 1, 0, 2, 2, 2, 0, 3, 0, 1, 1, 3, 1, 3, 1, 3, 0, 2  },
{ 2, 0, 3, 2, 2, 1, 3, 0, 0, 2, 3, 1, 0, 3, 1, 0, 1, 2, 1, 1, 3, 2, 3, 3, 1, 1, 1, 2, 0, 2, 2, 1, 1, 1, 1, 3, 1, 3, 1, 2, 0, 0  },
{ 3, 3, 1, 2, 3, 0, 0, 2, 0, 3, 0, 1, 1, 0, 3, 2, 3, 1, 3, 1, 2, 3, 1, 3, 1, 2, 3, 0, 3, 3, 3, 0, 3, 2, 2, 3, 3, 2, 3, 3, 1, 2  },
{ 2, 0, 2, 0, 3, 2, 3, 0, 0, 3, 1, 2, 3, 0, 0, 1, 2, 2, 1, 2, 0, 0, 0, 1, 3, 1, 2, 2, 2, 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 3, 0, 2  },
{ 2, 0, 2, 1, 3, 0, 3, 0, 1, 2, 3, 1, 1, 3, 1, 3, 3, 2, 1, 2, 3, 0, 0, 0, 3, 1, 2, 2, 2, 0, 0, 2, 0, 1, 3, 0, 0, 3, 0, 1, 1, 0  },
{ 2, 0, 2, 1, 2, 0, 3, 1, 1, 1, 2, 2, 2, 0, 0, 0, 2, 2, 0, 2, 0, 3, 0, 0, 3, 3, 1, 2, 2, 0, 2, 2, 0, 0, 3, 1, 1, 3, 0, 3, 0, 0  },
{ 2, 0, 2, 0, 2, 3, 0, 3, 2, 3, 3, 2, 2, 2, 1, 3, 3, 3, 3, 3, 3, 1, 1, 1, 3, 1, 2, 2, 2, 2, 1, 0, 0, 3, 1, 0, 0, 3, 0, 3, 2, 0  },
{ 2, 0, 3, 2, 1, 0, 1, 3, 0, 2, 3, 0, 3, 1, 0, 1, 2, 1, 0, 2, 3, 2, 3, 1, 3, 0, 3, 2, 2, 2, 1, 1, 1, 1, 3, 1, 1, 2, 2, 1, 1, 1  },
{ 1, 0, 2, 0, 0, 3, 0, 1, 0, 2, 1, 0, 1, 2, 0, 0, 3, 1, 0, 3, 2, 2, 1, 1, 3, 2, 0, 1, 1, 2, 1, 2, 1, 3, 1, 3, 0, 3, 1, 2, 1, 1  },
{ 0, 0, 2, 1, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 2, 3, 2, 0, 1, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 1, 3, 0, 3, 3, 2  },
{ 2, 0, 1, 0, 2, 0, 3, 2, 1, 3, 0, 0, 2, 0, 2, 2, 2, 2, 1, 2, 0, 2, 0, 3, 2, 0, 2, 0, 2, 2, 2, 2, 1, 0, 3, 0, 2, 2, 3, 2, 0, 2  },
{ 2, 2, 1, 0, 0, 1, 3, 2, 2, 3, 2, 2, 1, 2, 1, 0, 2, 2, 0, 2, 0, 0, 0, 3, 2, 2, 0, 1, 2, 0, 2, 1, 0, 0, 3, 0, 1, 3, 2, 2, 0, 2  },
{ 1, 2, 0, 2, 1, 2, 3, 2, 0, 2, 3, 3, 2, 3, 0, 2, 2, 0, 1, 2, 0, 3, 0, 3, 2, 0, 1, 2, 0, 0, 2, 2, 0, 0, 3, 1, 0, 1, 3, 3, 2, 2  },
{ 2, 1, 1, 1, 0, 1, 3, 1, 0, 2, 3, 1, 1, 2, 0, 0, 0, 2, 2, 0, 2, 0, 0, 1, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 2, 2, 0, 2  },
{ 2, 0, 1, 0, 2, 1, 3, 2, 1, 0, 1, 3, 3, 2, 0, 1, 1, 0, 2, 2, 0, 3, 0, 0, 1, 2, 3, 2, 3, 1, 0, 2, 0, 3, 3, 0, 0, 3, 0, 3, 0, 2  },
{ 1, 2, 1, 3, 3, 2, 3, 3, 0, 0, 3, 0, 2, 3, 0, 0, 2, 3, 0, 2, 0, 2, 3, 1, 2, 0, 2, 0, 3, 0, 2, 0, 0, 3, 3, 0, 1, 1, 3, 0, 3, 2  },
{ 2, 2, 0, 2, 0, 0, 3, 2, 0, 3, 0, 2, 2, 3, 1, 0, 2, 2, 0, 2, 0, 3, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 0, 3, 3, 1, 2, 0, 3, 2, 0  },
{ 2, 0, 1, 0, 2, 1, 3, 0, 1, 3, 3, 1, 2, 0, 0, 1, 1, 3, 2, 2, 0, 2, 0, 0, 3, 2, 3, 0, 2, 0, 0, 0, 0, 0, 3, 3, 0, 2, 2, 2, 0, 0  },
{ 2, 0, 0, 0, 2, 2, 3, 0, 1, 0, 3, 1, 3, 1, 1, 0, 2, 2, 2, 2, 2, 1, 3, 0, 3, 2, 1, 2, 2, 2, 0, 1, 2, 0, 3, 0, 0, 3, 3, 2, 0, 0  },
{ 2, 2, 2, 0, 1, 1, 1, 3, 0, 2, 1, 3, 2, 2, 1, 1, 1, 0, 2, 2, 0, 0, 0, 0, 3, 2, 0, 1, 2, 0, 0, 0, 0, 2, 2, 0, 0, 3, 1, 2, 0, 2  },
{ 2, 0, 2, 0, 2, 1, 3, 1, 1, 3, 0, 3, 1, 2, 1, 3, 0, 3, 2, 2, 3, 0, 0, 0, 0, 2, 0, 2, 1, 2, 2, 2, 0, 3, 0, 0, 0, 1, 3, 2, 3, 2  },
{ 2, 0, 2, 0, 2, 0, 3, 1, 1, 1, 2, 0, 1, 2, 0, 2, 2, 0, 2, 3, 2, 0, 0, 0, 3, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 1, 2, 3, 0  },
{ 2, 0, 2, 0, 3, 3, 0, 0, 1, 2, 1, 1, 3, 2, 3, 3, 3, 1, 0, 2, 2, 1, 0, 1, 1, 1, 0, 0, 2, 2, 0, 1, 2, 1, 1, 0, 3, 3, 0, 2, 2, 1  },
{ 2, 0, 1, 0, 2, 2, 3, 0, 1, 2, 0, 1, 1, 2, 0, 3, 0, 3, 3, 2, 2, 0, 0, 2, 3, 1, 1, 3, 2, 2, 0, 0, 0, 3, 2, 1, 1, 3, 0, 2, 2, 0  },
{ 2, 1, 3, 1, 2, 1, 1, 3, 0, 3, 0, 3, 1, 3, 1, 1, 2, 3, 2, 0, 3, 3, 2, 1, 3, 0, 1, 0, 3, 2, 2, 1, 1, 3, 1, 1, 0, 3, 0, 1, 2, 1  },
{ 1, 0, 3, 0, 2, 2, 0, 3, 0, 3, 2, 2, 0, 0, 0, 2, 0, 1, 0, 0, 3, 1, 2, 1, 3, 1, 0, 2, 2, 2, 1, 2, 1, 1, 3, 0, 0, 3, 0, 3, 2, 1  },
{ 3, 2, 0, 2, 3, 1, 3, 2, 1, 2, 2, 2, 0, 2, 0, 2, 3, 1, 0, 2, 3, 2, 1, 3, 1, 2, 1, 1, 1, 1, 2, 2, 2, 1, 3, 2, 3, 2, 3, 1, 3, 2  },
{ 0, 2, 2, 2, 1, 1, 3, 1, 3, 2, 1, 2, 1, 0, 2, 0, 0, 1, 3, 2, 3, 2, 0, 3, 2, 2, 0, 2, 0, 1, 2, 2, 0, 3, 3, 1, 2, 3, 3, 3, 0, 2  },
{ 0, 2, 2, 2, 1, 2, 3, 0, 3, 3, 2, 3, 1, 3, 3, 1, 1, 2, 0, 1, 3, 2, 0, 2, 2, 2, 3, 1, 2, 0, 2, 2, 3, 3, 0, 1, 2, 3, 3, 1, 3, 2  },
{ 2, 3, 0, 2, 0, 0, 3, 3, 0, 2, 3, 0, 2, 0, 1, 1, 0, 0, 2, 1, 2, 2, 0, 0, 3, 2, 0, 3, 1, 2, 2, 2, 0, 3, 3, 0, 2, 3, 3, 2, 2, 2  },
{ 0, 2, 2, 2, 1, 2, 3, 3, 0, 2, 0, 1, 3, 3, 1, 0, 0, 3, 0, 2, 3, 2, 2, 0, 0, 2, 0, 2, 3, 0, 0, 0, 0, 2, 0, 1, 2, 3, 2, 0, 3, 2  },
{ 0, 2, 3, 2, 1, 0, 2, 3, 0, 2, 3, 1, 0, 0, 0, 0, 3, 0, 1, 1, 2, 2, 2, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 3, 2, 1, 3, 2, 2, 3, 2  },
{ 2, 2, 0, 0, 0, 0, 3, 1, 0, 2, 0, 3, 1, 2, 0, 1, 0, 2, 2, 3, 2, 2, 2, 1, 3, 2, 0, 3, 0, 2, 0, 0, 0, 0, 3, 0, 1, 3, 2, 0, 3, 2  },
{ 0, 2, 3, 0, 1, 3, 3, 2, 2, 3, 2, 1, 3, 2, 0, 0, 1, 3, 0, 3, 3, 2, 2, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 0, 1, 2, 3, 2, 0, 3, 2  },
{ 2, 2, 0, 1, 3, 0, 0, 1, 0, 2, 0, 3, 1, 2, 0, 0, 1, 2, 3, 2, 3, 2, 3, 0, 1, 2, 3, 3, 2, 0, 0, 0, 0, 0, 1, 3, 1, 3, 2, 3, 3, 0  },
{ 0, 2, 3, 2, 0, 1, 3, 1, 0, 2, 3, 3, 0, 3, 1, 1, 2, 2, 0, 3, 1, 2, 3, 3, 2, 1, 1, 3, 0, 2, 0, 0, 0, 0, 3, 3, 1, 3, 2, 2, 0, 2  },
{ 2, 0, 3, 2, 3, 0, 1, 3, 0, 2, 3, 1, 3, 1, 1, 1, 2, 2, 2, 1, 0, 3, 2, 3, 3, 1, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 1, 3, 2, 0, 3, 2  },
{ 0, 3, 0, 2, 3, 1, 3, 2, 3, 2, 3, 0, 3, 1, 3, 0, 3, 0, 2, 3, 3, 2, 1, 3, 1, 2, 2, 3, 2, 0, 3, 0, 3, 0, 2, 2, 3, 3, 3, 2, 3, 3  },
{ 0, 1, 3, 2, 0, 2, 3, 0, 0, 2, 1, 2, 3, 0, 0, 0, 0, 3, 1, 0, 1, 2, 2, 0, 3, 1, 2, 0, 2, 1, 3, 2, 1, 1, 3, 3, 0, 3, 0, 2, 1, 1  },
{ 3, 3, 1, 2, 3, 2, 3, 0, 2, 3, 0, 1, 3, 1, 2, 3, 2, 3, 0, 0, 3, 2, 3, 0, 1, 2, 1, 3, 1, 1, 3, 1, 2, 1, 0, 2, 1, 3, 2, 3, 2, 2  },
{ 0, 1, 3, 2, 1, 3, 2, 2, 0, 0, 2, 3, 3, 0, 1, 2, 2, 2, 0, 2, 0, 3, 0, 0, 0, 1, 3, 2, 0, 1, 3, 1, 3, 1, 1, 3, 1, 3, 2, 2, 2, 2  },
{ 2, 0, 1, 0, 0, 3, 3, 3, 0, 2, 0, 2, 0, 0, 0, 3, 3, 3, 0, 1, 1, 2, 1, 1, 3, 0, 0, 3, 0, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 3, 2, 1  },
{ 2, 0, 0, 0, 0, 0, 3, 3, 0, 2, 1, 3, 2, 2, 3, 1, 0, 0, 2, 1, 2, 1, 0, 3, 2, 2, 3, 0, 0, 2, 2, 2, 0, 0, 3, 0, 2, 3, 0, 3, 0, 2  },
{ 2, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 2, 3, 2, 2, 3, 2, 0, 3, 1, 0, 2, 0, 3, 0, 0, 0, 3, 0, 2, 2, 2, 1, 2, 0, 0, 2, 2, 3, 1, 1, 2  },
{ 2, 0, 3, 1, 1, 0, 3, 1, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 3, 0, 2, 2, 0, 0, 3, 2, 0, 1, 2, 0, 0, 2, 0, 2, 3, 0, 1, 0, 3, 2, 2, 2  },
{ 2, 0, 2, 0, 3, 0, 3, 0, 0, 2, 0, 2, 1, 2, 0, 0, 0, 0, 1, 1, 3, 2, 0, 3, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 3, 2, 0, 0, 1, 2, 0  },
{ 2, 0, 3, 0, 1, 0, 1, 1, 0, 2, 3, 2, 3, 1, 0, 1, 2, 1, 0, 3, 2, 2, 3, 0, 3, 1, 1, 3, 0, 2, 0, 0, 2, 0, 3, 0, 0, 3, 1, 0, 2, 0  },
{ 2, 3, 2, 0, 1, 1, 2, 1, 1, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 3, 3, 2, 0, 3, 1, 2, 0, 3, 0, 3, 1, 3, 1, 2, 1, 3, 0, 1, 2, 0, 0, 1  },
{ 1, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 3, 0, 3, 2, 1, 0, 1, 3, 2, 2, 2, 3, 3, 1, 2, 0, 3, 2, 2, 0, 0, 0, 2, 0  },
{ 2, 3, 1, 0, 0, 1, 2, 3, 0, 1, 1, 3, 0, 1, 0, 1, 1, 2, 2, 0, 3, 2, 2, 1, 3, 2, 0, 1, 0, 3, 2, 0, 0, 0, 1, 0, 1, 3, 0, 2, 1, 0  },
{ 2, 3, 1, 0, 0, 0, 3, 1, 3, 1, 2, 1, 0, 1, 1, 2, 3, 2, 2, 0, 1, 3, 1, 0, 0, 0, 1, 2, 2, 3, 3, 0, 0, 0, 3, 2, 1, 0, 1, 0, 2, 3  },
{ 0, 2, 3, 2, 0, 1, 3, 3, 3, 0, 1, 0, 1, 2, 1, 2, 3, 0, 0, 0, 3, 2, 1, 1, 3, 2, 1, 0, 0, 1, 2, 2, 1, 3, 1, 2, 3, 0, 3, 3, 0, 2  },
{ 0, 2, 1, 2, 0, 0, 3, 0, 3, 2, 1, 3, 3, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 2, 3, 1, 2, 3, 1, 3, 2, 2, 3, 3, 1, 2, 0, 1, 3, 2, 1, 2  },
{ 3, 2, 0, 2, 3, 1, 3, 2, 3, 0, 2, 1, 2, 1, 3, 2, 3, 1, 0, 1, 3, 2, 3, 1, 3, 2, 1, 3, 2, 1, 0, 1, 1, 1, 3, 2, 2, 3, 2, 3, 0, 2  },
{ 0, 2, 3, 2, 0, 0, 2, 3, 2, 2, 3, 0, 0, 1, 1, 0, 3, 1, 0, 3, 1, 3, 2, 3, 1, 2, 2, 1, 1, 2, 0, 1, 1, 1, 3, 2, 2, 3, 1, 3, 0, 2  },
{ 2, 0, 3, 2, 0, 0, 3, 1, 3, 2, 3, 0, 1, 1, 3, 1, 3, 1, 3, 2, 1, 2, 1, 3, 2, 2, 2, 0, 1, 2, 0, 2, 0, 3, 3, 2, 0, 1, 3, 0, 0, 2  },
{ 0, 1, 0, 2, 1, 0, 3, 3, 1, 2, 3, 2, 2, 0, 2, 2, 1, 2, 3, 1, 3, 2, 0, 3, 1, 2, 1, 2, 1, 3, 1, 1, 1, 3, 3, 2, 2, 3, 2, 3, 1, 2  },
{ 0, 2, 3, 2, 0, 2, 0, 3, 2, 2, 0, 3, 2, 2, 0, 0, 0, 1, 1, 3, 0, 0, 0, 3, 2, 1, 3, 2, 2, 2, 0, 0, 0, 1, 3, 0, 2, 3, 0, 3, 0, 2  },
{ 2, 1, 0, 2, 0, 3, 1, 0, 3, 2, 0, 3, 2, 2, 1, 0, 3, 1, 2, 0, 2, 2, 1, 1, 3, 0, 2, 0, 3, 3, 2, 1, 0, 0, 3, 1, 0, 2, 3, 0, 2, 2  },
{ 0, 2, 3, 1, 1, 3, 3, 1, 2, 2, 0, 3, 0, 0, 3, 3, 3, 2, 3, 0, 3, 2, 0, 3, 0, 1, 1, 2, 0, 3, 0, 0, 0, 2, 0, 0, 3, 0, 3, 0, 3, 2  },
{ 0, 0, 1, 2, 0, 0, 1, 3, 2, 2, 3, 0, 0, 3, 1, 0, 1, 3, 0, 1, 3, 1, 2, 3, 0, 2, 3, 1, 0, 2, 0, 0, 0, 3, 1, 3, 1, 3, 3, 0, 3, 2  },
{ 3, 1, 0, 2, 0, 0, 1, 3, 0, 2, 3, 0, 1, 3, 0, 0, 2, 3, 2, 3, 3, 3, 2, 3, 0, 0, 0, 2, 3, 2, 3, 0, 0, 0, 3, 1, 0, 3, 2, 0, 3, 2  },
{ 1, 0, 1, 2, 0, 3, 1, 0, 3, 2, 0, 3, 1, 0, 0, 0, 1, 0, 3, 0, 1, 2, 0, 1, 3, 0, 1, 0, 3, 0, 3, 0, 0, 0, 3, 0, 3, 2, 1, 2, 3, 0  },
{ 2, 3, 1, 2, 0, 0, 2, 3, 0, 1, 1, 0, 3, 0, 0, 0, 2, 0, 1, 2, 0, 2, 1, 3, 2, 3, 2, 2, 0, 3, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0  },
{ 0, 1, 3, 2, 1, 3, 3, 0, 3, 0, 3, 1, 2, 1, 0, 3, 3, 0, 2, 0, 3, 2, 2, 3, 1, 1, 1, 2, 2, 0, 0, 2, 0, 3, 3, 0, 2, 3, 3, 2, 3, 2  },
{ 0, 1, 0, 2, 0, 0, 3, 1, 0, 2, 3, 0, 1, 0, 1, 0, 3, 0, 2, 1, 3, 3, 2, 0, 1, 1, 2, 3, 3, 2, 3, 0, 0, 0, 1, 3, 1, 3, 3, 2, 3, 0  },
{ 2, 3, 0, 1, 1, 3, 0, 1, 2, 2, 2, 3, 3, 3, 0, 0, 3, 1, 1, 3, 1, 2, 0, 2, 1, 3, 2, 2, 0, 0, 3, 0, 0, 0, 0, 3, 1, 3, 0, 3, 0, 0  },
{ 2, 3, 1, 1, 0, 2, 3, 0, 0, 0, 3, 1, 3, 2, 0, 0, 2, 2, 1, 2, 0, 1, 0, 3, 1, 0, 0, 3, 0, 3, 2, 0, 1, 3, 1, 0, 0, 1, 3, 1, 2, 1  },
{ 2, 0, 3, 2, 0, 0, 1, 3, 1, 2, 0, 3, 0, 2, 3, 1, 0, 0, 3, 1, 0, 2, 1, 3, 2, 1, 0, 1, 0, 0, 2, 2, 3, 1, 3, 1, 0, 2, 3, 0, 0, 2  },
{ 2, 1, 0, 0, 0, 3, 0, 1, 1, 2, 1, 0, 0, 3, 2, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 2, 2, 3, 2, 0, 1, 2, 3, 3, 1, 1, 2  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 0, 2, 0, 3, 0, 2, 3, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 0, 0, 2, 1, 0, 0, 2, 0, 1, 3, 0, 2, 0, 3, 2, 2, 2  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 3, 0, 2, 3, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 2, 3, 2, 3, 2, 3, 1, 2, 0, 3, 1, 0, 3  },
{ 2, 0, 0, 0, 1, 3, 0, 0, 0, 2, 3, 0, 3, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 3, 2, 2, 2, 2, 3, 0, 1, 3, 1, 0, 0, 3  },
{ 1, 2, 0, 0, 1, 1, 2, 3, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 0, 3, 2, 2, 0, 0, 0, 0, 1, 3, 0, 3, 2, 2  },
{ 1, 0, 0, 0, 3, 2, 1, 2, 0, 2, 2, 0, 3, 0, 1, 0, 2, 3, 2, 0, 3, 2, 0, 0, 3, 3, 0, 0, 3, 2, 3, 0, 0, 0, 3, 1, 0, 1, 0, 1, 2, 0  },
{ 3, 2, 3, 2, 0, 3, 2, 3, 0, 1, 0, 1, 3, 0, 2, 1, 3, 3, 1, 2, 0, 0, 1, 2, 3, 2, 0, 3, 0, 3, 3, 1, 0, 2, 0, 0, 3, 3, 0, 3, 1, 0  },
{ 1, 0, 1, 0, 1, 3, 2, 3, 0, 2, 0, 1, 2, 0, 0, 2, 3, 2, 0, 3, 0, 0, 0, 2, 3, 3, 3, 2, 0, 3, 2, 0, 0, 0, 1, 0, 1, 0, 0, 1, 3, 3  },
{ 0, 2, 3, 1, 0, 1, 3, 2, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 1, 1, 3, 1, 2, 3, 0, 1, 1, 1, 0, 1, 3, 2, 0, 3, 3, 1, 3, 2  },
{ 0, 2, 1, 2, 0, 0, 3, 3, 0, 2, 1, 0, 1, 0, 1, 1, 0, 0, 0, 3, 1, 3, 2, 3, 2, 2, 3, 1, 3, 3, 1, 1, 2, 2, 3, 2, 0, 1, 3, 3, 0, 2  },
{ 0, 1, 3, 2, 0, 2, 3, 3, 3, 0, 0, 0, 2, 2, 3, 2, 0, 0, 0, 0, 3, 0, 3, 1, 3, 2, 3, 1, 0, 1, 1, 1, 2, 0, 0, 1, 0, 3, 3, 3, 0, 2  },
{ 2, 1, 0, 2, 0, 0, 3, 1, 3, 2, 0, 0, 1, 2, 2, 1, 0, 0, 0, 3, 1, 2, 3, 2, 3, 1, 0, 2, 3, 2, 1, 2, 1, 3, 2, 1, 0, 2, 3, 1, 1, 2  },
{ 0, 2, 1, 2, 0, 0, 3, 3, 0, 2, 2, 2, 2, 2, 0, 2, 2, 0, 3, 0, 3, 1, 3, 1, 3, 2, 1, 1, 1, 2, 1, 1, 1, 2, 3, 1, 2, 3, 0, 3, 0, 2  },
{ 0, 1, 0, 2, 0, 0, 3, 2, 3, 2, 0, 3, 0, 1, 2, 1, 1, 1, 0, 1, 3, 1, 3, 0, 1, 2, 3, 1, 1, 2, 1, 1, 0, 3, 3, 2, 2, 3, 1, 3, 0, 2  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 0, 2, 3, 0, 3, 0, 1, 0, 3, 2, 0, 3, 1, 1, 2, 3, 1, 2, 3, 1, 3, 1, 0, 0, 1, 2, 3, 2, 3, 1, 1, 3, 1, 2  },
{ 1, 1, 0, 2, 0, 3, 2, 0, 3, 0, 0, 3, 3, 1, 0, 0, 0, 0, 3, 0, 1, 2, 1, 1, 3, 2, 3, 0, 3, 1, 3, 0, 1, 3, 1, 0, 0, 1, 3, 2, 0, 2  },
{ 0, 2, 2, 1, 1, 3, 3, 0, 2, 2, 2, 3, 0, 0, 0, 2, 1, 0, 2, 1, 3, 3, 0, 0, 2, 1, 2, 1, 1, 2, 1, 3, 1, 0, 3, 0, 2, 0, 3, 3, 0, 0  },
{ 0, 1, 3, 2, 0, 2, 3, 0, 3, 2, 3, 0, 1, 2, 3, 2, 0, 3, 0, 1, 3, 1, 1, 2, 0, 2, 3, 0, 0, 2, 1, 0, 0, 1, 3, 0, 2, 3, 2, 0, 3, 0  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 3, 2, 3, 0, 1, 3, 0, 0, 2, 3, 0, 3, 1, 2, 0, 1, 3, 1, 0, 2, 0, 3, 0, 0, 1, 1, 3, 0, 2, 3, 0, 1, 2, 0  },
{ 1, 3, 0, 2, 1, 0, 2, 0, 3, 0, 3, 0, 1, 2, 0, 0, 2, 0, 3, 0, 0, 2, 1, 0, 3, 3, 3, 1, 1, 3, 3, 0, 0, 1, 3, 0, 2, 0, 0, 1, 2, 0  },
{ 3, 2, 3, 1, 0, 2, 3, 3, 2, 2, 3, 0, 2, 3, 0, 2, 1, 2, 1, 0, 3, 0, 3, 2, 1, 1, 2, 1, 3, 2, 0, 0, 2, 1, 3, 0, 2, 3, 2, 3, 2, 2  },
{ 3, 2, 0, 1, 3, 0, 3, 2, 3, 2, 1, 0, 3, 2, 2, 0, 1, 3, 1, 0, 3, 2, 0, 3, 0, 1, 0, 2, 3, 1, 0, 0, 0, 1, 3, 3, 1, 3, 3, 0, 2, 0  },
{ 3, 1, 0, 2, 0, 1, 3, 0, 0, 2, 1, 0, 3, 1, 0, 0, 0, 2, 1, 3, 0, 2, 0, 3, 0, 3, 2, 0, 3, 1, 3, 0, 0, 1, 3, 3, 0, 3, 1, 0, 3, 0  },
{ 3, 1, 0, 0, 1, 0, 1, 3, 2, 2, 2, 0, 1, 3, 0, 0, 2, 3, 0, 2, 0, 2, 3, 0, 3, 3, 0, 1, 0, 1, 3, 2, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0  },
{ 0, 0, 2, 2, 2, 0, 3, 3, 0, 3, 0, 3, 2, 3, 0, 2, 0, 2, 1, 3, 0, 3, 0, 1, 0, 1, 2, 3, 1, 2, 0, 3, 2, 1, 3, 2, 0, 3, 2, 3, 2, 2  },
{ 2, 1, 0, 0, 0, 1, 3, 2, 3, 1, 3, 0, 3, 1, 0, 0, 2, 3, 3, 1, 0, 2, 0, 3, 0, 1, 1, 3, 2, 2, 3, 2, 0, 0, 1, 3, 1, 3, 1, 3, 2, 0  },
{ 3, 2, 0, 2, 0, 1, 3, 2, 3, 1, 0, 3, 2, 3, 1, 2, 0, 0, 0, 0, 0, 0, 1, 1, 3, 2, 0, 3, 0, 1, 2, 1, 0, 3, 0, 2, 0, 1, 3, 2, 0, 2  },
{ 2, 1, 0, 2, 0, 3, 0, 3, 2, 2, 0, 0, 0, 1, 3, 1, 0, 0, 3, 0, 1, 0, 0, 2, 3, 2, 0, 1, 0, 1, 0, 2, 3, 3, 1, 2, 0, 1, 3, 0, 1, 2  },
{ 1, 2, 0, 1, 0, 3, 0, 1, 1, 2, 0, 0, 0, 3, 2, 3, 3, 3, 2, 0, 1, 1, 0, 3, 1, 0, 1, 0, 0, 2, 3, 2, 1, 2, 3, 2, 2, 0, 0, 0, 1, 3  },
{ 1, 2, 0, 2, 0, 3, 0, 3, 2, 2, 0, 2, 0, 1, 1, 3, 0, 0, 0, 3, 0, 1, 1, 0, 1, 1, 3, 0, 0, 1, 0, 2, 3, 2, 3, 2, 0, 3, 0, 0, 1, 2  },
{ 0, 1, 3, 2, 0, 1, 3, 0, 3, 2, 3, 0, 0, 2, 0, 1, 0, 0, 3, 0, 1, 2, 1, 3, 3, 2, 0, 3, 0, 2, 3, 2, 1, 3, 1, 2, 2, 3, 2, 3, 1, 2  },
{ 1, 2, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 1, 1, 0, 1, 3, 0, 1, 2, 0, 3, 0, 3, 2, 0, 0, 3, 3, 3, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3  },
{ 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 3, 0, 0, 0, 3, 3, 3, 2, 2, 0, 3, 1, 0, 0, 0, 0, 1, 3, 2, 0, 2, 3, 2, 0, 0, 3, 0, 1, 0  },
{ 2, 1, 0, 0, 2, 3, 0, 2, 3, 0, 1, 3, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 1, 0, 3, 2, 0, 3, 0, 3, 3, 2, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0  },
{ 1, 3, 0, 2, 3, 3, 3, 0, 3, 2, 2, 3, 1, 2, 0, 0, 0, 0, 0, 0, 3, 2, 0, 1, 3, 0, 3, 1, 0, 1, 3, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0  },
{ 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 2, 1, 3, 2, 2, 2, 3, 1, 3, 0, 3, 2, 3, 3, 2, 2, 0, 0, 0, 2, 1, 0, 0, 3, 0  },
{ 1, 2, 0, 0, 3, 0, 0, 1, 0, 1, 1, 0, 3, 0, 1, 0, 2, 2, 0, 0, 3, 2, 0, 0, 1, 0, 3, 2, 0, 2, 3, 3, 0, 0, 3, 0, 0, 0, 0, 2, 3, 3  },
{ 3, 1, 0, 3, 2, 0, 1, 0, 3, 3, 0, 3, 2, 0, 1, 0, 0, 2, 0, 0, 3, 2, 2, 0, 3, 0, 0, 3, 2, 3, 3, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0  },
{ 3, 2, 3, 0, 0, 0, 2, 1, 0, 1, 0, 3, 0, 0, 1, 2, 0, 3, 1, 2, 3, 2, 0, 0, 0, 3, 3, 0, 0, 1, 3, 2, 2, 1, 0, 0, 2, 1, 3, 2, 3, 3  },
{ 3, 1, 0, 2, 0, 2, 3, 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 2, 0, 1, 1, 1, 0, 3, 2, 1, 0, 2, 3, 2, 3, 1  },
{ 0, 1, 2, 1, 0, 3, 3, 1, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 3, 0, 3, 3, 1, 0, 1, 1, 2, 0, 1, 1, 1, 0, 3, 2, 1, 0, 2, 3, 3, 0, 2  },
{ 0, 2, 2, 2, 0, 0, 3, 1, 0, 2, 3, 3, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0, 3, 1, 1, 1, 1, 3, 1, 2, 1, 0, 3, 1, 3, 0, 1  },
{ 0, 1, 3, 2, 0, 2, 3, 0, 0, 2, 1, 0, 0, 2, 2, 1, 0, 3, 0, 3, 0, 0, 3, 0, 3, 2, 3, 0, 3, 0, 1, 1, 1, 0, 3, 2, 0, 1, 3, 2, 0, 1  },
{ 3, 2, 1, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 3, 3, 1, 0, 2, 3, 2, 0, 2, 2, 0, 3, 1, 0, 1, 3, 2, 0, 2, 1, 3, 1, 2, 0, 2, 3, 1, 1, 2  },
{ 0, 0, 0, 2, 0, 2, 3, 2, 3, 2, 0, 0, 0, 1, 0, 2, 1, 0, 3, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 2, 1, 1, 3, 2, 2, 1, 2, 3, 0, 3, 0, 1  },
{ 3, 1, 0, 2, 0, 0, 3, 2, 3, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0, 0, 3, 1, 1, 0, 1, 2, 0, 1, 1, 3, 3, 1, 0, 2, 3, 3, 0, 1  },
{ 3, 1, 0, 2, 0, 1, 3, 0, 0, 2, 3, 0, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 2, 0, 3, 1, 3, 2, 1, 3, 0, 0, 1, 3, 3, 1, 2, 0, 0, 3, 1, 2  },
{ 2, 2, 3, 2, 0, 2, 3, 2, 3, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 0, 2, 1, 3, 1, 3, 2, 2, 3, 3, 1, 1, 3, 2, 0, 0, 2, 3, 2, 1, 2  },
{ 3, 2, 3, 3, 1, 0, 3, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 3, 0, 3, 0, 0, 2, 1, 0, 2, 2, 0, 0, 0, 2, 3, 1, 2, 3, 1, 3, 0, 1  },
{ 0, 1, 1, 2, 0, 0, 3, 3, 2, 2, 0, 2, 3, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 3, 0, 1, 2, 0, 3, 2, 0, 1, 1, 2, 3, 2, 2, 3, 0, 3, 0, 1  },
{ 2, 3, 0, 2, 2, 1, 3, 0, 0, 0, 3, 2, 3, 2, 0, 0, 2, 3, 3, 0, 3, 0, 1, 0, 1, 3, 1, 3, 1, 3, 2, 1, 0, 2, 3, 2, 2, 1, 3, 1, 3, 2  },
{ 3, 0, 0, 2, 0, 1, 0, 0, 3, 1, 3, 0, 1, 3, 0, 0, 2, 0, 3, 0, 3, 0, 2, 0, 3, 1, 3, 2, 1, 3, 3, 0, 1, 1, 3, 0, 2, 0, 3, 1, 3, 0  },
{ 0, 0, 2, 0, 1, 0, 3, 0, 1, 3, 2, 3, 3, 3, 0, 0, 0, 0, 1, 3, 0, 2, 1, 1, 3, 1, 2, 2, 0, 3, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0  },
{ 0, 0, 0, 2, 2, 0, 3, 2, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 0, 0, 2, 1, 3, 1, 2, 1, 0, 2, 1, 3, 3, 1, 2, 3, 1, 0, 3, 2  },
{ 3, 2, 2, 2, 0, 3, 3, 1, 2, 2, 3, 1, 3, 0, 2, 0, 0, 3, 2, 2, 3, 3, 3, 0, 0, 1, 1, 2, 3, 1, 0, 0, 0, 0, 3, 0, 2, 3, 3, 0, 2, 0  },
{ 2, 1, 3, 2, 1, 2, 0, 1, 2, 2, 1, 3, 0, 1, 0, 0, 2, 0, 3, 0, 3, 2, 3, 0, 0, 3, 3, 1, 2, 3, 3, 1, 1, 1, 3, 0, 1, 3, 3, 1, 2, 0  },
{ 0, 3, 0, 0, 0, 1, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 2, 2, 0, 2, 2, 3, 0, 1, 3, 3, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0  },
{ 3, 3, 1, 2, 0, 3, 1, 3, 0, 1, 2, 0, 2, 3, 0, 2, 0, 2, 3, 1, 3, 1, 0, 3, 0, 1, 3, 0, 2, 3, 0, 0, 3, 0, 3, 2, 1, 3, 2, 3, 2, 0  },
{ 0, 2, 3, 1, 1, 3, 2, 1, 2, 0, 2, 3, 2, 1, 0, 2, 0, 2, 0, 3, 2, 1, 0, 3, 0, 1, 3, 0, 0, 2, 3, 2, 1, 1, 1, 3, 1, 3, 3, 3, 2, 0  },
{ 0, 1, 3, 0, 2, 3, 0, 3, 2, 1, 0, 2, 3, 1, 0, 0, 2, 3, 2, 1, 3, 0, 2, 3, 0, 1, 0, 1, 1, 0, 3, 2, 0, 0, 2, 3, 0, 3, 0, 1, 2, 0  },
{ 1, 1, 0, 2, 0, 3, 0, 3, 3, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 3, 0, 2, 3, 2, 3, 1, 2, 1, 3, 0, 1, 2, 1, 1, 3, 2, 0, 0, 0, 1, 0, 1  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 3, 2, 3, 0, 3, 3, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 3, 1, 2, 3, 2, 3, 0, 2, 0, 0, 0, 0, 2  },
{ 2, 1, 0, 2, 0, 3, 0, 3, 1, 2, 1, 0, 0, 1, 1, 2, 0, 0, 3, 0, 1, 0, 1, 3, 1, 1, 2, 3, 0, 3, 1, 2, 1, 0, 3, 2, 2, 3, 0, 0, 1, 2  },
{ 2, 2, 3, 2, 2, 0, 0, 2, 3, 2, 3, 0, 3, 0, 2, 1, 0, 0, 3, 0, 1, 0, 3, 0, 3, 3, 0, 0, 3, 3, 0, 2, 1, 3, 0, 2, 0, 1, 0, 3, 1, 2  },
{ 2, 1, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 3, 2, 3, 0, 1, 2, 0, 3, 0, 3, 0, 0, 0, 3, 0, 3, 1, 2, 0, 0, 0, 2, 0, 0, 1, 3  },
{ 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 3, 0, 0, 0, 1, 3, 0, 0, 3, 0, 2, 1, 0, 3, 1, 1, 2, 1, 3, 3, 3, 2, 2, 2, 3, 2, 0, 2, 0, 0, 1, 0  },
{ 1, 2, 0, 2, 3, 0, 3, 0, 3, 3, 3, 0, 3, 0, 1, 0, 1, 2, 3, 0, 2, 1, 0, 3, 3, 0, 0, 1, 0, 3, 3, 2, 0, 0, 0, 0, 2, 2, 3, 0, 1, 0  },
{ 2, 3, 1, 0, 0, 3, 0, 0, 3, 0, 2, 3, 0, 0, 0, 0, 1, 0, 3, 0, 2, 3, 1, 0, 3, 3, 0, 1, 3, 3, 2, 0, 1, 3, 0, 0, 2, 0, 2, 0, 2, 0  },
{ 3, 1, 0, 0, 0, 3, 0, 1, 0, 1, 2, 3, 0, 0, 1, 0, 0, 0, 3, 2, 1, 2, 1, 3, 0, 3, 3, 0, 0, 3, 3, 3, 2, 3, 0, 1, 1, 0, 0, 0, 1, 0  },
{ 1, 3, 0, 0, 2, 2, 0, 2, 1, 1, 1, 3, 1, 0, 0, 3, 3, 0, 0, 0, 3, 2, 1, 0, 0, 1, 0, 0, 1, 1, 3, 2, 3, 0, 0, 3, 0, 0, 1, 0, 3, 0  },
{ 3, 1, 2, 2, 0, 0, 3, 0, 3, 0, 1, 0, 3, 0, 0, 2, 0, 3, 2, 0, 3, 0, 1, 3, 1, 2, 1, 0, 0, 2, 3, 0, 0, 1, 0, 3, 3, 0, 0, 3, 3, 3  },
{ 0, 2, 1, 3, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 3, 3, 0, 3, 2, 2, 2, 3, 0, 0, 2, 0, 0, 3, 0, 0, 2, 0, 2, 0, 3, 3, 1, 1, 0  },
{ 3, 0, 0, 0, 1, 1, 0, 2, 0, 2, 2, 2, 3, 0, 0, 2, 3, 3, 3, 0, 0, 2, 0, 2, 0, 0, 3, 0, 2, 3, 3, 0, 2, 1, 0, 0, 3, 0, 3, 1, 3, 3  },
{ 0, 0, 0, 2, 0, 1, 0, 3, 0, 3, 3, 1, 2, 3, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 2, 3, 0, 1, 2, 0, 2, 3, 0, 3, 2, 0, 3, 1, 0, 3, 3  },
{ 2, 1, 3, 1, 0, 0, 3, 2, 1, 2, 0, 3, 1, 1, 0, 0, 2, 1, 2, 1, 0, 1, 3, 1, 3, 3, 3, 0, 0, 0, 2, 1, 1, 1, 2, 0, 0, 1, 1, 3, 0, 1  },
{ 3, 2, 2, 2, 0, 1, 3, 1, 0, 2, 0, 2, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 2, 0, 0, 3, 2, 0, 1, 3, 0, 2, 1, 0, 3, 3, 0, 0, 1  },
{ 0, 1, 2, 2, 0, 2, 3, 1, 0, 2, 2, 1, 1, 2, 1, 0, 0, 0, 3, 3, 0, 0, 3, 0, 0, 1, 2, 1, 2, 1, 1, 1, 3, 1, 3, 1, 0, 2, 3, 1, 0, 1  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 3, 2, 3, 2, 0, 1, 0, 2, 0, 3, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 3, 3, 0, 1, 3, 0, 0, 1, 3, 0, 0, 3, 0, 1  },
{ 0, 2, 3, 2, 0, 1, 3, 1, 0, 2, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 3, 2, 0, 3, 1, 1, 3, 3, 3, 1, 0, 2, 3, 2, 0, 1  },
{ 2, 1, 0, 2, 0, 1, 1, 0, 0, 2, 3, 0, 0, 3, 3, 1, 0, 1, 1, 3, 0, 0, 3, 2, 3, 0, 0, 1, 0, 3, 1, 1, 2, 3, 1, 1, 0, 2, 3, 3, 0, 1  },
{ 0, 2, 3, 1, 3, 2, 3, 0, 2, 2, 0, 0, 0, 2, 3, 0, 0, 2, 3, 0, 3, 0, 2, 0, 0, 2, 0, 0, 3, 2, 0, 0, 3, 1, 0, 2, 3, 1, 0, 3, 0, 1  },
{ 2, 0, 0, 2, 0, 1, 3, 0, 0, 0, 2, 2, 0, 1, 0, 2, 2, 3, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 3, 3, 0, 0, 1, 3, 0, 1, 0, 1, 1, 3, 0, 0  },
{ 2, 0, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 0, 2, 3, 2, 0, 0, 0, 3, 0, 0, 3, 0, 3, 1, 1, 3, 0, 3, 0, 1, 1, 3, 3, 1, 0, 0, 0, 3, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 2, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 3, 0, 3, 1, 2, 1, 1, 3, 0, 1, 1, 3, 0, 1, 0, 3, 3, 0, 0, 0  },
{ 0, 2, 3, 1, 3, 0, 3, 2, 3, 2, 0, 0, 0, 0, 0, 2, 3, 2, 1, 0, 3, 2, 0, 0, 3, 2, 0, 0, 3, 2, 3, 0, 3, 0, 3, 2, 3, 2, 0, 3, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 3, 2, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 3, 0, 2, 2, 3, 0, 3, 1, 0, 0, 1, 3, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 3, 1, 2, 0, 1, 0, 0, 2, 0, 1, 2, 3, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 3, 3, 0, 0, 1, 2, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 2, 0, 0, 3, 3, 2, 1, 1, 0, 0, 3, 0, 1, 2, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 3, 3, 0, 1, 1, 3, 1, 0, 0, 2, 1, 0, 0, 1  },
{ 3, 0, 0, 0, 2, 3, 0, 0, 1, 0, 1, 1, 3, 2, 0, 0, 1, 2, 0, 1, 0, 3, 0, 1, 3, 3, 3, 1, 0, 1, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 3, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 3, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 1, 2, 3, 3, 0, 0, 0, 2, 3, 0, 1, 3, 0, 0, 2, 3, 3, 0, 2, 3, 0, 3, 3, 1  },
{ 0, 0, 0, 2, 0, 2, 3, 2, 0, 1, 1, 2, 3, 2, 1, 0, 0, 2, 1, 3, 2, 3, 0, 0, 1, 1, 3, 1, 0, 3, 0, 0, 3, 1, 3, 0, 2, 3, 3, 0, 2, 1  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 1, 3, 2, 3, 2, 0, 2, 0, 1, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 1, 3, 0, 1, 3, 3, 0, 3, 0  },
{ 0, 0, 0, 3, 3, 2, 1, 1, 2, 0, 1, 0, 1, 2, 0, 0, 3, 0, 3, 0, 3, 2, 0, 0, 2, 2, 2, 0, 0, 3, 0, 1, 1, 1, 3, 0, 0, 0, 2, 0, 1, 1  },
{ 0, 0, 1, 2, 2, 2, 0, 0, 1, 0, 2, 0, 3, 2, 0, 0, 1, 1, 3, 3, 0, 2, 0, 0, 2, 0, 1, 1, 0, 3, 0, 0, 1, 2, 3, 0, 2, 3, 1, 0, 2, 1  },
{ 3, 3, 0, 2, 0, 1, 3, 0, 2, 0, 1, 3, 0, 2, 0, 2, 0, 2, 3, 2, 0, 3, 0, 1, 0, 2, 0, 0, 1, 3, 0, 0, 3, 2, 0, 1, 1, 3, 1, 2, 3, 2  },
{ 0, 0, 3, 2, 0, 2, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 1, 0, 2, 3, 0, 0, 2, 3, 0, 2, 3, 0, 0, 3, 3, 1, 0, 0, 2, 3, 1, 3, 2, 0, 2, 0  },
{ 3, 2, 3, 0, 2, 3, 0, 3, 0, 2, 1, 3, 1, 0, 2, 0, 1, 0, 1, 2, 1, 0, 2, 3, 0, 0, 1, 0, 2, 3, 3, 1, 2, 0, 1, 3, 1, 0, 2, 3, 1, 2  },
{ 3, 2, 3, 2, 0, 1, 3, 1, 0, 2, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 2, 2, 1, 3, 0, 3, 0, 0, 1  },
{ 3, 1, 0, 2, 0, 2, 0, 3, 0, 1, 0, 0, 0, 3, 1, 3, 0, 0, 0, 2, 0, 0, 0, 1, 3, 1, 0, 1, 3, 0, 1, 2, 1, 3, 0, 2, 0, 2, 3, 0, 0, 1  },
{ 3, 1, 0, 2, 3, 0, 0, 3, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 3, 2, 3, 3, 1, 0, 0, 3, 0, 1, 2, 0, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 1, 3, 0, 0, 3, 2, 2, 3, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 3, 0, 3, 1, 2, 0, 3, 2, 0, 2, 0, 0, 0, 0, 1  },
{ 1, 2, 0, 2, 3, 0, 0, 1, 0, 1, 3, 0, 0, 3, 0, 1, 0, 2, 1, 3, 0, 2, 0, 3, 1, 2, 3, 0, 0, 3, 0, 2, 1, 0, 3, 2, 1, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 3, 3, 1, 0, 2, 0, 0, 0, 1, 2, 3, 3, 1, 2, 1, 3, 1, 0, 2, 1, 0, 0, 2, 0, 3, 3, 3, 0, 1  },
{ 2, 0, 0, 1, 0, 0, 3, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 3, 3, 3, 1, 2, 1, 1, 3, 0, 1, 1, 3, 0, 2, 3, 0, 3, 1, 1, 2  },
{ 1, 0, 0, 2, 0, 3, 0, 3, 2, 0, 0, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 1, 0, 3, 0, 0, 0, 3, 1, 3, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 1, 3  },
{ 1, 0, 0, 2, 2, 0, 0, 2, 3, 1, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 2, 3, 2, 3, 0, 2, 3, 0, 0, 0, 2, 3, 0, 0, 0, 1  },
{ 2, 0, 0, 1, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 1, 3, 1, 2, 0, 2, 1, 3, 0, 2, 2, 3, 1, 2, 0, 3, 3, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 3, 0, 0, 3, 0, 3, 0, 3, 0, 3, 2, 0, 3, 3, 1, 0, 0, 1, 3, 3, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0  },
{ 1, 0, 0, 1, 0, 3, 0, 3, 3, 1, 2, 2, 2, 0, 1, 2, 0, 2, 3, 1, 0, 2, 0, 3, 0, 3, 0, 1, 1, 3, 3, 2, 1, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 3, 3, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 0, 2, 0, 3, 0, 2, 0, 0, 1, 3, 3, 2, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 3, 3, 0, 0, 3, 1, 3, 3, 2, 0, 0, 0, 2, 3, 1, 0, 2, 0, 1, 3, 3, 2, 2, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 0, 3, 2, 1, 2, 0, 0, 1, 0, 3, 0, 0, 3, 2, 0, 0, 0, 2, 2, 3, 1, 0, 0, 0, 2, 3, 0, 0, 3, 0, 3, 1, 2, 0, 0, 1, 1  },
{ 1, 0, 0, 1, 2, 0, 0, 3, 2, 1, 2, 0, 3, 1, 1, 2, 0, 0, 3, 0, 3, 2, 0, 3, 0, 3, 1, 3, 0, 2, 3, 2, 2, 0, 0, 0, 0, 0, 0, 2, 3, 0  },
{ 3, 1, 2, 1, 3, 0, 0, 3, 3, 0, 2, 1, 2, 0, 0, 1, 3, 3, 0, 3, 0, 1, 0, 0, 0, 1, 0, 3, 0, 3, 3, 0, 3, 3, 0, 2, 2, 2, 0, 0, 0, 0  },
{ 2, 2, 3, 1, 1, 0, 2, 3, 2, 3, 3, 0, 2, 0, 0, 3, 0, 0, 3, 0, 3, 0, 0, 2, 0, 1, 1, 0, 0, 1, 3, 0, 0, 0, 3, 3, 0, 2, 1, 0, 3, 0  },
{ 0, 3, 0, 3, 1, 2, 0, 0, 0, 1, 1, 3, 1, 1, 1, 0, 0, 1, 1, 0, 2, 3, 2, 2, 2, 2, 0, 1, 1, 1, 0, 1, 2, 1, 0, 3, 1, 3, 0, 0, 3, 2  },
{ 3, 2, 0, 2, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 3, 0, 3, 3, 0, 1, 3, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 0, 2, 3, 2, 2, 3, 1, 3, 1, 2, 3, 2, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 1, 0, 1, 0, 2, 0, 0, 3, 1, 3, 2, 0, 1, 0, 3, 0, 0  },
{ 0, 2, 3, 2, 1, 1, 3, 0, 2, 1, 0, 2, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 3, 3, 0, 0, 3, 0, 3, 2, 0, 3, 0, 0, 0, 1  },
{ 3, 0, 0, 1, 0, 2, 3, 0, 0, 2, 3, 0, 0, 3, 0, 1, 0, 1, 0, 3, 0, 0, 3, 0, 0, 0, 2, 1, 0, 3, 0, 0, 2, 1, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 3, 2, 3, 2, 0, 2, 3, 0, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 0, 3, 0, 3, 0, 3, 3, 1, 2, 3, 1, 0, 3, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 1, 0, 0, 2, 3, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 0, 0, 2, 3, 0, 0, 3, 0, 0, 3, 0, 3, 1, 0, 1, 0, 3, 0, 1  },
{ 1, 0, 0, 2, 0, 0, 1, 0, 3, 2, 3, 1, 0, 2, 0, 1, 0, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 2, 0, 3, 0, 0, 2, 3, 3, 1, 0, 1, 3, 3, 0, 0  },
{ 3, 0, 0, 2, 0, 2, 3, 0, 0, 1, 3, 0, 0, 2, 0, 1, 0, 0, 0, 3, 3, 0, 3, 0, 3, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 1, 0, 2, 3, 0, 0, 0  },
{ 0, 2, 3, 1, 0, 0, 3, 1, 0, 3, 2, 0, 0, 1, 2, 0, 0, 2, 3, 2, 3, 0, 3, 0, 2, 2, 1, 0, 3, 1, 3, 0, 0, 3, 3, 2, 3, 1, 0, 3, 0, 0  },
{ 0, 2, 3, 2, 3, 2, 3, 3, 0, 1, 1, 0, 0, 2, 1, 0, 2, 3, 0, 0, 3, 0, 3, 0, 1, 2, 0, 0, 0, 3, 0, 0, 1, 3, 3, 1, 0, 1, 3, 2, 0, 1  },
{ 2, 1, 1, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 2, 3, 0, 0, 3, 0, 0, 0, 3, 2, 2, 0, 1, 3, 0, 0, 1, 3, 2, 1, 0, 0, 3, 0, 3, 0  },
{ 0, 0, 1, 2, 1, 1, 0, 2, 3, 0, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 2, 2, 0, 0, 3, 3, 0, 0, 1, 3, 1, 0, 0, 0, 1, 0, 2, 1  },
{ 3, 0, 1, 1, 0, 0, 0, 0, 1, 2, 0, 2, 3, 2, 0, 0, 2, 1, 1, 0, 3, 1, 0, 1, 3, 0, 3, 1, 1, 3, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 3, 0  },
{ 3, 2, 2, 2, 0, 0, 3, 0, 2, 2, 3, 0, 0, 2, 1, 0, 0, 2, 0, 0, 3, 3, 0, 1, 2, 2, 3, 1, 0, 0, 3, 0, 1, 0, 3, 2, 1, 3, 0, 3, 3, 1  },
{ 0, 1, 3, 2, 0, 2, 3, 2, 0, 0, 3, 0, 0, 1, 1, 0, 0, 2, 3, 0, 3, 0, 3, 0, 2, 1, 3, 0, 0, 1, 3, 0, 3, 1, 3, 1, 2, 3, 3, 0, 2, 1  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 2, 0, 3, 2, 0, 0, 1, 0, 3, 3, 0, 2, 0, 3, 2, 3, 1, 0, 3, 0, 3, 0, 1, 3, 0, 0, 1, 3, 0, 2, 1  },
{ 0, 0, 1, 2, 2, 2, 0, 0, 1, 1, 3, 0, 2, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 0, 3, 0, 2, 1, 2, 3, 0, 0, 1, 3, 1, 0, 0, 2, 0, 2, 2, 1  },
{ 3, 0, 0, 3, 0, 2, 3, 0, 1, 0, 1, 3, 1, 1, 0, 1, 0, 2, 0, 3, 2, 3, 0, 1, 2, 1, 2, 0, 0, 2, 0, 3, 1, 0, 3, 1, 3, 0, 3, 3, 2, 2  },
{ 1, 3, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 0, 1, 0, 2, 0, 3, 1, 2, 3, 0, 3, 2, 0, 3, 2, 3, 0, 3, 1, 1, 3, 1, 3, 2, 1, 2, 2  },
{ 3, 2, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 2, 0, 1, 0, 2, 2, 0, 1, 3, 0, 2, 3, 0, 0, 1, 2, 0, 3, 3, 0, 1, 1, 2, 3, 1, 0, 3, 2, 0, 2  },
{ 0, 0, 2, 1, 1, 0, 0, 2, 1, 3, 0, 1, 1, 3, 0, 0, 0, 2, 3, 0, 1, 1, 2, 3, 0, 0, 1, 2, 3, 3, 0, 0, 2, 1, 2, 3, 3, 0, 0, 2, 1, 0  },
{ 3, 2, 1, 2, 0, 1, 3, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 1, 3, 0, 2, 0, 1, 0, 3, 0, 1, 3, 0, 0, 0, 0, 1  },
{ 3, 1, 0, 1, 0, 0, 0, 1, 0, 1, 2, 3, 0, 2, 1, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 3, 0, 3, 3, 0, 1, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 3, 0, 3, 1, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 2, 1, 0, 1, 3, 0, 2, 3, 0, 1, 3, 0, 3, 1, 2, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 2, 2, 3, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 3, 2, 0, 3, 0, 0, 3, 0, 0, 1, 2, 0, 3, 0, 0, 1, 3, 0, 3, 1, 0, 2, 3, 0, 0, 1  },
{ 1, 0, 0, 1, 3, 0, 0, 3, 2, 2, 3, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 0, 0, 3, 1, 2, 3, 0, 3, 1, 1, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 1, 3, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 3, 2, 3, 0, 0, 3, 3, 1, 0, 2, 0, 3, 3, 0, 1, 2, 0, 3, 1, 0, 0, 0, 0, 0, 1  },
{ 2, 0, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 3, 0, 3, 2, 3, 2, 3, 3, 0, 1, 2, 3, 1, 3, 0, 1, 0, 1, 0, 1  },
{ 3, 0, 0, 2, 3, 0, 3, 0, 0, 3, 2, 1, 0, 0, 2, 0, 0, 0, 3, 3, 0, 0, 3, 2, 3, 2, 0, 3, 0, 3, 0, 0, 2, 0, 0, 2, 1, 0, 3, 2, 1, 2  },
{ 0, 0, 0, 2, 0, 3, 0, 2, 3, 0, 1, 3, 0, 0, 1, 3, 2, 0, 1, 3, 0, 0, 0, 1, 1, 2, 2, 3, 2, 3, 0, 2, 0, 2, 0, 3, 1, 0, 0, 0, 0, 3  },
{ 0, 1, 0, 2, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 3, 0, 0, 1, 0, 3, 1, 2, 1, 0, 2, 3, 0, 2, 2, 0, 3, 2, 3, 0, 0, 0, 0, 1  },
{ 3, 0, 0, 2, 1, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 3, 1, 2, 1, 3, 3, 3, 0, 1, 2, 3, 1, 0, 0, 3, 2, 1, 0, 0  },
{ 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 3, 0, 2, 2, 3, 3, 0, 1, 2, 3, 0, 2, 0, 0, 0, 3, 0, 0  },
{ 1, 0, 0, 1, 0, 3, 0, 2, 3, 3, 1, 1, 1, 0, 0, 3, 1, 2, 3, 1, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 0, 2, 2, 1, 0, 2, 3, 0, 0, 0, 0, 3  },
{ 2, 1, 0, 2, 3, 2, 3, 0, 3, 1, 1, 0, 2, 0, 0, 3, 0, 0, 3, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 3, 0, 2, 3, 0, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 2, 3, 0, 0, 0, 3, 2, 2, 0, 0, 0, 0, 3, 3, 0, 0, 1, 0, 2, 3, 2, 2, 0, 1, 3, 0, 2, 1, 0, 0, 1, 3, 1, 0, 0, 3, 3  },
{ 1, 0, 1, 3, 1, 0, 3, 0, 2, 2, 2, 3, 3, 0, 3, 0, 3, 2, 0, 3, 0, 1, 2, 2, 2, 1, 0, 2, 0, 2, 3, 0, 1, 0, 0, 3, 0, 2, 0, 0, 3, 0  },
{ 0, 0, 2, 3, 3, 0, 2, 0, 2, 0, 2, 2, 1, 0, 0, 2, 0, 0, 1, 3, 3, 2, 0, 2, 0, 3, 1, 0, 2, 2, 3, 2, 2, 0, 0, 3, 0, 2, 0, 1, 3, 0  },
{ 2, 3, 0, 3, 1, 0, 0, 0, 0, 3, 0, 2, 2, 0, 0, 3, 2, 0, 0, 3, 1, 1, 1, 2, 0, 2, 0, 2, 2, 3, 3, 2, 3, 0, 3, 3, 0, 2, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 2, 3, 1, 1, 3, 3, 0, 0, 2, 0, 0, 3, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 0, 3, 1, 2, 2, 0, 0, 3, 0, 0, 3, 1, 2, 3, 1, 0  },
{ 2, 1, 0, 2, 0, 3, 2, 1, 1, 2, 0, 3, 1, 0, 0, 1, 2, 2, 0, 3, 0, 2, 1, 2, 2, 0, 1, 2, 1, 1, 1, 0, 2, 2, 0, 2, 2, 0, 0, 0, 3, 3  },
{ 0, 2, 0, 1, 0, 1, 0, 1, 3, 3, 1, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 3, 0, 2, 0, 3, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 3, 0, 3, 3, 0, 2, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 0, 1, 0, 1, 3, 2, 0, 1, 0, 3, 0, 1, 0, 1, 0, 3, 0, 0, 0, 0, 1, 1, 1, 3, 0, 3, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 2, 2, 3, 0, 0, 2, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 1, 0, 0, 1, 3, 0, 3, 0, 3, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 1  },
{ 2, 0, 3, 0, 2, 3, 0, 1, 0, 1, 3, 2, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 2, 2, 3, 0, 3, 0, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 3, 0, 2, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 0, 2, 3, 2, 0, 3, 0, 0, 2, 0, 3, 1, 3, 0, 1, 0, 0, 0  },
{ 3, 2, 3, 2, 1, 2, 3, 0, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 3, 0, 3, 0, 3, 1, 0, 2, 1, 2, 3, 0, 3, 0, 3, 3, 1, 2, 3, 1, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 3, 0, 0, 3, 0, 1, 0, 1, 0, 1, 2, 2, 0, 0, 3, 0, 0, 1, 0, 2, 3, 2, 0, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 2, 0, 0, 2, 0, 2, 3, 0, 0, 2, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 2, 0, 2, 0, 3, 0, 0, 2, 0, 3, 1, 3, 1, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 1, 3, 0, 1, 1, 1, 0, 0, 2, 0, 1, 1, 1, 0, 0, 3, 0, 3, 0, 3, 2, 1, 1, 0, 3, 2, 0, 2, 3, 2, 1, 2, 0, 3, 0, 0, 0  },
{ 3, 2, 3, 2, 3, 1, 3, 0, 3, 0, 2, 1, 0, 3, 2, 0, 0, 3, 0, 0, 3, 0, 3, 1, 0, 2, 1, 0, 0, 3, 3, 0, 3, 0, 1, 2, 3, 1, 0, 3, 1, 2  },
{ 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 3, 0, 2, 3, 0, 3, 1, 2, 0, 2, 0, 0, 3, 0, 0, 3, 2, 0, 1, 0, 1, 3, 2, 0, 1  },
{ 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 3, 1, 0, 3, 0, 3, 2, 0, 2, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 0, 0, 3, 0  },
{ 0, 0, 1, 2, 3, 1, 0, 0, 3, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, 3, 0, 0, 0, 1, 0, 0, 3, 0  },
{ 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 1, 1, 3, 0, 0, 3, 0, 2, 0, 0, 2, 3, 1, 0, 0, 1, 2, 3, 0, 0, 1, 0, 0, 2, 0  },
{ 0, 2, 3, 2, 1, 2, 3, 0, 3, 2, 3, 0, 0, 2, 0, 1, 0, 0, 0, 3, 2, 0, 3, 2, 0, 2, 1, 1, 0, 1, 3, 0, 0, 0, 0, 3, 1, 3, 0, 3, 0, 1  },
{ 3, 0, 0, 2, 0, 3, 3, 2, 0, 1, 0, 0, 0, 3, 2, 0, 0, 1, 0, 2, 3, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 2, 3, 1, 1, 1, 0, 3, 0, 2, 0  },
{ 0, 0, 0, 3, 1, 3, 0, 0, 0, 2, 3, 0, 0, 2, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 2, 1, 3, 0, 0, 1, 3, 0, 2, 1  },
{ 0, 0, 1, 3, 3, 3, 0, 0, 3, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 1, 2, 0, 2, 0, 2, 0, 0, 1, 3, 1, 1, 0, 0, 3, 0, 2, 1  },
{ 0, 2, 3, 0, 0, 3, 2, 1, 0, 0, 2, 0, 3, 2, 0, 1, 0, 2, 0, 3, 2, 0, 3, 1, 2, 2, 1, 1, 0, 2, 0, 3, 1, 0, 1, 2, 0, 3, 3, 2, 3, 1  },
{ 0, 0, 3, 2, 0, 3, 1, 0, 0, 0, 2, 2, 3, 0, 2, 0, 0, 2, 0, 3, 3, 2, 1, 3, 0, 1, 0, 2, 0, 3, 0, 3, 0, 2, 1, 3, 1, 3, 0, 2, 2, 1  },
{ 2, 1, 3, 2, 3, 0, 0, 3, 0, 0, 1, 0, 2, 1, 1, 0, 0, 0, 2, 1, 0, 0, 1, 3, 0, 0, 2, 0, 1, 0, 3, 2, 0, 1, 0, 3, 1, 0, 3, 1, 2, 1  },
{ 0, 0, 0, 1, 0, 1, 0, 1, 0, 3, 1, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 1, 1, 3, 0, 2, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 3, 0, 1, 1, 1, 0, 1, 0, 3, 0, 0, 3, 0, 2, 2, 0, 0, 0, 1, 0, 2, 3, 1, 2, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 3, 0, 0, 3, 2, 3, 1, 2, 0, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 3, 3, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 1, 1, 1, 0, 3, 0, 0, 0, 3, 0, 1, 2, 3, 0, 3, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 3, 2, 0, 0, 2, 3, 1, 1, 0, 1, 3, 3, 0, 1, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 0, 2, 3, 0, 0, 3, 0, 0, 0, 0, 3, 1, 2, 3, 1, 0, 0, 0, 3, 1, 3, 2, 0, 2, 3, 0, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 2, 1, 1, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 3, 0, 1, 1, 0, 3, 0, 0, 2, 0, 1, 0, 3, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 2, 3, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 1, 3, 2, 1, 0, 3, 0, 3, 0, 3, 2, 3, 1, 1, 0, 0, 0, 2, 3, 1, 2, 0, 1, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 0, 2, 0, 0, 3, 1, 2, 3, 0, 0, 1, 3, 3, 0, 1, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 3, 0, 2, 3, 3, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 3, 0, 0, 0, 2, 2, 1, 0, 0, 2, 1, 3, 0, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 1, 2, 3, 0, 0, 3, 0, 0, 2, 0, 0, 1, 1, 0, 3, 0, 0, 0, 2, 3, 1, 2, 2, 1, 0, 3, 0, 1, 2, 1, 0, 3, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 3, 2, 0, 2, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 0, 3, 2, 3, 0, 2, 2, 3, 2, 0, 0, 2, 3, 0, 3, 0, 1, 0, 1, 0, 0  },
{ 0, 2, 0, 0, 1, 1, 0, 2, 3, 3, 3, 3, 0, 0, 0, 3, 0, 0, 0, 2, 0, 1, 0, 3, 0, 2, 0, 0, 3, 3, 0, 2, 2, 3, 2, 3, 0, 1, 0, 0, 0, 2  },
{ 1, 0, 0, 0, 0, 3, 1, 0, 2, 2, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 3, 0, 0, 2, 3, 2, 3, 3, 2, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 2, 1, 0, 3, 0, 0, 3, 0, 1, 2, 3, 1, 0, 2, 0, 2, 0, 0, 0  },
{ 1, 3, 2, 2, 0, 3, 0, 0, 0, 3, 0, 3, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 3, 2, 2, 0, 0, 2, 3, 2, 3, 1, 1, 3, 0, 1, 0, 0, 0, 3, 1, 0  },
{ 1, 3, 0, 1, 2, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 2, 3, 1, 1, 3, 1, 0, 2, 3, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 3, 1, 0, 2, 0, 2, 0  },
{ 3, 2, 2, 2, 3, 1, 3, 0, 1, 2, 0, 1, 2, 0, 0, 3, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 3, 3, 3, 3, 2, 1, 1, 0, 2, 0, 0, 0, 2, 0, 0  },
{ 2, 3, 1, 2, 1, 1, 3, 0, 2, 2, 2, 2, 3, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 2, 0, 3, 1, 3, 3, 3, 2, 0, 0, 1, 0, 3, 2, 0, 1, 3, 0, 0  },
{ 3, 2, 3, 3, 2, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 2, 2, 2, 3, 0, 1, 2, 0, 0, 3, 2, 2, 2, 2, 0, 2, 3, 0, 0, 1, 0, 1, 0, 1, 0  },
{ 2, 1, 0, 3, 1, 2, 0, 3, 1, 1, 0, 2, 2, 1, 1, 0, 1, 1, 0, 3, 0, 2, 2, 2, 1, 2, 0, 2, 1, 0, 3, 0, 1, 0, 0, 1, 0, 1, 0, 3, 1, 2  },
{ 1, 2, 0, 1, 0, 0, 0, 0, 3, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 3, 3, 2, 2, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 3, 0, 0, 3, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 3, 3, 3, 2, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 3, 3, 0, 0, 1, 2, 3, 1, 0, 3, 0, 1, 3, 2, 0, 3, 0, 0, 1, 1, 0, 1, 0, 1, 2, 0, 0, 2, 3, 1, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 1, 3, 0, 1, 0, 2, 3, 1, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 1, 0, 1, 1, 0, 3, 0, 3, 2, 3, 1, 3, 2, 0, 3, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 2, 0, 0, 3, 0, 2, 3, 1, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 0, 0, 1, 1, 3, 1, 3, 0, 3, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 0, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 1, 3, 0, 0, 1, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 1, 0, 1, 2, 3, 0, 1, 2, 3, 0, 0, 1, 0, 2, 0, 3, 0, 1, 3, 0, 3, 2, 0, 1, 1, 1, 3, 0, 3, 3, 0, 2, 1, 1, 3, 3, 0, 3, 0, 0  },
{ 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 2, 3, 1, 3, 0, 0, 3, 2, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 2, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 0, 3, 1, 0, 0, 2, 3, 0, 0, 0, 2, 0, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 0, 1, 3, 3, 3, 1, 0, 0, 0, 2, 3, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1, 0, 0, 2, 2, 0, 0  },
{ 0, 2, 3, 2, 1, 0, 3, 0, 1, 2, 3, 0, 0, 1, 3, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 3, 3, 0, 2, 0, 1, 3, 0, 1, 3, 0, 1  },
{ 0, 2, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 1, 0, 2, 3, 0, 0, 3, 3, 2, 0, 1, 0, 1, 3, 2, 0, 0  },
{ 0, 2, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 2, 2, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0, 2, 3, 0, 0, 2, 2, 2, 3, 1, 0, 0, 1, 2, 0, 0  },
{ 0, 3, 0, 3, 3, 3, 0, 3, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 0, 3, 3, 0, 0, 2, 1, 2, 3, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 3, 2, 1, 3, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 2, 0, 1, 2, 3, 0, 0, 0, 1, 2, 3, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 1, 2, 0, 0, 3, 0, 1, 2, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 3, 3, 0, 0, 0, 0, 1, 1, 3, 1, 3, 0, 1  },
{ 0, 0, 0, 3, 0, 1, 3, 2, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 0, 3, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 3, 0, 0, 2, 3, 1, 1, 0, 3, 0, 2, 1  },
{ 0, 3, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 0, 3, 2, 0, 1, 3, 0, 0, 0, 2, 2, 3, 0, 2, 0, 3, 0, 2, 1  },
{ 0, 3, 2, 1, 0, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 2, 1, 0, 0, 2, 3, 0, 1, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 1, 0, 2, 1  },
{ 1, 0, 0, 3, 2, 2, 2, 2, 2, 2, 1, 0, 0, 0, 0, 1, 0, 2, 3, 1, 2, 3, 1, 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 2, 2, 0, 0, 2, 0, 0, 3, 0  },
{ 0, 0, 0, 2, 0, 3, 0, 1, 1, 2, 0, 1, 3, 2, 0, 1, 0, 2, 0, 0, 3, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 3, 0, 2, 1, 0, 1, 3, 0, 3, 2, 1  },
{ 1, 0, 0, 2, 0, 2, 3, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 0, 2, 0, 3, 3, 0, 2, 0, 0, 1, 2, 0, 1, 3, 0, 2, 3, 2, 0, 0, 3, 0, 3, 2, 0  },
{ 2, 1, 2, 3, 1, 0, 0, 3, 0, 1, 0, 2, 3, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 3, 0, 1, 0, 3, 2, 0, 3, 1, 2, 1  },
{ 1, 1, 1, 0, 0, 1, 1, 0, 2, 1, 0, 1, 1, 2, 1, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 2, 1, 2, 0, 1, 3, 1, 0, 1, 0  },
{ 0, 2, 0, 0, 0, 3, 0, 1, 1, 3, 1, 1, 0, 3, 0, 1, 0, 1, 0, 3, 0, 0, 3, 1, 0, 2, 3, 1, 2, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 1, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 1, 1, 1, 2, 0, 0, 2, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 3, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0, 0, 0, 1, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 3, 3, 0, 0, 1, 1, 0, 1, 0, 0, 3, 0, 3, 1, 0, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 3, 3, 0, 2, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 1, 2, 3, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 0, 0, 1, 3, 3, 0, 3, 0, 0, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0, 1, 0, 3, 1, 0, 1, 0, 1, 0, 0, 0  },
{ 0, 3, 0, 1, 0, 0, 3, 0, 0, 2, 2, 0, 1, 0, 1, 0, 2, 3, 1, 0, 3, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 3, 1, 3, 1, 1, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 3, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 1, 1, 0, 2, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 1, 3, 0, 0, 3, 1, 0, 2, 2, 3, 0, 2, 0, 2, 0, 3, 1, 0, 2, 0, 2, 0, 0  },
{ 2, 3, 0, 0, 2, 1, 1, 1, 0, 3, 0, 0, 0, 3, 0, 1, 1, 0, 3, 0, 0, 0, 3, 3, 1, 3, 2, 0, 1, 3, 0, 1, 0, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 3, 1, 1, 2, 1, 1, 3, 0, 2, 3, 1, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 3, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 3, 1, 2, 3, 3, 1, 2, 0, 0, 2, 3, 1, 0, 0, 3, 2, 0, 0, 0  },
{ 0, 0, 3, 2, 1, 0, 0, 0, 3, 2, 0, 0, 1, 0, 0, 1, 3, 2, 3, 0, 3, 0, 0, 3, 3, 3, 0, 0, 0, 3, 0, 0, 2, 3, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 2, 2, 2, 0, 0, 1, 0, 0, 3, 0, 3, 1, 0, 3, 0, 0, 1, 1, 0, 1, 0, 2, 0, 1, 3, 2, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 2, 1, 2, 2, 0, 3, 2, 0, 0, 1, 0, 0, 1, 3, 3, 3, 0, 0, 0, 2, 2, 1, 2, 2, 0, 1, 2, 0, 1, 2, 2, 1, 2, 0, 0, 1, 0, 0, 0  },
{ 3, 0, 3, 3, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 1, 3, 1, 0, 1, 0, 2, 1, 2, 1, 0, 0, 3, 2, 1, 2, 0, 0, 2, 1, 1, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 3, 0, 0, 0, 1, 3, 2, 0, 1, 0, 2, 0, 3, 1, 2, 0, 1, 2, 3, 1, 0, 0, 2, 2, 3, 0, 2, 2, 0, 0, 0, 0, 0, 1, 0, 0  },
{ 3, 1, 2, 2, 0, 3, 1, 0, 1, 1, 0, 0, 1, 1, 0, 2, 2, 1, 1, 0, 0, 1, 3, 0, 0, 3, 2, 3, 1, 3, 0, 2, 2, 2, 0, 0, 2, 0, 0, 2, 0, 2  },
{ 3, 0, 0, 3, 0, 1, 3, 0, 0, 3, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 1, 1, 3, 0, 1, 0, 0, 1, 0, 2, 0, 2, 3, 0, 0, 1, 1, 0, 1, 3, 0  },
{ 1, 0, 0, 1, 0, 1, 0, 3, 0, 1, 1, 1, 0, 1, 3, 1, 0, 0, 3, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 2, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 0, 2, 0, 1, 0, 1, 3, 0, 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 0, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 0, 1, 3, 1, 0, 3, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 3, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 3, 2, 0, 2, 0, 1, 0, 1, 3, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 3, 3, 0, 0, 0, 2, 0, 1, 3, 0, 3, 0, 2, 1, 3, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 1, 0, 0, 3, 0, 0, 3, 1, 3, 1, 1, 0, 1, 0, 0, 3, 1, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 3, 2, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 3, 1, 3, 1, 3, 0, 0, 0, 0, 2, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 3, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 3, 1, 2, 0, 2, 0, 2, 3, 0, 0, 1, 0, 1, 0, 1, 3, 0, 3, 3, 0, 0, 0, 1, 3, 0, 1, 3, 1, 2  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 3, 3, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 1, 0, 1, 3, 1, 0, 0, 0, 2, 0, 3, 3, 1, 0, 3, 1, 2, 0, 0  },
{ 0, 0, 3, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 3, 3, 1, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 2, 2, 3, 1, 3, 2, 1, 0, 2, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 2, 3, 3, 1, 0, 2, 0, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 1, 3, 0, 0, 0, 1, 0, 0, 3, 1, 2, 0, 2, 0, 3, 3, 0, 0, 2, 0, 1, 0, 2, 1, 0, 3, 2, 0, 3, 1, 1, 3, 3, 1, 3, 1, 2  },
{ 0, 0, 3, 0, 1, 0, 3, 0, 0, 2, 0, 0, 3, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 1, 3, 2, 1, 0, 3, 0, 0, 3, 0, 3, 3, 1, 1, 0, 1, 2, 0, 1  },
{ 0, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 1, 1, 0, 3, 0, 0, 2, 3, 1, 0, 0, 1, 2, 0, 1  },
{ 0, 0, 3, 0, 2, 3, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 3, 3, 0, 1, 1, 0, 2, 0, 2, 2, 3, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 3, 1, 2, 2, 1, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 0, 3, 2, 2, 2, 1, 0, 0, 1, 1, 3, 1, 1, 0, 1, 0, 0, 1, 0  },
{ 0, 0, 0, 2, 0, 3, 0, 1, 2, 1, 0, 0, 0, 3, 0, 1, 0, 2, 0, 2, 3, 0, 0, 2, 0, 1, 1, 2, 0, 0, 0, 3, 0, 3, 3, 1, 3, 3, 1, 3, 0, 1  },
{ 0, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 3, 1, 1, 3, 0, 0, 2, 1  },
{ 0, 0, 3, 2, 0, 0, 2, 3, 0, 1, 2, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 3, 2, 2, 2, 1, 2, 0, 3, 0, 2, 1  },
{ 3, 1, 0, 0, 3, 2, 2, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 3, 0, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 2, 0  },
{ 1, 1, 0, 1, 2, 2, 2, 2, 2, 3, 0, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 1, 0, 3, 3, 0, 2, 2, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 1, 0, 3, 0, 2, 0, 1, 3, 0, 3, 0, 2, 0, 1, 0, 2, 3, 0, 3, 3, 2, 1  },
{ 0, 0, 3, 1, 0, 3, 1, 3, 1, 1, 3, 0, 3, 3, 0, 3, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 3, 0, 0, 1, 1, 0, 3, 1, 0, 3, 1, 2, 1  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 3, 0, 1, 3, 0, 0, 3, 0, 0, 2, 3, 1, 3, 0, 1, 2, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 1, 3, 1, 0, 1, 3, 1, 0, 3, 3, 0, 0, 3, 1, 0, 3, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 1, 3, 1, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 2, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 3, 0, 0, 0, 1, 1, 3, 0, 0, 0, 3, 1, 3, 0, 1, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 3, 3, 0, 1, 0, 0, 0, 1, 3, 3, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 3, 3, 0, 1, 3, 0, 0, 0, 0, 1, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 1, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 3, 3, 1, 0, 3, 0, 0, 2, 1, 1, 3, 1, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 3, 0, 2, 0, 3, 3, 0, 1, 0, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 3, 1, 0, 3, 0, 2, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 0, 3, 3, 1, 3, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 3, 2, 1, 0, 0, 3, 0, 1, 2, 0, 3, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 1, 3, 3, 3, 3, 0, 0, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 3, 2, 3, 0, 0, 2, 0, 2, 0, 1, 1, 0, 3, 0, 0, 0, 0, 2, 3, 1, 2, 0, 0, 2, 0, 0, 0  },
{ 0, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 3, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 0, 0, 2, 1, 1, 1, 1, 2, 1, 2, 0, 1, 1, 0, 1, 2, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 2, 0  },
{ 1, 0, 0, 0, 1, 1, 1, 1, 1, 2, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 3, 1, 3, 0, 2, 1, 3, 2, 1, 0, 3, 0, 2, 2, 1, 0, 0, 0, 0  },
{ 1, 0, 3, 3, 0, 3, 0, 2, 1, 3, 0, 0, 0, 0, 3, 0, 1, 1, 3, 2, 3, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 3, 0, 0, 2, 0, 2, 1, 0, 1, 0, 1, 3, 3, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 0, 0, 2, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 3, 3, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 2, 0  },
{ 3, 1, 0, 1, 0, 0, 1, 0, 1, 3, 1, 3, 3, 0, 1, 0, 1, 1, 3, 1, 2, 2, 0, 2, 2, 1, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 3, 3, 2, 1, 2, 0  },
{ 3, 0, 0, 3, 1, 1, 0, 0, 3, 0, 1, 2, 2, 2, 0, 3, 0, 1, 3, 2, 1, 1, 1, 2, 0, 0, 0, 1, 0, 2, 2, 2, 1, 1, 0, 3, 0, 2, 0, 1, 0, 0  },
{ 1, 0, 0, 0, 1, 3, 1, 0, 3, 0, 1, 0, 0, 0, 2, 0, 3, 2, 0, 2, 0, 1, 1, 2, 0, 0, 1, 3, 0, 3, 2, 0, 0, 3, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 3, 1, 3, 1, 1, 0, 0, 0, 3, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 3, 1, 3, 1, 1, 0, 0, 1, 2, 0, 0, 0, 3, 1, 2, 1, 0, 0, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 3, 1, 1, 2, 0, 0, 0, 1, 3, 1, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 1, 2, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 2, 0, 3, 1, 0, 1, 0, 0, 1, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 3, 0, 0, 0, 2  },
{ 3, 1, 3, 1, 1, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 2, 1, 0, 3, 3, 1, 3, 0, 1, 3, 0, 0, 0, 3, 0, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 3, 0, 1, 3, 1, 1, 3, 0, 0, 0, 3, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 3, 1, 0, 0, 2, 0, 3, 1, 3, 1, 3, 3, 1, 3, 0, 2  },
{ 3, 0, 1, 0, 0, 0, 0, 3, 1, 2, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 2, 2, 1, 0, 0, 3, 3, 0, 2, 1, 0, 0, 3, 0, 3, 1, 2  },
{ 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 3, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 2, 2, 0, 0, 0, 0, 3, 2, 3, 3, 0, 3, 0, 1, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 3, 3, 1, 1, 3, 2  },
{ 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 3, 0, 3, 0, 1, 3, 3, 0, 0, 0, 3, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 1, 3, 0, 0, 0, 0, 2, 0  },
{ 0, 0, 2, 1, 3, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0, 2, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 0, 3, 0, 2, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 2, 3, 3, 1, 0, 0, 2, 2, 0, 0  },
{ 2, 3, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 1, 1, 3, 0, 2, 0, 2, 1, 0, 2, 0, 0, 0, 1, 1, 0, 0  },
{ 1, 1, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 3, 0, 1, 3, 0, 2  },
{ 2, 0, 0, 1, 0, 3, 2, 0, 2, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 2, 1, 0, 1, 1, 1, 0, 3, 0, 0, 0, 3, 0, 3, 1, 3, 3, 3, 1, 0, 2, 1  },
{ 0, 0, 2, 3, 0, 2, 3, 0, 2, 1, 3, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 0, 3, 1, 0, 3, 0, 0, 0, 2, 2, 3, 0, 0, 3, 0, 0, 2, 0  },
{ 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 0, 0, 0, 0, 3, 0, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 2, 3, 0, 0, 1, 0, 0, 1, 0  },
{ 0, 1, 2, 0, 0, 3, 1, 2, 1, 1, 0, 1, 3, 0, 0, 2, 1, 2, 0, 0, 3, 0, 1, 0, 1, 2, 0, 1, 0, 3, 0, 2, 0, 2, 3, 3, 1, 3, 0, 2, 3, 2  },
{ 1, 0, 0, 1, 2, 3, 3, 1, 3, 1, 3, 1, 2, 0, 0, 3, 0, 1, 0, 3, 0, 2, 0, 3, 1, 1, 0, 1, 0, 3, 0, 3, 1, 0, 0, 2, 1, 3, 1, 0, 1, 0  },
{ 3, 3, 2, 1, 0, 2, 2, 0, 1, 1, 2, 0, 0, 1, 3, 1, 0, 1, 2, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 2, 1, 3, 1, 0, 3, 3, 0, 0, 0, 0, 1, 0  },
{ 0, 1, 1, 0, 2, 0, 3, 0, 0, 2, 0, 2, 0, 1, 3, 1, 2, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0  },
{ 3, 1, 3, 1, 1, 0, 0, 2, 3, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2  },
{ 1, 0, 2, 3, 1, 0, 1, 1, 0, 0, 0, 0, 3, 2, 3, 1, 1, 0, 0, 0, 1, 3, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 3, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 3, 2, 0, 0, 1, 3, 1, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0  },
{ 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 2, 3, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 1, 3, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 0, 3, 3, 0, 0, 0, 2, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 2, 0, 3, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 3, 1, 1, 1, 0, 0, 0, 0, 1, 2, 3, 0, 1, 2, 2, 3, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 1, 0, 1, 0, 1, 1, 0, 2, 1, 0, 1, 0, 2, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 2, 1, 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 1, 2, 2, 1, 0, 0, 3, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 2, 3, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 1, 2, 0, 0, 3, 0, 3, 3, 0, 0, 0, 0, 1, 0, 1, 0, 3, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 3, 0, 0  },
{ 0, 0, 1, 1, 0, 0, 1, 0, 0, 3, 1, 0, 0, 0, 1, 0, 1, 2, 2, 0, 2, 0, 2, 3, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 1, 3, 0, 2, 3, 0, 3, 0, 2, 3, 1, 3, 3, 0, 3, 1, 2, 2, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 1, 2, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0, 0, 1, 1, 2, 2, 0, 0, 2, 0, 1, 3, 0, 0, 0, 3, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 0  },
{ 0, 2, 0, 2, 2, 0, 0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 3, 1, 1, 0, 2, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 1, 3, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 2, 1, 1, 1, 0, 0, 2, 0, 1, 2, 0, 2, 2, 2, 1, 0, 0, 3, 1, 2, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 0, 1, 0, 2, 2, 0  },
{ 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 2, 0, 2, 3, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 0  },
{ 3, 0, 3, 0, 0, 2, 3, 1, 1, 0, 0, 1, 3, 0, 0, 0, 3, 2, 2, 2, 3, 1, 2, 2, 2, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 1  },
{ 0, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 3, 1, 2, 0  },
{ 3, 1, 3, 1, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 0, 1, 3, 1, 0, 3, 1, 3, 0, 0, 0, 0, 1, 3, 3, 1, 0, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2  },
{ 3, 0, 3, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 3, 1, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 3, 1, 0, 2, 1, 0, 3, 0, 1, 3, 3, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 3, 1, 0, 0, 2  },
{ 0, 3, 0, 0, 0, 0, 2, 0, 3, 1, 0, 0, 3, 0, 1, 0, 3, 2, 1, 0, 3, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 2, 0, 3, 1, 3, 1, 0, 0, 0, 1, 2  },
{ 3, 1, 2, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 1, 0, 3, 0, 1, 0, 0, 1, 3, 0, 0, 0, 2, 0, 2, 1, 1, 0, 3, 3, 1, 0, 0, 2  },
{ 2, 1, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 0, 3, 0, 2, 1, 3, 1, 3, 0, 0, 0, 2, 0, 3, 3, 1, 3, 1, 3, 1, 0, 0, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 3, 2, 1, 2  },
{ 1, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 3, 0, 1, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 3, 3, 1, 2, 0, 2, 0, 3, 1, 2, 2, 3, 3, 1, 3, 0, 2  },
{ 1, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 2, 1, 0, 2, 0, 1, 0, 0, 0, 2, 1, 0, 0, 2, 1, 0, 3, 3, 2, 0, 3, 1, 2, 0, 0  },
{ 0, 2, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 3, 0, 0, 0, 1, 2, 0, 0  },
{ 3, 0, 1, 3, 0, 3, 3, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 2, 2, 3, 3, 0, 1, 1, 0, 3, 0, 0  },
{ 1, 2, 3, 1, 3, 2, 0, 0, 1, 3, 3, 2, 2, 1, 3, 0, 1, 2, 1, 2, 1, 0, 1, 0, 0, 3, 1, 1, 1, 0, 0, 1, 2, 0, 2, 0, 2, 1, 0, 2, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 2, 2, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 3, 3, 0, 2, 3, 1, 1, 3, 0, 2  },
{ 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 2, 1, 2, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 3, 0, 0, 0, 3, 3, 1, 3, 1, 3, 0, 2, 0, 0  },
{ 0, 3, 0, 0, 0, 3, 0, 3, 0, 1, 0, 2, 1, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 3, 0, 0, 0, 0, 2, 3, 0, 0, 1, 3, 0, 2, 0  },
{ 3, 0, 0, 2, 2, 1, 1, 1, 2, 0, 3, 0, 2, 0, 3, 0, 0, 1, 0, 2, 1, 1, 0, 0, 1, 0, 0, 2, 3, 0, 0, 3, 2, 2, 3, 0, 2, 0, 1, 1, 0, 0  },
{ 3, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 3, 1, 3, 2, 1, 2, 0, 0, 3, 3, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 2, 3, 3, 0, 3, 1, 2, 3, 2  },
{ 0, 0, 0, 1, 1, 2, 3, 1, 2, 0, 2, 0, 3, 3, 0, 2, 3, 0, 0, 1, 0, 2, 0, 0, 3, 2, 0, 1, 0, 2, 2, 1, 0, 1, 0, 3, 1, 3, 1, 0, 1, 0  },
{ 3, 0, 0, 1, 0, 3, 3, 0, 2, 1, 0, 2, 1, 0, 2, 0, 2, 0, 0, 2, 0, 3, 0, 1, 0, 0, 1, 0, 0, 1, 2, 1, 0, 1, 0, 2, 1, 2, 1, 0, 1, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 3, 1, 3, 1, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 0, 3, 3, 1, 3, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 1, 3, 3  },
{ 0, 0, 0, 2, 1, 0, 2, 1, 0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 3, 0, 2, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 3, 3, 0, 1, 0, 0, 0, 2  },
{ 2, 1, 3, 1, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 1, 3, 2  },
{ 0, 2, 1, 0, 0, 1, 3, 0, 3, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 0, 1, 0, 0, 2  },
{ 1, 1, 0, 0, 2, 3, 0, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 3, 3, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 2, 3, 1, 3, 0, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 2, 1, 2, 2, 0, 0, 0, 0, 2, 0, 0, 1, 3, 3, 1, 2, 0, 2, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 2, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 3, 3, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 3, 0, 3, 3, 2, 1, 0, 3, 0, 0, 0, 1, 0, 0, 3, 2, 3, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 1, 0, 2, 3, 1, 2, 0, 0, 1, 0, 0, 0  },
{ 2, 1, 3, 2, 0, 3, 2, 0, 1, 1, 0, 2, 0, 0, 0, 1, 2, 1, 0, 1, 2, 0, 2, 3, 1, 2, 2, 2, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 2, 2, 0, 1, 1, 1, 1, 2, 0, 1, 0, 0, 3, 1, 0, 1, 0, 2, 0, 2, 3, 0, 0, 0, 0, 3, 0, 2, 0, 1, 0, 2, 1, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 2, 2, 1, 3, 1, 3, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 1, 2, 0, 0, 1, 0, 3, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 2, 2, 1, 0, 0, 1, 1, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 1, 0, 2, 0, 2, 2, 2, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 0, 0  },
{ 2, 0, 2, 2, 3, 2, 1, 0, 0, 0, 0, 2, 3, 1, 0, 1, 2, 3, 0, 1, 2, 0, 2, 3, 3, 1, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 3, 2, 3, 3, 2, 0  },
{ 2, 1, 3, 0, 2, 1, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 1, 1, 3, 1, 0, 0  },
{ 2, 0, 2, 0, 0, 3, 2, 0, 0, 2, 0, 1, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 2, 0, 2, 2, 3, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 2, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 1, 0, 1, 1, 0, 2, 3, 0, 3, 2, 3, 1, 0, 1, 3, 0, 3, 0, 2, 1, 0, 3, 1, 3, 3, 0, 2, 2, 1, 3, 3, 3, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 2, 1, 0, 0, 0, 1, 2, 3, 1, 0, 0, 2, 1, 0, 0, 1, 0, 0, 3, 0, 1, 0, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 2, 1, 0, 1, 3, 0, 0, 0, 3, 0, 3, 2, 2, 1, 1, 0, 0, 0, 2, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 2, 2, 1, 3, 1, 1, 2, 1, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 1, 3, 3, 3  },
{ 2, 0, 2, 0, 0, 0, 3, 0, 1, 0, 2, 0, 1, 0, 3, 3, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 0, 3, 3, 1, 3, 3, 1, 0, 3, 3, 2  },
{ 0, 0, 0, 1, 2, 0, 3, 0, 1, 0, 1, 0, 1, 2, 0, 0, 0, 0, 1, 0, 2, 1, 3, 0, 1, 0, 3, 0, 0, 0, 3, 0, 3, 2, 1, 3, 0, 0, 1, 0, 0, 2  },
{ 1, 1, 0, 3, 0, 3, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 1, 0, 0, 0  },
{ 0, 0, 3, 3, 0, 1, 3, 1, 0, 3, 2, 1, 3, 0, 0, 3, 0, 0, 1, 0, 2, 0, 2, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 3, 1, 2, 0, 2  },
{ 0, 1, 0, 3, 1, 0, 2, 0, 3, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0, 0, 3, 0, 0  },
{ 1, 0, 0, 2, 0, 0, 1, 3, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 3, 2, 0, 2, 0, 2, 1, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 3, 2, 0, 0, 1, 1, 1, 0, 3, 0, 0, 0, 1, 1, 2, 0, 0, 0, 3, 3, 0, 2, 0, 0, 0, 1, 2, 2, 0, 3, 0, 3, 1, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 0, 0, 0, 1, 3, 1, 3, 1, 1, 3, 1, 1, 3, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 2, 2, 0, 0, 1, 2, 1, 3, 3, 1, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 1, 3, 2, 1, 0, 1, 0, 2, 1, 1, 3, 1, 3, 1, 3, 0, 1, 0, 1  },
{ 1, 3, 0, 1, 3, 1, 1, 2, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 1, 0, 2, 0  },
{ 1, 0, 1, 0, 2, 1, 1, 2, 1, 0, 0, 3, 2, 1, 0, 0, 3, 0, 0, 1, 0, 3, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0  },
{ 3, 1, 2, 0, 2, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 1, 3, 1, 1, 0, 0, 2, 1, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 2, 0, 3, 2  },
{ 1, 0, 1, 2, 3, 0, 0, 0, 2, 0, 0, 1, 1, 2, 1, 3, 1, 0, 3, 0, 0, 3, 2, 1, 1, 3, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 0, 1, 2, 0, 1, 0  },
{ 0, 3, 0, 0, 1, 3, 0, 1, 1, 0, 0, 1, 0, 3, 3, 1, 0, 3, 0, 2, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 0, 2, 2, 3, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 0, 3, 2, 3, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 0, 1, 2, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 0, 3, 3, 3, 3, 1, 0, 0, 0, 2, 3, 1, 1, 3, 0, 1, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 2, 0, 1, 0, 3, 0, 3, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 3, 0, 3, 0, 2, 3  },
{ 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 2, 0, 0, 0, 1, 2, 3, 2, 0, 0, 1, 1, 0, 0, 0, 2  },
{ 0, 0, 1, 2, 0, 0, 1, 3, 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 2, 3, 0, 0, 3, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 1, 0, 1, 3, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0  },
{ 2, 1, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 2, 1, 0, 1, 1, 2, 1, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 2, 1, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 3, 0, 3, 1, 2, 0, 1, 0, 0, 3, 1, 0, 1, 0, 1, 1, 0, 1, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 3, 0, 1, 1, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 2, 1, 1, 0, 3, 0, 0, 1, 1, 0, 2, 1, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 3, 3, 1, 1, 2, 1, 0, 1, 1, 0, 0, 1, 2, 0, 3, 0, 2, 1, 0, 3, 1, 0, 2, 0, 3, 0, 0, 0, 0, 1, 0, 3, 2, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 2, 1, 3, 3, 1, 2, 1, 1, 0, 1, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 0, 3, 0  },
{ 2, 0, 1, 3, 0, 2, 2, 0, 0, 3, 3, 0, 1, 1, 0, 1, 0, 0, 1, 3, 2, 0, 2, 0, 0, 1, 3, 0, 0, 2, 0, 1, 1, 0, 2, 2, 1, 2, 0, 2, 0, 2  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 1, 1, 2, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0  }
 }
 },
{ 
{ 
{ 2, 2, 1, 2, 2, 3, 3, 3, 2, 2, 3, 2, 2, 3, 3, 2, 2, 3, 2, 2, 2, 2, 2, 3, 2, 2, 3, 3, 1, 1, 2, 3, 2, 3, 3, 1, 2, 3, 3, 2, 1, 1  },
{ 2, 2, 1, 2, 2, 3, 3, 3, 2, 2, 3, 2, 2, 2, 3, 1, 2, 3, 3, 2, 2, 2, 2, 3, 3, 1, 2, 3, 2, 3, 1, 1, 1, 3, 3, 3, 2, 2, 3, 2, 2, 1  },
{ 2, 1, 3, 2, 2, 1, 3, 2, 3, 2, 3, 0, 3, 3, 1, 3, 2, 1, 0, 3, 2, 2, 2, 3, 3, 1, 2, 0, 2, 3, 3, 1, 2, 3, 3, 3, 2, 2, 3, 3, 1, 2  },
{ 2, 2, 3, 1, 3, 1, 0, 2, 3, 2, 3, 3, 1, 3, 0, 2, 1, 0, 1, 1, 1, 1, 3, 3, 3, 2, 3, 0, 3, 2, 3, 2, 1, 3, 3, 2, 3, 3, 2, 2, 1, 3  },
{ 0, 1, 0, 1, 3, 3, 0, 0, 1, 0, 1, 2, 0, 3, 0, 3, 3, 3, 0, 1, 0, 0, 2, 0, 3, 2, 3, 1, 3, 2, 0, 1, 0, 3, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 3, 1, 1, 2, 3, 2, 1, 0, 1, 2, 0, 3, 0, 0, 0, 2, 2, 2, 1, 2, 2, 3, 2, 0, 0, 0, 0, 0, 2, 3, 1, 2, 3, 0, 3, 0, 2, 0, 1, 0, 1  },
{ 1, 1, 0, 3, 2, 0, 0, 3, 0, 3, 0, 1, 2, 1, 0, 0, 1, 0, 0, 1, 3, 0, 0, 3, 2, 1, 0, 3, 0, 1, 1, 3, 0, 3, 3, 1, 0, 2, 1, 1, 2, 1  },
{ 1, 3, 1, 2, 3, 2, 0, 1, 0, 0, 2, 1, 2, 0, 0, 2, 0, 0, 1, 3, 2, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 2, 2, 0, 1, 1, 3, 3, 3, 2, 1, 3, 3, 2, 1, 3, 2, 2, 1, 2, 2, 2, 2, 2, 3, 1, 0, 3, 3, 2, 2, 2, 3, 2, 1, 3, 2, 2, 3, 3, 2, 2, 0  },
{ 2, 2, 0, 2, 1, 3, 3, 3, 2, 2, 3, 3, 2, 1, 3, 2, 1, 1, 3, 2, 2, 2, 2, 3, 1, 2, 0, 2, 2, 1, 1, 2, 2, 1, 3, 0, 2, 3, 3, 2, 0, 3  },
{ 2, 0, 2, 2, 1, 1, 3, 3, 2, 0, 1, 3, 1, 1, 3, 1, 1, 1, 3, 2, 2, 2, 2, 3, 2, 2, 3, 3, 2, 2, 1, 0, 2, 2, 3, 3, 2, 0, 3, 1, 0, 1  },
{ 2, 0, 2, 2, 1, 0, 2, 3, 2, 2, 2, 3, 1, 0, 3, 2, 2, 1, 3, 2, 2, 2, 2, 3, 2, 2, 0, 2, 2, 0, 1, 2, 2, 2, 3, 3, 2, 3, 3, 2, 1, 2  },
{ 2, 0, 2, 2, 0, 1, 2, 3, 2, 1, 2, 0, 3, 0, 3, 2, 0, 1, 0, 3, 2, 2, 2, 3, 3, 2, 2, 1, 2, 1, 1, 2, 2, 2, 3, 3, 2, 3, 1, 1, 1, 2  },
{ 2, 0, 2, 2, 2, 1, 2, 3, 2, 2, 3, 2, 3, 0, 3, 2, 2, 3, 0, 2, 2, 2, 2, 3, 2, 2, 2, 1, 2, 2, 2, 2, 2, 2, 2, 3, 2, 3, 3, 2, 2, 2  },
{ 2, 1, 0, 1, 3, 2, 3, 2, 2, 2, 2, 1, 0, 1, 3, 2, 3, 1, 3, 0, 3, 3, 2, 1, 3, 2, 1, 1, 3, 2, 2, 2, 2, 2, 3, 3, 2, 3, 3, 1, 2, 3  },
{ 2, 1, 0, 2, 2, 1, 2, 3, 2, 2, 2, 2, 1, 3, 2, 2, 2, 1, 3, 3, 2, 2, 1, 3, 2, 2, 2, 2, 3, 2, 2, 1, 1, 2, 3, 1, 2, 3, 2, 3, 1, 3  },
{ 2, 1, 0, 1, 2, 2, 2, 2, 1, 2, 2, 0, 1, 2, 3, 2, 0, 0, 2, 3, 1, 2, 2, 1, 3, 2, 2, 2, 1, 3, 1, 1, 2, 1, 3, 3, 0, 2, 1, 2, 1, 2  },
{ 2, 1, 0, 2, 2, 2, 3, 3, 1, 2, 1, 1, 0, 2, 1, 1, 2, 0, 3, 2, 0, 0, 1, 3, 1, 1, 1, 2, 3, 2, 1, 3, 1, 2, 1, 3, 2, 3, 0, 0, 2, 2  },
{ 0, 1, 2, 0, 2, 1, 3, 3, 1, 3, 2, 2, 0, 3, 1, 3, 2, 3, 0, 1, 0, 0, 1, 2, 3, 0, 0, 2, 2, 3, 3, 2, 1, 2, 1, 1, 0, 3, 0, 2, 1, 3  },
{ 2, 0, 2, 2, 0, 1, 3, 3, 2, 0, 1, 3, 2, 2, 3, 3, 1, 1, 3, 2, 2, 0, 2, 3, 2, 3, 0, 3, 2, 2, 0, 2, 2, 2, 3, 2, 2, 3, 1, 1, 0, 2  },
{ 2, 3, 2, 2, 0, 3, 1, 3, 2, 3, 1, 3, 0, 0, 2, 3, 0, 2, 0, 2, 2, 2, 2, 3, 3, 1, 1, 1, 3, 0, 0, 2, 0, 2, 2, 2, 2, 2, 3, 0, 0, 2  },
{ 2, 0, 2, 2, 2, 1, 2, 3, 2, 3, 2, 2, 1, 0, 2, 3, 0, 3, 1, 3, 1, 2, 2, 3, 3, 3, 3, 0, 2, 2, 2, 2, 2, 2, 2, 3, 2, 1, 1, 0, 2, 2  },
{ 2, 0, 3, 1, 0, 2, 3, 3, 2, 3, 2, 1, 2, 2, 2, 3, 0, 1, 2, 1, 0, 0, 0, 2, 3, 3, 2, 1, 3, 3, 0, 0, 2, 1, 2, 2, 2, 3, 2, 0, 0, 1  },
{ 2, 0, 3, 1, 1, 0, 2, 0, 1, 3, 3, 2, 3, 2, 2, 3, 2, 2, 2, 0, 3, 3, 1, 2, 3, 0, 2, 1, 2, 0, 2, 0, 1, 2, 2, 3, 2, 1, 3, 1, 2, 2  },
{ 1, 0, 1, 0, 3, 2, 3, 0, 3, 0, 2, 3, 2, 0, 1, 1, 2, 0, 1, 3, 0, 3, 0, 0, 3, 0, 3, 1, 3, 3, 3, 1, 1, 2, 3, 1, 1, 0, 1, 1, 1, 1  },
{ 2, 2, 0, 1, 1, 3, 1, 3, 2, 0, 1, 2, 1, 3, 1, 2, 3, 1, 3, 2, 0, 2, 2, 3, 1, 2, 1, 2, 2, 2, 1, 1, 2, 3, 0, 2, 2, 3, 2, 3, 1, 0  },
{ 2, 1, 0, 1, 2, 3, 1, 3, 2, 2, 2, 1, 2, 0, 1, 3, 1, 3, 0, 2, 1, 0, 2, 3, 1, 0, 1, 1, 2, 0, 2, 2, 2, 0, 3, 1, 2, 3, 0, 3, 0, 1  },
{ 2, 2, 0, 1, 2, 3, 1, 2, 2, 1, 2, 1, 0, 1, 3, 2, 2, 3, 0, 2, 1, 0, 1, 3, 1, 2, 1, 0, 2, 2, 0, 2, 2, 3, 0, 1, 2, 3, 2, 3, 0, 2  },
{ 2, 3, 0, 1, 1, 0, 1, 2, 2, 1, 2, 0, 3, 2, 1, 3, 2, 3, 1, 2, 0, 1, 2, 1, 3, 2, 1, 1, 2, 2, 2, 2, 2, 1, 3, 1, 2, 3, 3, 0, 0, 3  },
{ 2, 0, 3, 1, 3, 1, 2, 3, 2, 2, 2, 3, 0, 1, 3, 1, 2, 2, 0, 3, 1, 0, 2, 3, 3, 1, 0, 1, 1, 0, 0, 0, 1, 2, 3, 3, 2, 3, 1, 0, 2, 0  },
{ 2, 1, 0, 2, 2, 3, 2, 3, 1, 1, 2, 3, 0, 2, 2, 2, 2, 3, 0, 2, 0, 0, 0, 3, 1, 2, 2, 3, 2, 2, 0, 0, 2, 2, 0, 2, 2, 3, 3, 2, 0, 2  },
{ 2, 0, 2, 2, 2, 1, 2, 3, 1, 2, 2, 1, 0, 1, 3, 2, 1, 3, 1, 3, 1, 3, 3, 3, 1, 2, 0, 0, 3, 2, 2, 0, 2, 2, 3, 3, 2, 3, 2, 3, 2, 2  },
{ 2, 0, 2, 2, 2, 1, 2, 0, 1, 2, 2, 1, 0, 1, 3, 2, 1, 3, 0, 3, 0, 3, 2, 1, 3, 2, 2, 1, 3, 0, 2, 2, 2, 2, 3, 3, 2, 3, 1, 0, 1, 0  },
{ 2, 0, 3, 2, 2, 1, 2, 0, 1, 2, 2, 1, 2, 3, 2, 1, 2, 2, 1, 3, 3, 2, 2, 0, 3, 1, 3, 1, 0, 1, 0, 2, 0, 2, 1, 3, 2, 1, 0, 2, 2, 1  },
{ 2, 2, 1, 1, 2, 1, 2, 3, 2, 2, 2, 1, 0, 1, 2, 2, 2, 3, 0, 2, 0, 0, 1, 3, 1, 2, 0, 3, 2, 0, 0, 0, 2, 2, 1, 0, 2, 3, 3, 2, 2, 2  },
{ 2, 0, 1, 2, 2, 2, 3, 2, 1, 2, 3, 2, 3, 3, 0, 1, 1, 1, 3, 3, 1, 2, 0, 3, 2, 2, 2, 0, 3, 1, 2, 0, 0, 2, 2, 3, 2, 3, 3, 2, 3, 2  },
{ 2, 1, 0, 2, 2, 2, 2, 3, 1, 2, 2, 2, 2, 0, 0, 1, 2, 2, 0, 3, 0, 2, 2, 1, 3, 1, 3, 2, 3, 0, 0, 2, 0, 2, 3, 3, 2, 0, 3, 0, 0, 2  },
{ 2, 1, 3, 2, 2, 0, 1, 3, 1, 2, 2, 0, 2, 0, 3, 1, 0, 1, 2, 0, 3, 2, 3, 2, 3, 2, 2, 3, 2, 1, 2, 2, 2, 2, 3, 3, 1, 3, 2, 0, 1, 2  },
{ 2, 0, 3, 2, 3, 0, 2, 0, 1, 2, 1, 0, 3, 1, 0, 1, 2, 2, 0, 2, 0, 3, 2, 2, 3, 2, 2, 1, 3, 2, 1, 2, 1, 1, 3, 0, 1, 3, 2, 1, 2, 1  },
{ 0, 2, 0, 3, 2, 3, 2, 3, 2, 2, 3, 2, 1, 2, 1, 3, 1, 1, 3, 2, 1, 3, 0, 3, 2, 2, 1, 0, 3, 0, 0, 3, 0, 3, 3, 0, 2, 3, 2, 2, 3, 1  },
{ 0, 2, 3, 2, 1, 0, 0, 3, 1, 2, 2, 2, 3, 1, 0, 1, 2, 0, 2, 3, 2, 0, 2, 1, 3, 1, 2, 3, 2, 2, 1, 0, 2, 1, 3, 3, 1, 0, 2, 1, 0, 1  },
{ 2, 0, 1, 1, 2, 3, 2, 1, 0, 2, 2, 2, 1, 2, 0, 1, 1, 0, 2, 1, 2, 2, 0, 3, 1, 1, 2, 1, 3, 2, 1, 3, 0, 2, 1, 3, 2, 3, 2, 2, 1, 1  },
{ 2, 0, 3, 1, 1, 0, 1, 3, 2, 2, 2, 1, 0, 1, 3, 3, 2, 2, 0, 3, 0, 1, 2, 3, 1, 0, 1, 1, 2, 0, 1, 2, 1, 2, 3, 1, 2, 3, 0, 3, 0, 2  },
{ 2, 0, 2, 2, 0, 1, 3, 3, 1, 2, 2, 1, 2, 2, 0, 3, 0, 2, 0, 3, 3, 0, 2, 3, 2, 1, 1, 3, 3, 0, 2, 0, 0, 0, 3, 1, 2, 0, 3, 1, 1, 2  },
{ 2, 0, 3, 1, 2, 2, 1, 0, 1, 2, 2, 3, 3, 3, 2, 3, 3, 1, 2, 0, 1, 3, 2, 3, 3, 0, 1, 3, 0, 0, 2, 2, 0, 2, 2, 3, 2, 1, 2, 0, 0, 0  },
{ 2, 2, 0, 1, 1, 3, 0, 3, 1, 2, 0, 0, 2, 2, 0, 3, 2, 2, 2, 3, 0, 0, 2, 0, 3, 0, 0, 0, 0, 3, 1, 2, 0, 0, 1, 2, 1, 3, 2, 3, 2, 2  },
{ 2, 0, 3, 2, 0, 0, 2, 0, 1, 2, 1, 3, 2, 0, 3, 1, 2, 3, 2, 0, 3, 1, 0, 1, 3, 2, 0, 1, 2, 2, 1, 2, 0, 2, 3, 1, 1, 3, 1, 2, 0, 2  },
{ 2, 1, 0, 1, 2, 3, 1, 3, 2, 2, 3, 1, 2, 1, 3, 2, 1, 2, 0, 2, 1, 1, 0, 3, 2, 0, 1, 2, 2, 0, 1, 2, 2, 1, 3, 1, 2, 3, 3, 3, 0, 0  },
{ 2, 2, 0, 1, 1, 3, 3, 1, 2, 2, 3, 1, 2, 3, 1, 0, 2, 2, 0, 2, 1, 0, 3, 3, 1, 1, 1, 1, 1, 0, 2, 0, 2, 1, 3, 1, 2, 0, 3, 3, 0, 1  },
{ 2, 1, 0, 2, 2, 1, 3, 2, 1, 0, 1, 2, 3, 1, 0, 0, 1, 3, 0, 1, 1, 0, 3, 1, 2, 2, 0, 1, 2, 0, 0, 0, 2, 2, 3, 1, 2, 3, 2, 3, 0, 0  },
{ 2, 3, 0, 1, 2, 1, 3, 0, 1, 0, 1, 2, 3, 1, 2, 3, 2, 1, 2, 0, 0, 3, 2, 3, 1, 2, 3, 0, 0, 0, 0, 1, 1, 3, 3, 1, 1, 0, 1, 0, 2, 0  },
{ 2, 2, 1, 2, 1, 0, 3, 3, 1, 2, 2, 1, 0, 0, 1, 3, 1, 3, 0, 1, 3, 1, 0, 3, 1, 2, 2, 3, 1, 0, 0, 0, 2, 1, 0, 2, 2, 3, 2, 3, 0, 0  },
{ 2, 2, 0, 2, 2, 0, 3, 0, 1, 2, 2, 1, 2, 1, 3, 2, 0, 1, 3, 0, 0, 1, 0, 2, 1, 2, 1, 2, 3, 0, 0, 0, 0, 0, 3, 2, 1, 0, 3, 3, 0, 2  },
{ 2, 0, 3, 2, 2, 2, 3, 0, 1, 0, 1, 2, 2, 1, 0, 1, 2, 0, 2, 3, 2, 1, 0, 0, 3, 2, 3, 1, 3, 0, 2, 0, 0, 0, 3, 1, 1, 0, 1, 3, 1, 2  },
{ 0, 2, 1, 2, 2, 2, 3, 3, 1, 2, 2, 1, 0, 3, 2, 2, 1, 3, 0, 3, 1, 2, 0, 3, 1, 2, 2, 3, 3, 0, 0, 0, 3, 2, 0, 2, 2, 3, 3, 2, 0, 2  },
{ 2, 0, 1, 2, 2, 3, 2, 0, 1, 1, 0, 3, 1, 1, 0, 1, 1, 1, 2, 3, 2, 1, 0, 3, 1, 2, 2, 2, 2, 1, 0, 3, 0, 2, 0, 3, 2, 3, 2, 3, 2, 3  },
{ 3, 3, 1, 2, 2, 3, 3, 1, 0, 3, 0, 1, 3, 2, 1, 3, 1, 3, 0, 2, 3, 1, 0, 3, 1, 2, 1, 2, 2, 1, 3, 1, 1, 0, 1, 2, 3, 2, 3, 3, 2, 2  },
{ 2, 2, 3, 0, 2, 3, 1, 0, 2, 2, 1, 2, 0, 2, 0, 2, 2, 2, 2, 1, 2, 0, 2, 3, 1, 1, 3, 1, 3, 2, 1, 2, 0, 3, 1, 3, 2, 3, 0, 1, 1, 3  },
{ 0, 1, 2, 0, 3, 0, 2, 3, 0, 0, 2, 0, 0, 2, 1, 1, 2, 3, 0, 0, 1, 2, 0, 1, 3, 1, 0, 3, 0, 2, 2, 1, 1, 1, 3, 3, 1, 3, 3, 1, 2, 1  },
{ 2, 0, 3, 1, 2, 1, 3, 0, 1, 2, 2, 2, 3, 1, 3, 0, 0, 2, 0, 3, 2, 1, 1, 3, 1, 1, 3, 1, 3, 0, 2, 1, 0, 1, 3, 1, 2, 0, 1, 3, 0, 1  },
{ 2, 2, 0, 1, 0, 0, 3, 2, 2, 2, 2, 2, 3, 1, 0, 3, 0, 2, 0, 2, 2, 0, 2, 3, 2, 2, 3, 2, 3, 3, 2, 2, 1, 1, 3, 1, 1, 0, 1, 3, 3, 0  },
{ 2, 0, 3, 1, 2, 0, 1, 2, 2, 2, 2, 1, 3, 3, 1, 3, 0, 0, 2, 0, 3, 3, 1, 3, 3, 2, 3, 2, 2, 0, 2, 0, 2, 0, 3, 1, 1, 0, 1, 1, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 1, 1, 2, 2, 3, 1, 2, 3, 3, 0, 3, 2, 0, 1, 1, 0, 1, 2, 1, 1, 2, 3, 0, 2, 2, 1, 3, 1, 2, 0, 1, 3, 2, 1  },
{ 2, 1, 0, 1, 2, 0, 2, 3, 1, 1, 3, 0, 2, 2, 1, 0, 2, 0, 2, 3, 0, 1, 1, 3, 3, 0, 3, 0, 1, 2, 1, 1, 2, 2, 1, 1, 1, 0, 3, 3, 3, 0  },
{ 2, 3, 0, 1, 2, 2, 3, 3, 1, 1, 1, 0, 1, 3, 2, 3, 2, 1, 1, 0, 0, 1, 1, 2, 1, 3, 3, 2, 1, 3, 3, 0, 1, 1, 3, 1, 2, 3, 3, 1, 0, 3  },
{ 1, 2, 3, 0, 3, 2, 3, 0, 2, 0, 2, 0, 2, 0, 0, 0, 3, 2, 3, 2, 3, 0, 0, 3, 1, 2, 3, 0, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 3, 0, 3, 1  },
{ 2, 2, 0, 2, 2, 3, 3, 3, 1, 2, 2, 1, 2, 1, 3, 0, 2, 3, 0, 2, 3, 0, 0, 3, 2, 2, 1, 1, 2, 0, 0, 0, 2, 1, 3, 1, 2, 0, 3, 3, 2, 0  },
{ 2, 2, 0, 2, 2, 3, 1, 3, 1, 2, 0, 1, 2, 1, 1, 0, 1, 3, 0, 3, 0, 2, 3, 1, 1, 2, 2, 1, 3, 0, 0, 0, 1, 1, 3, 1, 1, 0, 1, 3, 1, 2  },
{ 2, 2, 0, 2, 1, 0, 3, 3, 2, 2, 2, 1, 0, 1, 3, 3, 0, 3, 0, 1, 3, 2, 0, 3, 2, 1, 1, 1, 2, 0, 0, 0, 2, 1, 3, 1, 2, 0, 3, 3, 1, 0  },
{ 2, 1, 0, 1, 2, 3, 0, 0, 1, 0, 0, 2, 3, 1, 1, 3, 2, 0, 2, 0, 1, 2, 2, 1, 3, 2, 3, 1, 3, 0, 0, 0, 1, 3, 1, 1, 1, 0, 3, 3, 2, 0  },
{ 2, 2, 0, 2, 2, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 1, 2, 1, 2, 3, 3, 3, 0, 2, 2, 1, 1, 3, 3, 0, 0, 0, 1, 0, 3, 1, 2, 0, 3, 3, 2, 2  },
{ 2, 0, 3, 2, 2, 1, 3, 3, 1, 0, 0, 2, 0, 1, 1, 0, 2, 3, 2, 0, 3, 3, 0, 3, 1, 1, 3, 1, 3, 0, 0, 0, 0, 1, 3, 2, 1, 0, 3, 3, 2, 2  },
{ 0, 2, 3, 2, 1, 0, 3, 0, 1, 2, 0, 1, 2, 1, 2, 1, 2, 2, 0, 3, 2, 2, 0, 3, 0, 2, 3, 1, 3, 0, 0, 0, 0, 2, 3, 1, 1, 0, 1, 3, 0, 2  },
{ 2, 1, 3, 2, 2, 2, 3, 0, 1, 0, 3, 1, 3, 3, 1, 1, 2, 3, 0, 2, 3, 0, 2, 2, 3, 1, 2, 3, 1, 2, 0, 0, 0, 0, 3, 1, 2, 0, 1, 1, 2, 2  },
{ 0, 2, 1, 2, 2, 0, 3, 2, 2, 3, 3, 0, 3, 1, 0, 1, 1, 3, 0, 2, 3, 3, 0, 3, 1, 2, 1, 0, 3, 0, 3, 0, 0, 3, 3, 2, 2, 3, 2, 2, 3, 0  },
{ 2, 1, 0, 2, 2, 0, 3, 2, 2, 2, 0, 0, 0, 2, 2, 1, 1, 0, 2, 3, 0, 2, 0, 3, 1, 2, 2, 1, 2, 0, 0, 0, 1, 0, 3, 2, 1, 3, 2, 3, 2, 0  },
{ 0, 2, 3, 2, 0, 0, 3, 0, 1, 2, 1, 0, 3, 1, 2, 1, 2, 3, 2, 0, 1, 2, 1, 0, 3, 1, 3, 0, 2, 0, 0, 0, 0, 0, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 0, 2, 3, 2, 1, 3, 0, 0, 1, 2, 0, 2, 3, 0, 2, 1, 0, 3, 0, 2, 3, 2, 0, 3, 3, 2, 2, 1, 1, 2, 0, 2, 0, 1, 3, 2, 1, 3, 1, 2, 2, 2  },
{ 2, 0, 3, 2, 3, 0, 1, 3, 1, 2, 3, 2, 1, 2, 0, 1, 2, 3, 0, 2, 2, 3, 0, 1, 3, 0, 0, 0, 2, 3, 3, 1, 0, 1, 3, 1, 1, 3, 1, 2, 1, 2  },
{ 0, 2, 0, 3, 2, 3, 1, 3, 0, 3, 3, 3, 1, 0, 2, 3, 1, 3, 0, 3, 3, 2, 0, 3, 1, 2, 3, 2, 0, 3, 0, 3, 0, 3, 0, 2, 2, 3, 2, 3, 0, 0  },
{ 2, 2, 3, 2, 0, 0, 1, 2, 1, 2, 3, 1, 3, 1, 1, 0, 2, 2, 0, 2, 1, 3, 2, 3, 1, 2, 3, 1, 2, 0, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 2, 0  },
{ 2, 2, 0, 1, 2, 3, 0, 0, 1, 0, 0, 2, 3, 1, 3, 3, 2, 2, 0, 2, 1, 0, 2, 3, 2, 1, 3, 1, 0, 0, 2, 0, 1, 1, 3, 1, 2, 0, 1, 2, 3, 0  },
{ 2, 0, 3, 2, 2, 1, 1, 0, 1, 2, 3, 2, 3, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1, 3, 1, 2, 1, 0, 2, 3, 0, 0, 2, 1, 3, 1, 2, 0, 3, 3, 2, 0  },
{ 2, 3, 0, 1, 2, 1, 0, 0, 1, 2, 3, 0, 3, 3, 1, 0, 0, 3, 0, 2, 0, 2, 0, 3, 3, 2, 1, 2, 3, 3, 0, 2, 1, 3, 1, 1, 2, 0, 3, 1, 3, 2  },
{ 2, 3, 1, 2, 2, 3, 0, 0, 1, 0, 0, 2, 3, 3, 1, 0, 2, 0, 2, 2, 0, 2, 0, 3, 3, 1, 3, 2, 3, 2, 0, 2, 0, 0, 1, 1, 2, 0, 2, 1, 2, 0  },
{ 2, 0, 3, 2, 2, 3, 2, 3, 1, 1, 2, 3, 0, 1, 3, 1, 2, 3, 0, 2, 3, 0, 1, 1, 3, 2, 3, 0, 2, 1, 0, 0, 0, 3, 1, 1, 1, 0, 3, 1, 2, 1  },
{ 1, 3, 0, 2, 2, 2, 0, 3, 1, 0, 1, 0, 0, 1, 2, 3, 0, 3, 2, 1, 3, 0, 0, 0, 1, 2, 1, 2, 1, 3, 3, 0, 2, 1, 3, 1, 3, 2, 3, 1, 0, 3  },
{ 2, 3, 0, 0, 0, 2, 0, 0, 1, 2, 1, 3, 3, 3, 1, 1, 1, 3, 2, 1, 0, 0, 0, 3, 3, 3, 1, 3, 1, 3, 3, 0, 0, 1, 1, 1, 2, 0, 3, 2, 0, 0  },
{ 2, 0, 0, 2, 3, 2, 3, 3, 1, 0, 2, 3, 2, 0, 1, 1, 2, 0, 1, 3, 2, 0, 2, 1, 3, 3, 3, 3, 2, 3, 2, 1, 0, 3, 1, 1, 2, 0, 3, 1, 2, 2  },
{ 2, 2, 0, 2, 2, 3, 3, 1, 2, 0, 2, 1, 2, 1, 3, 0, 2, 3, 0, 2, 3, 3, 0, 3, 2, 2, 3, 1, 2, 0, 0, 1, 2, 1, 2, 2, 0, 3, 1, 3, 2, 1  },
{ 0, 2, 3, 2, 3, 3, 1, 3, 1, 2, 0, 1, 2, 1, 3, 2, 2, 2, 0, 3, 3, 0, 2, 3, 2, 2, 0, 1, 3, 0, 0, 0, 1, 1, 3, 2, 2, 3, 1, 2, 3, 0  },
{ 0, 2, 3, 2, 0, 1, 3, 3, 2, 2, 0, 1, 2, 2, 1, 0, 0, 3, 0, 2, 3, 0, 2, 3, 2, 2, 1, 1, 3, 1, 0, 1, 1, 1, 2, 1, 2, 0, 3, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 3, 2, 1, 2, 1, 2, 3, 1, 0, 2, 0, 3, 2, 0, 0, 2, 3, 1, 2, 3, 1, 3, 3, 0, 0, 1, 1, 3, 1, 2, 0, 1, 2, 0, 1  },
{ 0, 2, 1, 2, 2, 0, 3, 3, 1, 0, 0, 0, 2, 1, 0, 2, 2, 2, 3, 0, 3, 2, 0, 3, 2, 1, 2, 1, 1, 3, 0, 0, 3, 2, 1, 2, 2, 0, 3, 2, 3, 2  },
{ 2, 2, 0, 2, 2, 3, 0, 3, 2, 0, 0, 3, 0, 3, 1, 0, 2, 1, 2, 0, 2, 0, 0, 3, 1, 1, 3, 0, 1, 3, 0, 0, 1, 2, 3, 1, 2, 0, 1, 3, 3, 2  },
{ 2, 0, 3, 2, 1, 2, 3, 3, 1, 2, 3, 0, 3, 0, 1, 0, 2, 2, 0, 2, 3, 0, 2, 1, 3, 2, 3, 1, 2, 3, 0, 0, 1, 2, 3, 1, 1, 0, 1, 3, 3, 2  },
{ 2, 0, 3, 2, 2, 0, 3, 0, 1, 1, 2, 3, 0, 1, 3, 1, 2, 3, 0, 2, 3, 0, 0, 0, 3, 0, 0, 3, 2, 3, 0, 0, 0, 3, 1, 1, 1, 0, 3, 1, 2, 1  },
{ 0, 2, 2, 2, 1, 3, 0, 3, 2, 2, 0, 0, 0, 1, 3, 0, 1, 3, 0, 2, 3, 2, 0, 3, 1, 1, 0, 1, 3, 0, 3, 0, 3, 1, 3, 1, 2, 0, 3, 3, 0, 2  },
{ 2, 2, 0, 2, 1, 3, 0, 3, 2, 2, 3, 2, 0, 1, 2, 2, 2, 2, 1, 3, 0, 2, 0, 3, 1, 2, 1, 1, 1, 3, 0, 0, 1, 0, 3, 1, 1, 0, 3, 3, 2, 2  },
{ 0, 0, 2, 3, 1, 3, 0, 3, 2, 2, 3, 2, 0, 2, 3, 1, 2, 0, 0, 2, 3, 0, 0, 1, 3, 1, 2, 0, 1, 2, 0, 0, 0, 2, 3, 1, 2, 0, 1, 3, 2, 0  },
{ 2, 3, 0, 2, 2, 3, 2, 0, 3, 1, 2, 3, 1, 0, 2, 1, 2, 0, 1, 3, 2, 0, 0, 3, 3, 2, 3, 2, 1, 2, 1, 1, 1, 0, 3, 1, 1, 3, 1, 0, 2, 2  },
{ 1, 0, 3, 2, 2, 3, 2, 3, 1, 3, 0, 1, 3, 2, 0, 0, 2, 3, 2, 3, 0, 2, 1, 0, 3, 2, 1, 2, 0, 2, 3, 1, 1, 3, 3, 1, 1, 3, 1, 1, 3, 2  },
{ 0, 2, 2, 2, 3, 2, 3, 0, 3, 3, 2, 1, 1, 2, 0, 3, 1, 3, 0, 2, 3, 2, 0, 3, 1, 2, 2, 1, 2, 0, 3, 0, 3, 3, 0, 2, 3, 3, 3, 2, 0, 0  },
{ 2, 2, 3, 0, 1, 0, 3, 2, 0, 2, 1, 2, 0, 3, 0, 0, 0, 1, 2, 3, 2, 1, 0, 3, 1, 1, 1, 3, 2, 0, 0, 3, 1, 1, 2, 3, 2, 0, 3, 2, 2, 0  },
{ 0, 2, 3, 2, 3, 0, 0, 0, 0, 2, 1, 3, 0, 2, 0, 0, 2, 0, 0, 2, 3, 2, 0, 3, 1, 1, 3, 0, 0, 0, 2, 0, 0, 0, 3, 3, 1, 3, 0, 0, 2, 2  },
{ 0, 2, 3, 2, 3, 1, 0, 0, 1, 2, 3, 2, 3, 2, 0, 0, 0, 1, 3, 1, 2, 2, 0, 1, 3, 2, 2, 2, 0, 3, 0, 3, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0  },
{ 3, 2, 0, 3, 3, 2, 3, 0, 1, 3, 3, 0, 2, 3, 1, 2, 1, 3, 2, 0, 3, 2, 1, 3, 1, 2, 2, 0, 2, 0, 2, 0, 3, 0, 3, 2, 3, 1, 3, 2, 3, 0  },
{ 2, 3, 0, 2, 2, 3, 1, 3, 1, 0, 0, 1, 2, 1, 2, 3, 2, 0, 2, 3, 0, 3, 2, 3, 1, 2, 3, 1, 0, 1, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 0, 1  },
{ 2, 3, 0, 2, 2, 3, 1, 3, 1, 0, 2, 2, 2, 1, 1, 0, 2, 3, 0, 3, 0, 0, 1, 3, 1, 3, 3, 1, 2, 1, 0, 0, 1, 1, 3, 1, 2, 0, 2, 2, 0, 1  },
{ 3, 2, 0, 2, 1, 1, 0, 3, 1, 2, 3, 1, 0, 1, 1, 3, 2, 1, 0, 2, 3, 0, 1, 3, 3, 2, 3, 1, 2, 3, 0, 0, 0, 1, 3, 1, 2, 0, 1, 3, 0, 0  },
{ 1, 3, 0, 2, 2, 2, 0, 3, 1, 0, 2, 3, 1, 1, 1, 3, 2, 3, 0, 3, 3, 0, 1, 3, 1, 3, 2, 1, 1, 3, 0, 0, 2, 1, 0, 1, 2, 0, 0, 3, 0, 0  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 1, 1, 2, 3, 1, 3, 1, 0, 2, 3, 2, 2, 3, 0, 1, 3, 1, 0, 0, 2, 2, 3, 0, 0, 0, 1, 3, 1, 2, 3, 0, 3, 0, 0  },
{ 0, 1, 3, 2, 2, 3, 1, 3, 0, 0, 2, 1, 2, 0, 3, 1, 1, 2, 3, 2, 3, 2, 0, 2, 3, 3, 2, 0, 3, 2, 3, 0, 0, 0, 3, 1, 3, 0, 1, 0, 3, 1  },
{ 3, 2, 0, 2, 0, 0, 3, 1, 2, 2, 3, 1, 2, 1, 1, 0, 0, 3, 2, 0, 3, 0, 3, 0, 1, 2, 1, 1, 0, 0, 0, 1, 0, 1, 3, 2, 0, 3, 3, 2, 3, 0  },
{ 0, 2, 3, 2, 3, 1, 3, 3, 2, 0, 2, 2, 1, 2, 1, 0, 2, 3, 2, 0, 3, 0, 2, 3, 2, 2, 3, 1, 0, 1, 0, 0, 0, 1, 3, 2, 2, 0, 1, 2, 3, 0  },
{ 0, 2, 2, 2, 2, 2, 3, 3, 2, 2, 1, 1, 0, 1, 0, 0, 0, 3, 2, 0, 3, 0, 2, 3, 2, 2, 1, 0, 0, 1, 0, 0, 0, 1, 1, 1, 2, 0, 3, 2, 3, 0  },
{ 0, 2, 3, 2, 1, 0, 3, 0, 3, 2, 3, 1, 2, 3, 1, 0, 0, 0, 2, 0, 3, 0, 2, 3, 2, 2, 3, 1, 0, 1, 0, 0, 2, 1, 3, 2, 0, 3, 1, 2, 0, 0  },
{ 2, 2, 0, 1, 2, 3, 0, 0, 1, 0, 2, 1, 3, 1, 0, 0, 0, 2, 2, 0, 3, 0, 3, 3, 1, 2, 3, 0, 3, 1, 0, 1, 1, 1, 3, 2, 3, 0, 1, 2, 0, 1  },
{ 0, 2, 2, 2, 0, 0, 3, 3, 2, 2, 1, 0, 0, 2, 3, 2, 0, 3, 2, 0, 2, 0, 3, 0, 0, 2, 1, 1, 1, 3, 0, 0, 3, 2, 1, 2, 1, 0, 3, 2, 0, 0  },
{ 0, 2, 3, 2, 2, 3, 3, 0, 2, 0, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 3, 0, 2, 1, 2, 2, 2, 0, 3, 3, 0, 0, 1, 2, 3, 1, 1, 0, 1, 3, 3, 2  },
{ 0, 2, 3, 2, 2, 1, 3, 0, 0, 0, 2, 0, 0, 3, 1, 2, 2, 2, 3, 2, 0, 0, 3, 1, 3, 2, 3, 0, 3, 3, 0, 0, 1, 3, 3, 1, 1, 0, 1, 2, 1, 2  },
{ 0, 0, 2, 1, 2, 3, 3, 2, 3, 0, 2, 0, 3, 1, 1, 1, 2, 3, 0, 1, 3, 0, 0, 2, 3, 2, 3, 1, 2, 1, 0, 0, 0, 3, 1, 1, 1, 0, 3, 1, 0, 2  },
{ 0, 2, 2, 2, 2, 3, 0, 3, 0, 2, 0, 2, 1, 0, 0, 2, 0, 0, 2, 0, 3, 0, 2, 1, 3, 1, 1, 0, 2, 3, 0, 3, 0, 3, 1, 2, 2, 0, 3, 2, 3, 0  },
{ 0, 2, 3, 2, 2, 0, 3, 0, 0, 0, 0, 2, 0, 3, 3, 2, 2, 0, 2, 0, 3, 0, 0, 1, 3, 1, 3, 1, 1, 3, 0, 0, 1, 2, 3, 1, 2, 0, 1, 3, 3, 2  },
{ 0, 2, 3, 2, 0, 0, 1, 3, 2, 0, 2, 3, 2, 3, 1, 1, 2, 0, 3, 2, 3, 0, 0, 1, 3, 1, 1, 3, 0, 0, 0, 0, 0, 2, 3, 1, 1, 0, 1, 3, 2, 0  },
{ 1, 2, 0, 2, 3, 1, 0, 3, 2, 0, 2, 3, 2, 0, 1, 1, 2, 0, 3, 1, 3, 2, 0, 0, 3, 2, 2, 3, 2, 1, 0, 0, 1, 3, 3, 1, 1, 0, 1, 1, 3, 2  },
{ 0, 2, 2, 2, 1, 3, 0, 3, 2, 2, 1, 3, 0, 2, 1, 2, 2, 2, 0, 3, 3, 0, 2, 0, 1, 1, 0, 1, 2, 1, 3, 1, 2, 0, 3, 1, 2, 0, 3, 3, 2, 2  },
{ 2, 3, 0, 2, 2, 0, 3, 0, 3, 1, 2, 3, 1, 2, 0, 2, 2, 2, 2, 0, 3, 2, 0, 3, 1, 2, 1, 0, 3, 2, 0, 0, 0, 0, 3, 0, 1, 3, 2, 3, 2, 2  },
{ 0, 1, 2, 0, 0, 1, 3, 0, 2, 2, 2, 3, 2, 1, 0, 1, 2, 3, 0, 3, 3, 2, 0, 1, 3, 2, 2, 0, 0, 3, 0, 0, 0, 0, 3, 3, 1, 3, 1, 3, 2, 2  },
{ 1, 0, 2, 3, 3, 0, 1, 3, 2, 0, 2, 3, 2, 3, 0, 0, 2, 0, 3, 3, 0, 2, 0, 1, 3, 1, 0, 0, 2, 3, 2, 0, 1, 0, 3, 2, 1, 3, 1, 0, 2, 2  },
{ 0, 2, 0, 3, 3, 2, 3, 0, 1, 2, 3, 1, 2, 3, 0, 2, 0, 0, 3, 0, 3, 3, 0, 3, 1, 2, 0, 3, 0, 3, 0, 0, 2, 3, 0, 0, 3, 0, 3, 0, 2, 2  },
{ 2, 3, 0, 1, 2, 1, 0, 3, 2, 1, 0, 3, 0, 2, 2, 0, 0, 2, 3, 0, 0, 1, 3, 0, 1, 1, 0, 3, 0, 3, 0, 1, 1, 1, 0, 3, 1, 3, 3, 2, 2, 0  },
{ 1, 0, 3, 2, 2, 0, 3, 0, 3, 1, 3, 2, 0, 3, 1, 2, 0, 2, 0, 3, 2, 0, 0, 2, 1, 0, 0, 1, 3, 3, 2, 1, 0, 1, 0, 3, 1, 1, 3, 0, 2, 1  },
{ 2, 2, 0, 2, 3, 1, 0, 3, 1, 2, 2, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 3, 3, 3, 1, 2, 0, 1, 2, 3, 0, 1, 3, 1, 3, 2, 0, 3, 3, 2, 0, 0  },
{ 2, 0, 3, 2, 2, 2, 0, 3, 2, 0, 3, 2, 2, 1, 1, 3, 3, 2, 0, 3, 0, 0, 2, 3, 1, 2, 3, 0, 3, 2, 0, 0, 1, 1, 3, 2, 2, 0, 1, 2, 0, 0  },
{ 2, 3, 0, 2, 3, 2, 0, 3, 2, 2, 3, 3, 3, 2, 1, 2, 0, 2, 1, 0, 3, 0, 2, 3, 3, 2, 0, 3, 0, 2, 0, 0, 1, 1, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 2, 0, 1, 3, 3, 2, 0, 0, 1, 2, 1, 2, 3, 3, 1, 0, 0, 2, 3, 1, 2, 0, 1, 3, 1, 1, 0, 0, 0, 3, 3, 0, 2, 1, 3, 2, 1, 0, 3, 2, 1, 0  },
{ 2, 3, 0, 2, 2, 3, 0, 0, 1, 0, 2, 2, 1, 3, 1, 0, 2, 3, 2, 3, 2, 0, 1, 3, 1, 0, 3, 0, 1, 3, 0, 0, 1, 1, 1, 3, 2, 1, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 2, 3, 2, 3, 2, 2, 1, 0, 3, 0, 0, 1, 3, 2, 3, 0, 3, 0, 3, 0, 3, 3, 2, 0, 3, 2, 3, 0, 1, 0, 1, 1, 1, 0, 3, 3, 1, 2  },
{ 3, 2, 0, 2, 2, 3, 0, 0, 1, 3, 2, 2, 3, 3, 1, 3, 1, 2, 3, 1, 1, 0, 1, 3, 1, 0, 1, 3, 2, 3, 3, 0, 0, 1, 0, 3, 1, 2, 0, 1, 3, 3  },
{ 1, 2, 0, 0, 3, 1, 0, 0, 1, 2, 2, 3, 2, 3, 1, 2, 1, 1, 2, 1, 3, 1, 1, 3, 1, 3, 1, 0, 3, 3, 3, 0, 1, 1, 3, 2, 2, 0, 0, 0, 0, 3  },
{ 1, 0, 1, 0, 1, 3, 2, 0, 1, 1, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 3, 0, 1, 3, 1, 3, 0, 1, 2, 3, 3, 0, 0, 1, 3, 1, 0, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 3, 2, 3, 0, 3, 0, 1, 1, 3, 2, 0, 1, 1, 0, 2, 3, 1, 3, 0, 3, 2, 3, 3, 0, 2, 1, 3, 3, 1, 1, 1, 1, 1, 3, 0, 0, 3, 0, 0  },
{ 1, 3, 0, 2, 1, 1, 0, 3, 1, 3, 0, 3, 0, 3, 2, 3, 0, 2, 2, 1, 0, 0, 0, 3, 1, 2, 0, 3, 2, 3, 3, 2, 0, 1, 0, 2, 1, 1, 0, 3, 3, 3  },
{ 1, 0, 1, 0, 3, 2, 2, 3, 1, 2, 0, 3, 2, 3, 1, 2, 1, 3, 0, 0, 2, 0, 0, 2, 1, 2, 1, 3, 2, 3, 3, 2, 2, 1, 1, 3, 2, 2, 2, 3, 3, 3  },
{ 1, 3, 0, 0, 1, 3, 0, 3, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 3, 0, 3, 0, 0, 2, 1, 3, 2, 2, 3, 0, 3, 2, 0, 1, 3, 1, 0, 1, 2, 1, 3, 3  },
{ 0, 2, 0, 1, 3, 0, 3, 2, 2, 0, 2, 2, 0, 0, 3, 2, 2, 3, 3, 0, 3, 1, 2, 3, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 1, 2, 3, 0, 3, 2, 0, 0  },
{ 0, 2, 3, 2, 0, 2, 3, 0, 0, 2, 3, 0, 1, 1, 2, 3, 0, 3, 0, 2, 0, 3, 0, 3, 2, 2, 2, 1, 0, 1, 0, 1, 3, 1, 3, 2, 0, 1, 3, 2, 0, 0  },
{ 3, 2, 0, 2, 3, 0, 3, 0, 0, 0, 2, 0, 1, 0, 1, 2, 0, 2, 3, 0, 2, 0, 3, 3, 0, 2, 0, 0, 3, 0, 0, 1, 3, 1, 2, 1, 0, 0, 3, 2, 0, 0  },
{ 0, 2, 0, 2, 3, 1, 0, 3, 2, 2, 2, 3, 3, 2, 3, 1, 0, 3, 1, 0, 2, 0, 3, 3, 2, 2, 1, 0, 3, 0, 0, 1, 2, 1, 3, 2, 3, 0, 3, 2, 0, 0  },
{ 2, 2, 0, 1, 3, 2, 0, 3, 0, 2, 2, 3, 1, 2, 0, 2, 0, 2, 1, 0, 3, 0, 3, 3, 1, 2, 3, 0, 3, 3, 0, 1, 2, 1, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 0, 2, 0, 2, 3, 0, 3, 0, 0, 2, 0, 2, 2, 3, 1, 2, 0, 2, 0, 0, 3, 0, 0, 2, 2, 2, 1, 1, 1, 3, 1, 1, 1, 1, 3, 1, 0, 0, 3, 3, 0, 2  },
{ 1, 2, 0, 2, 3, 3, 0, 3, 0, 2, 2, 3, 0, 1, 2, 0, 0, 1, 3, 0, 3, 0, 3, 0, 2, 2, 0, 0, 1, 0, 1, 1, 2, 2, 3, 1, 2, 0, 3, 1, 3, 0  },
{ 2, 1, 0, 2, 3, 0, 3, 0, 0, 2, 2, 1, 2, 0, 3, 1, 0, 2, 3, 0, 3, 0, 0, 3, 3, 2, 0, 0, 3, 3, 0, 1, 1, 3, 1, 0, 2, 3, 0, 2, 0, 0  },
{ 2, 0, 3, 2, 1, 2, 3, 0, 0, 2, 3, 2, 3, 0, 0, 1, 0, 1, 1, 0, 3, 0, 0, 3, 3, 2, 0, 3, 2, 3, 0, 1, 1, 3, 1, 1, 2, 0, 3, 1, 1, 0  },
{ 0, 2, 1, 2, 0, 0, 3, 0, 1, 2, 3, 2, 1, 3, 0, 2, 0, 2, 0, 2, 3, 0, 2, 0, 0, 2, 1, 1, 1, 2, 1, 0, 2, 3, 1, 1, 2, 0, 3, 2, 3, 2  },
{ 0, 2, 0, 2, 3, 3, 0, 3, 2, 0, 2, 3, 0, 2, 1, 2, 3, 0, 2, 1, 2, 0, 0, 3, 2, 2, 2, 0, 3, 2, 0, 1, 1, 1, 3, 1, 1, 0, 1, 3, 2, 0  },
{ 0, 2, 0, 1, 3, 3, 0, 1, 2, 2, 3, 2, 3, 1, 2, 0, 0, 2, 3, 0, 3, 0, 0, 1, 3, 2, 2, 1, 3, 1, 1, 1, 1, 3, 3, 1, 2, 3, 1, 2, 1, 2  },
{ 2, 1, 0, 2, 0, 3, 0, 3, 2, 2, 3, 0, 0, 2, 0, 0, 3, 2, 3, 1, 3, 0, 0, 0, 3, 2, 0, 1, 1, 3, 1, 1, 0, 3, 3, 1, 3, 0, 3, 1, 3, 0  },
{ 0, 2, 1, 2, 2, 3, 3, 0, 1, 2, 1, 2, 0, 1, 2, 0, 0, 3, 0, 2, 0, 3, 0, 0, 0, 1, 0, 1, 1, 2, 1, 3, 1, 3, 1, 1, 2, 0, 3, 3, 2, 2  },
{ 2, 1, 0, 2, 0, 0, 3, 0, 3, 2, 3, 2, 1, 0, 2, 1, 0, 3, 2, 2, 3, 1, 0, 2, 1, 2, 2, 1, 3, 2, 0, 1, 1, 3, 3, 3, 1, 3, 1, 3, 2, 0  },
{ 2, 1, 0, 2, 2, 3, 0, 3, 0, 0, 2, 3, 2, 0, 2, 1, 3, 2, 3, 2, 3, 3, 0, 3, 1, 2, 0, 0, 3, 2, 0, 0, 1, 0, 3, 0, 1, 3, 1, 2, 2, 0  },
{ 1, 3, 0, 2, 1, 1, 0, 3, 2, 0, 3, 0, 3, 2, 0, 0, 0, 2, 3, 0, 3, 2, 0, 1, 3, 2, 3, 1, 3, 3, 1, 1, 1, 0, 3, 1, 1, 0, 1, 0, 3, 2  },
{ 1, 2, 1, 0, 0, 2, 2, 0, 3, 2, 3, 0, 3, 2, 0, 0, 1, 2, 3, 1, 3, 0, 0, 0, 2, 1, 1, 2, 0, 3, 2, 0, 0, 3, 3, 1, 1, 0, 1, 3, 0, 2  },
{ 3, 2, 2, 2, 0, 0, 3, 2, 3, 2, 0, 2, 3, 0, 0, 2, 1, 2, 3, 1, 3, 2, 0, 3, 1, 1, 2, 0, 3, 2, 1, 1, 1, 0, 3, 1, 3, 0, 3, 0, 3, 0  },
{ 3, 0, 1, 0, 0, 3, 2, 0, 0, 0, 2, 1, 3, 2, 1, 2, 1, 1, 0, 3, 3, 0, 3, 0, 2, 2, 3, 2, 0, 1, 3, 2, 0, 0, 3, 3, 1, 2, 1, 3, 2, 2  },
{ 0, 0, 2, 1, 0, 1, 2, 0, 0, 1, 1, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 2, 0, 1, 3, 1, 2, 1, 0, 2, 2, 0, 1, 1, 0, 0, 0, 2, 0  },
{ 2, 1, 0, 2, 2, 3, 0, 3, 0, 0, 3, 2, 2, 3, 0, 0, 0, 2, 0, 3, 0, 0, 3, 3, 1, 2, 3, 0, 3, 0, 0, 1, 3, 0, 3, 2, 0, 3, 1, 2, 0, 0  },
{ 0, 2, 3, 1, 0, 3, 2, 3, 2, 2, 2, 0, 3, 3, 0, 0, 3, 3, 2, 3, 0, 0, 2, 3, 1, 2, 3, 2, 2, 3, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3, 0, 0  },
{ 2, 1, 0, 2, 3, 0, 0, 3, 2, 0, 2, 3, 3, 0, 0, 1, 2, 3, 1, 0, 3, 0, 2, 3, 3, 2, 3, 0, 3, 0, 0, 1, 1, 1, 3, 2, 3, 0, 0, 2, 0, 0  },
{ 2, 3, 0, 0, 1, 1, 0, 2, 1, 0, 3, 2, 3, 3, 1, 3, 0, 2, 3, 1, 1, 0, 1, 1, 1, 2, 3, 0, 1, 3, 0, 0, 3, 1, 0, 0, 2, 0, 0, 3, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 0, 3, 1, 2, 3, 0, 1, 0, 1, 2, 3, 3, 2, 1, 3, 0, 1, 3, 1, 0, 2, 0, 3, 3, 3, 0, 1, 1, 3, 2, 2, 3, 3, 2, 0, 0  },
{ 1, 0, 0, 3, 0, 2, 3, 2, 2, 1, 3, 0, 0, 3, 3, 1, 2, 3, 2, 1, 3, 0, 2, 2, 3, 3, 2, 0, 1, 3, 3, 1, 1, 3, 1, 1, 2, 0, 3, 1, 0, 0  },
{ 1, 3, 0, 2, 2, 3, 0, 3, 2, 0, 1, 3, 2, 0, 1, 3, 3, 0, 2, 1, 3, 0, 1, 2, 1, 0, 0, 0, 0, 3, 3, 1, 1, 0, 3, 2, 2, 1, 3, 0, 0, 3  },
{ 3, 1, 0, 0, 0, 3, 0, 2, 3, 2, 2, 0, 3, 1, 1, 3, 3, 3, 0, 0, 3, 0, 1, 3, 3, 0, 0, 2, 1, 3, 2, 2, 1, 1, 1, 2, 0, 3, 1, 0, 0, 3  },
{ 1, 0, 2, 3, 3, 2, 3, 3, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 1, 3, 1, 3, 0, 0, 3, 3, 1, 0, 0, 3, 2, 0, 0, 2, 3, 1, 3, 0, 0, 0, 3, 0  },
{ 1, 2, 3, 2, 0, 1, 2, 0, 3, 1, 3, 3, 2, 0, 0, 3, 2, 1, 2, 3, 0, 0, 1, 3, 2, 0, 0, 0, 2, 3, 3, 0, 0, 3, 1, 3, 1, 2, 3, 1, 0, 2  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 1, 1, 2, 1, 0, 0, 0, 1, 3, 0, 1, 2, 0, 2, 0, 0, 1, 1, 3, 1, 2, 0, 0, 3, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 1, 0, 2, 3, 2, 2, 1, 3, 2, 0, 3, 3, 0, 0, 0, 3, 3, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 3, 2, 0, 0  },
{ 0, 2, 0, 1, 3, 1, 3, 2, 2, 2, 0, 2, 2, 3, 0, 0, 0, 3, 0, 3, 0, 0, 3, 1, 3, 2, 1, 2, 3, 2, 1, 0, 3, 0, 3, 2, 0, 3, 1, 2, 0, 0  },
{ 0, 2, 0, 2, 1, 0, 3, 0, 3, 2, 0, 2, 3, 2, 0, 2, 0, 1, 3, 0, 3, 0, 3, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 3, 3, 0, 2  },
{ 1, 2, 0, 1, 0, 3, 0, 0, 1, 2, 3, 2, 1, 3, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 3, 1, 2, 3, 0, 3, 0, 0, 3, 3, 3, 1, 2, 0, 0, 2, 0, 0  },
{ 3, 2, 0, 2, 3, 0, 3, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 3, 0, 1, 1, 3, 0, 2, 1, 0, 3, 3, 2, 0, 0  },
{ 2, 0, 1, 0, 2, 0, 3, 0, 0, 2, 0, 2, 1, 0, 2, 3, 2, 0, 3, 0, 3, 0, 3, 0, 0, 2, 3, 0, 3, 2, 0, 0, 2, 3, 1, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 2, 2, 3, 2, 1, 0, 0, 0, 0, 2, 0, 0, 3, 0, 3, 1, 3, 2, 3, 0, 3, 0, 1, 1, 2, 3, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 0, 3, 2, 3, 2, 0, 1, 1, 0, 2, 3, 0, 3, 0, 0, 2, 3, 1, 0, 0, 0, 3, 0, 1, 0, 3, 1, 1, 0, 2, 2, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 2, 2, 2, 0, 1, 2, 0, 2, 0, 0, 2, 0, 3, 0, 0, 3, 1, 1, 2, 0, 2, 2, 0, 0, 2, 2, 1, 2, 0, 0, 3, 1, 3, 2  },
{ 0, 2, 3, 2, 0, 3, 0, 3, 2, 2, 2, 3, 0, 2, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 2, 3, 0, 2, 2, 0, 0, 0, 2, 3, 1, 0, 3, 0, 3, 0, 0  },
{ 2, 1, 0, 2, 0, 0, 3, 0, 2, 0, 2, 3, 2, 0, 0, 2, 3, 2, 3, 0, 3, 0, 0, 3, 1, 2, 3, 1, 0, 3, 0, 1, 1, 3, 3, 1, 0, 1, 3, 1, 3, 0  },
{ 1, 1, 0, 2, 3, 2, 3, 0, 0, 0, 3, 0, 0, 2, 1, 1, 2, 3, 2, 3, 1, 0, 0, 3, 3, 1, 3, 1, 0, 3, 1, 1, 0, 2, 3, 1, 0, 0, 0, 1, 3, 0  },
{ 1, 0, 0, 2, 1, 3, 3, 0, 0, 0, 1, 0, 1, 2, 0, 0, 2, 3, 2, 3, 0, 0, 0, 0, 3, 0, 3, 1, 2, 3, 3, 0, 1, 2, 3, 1, 2, 0, 3, 1, 0, 0  },
{ 0, 2, 3, 2, 0, 3, 3, 0, 1, 2, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 3, 2, 0, 0, 1, 1, 0, 1, 3, 2, 0, 2, 0, 3, 1, 2, 2, 0, 3, 2, 3, 0  },
{ 2, 1, 2, 0, 2, 3, 3, 0, 2, 2, 0, 2, 3, 0, 2, 0, 0, 1, 2, 3, 3, 0, 0, 0, 1, 2, 3, 1, 0, 3, 0, 0, 0, 2, 3, 1, 1, 3, 1, 3, 2, 0  },
{ 2, 1, 0, 2, 2, 3, 0, 3, 0, 0, 3, 2, 3, 2, 0, 0, 0, 2, 3, 2, 3, 3, 0, 0, 3, 2, 3, 0, 1, 3, 0, 0, 0, 0, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 1, 3, 2, 0, 1, 0, 2, 0, 2, 0, 0, 3, 0, 2, 0, 0, 3, 2, 3, 2, 3, 1, 0, 0, 3, 2, 3, 1, 1, 3, 0, 0, 1, 0, 3, 1, 0, 3, 1, 0, 3, 0  },
{ 1, 2, 1, 0, 3, 2, 2, 0, 1, 0, 0, 3, 1, 2, 0, 0, 1, 0, 3, 2, 3, 0, 0, 1, 2, 2, 0, 1, 1, 3, 3, 0, 1, 3, 0, 1, 0, 3, 0, 0, 3, 0  },
{ 0, 0, 3, 2, 0, 2, 3, 0, 3, 0, 3, 1, 2, 3, 0, 2, 0, 2, 1, 3, 2, 3, 0, 0, 2, 1, 0, 0, 2, 3, 0, 0, 2, 0, 3, 1, 3, 0, 3, 0, 3, 2  },
{ 0, 1, 3, 2, 0, 2, 0, 3, 0, 0, 3, 0, 0, 3, 2, 0, 0, 2, 3, 0, 3, 2, 3, 0, 0, 3, 1, 0, 0, 3, 1, 0, 3, 0, 0, 3, 1, 3, 3, 2, 2, 0  },
{ 2, 3, 1, 0, 3, 1, 0, 1, 0, 0, 1, 3, 1, 3, 2, 0, 3, 2, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 0, 1, 3, 2, 0, 2, 0, 3, 1, 1, 3, 3, 2, 2  },
{ 1, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 3, 2, 3, 1, 0, 1, 0, 2, 3, 0, 1, 0, 3, 2, 3, 1, 1, 2, 1, 1, 2, 0, 1, 0, 3, 1  },
{ 1, 1, 0, 2, 2, 3, 0, 3, 2, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 3, 0, 3, 0, 0, 1, 1, 1, 0, 3, 1, 0, 1, 3, 0, 3, 2, 0, 2, 3, 1, 0, 1  },
{ 1, 2, 0, 1, 0, 3, 0, 0, 1, 2, 2, 0, 0, 0, 3, 0, 0, 3, 2, 2, 0, 3, 0, 3, 1, 1, 2, 0, 3, 0, 0, 1, 2, 0, 3, 2, 0, 3, 3, 2, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 3, 1, 0, 2, 3, 1, 1, 3, 0, 0, 0, 3, 2, 3, 0, 0, 2, 1, 3, 0, 1, 0, 1, 3, 0, 0, 3, 0, 3, 2, 1, 3, 1, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 2, 0, 1, 1, 3, 1, 3, 0, 1, 0, 2, 0, 0, 3, 0, 3, 3, 3, 1, 3, 0, 3, 3, 1, 1, 2, 1, 0, 1, 0, 2, 1, 3, 0, 0  },
{ 2, 0, 0, 1, 2, 3, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 2, 3, 3, 0, 0, 3, 3, 1, 3, 1, 0, 3, 0, 1, 1, 3, 1, 2, 0, 0, 3, 0, 0, 0  },
{ 1, 0, 3, 2, 1, 2, 0, 0, 1, 0, 3, 3, 3, 3, 0, 3, 1, 2, 2, 1, 0, 0, 1, 1, 3, 2, 3, 3, 3, 3, 0, 0, 3, 0, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 1, 3, 2, 0, 0, 1, 1, 0, 3, 1, 3, 0, 3, 1, 3, 2, 2, 3, 0, 1, 3, 1, 0, 1, 0, 3, 3, 3, 0, 2, 1, 3, 2, 1, 0, 0, 1, 1, 0  },
{ 1, 2, 0, 1, 0, 3, 0, 0, 1, 1, 2, 0, 0, 3, 0, 1, 2, 3, 2, 3, 0, 0, 3, 2, 1, 0, 3, 2, 1, 3, 1, 0, 1, 1, 3, 2, 2, 3, 2, 2, 0, 0  },
{ 2, 0, 3, 2, 3, 1, 3, 0, 0, 2, 0, 0, 0, 1, 2, 1, 0, 1, 3, 2, 3, 0, 0, 2, 3, 3, 0, 0, 3, 3, 3, 0, 1, 3, 1, 1, 2, 0, 1, 0, 0, 0  },
{ 3, 2, 0, 3, 1, 3, 0, 1, 1, 0, 0, 2, 1, 3, 1, 2, 0, 1, 3, 3, 2, 0, 1, 3, 1, 3, 0, 0, 2, 3, 3, 0, 0, 0, 0, 3, 2, 2, 0, 0, 3, 0  },
{ 0, 2, 3, 2, 1, 0, 0, 3, 1, 3, 1, 3, 2, 0, 0, 3, 2, 0, 0, 0, 3, 0, 1, 3, 3, 0, 0, 2, 1, 3, 3, 0, 1, 1, 1, 0, 2, 3, 3, 1, 0, 3  },
{ 0, 3, 0, 2, 2, 2, 0, 3, 2, 2, 3, 3, 2, 0, 3, 1, 0, 1, 2, 3, 0, 0, 3, 2, 3, 3, 1, 1, 2, 3, 3, 0, 1, 1, 1, 3, 3, 2, 1, 3, 0, 0  },
{ 1, 0, 3, 1, 1, 0, 3, 3, 1, 0, 2, 0, 1, 2, 0, 0, 0, 1, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 2, 3, 2, 1, 0, 2, 1, 1, 1, 0, 3, 0, 3, 1  },
{ 0, 2, 0, 3, 1, 2, 0, 2, 0, 3, 1, 3, 0, 1, 1, 3, 0, 3, 2, 3, 3, 1, 0, 0, 0, 1, 0, 0, 2, 2, 3, 2, 0, 0, 0, 3, 0, 2, 0, 0, 3, 3  },
{ 2, 0, 0, 0, 3, 3, 0, 3, 1, 1, 1, 2, 2, 0, 0, 2, 2, 0, 3, 0, 3, 0, 1, 2, 1, 0, 2, 0, 3, 0, 3, 0, 0, 0, 3, 0, 1, 1, 2, 0, 3, 3  },
{ 0, 2, 2, 2, 1, 0, 0, 3, 2, 2, 2, 0, 2, 0, 0, 3, 1, 2, 0, 0, 3, 0, 1, 2, 1, 0, 1, 1, 3, 0, 3, 0, 1, 1, 3, 2, 2, 3, 2, 0, 3, 2  },
{ 1, 0, 3, 2, 0, 1, 1, 0, 0, 0, 1, 1, 3, 0, 1, 0, 0, 0, 2, 3, 2, 0, 0, 2, 3, 3, 2, 0, 1, 3, 1, 0, 0, 2, 1, 2, 1, 2, 0, 0, 3, 0  },
{ 3, 3, 0, 2, 3, 2, 2, 0, 0, 1, 3, 1, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 2, 0, 2, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 0, 0, 3, 1, 3, 1, 0, 1, 1, 1, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1, 1, 0, 3, 0, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 1, 0, 3, 3, 2, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 2, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 1, 3, 1, 2, 0, 3, 0, 0, 2, 0, 2, 3, 0, 3, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 3, 2, 0, 1  },
{ 1, 2, 0, 1, 3, 3, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 3, 0, 3, 0, 1, 0, 2, 3, 1, 0, 0, 2, 3, 1, 2, 0, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 2, 0, 3, 0, 1, 0, 2, 1, 3, 0, 1, 3, 1, 0, 1, 0, 0, 3, 0, 3, 0, 0, 0, 1, 1, 0, 3, 0, 0, 3, 3, 1, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 2, 0, 2, 0, 0, 3, 0, 3, 1, 0, 2, 0, 2, 0, 1, 0, 2, 3, 0, 3, 0, 0, 3, 0, 2, 1, 3, 0, 0, 0, 0, 3, 0, 2, 1, 0, 3, 3, 3, 0, 2  },
{ 1, 1, 0, 2, 2, 3, 0, 3, 1, 2, 3, 2, 0, 0, 0, 2, 0, 2, 0, 0, 3, 0, 3, 0, 0, 1, 1, 0, 3, 1, 0, 1, 3, 3, 0, 1, 0, 0, 3, 2, 0, 1  },
{ 2, 0, 1, 0, 2, 3, 0, 0, 2, 2, 3, 2, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 3, 0, 3, 2, 1, 3, 0, 3, 0, 0, 2, 3, 3, 1, 2, 0, 0, 3, 0, 1  },
{ 1, 2, 0, 1, 3, 3, 0, 2, 1, 1, 2, 3, 1, 0, 1, 1, 0, 0, 0, 2, 3, 0, 0, 3, 3, 1, 0, 0, 0, 3, 0, 0, 2, 3, 1, 1, 2, 0, 3, 0, 3, 1  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 2, 2, 2, 1, 0, 2, 0, 0, 0, 2, 1, 0, 3, 0, 3, 0, 0, 1, 2, 3, 0, 0, 0, 0, 0, 2, 1, 2, 0, 3, 3, 0, 3, 1  },
{ 1, 1, 0, 2, 2, 0, 0, 3, 2, 0, 2, 0, 0, 2, 0, 0, 2, 0, 3, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 2, 3, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 3, 0, 2, 3, 2, 0, 0, 2, 0, 0, 3, 1, 3, 0, 3, 0, 0, 1, 3, 2, 2, 0, 0, 3, 0, 0, 1, 2, 1, 1, 0, 0, 3, 0, 3, 0  },
{ 1, 0, 1, 0, 0, 2, 1, 0, 3, 1, 3, 2, 3, 2, 0, 0, 0, 0, 3, 1, 3, 1, 0, 0, 2, 0, 2, 0, 1, 3, 3, 1, 0, 2, 1, 1, 0, 0, 3, 0, 3, 0  },
{ 0, 1, 0, 2, 1, 0, 3, 0, 1, 2, 2, 3, 1, 0, 2, 0, 0, 0, 0, 1, 3, 0, 3, 2, 0, 2, 1, 0, 3, 2, 0, 0, 1, 3, 0, 1, 1, 0, 3, 3, 3, 0  },
{ 1, 2, 3, 0, 0, 3, 2, 0, 2, 2, 0, 1, 3, 0, 2, 0, 0, 1, 1, 2, 3, 0, 0, 0, 1, 2, 3, 0, 1, 3, 0, 0, 1, 3, 2, 1, 2, 3, 1, 3, 2, 0  },
{ 3, 0, 0, 2, 1, 0, 0, 3, 0, 0, 0, 1, 3, 0, 2, 0, 3, 2, 0, 3, 3, 0, 0, 0, 1, 3, 2, 3, 0, 3, 0, 0, 1, 2, 3, 1, 1, 0, 3, 1, 2, 0  },
{ 1, 0, 0, 2, 3, 2, 3, 2, 0, 0, 3, 0, 3, 2, 0, 1, 3, 1, 3, 0, 3, 3, 0, 0, 3, 2, 0, 3, 0, 3, 1, 0, 1, 2, 3, 1, 2, 2, 0, 1, 3, 0  },
{ 0, 2, 0, 1, 0, 0, 3, 0, 2, 1, 0, 3, 2, 0, 2, 0, 0, 2, 0, 3, 1, 3, 0, 3, 2, 1, 0, 2, 0, 0, 3, 0, 2, 0, 3, 1, 3, 0, 3, 2, 3, 2  },
{ 3, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 3, 2, 0, 1, 0, 0, 2, 0, 1, 3, 2, 3, 0, 0, 1, 1, 0, 0, 3, 1, 3, 1, 2, 0, 3, 1, 3, 1, 2, 2, 0  },
{ 0, 1, 3, 0, 0, 3, 0, 3, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 3, 2, 3, 0, 0, 0, 0, 0, 2, 1, 0, 1, 3, 0, 1, 2, 0, 3, 1, 3, 1, 3, 2, 0  },
{ 1, 0, 0, 3, 3, 2, 0, 0, 0, 3, 3, 1, 0, 0, 0, 2, 2, 2, 3, 2, 3, 0, 0, 0, 2, 1, 0, 0, 3, 0, 1, 0, 1, 0, 3, 3, 1, 3, 0, 3, 2, 2  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 3, 0, 1, 0, 2, 2, 1, 0, 0, 1, 3, 2, 3, 0, 2, 0, 0, 1, 1, 1, 1, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 1, 0, 2, 0, 1, 1, 3, 0, 3, 0, 1, 2, 3, 0, 0, 3, 1, 0, 1, 0, 1, 2, 0, 0, 1, 3, 0, 3, 1, 1, 0, 1, 1, 0, 0  },
{ 1, 1, 0, 1, 3, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 3, 0, 1, 2, 3, 0, 0, 3, 1, 3, 1, 3, 1, 3, 3, 0, 0, 3, 0, 0, 1, 1, 0, 0, 1, 0, 1  },
{ 1, 2, 0, 1, 3, 3, 0, 1, 0, 2, 3, 2, 0, 3, 0, 1, 0, 1, 0, 0, 3, 0, 2, 3, 3, 1, 3, 3, 0, 3, 0, 0, 2, 0, 3, 1, 0, 0, 2, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 3, 1, 3, 1, 0, 0, 2, 0, 1, 2, 3, 2, 3, 3, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 2, 0, 3, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 3, 0, 1, 0, 0, 0, 2, 3, 1, 2, 3, 0, 1, 3, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 3, 2, 0, 1, 0, 1, 3, 3, 0, 0, 0, 1, 2, 0, 1, 3, 0, 0, 2, 3, 3, 0, 0, 2, 1, 3, 3, 1, 2, 0, 1, 1, 2, 0, 3, 3, 0, 0  },
{ 0, 2, 2, 2, 3, 0, 3, 0, 0, 0, 0, 1, 3, 0, 0, 1, 2, 2, 1, 1, 3, 0, 0, 2, 3, 1, 3, 2, 1, 3, 3, 1, 1, 3, 0, 1, 1, 0, 2, 3, 0, 0  },
{ 2, 3, 2, 0, 1, 0, 0, 0, 1, 3, 1, 3, 1, 2, 0, 3, 0, 3, 0, 2, 3, 0, 1, 1, 0, 1, 2, 2, 0, 3, 3, 1, 0, 3, 0, 1, 0, 0, 0, 3, 0, 1  },
{ 1, 2, 0, 3, 3, 3, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 3, 1, 3, 2, 1, 0, 2, 2, 1, 2, 0, 1, 1, 3, 3, 1, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 3, 1, 0, 0, 1, 0, 1, 1, 3, 2, 0, 0, 1, 3, 1, 1, 3, 3, 0, 1, 2, 1, 0, 2, 0, 0, 3, 3, 0, 1, 0, 3, 2, 1, 3, 3, 0, 0, 0  },
{ 2, 0, 1, 2, 1, 0, 3, 0, 0, 0, 1, 3, 2, 0, 3, 1, 2, 0, 3, 0, 0, 0, 0, 2, 3, 3, 3, 1, 3, 3, 3, 0, 1, 3, 0, 3, 3, 2, 0, 3, 0, 0  },
{ 2, 3, 0, 3, 3, 1, 0, 2, 2, 1, 0, 3, 3, 1, 1, 3, 0, 2, 0, 0, 3, 0, 0, 3, 0, 1, 0, 2, 2, 2, 3, 0, 1, 0, 0, 3, 0, 2, 0, 0, 3, 3  },
{ 2, 0, 0, 1, 2, 0, 0, 1, 3, 1, 2, 2, 2, 0, 0, 3, 3, 1, 0, 0, 3, 0, 1, 2, 1, 1, 2, 3, 2, 0, 3, 0, 1, 0, 2, 0, 0, 1, 2, 3, 3, 3  },
{ 2, 0, 1, 2, 2, 3, 1, 0, 1, 1, 3, 0, 3, 0, 0, 1, 3, 0, 2, 0, 3, 0, 1, 2, 2, 0, 0, 0, 1, 3, 3, 0, 0, 1, 0, 3, 2, 0, 0, 1, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 2, 3, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 3, 0, 0, 0, 1, 3, 0, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 1, 3, 2, 1, 0, 0, 3, 0, 1, 1, 0, 1, 3, 0, 0, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 2, 3, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 3, 1, 1, 2, 2, 1, 0, 0, 3, 0, 1, 2, 3, 0, 3, 2, 0, 1  },
{ 1, 1, 0, 2, 1, 3, 0, 3, 1, 2, 0, 1, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 1, 1, 2, 3, 1, 0, 0, 2, 0, 3, 1, 1, 0, 1, 2, 0, 1  },
{ 1, 1, 0, 2, 0, 0, 0, 3, 1, 2, 3, 1, 0, 0, 3, 0, 1, 0, 2, 2, 0, 0, 0, 1, 3, 1, 0, 1, 3, 0, 0, 0, 2, 0, 3, 1, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 2, 0, 0, 3, 0, 0, 1, 2, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 0, 3, 2, 0, 1, 1, 0, 3, 3, 0, 0, 3, 0, 1, 1, 0, 0, 3, 2, 0, 1  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 3, 1, 1, 0, 1, 3, 0, 0, 0, 2, 3, 0, 1, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 0, 2, 3, 3, 0, 3, 0, 0, 2, 3, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 2, 3, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 2, 0, 0, 1, 3, 0, 0, 1, 3, 2, 0, 3, 0, 3, 0, 0, 2, 3, 1, 0, 0, 1, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 1, 0, 1, 2, 2, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 2, 0, 3, 1, 0, 0, 3, 0, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 2, 1, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 3, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 1, 2, 3, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 3, 2, 1, 0, 0, 3, 0, 0, 2, 2, 3, 1, 3, 0, 3, 0, 3, 1  },
{ 1, 2, 2, 0, 3, 2, 3, 0, 2, 0, 3, 0, 0, 2, 0, 1, 1, 1, 3, 0, 3, 0, 0, 0, 3, 2, 2, 0, 0, 3, 0, 0, 0, 2, 1, 1, 0, 2, 3, 0, 3, 0  },
{ 3, 1, 0, 2, 0, 1, 0, 3, 1, 0, 2, 1, 0, 2, 0, 0, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 0, 1, 1, 3, 0, 0, 0, 3, 0, 1, 1, 0, 3, 0, 3, 0  },
{ 2, 1, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 2, 0, 0, 3, 0, 0, 0, 1, 2, 1, 3, 0, 1, 0, 0, 3, 2, 3, 1, 1, 0, 3, 1, 2, 0  },
{ 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 3, 1, 0, 2, 3, 0, 0, 0, 1, 2, 0, 3, 0, 3, 0, 0, 0, 2, 2, 1, 1, 0, 3, 0, 3, 0  },
{ 2, 3, 2, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 3, 1, 0, 3, 0, 0, 0, 3, 2, 0, 1, 0, 3, 0, 0, 0, 3, 2, 1, 0, 2, 0, 1, 3, 0  },
{ 2, 3, 0, 0, 1, 1, 0, 0, 2, 1, 1, 0, 3, 2, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 2, 2, 0, 1, 2, 2, 3, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 0  },
{ 0, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 2, 3, 0, 0, 2, 2, 1, 0, 2, 0, 0, 3, 0, 0, 0, 1, 3, 1, 3, 0, 3, 2, 0  },
{ 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 3, 0, 1, 0, 0, 0, 1, 0, 3, 2, 0, 1, 0, 2, 1, 0, 0, 0, 3, 0, 1, 2, 0, 3, 1, 3, 1, 2, 2, 0  },
{ 1, 0, 1, 0, 0, 3, 1, 2, 0, 0, 0, 1, 3, 0, 1, 0, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 1, 0, 3, 3, 1, 0, 2, 0, 3, 1, 2, 0, 3, 2, 0  },
{ 0, 3, 0, 1, 2, 3, 0, 3, 3, 0, 0, 3, 0, 2, 1, 0, 3, 1, 0, 0, 3, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 3, 3, 1, 2, 0, 2, 2, 0  },
{ 0, 1, 0, 2, 0, 0, 1, 2, 0, 1, 2, 2, 0, 1, 0, 0, 0, 2, 3, 1, 0, 0, 0, 1, 0, 1, 0, 1, 2, 1, 1, 0, 0, 3, 2, 1, 0, 2, 0, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 1, 3, 0, 2, 0, 2  },
{ 1, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 3, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 1, 3, 1, 1, 0, 3, 3, 0, 0, 0, 3, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 0, 0, 1, 3, 0, 3, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 1, 0, 2, 0, 2, 1, 3, 0, 3, 1, 3, 0, 0, 1, 3, 0, 0, 2, 0, 0, 1, 3, 1, 3, 3, 0, 1, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 3, 0, 0, 1, 3, 0, 0, 3, 1, 3, 1, 0, 0, 3, 3, 0, 1, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 2, 3, 0, 1, 1, 1, 0, 0, 0, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 3, 3, 1, 1, 0, 0, 3, 0, 0, 2, 0, 1, 1, 0, 0, 1, 2, 0, 0  },
{ 3, 1, 0, 2, 0, 3, 0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 2, 0, 3, 2, 3, 0, 0, 3, 3, 3, 1, 2, 3, 0, 0, 0, 2, 0, 3, 1, 2, 0, 2, 2, 0, 0  },
{ 2, 1, 0, 0, 2, 0, 0, 0, 2, 0, 3, 1, 0, 3, 0, 3, 0, 1, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 3, 3, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 1, 3, 0, 0, 2, 3, 3, 2, 0, 0, 1, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 3, 1, 0, 3, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 3, 3, 3, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 2, 0, 2, 1, 0, 0, 3, 1, 3, 0, 0, 2, 3, 0, 2, 0, 1, 3, 3, 0, 0, 2, 1, 0, 1, 0, 3, 0, 3, 0  },
{ 3, 2, 0, 1, 3, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 3, 3, 0, 3, 2, 3, 0, 2, 1, 0, 2, 1, 0, 1, 2, 3, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 0, 2, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 1, 1, 0, 1, 3, 3, 0, 2, 2, 1, 2, 0, 3, 0, 3, 3, 0, 1, 0, 3, 2, 0, 3, 2, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 1, 3, 0, 0, 3, 3, 3, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 2, 2, 2, 0, 1, 3, 3, 3, 1, 0, 3, 0, 3, 3, 2, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 1, 0, 0, 0, 1, 2, 1, 0, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 2, 3, 0, 0, 0, 1, 0, 3, 0, 2, 2, 3, 0, 2, 0, 1, 0, 2, 0  },
{ 0, 0, 2, 2, 0, 0, 0, 2, 3, 0, 0, 0, 0, 2, 0, 3, 3, 3, 3, 3, 3, 1, 1, 3, 0, 2, 1, 2, 2, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0  },
{ 0, 2, 2, 0, 3, 1, 2, 2, 0, 1, 2, 1, 2, 0, 0, 3, 2, 1, 2, 0, 3, 0, 0, 2, 1, 2, 0, 0, 1, 2, 3, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0  },
{ 2, 2, 1, 0, 3, 0, 0, 3, 0, 0, 2, 3, 1, 0, 0, 3, 0, 0, 1, 0, 1, 3, 1, 2, 1, 3, 1, 0, 0, 2, 3, 0, 1, 0, 3, 0, 0, 1, 1, 0, 0, 1  },
{ 0, 0, 2, 2, 1, 3, 0, 2, 0, 1, 0, 2, 2, 3, 1, 0, 1, 3, 2, 3, 2, 1, 1, 2, 2, 3, 1, 3, 0, 2, 3, 0, 2, 3, 0, 2, 1, 0, 2, 1, 2, 0  },
{ 1, 1, 0, 1, 3, 1, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0, 3, 1, 3, 0, 2, 1, 0, 3, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 1, 0, 1, 3, 1, 0, 1, 0, 2, 0, 1, 1, 0, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 3, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 1, 3, 0, 2, 1, 0, 1, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 3, 0, 0, 0, 1, 2, 2, 0, 0, 0, 1, 3, 1, 3, 1, 2, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 0, 1, 0, 2, 1, 1, 0, 3, 0, 1, 1, 0, 1, 3, 0, 0, 0, 3, 0, 1, 3, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 1, 3, 1, 0, 0, 3, 0, 1, 1, 3, 0, 3, 3, 1, 2  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 1, 3, 1, 2, 0, 0, 0, 2, 0, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 2, 1, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 0, 3, 0, 1, 0, 1, 3, 0, 0, 1, 3, 3, 1, 0, 2, 0, 0, 0, 2, 3, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 1, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 1, 0, 1, 1, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 1, 1, 0, 0, 3, 0, 0, 0, 2, 1, 1, 3, 0, 3, 0, 3, 1  },
{ 3, 1, 0, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 3, 0, 3, 1, 3, 1, 0, 2, 0, 1, 0, 0, 0, 2, 1, 3, 0, 1, 3, 0, 3, 0  },
{ 1, 1, 0, 0, 0, 1, 3, 0, 1, 0, 0, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 2, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 2, 0, 3, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 2, 2, 0, 0, 3, 3, 0, 2, 2, 1, 3, 0, 1, 0, 0, 2, 0  },
{ 3, 1, 1, 3, 2, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 1, 1, 1, 2, 0, 2, 0, 0, 0, 3, 0, 0, 2, 3, 1, 3, 0, 2, 2, 1, 1, 1, 0, 2, 0, 2, 1  },
{ 3, 1, 0, 1, 0, 0, 3, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 3, 1, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 0, 3, 3, 1  },
{ 2, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 1, 1, 3, 0, 1, 0, 0, 3, 3, 2, 1, 0, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 0, 2, 3, 1, 1, 0, 3, 0, 2, 1  },
{ 2, 2, 0, 0, 2, 3, 2, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0, 2, 0, 0, 0, 3, 2, 1, 0, 2, 0, 0, 3, 1  },
{ 3, 2, 1, 0, 0, 1, 1, 0, 1, 0, 2, 1, 2, 3, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 2, 1, 0, 3, 0, 1, 3, 0, 0, 2, 3, 0, 0, 1, 2, 0, 3, 0  },
{ 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 2, 1, 1, 3, 2, 1, 0, 2, 3, 2, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 2, 0  },
{ 0, 0, 3, 2, 0, 0, 0, 2, 2, 0, 2, 0, 0, 3, 0, 1, 0, 2, 0, 3, 2, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 3, 1, 0, 2, 1, 1, 3, 2, 3, 2, 2  },
{ 3, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 3, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 3, 1, 2, 1, 1, 3, 2, 2, 0  },
{ 2, 0, 2, 0, 0, 2, 1, 3, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 1, 2, 0, 1, 0, 2, 3, 1, 3, 0, 2, 2, 0  },
{ 1, 3, 1, 0, 3, 2, 0, 0, 1, 1, 2, 3, 2, 0, 1, 0, 1, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 1, 0, 0, 2, 2, 3, 2, 2, 0, 2, 2, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 3, 0, 3, 0, 1, 0, 1, 2, 1, 0, 2, 2, 1, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 1, 1, 0, 1, 1, 0, 3, 3, 3, 3, 1, 0, 2, 0, 0, 2, 1, 0, 1, 3, 1, 3, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 1, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 1, 0, 1, 2, 0, 0, 0, 3, 0, 0, 3, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 1, 0, 0, 0, 1, 0, 1, 1, 3, 1, 0, 1, 3, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 3, 3, 1, 0, 0, 0, 3, 0, 0, 2, 1, 3, 1, 2, 1, 3, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 3, 3, 1, 0, 2, 0, 3, 0, 0, 2, 0, 2, 1, 3, 0, 1, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 0, 2, 3, 0, 1, 0, 0, 3, 0, 0, 2, 3, 0, 0, 0, 1, 0, 3, 0, 0  },
{ 1, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 3, 1, 2, 3, 1, 3, 3, 0, 0, 2, 0, 2, 2, 2, 3, 1, 0, 0, 0  },
{ 1, 1, 0, 0, 2, 1, 3, 0, 0, 3, 0, 0, 0, 0, 3, 1, 1, 2, 1, 0, 0, 0, 0, 3, 3, 1, 2, 1, 3, 3, 3, 0, 2, 3, 0, 0, 2, 1, 0, 2, 0, 0  },
{ 2, 2, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 3, 0, 3, 3, 2, 0, 0, 0, 0, 2, 0, 2, 2, 3, 2, 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 1, 3, 2, 1, 1, 0, 1, 0, 0, 2, 3, 0, 1, 1, 1, 0, 0, 3, 0, 2, 2, 0, 0, 2, 0, 0, 0, 3, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 3, 1, 1, 0, 0, 1, 2, 3, 1, 0, 0, 0, 1, 2, 1, 0, 3, 0, 3, 2, 1, 0, 0, 3, 0, 3, 3, 1, 2, 0, 3, 1, 3, 0, 1, 0, 0, 0  },
{ 3, 1, 3, 2, 1, 1, 3, 0, 0, 0, 2, 2, 1, 0, 0, 0, 1, 0, 3, 0, 1, 0, 3, 2, 3, 0, 0, 3, 1, 2, 3, 1, 2, 3, 0, 0, 1, 1, 0, 0, 1, 0  },
{ 2, 1, 0, 0, 3, 1, 2, 0, 3, 1, 0, 0, 2, 2, 0, 3, 2, 2, 2, 0, 1, 1, 2, 2, 0, 0, 0, 2, 1, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0  },
{ 0, 0, 1, 0, 0, 0, 1, 1, 0, 2, 1, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 2, 0, 1, 2, 1, 1, 3, 2, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 2, 1, 3, 3, 1, 2, 2, 0, 0, 2, 3, 3, 0, 0, 0, 3, 1, 1, 0, 0, 1, 2, 2, 2, 0, 2, 0, 1, 0, 0, 3, 1, 1, 1, 2, 0, 1, 2, 2, 1, 2, 0  },
{ 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 2, 0, 1, 1, 2, 2, 3, 1, 3, 1, 1, 2, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 1, 1  },
{ 1, 1, 0, 1, 0, 1, 0, 1, 3, 1, 1, 2, 0, 3, 1, 0, 0, 0, 3, 0, 0, 1, 2, 1, 2, 1, 3, 1, 0, 3, 2, 2, 1, 2, 1, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 3, 1, 0, 1, 3, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 2, 1, 0, 1, 2, 1, 2, 1, 0, 2, 3, 1, 3, 1, 1, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 3, 0, 1, 1, 1, 1, 1, 0, 2, 0, 1, 0, 3, 0, 2, 0, 0, 1, 0, 3, 1, 3, 1, 2, 0, 0, 2, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 2, 0, 1, 0, 1, 0, 1, 3, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 1, 2, 1, 2, 0, 0, 1, 2, 0, 3, 1, 3, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 1, 0, 3, 0, 3, 1, 1, 3, 1, 0, 1, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 1, 1, 3, 1, 2, 0, 0, 2, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 2, 1, 1, 3, 1, 2, 0, 0, 0, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 0, 3, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 3, 0, 1, 0, 2, 0, 3, 1, 1, 3, 3, 1, 3, 0, 2  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 1, 3, 0, 1, 0, 0, 1, 0, 1, 2, 0, 3, 1, 2, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 0, 3, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 3, 3, 3, 1, 0, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 2, 3, 1, 2, 0, 1, 0, 2, 0, 0  },
{ 1, 1, 3, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 1, 1, 3, 0, 2, 1, 3, 2  },
{ 1, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 0, 1, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 1, 0, 1, 2, 1, 0, 0, 0, 0, 0, 3, 1, 0, 1, 2, 0, 0, 0, 3, 2, 0, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 2, 2, 1, 2, 1, 1, 0, 0, 2, 0  },
{ 3, 0, 1, 0, 2, 0, 2, 1, 0, 0, 1, 2, 2, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 2, 1, 2, 0, 1, 0, 0, 2, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 3, 1, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 1, 1, 1, 0, 1, 0, 3, 0, 2, 1, 1, 3, 1, 3, 1, 2, 0  },
{ 0, 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 2, 1, 3, 0, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 2, 3, 1, 1, 0, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 1, 0, 2, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 3, 2, 1, 3, 0, 0, 0, 2, 0  },
{ 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0, 2, 1, 2, 0, 0, 3, 1, 2, 3, 2, 1  },
{ 0, 0, 1, 0, 0, 3, 1, 3, 0, 1, 0, 3, 1, 2, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 3, 0, 2, 1, 3, 3, 0, 2, 0  },
{ 0, 0, 3, 0, 0, 0, 2, 1, 0, 1, 2, 0, 2, 2, 3, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 3, 2, 3, 1, 2, 0, 1, 2, 0  },
{ 1, 1, 1, 0, 3, 1, 1, 2, 0, 3, 1, 2, 1, 3, 1, 0, 0, 2, 1, 1, 1, 2, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 2, 2, 1, 0, 2, 0, 2, 1, 1  },
{ 0, 1, 0, 1, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0, 2, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 0, 2, 0, 1, 0, 1, 1, 1, 0, 2, 3, 1, 3, 0, 0, 2, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 3, 0, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 3, 0, 1, 0, 0, 0, 0, 3, 3, 1, 3, 1, 2, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 0, 1, 2, 3, 0, 0, 0, 2, 1, 3, 1, 0, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 1, 3, 0, 2, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 3, 3, 3, 1, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 1, 3, 0, 1, 2, 3, 0, 0, 0, 0, 1, 1, 2, 0, 0, 3, 0, 0, 2, 1, 1, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 0, 0, 3, 1, 0, 0, 0, 1, 3, 0, 0, 2, 1, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 0, 2, 1, 0, 3, 1, 0, 3, 3, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 2, 1, 2, 0, 1, 3, 1, 2, 1, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 3, 1, 3, 0, 0, 0, 3, 2, 0, 2, 0, 2, 1, 0, 0, 1, 2, 0, 0  },
{ 0, 0, 1, 0, 1, 2, 3, 0, 2, 0, 1, 0, 0, 0, 0, 1, 1, 2, 3, 0, 3, 0, 0, 0, 3, 0, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 3, 0, 3, 2, 0, 0, 1, 0, 0, 2, 0, 3, 3, 3, 0, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 3, 0, 1, 1, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 3, 1, 0, 0, 2, 2, 1, 1, 1, 0, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 2, 2, 0, 0, 0, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 2, 0, 3, 0, 1, 2, 3, 0, 0, 1, 1, 2, 2, 0, 2, 1, 0, 3, 2, 3, 0, 3, 0, 0  },
{ 1, 2, 0, 0, 1, 1, 0, 0, 1, 2, 0, 2, 1, 2, 0, 3, 0, 0, 1, 1, 1, 1, 2, 2, 0, 1, 0, 0, 0, 2, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 0  },
{ 2, 1, 1, 2, 0, 2, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 3, 3, 2, 1, 0, 1, 3, 2, 1, 1, 1, 0, 0, 2, 2, 1, 1, 0, 2, 0, 3, 2, 1, 0, 0, 0  },
{ 2, 2, 3, 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 1, 2, 0, 3, 3, 0, 1, 2, 0, 2, 2, 3, 0, 0, 1, 0, 2, 1, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 0, 0, 2, 1, 2, 1, 0, 1, 2, 1, 3, 0, 1, 2, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 2, 1, 3, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 3, 1, 0, 0, 2, 1, 0, 0, 1, 3, 1, 2, 0, 2, 0, 2, 1, 2, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 0, 1, 3, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 3, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 3, 2, 0, 0, 0, 2  },
{ 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 1, 1, 0, 3, 0, 2, 1, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 1, 0, 0, 1, 0, 1, 3, 1, 3, 0, 0, 2, 0, 3, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 3, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 1, 0, 3, 1, 0, 0, 1, 0, 1, 0, 0, 3, 1, 0, 3, 0, 3, 0, 0, 1, 2, 0, 0, 0, 2, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 1, 3, 1, 3, 0, 2  },
{ 1, 1, 2, 2, 0, 0, 0, 1, 3, 3, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 1, 1, 0, 0, 1, 1, 2, 0, 2, 0, 2, 0, 3, 1, 1, 2, 0, 0, 0, 1  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 1, 3, 2, 1, 3, 1, 2, 0, 2, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 3, 1, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 2, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 3, 1, 3, 3, 1, 3, 3, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 2, 0, 2, 1, 3, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 3, 0, 0, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0  },
{ 2, 1, 0, 0, 2, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 2, 2, 0, 0, 2, 1, 0, 2, 0, 0  },
{ 3, 0, 3, 0, 0, 2, 2, 1, 0, 0, 1, 3, 0, 0, 3, 0, 0, 0, 2, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 2, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 0, 1, 2, 0, 1, 3, 1, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 3, 1, 2, 0, 2, 0  },
{ 3, 0, 1, 0, 3, 0, 0, 3, 0, 3, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 3, 1, 0, 0, 2, 0, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 2, 1, 0, 0, 1, 0, 2, 0  },
{ 3, 2, 1, 2, 2, 0, 2, 0, 0, 1, 0, 0, 2, 3, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 0, 1, 0, 0, 1, 1  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 1, 1, 0, 2, 0, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 3, 0, 0, 0, 2, 0, 2, 1, 0, 2, 0, 1, 3, 1, 2, 2, 0  },
{ 0, 0, 3, 1, 3, 0, 3, 1, 0, 1, 3, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 1, 2, 0, 1, 3, 1, 2, 0, 1, 2, 1  },
{ 0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 2, 3, 0, 0, 1, 3, 3, 1, 1, 0, 2, 1, 0  },
{ 0, 0, 1, 0, 2, 1, 1, 2, 1, 3, 1, 3, 0, 0, 3, 0, 2, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 2, 2, 1, 0, 1, 0, 0, 2, 0  },
{ 3, 1, 2, 1, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 2, 1, 2, 1, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 3, 0, 1, 0, 0, 1, 3, 1, 0, 0, 0, 0, 2, 1, 3, 3, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 1, 3, 1, 0, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 2, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 3, 3, 1, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 1, 3, 0, 1, 0, 0, 2, 0, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 2, 1, 2, 3, 1, 0, 0, 2, 0, 2, 0, 3, 1, 2, 1, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 2, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 2, 2, 0, 1, 2, 1, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 2, 0, 0, 3, 2, 0, 0, 2, 0, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 3, 0, 2, 2, 1, 2, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 1, 1, 0, 0, 0  },
{ 2, 0, 2, 3, 0, 0, 1, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 2, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 3, 3, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 0, 0, 2, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 2, 1, 1, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 2, 1, 2, 0, 2, 0, 1, 1, 0, 2, 1, 1, 0, 0, 2, 3, 1, 0, 3, 2, 0  },
{ 1, 0, 0, 0, 0, 1, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 2, 0, 3, 2, 2, 0, 2, 1, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 2, 0, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1, 3, 3, 0, 3, 2, 1, 0, 2, 2, 0, 1, 0, 1, 0, 3, 2, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 1, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 3, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 2, 0, 3, 0, 2, 0, 0  },
{ 1, 1, 3, 1, 1, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 1, 1, 0, 1, 3, 1, 1, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 3, 2, 1, 0, 0, 0, 0, 1, 0, 0, 2, 3, 1, 3, 0, 0, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 3, 3, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 2, 1, 0, 0, 0, 3, 0, 1, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 3, 3, 0, 2, 0, 2  },
{ 1, 1, 2, 3, 2, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 1, 1, 0, 1, 0, 2, 2, 0, 0, 2, 1, 2, 0, 0, 0, 2, 0, 2, 1, 2, 1, 1, 0, 0, 0, 0, 2  },
{ 1, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 1, 3, 0, 0, 0, 1  },
{ 1, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 1, 0, 3, 2, 1, 2, 0, 2, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 2, 0, 2, 0, 0, 1, 1, 1, 0, 0, 2, 1, 0, 1, 1, 0, 1, 0, 2, 1, 0, 0, 3, 2, 0, 0, 0, 0, 2, 0, 2, 0, 3, 0, 1, 3, 0, 0, 0, 1  },
{ 3, 0, 3, 0, 1, 0, 0, 1, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 0, 2, 2, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 3, 0, 0, 0, 1, 0, 1, 1, 0, 0, 3, 0, 0, 1, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 1, 3, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 2, 2, 0, 0, 0, 3, 3, 1, 3, 1, 2, 2  },
{ 1, 1, 3, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 3, 0, 1, 0, 1, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 2, 3, 1, 3, 1, 2, 0, 1  },
{ 0, 1, 3, 0, 2, 0, 0, 1, 0, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 0, 2, 1, 0, 0, 2, 3, 1, 1, 0, 0, 1, 0, 2, 0, 3, 1, 0, 1, 1, 2, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 2, 0, 1, 0, 1, 0, 1, 0, 0  },
{ 0, 3, 1, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 2, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 2, 2, 1, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 3, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 3, 1, 3, 0, 2, 2  },
{ 3, 0, 0, 0, 0, 2, 0, 1, 1, 2, 0, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 2, 3, 2, 1, 2, 1, 0, 2, 1  },
{ 1, 1, 0, 0, 1, 2, 1, 1, 0, 1, 1, 0, 2, 0, 0, 0, 2, 1, 2, 0, 1, 0, 1, 0, 0, 1, 0, 1, 1, 0, 0, 2, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0  },
{ 0, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 2, 1, 0, 2, 3, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 2, 0, 2, 0, 0, 0, 1, 3, 2, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 3, 0, 0, 1, 0  },
{ 0, 1, 2, 0, 0, 2, 0, 0, 2, 3, 0, 1, 0, 2, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 3, 1, 0, 1, 3, 0, 2, 2, 1  },
{ 0, 0, 1, 0, 0, 2, 1, 2, 0, 3, 0, 1, 3, 2, 2, 0, 0, 3, 0, 0, 3, 0, 3, 0, 1, 1, 0, 0, 0, 2, 0, 0, 1, 1, 0, 3, 0, 0, 0, 1, 2, 0  },
{ 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 2, 1, 0, 3, 0, 0, 1, 0, 3, 1, 1, 2, 1, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 3, 3, 0, 0, 2, 0, 1, 0  },
{ 3, 1, 2, 1, 3, 3, 0, 0, 2, 2, 1, 0, 0, 2, 2, 0, 3, 2, 0, 0, 0, 1, 0, 0, 0, 3, 1, 1, 1, 3, 2, 1, 2, 0, 2, 0, 2, 0, 2, 0, 1, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 2, 1, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 2, 2, 1, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 2, 0, 2, 0, 2  },
{ 1, 1, 0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 3, 1, 2, 1, 1, 0, 0, 0, 0, 2  },
{ 2, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 3, 0, 2, 1, 2, 1, 0, 0, 0, 0, 2, 2, 2, 1, 1, 0, 1, 3, 0, 0, 0, 2  },
{ 0, 0, 0, 2, 1, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 2, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 1, 0, 1, 0, 0, 2, 0, 2, 0, 3, 0, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 2, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 1, 3, 1, 0, 2, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 3, 1, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 3, 2, 1, 0, 0, 0  },
{ 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 2, 2, 2, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 2, 1, 2, 3, 0, 0, 0, 2, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 3, 0, 0, 1, 1, 2, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0  },
{ 1, 3, 2, 1, 3, 1, 2, 0, 0, 3, 0, 0, 0, 0, 0, 3, 2, 1, 1, 1, 0, 1, 1, 1, 2, 0, 0, 0, 0, 2, 2, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 2, 0, 1, 1, 0, 0, 3, 2, 0, 3, 2, 0, 0, 0, 1, 0, 1, 0, 0  },
{ 1, 2, 3, 2, 2, 1, 2, 0, 2, 1, 1, 0, 0, 0, 2, 0, 2, 3, 3, 0, 3, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0  },
{ 3, 1, 0, 1, 1, 0, 2, 0, 1, 1, 2, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 0, 3, 0, 0, 0  },
{ 0, 1, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 3, 2, 0  },
{ 2, 0, 1, 3, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 1, 3, 0, 0, 0, 0  },
{ 0, 1, 3, 3, 0, 0, 0, 3, 1, 1, 0, 0, 0, 1, 1, 3, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 1, 0, 0, 3, 0, 2  },
{ 2, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 2, 0, 2  },
{ 1, 0, 2, 1, 1, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 2, 0, 1, 0, 0, 3, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 1  },
{ 1, 0, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 1, 0, 3, 3, 1, 0, 0, 0, 0, 2, 3, 3, 3, 0, 0, 2, 3, 1, 0, 0, 1  },
{ 1, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 2, 2, 2, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 3, 3, 0, 0, 0, 0, 1, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 2, 0, 3, 0, 0, 0, 1, 2, 1, 2, 0, 2  },
{ 2, 0, 0, 2, 3, 0, 2, 1, 1, 2, 1, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 0, 3, 1, 2, 1, 1, 0, 0, 0, 0, 1  },
{ 1, 0, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 1, 2, 0, 2, 3, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 0, 0, 3, 1, 1, 1, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0, 0, 2, 2, 2, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 3, 3, 0, 0, 3, 1, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 2, 2, 1, 0, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 2, 1, 1, 3, 2  },
{ 1, 0, 0, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 2, 1, 2, 0, 0, 3, 0, 0, 1, 1, 0, 3, 1, 1, 0, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 2, 0, 1  },
{ 2, 0, 1, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 0, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 2, 0, 3, 2, 0, 0, 0, 1, 2, 0, 0  },
{ 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 3, 1, 1, 0, 2, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 2, 0, 2, 2, 0, 1, 1, 0, 0, 0, 0  },
{ 2, 1, 2, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 0, 2, 0, 2, 1  },
{ 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 3, 2, 3, 3, 0, 2, 2, 0, 0, 3, 1, 2, 0, 1, 0, 0, 3, 0, 0, 0, 1, 2, 0, 3, 1, 2, 0, 2, 0, 1  },
{ 0, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 1, 1, 2, 1, 0, 0, 2, 0, 1, 2, 0, 0, 0, 2, 2, 0, 0, 0, 2, 0, 0, 2, 0, 3, 0, 1, 0, 2, 0, 2, 0  },
{ 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 1, 0  },
{ 2, 0, 0, 2, 1, 0, 3, 0, 1, 3, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 3, 1, 3, 0, 0, 0  },
{ 2, 0, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0  },
{ 0, 0, 3, 0, 1, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 3, 1, 3, 3, 0, 0, 0, 0, 2, 0  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 3, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 0, 2, 0, 0, 2, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 1, 0, 1, 3, 2  },
{ 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 3, 1, 2, 1, 1, 0, 0, 0, 2, 2  },
{ 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 2, 0, 2, 3, 2, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 2, 0, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 1, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 3, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 1, 2, 0, 1, 0, 1, 0, 2, 2, 0, 0, 1, 2, 3, 0, 0, 0  },
{ 0, 2, 2, 0, 0, 0, 1, 0, 0, 1, 1, 2, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 2, 0, 1, 3, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 0, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 3, 2, 0, 0, 1, 1, 0, 3, 0, 0, 2, 0, 0, 2, 1, 1, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 3, 0, 2, 0, 0, 0  },
{ 0, 0, 1, 0, 3, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 2, 3, 0, 1, 0, 0, 1, 3, 1, 2, 0, 2, 2, 0, 3, 0, 1, 0, 0, 2, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 0, 1, 2, 3, 3, 3, 0, 1, 2, 3, 0, 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0  }
 },
{ 
{ 2, 1, 3, 3, 0, 2, 2, 1, 3, 2, 0, 1, 2, 2, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 3, 1, 3, 2, 1, 0, 0, 0, 1, 1, 1, 3, 2, 3, 0, 2, 1, 0  },
{ 2, 2, 3, 3, 2, 2, 3, 2, 3, 3, 1, 3, 1, 1, 1, 3, 1, 3, 2, 1, 1, 1, 1, 1, 3, 2, 2, 1, 1, 1, 1, 1, 1, 2, 1, 3, 3, 1, 1, 1, 1, 1  },
{ 0, 2, 3, 3, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 3, 3, 3, 0, 0, 0, 0, 0, 2, 3, 3, 3, 2, 3, 2, 0, 0  },
{ 2, 2, 3, 2, 3, 2, 2, 3, 3, 3, 1, 1, 3, 1, 1, 1, 3, 2, 2, 2, 2, 2, 2, 2, 2, 3, 2, 3, 3, 0, 1, 1, 1, 3, 3, 3, 3, 2, 3, 0, 0, 0  },
{ 3, 2, 3, 3, 0, 1, 1, 2, 3, 3, 2, 2, 1, 2, 1, 2, 0, 1, 0, 1, 3, 0, 1, 3, 0, 0, 3, 2, 0, 1, 2, 0, 0, 0, 1, 0, 3, 1, 0, 2, 2, 2  },
{ 2, 1, 0, 1, 0, 2, 3, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 1, 1, 3, 0, 3, 2, 0, 1, 2, 0, 1, 0, 3, 0, 1, 1, 0  },
{ 0, 1, 0, 2, 0, 3, 3, 0, 0, 2, 1, 3, 1, 3, 0, 0, 2, 0, 0, 0, 1, 2, 0, 3, 3, 1, 3, 3, 2, 3, 1, 1, 1, 1, 2, 3, 0, 3, 2, 3, 1, 1  },
{ 2, 0, 3, 1, 2, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 3, 3, 1, 0, 2, 2, 3, 2, 1, 1, 0, 1, 0, 3, 2, 0, 1, 2, 3, 1, 1, 0, 3, 1, 1, 1, 1  },
{ 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 3, 1, 0, 0, 2, 1, 0, 1, 2, 2, 0, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 2, 0, 2, 2, 3, 0, 1, 0, 1, 1, 0, 0, 0, 1, 0, 1, 3, 1, 1, 2, 2, 0, 3, 1, 0, 2, 0, 0, 1, 2, 3, 0, 0, 2, 0, 0, 2, 0  },
{ 0, 2, 1, 1, 3, 3, 1, 0, 3, 2, 1, 3, 0, 0, 0, 3, 2, 0, 0, 0, 1, 1, 2, 0, 3, 0, 0, 3, 0, 1, 1, 1, 2, 0, 0, 3, 0, 1, 0, 1, 1, 1  },
{ 3, 2, 2, 0, 2, 2, 2, 0, 0, 3, 0, 2, 0, 1, 3, 3, 0, 0, 2, 3, 3, 2, 1, 0, 0, 0, 0, 2, 0, 2, 3, 2, 1, 0, 3, 3, 1, 0, 1, 1, 1, 3  },
{ 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 3, 2, 2, 0, 2, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 2, 1, 3, 0, 1, 1, 0, 1, 2, 0, 3, 0, 0, 0, 2, 2, 0, 0, 2, 2, 2, 0, 0, 3, 0, 0, 0, 2, 2, 0, 0, 2, 2, 2, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 1, 1, 0, 3, 1, 1, 3, 2, 2, 3, 1, 0, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 3, 1, 2, 1, 2, 0, 0, 0, 3, 1, 1, 1, 0, 0, 0  },
{ 0, 2, 1, 3, 0, 1, 1, 2, 1, 2, 0, 0, 0, 3, 0, 2, 2, 0, 0, 3, 2, 0, 0, 0, 3, 2, 2, 0, 2, 2, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 2, 3, 2, 0, 2, 1, 0, 3, 2, 1, 0, 2, 1, 3, 2, 2, 2, 0, 0, 1, 3, 1, 0, 0, 3, 0, 1, 3, 0, 2, 2, 0, 2, 0, 0, 3, 0, 3, 0, 1, 2, 0  },
{ 2, 2, 2, 1, 0, 2, 1, 3, 1, 2, 3, 0, 3, 0, 3, 2, 2, 3, 0, 3, 0, 3, 0, 0, 3, 2, 0, 3, 0, 2, 2, 0, 0, 0, 0, 3, 2, 3, 3, 0, 2, 3  },
{ 2, 3, 1, 1, 0, 2, 2, 3, 0, 2, 3, 1, 3, 1, 2, 3, 2, 2, 0, 3, 1, 3, 1, 1, 0, 0, 0, 3, 1, 3, 1, 2, 2, 1, 2, 3, 2, 3, 3, 0, 2, 2  },
{ 2, 0, 2, 1, 2, 3, 2, 3, 0, 0, 1, 3, 2, 2, 0, 0, 3, 2, 0, 2, 3, 3, 2, 2, 3, 0, 1, 1, 2, 3, 2, 0, 0, 2, 2, 3, 0, 3, 3, 3, 2, 0  },
{ 2, 2, 3, 2, 1, 3, 0, 0, 3, 1, 3, 1, 3, 1, 3, 2, 0, 3, 2, 3, 1, 3, 3, 3, 2, 2, 3, 1, 3, 2, 2, 2, 2, 2, 2, 3, 3, 2, 3, 0, 3, 1  },
{ 2, 0, 2, 0, 2, 2, 2, 3, 0, 2, 3, 1, 3, 2, 3, 1, 0, 3, 1, 3, 1, 3, 3, 2, 3, 1, 3, 1, 2, 2, 1, 2, 1, 2, 1, 3, 3, 1, 3, 3, 1, 1  },
{ 3, 1, 1, 0, 1, 1, 3, 1, 2, 0, 2, 1, 0, 0, 1, 3, 3, 3, 0, 1, 3, 0, 1, 2, 0, 0, 2, 3, 0, 2, 2, 0, 0, 0, 0, 1, 0, 2, 2, 3, 0, 0  },
{ 0, 0, 1, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 3, 3, 0, 0, 0, 2, 0, 0, 2, 2, 0, 0, 3, 0, 1, 0, 0, 2, 0  },
{ 0, 0, 3, 2, 3, 1, 2, 1, 3, 2, 2, 2, 1, 3, 1, 3, 3, 0, 2, 1, 0, 2, 0, 0, 3, 2, 0, 2, 3, 1, 2, 0, 0, 3, 1, 3, 1, 3, 0, 3, 2, 0  },
{ 2, 0, 2, 0, 2, 3, 1, 3, 3, 1, 2, 2, 1, 2, 1, 1, 0, 2, 2, 3, 1, 3, 3, 1, 3, 2, 3, 2, 2, 2, 1, 1, 1, 3, 2, 3, 1, 2, 2, 3, 2, 1  },
{ 2, 3, 1, 0, 1, 0, 2, 3, 0, 0, 1, 1, 0, 3, 1, 1, 3, 1, 3, 1, 2, 3, 2, 2, 3, 1, 3, 2, 0, 2, 2, 1, 1, 0, 1, 0, 0, 0, 0, 3, 1, 1  },
{ 3, 2, 0, 1, 0, 1, 3, 2, 2, 2, 2, 2, 1, 0, 0, 2, 3, 2, 0, 3, 3, 1, 3, 3, 0, 1, 1, 2, 3, 2, 1, 1, 2, 0, 3, 1, 3, 3, 2, 3, 2, 1  },
{ 0, 0, 1, 0, 2, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 2, 3, 1, 3, 1, 0, 0, 1  },
{ 0, 2, 1, 0, 0, 3, 3, 1, 0, 0, 1, 2, 0, 0, 3, 2, 2, 1, 1, 3, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 3, 0, 1, 0, 0, 1, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 1, 0, 2, 1, 3, 3, 0, 3, 2, 0, 1, 2, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 2, 2, 2, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 2, 1, 3, 0, 0, 3, 2, 1, 0, 1, 0, 2, 2, 0, 0, 1, 2, 3, 0, 2, 0, 3, 0, 0, 3, 1, 2, 0, 3, 0, 2, 2, 0, 0, 2, 3, 1, 0, 0, 0, 2, 0  },
{ 2, 0, 2, 1, 2, 2, 3, 1, 0, 1, 2, 2, 3, 1, 0, 1, 2, 3, 0, 2, 1, 3, 0, 0, 3, 0, 0, 2, 0, 3, 2, 0, 1, 0, 1, 3, 0, 1, 3, 1, 1, 0  },
{ 2, 0, 1, 0, 1, 2, 1, 3, 0, 0, 3, 1, 2, 1, 0, 1, 2, 0, 0, 3, 0, 3, 0, 0, 2, 1, 0, 0, 3, 0, 2, 2, 0, 3, 0, 3, 1, 3, 0, 2, 2, 2  },
{ 2, 0, 1, 0, 0, 3, 2, 0, 0, 0, 2, 3, 1, 2, 1, 1, 2, 0, 0, 2, 0, 3, 0, 0, 3, 0, 0, 2, 0, 3, 2, 0, 0, 0, 3, 3, 0, 3, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 0, 3, 2, 3, 1, 0, 1, 1, 3, 0, 0, 1, 0, 3, 1, 2, 1, 3, 1, 1, 3, 2, 1, 2, 2, 1, 2, 1, 1, 1, 1, 3, 1, 2, 3, 1, 1, 1  },
{ 2, 0, 3, 0, 2, 2, 3, 0, 0, 0, 1, 3, 2, 3, 1, 2, 2, 2, 0, 2, 1, 2, 3, 1, 3, 3, 0, 2, 3, 2, 0, 1, 2, 2, 2, 3, 1, 3, 3, 3, 0, 0  },
{ 2, 2, 1, 0, 1, 3, 2, 0, 0, 0, 1, 1, 3, 1, 3, 0, 2, 3, 0, 3, 2, 0, 2, 0, 2, 2, 0, 3, 0, 3, 2, 3, 0, 3, 2, 3, 3, 0, 3, 0, 3, 0  },
{ 2, 0, 1, 2, 0, 3, 3, 2, 0, 0, 1, 2, 3, 1, 2, 0, 1, 0, 3, 2, 0, 2, 3, 1, 2, 1, 0, 2, 1, 3, 1, 1, 1, 0, 2, 3, 0, 3, 3, 1, 2, 0  },
{ 2, 0, 2, 0, 3, 2, 1, 3, 0, 1, 0, 3, 2, 1, 3, 0, 1, 3, 2, 3, 1, 2, 3, 3, 0, 1, 1, 2, 0, 2, 3, 2, 0, 1, 3, 3, 1, 3, 3, 3, 1, 0  },
{ 0, 2, 3, 1, 3, 1, 1, 3, 0, 0, 1, 3, 1, 3, 1, 0, 2, 3, 2, 2, 1, 2, 3, 3, 2, 2, 1, 3, 3, 3, 1, 1, 3, 1, 1, 3, 3, 1, 3, 1, 2, 0  },
{ 2, 0, 3, 2, 1, 1, 0, 3, 0, 2, 2, 1, 3, 2, 0, 0, 1, 1, 3, 3, 2, 3, 0, 3, 1, 1, 0, 2, 1, 2, 0, 0, 1, 3, 0, 3, 1, 3, 1, 2, 0, 0  },
{ 3, 3, 1, 0, 2, 3, 2, 1, 1, 2, 1, 3, 2, 2, 3, 2, 1, 3, 1, 3, 1, 0, 2, 3, 1, 2, 3, 0, 3, 2, 0, 2, 0, 2, 1, 2, 3, 1, 3, 2, 2, 2  },
{ 2, 3, 2, 0, 0, 1, 3, 0, 0, 2, 3, 2, 3, 1, 0, 0, 1, 1, 3, 0, 1, 2, 0, 2, 0, 0, 0, 2, 3, 1, 3, 2, 1, 1, 1, 3, 0, 3, 2, 2, 2, 2  },
{ 1, 2, 1, 0, 2, 2, 3, 1, 0, 1, 1, 2, 3, 0, 0, 3, 1, 2, 0, 2, 0, 1, 0, 0, 3, 2, 1, 1, 2, 0, 0, 2, 0, 1, 3, 0, 1, 1, 3, 3, 0, 2  },
{ 2, 0, 2, 1, 3, 3, 2, 3, 2, 2, 3, 2, 0, 3, 0, 3, 2, 2, 0, 2, 3, 0, 1, 0, 3, 0, 0, 2, 2, 3, 2, 0, 0, 3, 3, 1, 0, 0, 3, 0, 0, 0  },
{ 2, 0, 2, 0, 2, 2, 3, 1, 0, 0, 3, 3, 0, 2, 0, 3, 3, 1, 0, 2, 0, 3, 0, 0, 3, 0, 3, 0, 2, 0, 2, 2, 0, 2, 3, 3, 0, 0, 1, 3, 0, 2  },
{ 2, 1, 2, 1, 0, 0, 3, 3, 2, 2, 3, 2, 2, 2, 3, 0, 3, 3, 2, 2, 3, 3, 3, 2, 3, 0, 0, 2, 3, 2, 1, 0, 1, 3, 1, 1, 0, 3, 0, 2, 2, 0  },
{ 2, 0, 3, 0, 1, 3, 3, 3, 1, 2, 0, 2, 2, 1, 2, 1, 2, 0, 1, 2, 0, 3, 2, 3, 1, 3, 1, 0, 1, 2, 2, 0, 2, 1, 0, 1, 0, 3, 2, 2, 3, 0  },
{ 1, 0, 3, 0, 2, 1, 1, 2, 0, 0, 0, 3, 0, 2, 0, 2, 2, 1, 1, 1, 2, 3, 2, 1, 3, 3, 3, 1, 2, 1, 2, 1, 1, 1, 1, 3, 0, 3, 1, 1, 3, 1  },
{ 2, 0, 3, 1, 1, 1, 0, 3, 1, 2, 3, 2, 3, 1, 2, 3, 2, 3, 1, 2, 0, 1, 0, 2, 1, 0, 3, 0, 0, 0, 2, 2, 0, 1, 3, 1, 0, 1, 3, 2, 0, 2  },
{ 2, 0, 3, 0, 2, 2, 1, 3, 0, 1, 3, 2, 3, 2, 1, 0, 1, 0, 0, 3, 0, 0, 0, 2, 3, 2, 3, 0, 2, 0, 2, 2, 0, 1, 3, 0, 1, 3, 2, 2, 0, 2  },
{ 2, 1, 0, 0, 1, 3, 3, 2, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 1, 3, 0, 0, 0, 2, 2, 0, 0, 3, 0, 0, 3, 1, 3, 2, 2  },
{ 2, 1, 3, 0, 1, 2, 3, 1, 0, 2, 2, 3, 2, 0, 0, 1, 2, 0, 2, 2, 0, 2, 0, 0, 0, 0, 3, 2, 0, 0, 0, 2, 0, 3, 1, 3, 1, 3, 0, 2, 0, 0  },
{ 2, 0, 3, 0, 2, 2, 3, 1, 0, 0, 2, 1, 1, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 0, 3, 2, 2, 3, 2, 3, 1, 0, 0, 0, 3, 0, 0, 3, 1, 2, 1, 0  },
{ 2, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 1, 2, 3, 3, 2, 2, 3, 0, 2, 0, 2, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 3, 2, 3, 2, 2  },
{ 2, 0, 3, 1, 2, 0, 2, 1, 0, 0, 2, 3, 0, 1, 1, 0, 0, 0, 2, 3, 0, 2, 0, 0, 1, 2, 1, 2, 0, 0, 2, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 2  },
{ 2, 0, 3, 0, 2, 0, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 2, 0, 2, 0, 0, 3, 2, 2, 2, 0, 2, 0, 2, 2, 0, 3, 3, 1, 0, 3, 2, 0, 0  },
{ 2, 0, 3, 0, 2, 2, 1, 1, 0, 1, 3, 2, 3, 1, 3, 0, 1, 1, 2, 2, 1, 2, 3, 0, 3, 3, 0, 2, 2, 2, 0, 1, 2, 2, 3, 3, 0, 2, 1, 3, 1, 0  },
{ 2, 2, 1, 0, 0, 2, 3, 0, 0, 0, 1, 3, 2, 3, 1, 0, 2, 0, 3, 3, 2, 0, 2, 3, 1, 1, 0, 0, 3, 0, 0, 3, 0, 0, 0, 2, 3, 3, 3, 3, 2, 2  },
{ 2, 0, 3, 2, 2, 3, 1, 2, 0, 0, 1, 0, 3, 1, 1, 0, 1, 2, 1, 0, 2, 0, 3, 0, 3, 0, 0, 0, 2, 3, 0, 2, 0, 0, 0, 3, 1, 0, 2, 0, 2, 0  },
{ 3, 0, 3, 1, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 2  },
{ 2, 2, 2, 0, 2, 3, 0, 3, 0, 2, 2, 3, 2, 1, 2, 3, 0, 3, 0, 2, 3, 1, 0, 2, 3, 2, 0, 2, 2, 0, 1, 2, 0, 1, 3, 0, 0, 3, 1, 2, 0, 2  },
{ 2, 0, 2, 0, 2, 3, 0, 3, 0, 3, 1, 3, 2, 1, 1, 3, 2, 2, 2, 0, 3, 3, 0, 0, 3, 0, 3, 3, 0, 2, 1, 2, 0, 2, 2, 0, 0, 1, 1, 2, 3, 2  },
{ 2, 0, 2, 0, 3, 0, 3, 1, 0, 2, 1, 3, 0, 0, 3, 0, 0, 2, 2, 0, 2, 3, 0, 0, 3, 2, 3, 0, 3, 2, 0, 2, 2, 0, 2, 0, 1, 1, 3, 2, 3, 0  },
{ 2, 0, 2, 0, 2, 3, 1, 3, 1, 1, 1, 2, 1, 2, 3, 3, 2, 1, 0, 2, 2, 1, 1, 1, 3, 0, 3, 2, 3, 3, 0, 0, 2, 3, 0, 0, 0, 2, 0, 2, 1, 2  },
{ 2, 0, 3, 0, 1, 0, 1, 0, 0, 2, 2, 1, 3, 2, 0, 3, 2, 3, 1, 0, 3, 3, 2, 1, 3, 3, 1, 3, 2, 2, 1, 2, 2, 3, 1, 0, 0, 0, 2, 3, 2, 2  },
{ 3, 2, 1, 3, 0, 2, 1, 3, 0, 1, 2, 1, 0, 1, 3, 3, 3, 1, 2, 0, 2, 3, 1, 3, 1, 2, 3, 0, 3, 2, 2, 1, 1, 3, 0, 3, 0, 2, 0, 1, 3, 2  },
{ 2, 2, 3, 2, 2, 3, 2, 3, 1, 1, 3, 1, 3, 3, 3, 2, 2, 3, 0, 1, 3, 2, 1, 3, 0, 2, 0, 0, 1, 1, 2, 2, 0, 2, 1, 1, 2, 3, 2, 3, 3, 2  },
{ 2, 2, 3, 0, 3, 2, 1, 3, 2, 2, 1, 1, 2, 2, 3, 1, 2, 3, 0, 3, 2, 1, 1, 3, 2, 1, 3, 1, 2, 0, 2, 2, 2, 1, 3, 1, 2, 3, 1, 2, 3, 2  },
{ 2, 2, 0, 0, 3, 0, 3, 3, 0, 2, 1, 2, 2, 2, 0, 1, 1, 3, 0, 2, 3, 2, 2, 1, 1, 2, 2, 2, 0, 0, 2, 2, 0, 1, 3, 2, 1, 3, 2, 3, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 1, 3, 0, 2, 2, 1, 3, 3, 0, 0, 3, 1, 0, 2, 3, 2, 0, 3, 2, 1, 2, 0, 2, 0, 2, 2, 0, 1, 3, 1, 2, 3, 2, 1, 3, 2  },
{ 2, 0, 3, 1, 0, 0, 3, 1, 0, 2, 2, 0, 3, 3, 0, 1, 3, 2, 3, 0, 2, 2, 0, 0, 3, 2, 0, 3, 1, 2, 2, 2, 0, 1, 3, 1, 1, 0, 3, 0, 3, 2  },
{ 2, 2, 2, 2, 0, 3, 3, 3, 0, 0, 2, 0, 2, 2, 0, 0, 2, 3, 2, 2, 3, 2, 2, 0, 1, 1, 0, 2, 3, 0, 0, 0, 0, 3, 0, 1, 2, 3, 2, 3, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 3, 2, 0, 2, 2, 1, 3, 2, 0, 0, 1, 3, 3, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 0, 3, 3, 1, 3, 0, 2, 3, 2  },
{ 2, 0, 3, 0, 2, 1, 3, 1, 0, 3, 1, 2, 0, 2, 0, 0, 1, 3, 0, 2, 3, 2, 2, 1, 3, 2, 2, 3, 0, 2, 0, 0, 0, 0, 3, 0, 0, 3, 3, 2, 3, 2  },
{ 2, 0, 3, 0, 2, 3, 0, 1, 0, 3, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 3, 1, 2, 0, 3, 3, 0, 1, 2, 2, 0, 0, 0, 0, 3, 1, 0, 3, 2, 1, 3, 0  },
{ 2, 2, 0, 0, 3, 1, 3, 3, 2, 0, 3, 1, 3, 1, 0, 0, 0, 1, 3, 0, 3, 2, 3, 1, 1, 0, 0, 2, 0, 3, 0, 0, 0, 2, 1, 1, 3, 3, 2, 0, 3, 2  },
{ 2, 1, 0, 2, 1, 0, 3, 1, 0, 1, 1, 3, 0, 2, 0, 0, 1, 3, 3, 3, 0, 3, 2, 0, 1, 0, 1, 2, 0, 2, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 2, 0  },
{ 2, 0, 1, 2, 2, 3, 3, 1, 0, 0, 2, 1, 1, 3, 1, 1, 0, 1, 3, 2, 1, 2, 3, 2, 3, 0, 1, 2, 0, 2, 0, 0, 0, 0, 3, 3, 0, 3, 3, 2, 0, 2  },
{ 3, 2, 0, 0, 3, 3, 2, 0, 0, 2, 0, 3, 3, 1, 0, 1, 0, 0, 0, 3, 2, 3, 0, 3, 0, 3, 3, 0, 3, 2, 0, 0, 0, 2, 3, 0, 0, 3, 3, 2, 3, 0  },
{ 1, 0, 2, 0, 3, 2, 1, 3, 0, 1, 1, 2, 0, 0, 1, 0, 2, 1, 3, 3, 0, 3, 1, 3, 1, 2, 0, 3, 2, 2, 2, 1, 2, 3, 0, 0, 0, 3, 2, 3, 2, 1  },
{ 0, 2, 1, 2, 2, 3, 3, 1, 0, 1, 3, 0, 2, 2, 3, 2, 1, 3, 1, 2, 3, 2, 0, 3, 1, 2, 2, 0, 2, 2, 0, 3, 0, 0, 0, 3, 3, 1, 3, 2, 2, 3  },
{ 1, 0, 2, 3, 1, 3, 0, 1, 0, 2, 0, 3, 0, 3, 1, 0, 0, 1, 3, 2, 1, 2, 3, 3, 1, 1, 0, 3, 2, 2, 0, 0, 0, 0, 0, 3, 1, 3, 3, 3, 0, 0  },
{ 3, 3, 1, 2, 3, 2, 3, 0, 1, 0, 3, 1, 3, 1, 3, 2, 2, 3, 1, 1, 3, 2, 3, 0, 1, 2, 0, 2, 3, 2, 3, 0, 2, 0, 0, 3, 3, 0, 3, 2, 1, 0  },
{ 0, 2, 3, 1, 0, 3, 1, 0, 2, 2, 3, 2, 3, 2, 1, 1, 0, 0, 1, 3, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 3, 2, 0, 3, 1, 3, 3, 0, 2, 3, 1, 2  },
{ 2, 0, 3, 0, 3, 0, 3, 0, 0, 2, 2, 0, 3, 2, 3, 0, 0, 2, 3, 2, 2, 1, 0, 3, 2, 3, 0, 0, 0, 2, 2, 2, 1, 1, 3, 1, 2, 3, 2, 3, 0, 2  },
{ 2, 0, 3, 0, 0, 0, 1, 0, 1, 2, 2, 0, 3, 0, 1, 3, 3, 3, 3, 0, 2, 0, 0, 3, 0, 0, 1, 2, 3, 0, 2, 2, 0, 0, 1, 0, 2, 2, 3, 1, 2, 2  },
{ 2, 0, 3, 0, 2, 0, 3, 1, 0, 3, 2, 1, 3, 0, 1, 3, 2, 1, 0, 0, 2, 2, 0, 0, 3, 0, 0, 3, 2, 2, 2, 2, 2, 2, 0, 0, 0, 3, 1, 2, 2, 2  },
{ 2, 0, 3, 0, 1, 0, 2, 1, 0, 2, 3, 3, 3, 1, 3, 0, 3, 2, 1, 3, 2, 2, 0, 0, 3, 2, 3, 3, 1, 2, 0, 2, 0, 3, 3, 0, 0, 0, 3, 0, 2, 0  },
{ 2, 2, 3, 0, 0, 0, 1, 3, 0, 1, 2, 1, 0, 2, 0, 0, 1, 0, 2, 0, 3, 0, 0, 3, 0, 2, 0, 1, 0, 3, 2, 1, 0, 2, 3, 1, 3, 3, 1, 3, 1, 0  },
{ 2, 0, 3, 0, 2, 0, 1, 3, 0, 0, 0, 2, 0, 1, 3, 1, 0, 3, 0, 3, 0, 0, 3, 0, 3, 2, 0, 3, 1, 3, 2, 2, 0, 0, 2, 0, 0, 3, 3, 0, 2, 0  },
{ 2, 1, 2, 0, 3, 3, 2, 1, 0, 0, 1, 0, 0, 3, 2, 0, 2, 2, 2, 0, 0, 3, 3, 1, 1, 2, 2, 2, 1, 3, 3, 0, 1, 1, 3, 0, 1, 0, 0, 1, 0, 0  },
{ 0, 2, 3, 0, 1, 0, 2, 0, 0, 2, 0, 3, 0, 3, 2, 2, 0, 2, 2, 0, 2, 2, 0, 3, 0, 2, 3, 2, 0, 0, 3, 2, 0, 2, 0, 0, 1, 3, 0, 3, 0, 0  },
{ 0, 1, 0, 3, 3, 1, 2, 3, 0, 2, 2, 2, 0, 1, 0, 3, 0, 1, 0, 2, 3, 1, 2, 2, 3, 2, 3, 0, 2, 2, 2, 0, 1, 3, 3, 1, 0, 3, 2, 1, 2, 0  },
{ 2, 1, 0, 2, 0, 2, 3, 1, 3, 2, 1, 1, 3, 2, 2, 1, 3, 1, 0, 3, 0, 3, 0, 3, 2, 2, 1, 3, 3, 1, 2, 1, 2, 1, 3, 2, 2, 3, 2, 3, 0, 2  },
{ 2, 2, 0, 1, 3, 1, 3, 0, 3, 2, 0, 1, 3, 1, 2, 1, 0, 1, 3, 0, 1, 3, 0, 3, 2, 2, 0, 3, 1, 1, 2, 2, 1, 1, 3, 1, 2, 3, 2, 2, 1, 2  },
{ 0, 2, 2, 2, 3, 1, 3, 2, 1, 2, 1, 0, 2, 3, 2, 1, 3, 3, 2, 3, 0, 2, 1, 3, 1, 2, 1, 0, 1, 2, 1, 2, 2, 2, 0, 1, 2, 3, 2, 3, 0, 2  },
{ 2, 0, 3, 1, 0, 0, 1, 3, 2, 2, 3, 0, 3, 1, 3, 1, 2, 3, 2, 3, 0, 3, 2, 0, 1, 1, 3, 0, 0, 2, 1, 1, 1, 2, 3, 1, 2, 3, 0, 3, 0, 2  },
{ 1, 2, 0, 2, 0, 3, 0, 3, 1, 2, 2, 0, 1, 0, 3, 1, 0, 1, 0, 3, 1, 2, 1, 3, 3, 3, 1, 3, 0, 1, 1, 2, 0, 0, 3, 0, 2, 3, 1, 3, 0, 2  },
{ 0, 2, 0, 1, 3, 0, 3, 1, 0, 2, 1, 0, 3, 1, 2, 2, 1, 3, 0, 1, 3, 2, 3, 3, 1, 2, 2, 0, 2, 1, 0, 0, 1, 2, 1, 1, 1, 3, 3, 0, 3, 2  },
{ 0, 1, 3, 2, 0, 0, 1, 3, 0, 2, 3, 2, 0, 3, 0, 0, 1, 3, 2, 3, 2, 2, 3, 0, 3, 2, 2, 2, 3, 2, 0, 0, 0, 1, 3, 1, 1, 3, 3, 1, 0, 2  },
{ 0, 1, 3, 2, 0, 0, 2, 3, 0, 2, 3, 0, 1, 0, 1, 0, 3, 1, 3, 0, 3, 2, 1, 1, 3, 3, 3, 2, 1, 3, 2, 0, 0, 2, 3, 0, 0, 1, 2, 0, 2, 0  },
{ 3, 1, 0, 2, 2, 2, 3, 1, 0, 2, 1, 0, 3, 2, 0, 0, 0, 2, 1, 3, 3, 2, 1, 3, 0, 1, 1, 2, 0, 2, 0, 0, 0, 2, 0, 0, 2, 3, 2, 0, 3, 2  },
{ 2, 1, 0, 2, 0, 0, 3, 1, 0, 2, 1, 2, 3, 0, 0, 0, 0, 3, 2, 1, 3, 2, 0, 3, 0, 0, 0, 2, 3, 2, 0, 0, 0, 0, 0, 3, 1, 3, 1, 0, 3, 0  },
{ 2, 1, 0, 0, 3, 2, 3, 1, 0, 1, 0, 2, 1, 3, 0, 0, 2, 3, 2, 3, 1, 2, 0, 1, 3, 1, 2, 0, 2, 3, 2, 0, 0, 0, 3, 3, 1, 3, 3, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 2, 1, 0, 3, 3, 0, 3, 2, 0, 0, 0, 2, 2, 3, 0, 0, 2, 1, 0, 3, 3, 1, 3, 3, 1, 3, 0, 0, 0, 3, 1, 0, 2, 1, 2, 2, 0  },
{ 0, 1, 0, 2, 3, 2, 3, 1, 0, 2, 3, 0, 1, 0, 1, 2, 0, 3, 2, 0, 3, 2, 1, 3, 1, 1, 0, 2, 2, 0, 2, 0, 0, 3, 1, 0, 3, 3, 2, 3, 2, 0  },
{ 2, 3, 0, 1, 0, 2, 3, 2, 3, 0, 0, 3, 1, 2, 1, 0, 1, 0, 3, 3, 3, 3, 0, 0, 0, 1, 0, 2, 0, 3, 0, 2, 0, 0, 1, 3, 0, 3, 2, 3, 0, 0  },
{ 2, 1, 0, 0, 2, 3, 2, 1, 3, 1, 3, 0, 2, 3, 0, 0, 0, 2, 3, 0, 0, 2, 2, 3, 0, 0, 0, 2, 2, 0, 3, 0, 0, 0, 2, 3, 0, 3, 0, 0, 0, 0  },
{ 2, 2, 3, 1, 0, 3, 2, 3, 1, 2, 1, 0, 3, 1, 3, 1, 2, 3, 2, 0, 1, 2, 1, 3, 2, 0, 3, 0, 1, 0, 2, 2, 2, 3, 3, 1, 2, 3, 1, 1, 0, 2  },
{ 2, 2, 3, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 3, 3, 0, 1, 3, 0, 1, 1, 0, 3, 1, 2, 0, 3, 0, 1, 3, 2, 2, 2, 3, 1, 2, 3, 1, 0, 1, 2  },
{ 2, 1, 0, 0, 0, 3, 0, 3, 0, 2, 0, 1, 0, 2, 0, 1, 1, 3, 3, 2, 3, 2, 3, 0, 3, 3, 1, 3, 0, 0, 0, 2, 0, 0, 3, 0, 1, 0, 2, 3, 2, 2  },
{ 1, 1, 1, 0, 0, 0, 2, 3, 0, 2, 0, 3, 0, 1, 0, 3, 3, 0, 1, 0, 1, 2, 2, 0, 3, 2, 3, 3, 1, 3, 2, 2, 0, 0, 0, 0, 0, 1, 0, 3, 2, 0  },
{ 1, 0, 2, 0, 3, 3, 2, 3, 0, 1, 0, 1, 2, 0, 3, 1, 2, 3, 2, 3, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0  },
{ 1, 0, 1, 0, 3, 0, 0, 0, 0, 1, 2, 2, 3, 2, 0, 0, 0, 0, 0, 0, 3, 2, 0, 3, 0, 2, 2, 3, 2, 0, 3, 0, 0, 0, 1, 2, 0, 0, 2, 0, 3, 3  },
{ 2, 0, 2, 0, 1, 1, 2, 3, 1, 3, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 3, 2, 1, 0, 0, 0, 0, 3, 0, 0, 3, 2, 0, 0, 3, 2, 3, 0, 0, 2, 3, 3  },
{ 1, 3, 0, 2, 2, 0, 1, 3, 0, 0, 1, 3, 2, 0, 0, 3, 0, 0, 3, 0, 3, 1, 0, 2, 3, 3, 0, 2, 0, 3, 2, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 1  },
{ 2, 3, 1, 0, 1, 3, 3, 0, 0, 0, 1, 3, 1, 3, 1, 1, 2, 2, 0, 2, 2, 2, 3, 3, 0, 3, 3, 3, 0, 3, 3, 0, 1, 1, 0, 3, 0, 0, 2, 3, 1, 3  },
{ 0, 1, 3, 2, 0, 2, 3, 3, 1, 2, 1, 0, 2, 2, 0, 3, 0, 0, 3, 3, 0, 3, 2, 0, 2, 1, 2, 0, 3, 2, 1, 1, 3, 0, 0, 1, 0, 2, 3, 3, 0, 2  },
{ 0, 1, 2, 1, 0, 0, 3, 2, 3, 2, 1, 3, 3, 2, 2, 1, 2, 3, 1, 2, 0, 3, 3, 0, 1, 2, 3, 1, 3, 2, 1, 1, 1, 3, 3, 2, 0, 1, 3, 2, 0, 2  },
{ 0, 1, 0, 2, 0, 2, 3, 3, 1, 0, 0, 0, 2, 1, 1, 3, 0, 1, 1, 0, 3, 0, 1, 0, 2, 2, 1, 0, 3, 1, 1, 1, 3, 3, 0, 1, 0, 3, 3, 3, 0, 2  },
{ 0, 1, 0, 2, 0, 3, 0, 3, 2, 2, 0, 2, 1, 3, 3, 1, 0, 0, 0, 3, 1, 2, 1, 3, 0, 2, 1, 3, 2, 0, 1, 2, 1, 3, 3, 1, 2, 3, 3, 0, 0, 2  },
{ 0, 1, 3, 2, 2, 0, 3, 1, 3, 2, 2, 0, 1, 3, 2, 2, 3, 3, 2, 1, 3, 1, 2, 3, 1, 2, 1, 1, 1, 2, 1, 1, 1, 0, 1, 1, 2, 3, 2, 3, 0, 1  },
{ 0, 1, 3, 2, 0, 2, 2, 3, 2, 2, 3, 0, 3, 0, 1, 1, 0, 2, 3, 1, 3, 1, 2, 3, 0, 1, 0, 1, 0, 3, 1, 1, 0, 2, 3, 2, 2, 3, 0, 3, 0, 2  },
{ 2, 1, 0, 2, 0, 0, 3, 0, 3, 2, 3, 0, 1, 3, 0, 0, 3, 1, 0, 3, 1, 1, 2, 3, 3, 2, 1, 3, 1, 3, 0, 0, 1, 2, 3, 1, 2, 3, 3, 1, 3, 2  },
{ 2, 3, 0, 1, 0, 0, 1, 2, 0, 2, 3, 0, 3, 3, 0, 0, 1, 1, 3, 0, 2, 1, 3, 0, 3, 3, 0, 0, 2, 3, 2, 0, 0, 3, 1, 0, 2, 0, 3, 0, 1, 1  },
{ 0, 2, 1, 1, 2, 3, 3, 0, 2, 2, 0, 0, 2, 0, 1, 2, 0, 3, 1, 1, 3, 0, 2, 3, 1, 0, 0, 2, 1, 2, 1, 1, 2, 3, 1, 0, 3, 0, 3, 1, 3, 1  },
{ 0, 1, 0, 2, 3, 1, 3, 0, 2, 2, 3, 0, 1, 0, 3, 2, 0, 1, 0, 1, 3, 1, 2, 3, 0, 1, 2, 3, 1, 2, 1, 1, 1, 1, 3, 3, 1, 3, 2, 0, 3, 1  },
{ 0, 1, 3, 2, 0, 1, 3, 0, 3, 2, 3, 0, 1, 2, 0, 0, 2, 3, 3, 0, 3, 2, 1, 3, 0, 2, 1, 0, 3, 1, 3, 1, 0, 1, 3, 0, 0, 3, 2, 0, 3, 2  },
{ 0, 1, 3, 2, 0, 2, 3, 2, 0, 2, 0, 3, 1, 3, 0, 0, 3, 2, 3, 0, 0, 1, 1, 2, 2, 0, 1, 0, 1, 3, 2, 0, 0, 0, 3, 0, 0, 3, 2, 1, 2, 0  },
{ 3, 2, 3, 2, 1, 0, 3, 0, 3, 3, 2, 0, 1, 0, 0, 0, 0, 3, 1, 1, 0, 3, 2, 3, 2, 1, 0, 0, 2, 3, 3, 0, 0, 1, 2, 1, 3, 1, 3, 0, 2, 0  },
{ 1, 2, 0, 1, 3, 0, 1, 3, 2, 0, 3, 3, 0, 1, 3, 2, 0, 0, 1, 2, 3, 2, 3, 3, 0, 2, 3, 1, 3, 1, 0, 2, 0, 1, 1, 3, 0, 3, 2, 2, 3, 0  },
{ 2, 1, 0, 0, 0, 1, 3, 0, 2, 0, 0, 2, 3, 1, 0, 0, 0, 2, 3, 3, 0, 2, 1, 3, 0, 0, 0, 1, 3, 1, 3, 0, 0, 1, 3, 3, 0, 3, 3, 1, 0, 0  },
{ 3, 1, 0, 2, 3, 3, 0, 3, 0, 1, 3, 3, 2, 1, 0, 0, 2, 2, 3, 2, 0, 0, 1, 1, 2, 1, 1, 0, 3, 1, 3, 0, 0, 0, 3, 3, 0, 3, 2, 0, 0, 0  },
{ 3, 3, 1, 1, 0, 0, 2, 0, 0, 2, 3, 1, 3, 2, 0, 0, 1, 2, 1, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 2, 3, 1, 3, 0, 3, 0, 3, 0, 3, 2, 1  },
{ 3, 2, 0, 0, 3, 2, 3, 0, 0, 0, 3, 0, 1, 2, 0, 2, 0, 2, 0, 3, 3, 2, 3, 1, 0, 1, 0, 2, 3, 2, 3, 0, 2, 1, 3, 2, 3, 1, 2, 3, 2, 0  },
{ 1, 2, 3, 1, 2, 3, 0, 3, 0, 2, 1, 3, 1, 0, 0, 0, 1, 3, 2, 1, 3, 0, 1, 3, 0, 1, 1, 0, 2, 1, 3, 2, 3, 0, 2, 3, 0, 3, 1, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 3, 0, 3, 3, 2, 3, 0, 1, 1, 2, 1, 0, 1, 1, 2, 0, 3, 1, 1, 0, 1, 3, 0, 3, 2, 1, 2, 3, 3, 3, 1, 2, 0, 0, 0, 0, 2  },
{ 2, 1, 0, 2, 0, 0, 0, 3, 1, 2, 0, 3, 0, 0, 3, 1, 0, 0, 0, 3, 0, 2, 1, 3, 1, 2, 1, 3, 3, 0, 1, 2, 1, 3, 3, 2, 2, 3, 1, 0, 0, 2  },
{ 1, 2, 0, 2, 0, 3, 0, 3, 1, 1, 0, 0, 0, 3, 2, 3, 0, 0, 3, 0, 1, 1, 0, 3, 1, 3, 0, 0, 0, 1, 2, 2, 2, 2, 3, 3, 2, 3, 0, 0, 1, 3  },
{ 2, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 3, 2, 3, 2, 0, 3, 0, 1, 0, 1, 3, 0, 0, 3, 3, 0, 1, 3, 2, 1, 3, 3, 2, 1, 0, 0, 0, 1, 2  },
{ 2, 1, 0, 0, 0, 0, 1, 3, 0, 2, 0, 3, 0, 3, 0, 0, 3, 0, 0, 3, 2, 0, 1, 3, 3, 0, 0, 0, 3, 2, 3, 1, 1, 3, 1, 0, 2, 3, 0, 2, 1, 2  },
{ 1, 0, 1, 0, 2, 3, 0, 0, 0, 3, 1, 0, 0, 2, 1, 1, 1, 0, 3, 0, 1, 3, 3, 3, 0, 0, 1, 2, 0, 3, 3, 2, 2, 2, 0, 3, 1, 2, 0, 0, 1, 3  },
{ 2, 1, 0, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 3, 0, 0, 0, 0, 3, 0, 2, 0, 1, 3, 0, 0, 0, 0, 0, 3, 3, 2, 0, 2, 0, 0, 2, 3, 0, 3, 1, 0  },
{ 2, 1, 0, 0, 0, 3, 2, 3, 0, 2, 1, 0, 3, 0, 0, 1, 2, 3, 0, 0, 2, 1, 0, 3, 2, 2, 0, 3, 0, 3, 3, 0, 0, 2, 0, 0, 1, 0, 0, 3, 1, 0  },
{ 0, 1, 3, 2, 3, 0, 0, 3, 0, 2, 3, 0, 1, 0, 3, 0, 3, 0, 3, 0, 3, 2, 1, 0, 3, 2, 3, 3, 0, 3, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 2, 0  },
{ 3, 1, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 2, 2, 2, 0, 1, 2, 3, 1, 0, 1, 1, 3, 2, 3, 3, 2, 2, 1, 0, 0, 3, 0, 2, 3, 3, 3  },
{ 3, 0, 3, 2, 1, 2, 3, 3, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 1, 0, 2, 3, 3, 0, 3, 2, 0, 3, 0, 0, 3, 0, 0, 2, 3, 0, 3, 3, 0, 3, 0, 0  },
{ 2, 1, 2, 1, 0, 3, 1, 3, 0, 3, 2, 0, 0, 2, 3, 0, 1, 1, 3, 1, 1, 0, 2, 3, 2, 0, 2, 1, 0, 3, 2, 0, 1, 0, 3, 0, 0, 1, 3, 2, 1, 0  },
{ 1, 3, 1, 0, 0, 1, 3, 2, 0, 2, 0, 1, 3, 0, 1, 0, 3, 1, 2, 0, 3, 2, 0, 1, 0, 3, 3, 2, 0, 2, 3, 0, 2, 0, 3, 0, 2, 3, 3, 0, 3, 3  },
{ 3, 1, 0, 2, 0, 2, 3, 1, 3, 2, 3, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 2, 3, 0, 1, 1, 1, 0, 3, 1, 2, 3, 0, 3, 3, 0, 2  },
{ 0, 1, 0, 2, 0, 2, 3, 1, 3, 1, 0, 0, 2, 0, 0, 3, 0, 0, 1, 3, 0, 3, 1, 1, 1, 1, 2, 3, 1, 1, 1, 1, 3, 2, 3, 2, 0, 1, 3, 2, 0, 2  },
{ 0, 2, 3, 1, 0, 1, 3, 0, 1, 0, 1, 0, 3, 0, 2, 0, 0, 0, 1, 0, 3, 0, 3, 0, 3, 1, 2, 0, 3, 1, 0, 1, 3, 0, 2, 1, 2, 0, 3, 2, 0, 1  },
{ 2, 1, 0, 2, 0, 0, 3, 1, 0, 2, 1, 3, 1, 3, 0, 0, 0, 3, 1, 2, 0, 3, 0, 3, 1, 2, 0, 1, 2, 1, 0, 1, 1, 3, 0, 0, 1, 3, 1, 3, 0, 2  },
{ 2, 1, 0, 1, 0, 3, 0, 2, 3, 2, 0, 1, 3, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 3, 1, 3, 3, 1, 2, 1, 2, 1, 3, 1, 1, 0, 2, 3, 3, 1, 2  },
{ 0, 2, 0, 1, 2, 0, 3, 1, 2, 0, 2, 0, 2, 2, 3, 0, 1, 0, 3, 0, 3, 1, 3, 0, 2, 2, 0, 1, 0, 2, 1, 1, 1, 2, 1, 0, 1, 0, 3, 3, 0, 1  },
{ 0, 1, 0, 2, 0, 0, 3, 3, 2, 1, 0, 1, 0, 0, 3, 1, 2, 3, 1, 1, 3, 0, 3, 0, 0, 2, 0, 0, 3, 2, 0, 1, 1, 3, 3, 1, 2, 3, 3, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 2, 3, 2, 3, 0, 3, 2, 0, 0, 0, 0, 0, 3, 3, 0, 0, 3, 0, 1, 3, 1, 3, 1, 0, 1, 1, 3, 3, 0, 2, 0, 0, 3, 1, 2  },
{ 2, 0, 0, 1, 0, 3, 1, 0, 3, 1, 2, 3, 1, 2, 0, 0, 0, 0, 3, 2, 3, 0, 3, 0, 3, 2, 3, 0, 0, 3, 2, 0, 0, 2, 3, 0, 1, 0, 3, 1, 1, 2  },
{ 0, 1, 0, 2, 2, 1, 3, 3, 2, 2, 0, 0, 3, 2, 0, 2, 0, 0, 3, 0, 3, 0, 2, 0, 2, 1, 2, 3, 1, 2, 0, 2, 1, 3, 3, 1, 1, 1, 3, 3, 0, 0  },
{ 0, 1, 1, 2, 0, 0, 2, 2, 3, 2, 3, 3, 3, 3, 0, 2, 0, 2, 3, 3, 3, 1, 3, 0, 0, 1, 1, 0, 3, 2, 0, 1, 1, 1, 3, 0, 1, 1, 0, 3, 0, 0  },
{ 2, 2, 3, 2, 0, 1, 3, 0, 2, 3, 2, 2, 0, 3, 1, 0, 2, 1, 3, 3, 3, 2, 1, 3, 1, 1, 0, 1, 3, 3, 0, 0, 1, 2, 3, 1, 1, 1, 0, 3, 1, 2  },
{ 3, 2, 0, 1, 3, 2, 1, 3, 2, 3, 0, 0, 3, 2, 0, 0, 2, 3, 3, 1, 3, 1, 0, 2, 2, 1, 3, 2, 3, 3, 0, 0, 1, 1, 3, 0, 2, 2, 3, 0, 2, 0  },
{ 3, 1, 0, 1, 2, 1, 3, 0, 1, 1, 2, 3, 3, 2, 0, 0, 0, 0, 1, 1, 0, 1, 2, 3, 2, 3, 1, 1, 1, 3, 3, 0, 0, 0, 3, 0, 1, 3, 3, 1, 2, 0  },
{ 3, 1, 0, 2, 1, 1, 3, 2, 0, 2, 0, 1, 2, 2, 0, 2, 1, 0, 2, 3, 3, 0, 3, 0, 2, 1, 1, 1, 3, 2, 0, 1, 2, 3, 0, 0, 3, 2, 3, 2, 3, 0  },
{ 0, 2, 3, 1, 0, 3, 3, 1, 2, 2, 1, 3, 2, 1, 3, 2, 0, 3, 3, 0, 3, 2, 1, 3, 0, 2, 3, 1, 2, 3, 3, 0, 0, 1, 2, 3, 1, 3, 2, 0, 2, 0  },
{ 2, 0, 1, 3, 0, 3, 1, 0, 1, 1, 2, 3, 3, 2, 1, 0, 3, 0, 0, 2, 3, 2, 1, 3, 0, 1, 2, 1, 3, 2, 3, 0, 1, 1, 3, 3, 0, 3, 2, 0, 3, 0  },
{ 0, 3, 2, 1, 3, 0, 0, 2, 1, 0, 2, 1, 0, 1, 0, 0, 2, 3, 2, 3, 0, 3, 2, 0, 2, 0, 2, 3, 0, 3, 3, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 0  },
{ 3, 3, 0, 2, 2, 3, 0, 3, 0, 0, 0, 3, 2, 1, 0, 2, 0, 2, 1, 3, 3, 3, 3, 1, 0, 1, 2, 1, 3, 1, 0, 2, 0, 3, 0, 2, 3, 0, 3, 2, 2, 0  },
{ 2, 1, 0, 0, 2, 3, 1, 3, 2, 1, 1, 0, 3, 0, 1, 0, 2, 1, 0, 3, 0, 2, 0, 3, 0, 1, 3, 1, 0, 3, 3, 2, 1, 1, 1, 2, 1, 3, 1, 2, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 2, 3, 0, 1, 0, 0, 3, 1, 0, 0, 0, 2, 3, 1, 0, 2, 3, 1, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 1, 3, 1, 3, 2, 3, 2, 0  },
{ 1, 1, 0, 2, 0, 0, 0, 3, 1, 2, 0, 3, 0, 0, 1, 3, 0, 0, 0, 3, 0, 3, 0, 1, 1, 2, 3, 3, 1, 3, 1, 2, 1, 3, 1, 0, 1, 3, 0, 0, 0, 2  },
{ 2, 1, 0, 2, 0, 3, 0, 1, 1, 1, 0, 3, 0, 3, 1, 3, 0, 0, 1, 0, 0, 0, 1, 3, 1, 3, 1, 3, 0, 3, 0, 2, 3, 2, 3, 0, 2, 3, 0, 0, 1, 2  },
{ 2, 1, 0, 2, 0, 3, 0, 3, 0, 1, 1, 0, 0, 3, 0, 1, 0, 0, 1, 3, 1, 1, 0, 3, 1, 1, 2, 1, 0, 3, 1, 2, 1, 0, 3, 2, 0, 3, 0, 3, 1, 1  },
{ 2, 1, 0, 1, 3, 1, 0, 3, 2, 0, 0, 3, 0, 3, 3, 0, 1, 0, 1, 3, 1, 0, 0, 3, 3, 2, 3, 0, 1, 3, 0, 1, 2, 0, 0, 1, 3, 0, 2, 3, 1, 0  },
{ 1, 0, 0, 2, 3, 3, 0, 3, 0, 2, 3, 0, 0, 3, 1, 3, 0, 2, 1, 0, 0, 2, 0, 3, 1, 1, 1, 3, 2, 3, 3, 2, 0, 2, 0, 3, 2, 0, 0, 0, 1, 3  },
{ 1, 2, 0, 0, 3, 3, 0, 0, 0, 2, 3, 1, 0, 3, 1, 3, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 3, 0, 0, 3, 3, 2, 1, 0, 0, 2, 0, 0, 3, 0, 1, 0  },
{ 2, 1, 0, 0, 0, 3, 2, 0, 0, 0, 3, 0, 3, 0, 0, 3, 2, 3, 1, 3, 2, 1, 1, 3, 3, 0, 0, 2, 0, 3, 3, 1, 1, 3, 0, 0, 1, 3, 0, 3, 1, 0  },
{ 2, 3, 0, 1, 0, 0, 2, 0, 3, 2, 3, 0, 1, 3, 0, 0, 3, 0, 3, 0, 2, 3, 0, 0, 3, 1, 1, 1, 1, 3, 2, 0, 0, 3, 0, 0, 2, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 3, 3, 2, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 3, 3, 2, 1, 2, 1, 3, 0, 2, 3, 0, 1, 3, 3, 2, 3, 1, 0, 3, 3, 0, 2, 0, 3, 3  },
{ 0, 1, 0, 0, 3, 1, 0, 0, 1, 2, 2, 3, 2, 0, 0, 2, 1, 2, 2, 1, 3, 2, 1, 0, 0, 0, 2, 0, 0, 1, 3, 2, 1, 0, 3, 0, 2, 2, 3, 0, 3, 3  },
{ 1, 2, 0, 0, 0, 1, 2, 3, 0, 3, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 3, 2, 0, 3, 3, 0, 0, 1, 3, 0, 0, 2, 0, 0, 1, 3  },
{ 0, 0, 0, 3, 1, 0, 2, 0, 0, 2, 1, 0, 2, 0, 3, 1, 0, 3, 3, 3, 1, 1, 2, 2, 3, 1, 1, 2, 0, 3, 0, 0, 0, 2, 3, 0, 3, 0, 1, 0, 1, 0  },
{ 1, 3, 0, 3, 2, 2, 0, 3, 0, 2, 0, 3, 2, 0, 1, 2, 3, 0, 2, 1, 3, 2, 0, 0, 0, 1, 1, 1, 0, 2, 3, 0, 0, 1, 0, 0, 3, 2, 3, 3, 3, 3  },
{ 0, 0, 0, 3, 2, 3, 1, 1, 0, 1, 0, 2, 3, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 2, 2, 2, 3, 0, 0, 1, 3, 1, 0, 0, 0, 1, 3, 3, 1, 2, 3, 0  },
{ 0, 2, 3, 1, 0, 1, 3, 0, 1, 2, 0, 1, 1, 1, 3, 0, 0, 3, 0, 3, 0, 3, 0, 2, 1, 1, 2, 0, 3, 2, 0, 1, 3, 0, 0, 1, 3, 0, 3, 2, 0, 1  },
{ 0, 1, 0, 1, 0, 0, 3, 0, 3, 2, 0, 0, 0, 0, 1, 0, 0, 1, 3, 3, 0, 2, 0, 3, 1, 1, 3, 2, 0, 2, 0, 1, 3, 0, 3, 0, 0, 1, 3, 2, 0, 1  },
{ 3, 2, 0, 1, 0, 1, 3, 3, 2, 2, 0, 2, 2, 0, 1, 0, 0, 1, 3, 0, 3, 0, 3, 0, 0, 1, 2, 0, 2, 1, 0, 1, 3, 0, 3, 1, 0, 3, 1, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 1, 0, 2, 3, 0, 0, 0, 3, 2, 0, 2, 2, 2, 0, 3, 0, 3, 1, 1, 1, 0, 3, 1, 0, 1, 2, 3, 3, 1, 0, 1, 3, 2, 0, 1  },
{ 2, 1, 0, 1, 2, 3, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 1, 1, 3, 0, 0, 3, 0, 3, 1, 1, 0, 3, 1, 0, 1, 2, 1, 0, 1, 0, 1, 3, 3, 0, 1  },
{ 0, 1, 1, 1, 0, 2, 3, 0, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 3, 0, 3, 0, 3, 0, 2, 2, 0, 0, 3, 3, 0, 0, 3, 0, 3, 2, 1, 3, 0, 3, 0, 0  },
{ 0, 2, 3, 2, 3, 1, 3, 0, 2, 0, 1, 1, 0, 3, 1, 0, 2, 3, 0, 0, 3, 0, 3, 0, 1, 1, 1, 0, 3, 3, 0, 0, 2, 1, 3, 1, 0, 3, 0, 3, 0, 1  },
{ 1, 0, 0, 1, 0, 2, 3, 0, 0, 1, 3, 2, 0, 2, 1, 1, 0, 0, 0, 3, 0, 0, 3, 0, 3, 1, 1, 2, 0, 3, 0, 1, 1, 2, 3, 1, 2, 0, 0, 3, 0, 1  },
{ 2, 0, 0, 1, 3, 1, 3, 0, 0, 2, 3, 2, 3, 0, 2, 0, 0, 0, 1, 3, 3, 0, 3, 0, 3, 1, 3, 1, 1, 3, 0, 1, 1, 2, 3, 0, 0, 2, 3, 0, 1, 0  },
{ 0, 2, 3, 1, 2, 3, 1, 0, 0, 0, 2, 0, 3, 3, 2, 0, 3, 0, 3, 2, 3, 0, 3, 0, 2, 2, 3, 0, 3, 1, 0, 0, 3, 1, 3, 1, 2, 3, 0, 3, 0, 0  },
{ 2, 2, 0, 1, 2, 3, 0, 3, 2, 1, 0, 2, 3, 0, 2, 0, 0, 2, 3, 0, 3, 0, 3, 0, 1, 2, 3, 0, 3, 1, 0, 0, 1, 2, 3, 1, 2, 3, 0, 2, 0, 1  },
{ 1, 0, 3, 2, 3, 2, 3, 3, 2, 0, 0, 2, 0, 2, 0, 1, 2, 3, 0, 3, 3, 0, 3, 0, 3, 1, 3, 0, 3, 3, 0, 0, 1, 1, 3, 0, 0, 1, 3, 0, 3, 0  },
{ 1, 3, 1, 2, 3, 2, 3, 1, 1, 0, 3, 2, 3, 2, 0, 0, 0, 3, 3, 1, 2, 0, 0, 1, 2, 2, 0, 1, 3, 3, 0, 0, 1, 3, 1, 0, 0, 2, 0, 1, 1, 0  },
{ 3, 0, 1, 2, 0, 1, 0, 0, 2, 3, 0, 3, 0, 2, 0, 0, 0, 2, 3, 0, 3, 1, 0, 1, 3, 0, 1, 2, 3, 3, 3, 0, 0, 2, 1, 0, 0, 1, 2, 0, 1, 0  },
{ 0, 0, 1, 2, 2, 3, 3, 1, 1, 2, 3, 1, 0, 0, 0, 2, 0, 2, 1, 0, 3, 3, 0, 0, 2, 0, 2, 3, 1, 3, 0, 0, 2, 3, 3, 0, 2, 3, 0, 3, 2, 1  },
{ 2, 3, 0, 1, 3, 2, 3, 1, 1, 2, 1, 0, 3, 1, 2, 0, 0, 0, 1, 3, 1, 0, 3, 0, 0, 2, 1, 3, 1, 2, 3, 0, 0, 1, 3, 0, 1, 3, 3, 0, 2, 0  },
{ 3, 0, 0, 1, 3, 0, 2, 3, 1, 2, 3, 0, 0, 0, 0, 1, 1, 0, 3, 1, 3, 2, 3, 0, 0, 0, 1, 0, 3, 3, 0, 0, 0, 1, 2, 0, 1, 3, 2, 0, 3, 1  },
{ 2, 0, 1, 2, 3, 3, 2, 1, 0, 0, 3, 0, 1, 2, 0, 0, 0, 3, 3, 0, 3, 2, 0, 0, 3, 2, 0, 1, 3, 3, 1, 0, 1, 1, 2, 0, 2, 0, 2, 0, 0, 0  },
{ 0, 0, 1, 2, 2, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 2, 3, 3, 0, 1, 0, 1, 2, 2, 3, 3, 0, 3, 3, 0, 0, 2, 1, 0, 2, 3, 0, 1, 2, 0  },
{ 0, 2, 0, 2, 0, 3, 0, 1, 0, 2, 0, 1, 3, 0, 3, 0, 1, 2, 0, 0, 1, 1, 1, 0, 3, 0, 1, 2, 0, 2, 2, 0, 1, 2, 1, 0, 1, 3, 0, 3, 1, 0  },
{ 3, 2, 3, 0, 0, 2, 3, 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 2, 2, 3, 1, 3, 2, 3, 0, 0, 2, 1, 0, 3, 0, 3, 0, 2, 0, 1, 3, 0, 3, 2, 2, 1  },
{ 3, 2, 3, 1, 0, 2, 3, 1, 0, 0, 0, 1, 3, 2, 1, 0, 0, 1, 2, 3, 0, 0, 2, 3, 0, 0, 3, 0, 0, 1, 3, 1, 0, 0, 0, 2, 1, 3, 1, 2, 1, 2  },
{ 3, 1, 0, 0, 0, 0, 1, 3, 1, 2, 3, 3, 0, 1, 0, 1, 1, 2, 1, 3, 0, 1, 3, 1, 0, 2, 0, 1, 0, 3, 0, 3, 1, 1, 1, 3, 0, 3, 0, 2, 0, 0  },
{ 3, 0, 2, 1, 1, 0, 3, 2, 2, 2, 2, 1, 3, 1, 0, 0, 2, 0, 3, 2, 0, 3, 2, 0, 2, 2, 3, 1, 0, 2, 3, 3, 1, 2, 2, 3, 0, 3, 0, 2, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 0, 3, 3, 2, 0, 3, 0, 0, 0, 1, 0, 3, 2, 3, 0, 3, 3, 1, 3, 1, 0, 0, 3, 2, 1, 1, 2, 3, 1, 2, 0, 1, 3, 1, 0, 1  },
{ 2, 1, 0, 2, 0, 3, 0, 3, 1, 1, 3, 0, 0, 3, 1, 3, 0, 0, 3, 1, 0, 0, 0, 1, 1, 2, 3, 2, 3, 3, 1, 2, 3, 3, 3, 0, 1, 0, 0, 0, 0, 1  },
{ 2, 2, 0, 1, 0, 3, 0, 3, 3, 1, 3, 2, 0, 0, 1, 1, 0, 0, 2, 3, 0, 3, 1, 3, 1, 0, 0, 3, 1, 1, 1, 2, 1, 3, 0, 0, 1, 3, 1, 0, 0, 1  },
{ 3, 2, 0, 1, 1, 0, 0, 1, 0, 3, 3, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 3, 1, 2, 1, 0, 3, 0, 1, 2, 3, 0, 1, 0, 3, 3, 3, 1, 1  },
{ 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 3, 0, 0, 2, 3, 0, 3, 1, 0, 3, 0, 0, 0, 2, 3, 0, 0, 1, 2, 3, 0, 1, 2, 0, 0, 1, 1, 0, 3, 3, 1, 0  },
{ 1, 0, 0, 1, 0, 3, 0, 0, 0, 1, 3, 0, 0, 3, 1, 3, 2, 1, 2, 0, 0, 1, 0, 3, 0, 2, 2, 3, 2, 3, 1, 2, 1, 2, 3, 0, 2, 0, 0, 0, 1, 3  },
{ 2, 1, 0, 1, 3, 1, 0, 0, 0, 2, 0, 3, 0, 0, 0, 3, 1, 2, 2, 1, 0, 1, 0, 3, 0, 1, 3, 0, 0, 3, 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 0, 1  },
{ 0, 1, 0, 1, 3, 2, 0, 1, 3, 1, 0, 0, 1, 0, 0, 0, 2, 0, 3, 3, 2, 1, 1, 3, 1, 0, 0, 2, 0, 3, 3, 1, 2, 3, 0, 1, 3, 2, 0, 3, 0, 1  },
{ 1, 0, 3, 1, 0, 0, 2, 0, 1, 2, 3, 0, 3, 0, 0, 0, 0, 0, 3, 1, 3, 1, 3, 0, 3, 1, 0, 0, 0, 3, 0, 1, 2, 0, 3, 0, 1, 0, 2, 3, 1, 1  },
{ 3, 0, 0, 1, 0, 3, 3, 0, 1, 0, 3, 1, 3, 2, 0, 0, 2, 1, 1, 1, 3, 2, 3, 1, 2, 2, 3, 1, 0, 3, 0, 0, 1, 2, 3, 0, 1, 0, 2, 0, 1, 0  },
{ 0, 1, 0, 1, 2, 3, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 3, 2, 3, 0, 3, 1, 0, 2, 0, 1, 3, 2, 2, 3, 3, 2, 2, 1, 0, 3, 2, 0, 0, 0, 3, 3  },
{ 2, 1, 0, 0, 3, 2, 1, 3, 3, 2, 3, 0, 2, 0, 0, 0, 3, 0, 3, 0, 3, 1, 0, 2, 0, 0, 2, 0, 0, 3, 3, 2, 1, 3, 3, 0, 1, 0, 2, 0, 0, 1  },
{ 1, 0, 0, 3, 1, 1, 0, 1, 3, 3, 3, 3, 2, 0, 0, 3, 1, 3, 0, 0, 3, 1, 0, 2, 0, 0, 2, 3, 3, 2, 3, 1, 1, 0, 3, 0, 3, 0, 0, 2, 3, 1  },
{ 0, 0, 1, 3, 0, 0, 3, 0, 2, 2, 0, 0, 3, 0, 3, 0, 3, 3, 0, 0, 3, 1, 2, 2, 3, 0, 3, 1, 0, 3, 2, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 3, 1, 3, 1, 2, 0, 3, 2, 3, 0, 1, 2, 2, 3, 3, 0, 3, 2, 0, 0, 0, 0, 3, 1, 3, 1, 3, 2, 3, 0, 0, 3, 1, 0, 0, 3, 3, 0  },
{ 3, 1, 2, 2, 3, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 1, 0, 3, 3, 3, 0, 3, 3, 0, 1, 0, 2, 3, 2, 2, 2, 0, 3, 3  },
{ 3, 1, 2, 3, 1, 0, 0, 3, 3, 0, 1, 0, 2, 0, 0, 1, 0, 2, 3, 2, 3, 0, 0, 2, 3, 3, 1, 1, 0, 2, 3, 0, 0, 1, 0, 0, 0, 2, 0, 3, 3, 2  },
{ 0, 1, 3, 2, 0, 0, 0, 1, 1, 1, 0, 2, 2, 2, 0, 0, 3, 0, 0, 3, 0, 3, 0, 1, 0, 1, 1, 2, 3, 2, 0, 1, 3, 0, 1, 1, 0, 3, 0, 2, 0, 1  },
{ 3, 1, 0, 1, 2, 3, 3, 1, 1, 0, 3, 2, 3, 0, 3, 0, 2, 1, 0, 0, 3, 0, 3, 1, 3, 1, 0, 3, 0, 2, 0, 0, 2, 0, 0, 1, 0, 1, 3, 2, 0, 0  },
{ 3, 1, 0, 2, 1, 2, 3, 0, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 3, 0, 3, 0, 3, 0, 0, 1, 2, 0, 3, 2, 0, 0, 3, 2, 1, 1, 3, 0, 3, 2, 0, 1  },
{ 1, 0, 3, 2, 1, 2, 3, 1, 0, 2, 0, 0, 0, 1, 3, 1, 0, 1, 0, 3, 0, 0, 3, 1, 3, 1, 3, 2, 0, 2, 0, 0, 2, 0, 3, 1, 0, 1, 3, 2, 0, 0  },
{ 3, 2, 3, 2, 1, 0, 3, 3, 2, 0, 2, 1, 0, 3, 1, 0, 0, 2, 3, 0, 3, 0, 3, 0, 0, 1, 2, 0, 3, 0, 3, 0, 3, 3, 2, 1, 3, 3, 0, 3, 0, 0  },
{ 1, 1, 0, 2, 2, 0, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 3, 0, 0, 3, 0, 3, 0, 1, 1, 0, 0, 0, 2, 0, 0, 3, 2, 3, 1, 0, 3, 0, 3, 0, 1  },
{ 1, 1, 0, 2, 0, 0, 1, 1, 3, 2, 3, 1, 0, 2, 0, 1, 1, 2, 0, 0, 3, 0, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 1, 2, 3, 1, 0, 3, 0, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 3, 1, 3, 2, 3, 0, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 0, 3, 3, 2, 3, 0, 0, 3, 0, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0  },
{ 3, 1, 0, 2, 2, 1, 3, 0, 2, 3, 2, 3, 0, 3, 1, 0, 0, 2, 3, 0, 3, 0, 3, 0, 2, 1, 2, 0, 3, 1, 3, 0, 3, 0, 3, 2, 1, 3, 3, 2, 0, 0  },
{ 2, 0, 0, 1, 2, 3, 1, 3, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 2, 0, 3, 1, 3, 0, 1, 2, 0, 3, 1, 0, 0, 3, 0, 0  },
{ 2, 2, 3, 0, 3, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 3, 0, 1, 3, 0, 3, 0, 3, 2, 3, 0, 0, 3, 0, 0, 1, 2, 3, 0, 3, 0, 1, 0, 3, 0  },
{ 0, 0, 0, 2, 3, 0, 3, 2, 2, 0, 0, 0, 3, 2, 0, 0, 0, 3, 3, 0, 3, 0, 0, 2, 3, 2, 0, 3, 0, 3, 0, 0, 1, 2, 1, 0, 0, 2, 1, 0, 3, 1  },
{ 1, 1, 0, 1, 2, 0, 3, 1, 0, 1, 2, 3, 0, 0, 1, 0, 0, 2, 3, 0, 3, 2, 0, 3, 2, 2, 3, 1, 0, 0, 3, 0, 1, 0, 1, 0, 1, 3, 0, 3, 2, 0  },
{ 3, 0, 0, 1, 3, 2, 3, 1, 0, 1, 0, 0, 3, 2, 1, 0, 0, 2, 1, 1, 3, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 0, 3, 1, 3, 0, 1, 3, 0, 3, 2, 1  },
{ 0, 3, 3, 1, 3, 2, 3, 1, 1, 2, 3, 0, 0, 2, 1, 0, 1, 0, 1, 0, 3, 2, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 3, 0, 3, 2, 1  },
{ 0, 0, 1, 2, 3, 3, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 3, 0, 3, 0, 3, 0, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3, 1, 0, 0, 1, 0, 2, 2, 1  },
{ 3, 0, 3, 0, 0, 2, 3, 2, 0, 1, 0, 3, 0, 2, 0, 2, 0, 2, 1, 3, 2, 1, 0, 3, 2, 2, 0, 2, 0, 0, 3, 0, 1, 3, 0, 0, 3, 0, 2, 3, 2, 0  },
{ 3, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 1, 0, 2, 3, 0, 2, 3, 0, 1, 0, 3, 0, 3, 3, 0, 0, 1, 1, 3, 0, 3, 2, 2, 1, 2  },
{ 0, 3, 1, 1, 0, 0, 3, 1, 0, 0, 0, 3, 3, 0, 0, 1, 1, 3, 0, 1, 3, 2, 0, 3, 0, 1, 0, 2, 0, 3, 3, 0, 1, 0, 1, 3, 0, 0, 2, 3, 0, 2  },
{ 0, 0, 1, 3, 0, 0, 1, 3, 1, 3, 2, 1, 0, 2, 0, 0, 0, 1, 3, 1, 0, 3, 2, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0, 1, 2, 3, 0, 3, 0, 2, 1, 0  },
{ 3, 1, 0, 1, 0, 1, 3, 1, 0, 1, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 1, 1, 0, 2, 3, 0, 1, 2, 0, 1, 1, 0, 0, 3, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 2, 0, 1, 0, 1, 1, 0, 0, 3, 0, 1, 2, 1, 3, 1, 3, 0, 2, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 1, 3, 0, 1, 0, 3, 0, 3, 0, 1, 0, 1, 3, 2, 3, 3, 0, 1, 2, 0, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 3, 0, 2, 0, 0, 0, 3, 1, 3, 3, 0, 1, 1, 0, 3, 0, 1, 0, 2, 1, 0, 3, 3, 1, 2, 3, 0, 3, 2, 1, 0, 0, 0, 0, 1  },
{ 2, 1, 3, 0, 3, 0, 0, 1, 3, 2, 3, 0, 0, 3, 0, 1, 0, 2, 3, 3, 0, 0, 2, 1, 3, 1, 0, 0, 1, 3, 0, 1, 2, 0, 1, 3, 0, 1, 0, 3, 0, 0  },
{ 0, 1, 1, 2, 1, 0, 3, 1, 0, 0, 3, 0, 0, 2, 3, 0, 2, 0, 0, 3, 0, 0, 3, 3, 1, 2, 1, 1, 0, 2, 0, 1, 2, 3, 0, 1, 1, 0, 3, 2, 0, 0  },
{ 1, 3, 3, 3, 0, 2, 3, 1, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 0, 3, 1, 3, 1, 0, 3, 0, 1, 2, 3, 0, 1, 2, 0, 0, 3, 1, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 3, 0, 0, 2, 2, 0, 3, 1, 3, 3, 1, 3, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 2, 3, 1, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 1, 3, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 3, 2, 3, 0, 1, 0, 3, 0, 2, 2, 0, 1, 3, 0, 2, 2, 3, 1, 1, 0, 1, 3, 0, 0, 0  },
{ 3, 1, 0, 2, 3, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 2, 3, 0, 0, 1, 2, 2, 0, 0, 0, 2, 1, 3, 0, 1, 1, 3, 0, 0, 2, 1, 0, 3, 0, 0  },
{ 1, 0, 3, 1, 2, 3, 3, 2, 1, 2, 0, 0, 1, 0, 0, 0, 2, 3, 3, 0, 0, 0, 3, 0, 3, 3, 1, 0, 3, 3, 0, 0, 2, 0, 0, 3, 1, 0, 0, 3, 0, 0  },
{ 1, 3, 0, 3, 1, 2, 0, 2, 3, 2, 3, 1, 0, 2, 0, 3, 1, 3, 0, 3, 0, 1, 0, 3, 0, 3, 0, 2, 2, 3, 0, 2, 2, 1, 0, 3, 2, 1, 0, 0, 0, 2  },
{ 2, 0, 0, 2, 2, 2, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 3, 0, 1, 2, 3, 1, 0, 1, 0, 0, 1, 3, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 1, 1, 2, 0  },
{ 2, 3, 3, 2, 0, 1, 3, 1, 2, 1, 0, 0, 0, 3, 0, 0, 3, 0, 2, 2, 2, 1, 0, 2, 0, 0, 1, 0, 0, 3, 3, 1, 0, 3, 0, 0, 2, 1, 3, 3, 0, 0  },
{ 1, 0, 1, 2, 1, 0, 2, 0, 2, 3, 3, 3, 0, 0, 3, 0, 2, 0, 3, 3, 1, 1, 1, 1, 2, 0, 2, 2, 3, 2, 3, 0, 1, 3, 0, 3, 0, 1, 0, 1, 3, 0  },
{ 3, 0, 2, 2, 1, 3, 0, 0, 0, 3, 0, 0, 3, 2, 1, 2, 2, 1, 1, 0, 1, 0, 0, 1, 0, 3, 0, 3, 3, 0, 3, 2, 2, 2, 0, 2, 0, 2, 0, 2, 3, 0  },
{ 2, 3, 0, 0, 0, 3, 1, 1, 0, 2, 2, 1, 3, 0, 0, 2, 1, 3, 3, 2, 3, 1, 0, 0, 0, 0, 0, 2, 3, 3, 3, 2, 3, 0, 3, 0, 2, 1, 1, 0, 2, 0  },
{ 1, 2, 0, 1, 2, 2, 2, 1, 3, 0, 2, 1, 2, 0, 0, 3, 1, 0, 1, 2, 1, 2, 2, 2, 3, 3, 1, 0, 0, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0  },
{ 0, 2, 0, 2, 3, 2, 0, 1, 0, 2, 0, 0, 3, 0, 0, 2, 3, 2, 1, 2, 0, 0, 1, 1, 2, 2, 2, 3, 1, 1, 3, 1, 2, 2, 0, 2, 1, 0, 1, 2, 1, 3  },
{ 3, 0, 1, 0, 3, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 1, 0, 3, 2, 0, 2, 3, 0, 1, 0, 1, 3, 0, 0, 0, 0  },
{ 1, 2, 3, 0, 3, 1, 3, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 3, 0, 3, 2, 0, 0, 2, 0, 0, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 0, 2, 0, 3, 0, 0, 0, 1, 3, 0, 3, 0, 0, 3, 3, 1, 0, 3, 1, 0, 2, 0, 0  },
{ 3, 1, 0, 2, 0, 0, 3, 0, 2, 1, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 1, 0, 3, 3, 0, 0, 2, 0, 1, 1, 3, 1, 3, 0, 0, 1  },
{ 1, 0, 1, 2, 1, 0, 3, 1, 3, 0, 3, 1, 0, 0, 1, 0, 2, 1, 0, 0, 3, 0, 3, 1, 3, 1, 3, 0, 0, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 3, 0, 0  },
{ 1, 2, 3, 0, 2, 0, 3, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 3, 0, 3, 0, 0, 3, 0, 2, 1, 0, 3, 3, 3, 0, 3, 0, 1, 1, 3, 1, 0, 3, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 1, 0, 1, 1, 0, 3, 0, 0, 2, 0, 3, 1, 3, 1, 0, 2, 0, 0  },
{ 2, 1, 0, 2, 3, 2, 3, 0, 3, 3, 1, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 3, 0, 1, 1, 0, 2, 0, 3, 0, 0, 2, 2, 3, 1, 0, 1, 3, 3, 0, 0  },
{ 0, 0, 0, 2, 0, 3, 3, 0, 1, 2, 3, 0, 0, 1, 0, 1, 0, 0, 0, 3, 3, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 2, 3, 1, 0, 3, 0, 0, 3, 0  },
{ 3, 1, 3, 0, 2, 1, 3, 0, 0, 2, 3, 2, 3, 0, 1, 0, 0, 2, 3, 1, 3, 0, 3, 1, 0, 2, 1, 1, 0, 3, 3, 0, 2, 0, 1, 2, 3, 1, 0, 3, 0, 0  },
{ 3, 1, 3, 0, 0, 2, 1, 0, 0, 2, 3, 1, 2, 0, 1, 0, 2, 3, 0, 0, 3, 0, 3, 0, 1, 0, 1, 3, 0, 3, 0, 0, 2, 3, 3, 1, 1, 3, 1, 2, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 0, 3, 3, 0, 3, 0, 1, 0, 0, 2, 0, 3, 0, 0, 1, 2, 3, 1, 1, 0, 3, 0, 2, 0  },
{ 2, 0, 1, 2, 3, 1, 3, 1, 1, 0, 3, 0, 0, 2, 0, 1, 0, 3, 3, 0, 2, 0, 3, 0, 2, 2, 0, 2, 0, 3, 0, 0, 1, 2, 3, 1, 0, 3, 3, 0, 0, 0  },
{ 0, 0, 3, 2, 1, 3, 0, 0, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 3, 0, 3, 0, 2, 3, 1, 0, 0, 2, 0, 0, 1, 2, 3, 0, 1, 0, 1, 0, 2, 0  },
{ 0, 2, 3, 2, 3, 0, 3, 0, 1, 2, 3, 0, 0, 0, 1, 0, 0, 2, 0, 2, 3, 0, 2, 2, 0, 2, 3, 1, 0, 0, 3, 0, 0, 3, 1, 1, 1, 3, 0, 3, 2, 0  },
{ 3, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 2, 3, 0, 1, 0, 1, 0, 3, 0, 3, 0, 0, 3, 1, 0, 1, 3, 0, 3, 0, 0, 2, 1, 2, 0, 1, 0, 3, 0, 2, 1  },
{ 0, 3, 0, 0, 1, 0, 3, 2, 0, 1, 0, 0, 3, 0, 1, 0, 3, 1, 0, 1, 3, 0, 1, 0, 3, 1, 0, 1, 0, 3, 0, 0, 3, 1, 2, 0, 0, 1, 3, 0, 2, 0  },
{ 3, 1, 1, 1, 1, 1, 0, 0, 1, 1, 3, 1, 0, 1, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 3, 1, 0, 0, 0, 0, 2, 1, 0  },
{ 2, 0, 0, 3, 2, 2, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 1, 0, 3, 3, 2, 0, 0, 0, 2, 1, 2, 0, 0, 3, 0, 1, 0, 2, 3, 0, 3, 1, 1, 0, 1, 0  },
{ 0, 2, 3, 0, 0, 2, 3, 1, 0, 0, 2, 3, 3, 0, 0, 1, 0, 2, 2, 3, 1, 2, 0, 0, 2, 0, 1, 3, 0, 0, 3, 0, 1, 2, 0, 1, 0, 3, 2, 3, 2, 0  },
{ 1, 0, 0, 2, 0, 1, 3, 0, 0, 1, 1, 0, 3, 1, 1, 0, 0, 2, 0, 3, 3, 2, 3, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 1, 3, 0, 3, 0, 2, 2, 0  },
{ 2, 1, 1, 1, 1, 2, 0, 2, 0, 1, 3, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 1, 3, 0, 0, 2, 1, 0, 3, 0, 2, 0, 0, 0, 2, 1, 0, 3, 2, 1, 0  },
{ 1, 0, 3, 2, 3, 1, 0, 3, 1, 1, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 1, 3, 1, 1, 3, 0, 3, 2, 0, 2, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 1, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 1, 3, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 3, 0, 1, 3, 0, 0, 0, 0  },
{ 0, 1, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 1, 0, 2, 0, 3, 0, 1, 0, 1, 3, 3, 0, 3, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 1, 1, 0, 3, 1, 3, 0, 3, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 1, 1, 0, 3, 0, 3, 0, 0, 2, 0, 3, 1, 3, 0, 1, 0, 0, 0  },
{ 1, 3, 0, 1, 2, 2, 0, 1, 3, 1, 3, 1, 0, 3, 1, 3, 0, 0, 1, 1, 0, 0, 2, 1, 3, 1, 3, 1, 3, 0, 0, 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 1, 1, 3, 3, 1, 0, 0, 3, 0, 0, 3, 3, 1, 1, 1, 0, 3, 0, 0, 3, 1, 3, 0, 0, 3, 0, 2, 0, 1, 2, 0, 3, 1, 1, 0, 1, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 1, 3, 1, 0, 3, 0, 0, 0, 0, 3, 1, 2, 0, 3, 0, 0, 0, 3, 0, 3, 3, 2, 1, 2, 2, 0, 0, 2, 3, 1, 1, 0, 1, 0, 3, 0, 0  },
{ 2, 0, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 1, 3, 2, 3, 0, 0, 2, 1, 2, 3, 0, 3, 3, 3, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 0, 3, 1, 3, 1, 1, 0, 2, 0, 1, 3, 1, 3, 0, 0, 3, 2, 3, 1, 1, 0, 0, 2, 3, 0, 1, 2, 0, 3, 0, 2, 1, 0, 0, 0, 0  },
{ 1, 1, 1, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 2, 0, 1, 2, 0, 1, 0, 0, 0, 2, 2, 1, 0, 3, 1, 1, 3, 0, 1, 2, 3, 0, 0, 2, 2, 1, 0, 0, 0  },
{ 1, 0, 0, 0, 3, 2, 1, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 3, 0, 0, 0, 2, 2, 1, 0, 0, 2, 1, 2, 0, 0, 2, 3, 0, 3, 0, 1, 0, 0, 0, 0  },
{ 0, 3, 3, 2, 3, 0, 0, 0, 0, 0, 3, 3, 1, 0, 1, 0, 2, 0, 3, 0, 3, 0, 3, 1, 3, 2, 1, 2, 3, 2, 2, 0, 2, 3, 0, 3, 0, 1, 0, 0, 1, 0  },
{ 2, 0, 3, 3, 3, 0, 0, 1, 3, 1, 1, 0, 0, 0, 0, 1, 1, 1, 3, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 3, 2, 1, 1, 3, 1, 2, 1, 1, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 1, 2, 1, 0, 2, 3, 1, 2, 0, 0, 3, 0, 0, 3, 3, 3, 1, 0, 2, 0, 2, 1, 3, 2, 2, 0, 2, 0, 3, 0, 0, 3, 1, 1, 0, 0, 0  },
{ 2, 1, 3, 1, 0, 3, 3, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0, 2, 1, 2, 1, 2, 3, 0, 0, 0, 2, 3, 1, 1, 3, 0, 2, 2, 1, 0, 1, 1, 0  },
{ 3, 2, 2, 2, 1, 0, 1, 0, 0, 3, 1, 0, 1, 1, 1, 2, 3, 3, 2, 3, 2, 1, 0, 0, 0, 1, 1, 1, 2, 3, 3, 2, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0  },
{ 1, 0, 1, 2, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 1, 3, 1, 2, 1, 0, 1, 0, 2, 0, 1, 1, 2, 3, 3, 0, 1, 0, 3, 0, 0, 0, 3, 2, 0, 0, 2  },
{ 2, 3, 2, 0, 1, 1, 1, 1, 0, 1, 1, 3, 0, 3, 0, 2, 3, 0, 0, 1, 2, 2, 2, 2, 3, 2, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 1, 3  },
{ 3, 1, 3, 0, 2, 0, 1, 2, 1, 3, 2, 1, 3, 3, 1, 0, 2, 0, 0, 1, 0, 0, 0, 2, 1, 2, 0, 1, 0, 2, 2, 0, 2, 3, 0, 0, 1, 2, 0, 1, 1, 0  },
{ 3, 0, 1, 0, 0, 0, 3, 1, 2, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 2, 0, 3, 3, 0, 2, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 2, 2, 0, 0, 3, 1, 0, 1, 3, 1, 2, 0, 0, 2, 3, 0, 1, 1, 3, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 3, 0, 0, 1, 3, 1, 3, 0, 0, 3, 1, 0, 3, 0, 1, 0, 0, 3, 0, 1, 0, 1, 2, 1, 2, 0, 0, 2, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 3, 0, 0, 3, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 3, 1, 0, 1, 1, 0, 2, 3, 3, 0, 2, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 3, 0, 3, 0, 1, 0, 0, 0, 1, 0, 3, 3, 0, 1, 3, 0, 0, 0, 1, 0, 1, 3, 1, 2, 1, 2, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 3, 1, 0, 0, 1, 2, 3, 1, 0, 0, 0, 0, 0, 3, 0, 1, 3, 0, 3, 1, 3, 1, 3, 1, 2, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 2, 0, 0, 3, 0, 3, 2, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 2, 0, 3, 1, 1, 3, 0, 1, 3, 0, 1  },
{ 3, 1, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 1, 1, 3, 0, 0, 2, 2, 3, 1, 3, 3, 1, 0, 3, 0, 0  },
{ 1, 1, 0, 1, 3, 1, 0, 3, 0, 1, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 1, 0, 3, 0, 0, 0, 2, 3, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 0, 1, 2, 3, 1, 3, 2, 0, 1, 2, 3, 0, 0, 1, 0, 0, 1, 3, 1, 0, 3, 0, 0, 3, 1, 0, 0, 2, 3, 1, 2, 0, 2, 2, 3, 1, 1, 0, 3, 0, 0, 0  },
{ 3, 2, 1, 0, 1, 0, 3, 0, 0, 2, 0, 1, 0, 3, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 2, 3, 0, 1, 3, 0, 0, 2, 1, 2, 3, 3, 1, 2, 0, 1  },
{ 0, 1, 3, 0, 0, 1, 1, 0, 3, 1, 0, 1, 3, 0, 1, 0, 1, 0, 0, 3, 3, 0, 3, 1, 1, 3, 2, 1, 3, 0, 0, 3, 2, 0, 3, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 1, 2, 0, 1, 3, 0, 0, 0, 2, 2, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 3, 2, 0, 2, 3, 1, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 0, 0, 0, 0, 3, 2, 0, 1, 2, 3, 0, 0, 1, 0, 0, 3, 0  },
{ 3, 0, 0, 2, 1, 1, 3, 2, 0, 1, 0, 0, 0, 2, 0, 2, 1, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 2, 3, 0, 0, 0, 1, 1, 2, 0, 1, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 2, 0, 3, 1, 0, 3, 2, 0, 2, 3, 0, 1, 0, 0, 2, 0, 0, 2, 0, 3, 0, 2, 1, 0, 1, 0, 3, 3, 0, 0, 3, 0, 1, 1, 3, 0, 3, 2, 1  },
{ 2, 0, 0, 1, 0, 2, 3, 3, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 1, 1, 0, 3, 0, 1, 3, 0, 0, 1, 2, 0, 0, 1, 3, 0, 2, 1  },
{ 0, 3, 0, 0, 0, 1, 2, 0, 0, 2, 1, 3, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 1, 0, 3, 3, 0, 1, 2, 2, 0, 0, 1, 2, 0, 2, 1  },
{ 3, 3, 0, 2, 0, 0, 0, 2, 0, 0, 2, 0, 3, 2, 0, 1, 1, 0, 0, 3, 0, 2, 0, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0, 2, 2, 0, 0, 3, 0, 0, 0, 1  },
{ 1, 0, 1, 1, 1, 0, 3, 2, 1, 1, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 3, 0, 2, 0, 2, 3, 0, 0, 2, 2, 0, 2, 0  },
{ 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 2, 0, 3, 0, 0, 1, 0, 2, 0, 2, 3, 1, 0, 0, 2, 1, 2, 0, 0, 2, 3, 0, 0, 1, 1, 2, 0, 3, 2, 3, 2, 1  },
{ 2, 0, 1, 0, 2, 0, 3, 1, 0, 1, 0, 1, 3, 1, 1, 0, 0, 0, 1, 0, 3, 0, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 3, 0, 0, 2, 0, 3, 0, 2, 1, 0  },
{ 2, 1, 0, 1, 2, 0, 0, 3, 0, 1, 2, 2, 0, 0, 2, 0, 0, 1, 2, 0, 1, 1, 0, 3, 0, 0, 1, 3, 1, 0, 3, 0, 0, 1, 2, 3, 0, 3, 0, 2, 1, 0  },
{ 1, 1, 0, 2, 0, 1, 1, 3, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 1, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 1, 2, 0, 2, 0, 0, 3, 0, 1, 2, 0  },
{ 1, 0, 3, 0, 0, 1, 0, 1, 3, 3, 1, 3, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 3, 1, 0, 1, 1, 3, 0, 2, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 3, 3, 0, 1, 1, 1, 0, 1, 0, 3, 0, 1, 0, 1, 1, 2, 0, 0, 1, 3, 0, 1, 3, 0, 0, 0, 0, 2, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 1, 1, 0, 3, 1, 2, 0, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 1, 1, 1, 1, 2, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 3, 1, 3, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 3, 1, 2, 0, 0, 0, 1, 3, 0, 1, 0, 2, 0, 0, 0, 2, 3, 1, 0, 1, 3, 0, 0, 0, 0  },
{ 1, 3, 0, 3, 3, 2, 0, 1, 0, 1, 0, 0, 0, 3, 1, 3, 3, 0, 1, 3, 0, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 3, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 2, 0, 1, 1, 1, 2, 1, 0, 3, 0, 1, 3, 0, 0, 3, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 3, 3, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 1, 0, 1, 2, 3, 0, 0, 3, 0, 2, 0, 3, 2, 3, 1, 2, 0, 0, 0, 2, 3, 1, 0, 0, 1, 3, 0, 0, 0  },
{ 0, 2, 2, 0, 0, 1, 3, 0, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 0, 1, 2, 0, 0, 3, 1, 3, 1, 0, 0, 2, 0, 0, 2, 2, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 3, 1, 0, 3, 1, 0, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 2, 1, 3, 0, 2, 1, 1, 2, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 2, 1, 0, 2, 2, 1, 0, 0, 2, 3, 1, 2, 0, 3, 0, 2, 0, 1, 2, 0, 0, 0, 1, 0, 1, 0, 0, 0  },
{ 1, 2, 3, 2, 0, 1, 1, 1, 1, 1, 2, 0, 0, 0, 3, 1, 1, 1, 3, 0, 0, 0, 2, 3, 0, 0, 0, 1, 1, 2, 0, 0, 2, 3, 1, 0, 1, 0, 0, 2, 0, 0  },
{ 2, 1, 3, 2, 0, 1, 0, 0, 0, 2, 3, 3, 3, 0, 1, 0, 0, 0, 0, 1, 2, 0, 3, 3, 3, 1, 0, 0, 0, 2, 0, 0, 2, 2, 0, 3, 3, 1, 0, 1, 0, 0  },
{ 0, 3, 2, 0, 2, 1, 0, 2, 3, 3, 3, 0, 3, 1, 0, 0, 2, 1, 0, 1, 1, 3, 0, 0, 3, 0, 1, 2, 0, 1, 2, 0, 2, 1, 2, 0, 0, 0, 2, 0, 3, 0  },
{ 2, 2, 0, 1, 3, 3, 0, 0, 0, 2, 2, 2, 0, 3, 1, 3, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 3, 1, 2, 0, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 3, 2, 0, 0, 2, 3, 1, 0, 1, 1, 2, 0, 2, 1, 1, 0, 2, 2, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0, 0  },
{ 2, 1, 1, 2, 0, 2, 2, 0, 1, 1, 2, 0, 3, 0, 3, 0, 0, 0, 0, 3, 0, 1, 1, 2, 3, 0, 2, 0, 2, 2, 2, 0, 1, 2, 0, 3, 0, 0, 2, 1, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 2, 3, 1, 2, 2, 1, 1, 0, 1, 1, 2, 0, 0, 3, 1, 2, 1, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 1, 2, 0  },
{ 1, 3, 1, 0, 0, 3, 3, 0, 0, 3, 0, 3, 0, 0, 0, 1, 2, 0, 2, 1, 3, 2, 1, 2, 3, 0, 2, 1, 1, 2, 1, 1, 1, 1, 0, 0, 3, 0, 3, 0, 2, 2  },
{ 3, 1, 0, 1, 1, 0, 0, 1, 3, 1, 1, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 3, 0, 0, 0, 2, 2, 1, 2, 0, 2, 0, 2, 1, 3, 2, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 2, 1, 1, 0, 3, 3, 0, 1, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 3, 1, 0, 0, 1, 3, 1, 3, 0, 2, 0, 3, 1, 2, 2, 3, 3, 0, 0, 0, 2  },
{ 1, 1, 0, 3, 0, 3, 0, 1, 1, 1, 2, 1, 0, 0, 3, 0, 3, 0, 1, 0, 0, 3, 1, 3, 1, 1, 3, 0, 0, 0, 2, 2, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 1, 3, 1, 0, 3, 2, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 1, 3, 0, 0, 1, 0, 1, 0, 1, 3, 0, 3, 2, 0, 1, 3, 1, 3, 3, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 1, 3, 0, 1, 3, 0, 1, 0, 0, 1, 0, 1, 3, 0, 3, 1, 0, 1, 0, 1, 2, 0, 0, 2, 3, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 3, 0, 0, 0, 0, 2, 2, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 1, 0, 1, 0, 3, 3, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 2, 0, 3, 1, 1, 3, 3, 1, 3, 1, 2  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 3, 1, 0, 1, 0, 0, 3, 0, 0, 2, 0, 3, 3, 1, 0, 3, 1, 2, 0, 0  },
{ 3, 1, 3, 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 1, 2, 1, 3, 0, 2, 0, 3, 0, 3, 3, 3, 1, 0, 0, 0, 0, 2, 3, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 3, 2, 1, 0, 3, 0, 1, 0, 3, 0, 2, 1, 3, 0, 2, 0, 2, 2, 0, 1, 3, 1, 0, 2, 0, 0  },
{ 3, 1, 1, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 2, 3, 0, 0, 2, 1, 1, 3, 1, 3, 1, 3, 2  },
{ 0, 0, 1, 0, 3, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 3, 1, 0, 1, 0, 0, 0, 3, 0, 0, 2, 3, 1, 1, 2, 1, 0, 2, 0  },
{ 0, 0, 1, 1, 3, 0, 2, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 2, 1, 1, 0, 0, 0, 2, 0  },
{ 1, 3, 3, 0, 1, 2, 3, 3, 0, 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 0, 1, 2, 3, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 2, 2, 2, 0, 0, 1, 2, 1, 3, 0, 0, 1, 3, 2, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0, 0, 1, 1, 1, 3, 0, 1, 1, 0, 0, 3, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 0, 3, 1, 3, 0, 2, 0, 3, 3, 0, 0, 2, 0, 1, 1, 0, 0, 2, 3, 0, 0, 2, 1, 0, 3, 1, 3, 0, 2, 1  },
{ 0, 0, 3, 0, 2, 0, 0, 1, 0, 3, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 0, 1, 1, 0, 3, 0, 0, 3, 0, 0, 2, 3, 1, 1, 2, 1, 0, 2, 1  },
{ 3, 0, 3, 0, 0, 0, 3, 0, 0, 1, 2, 0, 0, 1, 1, 0, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 2, 0, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 0, 1, 0, 3, 1, 3, 1, 1, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 3, 0, 0, 1, 0, 3, 1, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 3, 0, 1, 2, 2, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 2, 1, 1, 3, 1, 0, 0, 1, 0  },
{ 0, 0, 0, 1, 0, 1, 3, 2, 0, 1, 0, 1, 3, 2, 0, 1, 2, 0, 0, 3, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 1, 1, 1, 3, 0, 2, 2, 1  },
{ 0, 0, 0, 0, 0, 3, 3, 3, 1, 1, 0, 0, 3, 2, 3, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 0, 1, 2, 0, 3, 0, 1, 1, 0, 0, 2, 1, 0, 3, 1, 2, 1  },
{ 0, 0, 0, 1, 0, 3, 2, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 0, 1, 1, 2, 0, 3, 0, 3, 0, 0, 2, 1, 3, 0, 1, 2, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 3, 1, 3, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 2, 1, 0, 1, 3, 1, 3, 0, 2, 2, 1, 2, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 3, 3, 1, 1, 0, 0, 3, 1, 3, 1, 0, 3, 0, 1, 3, 1, 0, 1, 0, 1, 2, 0, 2, 2, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 0, 3, 1, 3, 2, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 3, 0, 3, 1, 1, 3, 0, 0, 0, 0, 2, 3, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 3, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 2, 3, 3, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 2, 3, 0, 0, 1, 1, 1, 1, 0, 0, 0, 3, 1, 2, 0, 3, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 3, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 3, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 2, 3, 0, 1, 1, 0, 3, 1, 0, 1, 0, 0, 3, 1, 0, 2, 0, 2, 0, 3, 0, 2, 1, 0, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 2, 2, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 3, 0, 2, 0, 3, 2, 0, 0, 3, 0, 0, 0, 2, 2, 0, 3, 1, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 2, 0, 2, 1, 2, 1, 0, 0, 0, 3, 1, 1, 0, 1, 1, 0, 0, 2, 0, 0, 2, 3, 0, 0, 2, 0, 1, 0, 2, 1, 2, 3, 2, 1, 0, 0, 0  },
{ 2, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 1, 3, 2, 1, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 1, 2, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 1, 0, 1, 0, 3, 3, 0, 0, 2, 0, 2, 3, 0, 1, 2, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 1, 1, 0, 0, 0  },
{ 3, 2, 0, 3, 2, 0, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 1, 1, 3, 0, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 1, 2, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 2, 1, 2, 3, 1, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 1, 3, 0, 1, 0, 0, 3, 1, 0, 2, 2, 1, 0, 0, 0, 1, 0, 1, 0  },
{ 0, 2, 0, 1, 2, 3, 0, 3, 0, 1, 1, 0, 0, 1, 0, 3, 2, 3, 2, 0, 0, 2, 2, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 2, 1, 0, 2, 3, 2, 0, 0, 0, 0, 0, 1, 0, 3, 0, 3, 0, 2, 3, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0  },
{ 3, 0, 0, 0, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 1, 0, 0, 1, 1, 2, 3, 0, 2, 2, 0, 0, 0, 3, 0, 0, 2, 0, 1, 2, 3, 1, 1, 1, 0, 1, 0, 0  },
{ 1, 0, 3, 1, 0, 0, 1, 0, 2, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 2, 2, 2, 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 2, 0  },
{ 2, 0, 0, 2, 1, 2, 0, 1, 2, 1, 3, 2, 0, 1, 0, 1, 0, 0, 3, 2, 0, 1, 1, 2, 0, 0, 0, 2, 0, 1, 2, 0, 1, 2, 0, 1, 3, 1, 0, 2, 0, 0  },
{ 2, 0, 3, 1, 3, 1, 0, 2, 1, 2, 0, 3, 0, 3, 1, 0, 0, 0, 3, 1, 0, 2, 3, 1, 2, 2, 3, 1, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1  },
{ 1, 1, 2, 1, 3, 0, 0, 0, 3, 1, 3, 1, 2, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 2, 1, 3, 0, 0, 0, 1, 0, 1, 1, 2, 1, 1, 3, 1, 0, 1, 0, 3, 3, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 3, 3, 0, 0, 0, 2  },
{ 1, 0, 0, 1, 3, 0, 0, 3, 1, 1, 2, 1, 3, 0, 3, 3, 0, 3, 1, 0, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0, 3, 2, 0, 2, 1, 0, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 2, 1, 1, 0, 0, 1, 0, 1, 0, 1, 2, 1, 1, 1, 0, 1, 0, 0, 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 3, 1, 3, 3, 0, 0, 0, 2  },
{ 3, 1, 2, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 1, 3, 1, 0, 3, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 3, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 1, 3, 1, 0, 0, 2, 2, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 2, 1, 3, 3, 2  },
{ 0, 1, 3, 0, 0, 3, 3, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 3, 1, 0, 0, 0, 2, 0, 3, 1, 3, 1, 3, 1, 2, 0, 1  },
{ 1, 1, 3, 0, 1, 3, 3, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 3, 0, 0, 3, 0, 0, 2, 1, 1, 2, 1, 0, 0, 0, 2, 2, 3, 3, 1, 0, 2, 1, 2, 0, 0  },
{ 3, 2, 1, 0, 0, 3, 1, 2, 0, 3, 0, 0, 3, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 2, 1, 3, 2, 1, 0, 3, 0, 0  },
{ 2, 1, 3, 0, 0, 0, 0, 2, 3, 2, 0, 0, 0, 2, 1, 2, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 3, 0, 3, 3, 2  },
{ 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 0, 1, 3, 0, 0, 1, 2, 1, 0, 1, 2, 0, 0, 2, 0, 2, 1, 3, 3, 3, 1, 2, 0, 0  },
{ 0, 0, 2, 3, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 2, 2, 3, 2, 1, 2, 1, 1, 2, 0, 0  },
{ 0, 0, 0, 1, 2, 1, 0, 2, 1, 1, 0, 3, 3, 1, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 0, 3, 1, 0, 2, 0, 2, 2, 3, 0, 1, 1, 0, 0, 0, 0  },
{ 1, 2, 1, 2, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0, 2, 2, 0, 2, 3, 2, 0, 0, 0, 1, 0, 0, 0  },
{ 0, 1, 2, 1, 0, 3, 0, 1, 2, 0, 0, 0, 0, 2, 1, 3, 0, 2, 0, 1, 2, 0, 0, 1, 0, 1, 0, 3, 0, 0, 2, 0, 0, 3, 0, 1, 3, 3, 1, 2, 0, 2  },
{ 2, 0, 1, 0, 0, 3, 1, 1, 0, 3, 1, 0, 2, 1, 0, 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 0, 2, 3, 0, 3, 3, 0, 3, 0, 0, 3, 0  },
{ 0, 1, 2, 1, 2, 0, 0, 1, 2, 3, 3, 0, 1, 0, 1, 0, 3, 0, 0, 2, 0, 1, 1, 1, 0, 3, 1, 0, 3, 0, 0, 2, 0, 2, 2, 0, 2, 0, 0, 0, 2, 0  },
{ 0, 1, 3, 1, 1, 2, 0, 2, 0, 3, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 2, 1, 3, 0, 0, 1, 0, 3, 2, 0, 0, 1, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0  },
{ 0, 3, 0, 1, 3, 2, 2, 0, 1, 1, 0, 0, 1, 1, 3, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 1, 1, 1, 2, 1, 0, 0, 2, 2, 0, 1, 0, 1, 1, 0, 0  },
{ 0, 1, 2, 0, 3, 0, 2, 1, 2, 0, 2, 0, 3, 1, 0, 1, 1, 0, 1, 3, 1, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 3, 0, 2, 2, 3, 1, 3, 0, 2, 2, 2  },
{ 1, 1, 2, 1, 2, 3, 1, 0, 2, 1, 3, 0, 2, 0, 0, 3, 0, 0, 3, 0, 0, 0, 1, 0, 3, 0, 2, 1, 0, 2, 3, 0, 1, 0, 0, 2, 1, 1, 0, 1, 2, 0  },
{ 0, 1, 0, 2, 0, 0, 1, 2, 3, 1, 2, 0, 0, 1, 3, 3, 1, 3, 1, 0, 0, 2, 0, 3, 0, 1, 0, 1, 0, 0, 1, 2, 1, 0, 2, 3, 0, 0, 1, 0, 1, 0  },
{ 2, 0, 0, 2, 1, 3, 3, 1, 1, 1, 2, 0, 0, 1, 3, 0, 2, 0, 1, 1, 0, 3, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 3, 0, 0, 0, 0, 0, 2  },
{ 1, 1, 3, 2, 1, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 2, 3, 0, 1, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2  },
{ 3, 1, 3, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 3, 3, 1, 3, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 3, 3, 1, 3, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 1, 3, 3, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 1, 0, 0, 3, 2, 0, 1, 1, 0, 0, 3, 0, 0, 3, 2, 1, 1, 0, 2, 0, 1, 3, 1, 1, 2, 0, 0, 0, 0, 2, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 3, 1, 1, 1, 0, 0, 0, 0, 1, 2, 0, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 3, 1, 0, 2, 3, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 2, 0, 3, 0, 0, 1, 2, 0, 0, 0, 1, 0, 3, 0, 0, 0, 2, 0, 2, 0, 3, 3, 1, 0, 0, 0, 0, 1, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 1, 0, 1, 3, 3, 0, 2, 0, 0, 0, 0, 1, 3, 0, 2, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 3, 1, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0, 1, 0, 1, 3, 0, 2, 0, 2, 0, 3, 0, 1, 3, 1, 0, 0, 0  },
{ 0, 3, 1, 3, 1, 1, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 2, 3, 0, 1, 1, 0, 2, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 1, 1, 0, 2, 1, 0, 0, 1, 2, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 1, 3, 3, 1, 0, 1, 3, 0, 0, 0, 0  },
{ 3, 1, 3, 1, 3, 2, 1, 0, 1, 1, 0, 0, 0, 0, 3, 0, 2, 2, 2, 0, 2, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 3, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 2, 1, 3, 0, 2, 2, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 1, 2, 3, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 2, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 2, 0, 0, 0, 2, 0, 0, 3, 0, 2, 2, 0, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0  },
{ 0, 3, 3, 3, 2, 0, 1, 0, 2, 1, 2, 0, 0, 1, 2, 0, 2, 2, 1, 2, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 3, 3, 2, 0  },
{ 2, 1, 3, 2, 3, 1, 1, 3, 2, 2, 2, 0, 2, 3, 3, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 2, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0  },
{ 3, 1, 3, 1, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 2, 0, 2  },
{ 3, 1, 2, 1, 3, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 3, 0, 1, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 3, 3, 1, 3, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 3, 0, 0, 0, 0, 2  },
{ 2, 1, 2, 0, 0, 0, 0, 0, 1, 3, 1, 0, 3, 1, 1, 3, 0, 3, 1, 0, 3, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 3, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 3, 0, 0, 0, 2  },
{ 0, 3, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 1, 2, 1, 0, 3, 0, 0, 2, 1, 1, 2, 1, 0, 0, 2, 2, 0, 3, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 1, 2, 0, 0, 3, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 1, 2, 0, 2, 0, 3, 1, 3, 1, 3, 2, 1, 2, 0, 2  },
{ 3, 0, 0, 0, 2, 0, 0, 0, 3, 1, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 3, 3, 1, 1, 2, 0, 0, 0, 0, 0, 2, 0, 3, 3, 0, 3, 1, 2, 1, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 2, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 3, 0, 1, 0, 1, 2, 0, 0, 3, 0, 1, 0, 3, 0, 0, 1, 0, 0, 1, 2, 2, 2, 1, 3, 2, 0, 1, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 1, 3, 0, 1, 0, 2, 2, 0, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 2, 0, 3, 0, 1, 2, 1, 2, 0, 2  },
{ 2, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 1, 3, 0, 2, 1, 0, 3, 0, 2, 0, 0, 3, 0, 0, 3, 0, 0, 2, 0, 3, 1, 3, 0, 1, 3, 3, 0, 1  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 1, 3, 0, 0, 0, 0, 2, 2, 3, 0, 0, 2, 1, 2, 0, 0  },
{ 3, 1, 3, 0, 0, 2, 1, 0, 0, 1, 2, 0, 3, 0, 1, 0, 0, 2, 1, 2, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 0, 2, 2, 3, 2, 0, 0, 1, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 3, 2, 0, 0, 3, 1, 3, 2, 2, 1, 0, 1, 1, 1, 1, 3, 2, 2, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 2, 0, 2, 2, 1, 0, 0, 2, 0  },
{ 2, 1, 2, 1, 0, 0, 3, 1, 1, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 2, 2, 0, 0, 1, 0, 1, 3, 0, 0, 1, 2, 0, 0, 0, 1, 0, 3, 0, 0, 3, 3, 2  },
{ 0, 0, 1, 0, 1, 0, 0, 2, 1, 0, 3, 0, 1, 0, 2, 1, 0, 2, 1, 0, 2, 0, 1, 3, 2, 1, 0, 0, 3, 0, 0, 3, 1, 2, 0, 3, 3, 0, 2, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 3, 3, 0, 1, 3, 0, 2, 0, 0, 1, 0, 3, 0, 3, 0, 2, 0, 0, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 1, 2, 0, 0  },
{ 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 2, 2, 2, 1, 0, 2, 0, 0, 0, 1, 1, 3, 0, 1, 1, 0, 2, 2, 0, 0, 3, 0, 2, 3, 0, 3, 0, 1, 3, 0, 0  },
{ 2, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 3, 1, 0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 2, 0, 0, 0, 3, 0, 1, 1, 3, 0, 3, 0, 2, 2, 1  },
{ 0, 0, 1, 0, 3, 2, 0, 1, 2, 2, 0, 2, 0, 3, 0, 2, 3, 0, 0, 1, 0, 3, 0, 2, 2, 0, 1, 3, 0, 0, 2, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0  },
{ 0, 0, 0, 0, 0, 2, 3, 1, 2, 0, 1, 2, 3, 1, 0, 0, 0, 1, 2, 0, 0, 1, 2, 1, 0, 3, 0, 0, 0, 1, 2, 1, 0, 1, 0, 2, 0, 0, 3, 1, 1, 0  },
{ 1, 0, 3, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 3, 2, 1, 3, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 0, 1, 3, 0, 0, 0, 2  },
{ 3, 1, 0, 0, 2, 0, 2, 0, 3, 1, 2, 0, 1, 0, 1, 3, 0, 0, 1, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 3, 0, 0, 0, 2  },
{ 1, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 0, 3, 0, 1, 0, 2, 0, 1, 0, 3, 0, 2, 2, 1, 1, 0, 0, 0, 0, 3, 2, 0, 2, 1, 3, 3, 3, 0, 0, 0, 2  },
{ 3, 1, 1, 0, 0, 0, 3, 0, 3, 1, 1, 0, 1, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 2, 0  },
{ 2, 3, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 1, 0, 3, 1, 3, 1, 0, 0, 3, 0, 2, 2, 3, 0, 0, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 2, 3, 3, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 3, 0, 0, 3, 3, 3, 0, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 2, 3, 1, 2, 0, 0, 2, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 3, 0, 1, 3, 2, 1, 1, 0, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 2, 2, 0, 1, 2, 2, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 3, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 3, 0, 3, 0, 2, 1, 1, 1, 0, 1, 0, 3, 0, 2, 1, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 2, 3, 0, 0, 0, 0, 3, 3, 1, 0, 1, 0, 0, 3, 0, 2, 1, 0, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 2, 2, 0, 0, 0, 3, 1, 0, 0, 0  },
{ 1, 0, 1, 2, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 2, 2, 0, 2, 2, 2, 2, 0, 2, 1, 0, 1, 1, 1, 0, 0, 0, 0, 3, 0  },
{ 1, 0, 0, 1, 0, 2, 3, 0, 2, 3, 3, 1, 1, 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 2, 1, 2, 3, 1, 3, 0, 0, 0  },
{ 0, 3, 0, 0, 0, 3, 1, 0, 1, 0, 2, 3, 0, 2, 0, 3, 2, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 1, 0, 3, 0, 1, 0, 0, 0  },
{ 1, 2, 3, 1, 0, 1, 3, 1, 1, 0, 1, 0, 1, 0, 0, 1, 3, 3, 0, 2, 3, 0, 0, 2, 2, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0  },
{ 1, 0, 2, 1, 0, 3, 0, 0, 0, 1, 1, 1, 1, 1, 0, 0, 3, 3, 2, 0, 2, 1, 2, 1, 1, 0, 3, 0, 0, 0, 2, 1, 0, 2, 3, 1, 0, 1, 2, 0, 0, 0  },
{ 2, 1, 2, 3, 2, 1, 1, 0, 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 3, 1, 0, 0, 1, 2, 2, 1, 0, 0, 0, 2, 3, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0  },
{ 1, 0, 2, 0, 2, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 2, 0, 1, 2, 0, 0, 0  },
{ 2, 1, 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 2, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 2, 3, 2, 1, 2, 1, 3, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 3, 0, 3, 0, 2  },
{ 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1, 2, 1, 2, 0, 2  },
{ 3, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 3, 3, 2  },
{ 0, 0, 2, 1, 1, 0, 0, 0, 1, 1, 3, 0, 3, 0, 2, 2, 0, 3, 1, 0, 3, 0, 1, 3, 3, 0, 1, 0, 2, 0, 2, 0, 2, 1, 2, 0, 2, 1, 2, 1, 3, 2  },
{ 0, 0, 3, 2, 1, 0, 1, 1, 3, 0, 3, 0, 1, 2, 1, 1, 1, 0, 1, 0, 2, 1, 0, 1, 3, 0, 2, 1, 1, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 3, 3, 2  },
{ 0, 0, 1, 0, 2, 0, 3, 0, 1, 2, 1, 0, 1, 0, 2, 0, 3, 1, 1, 0, 2, 1, 2, 0, 1, 0, 1, 1, 0, 0, 2, 3, 2, 2, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 1, 0, 0, 2, 0, 3, 0, 0, 3, 0, 1, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 0, 1, 0, 0, 0  },
{ 0, 0, 3, 1, 0, 2, 0, 0, 1, 3, 3, 0, 3, 0, 0, 0, 0, 1, 0, 3, 0, 3, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 2, 0, 0, 2, 0, 3, 1, 2, 0, 2  },
{ 0, 1, 0, 2, 2, 0, 2, 3, 0, 0, 0, 0, 1, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 2, 0, 3, 0, 0, 2, 0, 3, 3, 1, 2, 1, 1, 2, 0, 0  },
{ 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 1, 1, 1, 0, 0  },
{ 0, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 1, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1, 2, 1, 2, 3, 3, 1, 0, 0, 0  },
{ 1, 2, 1, 1, 0, 1, 3, 1, 0, 1, 1, 1, 2, 3, 0, 3, 0, 2, 0, 0, 0, 0, 1, 0, 2, 1, 0, 3, 2, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 3, 0  },
{ 2, 0, 2, 1, 3, 0, 1, 3, 2, 2, 1, 0, 3, 0, 0, 0, 0, 1, 2, 0, 3, 1, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 3, 2, 1, 0, 1, 0, 0, 3, 3, 2  },
{ 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 2, 2, 2, 2, 0, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 2, 2, 0, 3, 0, 0, 3, 1, 3, 1, 0, 1, 0, 1, 2, 0, 1  },
{ 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 2, 3, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 1, 2, 1, 1, 2, 1, 0, 1, 1, 0, 1, 3, 0, 1, 0, 0, 1, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 3, 1, 0, 1, 0  },
{ 3, 1, 0, 2, 3, 3, 2, 2, 2, 2, 3, 1, 2, 3, 0, 0, 1, 3, 0, 0, 1, 0, 2, 2, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 1, 3, 0, 2, 3, 2  },
{ 2, 3, 0, 2, 1, 0, 1, 0, 0, 0, 1, 2, 2, 2, 3, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 3, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 3, 1, 0, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 2, 3, 3, 2, 3, 0, 3, 0, 0, 0  },
{ 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 0, 0, 2, 3, 1, 0, 0, 3, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 2, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 3, 3, 2  },
{ 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 3, 2, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2  },
{ 0, 1, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0  },
{ 0, 3, 0, 0, 3, 0, 2, 1, 1, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 2, 2, 3, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 2, 2, 2, 0, 1, 0, 0, 1, 0, 0, 0  },
{ 0, 0, 2, 2, 2, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 3, 0, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 3, 1, 0, 0, 1, 3, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 1, 0, 1, 0, 1, 0, 3, 3, 1, 0, 1, 0, 0, 3, 3, 1, 1, 2, 1, 0, 2, 0, 1, 0, 3, 3, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 2, 1, 0, 3, 0, 0, 1, 0, 1, 3, 0, 2, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 3, 3, 0, 1, 0, 0  },
{ 1, 1, 0, 0, 3, 2, 2, 0, 1, 1, 0, 3, 1, 0, 0, 1, 3, 1, 0, 0, 1, 0, 2, 2, 0, 2, 1, 0, 3, 0, 0, 1, 1, 2, 0, 1, 3, 3, 0, 1, 2, 0  },
{ 0, 0, 1, 2, 2, 2, 0, 3, 1, 1, 2, 3, 1, 0, 0, 2, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 1, 1, 3, 2, 0, 3, 0, 1, 2, 2, 2, 1, 0, 3, 1, 0, 3, 1, 1, 0, 0, 2, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 0  },
{ 0, 0, 1, 1, 0, 2, 0, 1, 0, 1, 0, 1, 2, 3, 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 2, 3, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0  },
{ 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 1, 1, 3, 1, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 3, 3, 2, 2, 0, 0  }
 }
 },
{ 
{ 
{ 2, 1, 3, 2, 2, 3, 3, 3, 3, 2, 3, 1, 2, 3, 3, 0, 2, 3, 2, 2, 2, 2, 2, 3, 2, 2, 3, 3, 2, 3, 2, 2, 2, 3, 3, 1, 2, 3, 3, 2, 1, 0  },
{ 2, 1, 3, 2, 2, 0, 0, 3, 3, 2, 3, 3, 3, 1, 0, 3, 0, 0, 3, 2, 2, 2, 2, 3, 3, 2, 3, 1, 3, 3, 3, 2, 2, 3, 3, 3, 2, 3, 0, 3, 2, 1  },
{ 2, 1, 3, 2, 2, 3, 2, 3, 3, 3, 3, 3, 0, 1, 3, 2, 2, 3, 1, 2, 2, 2, 3, 3, 3, 3, 1, 1, 3, 2, 3, 2, 2, 3, 0, 3, 3, 2, 3, 3, 2, 1  },
{ 3, 2, 0, 2, 1, 3, 2, 3, 1, 2, 2, 0, 0, 2, 2, 1, 0, 1, 1, 3, 2, 3, 0, 3, 2, 2, 1, 2, 1, 2, 1, 3, 1, 3, 2, 3, 1, 3, 1, 3, 2, 2  },
{ 3, 1, 0, 2, 2, 0, 3, 0, 0, 2, 2, 0, 2, 0, 3, 2, 1, 0, 3, 1, 2, 2, 0, 3, 2, 2, 1, 2, 0, 3, 0, 1, 3, 0, 2, 3, 3, 2, 3, 2, 1, 1  },
{ 2, 0, 1, 1, 3, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 1, 0  },
{ 2, 0, 3, 2, 1, 3, 0, 3, 1, 1, 3, 2, 1, 2, 3, 1, 1, 3, 2, 2, 0, 2, 2, 3, 1, 2, 0, 2, 2, 2, 2, 2, 2, 1, 3, 2, 2, 3, 2, 3, 0, 2  },
{ 2, 0, 3, 1, 1, 2, 0, 3, 2, 1, 3, 1, 1, 2, 3, 1, 1, 3, 0, 2, 2, 2, 2, 3, 1, 2, 0, 3, 2, 2, 2, 2, 2, 2, 3, 3, 2, 3, 2, 1, 1, 2  },
{ 2, 0, 3, 2, 1, 0, 2, 3, 2, 2, 3, 2, 1, 1, 3, 1, 2, 3, 2, 2, 0, 2, 2, 3, 2, 2, 3, 2, 2, 2, 0, 2, 2, 2, 3, 3, 2, 3, 2, 2, 2, 2  },
{ 2, 3, 0, 1, 2, 2, 1, 3, 2, 1, 3, 1, 1, 1, 3, 2, 2, 2, 0, 2, 0, 2, 2, 2, 3, 2, 2, 3, 2, 2, 2, 0, 2, 2, 3, 3, 2, 3, 3, 2, 0, 3  },
{ 2, 0, 3, 1, 1, 3, 2, 3, 2, 1, 2, 0, 3, 0, 1, 3, 3, 3, 0, 3, 0, 1, 2, 2, 3, 1, 2, 1, 2, 2, 0, 2, 2, 2, 1, 3, 2, 0, 3, 1, 1, 2  },
{ 2, 0, 3, 2, 2, 2, 0, 3, 1, 2, 3, 2, 2, 1, 3, 2, 2, 3, 1, 2, 2, 2, 2, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 2, 3, 2, 3, 0, 3  },
{ 2, 0, 2, 2, 1, 3, 2, 3, 2, 1, 3, 2, 0, 3, 3, 0, 2, 1, 3, 2, 2, 2, 2, 1, 3, 2, 2, 0, 2, 2, 2, 2, 2, 2, 3, 3, 2, 3, 2, 1, 2, 3  },
{ 2, 0, 1, 1, 1, 2, 2, 3, 2, 2, 2, 0, 0, 2, 3, 1, 1, 2, 3, 0, 3, 3, 2, 2, 3, 2, 2, 1, 3, 2, 2, 2, 2, 2, 3, 3, 2, 3, 2, 1, 2, 3  },
{ 2, 3, 0, 2, 2, 2, 1, 3, 2, 2, 3, 3, 2, 3, 3, 2, 2, 3, 1, 3, 2, 2, 3, 3, 2, 2, 2, 2, 2, 0, 0, 2, 2, 2, 2, 3, 2, 3, 3, 3, 0, 2  },
{ 2, 0, 2, 2, 1, 1, 0, 3, 1, 2, 2, 1, 2, 3, 3, 2, 2, 3, 0, 3, 2, 0, 3, 1, 3, 2, 0, 3, 2, 2, 2, 0, 1, 2, 3, 3, 2, 3, 0, 3, 0, 3  },
{ 2, 3, 0, 0, 2, 3, 2, 0, 1, 3, 1, 0, 1, 1, 2, 1, 1, 1, 3, 2, 0, 3, 2, 2, 3, 2, 0, 0, 2, 2, 1, 2, 1, 1, 2, 3, 1, 3, 1, 3, 0, 2  },
{ 2, 0, 3, 1, 2, 0, 1, 3, 1, 3, 1, 2, 0, 1, 2, 3, 2, 0, 1, 2, 0, 2, 2, 2, 3, 2, 0, 0, 0, 3, 1, 1, 1, 2, 1, 3, 3, 1, 1, 2, 2, 2  },
{ 0, 1, 0, 0, 2, 2, 2, 1, 1, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 1, 2, 1, 0, 2, 0, 0, 1, 1, 0, 2, 1, 0, 2, 0, 2, 1, 0, 3, 0, 2, 2, 2  },
{ 0, 1, 0, 3, 1, 0, 0, 3, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 1, 2, 0, 2, 3, 2  },
{ 2, 0, 2, 1, 1, 3, 3, 3, 2, 1, 2, 1, 1, 1, 3, 3, 3, 3, 1, 3, 0, 0, 2, 3, 3, 0, 1, 2, 2, 2, 2, 1, 2, 2, 3, 1, 2, 3, 0, 2, 0, 1  },
{ 2, 0, 2, 1, 1, 2, 3, 2, 3, 3, 3, 1, 0, 1, 3, 3, 1, 2, 1, 3, 2, 0, 2, 2, 3, 0, 2, 1, 3, 2, 1, 1, 2, 1, 2, 3, 2, 1, 3, 2, 1, 0  },
{ 2, 1, 2, 2, 0, 1, 2, 3, 2, 3, 2, 2, 1, 1, 2, 3, 0, 1, 3, 1, 0, 0, 0, 2, 3, 1, 2, 1, 3, 2, 2, 0, 0, 2, 1, 3, 2, 0, 2, 1, 0, 0  },
{ 2, 0, 3, 1, 2, 2, 2, 3, 1, 1, 2, 1, 3, 2, 1, 3, 2, 2, 2, 0, 3, 1, 1, 2, 3, 0, 3, 1, 3, 3, 2, 2, 2, 3, 1, 1, 1, 3, 3, 2, 1, 2  },
{ 2, 0, 2, 1, 2, 2, 3, 0, 1, 2, 2, 0, 2, 2, 0, 3, 2, 2, 2, 0, 3, 3, 1, 2, 3, 2, 3, 1, 1, 0, 2, 2, 2, 2, 2, 3, 1, 0, 1, 2, 2, 0  },
{ 2, 2, 2, 1, 3, 0, 1, 3, 3, 2, 2, 1, 2, 2, 2, 3, 3, 2, 2, 0, 1, 3, 1, 2, 3, 3, 1, 3, 0, 3, 2, 2, 0, 0, 1, 3, 2, 3, 0, 1, 3, 2  },
{ 2, 3, 0, 1, 1, 1, 2, 3, 1, 1, 3, 2, 3, 0, 1, 3, 1, 3, 0, 2, 1, 0, 2, 3, 1, 2, 0, 1, 2, 2, 2, 2, 2, 0, 3, 1, 2, 3, 2, 3, 1, 1  },
{ 2, 1, 0, 1, 1, 3, 2, 3, 1, 2, 2, 1, 3, 1, 3, 3, 1, 3, 0, 2, 0, 0, 2, 3, 1, 0, 0, 1, 2, 2, 1, 2, 2, 2, 3, 1, 2, 3, 2, 3, 0, 1  },
{ 2, 1, 0, 1, 1, 3, 2, 3, 1, 1, 3, 2, 0, 1, 3, 2, 2, 3, 0, 2, 0, 1, 2, 3, 1, 1, 2, 2, 2, 0, 2, 0, 2, 2, 0, 3, 2, 3, 2, 3, 0, 2  },
{ 2, 0, 3, 1, 1, 0, 2, 3, 2, 2, 2, 1, 0, 1, 3, 1, 2, 3, 0, 2, 1, 0, 2, 3, 1, 1, 2, 3, 2, 2, 2, 2, 2, 2, 0, 3, 2, 3, 2, 3, 2, 2  },
{ 2, 3, 0, 1, 2, 2, 1, 3, 1, 1, 2, 3, 2, 2, 2, 3, 2, 2, 0, 3, 1, 1, 2, 3, 3, 2, 2, 1, 0, 2, 2, 0, 2, 3, 2, 3, 1, 3, 0, 1, 0, 1  },
{ 2, 2, 3, 0, 1, 3, 2, 0, 1, 1, 2, 3, 3, 3, 0, 1, 2, 3, 1, 2, 0, 1, 1, 3, 2, 1, 2, 3, 2, 0, 2, 2, 2, 2, 2, 2, 2, 3, 3, 1, 3, 0  },
{ 2, 0, 3, 1, 2, 2, 2, 3, 1, 2, 2, 1, 3, 0, 1, 2, 1, 3, 0, 2, 0, 3, 2, 3, 1, 2, 2, 3, 2, 0, 2, 2, 2, 2, 2, 3, 2, 3, 0, 3, 0, 0  },
{ 2, 0, 3, 1, 2, 0, 2, 0, 1, 2, 2, 1, 2, 2, 3, 1, 2, 2, 0, 3, 0, 3, 2, 3, 1, 2, 2, 1, 3, 1, 2, 1, 2, 2, 3, 3, 1, 3, 1, 0, 0, 2  },
{ 2, 0, 3, 1, 2, 2, 2, 3, 1, 1, 1, 2, 2, 0, 2, 1, 2, 2, 0, 3, 2, 1, 1, 2, 3, 2, 3, 1, 2, 3, 2, 2, 2, 1, 3, 3, 1, 0, 1, 3, 0, 2  },
{ 2, 0, 3, 2, 2, 1, 3, 2, 2, 2, 2, 2, 3, 0, 3, 1, 1, 1, 3, 1, 0, 2, 0, 3, 2, 2, 1, 2, 3, 0, 0, 0, 2, 2, 2, 2, 2, 3, 2, 1, 3, 0  },
{ 2, 3, 0, 2, 2, 2, 3, 2, 1, 2, 2, 1, 1, 0, 3, 1, 1, 1, 3, 2, 3, 1, 2, 3, 1, 2, 2, 3, 3, 1, 1, 1, 2, 2, 1, 3, 1, 3, 0, 1, 3, 2  },
{ 2, 2, 0, 1, 1, 0, 0, 3, 1, 2, 2, 3, 3, 0, 3, 1, 1, 2, 0, 3, 1, 2, 3, 3, 1, 2, 3, 1, 3, 2, 2, 1, 2, 2, 2, 3, 1, 3, 0, 1, 1, 1  },
{ 2, 0, 3, 1, 2, 0, 3, 0, 1, 2, 2, 1, 1, 3, 2, 1, 2, 2, 0, 2, 3, 0, 2, 2, 3, 2, 3, 2, 0, 3, 1, 2, 2, 1, 2, 3, 1, 3, 1, 1, 0, 1  },
{ 2, 2, 1, 1, 2, 2, 3, 0, 1, 1, 3, 2, 0, 2, 2, 2, 2, 1, 3, 2, 2, 2, 1, 3, 2, 2, 2, 2, 3, 1, 0, 0, 3, 1, 2, 3, 3, 3, 3, 2, 2, 2  },
{ 2, 1, 3, 2, 2, 0, 3, 2, 1, 2, 2, 2, 0, 2, 2, 1, 1, 2, 3, 0, 1, 0, 1, 3, 2, 2, 1, 1, 3, 0, 0, 3, 0, 2, 2, 3, 2, 3, 0, 1, 3, 3  },
{ 0, 1, 3, 2, 0, 3, 2, 3, 0, 2, 2, 3, 0, 2, 1, 1, 2, 2, 1, 1, 3, 1, 0, 2, 1, 1, 0, 1, 2, 3, 0, 3, 0, 1, 1, 3, 1, 3, 1, 2, 2, 2  },
{ 2, 1, 0, 1, 1, 3, 1, 3, 1, 2, 2, 1, 2, 2, 0, 3, 1, 3, 0, 2, 0, 0, 2, 2, 3, 1, 2, 0, 2, 1, 2, 2, 1, 3, 1, 1, 2, 0, 3, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 3, 1, 3, 1, 2, 2, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 2, 2, 3, 2, 2, 3, 2, 2, 2, 2, 0, 0, 2, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 0, 3, 1, 2, 1, 2, 0, 1, 2, 2, 2, 3, 2, 0, 3, 2, 2, 0, 3, 3, 0, 0, 2, 3, 2, 3, 1, 3, 1, 2, 2, 2, 1, 3, 1, 1, 0, 1, 2, 1, 1  },
{ 2, 0, 3, 1, 2, 2, 1, 0, 1, 2, 2, 3, 2, 3, 3, 2, 1, 0, 2, 0, 2, 3, 1, 2, 3, 2, 2, 3, 0, 0, 2, 2, 0, 2, 1, 3, 1, 0, 1, 2, 1, 2  },
{ 2, 1, 0, 1, 1, 3, 1, 3, 2, 2, 2, 1, 3, 2, 1, 3, 1, 3, 0, 2, 1, 0, 2, 3, 1, 2, 1, 1, 2, 0, 2, 0, 2, 1, 3, 2, 1, 0, 3, 2, 1, 2  },
{ 2, 1, 0, 1, 3, 1, 3, 3, 1, 2, 3, 2, 1, 1, 1, 3, 2, 2, 0, 2, 0, 1, 2, 1, 3, 1, 3, 1, 1, 0, 2, 2, 1, 3, 1, 2, 1, 0, 3, 2, 2, 2  },
{ 2, 2, 0, 1, 1, 0, 3, 1, 1, 0, 3, 1, 2, 1, 3, 2, 1, 1, 3, 2, 0, 1, 0, 3, 1, 1, 3, 2, 3, 0, 2, 0, 2, 2, 3, 2, 1, 0, 3, 3, 0, 0  },
{ 2, 0, 3, 1, 1, 1, 0, 3, 1, 0, 1, 3, 2, 0, 1, 3, 1, 2, 0, 2, 1, 0, 3, 2, 1, 2, 2, 1, 0, 0, 2, 2, 2, 1, 3, 2, 1, 0, 3, 2, 2, 0  },
{ 2, 3, 0, 1, 2, 3, 1, 3, 1, 0, 1, 2, 3, 2, 1, 3, 2, 3, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 3, 1, 0, 0, 2, 2, 3, 1, 1, 0, 1, 0, 1, 2  },
{ 2, 2, 0, 1, 1, 3, 2, 3, 1, 1, 0, 2, 1, 0, 3, 1, 2, 0, 3, 2, 1, 1, 0, 3, 1, 1, 3, 2, 3, 2, 2, 0, 2, 0, 3, 2, 1, 0, 3, 2, 0, 0  },
{ 2, 2, 0, 1, 2, 3, 1, 3, 1, 0, 1, 2, 0, 3, 3, 1, 2, 1, 2, 3, 3, 1, 0, 3, 2, 1, 3, 2, 3, 0, 0, 2, 2, 2, 1, 3, 1, 0, 3, 1, 0, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 1, 0, 3, 3, 2, 1, 3, 1, 2, 2, 0, 2, 3, 3, 2, 2, 3, 2, 3, 2, 0, 1, 0, 0, 1, 2, 1, 3, 1, 0, 1, 3, 0, 1  },
{ 2, 2, 1, 2, 2, 2, 3, 0, 1, 1, 3, 2, 0, 0, 0, 1, 1, 3, 0, 3, 1, 1, 0, 3, 1, 2, 2, 3, 0, 0, 3, 0, 2, 1, 1, 0, 1, 3, 1, 2, 3, 3  },
{ 2, 0, 3, 2, 2, 0, 3, 0, 1, 2, 1, 3, 3, 1, 2, 1, 2, 2, 0, 2, 3, 2, 2, 2, 3, 1, 3, 2, 0, 0, 1, 2, 1, 2, 3, 3, 1, 0, 1, 2, 0, 2  },
{ 2, 2, 1, 2, 2, 2, 3, 2, 1, 2, 2, 3, 3, 0, 2, 1, 1, 3, 0, 2, 3, 1, 0, 3, 2, 2, 1, 1, 3, 0, 3, 0, 3, 2, 2, 2, 3, 3, 2, 3, 3, 2  },
{ 0, 2, 3, 2, 2, 3, 2, 0, 1, 2, 1, 2, 2, 1, 2, 1, 2, 3, 2, 0, 2, 3, 0, 1, 3, 1, 0, 0, 2, 3, 3, 1, 1, 1, 2, 3, 1, 3, 1, 0, 0, 2  },
{ 2, 0, 3, 1, 2, 1, 2, 3, 1, 2, 3, 2, 3, 1, 0, 3, 2, 2, 0, 2, 0, 0, 2, 3, 1, 2, 3, 1, 2, 0, 1, 2, 0, 1, 3, 1, 1, 0, 1, 2, 1, 2  },
{ 2, 3, 0, 1, 2, 2, 1, 3, 1, 2, 2, 2, 3, 1, 0, 3, 0, 1, 2, 0, 2, 1, 1, 2, 1, 2, 3, 3, 0, 0, 2, 1, 0, 1, 3, 1, 1, 0, 1, 1, 1, 2  },
{ 2, 0, 3, 1, 2, 0, 3, 0, 1, 0, 0, 3, 2, 1, 1, 3, 2, 3, 2, 0, 3, 3, 1, 2, 3, 2, 2, 1, 0, 0, 2, 1, 1, 3, 1, 1, 1, 0, 3, 1, 3, 2  },
{ 2, 3, 0, 1, 3, 3, 3, 3, 1, 2, 2, 2, 3, 1, 0, 3, 1, 1, 2, 0, 1, 0, 2, 2, 3, 2, 3, 2, 2, 3, 2, 0, 1, 2, 1, 1, 1, 0, 3, 3, 2, 2  },
{ 2, 3, 0, 1, 2, 1, 3, 0, 1, 1, 0, 3, 3, 3, 1, 2, 2, 2, 2, 2, 0, 2, 0, 3, 3, 0, 3, 0, 3, 0, 2, 1, 1, 0, 1, 1, 1, 0, 3, 1, 2, 2  },
{ 0, 2, 3, 1, 3, 1, 2, 3, 1, 2, 2, 1, 0, 3, 1, 3, 2, 0, 3, 2, 0, 3, 1, 2, 3, 0, 3, 0, 0, 3, 2, 2, 0, 1, 3, 1, 1, 3, 2, 1, 2, 2  },
{ 1, 2, 0, 2, 2, 1, 3, 3, 1, 2, 3, 1, 2, 1, 3, 0, 2, 3, 0, 2, 1, 2, 0, 3, 1, 2, 1, 1, 2, 0, 2, 0, 2, 1, 3, 2, 1, 0, 3, 2, 0, 1  },
{ 2, 0, 3, 2, 1, 0, 1, 3, 1, 2, 3, 1, 2, 1, 1, 3, 2, 2, 0, 2, 3, 0, 2, 1, 1, 2, 3, 1, 2, 1, 0, 0, 0, 2, 3, 1, 1, 0, 1, 3, 2, 0  },
{ 2, 3, 0, 2, 1, 2, 3, 3, 1, 0, 1, 2, 1, 1, 3, 0, 2, 0, 3, 2, 1, 2, 0, 3, 1, 1, 1, 2, 3, 0, 0, 0, 2, 1, 2, 2, 1, 0, 3, 3, 0, 0  },
{ 2, 3, 0, 1, 2, 0, 3, 3, 1, 2, 2, 3, 3, 1, 1, 3, 2, 2, 0, 2, 0, 1, 2, 3, 1, 0, 1, 3, 0, 1, 0, 1, 0, 2, 3, 1, 1, 0, 3, 1, 2, 2  },
{ 2, 1, 0, 2, 2, 3, 3, 3, 1, 0, 1, 2, 1, 3, 2, 2, 2, 1, 3, 2, 1, 2, 0, 3, 1, 1, 1, 2, 3, 0, 0, 0, 1, 2, 3, 1, 1, 0, 3, 3, 2, 2  },
{ 2, 2, 0, 1, 2, 0, 3, 1, 2, 2, 3, 2, 1, 2, 3, 1, 2, 2, 0, 3, 1, 1, 0, 2, 1, 1, 3, 1, 3, 0, 0, 0, 1, 2, 3, 1, 1, 0, 3, 3, 2, 0  },
{ 2, 2, 0, 1, 1, 0, 3, 0, 1, 2, 3, 2, 2, 2, 1, 3, 2, 2, 0, 3, 2, 2, 2, 1, 3, 1, 3, 1, 3, 0, 0, 0, 1, 2, 3, 1, 1, 0, 0, 3, 2, 2  },
{ 2, 2, 0, 2, 2, 3, 3, 3, 1, 2, 2, 1, 2, 1, 1, 1, 1, 3, 0, 2, 3, 1, 0, 3, 1, 2, 2, 0, 3, 0, 3, 0, 3, 2, 0, 2, 1, 3, 2, 3, 0, 2  },
{ 2, 0, 3, 2, 2, 3, 2, 0, 1, 0, 1, 3, 2, 3, 3, 1, 2, 0, 2, 3, 0, 3, 0, 3, 1, 1, 2, 3, 3, 0, 0, 0, 0, 2, 2, 3, 1, 0, 3, 0, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 2, 3, 1, 2, 2, 0, 0, 1, 2, 1, 2, 0, 2, 3, 0, 1, 0, 0, 3, 1, 2, 1, 2, 0, 0, 0, 0, 0, 3, 3, 1, 0, 0, 3, 0, 2  },
{ 1, 0, 3, 2, 2, 0, 1, 3, 1, 2, 3, 1, 1, 2, 2, 1, 2, 3, 0, 2, 3, 3, 0, 1, 3, 2, 0, 2, 0, 2, 1, 2, 0, 2, 3, 3, 1, 3, 1, 1, 1, 2  },
{ 2, 2, 1, 2, 2, 3, 3, 0, 0, 2, 2, 2, 1, 2, 3, 2, 1, 3, 0, 2, 3, 2, 0, 3, 1, 2, 0, 3, 2, 0, 3, 0, 0, 1, 1, 2, 1, 3, 2, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 1, 1, 2, 2, 2, 1, 3, 0, 1, 2, 2, 0, 2, 3, 2, 0, 3, 1, 1, 3, 2, 1, 2, 0, 3, 0, 2, 1, 3, 1, 0, 3, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 1, 2, 0, 1, 3, 1, 1, 1, 2, 2, 0, 2, 3, 2, 0, 3, 1, 1, 3, 1, 1, 2, 0, 3, 1, 2, 0, 3, 1, 3, 0, 1, 2, 2  },
{ 0, 2, 1, 0, 2, 3, 0, 1, 1, 2, 1, 3, 2, 2, 0, 2, 0, 3, 2, 2, 3, 2, 1, 3, 0, 2, 0, 3, 2, 0, 3, 0, 0, 3, 0, 3, 3, 2, 3, 2, 0, 2  },
{ 2, 0, 3, 2, 2, 3, 1, 0, 0, 2, 1, 3, 0, 0, 2, 1, 1, 1, 2, 1, 0, 2, 0, 3, 0, 1, 1, 3, 0, 2, 1, 2, 0, 3, 0, 3, 3, 1, 0, 3, 0, 2  },
{ 0, 2, 3, 2, 2, 0, 1, 1, 1, 2, 3, 3, 0, 2, 3, 0, 2, 2, 1, 2, 2, 0, 2, 0, 3, 1, 1, 3, 2, 2, 1, 3, 0, 0, 0, 3, 1, 3, 0, 3, 0, 1  },
{ 2, 3, 0, 1, 2, 2, 1, 3, 1, 0, 3, 1, 2, 1, 2, 3, 2, 1, 2, 0, 3, 1, 2, 3, 1, 2, 3, 1, 0, 0, 0, 0, 1, 1, 3, 1, 1, 0, 1, 2, 3, 2  },
{ 2, 3, 0, 1, 2, 0, 3, 3, 1, 0, 3, 2, 3, 1, 2, 3, 2, 0, 0, 2, 1, 0, 2, 1, 1, 2, 3, 2, 3, 0, 2, 1, 1, 1, 3, 1, 1, 0, 1, 2, 0, 2  },
{ 2, 3, 0, 1, 2, 1, 1, 3, 1, 1, 0, 3, 0, 1, 3, 3, 2, 3, 1, 2, 1, 2, 0, 0, 1, 1, 3, 1, 2, 3, 0, 1, 2, 0, 3, 1, 1, 0, 1, 3, 1, 2  },
{ 2, 0, 3, 1, 2, 1, 2, 3, 1, 2, 3, 0, 0, 1, 3, 1, 2, 3, 2, 2, 0, 3, 1, 2, 3, 2, 0, 3, 0, 2, 0, 0, 1, 0, 1, 1, 1, 3, 2, 0, 2, 2  },
{ 2, 1, 3, 1, 2, 1, 0, 3, 1, 3, 2, 2, 2, 3, 2, 3, 2, 0, 1, 2, 0, 3, 0, 2, 3, 2, 1, 2, 3, 3, 1, 0, 2, 2, 1, 1, 3, 0, 3, 2, 0, 1  },
{ 2, 0, 3, 1, 2, 1, 2, 0, 1, 3, 0, 3, 1, 3, 1, 2, 2, 1, 2, 2, 2, 0, 0, 3, 3, 1, 1, 3, 2, 3, 2, 0, 2, 2, 3, 1, 3, 0, 1, 1, 0, 2  },
{ 2, 0, 0, 3, 3, 2, 1, 3, 1, 1, 2, 0, 1, 3, 1, 2, 0, 1, 3, 2, 2, 2, 0, 3, 2, 3, 3, 2, 2, 0, 3, 2, 2, 2, 2, 0, 2, 0, 3, 0, 3, 3  },
{ 2, 1, 0, 2, 2, 3, 3, 1, 1, 2, 2, 1, 3, 3, 1, 0, 2, 3, 0, 2, 2, 0, 2, 3, 2, 2, 2, 1, 2, 0, 0, 0, 2, 1, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 0, 3, 2, 2, 3, 1, 3, 1, 0, 1, 0, 3, 1, 3, 0, 2, 0, 2, 0, 2, 2, 0, 3, 1, 2, 3, 2, 0, 0, 0, 1, 2, 1, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 2, 0, 2, 2, 3, 3, 1, 1, 2, 3, 1, 3, 1, 3, 2, 2, 2, 0, 2, 0, 2, 0, 3, 1, 2, 2, 1, 3, 1, 0, 0, 2, 2, 3, 1, 1, 0, 1, 3, 2, 1  },
{ 2, 3, 0, 1, 2, 3, 0, 0, 1, 0, 1, 3, 2, 1, 1, 3, 2, 0, 2, 0, 2, 0, 2, 3, 3, 2, 3, 1, 0, 1, 0, 0, 1, 1, 3, 1, 1, 0, 1, 2, 2, 2  },
{ 2, 2, 0, 1, 2, 2, 3, 0, 2, 2, 3, 1, 0, 2, 1, 0, 2, 2, 0, 2, 3, 0, 2, 3, 1, 1, 1, 1, 0, 1, 0, 0, 2, 1, 3, 1, 1, 0, 3, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 0, 3, 0, 1, 0, 3, 1, 3, 3, 1, 3, 2, 3, 0, 2, 0, 3, 0, 3, 1, 1, 2, 0, 0, 1, 0, 0, 1, 2, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 3, 0, 1, 2, 1, 0, 3, 1, 0, 3, 2, 3, 0, 1, 1, 2, 3, 0, 2, 3, 0, 3, 2, 3, 2, 2, 1, 0, 2, 0, 0, 0, 3, 1, 1, 1, 3, 1, 2, 1, 1  },
{ 2, 2, 0, 2, 2, 3, 0, 3, 2, 2, 1, 3, 0, 2, 1, 2, 2, 2, 0, 2, 3, 0, 2, 3, 1, 1, 0, 0, 1, 1, 3, 0, 3, 0, 2, 1, 1, 0, 3, 3, 2, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 0, 0, 0, 0, 3, 0, 1, 3, 1, 2, 2, 0, 2, 3, 0, 0, 3, 1, 1, 3, 1, 1, 3, 0, 0, 1, 2, 3, 3, 1, 0, 3, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 2, 3, 1, 1, 2, 3, 1, 1, 3, 0, 1, 2, 2, 0, 2, 2, 0, 0, 3, 1, 1, 3, 1, 3, 0, 0, 0, 1, 2, 3, 3, 1, 0, 1, 3, 2, 2  },
{ 2, 3, 0, 2, 2, 3, 0, 0, 1, 2, 1, 3, 2, 0, 3, 1, 2, 3, 0, 2, 2, 0, 0, 1, 3, 1, 2, 3, 0, 2, 0, 0, 0, 2, 3, 1, 1, 0, 1, 1, 2, 0  },
{ 0, 2, 3, 2, 2, 1, 3, 0, 2, 2, 3, 0, 1, 0, 3, 2, 1, 2, 0, 3, 3, 2, 0, 3, 1, 2, 2, 1, 2, 0, 3, 1, 1, 2, 1, 1, 3, 0, 3, 2, 2, 0  },
{ 1, 0, 3, 2, 3, 2, 3, 1, 1, 1, 1, 2, 2, 0, 1, 1, 1, 2, 3, 1, 3, 2, 0, 3, 2, 0, 1, 0, 3, 2, 2, 0, 0, 1, 3, 3, 1, 2, 1, 3, 3, 2  },
{ 0, 2, 2, 2, 2, 3, 0, 1, 1, 3, 0, 0, 2, 1, 0, 2, 1, 3, 2, 0, 3, 2, 1, 3, 0, 2, 3, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 0, 3, 2, 3, 0  },
{ 2, 2, 0, 1, 3, 1, 3, 3, 1, 2, 1, 1, 2, 1, 3, 3, 3, 0, 0, 3, 0, 1, 2, 3, 1, 2, 3, 0, 2, 1, 0, 0, 0, 1, 3, 1, 1, 0, 1, 2, 1, 0  },
{ 2, 0, 3, 2, 2, 0, 1, 3, 1, 3, 2, 0, 2, 1, 2, 3, 2, 0, 0, 3, 0, 1, 2, 3, 1, 0, 0, 0, 3, 2, 0, 0, 1, 1, 3, 1, 1, 0, 3, 2, 0, 0  },
{ 2, 3, 0, 1, 2, 3, 0, 0, 1, 2, 1, 0, 3, 1, 1, 3, 2, 3, 0, 2, 0, 1, 2, 3, 3, 3, 3, 0, 3, 3, 0, 0, 0, 1, 3, 1, 2, 0, 1, 2, 0, 2  },
{ 1, 0, 1, 1, 2, 0, 3, 0, 1, 3, 3, 2, 3, 3, 1, 1, 2, 1, 2, 2, 0, 0, 2, 3, 1, 3, 3, 0, 3, 3, 2, 0, 1, 1, 3, 1, 2, 0, 3, 2, 1, 2  },
{ 2, 3, 0, 1, 2, 3, 0, 0, 1, 1, 0, 1, 0, 3, 1, 2, 2, 3, 2, 3, 2, 0, 1, 3, 3, 3, 2, 0, 2, 0, 0, 0, 1, 1, 1, 1, 2, 0, 2, 3, 0, 0  },
{ 1, 2, 3, 0, 3, 1, 2, 3, 1, 0, 0, 0, 0, 1, 2, 3, 1, 2, 3, 1, 3, 0, 0, 2, 1, 3, 1, 2, 3, 3, 3, 0, 0, 1, 3, 1, 2, 0, 0, 1, 0, 3  },
{ 1, 3, 1, 2, 2, 3, 1, 3, 1, 0, 0, 2, 0, 3, 1, 2, 1, 0, 3, 2, 2, 0, 1, 3, 1, 3, 1, 2, 1, 3, 3, 0, 0, 1, 3, 1, 2, 3, 2, 2, 0, 1  },
{ 1, 0, 0, 2, 2, 3, 1, 3, 1, 3, 0, 2, 3, 1, 1, 3, 2, 3, 1, 1, 3, 0, 1, 3, 2, 2, 3, 2, 3, 2, 3, 0, 1, 2, 3, 1, 0, 0, 0, 2, 0, 2  },
{ 0, 3, 2, 3, 1, 1, 3, 1, 0, 3, 2, 1, 2, 0, 2, 1, 2, 3, 1, 3, 3, 3, 1, 1, 3, 0, 0, 2, 0, 2, 2, 1, 0, 2, 3, 1, 1, 3, 2, 1, 3, 2  },
{ 1, 3, 0, 3, 3, 2, 0, 0, 1, 1, 1, 2, 1, 3, 1, 2, 2, 0, 3, 0, 0, 0, 1, 3, 1, 0, 2, 3, 2, 3, 3, 1, 2, 1, 0, 0, 3, 0, 0, 3, 0, 3  },
{ 0, 1, 2, 3, 3, 1, 2, 3, 1, 0, 0, 1, 0, 2, 1, 3, 1, 3, 3, 1, 0, 0, 1, 3, 2, 0, 2, 2, 3, 3, 2, 1, 0, 3, 1, 1, 0, 2, 3, 2, 0, 0  },
{ 0, 1, 2, 2, 2, 0, 1, 2, 1, 0, 0, 3, 1, 0, 1, 1, 3, 1, 0, 1, 2, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 2, 0, 3, 0, 1, 1, 2, 0, 2, 2, 1  },
{ 2, 1, 0, 1, 2, 3, 0, 3, 2, 0, 0, 3, 3, 1, 3, 2, 2, 1, 2, 0, 2, 0, 2, 3, 2, 2, 3, 1, 0, 1, 0, 0, 0, 0, 2, 1, 1, 0, 0, 3, 2, 0  },
{ 1, 0, 2, 0, 2, 0, 3, 3, 2, 0, 0, 3, 2, 1, 1, 3, 2, 0, 2, 0, 3, 2, 3, 3, 1, 2, 3, 0, 0, 0, 0, 1, 2, 1, 3, 2, 1, 0, 1, 2, 3, 0  },
{ 2, 2, 0, 1, 2, 3, 0, 3, 2, 0, 0, 1, 3, 3, 1, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 2, 2, 1, 0, 0, 0, 1, 0, 2, 3, 1, 1, 0, 1, 3, 2, 0  },
{ 2, 2, 0, 1, 2, 3, 3, 2, 2, 0, 0, 0, 1, 3, 1, 3, 2, 3, 2, 0, 2, 0, 2, 0, 2, 2, 2, 0, 0, 1, 0, 0, 2, 1, 3, 1, 1, 0, 1, 3, 2, 0  },
{ 2, 0, 3, 2, 2, 1, 3, 3, 1, 0, 0, 1, 1, 3, 1, 0, 2, 3, 2, 0, 2, 0, 2, 3, 1, 2, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 2, 2, 0, 1, 2, 3, 0, 3, 2, 2, 0, 0, 1, 0, 0, 0, 2, 3, 2, 0, 2, 0, 2, 0, 1, 2, 2, 1, 3, 1, 0, 0, 3, 2, 3, 1, 1, 0, 1, 3, 2, 2  },
{ 2, 0, 3, 2, 2, 1, 3, 0, 1, 0, 0, 0, 1, 1, 3, 2, 2, 3, 0, 2, 0, 2, 0, 2, 0, 2, 2, 1, 1, 3, 0, 0, 0, 1, 3, 1, 1, 0, 1, 2, 1, 0  },
{ 2, 0, 1, 2, 2, 0, 3, 3, 2, 2, 1, 2, 3, 2, 0, 1, 2, 3, 0, 2, 0, 2, 0, 3, 3, 2, 3, 0, 3, 1, 0, 0, 0, 1, 3, 1, 1, 0, 1, 2, 0, 2  },
{ 1, 0, 2, 3, 3, 0, 3, 1, 1, 2, 0, 3, 2, 3, 0, 1, 2, 1, 0, 3, 2, 0, 0, 2, 3, 2, 3, 0, 2, 1, 0, 0, 1, 1, 3, 1, 1, 0, 1, 2, 0, 2  },
{ 0, 1, 0, 2, 2, 3, 0, 3, 2, 2, 0, 2, 3, 2, 3, 2, 2, 0, 2, 0, 2, 2, 0, 3, 1, 2, 1, 2, 2, 1, 3, 0, 1, 2, 1, 1, 1, 0, 3, 2, 3, 2  },
{ 0, 1, 0, 2, 2, 3, 3, 0, 2, 2, 0, 0, 0, 1, 3, 1, 3, 3, 0, 2, 0, 2, 0, 3, 1, 2, 1, 2, 1, 3, 0, 1, 1, 2, 3, 1, 1, 0, 3, 1, 2, 2  },
{ 2, 1, 0, 0, 2, 3, 0, 0, 2, 0, 2, 1, 2, 3, 0, 3, 2, 3, 0, 2, 3, 0, 2, 1, 3, 0, 3, 1, 3, 1, 0, 0, 0, 2, 3, 1, 1, 0, 1, 2, 3, 2  },
{ 1, 0, 3, 2, 2, 1, 0, 3, 2, 3, 2, 3, 2, 1, 3, 1, 2, 3, 1, 3, 2, 0, 0, 2, 3, 3, 0, 1, 3, 2, 0, 0, 1, 2, 3, 1, 1, 3, 1, 2, 0, 2  },
{ 1, 0, 1, 2, 3, 0, 1, 3, 1, 2, 3, 2, 3, 2, 1, 1, 2, 3, 1, 3, 3, 2, 0, 0, 2, 1, 1, 0, 3, 2, 3, 0, 1, 3, 3, 1, 3, 0, 1, 3, 1, 0  },
{ 0, 2, 3, 2, 2, 3, 3, 3, 0, 2, 3, 1, 2, 3, 0, 2, 1, 3, 0, 2, 0, 3, 0, 2, 1, 1, 2, 3, 2, 0, 3, 1, 0, 3, 1, 1, 3, 0, 3, 2, 3, 2  },
{ 2, 2, 0, 1, 2, 3, 0, 3, 2, 2, 1, 2, 3, 1, 0, 2, 2, 3, 0, 2, 3, 2, 0, 2, 1, 1, 3, 1, 0, 2, 1, 3, 0, 0, 2, 3, 1, 0, 3, 2, 3, 0  },
{ 0, 1, 3, 2, 0, 0, 3, 3, 2, 2, 3, 1, 2, 1, 3, 1, 2, 3, 0, 2, 3, 2, 0, 2, 1, 1, 3, 0, 2, 3, 0, 0, 1, 0, 0, 3, 1, 3, 0, 2, 2, 2  },
{ 0, 1, 3, 2, 0, 1, 3, 0, 2, 2, 3, 2, 3, 2, 0, 0, 2, 3, 0, 0, 3, 2, 0, 2, 3, 0, 3, 0, 2, 3, 0, 3, 0, 0, 3, 3, 1, 3, 1, 2, 0, 2  },
{ 0, 2, 1, 2, 2, 3, 1, 3, 0, 2, 3, 2, 0, 2, 1, 2, 1, 3, 0, 3, 0, 3, 1, 2, 1, 1, 2, 3, 0, 1, 1, 0, 2, 3, 1, 0, 3, 0, 3, 2, 3, 2  },
{ 0, 2, 1, 3, 1, 3, 0, 3, 2, 2, 3, 0, 1, 0, 2, 0, 2, 0, 2, 2, 3, 1, 0, 2, 1, 1, 3, 0, 3, 2, 0, 2, 0, 0, 1, 3, 3, 0, 3, 2, 0, 3  },
{ 1, 3, 0, 1, 1, 3, 2, 0, 1, 2, 3, 2, 0, 2, 0, 0, 2, 3, 1, 2, 3, 1, 0, 2, 1, 1, 0, 0, 3, 2, 3, 0, 0, 0, 2, 3, 1, 3, 1, 2, 0, 2  },
{ 2, 1, 0, 1, 0, 0, 3, 0, 2, 0, 2, 3, 2, 1, 3, 1, 2, 3, 3, 0, 2, 0, 0, 3, 3, 0, 3, 0, 2, 3, 0, 1, 1, 2, 3, 1, 1, 0, 1, 2, 3, 2  },
{ 1, 3, 0, 2, 2, 2, 0, 3, 1, 0, 3, 0, 3, 1, 0, 3, 2, 1, 0, 2, 0, 2, 3, 3, 2, 2, 3, 0, 2, 1, 0, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 2, 0, 2, 3, 0, 0, 3, 1, 0, 2, 3, 2, 1, 3, 3, 2, 2, 0, 3, 0, 1, 2, 3, 1, 0, 3, 0, 3, 2, 0, 0, 1, 1, 3, 0, 1, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 3, 3, 2, 0, 0, 1, 2, 3, 1, 3, 0, 1, 3, 0, 2, 3, 0, 2, 0, 2, 3, 3, 2, 3, 0, 3, 2, 0, 0, 1, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 3, 0, 3, 0, 1, 1, 1, 2, 3, 3, 1, 1, 3, 3, 1, 2, 0, 2, 0, 1, 2, 1, 0, 0, 3, 3, 3, 1, 0, 2, 1, 3, 3, 2, 1, 2, 2, 0, 0  },
{ 1, 0, 0, 2, 2, 3, 2, 3, 1, 3, 2, 0, 1, 2, 1, 3, 2, 2, 1, 0, 3, 0, 1, 2, 3, 0, 3, 0, 3, 2, 1, 0, 0, 1, 1, 1, 1, 1, 0, 2, 0, 0  },
{ 0, 1, 3, 2, 0, 3, 0, 3, 1, 2, 3, 2, 1, 3, 0, 1, 2, 3, 0, 1, 3, 0, 3, 2, 3, 3, 1, 0, 2, 3, 2, 0, 1, 2, 1, 1, 1, 0, 0, 3, 0, 0  },
{ 0, 1, 1, 0, 0, 2, 3, 0, 1, 1, 3, 1, 2, 3, 0, 2, 3, 0, 2, 3, 2, 0, 0, 3, 3, 0, 0, 2, 1, 3, 3, 2, 1, 1, 1, 1, 2, 3, 1, 3, 0, 1  },
{ 1, 0, 1, 3, 3, 3, 2, 1, 0, 0, 3, 3, 3, 0, 0, 3, 0, 2, 3, 2, 3, 0, 1, 2, 3, 3, 1, 2, 0, 2, 3, 0, 1, 1, 0, 3, 2, 2, 0, 3, 0, 3  },
{ 1, 1, 0, 2, 2, 3, 0, 3, 2, 0, 0, 3, 3, 0, 0, 0, 1, 0, 3, 0, 2, 0, 2, 0, 2, 2, 0, 2, 0, 0, 0, 1, 0, 3, 2, 1, 0, 0, 3, 0, 2, 0  },
{ 0, 1, 3, 2, 0, 1, 0, 3, 2, 2, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 2, 0, 2, 1, 2, 2, 0, 3, 0, 0, 0, 1, 3, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 2, 0, 1, 0, 2, 0, 3, 2, 1, 0, 0, 1, 3, 3, 0, 0, 2, 0, 3, 0, 2, 0, 2, 3, 2, 2, 3, 0, 3, 1, 0, 0, 2, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 2, 0, 0, 1, 1, 0, 3, 3, 2, 2, 0, 0, 3, 0, 1, 2, 2, 1, 0, 2, 0, 2, 0, 2, 2, 2, 3, 0, 2, 1, 0, 1, 1, 0, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 2, 1, 2, 0, 0, 1, 0, 2, 3, 1, 0, 2, 2, 1, 1, 0, 2, 0, 3, 0, 3, 3, 2, 0, 2, 0, 1, 0, 1, 2, 3, 1, 1, 2, 0, 3, 0, 2, 0  },
{ 0, 0, 1, 2, 2, 0, 3, 0, 0, 0, 0, 1, 0, 1, 3, 2, 2, 0, 2, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 1, 0, 0, 3, 2, 0, 1, 1, 0, 3, 1, 3, 2  },
{ 0, 1, 0, 2, 2, 3, 3, 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 2, 3, 0, 0, 1, 0, 0, 1, 2, 3, 1, 1, 0, 1, 2, 0, 2  },
{ 0, 1, 3, 2, 2, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 3, 2, 3, 1, 0, 2, 0, 2, 1, 3, 1, 3, 0, 3, 1, 0, 0, 0, 2, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 3, 2, 3, 1, 2, 1, 0, 1, 0, 1, 2, 3, 1, 0, 3, 0, 0, 2, 3, 0, 3, 0, 3, 2, 1, 1, 0, 3, 1, 3, 1, 3, 0, 2, 0, 2  },
{ 0, 2, 0, 2, 2, 3, 0, 3, 2, 2, 0, 2, 0, 2, 3, 2, 2, 2, 0, 2, 0, 2, 0, 3, 2, 1, 3, 0, 1, 3, 1, 1, 3, 2, 1, 2, 1, 0, 3, 2, 3, 2  },
{ 0, 1, 0, 2, 2, 3, 3, 0, 2, 2, 0, 1, 2, 0, 3, 0, 2, 0, 2, 0, 3, 0, 0, 3, 1, 1, 1, 0, 0, 0, 0, 0, 1, 2, 3, 1, 3, 0, 1, 3, 2, 2  },
{ 1, 1, 0, 2, 2, 3, 0, 3, 1, 0, 0, 3, 1, 2, 1, 1, 2, 1, 1, 0, 3, 3, 0, 2, 3, 0, 3, 0, 3, 3, 1, 0, 0, 2, 3, 1, 2, 3, 1, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 3, 0, 1, 0, 2, 3, 1, 2, 0, 0, 1, 0, 3, 2, 3, 0, 0, 0, 3, 0, 1, 3, 2, 3, 2, 0, 1, 2, 3, 1, 1, 3, 1, 1, 0, 1  },
{ 0, 1, 0, 2, 2, 3, 3, 0, 3, 2, 0, 3, 2, 1, 0, 2, 0, 3, 0, 2, 0, 2, 0, 2, 1, 2, 1, 2, 1, 2, 1, 3, 0, 3, 3, 1, 3, 0, 3, 3, 2, 0  },
{ 2, 1, 0, 2, 0, 0, 3, 2, 0, 2, 1, 0, 3, 2, 1, 0, 1, 0, 3, 0, 3, 2, 0, 2, 1, 1, 0, 1, 3, 1, 2, 0, 0, 2, 3, 3, 1, 0, 2, 3, 2, 0  },
{ 2, 1, 0, 0, 1, 3, 0, 3, 2, 0, 2, 3, 3, 2, 1, 1, 2, 3, 1, 0, 3, 0, 0, 2, 1, 1, 0, 0, 3, 1, 0, 1, 0, 0, 3, 3, 1, 2, 1, 3, 2, 0  },
{ 1, 2, 0, 2, 1, 1, 0, 3, 2, 0, 0, 3, 2, 3, 1, 1, 2, 3, 2, 3, 1, 3, 0, 1, 3, 2, 1, 1, 3, 2, 3, 0, 1, 2, 3, 3, 1, 2, 1, 3, 2, 2  },
{ 1, 3, 0, 3, 1, 0, 0, 1, 1, 0, 3, 3, 2, 0, 0, 0, 1, 2, 3, 2, 3, 1, 0, 0, 2, 2, 1, 0, 0, 2, 3, 0, 1, 3, 2, 1, 3, 1, 1, 3, 1, 0  },
{ 3, 2, 0, 2, 0, 3, 0, 3, 2, 2, 0, 2, 0, 3, 0, 2, 1, 2, 1, 3, 0, 1, 0, 3, 1, 1, 0, 2, 3, 2, 1, 1, 1, 0, 3, 0, 3, 0, 3, 2, 3, 0  },
{ 2, 3, 0, 1, 2, 3, 0, 3, 2, 0, 1, 3, 1, 3, 2, 0, 0, 2, 1, 3, 0, 0, 1, 3, 0, 1, 3, 1, 1, 3, 0, 2, 1, 3, 0, 3, 1, 3, 2, 2, 2, 2  },
{ 1, 0, 1, 3, 2, 3, 0, 3, 2, 0, 1, 3, 0, 2, 0, 1, 3, 2, 1, 3, 2, 0, 0, 3, 1, 1, 3, 0, 0, 3, 2, 2, 0, 1, 0, 3, 1, 2, 0, 3, 2, 0  },
{ 0, 1, 2, 1, 1, 1, 3, 0, 1, 0, 2, 0, 3, 0, 3, 3, 2, 3, 0, 2, 0, 2, 0, 3, 2, 2, 3, 0, 3, 1, 0, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 3, 1, 3, 0, 0, 1, 3, 2, 1, 3, 0, 3, 3, 2, 3, 1, 0, 2, 0, 2, 3, 1, 0, 3, 0, 3, 2, 0, 0, 2, 1, 3, 2, 1, 0, 0, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 0, 3, 0, 1, 0, 2, 1, 0, 3, 0, 3, 1, 3, 1, 0, 2, 0, 2, 1, 3, 0, 2, 0, 3, 3, 0, 1, 1, 3, 1, 3, 1, 2, 3, 2, 1, 2  },
{ 1, 0, 2, 3, 1, 3, 1, 2, 1, 0, 2, 0, 1, 3, 1, 2, 2, 0, 1, 0, 3, 0, 1, 3, 1, 3, 3, 2, 3, 2, 1, 0, 1, 1, 2, 1, 2, 0, 0, 3, 0, 0  },
{ 2, 3, 3, 3, 0, 2, 0, 1, 1, 1, 1, 3, 2, 3, 1, 2, 0, 0, 3, 1, 2, 0, 1, 3, 1, 3, 0, 2, 3, 3, 3, 0, 2, 1, 3, 1, 2, 1, 1, 1, 0, 3  },
{ 0, 1, 0, 1, 0, 3, 1, 2, 1, 1, 1, 0, 3, 0, 1, 1, 2, 3, 2, 1, 3, 0, 1, 3, 2, 3, 2, 1, 3, 3, 3, 0, 0, 1, 3, 1, 2, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 3, 0, 2, 1, 0, 1, 1, 0, 3, 2, 1, 1, 1, 3, 1, 3, 0, 3, 0, 0, 3, 3, 2, 0, 0, 3, 2, 0, 0, 2, 3, 1, 2, 3, 3, 0, 2, 1  },
{ 2, 3, 0, 0, 1, 3, 2, 3, 1, 2, 2, 0, 2, 0, 0, 2, 1, 2, 1, 3, 3, 0, 1, 2, 1, 0, 3, 0, 0, 0, 3, 2, 3, 0, 3, 0, 2, 3, 2, 0, 3, 2  },
{ 0, 1, 3, 0, 2, 0, 3, 2, 0, 1, 2, 0, 0, 1, 3, 1, 3, 3, 1, 3, 0, 0, 1, 2, 0, 1, 3, 2, 3, 3, 2, 0, 1, 3, 0, 3, 2, 1, 0, 0, 0, 2  },
{ 3, 0, 0, 0, 3, 1, 1, 0, 0, 1, 3, 0, 0, 0, 2, 0, 3, 2, 3, 1, 2, 1, 1, 2, 2, 2, 0, 0, 0, 1, 2, 0, 1, 3, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 3, 2, 3, 0, 1, 1, 0, 3, 2, 3, 2, 2, 2, 0, 2, 0, 2, 2, 0, 1, 1, 1, 0, 0, 1, 0, 0, 3, 0, 2, 1, 0, 3, 0, 2, 0  },
{ 0, 1, 0, 1, 0, 0, 3, 2, 3, 2, 1, 1, 0, 3, 0, 0, 0, 2, 3, 0, 2, 0, 3, 1, 0, 1, 0, 0, 3, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 2, 1, 0, 1, 2, 3, 0, 3, 2, 0, 2, 1, 3, 1, 1, 0, 0, 0, 3, 0, 2, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 3, 3, 1, 1, 3, 0, 3, 1, 1, 1, 2, 0, 3, 2, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 1, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 1, 0, 2, 0, 2, 1, 3, 1, 1, 0, 3, 3, 0, 0, 2, 3, 3, 1, 0, 0, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 3, 0, 1, 1, 0, 2, 3, 1, 0, 2, 0, 0, 0, 3, 0, 2, 0, 3, 0, 0, 2, 0, 3, 0, 1, 1, 0, 2, 0, 0, 1, 3, 0, 3, 2, 0, 2  },
{ 1, 0, 1, 0, 1, 0, 3, 0, 2, 2, 0, 2, 1, 0, 0, 1, 0, 2, 3, 0, 2, 0, 0, 3, 2, 2, 3, 0, 3, 1, 0, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 0, 1, 2, 2, 3, 0, 1, 0, 0, 0, 1, 1, 0, 3, 0, 2, 0, 3, 1, 2, 2, 0, 0, 0, 0, 1, 2, 1, 1, 3, 0, 3, 0, 3, 0  },
{ 1, 3, 0, 2, 2, 3, 0, 3, 1, 0, 1, 3, 2, 1, 3, 1, 1, 1, 1, 0, 3, 0, 0, 2, 3, 0, 0, 0, 0, 3, 0, 1, 1, 3, 1, 1, 1, 0, 0, 2, 0, 0  },
{ 0, 2, 3, 2, 1, 3, 3, 0, 1, 0, 2, 3, 1, 2, 0, 2, 2, 0, 2, 0, 2, 0, 0, 2, 2, 2, 3, 0, 0, 0, 2, 0, 0, 0, 3, 1, 1, 0, 0, 3, 2, 2  },
{ 2, 1, 0, 1, 0, 0, 3, 0, 2, 2, 3, 0, 2, 1, 2, 0, 0, 1, 1, 0, 3, 0, 0, 3, 1, 1, 1, 0, 1, 1, 0, 1, 1, 2, 3, 1, 3, 0, 0, 3, 2, 0  },
{ 2, 1, 0, 1, 1, 0, 0, 3, 2, 0, 3, 2, 3, 0, 1, 1, 2, 1, 1, 0, 3, 0, 0, 3, 1, 2, 3, 3, 0, 3, 0, 0, 0, 2, 3, 1, 1, 3, 3, 1, 2, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 2, 0, 0, 3, 2, 3, 1, 1, 1, 3, 2, 1, 3, 0, 0, 3, 3, 2, 0, 0, 3, 3, 0, 0, 1, 2, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 3, 0, 2, 2, 3, 2, 0, 0, 0, 3, 0, 3, 0, 2, 0, 1, 3, 2, 3, 0, 0, 0, 2, 3, 0, 1, 1, 0, 3, 3, 1, 0, 2, 3, 1, 2, 3, 0, 1, 3, 0  },
{ 0, 2, 0, 1, 0, 0, 3, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 3, 0, 2, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 3, 0, 1, 1, 0, 3, 3, 2, 2  },
{ 1, 1, 2, 0, 0, 1, 3, 0, 2, 2, 3, 2, 3, 0, 2, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 1, 0, 1, 0, 3, 0, 1, 1, 2, 3, 3, 1, 3, 1, 3, 2, 2  },
{ 2, 1, 0, 1, 3, 2, 3, 0, 2, 0, 1, 1, 3, 2, 0, 2, 2, 3, 1, 1, 0, 3, 0, 0, 3, 0, 1, 0, 3, 3, 0, 0, 0, 0, 3, 3, 1, 3, 1, 3, 2, 0  },
{ 1, 3, 0, 2, 1, 0, 0, 3, 2, 0, 3, 0, 3, 2, 0, 0, 1, 3, 2, 1, 3, 3, 0, 0, 2, 0, 2, 0, 3, 3, 3, 0, 1, 0, 3, 1, 1, 3, 0, 1, 3, 2  },
{ 1, 2, 0, 2, 3, 0, 2, 1, 1, 0, 0, 3, 2, 1, 0, 0, 1, 0, 3, 3, 1, 3, 0, 1, 2, 2, 0, 1, 3, 3, 3, 0, 0, 3, 0, 1, 1, 2, 0, 2, 3, 0  },
{ 3, 2, 2, 2, 0, 3, 3, 0, 3, 0, 1, 3, 0, 2, 2, 0, 0, 2, 1, 3, 0, 3, 2, 0, 0, 1, 0, 0, 3, 2, 0, 0, 3, 0, 3, 1, 3, 0, 3, 0, 3, 2  },
{ 3, 1, 0, 2, 0, 3, 0, 3, 2, 2, 0, 3, 0, 1, 0, 0, 0, 2, 3, 1, 0, 2, 3, 0, 0, 1, 1, 3, 0, 3, 1, 1, 0, 2, 0, 3, 1, 3, 2, 2, 2, 0  },
{ 0, 1, 3, 2, 0, 1, 0, 0, 3, 0, 1, 3, 3, 2, 0, 2, 2, 3, 0, 2, 3, 1, 0, 3, 0, 3, 1, 0, 3, 1, 3, 2, 1, 0, 0, 3, 1, 2, 3, 1, 2, 2  },
{ 3, 0, 1, 3, 3, 1, 0, 0, 1, 0, 2, 3, 3, 2, 0, 0, 1, 1, 0, 1, 3, 2, 1, 0, 2, 2, 1, 0, 3, 1, 3, 2, 0, 0, 3, 3, 1, 3, 1, 2, 1, 2  },
{ 1, 1, 0, 1, 0, 0, 1, 3, 0, 0, 1, 1, 2, 0, 0, 0, 3, 2, 0, 0, 0, 3, 1, 2, 2, 1, 3, 2, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0  },
{ 3, 1, 0, 1, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 2, 3, 3, 0, 2, 0, 3, 1, 0, 1, 1, 0, 2, 0, 0, 2, 0, 3, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 3, 0, 3, 1, 2, 1, 3, 0, 0, 3, 0, 0, 0, 1, 0, 2, 3, 3, 1, 1, 0, 2, 3, 2, 1, 0, 2, 0, 3, 2, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 0, 0, 3, 2, 0, 1, 2, 3, 2, 3, 0, 3, 0, 1, 1, 0, 2, 0, 2, 3, 1, 0, 1, 3, 0, 3, 1, 0, 2, 0, 3, 2, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 2, 0, 0, 3, 0, 2, 1, 1, 1, 2, 3, 2, 1, 3, 3, 0, 0, 1, 0, 0, 2, 3, 1, 0, 2, 0, 1, 3, 1, 0, 2, 0, 3, 1, 1, 3, 1, 3, 0, 0  },
{ 2, 0, 2, 1, 1, 3, 3, 0, 1, 0, 2, 0, 2, 3, 0, 0, 0, 1, 3, 1, 3, 0, 2, 3, 1, 3, 2, 1, 0, 3, 0, 0, 1, 0, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 2, 3, 0, 3, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 2, 1, 3, 0, 3, 2, 3, 3, 0, 1, 0, 3, 3, 0, 0, 3, 1, 0, 1, 0, 3, 0, 0, 0  },
{ 2, 0, 2, 3, 1, 0, 1, 2, 1, 3, 3, 1, 1, 2, 0, 3, 1, 0, 2, 3, 0, 0, 1, 2, 1, 0, 2, 3, 2, 3, 3, 1, 0, 0, 0, 1, 1, 3, 0, 1, 3, 0  },
{ 1, 2, 0, 0, 3, 3, 0, 0, 1, 1, 2, 2, 0, 3, 0, 2, 0, 3, 1, 2, 3, 0, 0, 2, 1, 2, 2, 0, 1, 3, 3, 1, 0, 0, 1, 1, 0, 3, 2, 3, 0, 1  },
{ 2, 1, 0, 0, 0, 3, 0, 0, 1, 1, 1, 2, 3, 1, 0, 3, 0, 3, 0, 2, 3, 0, 0, 2, 1, 0, 1, 2, 1, 3, 3, 0, 1, 1, 2, 1, 3, 2, 1, 3, 0, 0  },
{ 1, 0, 3, 2, 1, 1, 0, 0, 2, 3, 3, 3, 0, 3, 0, 1, 2, 2, 3, 2, 3, 3, 0, 2, 3, 3, 1, 3, 1, 3, 3, 0, 0, 1, 3, 0, 2, 0, 2, 2, 0, 0  },
{ 1, 0, 2, 1, 3, 3, 1, 0, 0, 1, 0, 3, 2, 0, 3, 0, 0, 0, 3, 3, 3, 1, 0, 0, 3, 3, 2, 0, 1, 3, 3, 0, 2, 0, 2, 0, 1, 0, 0, 0, 3, 0  },
{ 2, 1, 2, 3, 3, 1, 0, 0, 0, 0, 3, 1, 2, 2, 1, 3, 3, 2, 2, 3, 3, 0, 1, 2, 0, 2, 0, 3, 2, 3, 2, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 3  },
{ 1, 0, 0, 1, 1, 1, 3, 1, 1, 0, 0, 0, 1, 1, 3, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 3, 2, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 1, 2, 0, 2, 0, 0, 1, 3, 0, 2, 1, 0, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 1, 0, 1, 0, 1, 3, 1, 0, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 2, 0, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 2, 0, 3, 1, 3, 0, 1, 0, 0, 1, 0, 0, 1, 0, 3, 0, 2, 0, 2, 1, 3, 1, 0, 0, 1, 3, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 3, 0, 1, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 2, 0, 3, 0, 0, 0, 2, 0, 1, 2, 0, 3, 3, 2, 0, 1  },
{ 1, 0, 1, 0, 2, 3, 0, 1, 1, 0, 1, 3, 0, 1, 2, 0, 0, 1, 1, 0, 3, 0, 3, 0, 0, 1, 3, 0, 3, 0, 0, 1, 2, 0, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 3, 0, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0, 1, 1, 0, 3, 0, 3, 0, 3, 1, 1, 3, 0, 3, 0, 0, 2, 3, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 1, 1, 0, 2, 0, 3, 0, 1, 0, 2, 0, 3, 0, 1, 3, 1, 0, 1, 0, 0, 3, 0, 0, 2, 3, 1, 3, 1, 0, 3, 0, 0, 1, 0, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 1, 1, 0, 2, 2, 3, 0, 3, 2, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 2, 0, 0, 3, 2, 1, 2, 3, 0, 0, 0, 0, 3, 0, 1, 1, 3, 0, 0, 3, 2, 1  },
{ 0, 1, 0, 1, 0, 3, 0, 3, 2, 2, 2, 0, 3, 0, 2, 0, 0, 1, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 3, 2, 0, 0, 3, 3, 0, 1, 0, 3, 0, 2, 0, 0  },
{ 0, 1, 0, 2, 2, 0, 3, 0, 1, 0, 1, 3, 2, 0, 0, 2, 1, 2, 3, 0, 3, 0, 0, 3, 1, 0, 1, 1, 0, 3, 1, 0, 1, 2, 1, 3, 1, 1, 3, 0, 2, 0  },
{ 1, 3, 0, 0, 0, 0, 0, 2, 1, 0, 1, 3, 2, 0, 1, 1, 0, 3, 2, 3, 3, 0, 0, 0, 3, 1, 0, 3, 0, 3, 0, 0, 1, 2, 3, 1, 0, 3, 0, 0, 3, 0  },
{ 1, 3, 1, 0, 2, 0, 0, 3, 1, 0, 1, 0, 0, 2, 0, 0, 1, 3, 3, 1, 3, 0, 0, 3, 2, 2, 2, 0, 0, 3, 1, 0, 0, 2, 1, 1, 1, 0, 3, 0, 3, 0  },
{ 0, 1, 0, 2, 2, 3, 2, 0, 3, 2, 0, 1, 1, 0, 2, 0, 0, 1, 0, 1, 3, 0, 1, 0, 2, 1, 2, 0, 3, 2, 0, 0, 0, 3, 3, 1, 3, 0, 0, 3, 2, 2  },
{ 3, 1, 0, 1, 2, 3, 0, 3, 0, 2, 3, 0, 2, 1, 0, 2, 1, 0, 1, 0, 3, 1, 0, 3, 1, 2, 2, 0, 1, 3, 0, 0, 1, 2, 3, 3, 1, 3, 1, 3, 2, 2  },
{ 1, 1, 0, 2, 1, 3, 3, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 3, 2, 1, 0, 3, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 0, 2, 3, 3, 1, 3, 1, 3, 2, 2  },
{ 1, 3, 0, 0, 3, 0, 1, 0, 2, 0, 0, 3, 3, 2, 0, 0, 3, 1, 3, 0, 3, 3, 0, 0, 3, 2, 0, 3, 0, 3, 1, 0, 0, 0, 2, 1, 2, 2, 0, 0, 3, 0  },
{ 0, 1, 0, 2, 0, 3, 3, 0, 1, 2, 0, 2, 1, 0, 1, 0, 0, 2, 2, 3, 1, 0, 3, 0, 2, 1, 0, 2, 0, 3, 0, 3, 2, 0, 3, 1, 3, 0, 3, 2, 3, 0  },
{ 3, 1, 3, 0, 0, 2, 3, 0, 0, 0, 0, 3, 2, 0, 1, 0, 0, 1, 0, 3, 2, 3, 0, 0, 0, 1, 0, 0, 0, 3, 1, 3, 0, 3, 0, 2, 1, 3, 1, 2, 2, 0  },
{ 0, 1, 3, 2, 0, 3, 1, 3, 0, 0, 0, 3, 1, 0, 1, 0, 1, 0, 0, 2, 3, 1, 0, 3, 0, 0, 1, 0, 3, 1, 3, 2, 1, 2, 0, 3, 1, 0, 3, 2, 2, 2  },
{ 1, 2, 1, 0, 1, 1, 3, 0, 0, 0, 3, 0, 2, 0, 1, 0, 1, 1, 0, 1, 3, 3, 1, 0, 3, 0, 2, 3, 0, 3, 2, 1, 0, 0, 2, 3, 1, 0, 2, 1, 2, 0  },
{ 1, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 2, 2, 0, 3, 0, 0, 0, 0, 2, 0, 2, 0, 3, 0, 1, 0, 2, 3, 2, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 2, 0, 3, 3, 1, 2, 0, 2, 3, 1, 0, 0, 2, 3, 0, 0, 0, 2, 0, 3, 0, 1, 1, 0, 2, 0, 0, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 1, 1, 2, 0, 3, 1, 3, 2, 3, 0, 0, 2, 1, 3, 0, 1, 1, 0, 2, 0, 1, 2, 0, 3, 1, 1, 0, 3, 2, 0, 1  },
{ 1, 1, 0, 1, 0, 3, 0, 1, 0, 1, 1, 0, 3, 1, 0, 1, 0, 3, 0, 0, 3, 0, 2, 3, 3, 0, 1, 1, 0, 3, 0, 1, 2, 0, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 0, 3, 0, 0, 1, 1, 0, 1, 1, 2, 0, 0, 3, 2, 1, 3, 0, 0, 2, 3, 1, 0, 1, 3, 1, 3, 1, 0, 2, 0, 3, 3, 1, 2, 1, 1, 0, 1  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 3, 0, 3, 1, 0, 1, 1, 0, 0, 2, 3, 3, 3, 1, 2, 1, 3, 0, 0, 2, 3, 0, 1, 1, 0, 3, 3, 0, 0  },
{ 0, 2, 3, 1, 1, 1, 0, 3, 0, 0, 3, 1, 3, 0, 0, 1, 0, 1, 3, 2, 3, 0, 0, 2, 3, 1, 3, 0, 1, 3, 3, 0, 0, 2, 0, 1, 2, 0, 0, 3, 0, 0  },
{ 2, 0, 0, 3, 0, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 3, 3, 0, 2, 2, 1, 0, 1, 3, 1, 3, 3, 0, 0, 0, 3, 1, 2, 0, 2, 1, 0, 0  },
{ 3, 0, 3, 0, 2, 2, 0, 3, 2, 0, 3, 1, 0, 2, 3, 1, 3, 2, 0, 3, 1, 0, 3, 2, 2, 1, 3, 1, 3, 3, 3, 0, 0, 3, 0, 3, 0, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 1, 0, 2, 0, 0, 1, 2, 1, 0, 2, 0, 3, 0, 2, 0, 0, 0, 3, 0, 2, 2, 2, 2, 1, 0, 1, 1, 1, 2, 1, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 1, 0, 0, 3, 0, 1, 3, 1, 2, 3, 1, 0, 0, 3, 2, 2, 3, 0, 3, 0, 1, 2, 1, 0, 1, 1, 2, 2, 3, 0, 1, 0, 3, 3, 0, 1, 0, 1, 0, 3  },
{ 2, 0, 0, 3, 2, 2, 1, 2, 0, 1, 3, 0, 0, 0, 3, 0, 3, 2, 2, 3, 1, 0, 1, 2, 2, 0, 2, 1, 1, 2, 3, 0, 0, 1, 3, 0, 3, 0, 1, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 3, 1, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 1, 3, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 2, 3, 0, 2, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 2, 0, 1, 1, 1, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 1, 1, 1, 2, 3, 0, 0, 0, 2, 1, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 2, 0, 0, 3, 1, 1, 0, 2, 3, 0, 0, 2, 0, 1, 1, 0, 0, 3, 2, 0, 1  },
{ 1, 0, 1, 0, 3, 1, 3, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 1, 1, 0, 3, 0, 2, 0, 0, 1, 3, 0, 3, 0, 0, 0, 2, 0, 3, 1, 3, 0, 0, 2, 0, 1  },
{ 1, 1, 0, 3, 0, 1, 0, 1, 1, 1, 0, 0, 0, 3, 0, 3, 0, 0, 1, 3, 0, 0, 0, 3, 0, 1, 1, 1, 0, 2, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 2, 3, 0, 3, 2, 1, 0, 2, 0, 0, 1, 0, 0, 2, 3, 0, 2, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 1, 1, 3, 0, 3, 2, 0, 2  },
{ 1, 0, 0, 1, 1, 3, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 2, 1, 0, 0, 2, 3, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 3, 1, 0, 3, 0, 3, 0, 0, 2, 2, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 1, 0, 2, 1, 0, 1, 3, 1, 0, 3, 1, 1, 1, 3, 2, 2, 0, 0, 2, 3, 0, 0, 0, 0, 3, 0, 0, 2, 2, 1, 3, 1, 0, 1, 0, 3, 0  },
{ 3, 1, 0, 1, 1, 1, 0, 3, 2, 0, 2, 1, 0, 0, 1, 0, 0, 2, 3, 0, 3, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 3, 2, 1, 3, 0, 3, 0, 2, 0  },
{ 1, 1, 0, 3, 1, 1, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 0, 3, 1, 1, 2, 2, 0, 3, 0, 0, 2, 2, 3, 1, 0, 3, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 3, 1, 0, 3, 0, 3, 0, 2, 1, 1, 0, 1, 0, 3, 0, 0, 1, 2, 3, 1, 0, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 3, 2, 3, 0, 2, 0, 3, 0, 1, 0, 0, 1, 0, 1, 3, 0, 3, 0, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 0, 2, 1, 1, 0, 1, 3, 0, 3, 1  },
{ 1, 0, 0, 0, 0, 1, 0, 3, 2, 0, 1, 3, 3, 2, 0, 0, 3, 0, 1, 0, 1, 2, 0, 3, 2, 0, 2, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 0, 3, 0, 3, 0  },
{ 3, 1, 0, 2, 2, 1, 3, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 3, 0, 3, 1, 0, 3, 1, 3, 2, 0  },
{ 1, 1, 0, 0, 0, 0, 3, 0, 0, 1, 2, 3, 2, 0, 1, 0, 2, 0, 0, 1, 3, 0, 3, 0, 1, 1, 0, 0, 1, 3, 0, 0, 0, 3, 2, 1, 1, 3, 1, 2, 2, 0  },
{ 1, 1, 3, 0, 3, 0, 0, 3, 0, 0, 0, 3, 0, 1, 0, 0, 3, 1, 0, 3, 0, 3, 0, 0, 1, 1, 0, 3, 0, 3, 0, 0, 1, 2, 2, 3, 1, 3, 0, 0, 2, 0  },
{ 2, 3, 1, 0, 3, 2, 2, 0, 2, 0, 2, 0, 3, 2, 0, 1, 3, 1, 3, 0, 3, 2, 0, 0, 3, 2, 0, 3, 0, 3, 0, 0, 0, 2, 2, 1, 2, 2, 0, 0, 3, 0  },
{ 2, 0, 0, 2, 3, 1, 0, 1, 2, 0, 0, 3, 3, 2, 0, 0, 1, 0, 3, 0, 2, 1, 0, 0, 2, 2, 0, 0, 1, 2, 3, 0, 0, 3, 0, 0, 3, 0, 0, 2, 2, 0  },
{ 0, 1, 3, 2, 0, 1, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 2, 0, 3, 2, 0, 0, 2, 1, 0, 2, 0, 0, 3, 0, 2, 0, 3, 1, 3, 0, 3, 2, 3, 2  },
{ 3, 0, 0, 1, 1, 0, 0, 3, 0, 0, 2, 0, 3, 0, 1, 0, 0, 1, 0, 1, 3, 0, 3, 0, 0, 1, 0, 0, 0, 3, 3, 0, 2, 3, 0, 2, 3, 1, 2, 0, 2, 2  },
{ 1, 0, 3, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 2, 1, 0, 1, 3, 3, 0, 3, 0, 0, 1, 1, 0, 3, 3, 0, 1, 2, 0, 3, 1, 2, 0, 2, 1, 2  },
{ 1, 3, 0, 1, 3, 1, 0, 1, 2, 1, 2, 1, 0, 2, 0, 1, 3, 1, 2, 3, 0, 3, 0, 0, 2, 0, 1, 1, 2, 0, 3, 2, 0, 2, 3, 3, 1, 0, 2, 1, 1, 2  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 3, 0, 2, 3, 0, 0, 2, 0, 1, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0, 1, 0, 3, 3, 0, 0, 2, 1, 3, 0, 1, 3, 0, 3, 0, 1, 0, 2, 0, 1, 1, 0, 1, 1, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 3, 1, 0, 3, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 2, 3, 3, 0, 0, 0, 2, 1, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 3, 0, 1, 0, 0, 0, 3, 0, 2, 0, 3, 0, 1, 1, 3, 0, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 1, 2, 2, 0, 0, 0, 2, 3, 1, 0, 1, 1, 0, 2, 0, 3, 0, 0, 1, 3, 0, 2, 0, 0, 2, 0, 3, 1, 1, 0, 3, 3, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 0, 0, 1, 3, 1, 0, 0, 0, 1, 0, 3, 0, 0, 2, 0, 2, 3, 3, 0, 1, 0, 0, 3, 0, 0, 2, 0, 2, 1, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 3, 0, 2, 1, 1, 0, 1, 0, 2, 0, 3, 0, 3, 1, 3, 0, 0, 2, 1, 3, 1, 0, 3, 1, 2, 0, 1, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 1, 1, 3, 2, 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 1, 3, 2, 0, 2, 3, 3, 0, 3, 3, 0, 3, 0, 1, 2, 0, 0, 1, 1, 0, 2, 2, 0, 0  },
{ 1, 1, 0, 0, 3, 3, 0, 1, 1, 0, 1, 3, 0, 0, 3, 0, 2, 3, 1, 3, 0, 0, 0, 2, 3, 0, 2, 1, 1, 3, 3, 0, 2, 3, 0, 1, 1, 0, 2, 2, 0, 1  },
{ 2, 1, 0, 0, 0, 1, 0, 0, 1, 3, 1, 3, 0, 3, 0, 2, 0, 3, 3, 1, 0, 0, 1, 0, 3, 2, 1, 0, 0, 2, 3, 1, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 2, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 2, 1, 0, 0, 3, 2, 2, 1, 0, 3, 0, 3, 2, 3, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 3, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 3, 1, 0, 0, 3, 0, 2, 1, 0, 0, 1, 3, 3, 3, 0, 0, 0, 2, 1, 3, 0, 0, 1, 0, 0  },
{ 3, 1, 3, 1, 1, 0, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 2, 3, 0, 2, 0, 3, 2, 2, 3, 1, 1, 2, 3, 3, 1, 0, 3, 0, 3, 3, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 3, 1, 0, 1, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 1, 3, 0, 1, 2, 0, 3, 2, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 3, 0  },
{ 1, 2, 2, 2, 1, 1, 0, 0, 1, 2, 3, 1, 3, 2, 0, 2, 3, 2, 3, 1, 3, 1, 0, 1, 0, 3, 2, 2, 0, 2, 3, 0, 2, 2, 0, 0, 2, 0, 0, 2, 0, 3  },
{ 1, 1, 0, 0, 1, 1, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 0, 3, 0, 2, 3, 0, 1, 2, 0, 1, 2, 3, 1, 2, 3, 0, 1, 0, 0, 3, 0, 3, 0, 0, 3, 3  },
{ 2, 0, 0, 3, 1, 3, 0, 1, 0, 1, 2, 3, 3, 0, 0, 3, 3, 1, 0, 0, 1, 2, 2, 2, 1, 0, 0, 0, 1, 2, 2, 0, 0, 0, 2, 3, 3, 1, 0, 3, 0, 3  },
{ 2, 3, 1, 3, 0, 3, 1, 1, 0, 1, 2, 2, 3, 0, 0, 0, 3, 3, 1, 0, 1, 2, 1, 2, 2, 0, 0, 2, 2, 1, 1, 0, 2, 3, 0, 1, 0, 1, 0, 2, 0, 3  },
{ 1, 2, 0, 2, 1, 3, 2, 0, 1, 3, 2, 1, 2, 0, 1, 0, 0, 1, 3, 3, 2, 2, 3, 2, 0, 0, 2, 0, 0, 2, 0, 2, 2, 1, 2, 0, 0, 0, 1, 1, 0, 0  },
{ 3, 1, 0, 1, 0, 2, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 0, 3, 0, 2, 0, 2, 0, 0, 2, 1, 1, 0, 2, 0, 0, 2, 2, 1, 1, 1, 3, 0, 3, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 2, 0, 1, 1, 0, 0, 1, 0, 0, 0, 3, 0, 1, 1, 2, 0, 3, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 3, 1, 2, 3, 1, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 3, 0, 1, 1, 1, 2, 1, 0, 3, 2, 2, 1, 1, 1, 2, 3, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 1, 0, 0, 1, 1, 2, 1, 0, 0, 3, 0, 3, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 1, 2, 0, 0, 0, 3, 3, 1, 3, 3, 1, 3, 1, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 3, 1, 2, 1, 0, 0, 2, 1, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 1, 0, 0, 1, 0, 2, 1, 0, 3, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 1, 1, 1, 2, 0, 3, 0, 0, 2, 0, 3, 1, 0, 2, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 1, 0, 3, 1, 0, 0, 2, 0, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 2, 2, 1, 3, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 2, 1, 0, 1, 0, 1, 3, 0, 0, 3, 0, 2, 0, 3, 0, 1, 0, 0, 3, 0, 0, 2, 2, 1, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 3, 0, 2, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 1, 0, 2, 0, 3, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 1, 1, 3, 0, 3, 0, 2, 0  },
{ 3, 1, 3, 0, 0, 2, 3, 0, 1, 3, 1, 1, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 1, 1, 1, 0, 0, 3, 0, 0, 0, 2, 3, 1, 1, 0, 3, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 0, 1, 1, 0, 0, 0, 3, 0, 0, 3, 2, 3, 1, 0, 1, 2, 0, 2, 0  },
{ 1, 2, 3, 0, 3, 0, 3, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 0, 1, 0, 0, 3, 0, 0, 1, 2, 1, 3, 1, 0, 2, 0, 2, 1  },
{ 1, 3, 0, 2, 0, 1, 2, 1, 2, 2, 1, 0, 3, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 3, 0, 0, 1, 2, 1, 3, 0, 2, 2, 1, 3, 2, 1, 2, 0, 2, 0  },
{ 1, 1, 3, 0, 0, 1, 3, 0, 2, 0, 2, 3, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 3, 2, 0, 1, 1, 3, 0, 1, 0, 0, 0, 2, 0, 1, 3, 0, 3, 0, 2, 1  },
{ 1, 1, 0, 0, 0, 3, 0, 3, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 1, 3, 2, 0, 0, 1, 1, 0, 1, 2, 0, 3, 0, 0, 3, 2, 0, 3, 1, 1, 2, 0, 2, 1  },
{ 1, 1, 1, 0, 3, 1, 2, 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 3, 0, 3, 0, 0, 0, 2, 2, 1, 0, 3, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 3, 1, 0, 0, 2, 0, 0, 3, 1, 0, 0, 2, 0, 2, 0, 0, 3, 2, 1, 0, 2, 0, 3, 1, 0  },
{ 3, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 2, 1, 0, 0, 2, 2, 0, 2, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 1, 3, 0, 1, 2, 3, 0, 2, 1, 2, 0, 2, 1  },
{ 1, 0, 3, 3, 0, 2, 1, 0, 0, 0, 1, 2, 3, 0, 3, 0, 0, 1, 0, 2, 2, 3, 0, 2, 2, 1, 1, 0, 0, 1, 2, 0, 2, 2, 0, 0, 0, 0, 0, 0, 3, 0  },
{ 2, 1, 0, 2, 0, 1, 0, 3, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 2, 3, 0, 2, 0, 1, 0, 0, 0, 0, 3, 0, 1, 2, 0, 1, 3, 2, 3, 2, 2, 0  },
{ 0, 1, 3, 0, 0, 0, 0, 3, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 1, 2, 3, 0, 1, 0, 0, 1, 3, 0, 1, 2, 3, 0, 0, 3, 3, 2, 1, 3, 2, 2, 2, 0  },
{ 1, 0, 1, 0, 0, 2, 1, 3, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 2, 2, 0, 0, 1, 2, 3, 1, 3, 0, 2, 1, 2  },
{ 1, 3, 1, 0, 0, 0, 3, 0, 2, 1, 1, 2, 1, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 0, 0, 1, 0, 1, 1, 1, 1, 0, 0, 2, 2, 1, 3, 3, 0, 2, 2, 0  },
{ 0, 1, 2, 1, 1, 3, 0, 0, 3, 1, 1, 2, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 1, 0, 2, 1, 0, 1, 0, 1, 1, 0, 2, 2, 0, 0, 3, 2, 0, 1, 2, 0  },
{ 0, 1, 0, 1, 1, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 2, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 1, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 1, 1, 3, 0, 2, 0, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 1, 0, 3, 1, 1, 0, 0, 0, 1, 3, 0, 0, 3, 1, 2, 0, 2, 0, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 1, 0, 1, 0, 1, 0, 2, 1, 3, 0, 0, 1, 2, 0, 0, 2, 1, 3, 2, 1, 3, 3, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 1, 1, 1, 0, 1, 0, 2, 3, 3, 0, 0, 1, 2, 0, 0, 2, 1, 2, 1, 1, 3, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 3, 1, 1, 0, 3, 0, 0, 2, 0, 0, 1, 3, 0, 0, 3, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 1, 1, 2, 0, 1, 0, 0, 3, 1, 0, 2, 1, 3, 1, 1, 0, 2, 0, 0, 2, 0, 0, 3, 3, 0, 0, 2, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 1, 1, 0, 3, 1, 0, 0, 2, 1, 1, 1, 0, 3, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 3, 0, 1, 1, 1, 3, 0, 0  },
{ 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 1, 1, 2, 0, 1, 2, 0, 0, 2, 3, 0, 1, 3, 0, 3, 3, 0, 2, 2, 0, 0, 1, 1, 0, 3, 0, 0  },
{ 1, 3, 0, 1, 1, 3, 0, 0, 1, 3, 0, 1, 0, 3, 0, 0, 1, 3, 1, 0, 0, 0, 2, 0, 3, 0, 1, 3, 1, 2, 0, 0, 0, 2, 1, 3, 2, 3, 1, 0, 0, 0  },
{ 3, 1, 0, 1, 1, 1, 0, 1, 0, 0, 2, 1, 0, 2, 0, 1, 1, 0, 1, 3, 0, 0, 3, 2, 3, 0, 2, 1, 0, 2, 0, 1, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 3, 1, 0, 0, 0, 3, 1, 2, 0, 0, 0, 1, 3, 3, 1, 3, 0, 0, 2, 2, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 2, 1, 0, 3, 0, 0  },
{ 2, 3, 0, 0, 3, 2, 0, 1, 1, 1, 3, 2, 2, 0, 3, 1, 1, 3, 1, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3, 3, 3, 0, 2, 2, 0, 0, 1, 1, 0, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 3, 0, 0, 1, 2, 2, 2, 0, 0, 2, 1, 0, 0, 1, 1, 3, 0, 2, 2, 0, 1, 0, 1, 0, 2, 3, 1, 3, 0, 0, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 0, 0, 2, 1, 1, 0, 0, 1, 1, 0, 3, 0, 2, 0, 3, 2, 0, 0, 2, 0, 1, 2, 3, 1, 1, 0, 2, 1, 1, 3, 1, 3, 0, 0  },
{ 3, 0, 2, 1, 1, 1, 3, 0, 0, 3, 1, 2, 1, 0, 0, 0, 1, 0, 3, 0, 3, 0, 3, 2, 3, 0, 0, 3, 1, 2, 3, 0, 2, 3, 0, 3, 1, 1, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 0, 0, 0, 0, 0, 2, 3, 2, 1, 2, 0, 2, 2, 1, 0, 0, 1, 1, 1, 0, 0, 1, 2, 2, 0, 2, 3, 0, 3, 2, 0, 3, 0, 1, 0, 1, 0, 2  },
{ 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 3, 0, 0, 2, 0, 2, 3, 1, 3, 0, 1, 1, 1, 2, 0, 2, 2, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 2, 0  },
{ 3, 2, 1, 3, 1, 1, 0, 1, 0, 2, 1, 3, 2, 0, 0, 3, 0, 0, 0, 0, 0, 2, 1, 2, 1, 3, 0, 3, 1, 2, 1, 0, 1, 2, 0, 0, 1, 2, 0, 2, 1, 0  },
{ 1, 1, 2, 3, 3, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 2, 2, 2, 1, 1, 1, 2, 2, 0, 0, 0, 2  },
{ 3, 1, 0, 1, 0, 2, 0, 2, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 3, 0, 0, 2, 1, 2, 1, 2, 0, 0, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 2, 0, 3, 0, 1, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0, 1, 2, 0, 0, 1, 3, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 2, 1, 1, 1, 1, 0, 1, 2, 0, 0, 0, 0, 2, 0, 3, 0, 1, 2, 1, 2, 1, 2, 0, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 0, 2, 1, 0, 3, 2, 0, 2, 1, 0, 2, 0, 0, 0, 1  },
{ 0, 1, 0, 1, 2, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 3, 0, 2, 1, 0, 0, 2, 0, 2, 1, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 1, 0, 1, 1, 0, 3, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 3, 0, 3, 1, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 0, 3, 1, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 1, 3, 1, 2, 0, 0, 1, 2, 1, 0, 1, 3, 2, 1, 2, 0, 1  },
{ 1, 1, 3, 0, 0, 3, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 3, 0, 1, 1, 2, 0, 0, 0, 2, 1, 3, 1, 1, 3, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 1, 2, 0, 1, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 1, 2, 0, 3, 0, 3, 3, 1, 0, 2, 0, 0, 0, 2, 2, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 3, 0, 1, 0, 1, 2, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 3, 1, 0, 2, 0, 0, 0, 2, 2, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 0, 0, 2, 1, 1, 3, 3, 3, 0, 2, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 3, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 1, 0, 0, 2, 0, 0, 2, 2, 1, 3, 3, 1, 0, 0, 2, 0  },
{ 1, 1, 2, 0, 3, 0, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 3, 0, 1, 0, 0, 2, 1, 0, 2, 2, 0, 3, 3, 1, 0, 0, 2, 0  },
{ 3, 1, 2, 3, 0, 2, 0, 2, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 3, 1, 1, 0, 0, 2, 1, 0, 2, 2, 0, 3, 1, 1, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 2, 1, 0, 0, 2, 2, 1, 1, 3, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 1, 1, 2, 0, 1, 0, 0, 0, 2, 1, 1, 3, 1, 3, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 3, 0, 0, 1, 2, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 2, 1, 3, 3, 1, 2, 0, 2, 0  },
{ 1, 1, 1, 0, 0, 2, 0, 3, 0, 3, 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 2, 1, 0, 3, 1, 0, 2, 0  },
{ 2, 1, 0, 0, 2, 2, 3, 0, 0, 0, 1, 2, 0, 0, 1, 0, 2, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 2, 2, 1, 0, 0, 2, 0, 2, 1  },
{ 1, 3, 2, 3, 1, 2, 1, 1, 0, 0, 2, 1, 2, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 0, 0, 2, 2, 0, 0, 2, 2, 1, 0, 1, 0, 0, 2, 0  },
{ 1, 1, 1, 3, 2, 2, 0, 3, 3, 1, 0, 1, 2, 0, 0, 0, 0, 1, 3, 0, 3, 0, 0, 2, 1, 1, 0, 3, 0, 3, 0, 0, 1, 2, 0, 3, 2, 1, 2, 0, 1, 1  },
{ 2, 0, 0, 2, 0, 1, 0, 3, 2, 1, 0, 2, 0, 3, 0, 1, 0, 2, 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 2, 1, 2, 0, 2, 3, 1, 2, 3, 2, 0  },
{ 2, 0, 1, 0, 0, 2, 3, 3, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 1, 2, 3, 1, 3, 0, 2, 2, 1  },
{ 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 0, 0, 3, 2, 0, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 3, 2, 2, 1, 2, 0, 2, 1, 1  },
{ 0, 1, 2, 0, 0, 3, 2, 1, 0, 0, 1, 3, 1, 0, 1, 0, 0, 2, 3, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 2, 2, 1, 1, 1, 0, 2, 1, 0  },
{ 0, 1, 0, 1, 3, 2, 0, 3, 2, 1, 0, 1, 0, 1, 0, 2, 0, 0, 1, 2, 0, 3, 0, 0, 1, 1, 3, 1, 2, 0, 0, 2, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 1, 0, 1, 2, 0, 2, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 2, 1, 1, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 3, 0, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 2, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 1, 3, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 3, 3, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 1, 3, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 2, 0, 1, 0, 1, 0, 0, 0, 3, 1, 3, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 0, 0, 0, 2, 0, 3, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 2, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 2, 0, 0  },
{ 1, 0, 0, 2, 1, 3, 0, 1, 0, 0, 0, 0, 0, 2, 1, 3, 3, 0, 0, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 3, 3, 0, 0, 0  },
{ 0, 1, 0, 1, 3, 1, 0, 1, 3, 1, 0, 3, 0, 0, 1, 2, 0, 2, 3, 1, 0, 0, 2, 0, 3, 3, 2, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 0, 0, 1, 1, 3, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 2, 0, 2, 0, 3, 1, 2, 3, 1, 0, 0, 0  },
{ 2, 3, 3, 0, 2, 0, 0, 0, 1, 1, 3, 0, 2, 0, 1, 3, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 1, 3, 0, 2, 0, 2, 0, 3, 1, 1, 0, 1, 2, 0, 0  },
{ 3, 0, 0, 1, 0, 2, 0, 0, 1, 1, 1, 2, 0, 3, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 3, 2, 0, 2, 1, 2, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 2, 1, 3, 0, 0, 0, 2, 2, 0, 0, 2, 1, 1, 2, 0, 0, 2, 0, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 1, 3, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 2, 2, 1, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 0, 1, 2, 1, 0, 0, 0  },
{ 2, 2, 0, 3, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 3, 2, 3, 1, 0, 1, 2, 2, 3, 0, 2, 0, 0, 1, 2, 2, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 3, 0, 3, 1, 2, 2, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0  },
{ 3, 1, 0, 2, 2, 3, 0, 0, 1, 2, 0, 2, 1, 2, 0, 2, 0, 2, 0, 0, 0, 2, 1, 2, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 0, 3, 0, 1, 0, 1, 0, 2  },
{ 1, 1, 1, 1, 3, 3, 2, 0, 0, 0, 1, 3, 2, 0, 0, 3, 3, 3, 2, 1, 2, 1, 1, 2, 1, 2, 0, 1, 0, 2, 2, 1, 1, 2, 0, 0, 3, 2, 0, 1, 0, 0  },
{ 3, 1, 3, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 1, 3, 1, 1, 0, 0, 2, 0, 2, 1, 0, 0, 1, 2, 1, 2, 0, 2, 1, 2, 0, 1, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 3, 0, 2, 2, 1, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 0, 2, 0, 2, 2, 0, 3, 1, 1, 1, 3, 0, 0, 0, 2  },
{ 3, 3, 2, 3, 0, 3, 0, 3, 1, 1, 0, 1, 0, 1, 0, 1, 2, 0, 1, 2, 0, 0, 0, 3, 0, 1, 0, 1, 1, 0, 2, 2, 2, 0, 2, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 1, 0, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 1, 2, 0, 2, 0, 2, 2, 3, 0, 3, 1, 3, 2, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 3, 0, 0, 1, 3, 1, 1, 0, 3, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 3, 1, 2, 1, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 3, 2, 0, 0, 0, 0  },
{ 1, 2, 2, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 3, 0, 1, 1, 2, 1, 2, 0, 2  },
{ 0, 0, 0, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 2, 0, 2, 1, 0, 2, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 3, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 0, 3, 0, 0, 0, 1, 0, 2, 0, 2, 3, 0, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 3, 1, 0, 0, 2, 2, 0, 0, 0, 0, 1, 3, 1, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 0, 3, 2, 0, 2, 0, 1, 0, 1, 2, 0, 1  },
{ 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 0, 2, 0, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 2, 1, 0, 0, 0, 2, 0, 2, 2, 0, 0, 1, 0, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 1, 2, 2, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 2, 2, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 3, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 2, 3, 1, 3, 0, 2, 1  },
{ 1, 1, 0, 0, 0, 2, 0, 2, 0, 1, 0, 3, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 2, 3, 1, 2, 0, 2, 0  },
{ 3, 0, 1, 0, 2, 0, 0, 2, 0, 3, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 2, 3, 0, 0, 0, 2, 0, 2, 0  },
{ 0, 3, 0, 0, 1, 2, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 0, 2, 1, 0, 0, 2, 2, 0, 0, 0, 3, 0, 2, 0  },
{ 1, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 0, 2, 3, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 3, 0, 0, 1, 1, 2, 1, 0, 0, 0, 2, 0, 2, 0  },
{ 0, 1, 2, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 3, 0, 2, 3, 2, 1  },
{ 0, 0, 2, 1, 3, 0, 3, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 2, 1, 3, 0, 1, 2, 0  },
{ 0, 0, 2, 1, 1, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 2, 2, 1, 0, 2, 3, 2, 1, 0, 1, 0, 1, 0  },
{ 3, 0, 1, 2, 0, 1, 1, 0, 0, 2, 2, 1, 1, 0, 1, 0, 1, 2, 0, 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1  },
{ 3, 1, 2, 1, 0, 0, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 3, 1, 2, 0, 2, 1, 1, 3, 1, 1, 1, 2, 0, 2, 2, 3, 1, 1, 0, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 0, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 2, 1, 2, 0, 2, 1, 2, 0, 2, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 3, 0, 0, 1, 2, 0, 1, 1, 0, 0, 1, 0, 1, 0, 3, 2, 0, 0, 2, 0, 2, 1, 0, 1, 2, 0, 2, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 1, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 2, 1, 2, 0, 2, 0, 3, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 2, 1, 1, 2, 0, 0, 0, 0, 0, 3, 1, 2, 0, 0, 2, 0, 2, 2, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 3, 0, 3, 1, 2, 1, 2, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 3, 2, 3, 1, 2, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 3, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 3, 3, 0, 0, 1, 2, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 3, 0, 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 0, 1, 2, 0, 0  },
{ 1, 3, 0, 2, 2, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0  },
{ 3, 0, 0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 2, 1, 0, 2, 0, 3, 0, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 2, 0, 2, 0, 3, 0, 3, 3, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 2, 2, 0, 2, 1, 0, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 1, 1, 0, 0, 2, 0  },
{ 3, 0, 0, 1, 2, 2, 0, 2, 1, 1, 0, 3, 0, 0, 0, 2, 2, 1, 0, 1, 0, 0, 2, 0, 1, 3, 2, 0, 0, 2, 0, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 2, 0, 0, 1, 1, 1, 2, 1, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 2, 3, 0, 0, 3, 0, 0, 0, 3, 1, 0, 0, 2, 0, 1, 2, 0, 2, 2, 1, 3, 1, 3, 0, 0, 2, 0, 2, 2, 1, 0, 1, 1, 3, 0, 0, 0  },
{ 2, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 2, 3, 0, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 2, 0, 0  },
{ 0, 0, 1, 0, 1, 2, 3, 0, 0, 2, 2, 1, 0, 1, 0, 0, 1, 1, 0, 3, 0, 1, 0, 2, 2, 3, 1, 2, 1, 0, 1, 0, 2, 1, 0, 2, 0, 1, 0, 0, 2, 0  },
{ 2, 2, 0, 0, 0, 2, 0, 0, 1, 3, 0, 1, 1, 2, 0, 3, 2, 0, 0, 0, 0, 2, 1, 2, 0, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0, 3, 1, 2, 0, 3, 2, 0  },
{ 1, 1, 0, 3, 1, 2, 0, 0, 0, 3, 0, 3, 0, 2, 0, 1, 0, 1, 1, 2, 0, 1, 1, 2, 0, 0, 3, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2  },
{ 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 1, 3, 2, 0, 0, 1, 1, 0, 0, 2, 1, 1, 2, 0, 1, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 3, 0, 0, 1, 0, 0, 2, 2, 0, 2, 2, 2, 2, 0, 3, 3, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0  },
{ 1, 1, 2, 1, 1, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 3, 1, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 2, 1, 2, 0, 2, 0, 2, 1, 2, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 2, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 2, 1, 2, 0, 2, 0, 2, 0, 2, 1, 3, 3, 0, 0, 0, 2  },
{ 1, 0, 0, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 1, 2, 0, 2, 2, 2, 1, 3, 0, 1, 3, 0, 0, 0, 1  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 3, 1, 3, 1, 2, 0, 0, 0, 1  },
{ 0, 1, 2, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 1, 2, 1, 2, 0, 2  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 2, 1, 3, 1, 2, 1, 2, 0, 1  },
{ 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 1, 2, 1, 0, 0, 2, 0, 0, 2, 1, 2, 1, 0, 0, 2, 0, 0  },
{ 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 3, 0, 2, 0, 2, 0, 3, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 2, 1, 2, 2  },
{ 0, 1, 2, 0, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 3, 1, 3, 0, 0, 2, 1  },
{ 0, 1, 2, 0, 2, 0, 0, 0, 1, 1, 1, 0, 2, 0, 0, 1, 0, 1, 0, 0, 2, 0, 1, 2, 2, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 2, 2, 0, 2, 0, 1, 0, 2, 0, 0  },
{ 0, 1, 1, 2, 0, 2, 0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 1, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 2, 1, 0, 1, 3, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 0, 3, 3, 1, 2, 1, 2, 2  },
{ 0, 0, 0, 0, 0, 3, 0, 1, 0, 2, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 0, 1, 1, 2, 0, 0, 2, 2, 0, 0, 2, 1, 2, 2, 1, 2, 0, 2, 1  },
{ 2, 1, 0, 0, 0, 2, 3, 2, 0, 2, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 1, 2, 0, 2, 0  },
{ 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 1, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 2, 2, 0, 0, 0, 2, 0, 2, 0  },
{ 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 3, 2, 0, 0, 1, 1, 0, 3, 3, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 1, 0  },
{ 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 2, 0, 1, 1, 0, 0, 1, 0, 2, 0, 0, 1, 3, 0, 0, 0, 2, 0, 2, 3, 0, 0, 0, 0, 3, 0, 2, 2, 1  },
{ 0, 0, 1, 0, 0, 2, 1, 2, 0, 1, 0, 2, 3, 2, 3, 0, 0, 0, 0, 3, 0, 0, 3, 0, 2, 1, 0, 0, 0, 2, 2, 0, 1, 1, 0, 3, 0, 0, 0, 1, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 3, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 2, 0, 0, 2, 3, 0, 0, 1, 0, 1, 0  },
{ 3, 1, 0, 2, 1, 3, 1, 1, 0, 3, 2, 2, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 1, 0, 2, 1, 2, 0, 2, 0, 0, 3, 1, 0, 1, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 2, 0, 1, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 1, 0, 2, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 1, 2, 1, 3, 0, 0, 0, 2  },
{ 1, 0, 0, 3, 1, 0, 0, 1, 1, 1, 0, 0, 0, 0, 3, 1, 1, 2, 1, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 1, 3, 0, 0, 0, 2  },
{ 0, 1, 0, 2, 1, 0, 0, 0, 1, 2, 3, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 2, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 3, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 3, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 3, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 2, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 0, 1, 2, 0, 3, 0, 2, 0, 0, 0, 2, 2, 0, 1, 2, 0, 1, 0, 2, 2, 0, 1, 0, 0, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 3, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 2, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 3, 2, 1, 0, 0, 3, 3, 0, 3, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 3, 2, 0, 1, 2, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 1, 2, 1, 0, 0, 0  },
{ 3, 0, 2, 0, 3, 1, 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 3, 1, 0, 2, 1, 0, 2, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 3, 1, 2, 0, 0, 0, 2  },
{ 1, 0, 2, 1, 1, 3, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 2, 1, 2, 0, 1, 0, 1, 1, 2, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 0, 2, 0, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0, 1, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 3, 0, 0, 3, 2, 0, 0, 1, 1, 0, 3, 0, 3, 0, 2, 0, 2, 3, 3, 0, 0, 3, 1, 2, 1, 0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 2, 2, 0  },
{ 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 2, 0, 0, 0, 2, 1, 1, 0, 0, 2, 1, 0, 1, 2, 2, 1, 0, 2, 0, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2  },
{ 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 2, 0, 1, 3, 1, 0, 1, 0, 2, 3, 1, 2, 1, 1, 0, 0, 0, 0, 0, 2, 0, 3, 3, 2, 0, 0, 0, 0, 0, 2  },
{ 0, 1, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 2, 2, 1, 3, 1, 1, 0, 0, 0, 0, 3, 0, 2, 0, 3, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 3, 1, 2, 0, 2, 0, 2, 1, 2, 1, 1, 2, 0, 0, 0, 2  },
{ 0, 0, 0, 3, 1, 0, 0, 3, 1, 1, 2, 0, 0, 1, 0, 0, 3, 1, 1, 0, 2, 1, 1, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 3, 1, 2, 0, 0, 0, 1  },
{ 1, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 3, 0, 1, 3, 2, 3, 2, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 3, 2, 0, 0, 0, 1, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 3, 1, 2, 1, 2, 2  },
{ 1, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 2, 0, 1, 0, 3, 0, 3, 1, 0, 3, 3, 0, 0, 0, 0, 0, 2, 3, 1, 3, 1, 2, 0, 0, 0, 1  },
{ 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 2, 0, 2, 0, 1, 3, 3, 1, 0, 0, 0, 0, 0, 1, 2, 0, 3, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 1, 0, 1, 0, 2, 2, 0, 2, 1, 2, 1, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 2, 1, 2, 1, 0, 0, 2, 1, 1, 0, 0, 1, 1, 0, 1, 0, 0  },
{ 0, 1, 0, 3, 0, 1, 1, 1, 1, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 1, 2, 1, 0, 2, 2  },
{ 3, 0, 0, 0, 1, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 1, 0, 2, 1, 0, 0, 0, 1, 0, 3, 1, 0, 2, 0, 0, 0, 1, 0, 3, 0, 2, 2, 1, 2, 0, 2, 1  },
{ 2, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 3, 2, 2, 0, 0, 0, 1, 0, 0, 1, 2, 1, 1, 0, 1, 0, 0, 3, 2, 0, 0, 0, 1, 2, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 2, 2, 2, 3, 0, 1, 0, 0, 2, 0, 0  },
{ 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 2, 1, 2, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 2, 0, 0, 0, 0, 1, 2, 0, 3, 0, 0, 0, 2, 1, 1  },
{ 0, 0, 1, 0, 0, 0, 2, 2, 0, 1, 0, 2, 1, 2, 1, 0, 1, 2, 0, 2, 1, 0, 0, 0, 2, 0, 3, 0, 0, 0, 2, 0, 3, 0, 1, 0, 0, 0, 2, 0, 2, 0  },
{ 0, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 1, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 1, 0, 2, 0, 0, 1, 2, 2, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 3, 3, 0, 2, 2, 0, 0, 0, 0, 0, 0, 2, 2, 1, 1, 3, 0, 0, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 2, 0, 1, 2, 0, 0, 0, 0, 0, 2  },
{ 1, 0, 2, 0, 3, 0, 1, 0, 3, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 2, 1, 3, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 3, 3, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 2, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 0, 1, 0, 1, 3, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 3, 0, 1, 0, 0, 1, 0, 0, 3, 0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 0, 1, 0, 1, 2, 0, 3, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0, 0, 0, 1, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0  },
{ 3, 1, 1, 0, 3, 0, 3, 0, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 0, 2, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 0, 2, 0, 1, 0, 1, 2, 2, 0, 3, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 0, 1, 0, 1, 0, 3, 2, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 3, 0, 2, 3, 1, 1, 0, 0, 0, 2, 0, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 0, 1, 2, 1, 2, 2, 2, 0, 1, 1, 0, 1, 0, 3, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 2, 0, 0, 0, 2, 3, 0, 1, 1, 0, 1, 2, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0  },
{ 3, 2, 0, 0, 0, 2, 1, 0, 1, 1, 2, 2, 1, 0, 3, 0, 0, 0, 0, 0, 1, 0, 2, 2, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 1, 1, 1, 1, 0, 0, 0, 2, 1, 2, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0  }
 },
{ 
{ 0, 2, 3, 3, 0, 2, 2, 0, 3, 2, 0, 0, 0, 2, 2, 0, 2, 0, 2, 2, 0, 2, 2, 1, 3, 1, 0, 1, 2, 0, 0, 0, 2, 0, 1, 3, 0, 3, 1, 0, 0, 0  },
{ 2, 0, 3, 3, 1, 2, 2, 1, 3, 2, 2, 2, 2, 2, 2, 1, 3, 2, 2, 2, 1, 1, 2, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 1, 3, 3, 3, 3, 3, 0, 0, 0  },
{ 2, 2, 3, 3, 2, 0, 3, 1, 3, 2, 1, 3, 1, 1, 2, 3, 2, 3, 1, 1, 0, 2, 2, 2, 3, 2, 2, 2, 2, 1, 1, 1, 0, 0, 2, 3, 3, 1, 3, 2, 0, 3  },
{ 3, 2, 3, 3, 1, 3, 3, 3, 3, 3, 3, 1, 3, 3, 2, 3, 2, 3, 1, 3, 3, 0, 3, 3, 3, 2, 3, 3, 1, 1, 3, 3, 3, 1, 2, 3, 3, 2, 2, 3, 2, 2  },
{ 2, 2, 3, 2, 3, 2, 3, 1, 3, 2, 2, 1, 3, 2, 2, 1, 3, 3, 2, 2, 2, 2, 2, 2, 3, 3, 2, 0, 1, 0, 0, 0, 0, 1, 3, 3, 3, 0, 1, 2, 1, 3  },
{ 2, 0, 2, 3, 2, 2, 0, 3, 0, 1, 0, 0, 1, 1, 0, 3, 0, 2, 1, 3, 2, 1, 3, 2, 3, 0, 3, 1, 2, 1, 2, 3, 2, 3, 1, 3, 1, 2, 2, 1, 1, 1  },
{ 1, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 1, 3, 2, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 2, 3, 1, 0, 2, 0, 2, 0, 1, 1, 1, 1, 2, 1, 1, 0, 1, 0  },
{ 3, 0, 0, 1, 1, 3, 3, 0, 0, 2, 1, 3, 0, 1, 0, 0, 1, 2, 1, 1, 0, 1, 0, 3, 1, 3, 3, 0, 3, 3, 2, 3, 1, 3, 1, 3, 0, 1, 2, 0, 2, 0  },
{ 3, 1, 0, 0, 1, 2, 2, 0, 0, 3, 3, 3, 3, 1, 1, 1, 0, 2, 0, 3, 0, 3, 1, 1, 2, 0, 1, 2, 1, 2, 3, 1, 3, 1, 0, 3, 0, 3, 2, 0, 2, 1  },
{ 1, 0, 3, 0, 2, 3, 1, 0, 0, 1, 1, 0, 3, 0, 3, 1, 3, 2, 1, 2, 0, 2, 0, 3, 1, 0, 1, 2, 0, 2, 3, 3, 2, 3, 2, 3, 0, 3, 0, 2, 3, 2  },
{ 2, 3, 1, 1, 0, 0, 3, 0, 1, 2, 3, 2, 1, 0, 1, 0, 2, 2, 3, 2, 2, 0, 3, 2, 3, 1, 0, 0, 0, 3, 0, 0, 1, 3, 0, 3, 0, 1, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 2, 0, 1, 0, 2, 3, 1, 0, 2, 0, 1, 0, 0, 2, 1, 1, 0, 1, 1, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 0, 0, 2, 1, 1, 2, 0, 0  },
{ 0, 3, 0, 3, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 3, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 1, 1, 0, 2, 2, 0, 3, 0, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 3, 0, 0, 2, 2, 2, 0, 2, 0, 0, 0, 3, 0, 3, 0, 0, 0, 0  },
{ 0, 3, 1, 0, 2, 0, 0, 0, 3, 2, 0, 0, 0, 1, 0, 1, 1, 0, 1, 3, 0, 2, 0, 1, 3, 1, 0, 3, 0, 2, 0, 0, 1, 3, 0, 3, 1, 0, 3, 1, 1, 0  },
{ 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 2, 3, 0, 3, 0, 0, 3, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 3, 0, 3, 2, 2, 0, 0  },
{ 0, 2, 0, 0, 0, 1, 1, 3, 3, 2, 0, 0, 2, 3, 0, 3, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 3, 2, 0, 2, 2, 0, 0, 2, 3, 1, 3, 2, 2, 2, 0  },
{ 2, 1, 2, 1, 2, 1, 1, 3, 0, 2, 2, 2, 1, 3, 3, 1, 0, 3, 1, 2, 0, 3, 1, 1, 3, 0, 1, 3, 2, 3, 2, 2, 2, 3, 2, 3, 0, 1, 3, 3, 2, 0  },
{ 2, 2, 1, 3, 1, 2, 0, 3, 1, 2, 0, 2, 0, 3, 3, 2, 2, 0, 0, 0, 3, 3, 0, 0, 3, 0, 0, 3, 0, 0, 0, 0, 2, 0, 3, 3, 3, 0, 3, 2, 0, 3  },
{ 2, 3, 2, 0, 2, 1, 2, 3, 0, 2, 3, 1, 3, 0, 3, 3, 2, 0, 0, 2, 3, 3, 1, 1, 0, 1, 1, 3, 3, 2, 2, 2, 2, 1, 0, 3, 3, 2, 3, 2, 2, 0  },
{ 2, 0, 3, 0, 1, 2, 2, 0, 3, 2, 1, 0, 3, 3, 3, 1, 2, 1, 2, 1, 2, 1, 3, 1, 3, 0, 2, 0, 2, 1, 2, 1, 2, 1, 3, 2, 3, 2, 2, 2, 2, 1  },
{ 2, 2, 3, 1, 0, 1, 2, 3, 0, 2, 3, 1, 3, 0, 3, 2, 1, 3, 0, 3, 2, 3, 3, 2, 3, 1, 3, 3, 2, 2, 2, 2, 2, 2, 2, 3, 3, 0, 3, 3, 3, 1  },
{ 2, 0, 3, 0, 2, 2, 0, 2, 1, 1, 3, 0, 2, 1, 0, 3, 1, 2, 1, 2, 1, 3, 2, 0, 1, 2, 2, 2, 2, 0, 0, 2, 0, 2, 3, 3, 3, 3, 1, 3, 2, 0  },
{ 0, 0, 0, 3, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 0, 3, 1, 0, 2, 2, 2, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 2, 1, 3, 0, 0, 1, 0, 3, 2, 1, 1, 0, 3, 1, 3, 2, 1, 1, 0, 2, 1, 0, 0, 3, 0, 1, 3, 1, 1, 0, 2, 0, 1, 0, 3, 0, 1, 1, 0, 2, 0  },
{ 0, 2, 3, 0, 1, 0, 2, 3, 0, 2, 0, 2, 1, 3, 0, 3, 0, 0, 2, 3, 3, 2, 2, 1, 3, 3, 1, 2, 3, 2, 2, 0, 0, 3, 0, 3, 0, 3, 3, 1, 2, 0  },
{ 2, 0, 2, 0, 3, 1, 3, 2, 3, 2, 1, 1, 3, 2, 3, 0, 2, 1, 1, 2, 3, 0, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 3, 2, 0, 0, 3, 2, 2, 0, 0  },
{ 1, 2, 3, 0, 0, 2, 2, 3, 1, 2, 0, 2, 2, 3, 1, 3, 0, 2, 1, 3, 0, 3, 2, 2, 2, 2, 3, 2, 2, 3, 0, 0, 2, 2, 0, 3, 0, 2, 3, 0, 2, 1  },
{ 2, 3, 2, 0, 0, 2, 3, 0, 3, 2, 1, 1, 1, 2, 1, 1, 3, 1, 1, 2, 2, 3, 3, 3, 0, 3, 0, 3, 2, 1, 2, 1, 2, 2, 2, 3, 1, 2, 1, 2, 2, 0  },
{ 0, 3, 1, 3, 0, 1, 1, 1, 0, 2, 0, 1, 0, 0, 3, 2, 0, 3, 0, 3, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 2, 1, 0, 0, 3, 3, 0, 3, 1, 0, 0, 2  },
{ 0, 2, 0, 1, 1, 3, 1, 2, 3, 1, 1, 2, 1, 0, 2, 3, 0, 0, 2, 1, 0, 1, 0, 3, 3, 0, 0, 2, 1, 0, 2, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 2  },
{ 0, 0, 0, 0, 0, 1, 1, 3, 0, 1, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 3, 0, 3, 0, 0, 0, 2  },
{ 0, 2, 0, 0, 0, 2, 3, 0, 0, 1, 0, 2, 0, 3, 0, 3, 0, 1, 0, 2, 0, 0, 0, 3, 3, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 1, 0, 3, 0, 0  },
{ 2, 2, 3, 0, 2, 2, 2, 1, 0, 2, 3, 0, 2, 1, 0, 3, 0, 3, 1, 2, 1, 3, 0, 0, 3, 0, 1, 1, 2, 1, 2, 2, 0, 3, 2, 3, 0, 0, 1, 3, 0, 0  },
{ 2, 3, 2, 0, 0, 1, 3, 1, 0, 0, 1, 2, 1, 3, 0, 1, 2, 3, 0, 0, 3, 0, 0, 0, 2, 0, 0, 0, 3, 0, 2, 0, 0, 3, 0, 3, 0, 3, 0, 2, 2, 0  },
{ 2, 1, 2, 0, 0, 3, 3, 1, 0, 1, 0, 1, 3, 1, 3, 0, 1, 1, 2, 3, 0, 3, 0, 0, 3, 1, 0, 2, 0, 3, 2, 2, 0, 0, 3, 3, 0, 2, 0, 0, 2, 0  },
{ 2, 1, 2, 0, 1, 0, 3, 0, 1, 1, 0, 3, 2, 0, 0, 1, 0, 3, 0, 2, 2, 0, 0, 3, 0, 0, 1, 2, 0, 3, 2, 0, 0, 0, 3, 3, 0, 2, 3, 3, 0, 0  },
{ 2, 0, 2, 0, 3, 3, 0, 3, 1, 0, 1, 3, 2, 1, 2, 3, 0, 1, 1, 2, 0, 3, 3, 1, 3, 0, 3, 2, 2, 3, 0, 2, 2, 2, 1, 3, 0, 1, 3, 3, 2, 0  },
{ 2, 2, 1, 0, 0, 2, 0, 3, 1, 0, 3, 1, 3, 1, 3, 0, 2, 3, 0, 0, 3, 0, 2, 0, 2, 0, 0, 3, 0, 3, 0, 0, 0, 3, 0, 3, 3, 0, 3, 0, 0, 0  },
{ 2, 0, 2, 3, 0, 3, 1, 2, 0, 0, 3, 2, 1, 3, 1, 0, 1, 0, 0, 2, 1, 3, 2, 1, 3, 0, 1, 2, 2, 3, 0, 1, 0, 3, 2, 3, 0, 3, 3, 0, 2, 0  },
{ 2, 0, 3, 0, 1, 2, 1, 3, 0, 1, 0, 1, 1, 2, 3, 1, 3, 2, 2, 3, 0, 3, 2, 3, 1, 0, 1, 1, 2, 3, 3, 0, 0, 3, 0, 3, 2, 3, 2, 3, 0, 0  },
{ 2, 2, 0, 1, 0, 1, 3, 3, 0, 0, 1, 1, 1, 1, 3, 0, 1, 3, 3, 2, 0, 3, 1, 3, 1, 2, 0, 3, 3, 2, 0, 1, 3, 0, 0, 0, 3, 1, 3, 0, 2, 0  },
{ 2, 0, 3, 2, 1, 0, 3, 1, 0, 3, 1, 1, 3, 1, 3, 1, 0, 2, 1, 2, 2, 2, 3, 3, 1, 1, 0, 2, 1, 2, 0, 0, 0, 3, 1, 3, 3, 1, 1, 3, 2, 0  },
{ 3, 2, 0, 1, 2, 3, 0, 2, 0, 0, 1, 3, 1, 3, 3, 2, 1, 3, 3, 1, 2, 0, 2, 3, 1, 2, 3, 2, 2, 2, 0, 0, 1, 3, 2, 3, 3, 1, 3, 2, 2, 0  },
{ 2, 3, 0, 2, 2, 1, 0, 3, 0, 0, 1, 3, 2, 0, 3, 0, 0, 2, 0, 2, 1, 2, 3, 2, 0, 1, 0, 3, 2, 1, 2, 3, 3, 3, 1, 3, 3, 2, 1, 1, 1, 1  },
{ 1, 0, 0, 0, 1, 2, 0, 1, 3, 3, 2, 2, 0, 1, 0, 0, 1, 0, 1, 3, 0, 1, 3, 0, 1, 2, 0, 0, 1, 0, 0, 2, 0, 2, 2, 3, 1, 1, 0, 0, 1, 0  },
{ 1, 1, 1, 0, 2, 2, 0, 3, 3, 0, 3, 0, 2, 3, 0, 3, 0, 0, 2, 3, 0, 0, 0, 1, 3, 3, 1, 2, 3, 1, 0, 0, 0, 0, 0, 3, 0, 1, 1, 3, 2, 2  },
{ 0, 0, 1, 0, 2, 1, 3, 3, 3, 2, 2, 2, 1, 3, 0, 3, 3, 2, 3, 2, 1, 0, 0, 2, 3, 3, 1, 1, 2, 1, 1, 0, 2, 3, 2, 0, 0, 1, 3, 3, 3, 2  },
{ 1, 0, 3, 0, 1, 3, 1, 2, 1, 2, 3, 1, 3, 2, 0, 3, 2, 2, 2, 3, 3, 3, 1, 1, 3, 1, 2, 2, 0, 1, 2, 0, 0, 3, 3, 3, 0, 3, 1, 3, 2, 0  },
{ 0, 1, 0, 0, 2, 1, 3, 0, 0, 1, 1, 3, 0, 1, 3, 0, 3, 0, 1, 0, 0, 0, 2, 2, 3, 1, 1, 2, 2, 1, 3, 3, 1, 1, 2, 3, 0, 3, 2, 3, 0, 1  },
{ 1, 0, 1, 2, 2, 3, 3, 3, 1, 2, 2, 2, 3, 2, 1, 0, 1, 3, 3, 3, 3, 3, 1, 1, 1, 0, 0, 2, 1, 3, 2, 1, 1, 1, 2, 3, 1, 3, 2, 1, 1, 1  },
{ 3, 1, 3, 2, 0, 1, 1, 2, 1, 0, 0, 1, 2, 0, 1, 0, 0, 1, 2, 1, 3, 0, 0, 3, 0, 3, 1, 0, 2, 3, 1, 3, 0, 2, 2, 1, 0, 3, 2, 1, 2, 0  },
{ 0, 2, 0, 0, 0, 3, 2, 3, 0, 0, 1, 3, 2, 1, 3, 2, 0, 1, 2, 0, 0, 3, 0, 3, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 3, 0, 3, 0, 3, 1, 0  },
{ 1, 2, 1, 0, 1, 3, 2, 3, 0, 0, 1, 0, 2, 1, 2, 3, 0, 3, 1, 2, 0, 1, 0, 1, 0, 2, 3, 0, 2, 0, 2, 2, 0, 0, 3, 3, 0, 0, 0, 2, 0, 1  },
{ 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 1, 3, 2, 1, 3, 0, 1, 1, 2, 0, 0, 3, 0, 1, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 3, 0, 3, 1, 2, 0, 2  },
{ 2, 2, 3, 0, 2, 0, 2, 1, 0, 0, 2, 3, 2, 1, 2, 3, 2, 2, 0, 2, 0, 3, 0, 0, 1, 0, 3, 0, 2, 0, 0, 0, 0, 0, 2, 3, 0, 1, 2, 3, 0, 2  },
{ 2, 0, 3, 0, 2, 2, 2, 1, 0, 0, 3, 1, 0, 2, 1, 3, 2, 2, 2, 1, 2, 1, 0, 0, 3, 0, 0, 2, 3, 2, 1, 0, 0, 0, 1, 3, 1, 1, 0, 2, 0, 0  },
{ 2, 2, 3, 0, 0, 0, 2, 1, 0, 0, 1, 3, 2, 3, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 1, 2, 3, 0, 0, 0, 0, 0, 1, 3, 0, 3, 0, 2, 2, 0  },
{ 2, 3, 0, 0, 0, 3, 2, 1, 0, 1, 1, 3, 3, 2, 1, 0, 1, 0, 3, 0, 2, 3, 0, 2, 3, 0, 1, 2, 0, 3, 0, 0, 0, 0, 3, 3, 1, 2, 0, 3, 0, 0  },
{ 2, 0, 3, 0, 2, 2, 0, 1, 0, 1, 3, 1, 0, 3, 1, 0, 1, 0, 2, 0, 2, 3, 0, 0, 3, 0, 3, 0, 2, 2, 2, 0, 0, 0, 2, 3, 0, 1, 2, 3, 2, 0  },
{ 2, 0, 3, 0, 2, 2, 1, 3, 1, 1, 3, 2, 2, 1, 3, 0, 1, 1, 2, 2, 2, 3, 0, 3, 1, 3, 1, 2, 3, 2, 2, 2, 2, 3, 3, 3, 0, 1, 2, 3, 3, 0  },
{ 2, 2, 0, 0, 0, 0, 3, 1, 0, 0, 2, 3, 1, 1, 1, 0, 2, 3, 0, 2, 3, 2, 0, 3, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 1, 3, 3, 3, 3, 2, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 3, 1, 2, 0, 0, 1, 0, 2, 0, 1, 1, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 0, 3, 3, 0  },
{ 2, 3, 2, 0, 2, 2, 1, 3, 3, 1, 2, 3, 2, 0, 2, 3, 2, 0, 3, 2, 3, 0, 0, 3, 3, 3, 2, 3, 1, 2, 1, 1, 0, 0, 0, 0, 0, 0, 3, 2, 3, 2  },
{ 0, 3, 0, 0, 2, 3, 1, 3, 0, 2, 2, 1, 1, 0, 0, 3, 3, 2, 1, 2, 2, 3, 0, 0, 3, 1, 2, 1, 2, 3, 2, 0, 0, 0, 0, 0, 0, 0, 3, 2, 2, 2  },
{ 2, 0, 2, 0, 2, 3, 1, 3, 0, 1, 2, 3, 2, 2, 0, 3, 2, 1, 3, 3, 3, 3, 0, 0, 3, 3, 2, 0, 3, 2, 1, 2, 0, 1, 3, 0, 0, 1, 0, 2, 3, 1  },
{ 2, 3, 3, 0, 2, 2, 1, 3, 0, 3, 1, 0, 2, 0, 3, 1, 1, 1, 0, 2, 3, 3, 2, 3, 1, 2, 3, 0, 2, 3, 0, 0, 1, 0, 3, 0, 0, 1, 1, 3, 2, 0  },
{ 2, 0, 2, 0, 3, 3, 0, 3, 0, 2, 3, 0, 2, 3, 1, 0, 2, 0, 2, 2, 3, 3, 0, 3, 3, 3, 0, 0, 3, 2, 0, 0, 2, 3, 0, 1, 1, 2, 3, 2, 2, 0  },
{ 2, 0, 3, 0, 1, 1, 1, 3, 0, 2, 2, 2, 0, 3, 2, 3, 2, 0, 3, 2, 1, 2, 3, 0, 3, 3, 0, 1, 2, 2, 0, 0, 0, 1, 2, 3, 0, 3, 0, 2, 2, 2  },
{ 1, 0, 1, 0, 2, 0, 3, 3, 3, 0, 1, 0, 2, 1, 2, 2, 1, 2, 0, 1, 2, 3, 3, 2, 3, 3, 1, 2, 3, 1, 1, 0, 3, 2, 2, 0, 0, 2, 1, 0, 3, 1  },
{ 1, 0, 3, 0, 2, 1, 3, 1, 0, 3, 2, 0, 3, 0, 3, 0, 1, 0, 1, 0, 2, 1, 2, 3, 2, 3, 0, 1, 2, 2, 2, 1, 1, 1, 1, 3, 0, 3, 2, 2, 2, 1  },
{ 0, 2, 0, 1, 3, 0, 3, 0, 3, 1, 2, 1, 1, 1, 0, 1, 0, 2, 0, 1, 2, 2, 1, 3, 1, 1, 2, 0, 3, 3, 2, 3, 1, 2, 0, 3, 3, 0, 2, 2, 2, 2  },
{ 2, 1, 3, 1, 1, 3, 0, 3, 0, 2, 3, 2, 3, 1, 3, 2, 0, 3, 1, 2, 3, 0, 0, 3, 0, 2, 2, 0, 0, 0, 2, 1, 0, 1, 3, 2, 1, 3, 1, 3, 3, 2  },
{ 2, 2, 3, 1, 1, 2, 0, 3, 0, 2, 2, 0, 2, 0, 2, 3, 1, 3, 1, 2, 3, 1, 0, 3, 0, 2, 3, 1, 1, 0, 2, 2, 0, 1, 3, 2, 1, 3, 2, 2, 3, 2  },
{ 2, 2, 3, 1, 0, 2, 3, 0, 1, 2, 3, 0, 3, 2, 1, 0, 0, 3, 0, 3, 3, 2, 0, 3, 0, 2, 1, 2, 0, 0, 2, 2, 0, 1, 3, 2, 1, 3, 2, 3, 3, 2  },
{ 2, 0, 3, 1, 2, 3, 3, 3, 0, 0, 3, 2, 0, 1, 0, 0, 2, 3, 1, 0, 3, 2, 0, 3, 0, 0, 3, 1, 2, 0, 0, 0, 0, 1, 3, 3, 1, 1, 0, 3, 2, 2  },
{ 2, 0, 3, 0, 1, 3, 3, 1, 1, 2, 2, 0, 2, 1, 3, 1, 3, 1, 2, 3, 3, 2, 0, 0, 3, 2, 2, 3, 1, 2, 0, 0, 0, 1, 0, 3, 1, 3, 2, 3, 2, 0  },
{ 2, 2, 3, 1, 0, 1, 3, 0, 0, 0, 1, 3, 0, 1, 3, 0, 0, 1, 3, 2, 3, 2, 1, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 3, 0, 3, 1, 3, 3, 2  },
{ 2, 0, 3, 1, 2, 2, 1, 3, 0, 3, 2, 0, 3, 1, 0, 0, 0, 1, 2, 3, 2, 2, 0, 0, 3, 2, 0, 2, 0, 0, 0, 0, 0, 0, 1, 3, 0, 3, 2, 2, 3, 2  },
{ 2, 0, 3, 0, 2, 0, 3, 0, 0, 3, 0, 3, 0, 2, 1, 0, 1, 3, 2, 0, 2, 2, 1, 1, 3, 2, 1, 3, 0, 2, 0, 0, 0, 0, 3, 3, 0, 3, 3, 2, 0, 0  },
{ 2, 0, 3, 0, 1, 2, 1, 3, 0, 2, 2, 3, 2, 1, 1, 0, 1, 3, 0, 3, 3, 0, 2, 1, 3, 2, 1, 1, 2, 2, 0, 0, 2, 1, 3, 0, 0, 3, 3, 0, 3, 0  },
{ 2, 3, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 3, 1, 3, 2, 2, 0, 1, 0, 0, 2, 2, 0, 0, 0, 0, 3, 0, 3, 0, 3, 2, 3, 2, 0  },
{ 2, 1, 0, 0, 2, 3, 3, 1, 0, 1, 2, 1, 2, 3, 1, 0, 0, 0, 3, 2, 1, 0, 2, 0, 1, 0, 1, 2, 0, 2, 0, 0, 0, 0, 1, 3, 1, 3, 2, 2, 0, 2  },
{ 1, 0, 2, 3, 1, 0, 1, 3, 0, 0, 0, 3, 0, 2, 1, 0, 0, 3, 1, 3, 0, 2, 2, 0, 3, 0, 1, 3, 0, 2, 0, 0, 0, 0, 1, 3, 1, 3, 3, 0, 2, 2  },
{ 2, 0, 3, 2, 1, 2, 1, 3, 0, 3, 3, 0, 2, 1, 3, 1, 0, 0, 2, 3, 2, 3, 0, 3, 0, 3, 0, 1, 0, 3, 2, 0, 0, 0, 3, 2, 0, 3, 3, 2, 0, 2  },
{ 2, 0, 3, 2, 0, 3, 3, 0, 0, 1, 1, 1, 3, 2, 1, 0, 1, 0, 2, 1, 3, 3, 2, 1, 1, 2, 1, 2, 0, 2, 0, 0, 0, 2, 0, 3, 3, 0, 2, 3, 2, 2  },
{ 1, 0, 2, 3, 1, 1, 3, 1, 0, 1, 0, 2, 3, 1, 1, 0, 0, 3, 1, 2, 2, 0, 2, 0, 3, 0, 1, 3, 2, 0, 2, 0, 0, 3, 2, 3, 0, 3, 3, 2, 0, 0  },
{ 3, 2, 0, 1, 0, 2, 3, 0, 2, 0, 1, 0, 1, 2, 2, 2, 1, 3, 0, 3, 2, 3, 3, 0, 1, 2, 2, 1, 2, 3, 3, 3, 1, 3, 0, 3, 3, 0, 3, 2, 2, 0  },
{ 2, 0, 3, 0, 2, 0, 2, 3, 0, 0, 3, 1, 0, 2, 3, 3, 2, 0, 2, 2, 2, 0, 0, 0, 3, 2, 3, 3, 0, 2, 1, 2, 0, 1, 3, 0, 1, 1, 0, 2, 2, 2  },
{ 2, 3, 1, 0, 2, 2, 1, 3, 1, 3, 1, 1, 2, 0, 1, 3, 0, 1, 0, 3, 2, 0, 0, 1, 3, 2, 3, 2, 1, 2, 2, 2, 0, 0, 0, 0, 1, 3, 1, 3, 2, 0  },
{ 2, 3, 1, 0, 0, 1, 1, 3, 1, 2, 3, 0, 3, 3, 2, 3, 1, 0, 3, 3, 2, 3, 0, 1, 3, 0, 3, 0, 2, 2, 0, 2, 0, 3, 3, 0, 0, 0, 1, 0, 2, 0  },
{ 2, 0, 3, 0, 2, 2, 1, 3, 0, 1, 3, 0, 3, 1, 0, 3, 2, 2, 2, 3, 0, 2, 1, 1, 3, 1, 3, 2, 2, 2, 0, 0, 0, 3, 3, 1, 0, 1, 2, 0, 2, 0  },
{ 0, 0, 0, 0, 3, 2, 1, 3, 0, 2, 1, 2, 2, 3, 0, 1, 3, 0, 0, 1, 3, 3, 0, 3, 3, 0, 1, 0, 3, 3, 2, 2, 0, 3, 3, 0, 0, 0, 1, 0, 0, 0  },
{ 1, 3, 0, 0, 2, 1, 2, 3, 0, 3, 2, 2, 0, 1, 0, 2, 2, 0, 3, 0, 3, 2, 1, 1, 3, 3, 2, 0, 2, 3, 2, 0, 0, 3, 2, 0, 0, 0, 3, 3, 1, 0  },
{ 0, 2, 1, 2, 3, 0, 3, 3, 0, 0, 1, 1, 1, 3, 2, 1, 1, 3, 3, 0, 0, 2, 3, 3, 0, 3, 3, 2, 0, 3, 2, 2, 1, 1, 3, 1, 0, 1, 3, 0, 1, 3  },
{ 2, 0, 2, 3, 3, 1, 2, 3, 0, 1, 3, 1, 0, 3, 0, 2, 3, 2, 2, 0, 0, 2, 1, 2, 3, 1, 0, 0, 3, 3, 3, 2, 1, 2, 0, 0, 0, 1, 2, 2, 1, 3  },
{ 1, 0, 1, 0, 1, 3, 3, 3, 0, 2, 2, 3, 1, 3, 0, 2, 0, 0, 2, 3, 0, 2, 2, 3, 0, 3, 3, 1, 2, 3, 2, 2, 2, 3, 0, 0, 0, 3, 1, 0, 3, 3  },
{ 1, 2, 0, 2, 1, 3, 3, 3, 1, 2, 3, 0, 0, 2, 2, 3, 1, 3, 2, 3, 3, 3, 0, 1, 1, 2, 3, 1, 3, 1, 2, 2, 1, 3, 3, 2, 1, 3, 2, 3, 0, 2  },
{ 2, 1, 0, 1, 2, 3, 3, 3, 1, 2, 3, 1, 2, 2, 3, 2, 1, 3, 0, 3, 1, 3, 0, 3, 1, 2, 3, 1, 0, 2, 0, 2, 0, 1, 3, 2, 1, 3, 2, 3, 1, 2  },
{ 1, 2, 0, 2, 2, 3, 1, 3, 1, 2, 2, 0, 2, 1, 3, 1, 1, 3, 0, 3, 1, 3, 0, 3, 1, 2, 3, 1, 0, 2, 2, 2, 0, 0, 3, 1, 1, 0, 3, 2, 0, 2  },
{ 2, 0, 1, 3, 1, 2, 3, 1, 0, 2, 3, 0, 3, 2, 3, 1, 1, 3, 2, 1, 3, 2, 0, 3, 1, 2, 3, 2, 2, 0, 0, 0, 0, 1, 3, 3, 1, 3, 2, 0, 3, 2  },
{ 2, 0, 3, 1, 3, 0, 3, 1, 1, 2, 1, 0, 2, 0, 3, 0, 1, 2, 0, 3, 0, 2, 0, 3, 3, 2, 3, 2, 2, 1, 0, 0, 0, 1, 3, 0, 1, 3, 2, 0, 3, 0  },
{ 2, 1, 0, 1, 2, 3, 3, 1, 0, 2, 3, 2, 0, 1, 1, 3, 1, 3, 0, 0, 3, 2, 2, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 0, 1, 3, 1, 1, 3, 2  },
{ 2, 3, 0, 1, 2, 3, 0, 1, 0, 1, 0, 3, 0, 3, 0, 0, 0, 3, 3, 2, 2, 2, 3, 0, 3, 2, 3, 0, 1, 3, 0, 0, 0, 2, 3, 0, 1, 3, 2, 1, 3, 0  },
{ 1, 0, 2, 0, 2, 3, 0, 1, 0, 0, 2, 3, 2, 0, 3, 0, 2, 3, 0, 3, 3, 2, 0, 1, 3, 3, 1, 3, 0, 3, 2, 0, 0, 2, 3, 1, 1, 3, 2, 0, 2, 0  },
{ 2, 2, 0, 1, 0, 3, 3, 1, 0, 2, 1, 0, 3, 0, 0, 0, 0, 2, 0, 2, 3, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 3, 1, 0, 1, 3, 2, 1, 3, 2  },
{ 2, 1, 0, 1, 3, 2, 0, 1, 0, 2, 2, 3, 0, 1, 3, 1, 1, 0, 3, 3, 2, 2, 3, 1, 0, 0, 1, 3, 1, 2, 0, 0, 0, 0, 0, 3, 0, 3, 2, 1, 0, 0  },
{ 0, 1, 2, 3, 0, 3, 1, 0, 0, 0, 3, 0, 1, 3, 1, 0, 0, 2, 3, 0, 3, 3, 2, 3, 3, 2, 0, 0, 3, 0, 3, 0, 0, 0, 2, 3, 0, 3, 2, 0, 3, 0  },
{ 0, 1, 0, 0, 3, 1, 2, 3, 0, 2, 0, 3, 3, 1, 3, 0, 1, 3, 0, 2, 0, 0, 2, 1, 3, 2, 3, 0, 2, 3, 0, 0, 0, 0, 3, 2, 0, 3, 1, 2, 2, 0  },
{ 1, 0, 3, 0, 1, 2, 1, 3, 0, 1, 1, 3, 0, 3, 0, 0, 3, 0, 3, 1, 2, 3, 3, 2, 2, 1, 0, 2, 2, 3, 3, 0, 1, 0, 2, 1, 0, 3, 1, 3, 2, 0  },
{ 2, 2, 0, 1, 0, 1, 3, 2, 2, 0, 1, 3, 2, 0, 1, 0, 1, 0, 3, 0, 3, 2, 3, 0, 0, 1, 0, 2, 2, 3, 0, 2, 0, 0, 1, 3, 3, 3, 2, 3, 3, 0  },
{ 2, 1, 0, 2, 3, 2, 3, 1, 0, 1, 1, 2, 1, 3, 0, 0, 1, 3, 1, 2, 0, 3, 2, 1, 0, 1, 1, 2, 3, 3, 2, 0, 0, 0, 0, 3, 1, 3, 2, 0, 0, 0  },
{ 2, 3, 0, 1, 2, 3, 3, 1, 0, 0, 0, 2, 3, 3, 1, 0, 0, 0, 3, 3, 0, 2, 2, 1, 3, 0, 0, 3, 0, 3, 0, 0, 0, 0, 0, 3, 0, 3, 2, 0, 2, 2  },
{ 0, 1, 2, 3, 0, 3, 2, 0, 0, 0, 1, 3, 0, 1, 0, 0, 1, 2, 3, 3, 0, 1, 2, 0, 3, 0, 2, 0, 2, 2, 3, 2, 3, 0, 2, 3, 0, 3, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 2, 2, 0, 2, 0, 0, 3, 0, 0, 0, 0, 1, 0, 3, 1, 0, 1, 1, 0, 0, 0, 1, 0, 2, 3, 0, 0, 1, 1, 3, 0, 0, 1, 0, 0, 1, 0  },
{ 1, 2, 0, 2, 0, 3, 0, 3, 0, 3, 2, 1, 2, 1, 3, 3, 0, 0, 2, 3, 1, 2, 1, 3, 1, 2, 3, 3, 1, 1, 2, 2, 0, 0, 3, 3, 1, 3, 0, 3, 0, 2  },
{ 2, 1, 3, 0, 0, 2, 3, 0, 0, 3, 0, 0, 0, 3, 0, 3, 2, 2, 3, 3, 1, 0, 1, 3, 1, 0, 3, 1, 0, 2, 2, 2, 2, 2, 3, 0, 1, 1, 1, 2, 0, 2  },
{ 1, 0, 1, 0, 2, 3, 0, 0, 0, 0, 1, 3, 3, 3, 2, 3, 3, 0, 1, 2, 2, 1, 1, 3, 3, 2, 3, 2, 3, 1, 0, 1, 0, 1, 3, 0, 1, 1, 3, 0, 2, 0  },
{ 2, 3, 2, 0, 0, 2, 3, 1, 1, 1, 3, 2, 0, 3, 2, 2, 3, 0, 3, 0, 1, 2, 0, 1, 0, 2, 2, 2, 3, 3, 3, 2, 0, 1, 3, 0, 0, 2, 3, 1, 0, 3  },
{ 1, 0, 1, 0, 3, 2, 0, 0, 0, 3, 0, 3, 0, 2, 1, 2, 1, 1, 0, 2, 3, 2, 0, 3, 1, 0, 0, 1, 3, 3, 3, 1, 0, 0, 3, 0, 2, 3, 0, 2, 1, 0  },
{ 0, 1, 0, 0, 2, 1, 3, 3, 0, 1, 3, 0, 2, 0, 3, 0, 1, 1, 3, 0, 3, 2, 3, 1, 2, 3, 1, 2, 3, 3, 3, 0, 0, 1, 3, 0, 0, 3, 0, 1, 2, 0  },
{ 0, 1, 1, 0, 3, 0, 3, 1, 1, 2, 3, 2, 0, 3, 0, 2, 3, 1, 3, 2, 2, 2, 0, 0, 3, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 3, 2, 0, 3, 1, 3  },
{ 0, 1, 3, 1, 0, 2, 1, 3, 0, 1, 3, 2, 0, 0, 0, 1, 0, 1, 3, 0, 3, 2, 1, 3, 2, 2, 3, 1, 1, 2, 0, 1, 0, 2, 3, 0, 3, 2, 3, 2, 2, 0  },
{ 1, 3, 3, 3, 2, 1, 0, 3, 0, 0, 1, 3, 0, 3, 0, 0, 1, 2, 3, 2, 1, 2, 2, 2, 0, 1, 2, 2, 0, 3, 3, 0, 0, 1, 0, 0, 3, 1, 3, 3, 1, 3  },
{ 1, 0, 1, 3, 3, 0, 2, 3, 0, 2, 2, 0, 0, 3, 1, 0, 3, 1, 0, 1, 2, 1, 1, 2, 3, 0, 2, 0, 3, 2, 3, 0, 0, 0, 2, 0, 0, 3, 2, 1, 3, 2  },
{ 1, 1, 0, 1, 2, 3, 3, 3, 1, 3, 0, 0, 3, 0, 3, 2, 2, 1, 1, 2, 0, 2, 2, 3, 1, 1, 3, 2, 3, 2, 1, 1, 2, 3, 3, 1, 1, 0, 0, 3, 0, 2  },
{ 2, 1, 0, 1, 0, 0, 3, 0, 1, 1, 0, 1, 3, 3, 3, 0, 2, 3, 1, 3, 0, 3, 1, 3, 1, 0, 0, 2, 1, 2, 1, 1, 1, 2, 3, 3, 1, 2, 3, 3, 0, 2  },
{ 2, 1, 0, 1, 2, 0, 3, 3, 2, 2, 0, 2, 3, 2, 0, 3, 1, 3, 1, 3, 0, 3, 1, 0, 2, 1, 0, 0, 1, 2, 0, 1, 2, 3, 3, 1, 2, 3, 2, 3, 0, 2  },
{ 1, 2, 0, 1, 0, 0, 3, 1, 0, 1, 3, 1, 3, 0, 3, 0, 2, 2, 3, 2, 1, 3, 0, 3, 0, 0, 0, 3, 0, 3, 1, 1, 1, 2, 3, 1, 1, 3, 0, 3, 0, 2  },
{ 2, 1, 0, 1, 2, 0, 3, 2, 2, 3, 0, 1, 0, 0, 3, 0, 1, 3, 1, 1, 3, 1, 0, 3, 1, 2, 2, 1, 1, 1, 1, 1, 1, 2, 3, 2, 1, 3, 2, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 3, 2, 1, 3, 1, 0, 1, 3, 0, 2, 3, 2, 1, 3, 1, 0, 3, 1, 2, 3, 1, 0, 3, 1, 1, 0, 2, 3, 3, 1, 3, 0, 2, 1, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 1, 0, 2, 3, 1, 0, 3, 0, 0, 1, 2, 3, 1, 3, 2, 3, 3, 3, 2, 3, 0, 3, 3, 1, 1, 1, 2, 3, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 3, 2, 2, 3, 2, 0, 0, 1, 1, 0, 2, 0, 3, 0, 2, 3, 2, 3, 1, 2, 3, 0, 3, 3, 0, 0, 3, 2, 3, 0, 0, 2, 3, 0, 1, 3, 2, 1, 2, 0  },
{ 2, 1, 0, 2, 2, 3, 3, 2, 2, 2, 1, 3, 1, 3, 0, 0, 0, 2, 1, 3, 3, 1, 3, 0, 0, 0, 0, 2, 1, 2, 1, 1, 1, 3, 0, 0, 3, 2, 3, 0, 3, 0  },
{ 2, 0, 1, 0, 2, 3, 1, 0, 2, 1, 1, 0, 3, 1, 3, 0, 2, 3, 2, 1, 3, 2, 3, 0, 0, 0, 0, 1, 3, 0, 2, 0, 1, 1, 2, 3, 0, 0, 3, 1, 3, 0  },
{ 2, 1, 0, 1, 0, 3, 2, 3, 0, 3, 0, 1, 2, 1, 1, 0, 2, 3, 3, 0, 3, 1, 2, 3, 0, 1, 3, 2, 3, 3, 2, 0, 0, 1, 2, 3, 0, 1, 0, 0, 3, 0  },
{ 0, 1, 0, 1, 2, 0, 2, 3, 0, 3, 0, 3, 1, 3, 0, 0, 2, 3, 1, 3, 2, 0, 3, 2, 2, 1, 0, 1, 0, 3, 2, 0, 0, 0, 3, 0, 0, 3, 0, 0, 2, 0  },
{ 2, 2, 0, 1, 0, 0, 3, 0, 0, 2, 1, 3, 0, 3, 0, 2, 0, 3, 2, 1, 3, 2, 3, 2, 0, 1, 0, 2, 0, 2, 3, 0, 2, 1, 2, 0, 3, 3, 2, 3, 2, 0  },
{ 2, 1, 0, 1, 3, 2, 3, 0, 0, 2, 0, 1, 3, 1, 0, 0, 2, 3, 3, 0, 3, 2, 1, 3, 1, 1, 3, 0, 2, 0, 3, 0, 0, 1, 2, 3, 0, 3, 0, 0, 0, 2  },
{ 3, 2, 0, 1, 1, 3, 0, 0, 0, 0, 2, 3, 1, 3, 0, 0, 2, 3, 1, 2, 3, 0, 1, 2, 2, 3, 1, 2, 1, 3, 0, 0, 0, 0, 3, 2, 0, 3, 0, 2, 2, 0  },
{ 3, 0, 1, 2, 0, 0, 3, 3, 0, 2, 2, 0, 2, 2, 0, 2, 3, 2, 0, 3, 3, 3, 0, 3, 0, 1, 0, 2, 3, 2, 3, 0, 2, 1, 1, 3, 3, 3, 2, 3, 2, 0  },
{ 2, 1, 0, 0, 3, 3, 2, 0, 0, 1, 2, 0, 3, 2, 1, 0, 0, 2, 0, 3, 2, 0, 0, 3, 0, 1, 1, 3, 1, 1, 3, 0, 0, 3, 0, 3, 3, 1, 2, 2, 2, 0  },
{ 3, 2, 3, 1, 0, 1, 0, 3, 2, 1, 0, 3, 0, 1, 3, 0, 0, 2, 3, 0, 0, 2, 0, 3, 0, 0, 3, 0, 3, 3, 2, 2, 0, 1, 2, 2, 0, 3, 0, 1, 0, 0  },
{ 1, 1, 0, 2, 0, 2, 0, 3, 1, 0, 0, 3, 2, 3, 1, 3, 2, 0, 1, 3, 0, 1, 0, 0, 1, 0, 1, 3, 2, 2, 2, 2, 1, 3, 2, 3, 1, 0, 1, 3, 0, 2  },
{ 0, 1, 3, 2, 0, 2, 0, 3, 1, 2, 0, 3, 1, 0, 3, 1, 2, 3, 2, 3, 0, 1, 1, 3, 1, 0, 0, 3, 0, 2, 0, 2, 1, 2, 3, 2, 1, 3, 1, 3, 0, 2  },
{ 1, 0, 3, 0, 1, 2, 3, 0, 0, 0, 0, 3, 3, 2, 3, 3, 2, 3, 2, 0, 1, 3, 1, 3, 1, 0, 0, 0, 0, 3, 2, 2, 1, 3, 3, 0, 1, 1, 3, 0, 1, 2  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 3, 3, 1, 3, 2, 3, 1, 3, 1, 2, 1, 3, 1, 0, 0, 2, 0, 3, 0, 2, 1, 3, 0, 0, 1, 2, 3, 3, 1, 2  },
{ 1, 0, 2, 3, 3, 0, 3, 0, 0, 2, 3, 0, 0, 1, 0, 3, 1, 1, 2, 3, 1, 3, 1, 3, 3, 0, 0, 3, 0, 3, 0, 0, 0, 2, 3, 0, 1, 0, 2, 3, 1, 0  },
{ 2, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 3, 3, 1, 0, 3, 0, 1, 2, 0, 0, 1, 3, 1, 3, 2, 3, 3, 2, 3, 0, 3, 0, 2, 2, 2, 0, 0, 3  },
{ 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 1, 2, 3, 0, 0, 3, 2, 3, 0, 0, 3, 0, 0, 3, 2, 3, 0, 0, 0, 3, 2, 0, 1, 0, 3, 0, 2, 0, 3, 0, 1, 0  },
{ 3, 1, 1, 0, 2, 3, 2, 0, 0, 0, 0, 3, 1, 2, 1, 1, 3, 2, 2, 3, 3, 2, 3, 1, 0, 2, 3, 0, 0, 3, 3, 2, 0, 1, 0, 3, 2, 0, 2, 0, 0, 3  },
{ 1, 3, 2, 3, 0, 1, 0, 0, 0, 0, 0, 3, 2, 3, 1, 1, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 2, 1, 3, 3, 3, 0, 0, 0, 3, 1, 2, 2, 3, 0, 1, 3  },
{ 1, 1, 0, 1, 0, 1, 3, 1, 1, 0, 0, 1, 2, 0, 1, 0, 1, 3, 2, 3, 0, 2, 3, 0, 1, 1, 2, 0, 3, 2, 1, 1, 2, 0, 0, 1, 0, 3, 3, 2, 0, 1  },
{ 1, 0, 1, 0, 1, 0, 3, 3, 1, 0, 0, 1, 2, 0, 0, 3, 0, 0, 0, 3, 0, 2, 1, 0, 1, 1, 3, 2, 3, 2, 1, 1, 2, 3, 3, 1, 1, 0, 0, 3, 0, 2  },
{ 1, 2, 0, 1, 1, 3, 3, 3, 2, 0, 1, 2, 3, 2, 0, 0, 0, 0, 0, 0, 3, 1, 3, 0, 0, 1, 2, 2, 0, 1, 0, 1, 3, 0, 3, 1, 3, 0, 3, 3, 0, 2  },
{ 2, 1, 0, 1, 0, 0, 3, 2, 3, 2, 1, 1, 3, 0, 3, 0, 0, 0, 3, 3, 0, 3, 2, 3, 1, 1, 3, 0, 3, 1, 1, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 3, 1, 1, 1, 3, 1, 0, 3, 0, 2, 3, 1, 2, 0, 3, 1, 3, 1, 0, 3, 0, 0, 3, 1, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 0, 1, 3, 2, 2, 0, 3, 1, 1, 0, 1, 0, 2, 0, 3, 2, 2, 0, 2, 1, 3, 0, 2, 3, 0, 1, 0, 0, 0, 0, 1, 1, 1, 3, 1, 1, 2, 3, 2, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 1, 0, 3, 2, 2, 1, 3, 1, 3, 3, 0, 2, 3, 3, 1, 3, 0, 3, 3, 1, 0, 0, 0, 2, 3, 0, 0, 1, 2, 0, 3, 1, 2, 2, 3, 0, 1  },
{ 2, 1, 0, 1, 0, 0, 3, 3, 1, 2, 3, 2, 1, 0, 0, 0, 0, 0, 3, 1, 3, 0, 3, 3, 0, 1, 3, 0, 2, 3, 0, 1, 1, 2, 3, 0, 1, 0, 0, 3, 1, 1  },
{ 1, 0, 0, 1, 1, 2, 3, 0, 1, 1, 1, 0, 1, 3, 1, 0, 1, 3, 1, 3, 1, 2, 3, 0, 3, 0, 0, 2, 0, 3, 3, 1, 1, 2, 0, 0, 1, 3, 1, 3, 1, 1  },
{ 0, 1, 0, 2, 2, 3, 3, 1, 1, 2, 1, 1, 3, 0, 0, 2, 2, 3, 0, 0, 3, 0, 3, 1, 0, 1, 1, 1, 3, 1, 2, 1, 1, 3, 0, 1, 2, 3, 2, 3, 0, 1  },
{ 1, 1, 0, 1, 2, 3, 3, 3, 2, 0, 2, 3, 0, 3, 0, 0, 2, 3, 0, 3, 2, 0, 2, 3, 0, 0, 1, 0, 3, 2, 0, 0, 0, 2, 2, 3, 1, 3, 2, 3, 1, 0  },
{ 2, 1, 0, 1, 1, 0, 0, 3, 2, 3, 0, 0, 1, 3, 0, 0, 2, 3, 3, 1, 3, 2, 3, 0, 3, 2, 0, 1, 2, 3, 3, 0, 0, 1, 3, 0, 1, 0, 2, 0, 3, 0  },
{ 2, 1, 0, 1, 3, 2, 1, 3, 2, 3, 1, 0, 0, 1, 0, 0, 2, 3, 3, 1, 2, 1, 2, 3, 2, 2, 0, 1, 3, 3, 0, 0, 1, 1, 2, 0, 0, 3, 1, 0, 2, 0  },
{ 1, 3, 0, 1, 3, 2, 3, 0, 0, 1, 0, 3, 3, 0, 1, 0, 1, 2, 1, 1, 3, 2, 0, 2, 2, 2, 3, 0, 1, 3, 3, 0, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0  },
{ 0, 1, 3, 2, 2, 2, 3, 0, 1, 2, 0, 2, 2, 3, 0, 2, 0, 3, 0, 1, 3, 0, 0, 3, 0, 1, 1, 1, 0, 2, 3, 0, 2, 0, 3, 0, 3, 3, 3, 2, 3, 0  },
{ 1, 0, 1, 1, 1, 0, 3, 3, 2, 2, 3, 0, 3, 2, 0, 0, 2, 1, 0, 1, 3, 2, 1, 3, 0, 1, 0, 3, 1, 3, 2, 0, 1, 1, 2, 3, 1, 3, 0, 2, 2, 0  },
{ 3, 0, 1, 3, 2, 3, 0, 0, 2, 1, 3, 0, 1, 3, 0, 0, 2, 3, 1, 3, 1, 2, 0, 3, 0, 1, 1, 0, 1, 3, 2, 1, 1, 1, 2, 3, 0, 3, 2, 1, 3, 0  },
{ 1, 3, 0, 1, 2, 3, 2, 3, 2, 0, 3, 3, 0, 1, 0, 0, 1, 3, 0, 3, 0, 2, 0, 0, 2, 2, 0, 1, 3, 3, 3, 3, 0, 1, 3, 2, 0, 2, 0, 1, 2, 0  },
{ 3, 3, 1, 2, 2, 3, 0, 0, 3, 2, 2, 1, 2, 3, 0, 2, 2, 0, 3, 1, 3, 3, 1, 3, 0, 1, 0, 2, 1, 3, 0, 0, 2, 3, 0, 2, 3, 0, 2, 3, 2, 2  },
{ 2, 1, 0, 0, 3, 2, 2, 3, 3, 0, 0, 2, 3, 1, 0, 2, 2, 0, 3, 2, 0, 1, 0, 3, 0, 0, 0, 1, 1, 3, 2, 2, 1, 2, 1, 2, 0, 3, 0, 1, 2, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 3, 1, 0, 0, 1, 0, 3, 0, 3, 1, 2, 3, 3, 0, 1, 1, 1, 1, 0, 0, 3, 3, 2, 1, 2, 1, 3, 0, 3, 1, 3, 2, 2, 0, 1  },
{ 1, 0, 0, 3, 0, 0, 2, 3, 0, 1, 3, 1, 3, 0, 1, 3, 0, 0, 1, 0, 0, 3, 1, 3, 1, 2, 3, 3, 3, 3, 0, 2, 3, 3, 3, 1, 1, 0, 0, 0, 1, 2  },
{ 1, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 3, 2, 1, 3, 0, 2, 3, 0, 1, 1, 1, 3, 1, 0, 0, 1, 3, 3, 1, 2, 1, 3, 2, 0, 1, 3, 2, 3, 1, 1  },
{ 0, 1, 0, 1, 0, 1, 0, 3, 1, 1, 3, 3, 1, 0, 3, 0, 2, 3, 1, 3, 1, 1, 1, 2, 0, 0, 0, 1, 1, 3, 0, 1, 1, 3, 3, 1, 1, 1, 3, 1, 0, 1  },
{ 1, 0, 3, 0, 1, 1, 0, 0, 0, 0, 3, 3, 2, 3, 1, 2, 3, 0, 0, 0, 1, 1, 0, 3, 0, 2, 3, 3, 0, 3, 3, 2, 1, 2, 3, 1, 1, 1, 2, 0, 1, 3  },
{ 2, 3, 3, 1, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 3, 0, 2, 3, 1, 1, 1, 1, 2, 1, 1, 0, 3, 0, 3, 3, 0, 1, 0, 3, 0, 0, 3, 0, 3, 1, 0  },
{ 0, 1, 1, 2, 3, 0, 3, 0, 0, 1, 1, 0, 3, 0, 1, 0, 1, 3, 1, 0, 3, 1, 3, 0, 3, 1, 0, 3, 0, 3, 2, 0, 1, 2, 2, 0, 2, 3, 2, 3, 1, 0  },
{ 3, 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 0, 3, 1, 2, 0, 1, 3, 2, 2, 2, 1, 0, 0, 2, 1, 0, 0, 3, 3, 0, 3, 0, 3, 3, 3, 3, 1, 0, 0, 3  },
{ 1, 0, 3, 3, 3, 1, 2, 3, 0, 1, 0, 3, 2, 0, 0, 3, 3, 2, 1, 0, 3, 0, 1, 2, 3, 2, 0, 2, 3, 2, 3, 0, 0, 1, 0, 0, 3, 0, 0, 2, 3, 2  },
{ 0, 1, 0, 2, 0, 0, 3, 2, 0, 0, 3, 0, 0, 0, 3, 1, 0, 1, 3, 2, 3, 1, 2, 2, 3, 1, 1, 2, 1, 2, 3, 0, 0, 3, 3, 0, 3, 0, 3, 0, 2, 0  },
{ 2, 1, 1, 1, 0, 2, 1, 0, 0, 1, 3, 0, 0, 1, 3, 0, 1, 2, 1, 0, 0, 3, 3, 0, 2, 0, 3, 1, 2, 3, 0, 1, 1, 0, 0, 3, 0, 0, 1, 0, 2, 1  },
{ 1, 3, 1, 3, 2, 2, 1, 3, 2, 1, 3, 2, 2, 3, 0, 3, 1, 1, 1, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0, 3, 3, 2, 1, 0, 2, 0, 3, 2, 3, 0, 2, 2  },
{ 3, 1, 0, 1, 0, 1, 3, 0, 1, 0, 3, 2, 2, 0, 0, 0, 0, 1, 0, 2, 0, 3, 3, 0, 1, 1, 2, 3, 0, 1, 0, 1, 0, 2, 0, 1, 3, 0, 3, 0, 2, 1  },
{ 1, 0, 1, 0, 1, 3, 3, 3, 1, 0, 2, 1, 0, 2, 0, 0, 0, 0, 3, 0, 3, 0, 3, 0, 1, 1, 3, 2, 3, 2, 0, 1, 2, 3, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 3, 1, 0, 1, 1, 2, 3, 3, 2, 0, 2, 0, 2, 3, 1, 0, 0, 0, 3, 0, 3, 0, 3, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 3, 0, 1, 0, 3, 1, 3, 0, 1  },
{ 1, 1, 0, 1, 3, 1, 3, 0, 1, 0, 2, 3, 3, 0, 3, 3, 1, 1, 0, 2, 0, 3, 0, 3, 1, 0, 1, 0, 2, 3, 0, 0, 2, 3, 3, 0, 1, 3, 0, 3, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 3, 1, 3, 0, 0, 1, 3, 1, 3, 1, 1, 0, 1, 0, 0, 2, 0, 3, 1, 0, 3, 0, 3, 2, 0, 1, 1, 2, 0, 3, 1, 0, 3, 0, 0, 1  },
{ 0, 1, 0, 1, 2, 0, 3, 1, 1, 0, 2, 3, 3, 1, 2, 0, 0, 0, 3, 0, 3, 0, 3, 0, 2, 1, 2, 0, 3, 0, 3, 0, 2, 3, 0, 2, 3, 3, 2, 3, 0, 1  },
{ 1, 1, 0, 1, 0, 0, 3, 0, 1, 1, 2, 3, 3, 0, 3, 0, 0, 0, 1, 0, 3, 0, 3, 0, 1, 1, 3, 0, 3, 3, 0, 0, 1, 2, 0, 3, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 3, 2, 3, 0, 0, 0, 3, 0, 3, 0, 0, 3, 0, 1, 1, 3, 0, 3, 0, 0, 0, 2, 3, 1, 0, 3, 0, 2, 1, 0  },
{ 1, 3, 0, 2, 0, 2, 3, 1, 2, 2, 3, 0, 1, 0, 3, 0, 1, 0, 1, 3, 3, 0, 3, 2, 3, 0, 0, 2, 0, 3, 0, 0, 1, 2, 3, 0, 1, 0, 2, 0, 1, 0  },
{ 0, 1, 3, 2, 2, 3, 1, 3, 2, 0, 2, 0, 3, 3, 2, 0, 3, 0, 3, 2, 3, 0, 3, 0, 0, 2, 0, 2, 3, 0, 3, 0, 3, 0, 3, 2, 1, 3, 3, 2, 0, 0  },
{ 2, 0, 3, 1, 2, 2, 3, 0, 1, 0, 1, 1, 0, 3, 0, 1, 2, 1, 3, 0, 3, 0, 0, 3, 0, 1, 0, 0, 3, 3, 0, 0, 0, 3, 1, 3, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 2, 0, 3, 2, 3, 0, 0, 0, 2, 2, 1, 1, 1, 3, 3, 3, 0, 0, 3, 0, 0, 2, 0, 3, 3, 0, 0, 1, 2, 1, 3, 1, 0, 3, 0, 2, 0  },
{ 1, 3, 0, 2, 3, 2, 0, 0, 2, 3, 2, 0, 3, 2, 0, 0, 1, 3, 3, 1, 2, 1, 0, 1, 2, 2, 0, 1, 3, 3, 0, 0, 1, 2, 1, 0, 1, 2, 0, 1, 3, 0  },
{ 1, 2, 0, 2, 2, 0, 3, 2, 1, 3, 2, 0, 1, 3, 0, 0, 0, 3, 3, 2, 0, 1, 0, 1, 2, 2, 0, 0, 3, 2, 3, 0, 1, 2, 1, 0, 3, 1, 0, 2, 2, 0  },
{ 0, 0, 0, 1, 2, 0, 3, 0, 2, 1, 0, 0, 3, 1, 0, 2, 2, 3, 0, 1, 3, 3, 0, 3, 0, 0, 2, 3, 1, 0, 3, 0, 0, 3, 1, 0, 1, 3, 2, 3, 2, 0  },
{ 1, 1, 0, 0, 3, 2, 3, 3, 2, 1, 0, 3, 2, 3, 1, 0, 0, 0, 1, 2, 3, 2, 0, 3, 0, 1, 3, 0, 1, 3, 0, 0, 0, 1, 2, 3, 0, 2, 3, 0, 2, 0  },
{ 0, 1, 3, 1, 0, 2, 3, 1, 1, 2, 3, 1, 3, 2, 0, 0, 1, 3, 0, 1, 3, 3, 0, 3, 0, 0, 1, 2, 1, 3, 2, 0, 1, 1, 2, 3, 1, 0, 3, 0, 2, 1  },
{ 0, 0, 0, 2, 2, 0, 2, 3, 1, 0, 3, 0, 1, 2, 0, 0, 1, 3, 3, 3, 0, 3, 0, 0, 1, 2, 0, 1, 2, 3, 0, 0, 1, 1, 2, 0, 0, 1, 0, 3, 0, 0  },
{ 1, 2, 0, 2, 1, 0, 2, 1, 1, 3, 3, 0, 1, 3, 0, 0, 2, 2, 3, 3, 0, 1, 1, 0, 1, 2, 0, 3, 0, 3, 2, 3, 0, 3, 1, 0, 0, 1, 0, 2, 2, 0  },
{ 3, 2, 3, 1, 2, 3, 3, 0, 0, 0, 3, 0, 2, 2, 1, 0, 0, 1, 2, 3, 1, 2, 3, 2, 0, 0, 2, 0, 1, 3, 3, 0, 1, 2, 0, 0, 3, 2, 2, 3, 2, 1  },
{ 1, 0, 3, 1, 1, 2, 3, 0, 0, 2, 0, 3, 2, 1, 1, 0, 1, 0, 2, 3, 1, 0, 1, 3, 0, 0, 3, 0, 0, 3, 1, 2, 0, 2, 0, 2, 0, 3, 2, 1, 1, 0  },
{ 3, 1, 0, 0, 2, 3, 0, 3, 1, 2, 2, 2, 1, 3, 0, 0, 0, 3, 0, 0, 3, 2, 1, 3, 0, 1, 0, 1, 2, 3, 2, 1, 0, 0, 2, 2, 0, 3, 2, 1, 0, 0  },
{ 0, 1, 3, 2, 1, 3, 0, 2, 1, 0, 1, 2, 3, 1, 0, 0, 1, 3, 0, 0, 3, 0, 2, 0, 2, 2, 3, 3, 3, 1, 0, 2, 0, 0, 2, 3, 0, 3, 0, 2, 1, 0  },
{ 0, 1, 0, 1, 0, 1, 3, 3, 1, 0, 0, 1, 2, 0, 0, 3, 1, 3, 1, 3, 0, 3, 0, 0, 1, 0, 0, 3, 3, 2, 1, 1, 2, 0, 3, 1, 1, 0, 1, 2, 0, 1  },
{ 0, 1, 0, 1, 1, 0, 3, 3, 3, 0, 3, 0, 0, 0, 0, 1, 0, 1, 1, 2, 0, 3, 2, 3, 0, 1, 1, 3, 0, 3, 0, 1, 2, 2, 3, 1, 1, 0, 0, 3, 0, 1  },
{ 1, 3, 0, 1, 0, 1, 0, 3, 0, 1, 0, 3, 0, 3, 1, 3, 0, 0, 1, 2, 0, 2, 1, 1, 1, 1, 3, 3, 2, 3, 1, 2, 2, 2, 3, 0, 1, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 1, 3, 2, 0, 3, 0, 0, 0, 3, 0, 2, 0, 1, 1, 3, 1, 0, 0, 3, 0, 3, 0, 0, 0, 0, 3, 3, 0, 2, 1, 0, 3, 1, 1, 3, 0, 0, 0, 1  },
{ 0, 1, 0, 1, 3, 2, 1, 1, 3, 0, 3, 0, 0, 3, 0, 0, 1, 2, 3, 3, 0, 3, 1, 2, 3, 0, 0, 1, 2, 2, 0, 1, 1, 2, 0, 1, 1, 0, 3, 3, 0, 1  },
{ 1, 1, 0, 1, 0, 3, 0, 3, 1, 2, 3, 2, 1, 0, 3, 0, 1, 0, 3, 3, 0, 1, 1, 2, 3, 0, 0, 1, 0, 3, 0, 1, 1, 2, 0, 0, 3, 1, 3, 3, 1, 1  },
{ 1, 2, 0, 1, 3, 2, 0, 3, 0, 0, 2, 0, 0, 3, 1, 3, 1, 3, 3, 0, 0, 1, 1, 2, 0, 2, 3, 0, 3, 2, 0, 2, 0, 0, 3, 1, 1, 0, 0, 0, 1, 3  },
{ 1, 0, 1, 1, 1, 3, 1, 0, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 1, 3, 0, 2, 0, 3, 0, 1, 1, 0, 3, 3, 1, 1  },
{ 0, 1, 2, 1, 3, 1, 3, 0, 0, 1, 3, 2, 3, 0, 3, 0, 2, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0, 1, 1, 0, 3, 0, 1, 0, 0, 2, 0, 1  },
{ 3, 0, 0, 1, 0, 2, 3, 0, 1, 3, 3, 0, 3, 0, 3, 0, 1, 1, 3, 0, 3, 1, 3, 0, 3, 0, 0, 1, 1, 3, 3, 0, 2, 1, 3, 0, 1, 0, 1, 0, 1, 0  },
{ 0, 3, 2, 1, 0, 0, 3, 2, 0, 0, 0, 3, 0, 3, 0, 0, 1, 1, 3, 3, 0, 1, 0, 1, 2, 3, 0, 0, 3, 2, 3, 0, 0, 0, 3, 0, 1, 0, 0, 3, 1, 0  },
{ 3, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 3, 0, 2, 3, 0, 3, 0, 3, 2, 0, 0, 0, 1, 3, 0, 0, 3, 3, 2, 3, 0, 0, 3, 1, 0, 2, 3, 3, 3  },
{ 3, 1, 1, 2, 2, 3, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 2, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 3, 3, 2, 0, 0, 3, 0, 2, 0, 0, 2, 2, 3  },
{ 1, 3, 3, 3, 0, 1, 1, 0, 0, 1, 0, 0, 3, 0, 0, 3, 2, 3, 2, 0, 3, 0, 1, 2, 0, 3, 0, 1, 0, 3, 3, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 3  },
{ 2, 2, 1, 2, 1, 0, 3, 0, 2, 3, 1, 0, 0, 0, 3, 0, 3, 1, 1, 3, 3, 1, 0, 2, 2, 1, 2, 1, 0, 2, 3, 1, 0, 2, 3, 0, 3, 2, 0, 0, 0, 3  },
{ 0, 3, 2, 1, 2, 3, 0, 0, 0, 3, 0, 2, 0, 3, 0, 2, 1, 2, 1, 0, 1, 1, 0, 2, 0, 3, 1, 3, 3, 3, 2, 0, 2, 1, 0, 3, 0, 0, 0, 2, 2, 3  },
{ 1, 3, 2, 3, 3, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 3, 1, 1, 2, 3, 0, 1, 0, 3, 2, 2, 3, 3, 3, 0, 3, 0, 3, 1, 0, 0, 0, 1, 3, 0  },
{ 0, 1, 3, 1, 0, 0, 1, 2, 0, 3, 1, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 2, 2, 2, 2, 3, 1, 2, 0, 3, 2, 0, 2, 2, 0, 2, 0, 3, 1, 1, 2, 2  },
{ 3, 1, 0, 1, 0, 1, 3, 3, 1, 0, 1, 3, 3, 0, 3, 0, 0, 3, 0, 0, 3, 0, 3, 1, 0, 1, 1, 2, 3, 2, 0, 1, 2, 0, 0, 1, 3, 0, 3, 2, 0, 0  },
{ 0, 1, 3, 1, 1, 0, 3, 1, 0, 0, 3, 1, 1, 3, 1, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1, 0, 3, 0, 3, 2, 0, 0, 2, 0, 3, 0, 3, 1, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 2, 0, 3, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 1, 1, 0, 3, 0, 3, 0, 0, 1, 1, 0, 2, 3, 0, 0, 2, 0, 3, 1, 0, 3, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 1, 3, 3, 1, 3, 0, 2, 3, 3, 0, 1, 0, 1, 3, 3, 0, 2, 0, 2, 0, 1, 1, 0, 0, 1, 3, 0, 0, 3, 2, 1, 0, 3, 1, 3, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 3, 0, 1, 0, 0, 1, 1, 3, 0, 3, 1, 0, 1, 0, 0, 3, 0, 2, 0, 3, 1, 3, 3, 0, 2, 0, 0, 2, 0, 2, 1, 0, 0, 0, 3, 0, 0  },
{ 0, 1, 3, 2, 2, 3, 3, 0, 2, 0, 3, 1, 0, 3, 1, 0, 0, 2, 3, 0, 2, 0, 3, 0, 1, 1, 0, 0, 3, 0, 3, 0, 3, 0, 3, 1, 0, 3, 3, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 3, 3, 2, 1, 0, 2, 0, 3, 0, 0, 3, 1, 0, 0, 3, 0, 3, 0, 1, 3, 1, 0, 0, 2, 3, 0, 0, 1, 2, 0, 1, 0, 3, 0, 3, 0, 0  },
{ 1, 3, 0, 1, 0, 0, 3, 0, 0, 1, 0, 3, 3, 0, 1, 0, 0, 1, 3, 0, 2, 0, 2, 0, 3, 1, 2, 1, 0, 3, 0, 0, 1, 2, 3, 1, 3, 0, 0, 3, 0, 0  },
{ 1, 3, 0, 1, 1, 3, 0, 2, 1, 2, 3, 3, 0, 0, 3, 0, 1, 0, 2, 3, 2, 0, 0, 2, 0, 0, 1, 2, 0, 3, 0, 0, 0, 2, 3, 0, 0, 1, 2, 0, 0, 0  },
{ 3, 1, 0, 1, 2, 3, 3, 1, 0, 1, 0, 2, 3, 0, 1, 0, 0, 2, 3, 0, 3, 0, 3, 0, 2, 1, 2, 0, 3, 0, 3, 0, 3, 3, 2, 1, 3, 1, 3, 2, 0, 0  },
{ 0, 2, 3, 1, 1, 0, 3, 0, 3, 0, 1, 3, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 2, 0, 1, 1, 3, 0, 3, 1, 0, 0, 1, 3, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 2, 3, 3, 0, 1, 0, 2, 0, 1, 3, 2, 0, 3, 0, 2, 0, 1, 0, 3, 0, 2, 0, 3, 0, 3, 0, 2, 0, 0, 3, 0, 0, 0, 1, 2, 0, 1, 3, 3, 0, 2, 1  },
{ 1, 2, 1, 2, 3, 1, 3, 2, 2, 0, 0, 3, 3, 2, 0, 0, 0, 3, 3, 0, 3, 0, 0, 3, 2, 2, 0, 3, 0, 3, 0, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 3, 3, 3, 1, 2, 1, 1, 2, 2, 2, 0, 1, 2, 3, 0, 0, 2, 1, 0, 0, 0, 3, 0, 2, 0  },
{ 3, 0, 0, 1, 2, 1, 3, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 3, 3, 0, 1, 2, 1, 2, 3, 0, 0, 3, 0, 1, 3, 1, 0, 3, 3, 0, 3, 2, 0  },
{ 3, 0, 0, 1, 0, 2, 3, 3, 0, 1, 3, 2, 1, 0, 1, 0, 0, 2, 3, 0, 3, 0, 0, 3, 0, 1, 3, 0, 0, 3, 0, 0, 0, 1, 2, 0, 1, 3, 2, 0, 2, 0  },
{ 0, 3, 0, 1, 1, 1, 3, 1, 1, 3, 3, 1, 3, 1, 0, 1, 1, 2, 3, 1, 3, 0, 3, 0, 3, 0, 2, 0, 0, 3, 0, 0, 0, 1, 2, 3, 1, 3, 0, 2, 2, 0  },
{ 0, 3, 0, 2, 3, 1, 2, 1, 2, 0, 0, 2, 3, 2, 0, 0, 2, 1, 1, 3, 0, 3, 0, 2, 3, 1, 0, 0, 3, 2, 1, 0, 2, 2, 1, 0, 2, 3, 0, 3, 0, 1  },
{ 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 3, 3, 3, 0, 1, 2, 0, 1, 0, 0, 1, 3, 3, 1, 0, 1, 2, 2, 3, 2, 0, 0, 1, 2, 0  },
{ 3, 2, 2, 1, 1, 0, 3, 1, 0, 0, 2, 3, 0, 1, 1, 0, 0, 2, 3, 0, 2, 1, 3, 0, 2, 0, 2, 1, 2, 2, 3, 0, 0, 1, 0, 0, 3, 2, 3, 2, 2, 0  },
{ 1, 3, 2, 1, 2, 3, 0, 2, 0, 1, 3, 1, 2, 3, 0, 1, 1, 0, 1, 0, 3, 0, 2, 3, 0, 0, 1, 0, 3, 2, 3, 0, 1, 0, 3, 2, 0, 3, 0, 2, 0, 2  },
{ 0, 0, 1, 3, 1, 3, 1, 2, 0, 1, 0, 2, 3, 0, 0, 0, 2, 0, 0, 2, 3, 0, 3, 0, 2, 0, 1, 2, 2, 0, 1, 1, 0, 1, 2, 3, 3, 0, 1, 2, 1, 0  },
{ 1, 0, 3, 3, 1, 3, 0, 1, 0, 0, 2, 0, 3, 2, 0, 3, 1, 3, 3, 3, 0, 2, 0, 3, 1, 0, 3, 2, 0, 2, 0, 0, 2, 0, 1, 0, 1, 1, 3, 2, 0, 0  },
{ 3, 1, 0, 1, 3, 3, 0, 3, 1, 0, 2, 0, 0, 3, 0, 3, 1, 3, 1, 3, 0, 2, 2, 3, 1, 3, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 0, 1, 0, 3, 0, 1  },
{ 1, 0, 2, 0, 0, 1, 3, 1, 1, 1, 3, 0, 0, 3, 0, 3, 0, 3, 1, 1, 0, 2, 3, 2, 1, 1, 2, 0, 0, 2, 0, 1, 2, 0, 3, 1, 3, 0, 0, 3, 0, 1  },
{ 1, 0, 3, 0, 1, 1, 3, 1, 1, 0, 3, 2, 0, 0, 2, 0, 2, 1, 3, 2, 0, 0, 3, 2, 3, 3, 1, 0, 1, 3, 0, 1, 1, 2, 0, 1, 1, 0, 3, 3, 0, 0  },
{ 0, 3, 0, 1, 1, 1, 0, 0, 1, 0, 0, 3, 0, 0, 2, 0, 1, 2, 3, 0, 0, 3, 0, 2, 3, 0, 0, 1, 0, 3, 0, 0, 1, 2, 0, 3, 3, 1, 0, 2, 1, 0  },
{ 0, 1, 3, 1, 3, 0, 1, 3, 0, 0, 3, 0, 0, 1, 0, 2, 3, 2, 1, 1, 0, 3, 0, 3, 0, 1, 0, 3, 1, 3, 0, 2, 2, 1, 0, 3, 0, 1, 0, 0, 0, 1  },
{ 2, 1, 2, 3, 0, 3, 1, 0, 1, 0, 0, 0, 1, 3, 0, 3, 0, 1, 1, 0, 0, 3, 2, 3, 0, 3, 0, 3, 1, 3, 0, 1, 1, 2, 0, 1, 1, 0, 0, 3, 0, 0  },
{ 1, 0, 3, 1, 2, 0, 3, 2, 1, 3, 3, 0, 0, 2, 3, 0, 0, 2, 2, 0, 0, 0, 0, 2, 1, 1, 3, 2, 3, 3, 0, 1, 1, 2, 0, 3, 0, 1, 3, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 1, 2, 1, 3, 3, 3, 2, 0, 0, 0, 3, 0, 3, 3, 2, 1, 1, 2, 3, 1, 3, 3, 1, 3, 3, 0, 1, 2, 0, 0, 0, 1, 0, 2, 1, 1  },
{ 2, 1, 3, 1, 3, 2, 0, 0, 0, 0, 2, 0, 2, 3, 0, 2, 3, 2, 2, 3, 0, 1, 1, 2, 0, 1, 0, 3, 2, 2, 3, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 0  },
{ 1, 0, 3, 2, 3, 1, 3, 0, 3, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 2, 1, 1, 2, 0, 1, 0, 0, 1, 3, 3, 1, 0, 3, 0, 3, 3, 1, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 1, 3, 1, 3, 0, 3, 3, 3, 0, 0, 3, 2, 1, 0, 0, 3, 1, 0, 2, 0, 0, 0, 0, 2, 2, 3, 1, 1, 2, 0, 3, 0, 1, 0, 1, 1, 0  },
{ 3, 2, 0, 3, 1, 2, 0, 3, 2, 3, 0, 0, 0, 1, 2, 0, 2, 3, 0, 3, 0, 1, 1, 1, 2, 3, 0, 0, 0, 2, 3, 0, 0, 2, 2, 0, 1, 0, 1, 3, 0, 0  },
{ 2, 1, 2, 1, 2, 3, 0, 1, 3, 2, 2, 1, 0, 1, 1, 0, 3, 3, 2, 3, 0, 3, 1, 2, 2, 0, 1, 1, 1, 2, 0, 0, 1, 1, 2, 0, 1, 0, 1, 1, 0, 0  },
{ 2, 0, 0, 0, 2, 3, 2, 0, 0, 3, 1, 2, 1, 0, 0, 1, 2, 0, 2, 3, 1, 1, 1, 2, 0, 1, 1, 1, 3, 2, 3, 1, 0, 0, 0, 0, 1, 2, 0, 1, 3, 0  },
{ 1, 0, 1, 3, 2, 2, 3, 1, 0, 1, 3, 2, 0, 3, 0, 1, 1, 2, 0, 0, 1, 2, 2, 2, 2, 0, 2, 1, 2, 2, 2, 0, 0, 0, 2, 0, 1, 2, 3, 1, 1, 3  },
{ 2, 1, 0, 2, 3, 3, 2, 1, 2, 2, 1, 0, 2, 0, 0, 2, 3, 3, 1, 2, 1, 3, 1, 2, 1, 3, 0, 3, 3, 2, 1, 0, 2, 2, 0, 2, 3, 0, 1, 0, 2, 2  },
{ 1, 0, 3, 0, 3, 1, 3, 1, 1, 0, 1, 0, 2, 2, 0, 1, 0, 1, 3, 0, 0, 3, 0, 0, 1, 1, 1, 0, 0, 2, 0, 2, 2, 1, 1, 1, 3, 0, 3, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 3, 0, 0, 2, 0, 3, 1, 0, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 0  },
{ 1, 3, 0, 1, 1, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 3, 3, 0, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 2, 1, 3, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 1, 3, 0, 3, 1, 0, 2, 3, 0, 1, 0, 0, 2, 3, 0, 3, 0, 2, 1, 0, 1, 1, 0, 2, 3, 0, 0, 2, 0, 1, 1, 3, 3, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 0, 3, 0, 3, 2, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 0, 0, 3, 3, 0, 0, 3, 2, 1, 0, 3, 1, 3, 2, 0, 0  },
{ 0, 1, 3, 1, 0, 0, 2, 1, 0, 0, 1, 3, 0, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 3, 1, 0, 1, 3, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3, 1, 2, 0, 0  },
{ 3, 0, 1, 3, 2, 0, 3, 1, 1, 2, 0, 1, 0, 1, 3, 0, 0, 3, 0, 0, 3, 0, 0, 1, 3, 1, 3, 2, 3, 0, 3, 0, 2, 0, 0, 1, 0, 3, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 3, 0, 3, 1, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 0, 1, 1, 0, 3, 0, 3, 0, 0, 2, 2, 0, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 2, 0, 3, 0, 3, 1, 1, 3, 1, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 1, 1, 0, 3, 0, 3, 0, 0, 2, 2, 3, 1, 0, 3, 0, 3, 0, 0  },
{ 1, 0, 2, 0, 2, 3, 2, 0, 1, 0, 3, 0, 0, 1, 0, 1, 1, 3, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 1, 2, 0, 3, 3, 1, 2, 3, 0, 0  },
{ 3, 2, 3, 2, 0, 0, 3, 2, 0, 0, 1, 2, 3, 0, 1, 0, 0, 1, 3, 0, 2, 0, 3, 1, 0, 1, 2, 2, 3, 0, 0, 3, 2, 2, 3, 1, 0, 3, 1, 2, 0, 0  },
{ 3, 0, 1, 0, 1, 1, 3, 0, 3, 0, 3, 1, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 1, 1, 3, 0, 0, 3, 0, 0, 2, 2, 0, 3, 1, 0, 3, 0, 2, 0  },
{ 1, 1, 3, 0, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 1, 0, 1, 3, 0, 3, 2, 0, 3, 0, 3, 0, 1, 0, 0, 3, 0, 0, 1, 2, 2, 1, 2, 1, 3, 0, 2, 0  },
{ 2, 3, 1, 1, 0, 0, 0, 1, 1, 0, 0, 3, 3, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 0, 2, 1, 0, 2, 0, 3, 0, 0, 1, 2, 2, 0, 1, 0, 0, 3, 1, 0  },
{ 3, 1, 0, 2, 3, 3, 3, 3, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 3, 1, 1, 0, 3, 1, 2, 3, 0, 1, 2, 3, 2, 0, 1, 1, 2, 0, 1, 3, 1, 0, 1, 0  },
{ 0, 2, 3, 2, 2, 3, 2, 1, 0, 1, 2, 0, 3, 1, 0, 2, 0, 2, 3, 0, 2, 0, 3, 1, 0, 1, 1, 1, 0, 0, 3, 0, 0, 3, 1, 1, 3, 3, 0, 2, 2, 1  },
{ 3, 1, 3, 0, 1, 3, 2, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 1, 1, 3, 0, 3, 0, 0, 1, 1, 0, 2, 0, 3, 0, 0, 3, 1, 2, 0, 3, 1, 3, 0, 2, 0  },
{ 0, 1, 3, 0, 1, 2, 2, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 3, 2, 0, 2, 0, 3, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 1, 2, 0, 1, 3, 2, 0, 1, 0  },
{ 0, 0, 0, 1, 1, 1, 0, 1, 1, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0, 3, 3, 0, 3, 0, 0, 1, 0, 0, 3, 2, 0, 0, 1, 3, 1, 0, 0, 0, 0, 2, 1, 0  },
{ 0, 2, 3, 0, 0, 3, 2, 1, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 1, 1, 2, 0, 3, 0, 2, 0, 2, 0, 1, 2, 3, 0, 1, 2, 3, 0, 3, 0, 2, 3, 2, 1  },
{ 0, 3, 0, 1, 1, 3, 3, 0, 0, 0, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 3, 0, 2, 3, 0, 1, 0, 0, 1, 3, 0, 3, 0, 1, 1, 2, 3, 0, 2, 1, 2, 0  },
{ 1, 2, 3, 1, 0, 2, 0, 2, 0, 1, 2, 2, 0, 1, 1, 0, 1, 0, 1, 0, 2, 0, 0, 3, 0, 0, 3, 1, 3, 0, 3, 0, 0, 1, 0, 2, 1, 0, 2, 1, 1, 0  },
{ 3, 0, 1, 3, 3, 1, 2, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 3, 3, 0, 1, 3, 0, 3, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 3, 0, 3, 0, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 2, 0, 2, 0, 1, 3, 1, 3, 2, 3, 2, 0, 0, 2, 0, 0, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 3, 1, 3, 3, 0, 1, 0, 3, 1, 0, 1, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 0, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 2, 3, 0, 0, 1, 3, 1, 1, 1, 3, 1, 0, 3, 0, 3, 0, 3, 1, 1, 0, 2, 0, 3, 1, 1, 1, 0, 2, 0, 0, 1, 2, 0, 0, 1, 3, 3, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 0, 0, 3, 1, 1, 1, 3, 1, 0, 3, 3, 1, 3, 2, 1, 3, 0, 0, 2, 0, 3, 1, 3, 0, 0, 2, 0, 0, 2, 0, 3, 1, 1, 0, 1, 2, 0, 0  },
{ 2, 2, 3, 2, 3, 2, 3, 1, 0, 3, 0, 1, 2, 0, 3, 0, 1, 2, 3, 0, 0, 0, 3, 2, 1, 2, 0, 1, 0, 2, 0, 0, 2, 3, 0, 0, 3, 1, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 3, 1, 3, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 1, 3, 1, 2, 0, 0, 3, 3, 0, 2, 0, 0, 2, 0, 0, 1, 2, 0, 0, 3, 1, 0, 3, 0, 0  },
{ 1, 0, 3, 1, 3, 2, 3, 3, 1, 1, 3, 0, 0, 0, 0, 3, 3, 2, 0, 3, 0, 2, 2, 2, 0, 0, 2, 3, 3, 2, 0, 1, 2, 0, 0, 3, 1, 3, 1, 0, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 3, 0, 1, 3, 3, 0, 0, 3, 0, 3, 1, 0, 1, 0, 0, 3, 1, 2, 0, 3, 1, 1, 3, 2, 0, 0, 1, 2, 1, 3, 1, 0, 1, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 2, 3, 0, 1, 0, 3, 0, 0, 3, 3, 0, 1, 0, 3, 0, 0, 1, 2, 2, 3, 1, 3, 1, 3, 2, 0, 0, 1, 3, 0, 1, 0, 1, 0, 3, 0, 0  },
{ 0, 3, 2, 1, 1, 1, 0, 1, 1, 2, 3, 0, 3, 1, 0, 0, 1, 3, 0, 0, 3, 0, 3, 0, 2, 0, 3, 0, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 1, 0, 1, 0  },
{ 1, 1, 0, 3, 0, 2, 0, 1, 1, 0, 3, 0, 0, 2, 0, 3, 3, 0, 1, 0, 0, 1, 1, 2, 0, 1, 3, 2, 1, 2, 0, 1, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 2, 1, 1, 3, 2, 3, 0, 1, 0, 0, 1, 1, 0, 2, 0, 3, 0, 0, 2, 2, 3, 1, 0, 2, 0, 0, 3, 1, 0, 3, 2, 1, 1, 2, 0, 0, 1, 0, 0, 3, 1, 0  },
{ 2, 1, 3, 3, 2, 1, 3, 1, 3, 3, 1, 0, 0, 1, 2, 0, 0, 1, 2, 0, 2, 1, 0, 2, 2, 3, 0, 1, 1, 3, 2, 0, 0, 1, 0, 2, 0, 0, 1, 2, 1, 0  },
{ 0, 1, 2, 0, 2, 0, 0, 0, 0, 3, 1, 2, 3, 2, 1, 2, 3, 0, 3, 2, 2, 3, 1, 3, 0, 2, 1, 1, 0, 2, 3, 2, 0, 2, 0, 0, 0, 2, 2, 1, 1, 2  },
{ 2, 1, 1, 1, 0, 0, 2, 2, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 1, 0, 2, 2, 2, 2, 3, 3, 1, 0, 1, 2, 1, 0, 2, 2, 0, 0, 0, 2, 1, 2, 1, 0  },
{ 1, 0, 0, 2, 1, 3, 2, 2, 2, 1, 3, 3, 3, 0, 0, 2, 3, 2, 1, 2, 1, 0, 0, 2, 1, 2, 0, 1, 0, 2, 2, 0, 0, 2, 0, 2, 3, 1, 0, 1, 1, 0  },
{ 1, 1, 0, 1, 0, 0, 3, 0, 3, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 3, 0, 2, 0, 0, 0, 1, 1, 2, 0, 2, 0, 2, 2, 1, 0, 1, 3, 3, 3, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 3, 0, 0, 1, 3, 1, 0, 1, 0, 3, 0, 0, 1, 0, 0, 3, 0, 0, 3, 1, 1, 3, 1, 2, 3, 3, 0, 2, 0, 2, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 0, 0, 3, 0, 3, 2, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 2, 0, 2, 1, 0, 1, 1, 0, 0, 3, 0, 2, 3, 1, 0, 1, 3, 3, 1, 2, 0, 0  },
{ 2, 1, 0, 3, 1, 2, 1, 0, 0, 1, 3, 1, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 3, 0, 1, 0, 0, 3, 0, 0, 2, 2, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 0, 3, 0, 3, 1, 2, 0, 1, 0, 1, 0, 0, 3, 0, 0, 2, 0, 3, 1, 0, 1, 1, 1, 2, 0, 0, 3, 2, 0, 1, 1, 3, 3, 3, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 3, 0, 3, 0, 1, 1, 3, 1, 0, 1, 0, 0, 1, 0, 0, 3, 0, 3, 1, 3, 1, 3, 2, 2, 0, 0, 1, 2, 3, 2, 1, 3, 3, 1, 2, 0, 0  },
{ 3, 0, 1, 0, 3, 1, 2, 0, 0, 1, 3, 0, 3, 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 3, 1, 3, 1, 3, 0, 0, 0, 2, 2, 1, 3, 0, 1, 3, 2, 0, 0  },
{ 3, 1, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 2, 0, 2, 0, 3, 3, 1, 0, 0, 2, 0, 0, 2, 2, 1, 2, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 0, 2, 1, 0, 3, 0, 3, 2, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 3, 3, 0, 0, 2, 2, 1, 3, 0, 3, 0, 2, 1  },
{ 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0, 1, 0, 1, 0, 0, 1, 2, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 0, 2, 2, 2, 0, 1, 3, 1, 2, 0, 0  },
{ 2, 1, 0, 3, 3, 1, 2, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 2, 2, 1, 1, 3, 0, 0, 2, 0  },
{ 2, 1, 2, 3, 1, 2, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 1, 0, 3, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 1, 2, 3, 0, 1, 0, 1, 0, 2, 0  },
{ 3, 0, 0, 1, 1, 2, 0, 2, 0, 0, 3, 3, 3, 1, 0, 0, 1, 0, 3, 0, 0, 0, 3, 0, 2, 1, 0, 1, 0, 3, 3, 0, 0, 1, 2, 0, 1, 0, 3, 0, 2, 1  },
{ 0, 2, 2, 2, 2, 1, 3, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 3, 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 2, 0, 2, 1, 3, 2, 0, 2, 1  },
{ 1, 1, 3, 0, 0, 1, 2, 0, 0, 3, 0, 3, 2, 0, 1, 0, 0, 3, 0, 1, 2, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 0, 2, 1, 3, 0, 0, 3, 0, 2, 0, 1  },
{ 1, 2, 1, 0, 1, 2, 1, 2, 0, 0, 1, 2, 3, 0, 1, 0, 0, 2, 2, 0, 2, 0, 0, 3, 0, 1, 0, 0, 0, 1, 3, 0, 2, 1, 2, 0, 1, 3, 2, 0, 1, 0  },
{ 3, 0, 3, 0, 3, 0, 3, 0, 2, 2, 2, 3, 0, 0, 1, 3, 0, 1, 3, 1, 3, 2, 0, 3, 0, 1, 0, 1, 1, 2, 1, 0, 0, 2, 1, 0, 0, 3, 0, 3, 3, 0  },
{ 0, 0, 2, 0, 0, 3, 1, 0, 0, 0, 2, 1, 3, 0, 0, 1, 0, 2, 1, 2, 3, 1, 0, 0, 2, 1, 0, 2, 0, 2, 3, 0, 1, 0, 2, 1, 0, 3, 2, 3, 2, 1  },
{ 3, 0, 2, 0, 0, 1, 0, 3, 0, 0, 3, 1, 3, 1, 1, 0, 2, 1, 0, 3, 0, 0, 0, 3, 0, 0, 1, 1, 0, 3, 2, 0, 2, 0, 0, 2, 0, 2, 3, 2, 1, 1  },
{ 2, 0, 2, 3, 1, 1, 3, 0, 0, 1, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 1, 3, 0, 0, 1, 3, 2, 0, 3, 0, 2, 1, 0  },
{ 1, 2, 1, 0, 0, 0, 0, 0, 3, 0, 3, 2, 0, 3, 0, 1, 0, 2, 1, 0, 1, 2, 0, 0, 2, 0, 3, 1, 0, 3, 1, 0, 1, 0, 2, 2, 1, 2, 0, 3, 0, 0  },
{ 0, 1, 0, 1, 0, 1, 0, 2, 1, 3, 1, 3, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 1, 1, 2, 0, 2, 0, 2, 3, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 3, 1, 0, 3, 1, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 1, 1, 3, 1, 2, 0, 0, 0, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 1, 3, 0, 0, 3, 1, 1, 0, 1, 0, 1, 3, 0, 1, 0, 1, 2, 0, 2, 0, 3, 1, 3, 3, 1, 2, 0, 0, 0, 2, 3, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 3, 1, 0, 0, 1, 1, 3, 2, 1, 0, 3, 2, 0, 0, 1, 3, 2, 0, 0, 0, 1, 3, 1, 1, 3, 0, 2, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 1, 0, 3, 0, 2, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 3, 1, 0, 0, 2, 0, 0, 2, 2, 1, 3, 1, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 3, 1, 0, 1, 3, 0, 0, 2, 1, 3, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 1, 3, 2, 0, 0, 0, 2, 0, 3, 1, 1, 2, 1, 0, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 2, 1, 3, 1, 1, 1, 2, 0, 0, 0, 3, 0, 1, 2, 0, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 2, 0, 2, 1, 2, 0, 3, 1, 0, 0, 3, 1, 0, 1, 3, 1, 3, 1, 0, 3, 0, 2, 0, 3, 2, 1, 0, 3, 0, 0, 0, 2, 3, 1, 3, 0, 0, 1, 2, 0, 0  },
{ 2, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 1, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 2, 2, 0, 3, 0, 1, 2, 2, 1, 1, 2, 1, 1, 0, 0, 0  },
{ 1, 3, 2, 1, 0, 1, 0, 1, 0, 2, 1, 2, 0, 3, 0, 3, 3, 0, 1, 3, 0, 0, 2, 2, 0, 1, 2, 0, 2, 2, 0, 0, 1, 3, 0, 3, 0, 1, 1, 1, 0, 0  },
{ 0, 1, 3, 3, 1, 0, 1, 1, 3, 0, 1, 3, 2, 0, 0, 1, 1, 0, 3, 0, 1, 0, 2, 2, 0, 2, 3, 0, 0, 2, 0, 0, 2, 1, 0, 1, 3, 1, 0, 3, 0, 0  },
{ 2, 0, 1, 1, 0, 2, 3, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 2, 3, 3, 2, 0, 0, 2, 3, 1, 1, 0, 0, 2, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 3, 0, 0, 1, 1, 0, 2, 0, 2, 0, 2, 0, 1, 3, 3, 0, 1, 1, 0, 0, 2, 3, 1, 1, 2, 0, 1, 3, 2, 1, 0, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 2, 2, 0, 1, 2, 1, 0, 0, 1, 0, 2, 3, 0, 0, 2, 3, 2, 0, 2, 1, 1, 2, 0, 1, 2, 0, 3, 3, 2, 0, 0, 2, 1, 1, 3, 0, 0, 2, 0, 0  },
{ 2, 0, 1, 1, 0, 0, 2, 3, 1, 1, 0, 1, 3, 0, 0, 0, 0, 2, 0, 1, 3, 1, 1, 2, 2, 0, 1, 0, 2, 2, 2, 0, 1, 0, 0, 3, 0, 0, 1, 1, 0, 0  },
{ 2, 0, 2, 0, 1, 1, 0, 2, 0, 2, 1, 2, 0, 2, 0, 2, 0, 0, 0, 2, 1, 1, 1, 0, 0, 3, 0, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2, 0, 1, 2, 0  },
{ 1, 0, 1, 1, 1, 0, 2, 1, 3, 2, 1, 2, 3, 0, 0, 3, 1, 0, 3, 0, 1, 2, 1, 1, 2, 0, 3, 2, 0, 2, 1, 0, 1, 1, 0, 0, 1, 0, 0, 0, 2, 2  },
{ 3, 1, 0, 1, 3, 1, 0, 1, 3, 2, 0, 1, 0, 1, 3, 1, 1, 1, 0, 2, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 2, 2, 0, 0, 0, 1, 3, 3, 2, 3, 0, 2  },
{ 3, 1, 0, 1, 1, 3, 0, 0, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 0, 2, 1, 2, 3, 3, 1, 2, 1, 3, 3, 0, 0, 0, 2  },
{ 1, 3, 3, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 0, 1, 1, 3, 0, 0, 0, 1, 3, 1, 3, 1, 2, 0, 2, 0, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 2, 0, 2, 0, 0, 1, 0, 1, 1, 0, 0, 1, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 3, 3, 1, 2, 1, 2  },
{ 3, 1, 3, 0, 1, 0, 0, 1, 0, 1, 3, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 3, 0, 0, 1, 1, 3, 1, 2, 0, 0, 2, 2, 0, 3, 1, 0, 3, 0, 0, 0, 0  },
{ 3, 1, 3, 0, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 1, 0, 3, 0, 0, 1, 2, 0, 2, 1, 3, 3, 0, 1, 2, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 3, 3, 0, 0, 3, 1, 1, 3, 3, 1, 2, 1, 2  },
{ 1, 1, 3, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 1, 1, 0, 1, 0, 3, 0, 0, 2, 2, 3, 3, 1, 1, 3, 1, 2, 0, 0  },
{ 3, 1, 2, 0, 3, 0, 0, 0, 0, 1, 1, 3, 1, 0, 1, 0, 1, 3, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 2, 0, 0, 0, 2, 3, 0, 1, 0, 1, 0, 2, 0, 0  },
{ 3, 0, 0, 0, 1, 0, 2, 0, 1, 2, 2, 0, 2, 0, 1, 0, 3, 0, 3, 0, 2, 0, 2, 0, 3, 2, 1, 1, 2, 0, 0, 0, 2, 2, 0, 1, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 3, 2, 2, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 3, 3, 0, 0, 2, 1, 0, 3, 1, 2, 0, 2, 0  },
{ 3, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 1, 3, 0, 2, 2, 0, 0, 3, 1, 1, 1, 0, 0, 0, 2, 0, 0, 2, 2, 1, 1, 3, 0, 0, 2, 0  },
{ 0, 3, 0, 0, 1, 0, 2, 1, 0, 1, 3, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0, 0, 2, 2, 3, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 2, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 1, 2, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 3, 0, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 1, 0, 3, 1, 3, 0, 2, 1  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 3, 0, 2, 0, 1, 0, 1, 3, 0, 1, 2, 0, 3, 0, 1, 1, 0, 1, 0, 3, 2, 0, 0, 2, 0, 3, 1, 2, 1, 0, 2, 1  },
{ 3, 0, 0, 0, 3, 0, 0, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 2, 1, 0, 3, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 2, 0, 3, 1, 3, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 2, 3, 1, 0, 3, 0, 0, 1, 1, 3, 1, 1, 0, 2, 2, 1, 3, 0, 1, 0, 3, 0  },
{ 3, 0, 0, 2, 1, 2, 0, 1, 0, 2, 1, 2, 3, 2, 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 1, 3, 0, 0, 2, 1, 0, 0, 2, 2, 3, 0, 1, 3, 0, 2, 0  },
{ 3, 0, 1, 0, 0, 2, 3, 3, 0, 0, 0, 2, 2, 1, 0, 1, 2, 0, 1, 1, 2, 0, 0, 0, 2, 1, 0, 1, 0, 2, 0, 3, 3, 0, 2, 0, 3, 0, 2, 3, 2, 1  },
{ 0, 0, 3, 2, 2, 0, 2, 3, 0, 1, 2, 0, 2, 1, 1, 0, 0, 0, 2, 0, 3, 1, 0, 2, 0, 0, 2, 1, 0, 2, 3, 0, 2, 0, 0, 2, 1, 3, 0, 1, 2, 0  },
{ 1, 1, 2, 1, 2, 3, 1, 2, 1, 1, 2, 1, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 1, 1, 0, 0, 1, 1, 2, 1, 2, 3, 1, 0, 0, 2, 1, 1, 0, 2, 1, 0  },
{ 2, 1, 2, 1, 2, 2, 2, 1, 1, 3, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 0, 3, 1, 2, 0, 0, 1, 3, 1, 0, 3, 1, 2, 0, 2, 3, 0, 0, 1, 0, 2, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 1, 1, 1, 2, 1, 0, 3, 0, 1, 0, 0, 3, 2, 0, 0, 2, 0, 3, 1, 3, 1, 2, 1, 2, 2, 1, 3, 1, 1, 3, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 0, 2, 0, 3, 1, 3, 1, 1, 0, 3, 0, 3, 0, 1, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 0, 0, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 3, 2, 0, 0, 1, 3, 1, 0, 0, 0, 2, 1, 0, 3, 0, 0, 0, 0, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 3, 2, 1, 0, 3, 3, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 1, 3, 1, 0, 1, 1, 0, 0, 0, 0, 3, 0, 0, 3, 1, 0, 0, 0, 0, 3, 1, 1, 3, 1, 2, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 0, 2, 1, 1, 1, 0, 0, 0, 3, 1, 3, 0, 3, 0, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 3, 2, 1, 0, 1, 1, 1, 0, 1, 2, 0, 1, 0, 0, 2, 1, 1, 2, 0, 2, 0, 3, 0, 3, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 0, 0, 3, 0, 0  },
{ 3, 1, 2, 1, 0, 1, 0, 3, 1, 3, 1, 0, 3, 0, 0, 1, 3, 0, 1, 0, 3, 0, 0, 2, 1, 2, 1, 1, 3, 0, 2, 0, 2, 0, 2, 1, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 3, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 0, 2, 2, 0, 0, 0, 0, 2, 0, 2, 2, 1, 3, 0, 1, 0, 2, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 3, 2, 3, 1, 2, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 1, 3, 0, 0, 1, 0, 1, 2, 3, 0, 0, 0, 1, 2, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 3, 0, 2, 0, 2, 1, 0, 0, 0, 0, 1, 0, 3, 1, 2, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 3, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 0, 3, 1, 0, 0, 0, 1, 2, 2, 0, 0, 1, 0, 0, 1, 3, 1, 0, 0, 2, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 2, 3, 3, 1, 0, 1, 2, 0, 3, 0, 3, 0, 0, 0, 3, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 2, 0, 0, 3, 1, 0, 0, 2, 0  },
{ 1, 2, 0, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 2, 2, 0, 0, 3, 1, 0, 0, 1, 2, 2, 0, 0, 1, 2, 1, 2, 2, 1, 3, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 3, 0, 2, 2, 1, 3, 3, 2, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 2, 2, 0, 1, 3, 0, 2, 3, 0, 0, 1, 2, 0, 2, 0, 0, 1, 1, 0, 0  },
{ 1, 0, 2, 1, 2, 3, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 2, 2, 0, 3, 2, 2, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 1, 2, 1, 0, 0, 0, 0  },
{ 2, 0, 3, 0, 1, 2, 0, 3, 0, 1, 2, 1, 3, 1, 1, 0, 1, 2, 0, 0, 1, 1, 2, 2, 2, 2, 1, 2, 1, 0, 2, 0, 1, 2, 0, 2, 0, 0, 1, 3, 1, 0  },
{ 2, 0, 0, 2, 2, 3, 0, 0, 2, 2, 2, 3, 1, 3, 0, 1, 1, 0, 2, 3, 2, 1, 1, 2, 0, 2, 1, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 3, 3, 0, 0  },
{ 3, 2, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 2, 0, 1, 3, 3, 2, 0, 1, 2, 1, 2, 0, 2, 1, 3, 0, 2, 1, 0, 0, 2, 0, 1, 0, 3, 3, 1, 0, 2  },
{ 1, 0, 0, 2, 1, 2, 1, 1, 2, 0, 3, 3, 2, 0, 0, 1, 1, 3, 0, 0, 2, 0, 0, 2, 2, 0, 3, 0, 3, 0, 2, 0, 0, 0, 2, 2, 0, 2, 2, 1, 0, 0  },
{ 3, 1, 2, 1, 0, 0, 0, 3, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 3, 0, 0, 3, 3, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 3, 1, 2, 1, 1, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 1, 1, 0, 1, 0, 0, 2, 1, 3, 0, 1, 0, 1, 2, 0, 2, 0, 2, 1, 2, 1, 3, 3, 0, 0, 0, 2  },
{ 0, 1, 3, 0, 1, 0, 0, 1, 3, 3, 3, 0, 0, 1, 3, 0, 1, 0, 1, 0, 0, 3, 1, 2, 1, 1, 0, 1, 2, 0, 2, 2, 0, 3, 1, 0, 1, 2, 0, 0, 0, 2  },
{ 3, 1, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 1, 3, 0, 0, 1, 2, 1, 2, 1, 3, 0, 2, 2, 0, 0, 0, 1, 3, 3, 1, 2, 0, 2  },
{ 0, 0, 0, 1, 3, 0, 0, 2, 1, 1, 3, 0, 0, 1, 0, 1, 0, 3, 1, 0, 0, 3, 0, 0, 1, 1, 0, 1, 2, 0, 2, 2, 3, 0, 3, 0, 2, 3, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 3, 1, 0, 3, 0, 0, 3, 1, 1, 3, 1, 0, 0, 0, 2, 2, 0, 2, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 0, 1, 3, 0, 3, 0, 0, 1, 2, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 2, 1, 2, 3, 2  },
{ 0, 1, 1, 0, 0, 1, 3, 0, 2, 3, 1, 0, 2, 0, 1, 0, 3, 1, 0, 0, 3, 0, 0, 1, 2, 1, 0, 1, 3, 0, 2, 0, 0, 2, 1, 3, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 3, 0, 1, 0, 2, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 3, 0, 0, 2, 0, 1, 1, 0, 3, 0, 2, 0, 0, 2, 1, 2, 2, 3, 1, 2, 0, 0  },
{ 3, 1, 2, 1, 2, 0, 3, 2, 1, 3, 0, 0, 2, 0, 3, 0, 1, 3, 0, 0, 0, 1, 0, 3, 0, 2, 2, 1, 0, 0, 0, 2, 2, 2, 3, 1, 0, 0, 3, 2, 0, 0  },
{ 0, 1, 0, 3, 0, 0, 3, 0, 0, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 3, 1, 2, 1, 2, 2  },
{ 2, 1, 3, 3, 1, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 2, 0, 2, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 3, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 1, 2, 3, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 3, 0, 0, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 2, 0, 0, 3, 0, 1, 0, 2, 0, 2, 2, 3, 0, 0, 2, 0, 2, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 0, 1, 1, 2, 2, 0, 0, 2, 0, 0, 0, 1, 3, 2, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0  },
{ 1, 0, 1, 2, 0, 3, 0, 2, 2, 0, 0, 0, 0, 2, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 3, 3, 1, 3, 0, 2, 2  },
{ 1, 1, 1, 0, 0, 3, 1, 2, 0, 2, 0, 2, 0, 1, 0, 1, 3, 1, 0, 0, 2, 1, 0, 0, 3, 1, 0, 0, 3, 0, 0, 2, 2, 3, 0, 2, 0, 2, 1, 2, 0, 0  },
{ 0, 0, 2, 0, 3, 0, 0, 0, 0, 1, 2, 0, 1, 0, 1, 0, 3, 3, 0, 0, 2, 1, 1, 1, 0, 1, 1, 0, 0, 3, 1, 0, 2, 2, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 0, 0, 0, 1, 3, 1, 0, 3, 0, 3, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 0, 3, 0, 1, 2, 0, 2, 0, 1, 1, 2, 0, 0, 1, 0, 2, 0, 1, 0  },
{ 0, 2, 1, 1, 2, 2, 2, 0, 0, 1, 3, 1, 0, 1, 0, 1, 2, 0, 1, 0, 1, 2, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 2, 2, 0, 1, 2, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 0, 3, 3, 0, 0, 0, 0, 2, 2, 1, 0, 1, 0, 1, 0, 0, 3, 1, 0, 0, 1, 0, 2, 1, 0, 2, 0, 3, 0, 1, 0, 1, 0, 3, 0, 2, 2, 1  },
{ 1, 2, 1, 2, 0, 0, 2, 1, 2, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 1, 2, 0, 0, 2, 1, 0, 2, 0, 2, 1, 0, 1, 0, 1, 0  },
{ 0, 1, 3, 3, 0, 2, 1, 2, 1, 1, 2, 0, 1, 0, 1, 0, 1, 2, 2, 1, 1, 2, 0, 1, 0, 0, 1, 0, 1, 2, 1, 2, 2, 0, 3, 2, 0, 3, 0, 1, 1, 0  },
{ 0, 0, 2, 2, 1, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 1, 2, 1, 1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 2, 0, 1, 0  },
{ 0, 1, 2, 1, 3, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 3, 1, 2, 0, 0, 3, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 0, 0, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 2, 3, 1, 0, 0, 0, 3, 1, 0, 1, 2, 1, 0, 0, 2, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0, 2  },
{ 3, 1, 2, 0, 3, 3, 0, 1, 1, 1, 0, 0, 0, 2, 0, 0, 1, 2, 1, 0, 0, 3, 0, 3, 1, 3, 0, 0, 0, 0, 2, 2, 3, 2, 1, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 3, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 3, 0, 1, 0, 3, 1, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 3, 3, 0, 0, 0, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 3, 1, 3, 0, 0, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 1, 0, 3, 2, 1, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 2, 2, 2, 1, 0, 0, 0, 1, 2, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 3, 2, 1, 3, 3, 2, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 3, 0, 0, 2, 1, 1, 3, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 2, 2, 0, 3, 0, 0, 0, 2, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 0, 2, 3, 1, 1, 0, 1, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 2, 0, 3, 0, 1, 0, 0, 0, 0, 3, 3, 1, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 1, 2, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 3, 1, 0, 3, 1, 2, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 1, 0, 3, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 3, 0, 1, 0, 1, 0, 3, 0, 2, 0, 0, 0, 3, 0, 0, 0, 3, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 1, 0, 0, 0  },
{ 0, 3, 0, 1, 1, 3, 3, 3, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 0  },
{ 3, 0, 0, 2, 2, 1, 1, 1, 0, 3, 2, 0, 1, 1, 1, 0, 2, 2, 1, 2, 0, 0, 2, 0, 2, 0, 1, 0, 0, 2, 2, 0, 1, 2, 0, 1, 3, 1, 0, 0, 1, 0  },
{ 3, 0, 2, 0, 0, 0, 2, 1, 2, 1, 1, 0, 0, 1, 2, 0, 2, 3, 0, 0, 2, 0, 2, 0, 2, 2, 0, 0, 1, 0, 0, 0, 2, 0, 2, 3, 2, 2, 0, 0, 0, 0  },
{ 3, 0, 0, 0, 3, 0, 3, 1, 1, 1, 1, 3, 1, 0, 0, 0, 3, 0, 0, 0, 2, 0, 2, 2, 0, 0, 3, 0, 0, 0, 0, 1, 2, 3, 0, 1, 0, 1, 2, 1, 0, 0  },
{ 0, 0, 2, 3, 0, 1, 1, 0, 0, 2, 0, 3, 0, 2, 0, 0, 0, 3, 1, 1, 2, 0, 2, 2, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 0, 1, 1, 2, 1, 0, 0, 0  },
{ 1, 0, 3, 1, 3, 1, 1, 2, 0, 2, 2, 3, 2, 0, 1, 0, 0, 0, 3, 0, 1, 0, 3, 2, 0, 0, 0, 0, 3, 2, 1, 0, 1, 2, 1, 3, 2, 0, 1, 1, 0, 0  },
{ 0, 1, 0, 3, 2, 3, 1, 0, 0, 2, 1, 0, 0, 2, 0, 3, 0, 2, 0, 2, 2, 2, 1, 2, 0, 0, 3, 3, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 1, 2, 0  },
{ 1, 1, 0, 3, 0, 1, 0, 1, 3, 0, 1, 0, 1, 1, 3, 0, 1, 2, 1, 0, 3, 0, 1, 2, 0, 1, 1, 1, 3, 0, 2, 0, 0, 0, 0, 1, 1, 1, 0, 2, 0, 0  },
{ 3, 1, 2, 1, 1, 0, 0, 2, 1, 1, 2, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2  },
{ 2, 1, 2, 1, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 3, 1, 1, 3, 0, 0, 1, 3, 1, 0, 0, 1, 0, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 3, 3, 3, 2, 0, 0, 0, 2  },
{ 3, 1, 2, 1, 0, 0, 0, 2, 1, 3, 1, 0, 0, 1, 1, 3, 0, 1, 0, 0, 3, 3, 0, 1, 0, 1, 0, 1, 2, 0, 3, 0, 2, 1, 3, 1, 3, 2, 0, 0, 0, 2  },
{ 3, 1, 0, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 2, 1, 0, 0, 3, 3, 1, 3, 1, 0, 1, 2, 0, 3, 2, 0, 2, 1, 2, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 0, 0, 0, 2, 3, 0, 1, 2, 1, 1, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 2, 2, 3, 2, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 2, 1, 0, 1, 2, 0, 2, 2, 0, 1, 0, 2, 1, 3, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 1, 3, 0, 0, 2, 2, 0, 0, 0, 3, 3, 2, 2, 1, 2, 2  },
{ 2, 0, 3, 0, 2, 0, 0, 0, 1, 1, 3, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 2, 1, 2, 0, 3, 0, 0, 0, 0, 2, 0, 2, 1, 3, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 2, 0, 2, 1, 2, 0, 0, 0, 2, 2, 0, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 3, 0, 0, 0, 0, 1, 1, 1, 2, 0, 1, 0, 1, 2, 2, 0, 1, 0, 1, 0, 3, 1, 2, 1, 1, 0, 1, 2, 2, 2, 0, 0, 0, 1, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 1, 2, 2, 1, 3, 0, 1, 0, 0, 2, 1, 0, 0, 1, 1, 3, 1, 0, 0, 2, 0, 0, 1, 2, 2, 3, 2, 1, 2, 0, 2  },
{ 0, 1, 2, 0, 0, 1, 1, 0, 1, 0, 2, 0, 2, 0, 0, 1, 0, 2, 1, 0, 2, 0, 2, 1, 2, 2, 1, 1, 2, 0, 2, 0, 0, 2, 0, 2, 0, 1, 2, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 0, 0, 2, 1, 0, 3, 0, 0, 0, 3, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 2, 2, 2, 2, 0, 0, 2, 0, 0, 0, 1  },
{ 1, 2, 0, 1, 0, 1, 2, 0, 0, 1, 1, 0, 3, 0, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 2, 2, 3, 0, 0, 1, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 3, 2, 0, 1, 0, 1, 3, 3, 0, 1, 0, 1, 0, 3, 0, 0, 2, 2, 0, 2, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 3, 3, 0, 0, 0, 2, 0, 0, 0, 2, 3, 3, 0, 1, 2, 2  },
{ 0, 1, 0, 0, 3, 0, 2, 0, 1, 1, 3, 0, 2, 0, 0, 1, 0, 2, 1, 0, 0, 0, 2, 1, 2, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 3, 2, 0, 3, 2, 0, 0  },
{ 3, 1, 0, 0, 3, 0, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 1, 0, 1, 3, 0, 0, 2, 1, 2, 2, 0, 0, 1, 0, 3, 2, 0  },
{ 1, 0, 2, 2, 0, 3, 3, 0, 0, 3, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 3, 0, 2, 2, 0, 1, 0, 1, 2, 0, 0  },
{ 0, 1, 1, 2, 2, 1, 2, 0, 1, 2, 1, 0, 2, 3, 3, 0, 1, 0, 1, 0, 0, 2, 2, 0, 0, 1, 1, 0, 1, 1, 0, 2, 1, 2, 1, 0, 0, 2, 2, 0, 1, 0  },
{ 2, 0, 0, 1, 2, 1, 0, 0, 0, 1, 0, 2, 2, 1, 3, 1, 1, 0, 0, 3, 1, 0, 3, 1, 0, 0, 1, 2, 0, 3, 0, 2, 1, 0, 0, 1, 3, 0, 2, 1, 2, 1  },
{ 0, 0, 1, 2, 0, 2, 1, 1, 2, 2, 1, 0, 3, 3, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 2, 0, 2, 1, 0, 2, 2, 1, 0, 1, 0, 2, 1, 0, 1, 2, 1, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 1, 2, 0, 1, 3, 0, 1, 3, 0, 0, 2, 0, 1, 0, 3, 0, 3, 0, 2, 0, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 3, 0, 0, 1, 0  },
{ 0, 0, 3, 1, 0, 1, 0, 0, 2, 2, 1, 0, 0, 2, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 2, 0, 3, 2, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0  },
{ 1, 0, 0, 2, 1, 0, 0, 3, 1, 2, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 1, 3, 3, 0, 0, 0, 0, 0, 2, 0, 2, 1, 1, 0, 1, 2, 0, 0, 0, 2  },
{ 1, 0, 0, 3, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 3, 0, 0, 0, 2  },
{ 1, 0, 3, 0, 3, 0, 1, 0, 1, 1, 1, 0, 2, 0, 3, 1, 0, 0, 1, 0, 3, 0, 3, 3, 0, 1, 0, 0, 0, 0, 2, 2, 0, 3, 0, 0, 2, 3, 0, 0, 0, 2  },
{ 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 3, 1, 1, 3, 1, 0, 3, 0, 3, 2, 1, 1, 0, 0, 0, 0, 2, 2, 3, 1, 2, 0, 2, 2, 0, 0, 0, 2  },
{ 1, 0, 3, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 2, 2, 3, 0, 3, 1, 0, 0, 0, 2, 0, 0, 3, 1, 1, 3, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 1, 2, 3, 0, 1, 2, 1, 0, 1, 0, 3, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0  },
{ 2, 3, 1, 0, 1, 2, 2, 0, 1, 3, 0, 1, 3, 0, 2, 3, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 2, 2, 1, 2, 0, 2, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 3, 2, 3, 0, 3, 1, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 2, 2, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 0, 2, 1, 1, 1, 3, 0, 0, 1, 0, 1, 1, 1, 0, 3, 0, 0, 2, 0, 1, 0, 1, 1, 0, 0, 2, 2, 3, 1, 0, 0, 0, 2, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 1, 2, 0, 1, 3, 2, 0, 0, 0, 2, 0, 1, 1, 1, 0, 2, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 1, 1, 2, 0, 2, 1, 0, 2, 0  },
{ 0, 1, 0, 1, 0, 2, 3, 0, 0, 2, 1, 0, 1, 0, 1, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 1, 2, 1, 1, 1, 2, 0, 2, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 1, 0, 1, 0, 1, 1, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 3, 3, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 1, 2, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 2, 2, 0, 1, 2, 1, 0, 0, 3, 1, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 1, 3, 3, 1, 2, 0, 0, 2, 1, 0, 3, 0, 2, 0, 1, 0, 2, 0, 2, 0, 2, 1, 0, 3, 2, 0, 0, 3, 0, 0, 0, 1, 0, 3, 0, 0  },
{ 1, 1, 2, 1, 1, 3, 0, 0, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 2, 2, 1, 0, 2, 3, 0, 0, 0, 1, 0, 2, 1, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 3, 1, 0, 2, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 3, 2, 1, 2, 2, 0, 1, 2, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 2, 1, 3, 0  },
{ 3, 1, 1, 2, 0, 2, 1, 3, 1, 0, 0, 2, 2, 2, 0, 2, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 3, 0, 1, 3, 1, 0, 3, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 3, 1, 0, 1, 1, 3, 0, 1, 1, 0, 1, 2, 2, 0, 2, 2, 0, 0, 2, 2, 1, 0, 1, 1, 2, 2, 0, 1, 0, 2, 1, 3, 0, 2, 2, 0, 0  },
{ 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 3, 2, 2, 1, 3, 3, 2, 2, 0, 0, 0, 1, 0, 0, 0, 1, 1, 1, 0, 1, 2, 1, 0, 2, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 2, 0, 1, 0, 1, 1, 0, 2, 1, 0, 1, 0, 2, 1, 0, 0, 1, 2, 2, 0, 3, 0, 0, 2, 2, 0, 0, 0, 0, 1, 1, 2, 2, 0, 0, 0  },
{ 1, 0, 0, 2, 3, 0, 0, 0, 2, 3, 2, 0, 2, 2, 0, 0, 0, 0, 2, 0, 3, 0, 3, 2, 0, 1, 1, 3, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0  },
{ 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 0, 0, 3, 2  },
{ 2, 0, 3, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 2, 1, 3, 0, 0, 2, 0, 1, 2, 3  },
{ 2, 3, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 2, 1, 2, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 2, 1, 0, 0, 2  },
{ 3, 1, 2, 3, 1, 0, 0, 2, 1, 0, 0, 0, 2, 1, 2, 1, 3, 1, 0, 0, 2, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 3, 1, 1, 0, 0, 2, 0, 2  },
{ 3, 0, 1, 0, 2, 0, 3, 0, 1, 1, 3, 0, 0, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 0, 2  },
{ 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 0, 1, 3, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 0, 0, 2, 0, 2  },
{ 0, 1, 3, 0, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0, 3, 2, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 0, 0, 3, 1, 3, 0, 1, 3, 1, 2, 0, 2  },
{ 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 2, 2, 0, 3, 0, 3, 0, 2, 3, 1, 2, 2, 1, 1, 3, 0, 2  },
{ 2, 1, 0, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 0, 1, 0, 3, 1, 1, 0, 2, 0, 2, 0, 0, 1, 2, 1, 0, 0, 0, 2, 2, 2, 0, 0, 0, 3, 1, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 3, 2, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 1, 0, 3, 2, 0, 1, 1, 0, 0, 0, 2, 2, 2, 0, 0, 2, 0, 3, 0, 0, 0  },
{ 0, 0, 2, 3, 0, 2, 1, 1, 0, 1, 1, 0, 2, 0, 1, 1, 0, 0, 2, 3, 0, 1, 3, 1, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 3, 2, 0, 0, 3, 0, 2  },
{ 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 3, 3, 3, 1, 0, 0, 3, 0, 2, 1, 3, 2, 2, 1, 2, 0, 1  },
{ 2, 3, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 3, 0, 0, 1, 2, 2, 0, 2, 3, 2, 1, 0, 2, 0  },
{ 0, 0, 0, 2, 0, 0, 3, 2, 0, 0, 0, 1, 1, 1, 0, 3, 0, 0, 1, 1, 2, 0, 0, 0, 2, 2, 0, 3, 0, 0, 0, 1, 2, 2, 1, 2, 0, 2, 1, 0, 0, 0  },
{ 2, 2, 1, 2, 0, 1, 0, 1, 0, 1, 0, 1, 1, 1, 1, 0, 0, 3, 1, 0, 1, 0, 1, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 1, 0, 3, 0, 1, 1, 0, 2, 2  },
{ 3, 0, 2, 0, 1, 0, 3, 0, 1, 0, 0, 3, 1, 1, 2, 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 1, 0, 3, 1, 3, 1, 3, 1, 0, 2, 1  },
{ 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0  },
{ 1, 0, 3, 1, 0, 0, 2, 1, 1, 0, 0, 0, 2, 2, 3, 0, 0, 0, 0, 1, 0, 3, 0, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 2, 1, 2, 0, 0, 0, 2, 1, 0  },
{ 1, 1, 2, 0, 2, 1, 2, 2, 1, 2, 0, 2, 2, 3, 2, 1, 1, 2, 0, 1, 0, 2, 2, 2, 1, 0, 2, 1, 0, 2, 1, 0, 0, 0, 3, 0, 1, 2, 0, 2, 2, 0  },
{ 3, 0, 1, 0, 0, 1, 0, 3, 2, 0, 1, 0, 1, 2, 0, 0, 2, 1, 1, 0, 0, 0, 2, 3, 0, 2, 0, 3, 1, 0, 0, 1, 0, 2, 0, 2, 2, 1, 0, 1, 0, 1  },
{ 0, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 1, 1, 3, 2, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 2, 2, 0, 0, 0, 1, 0, 2, 0, 2, 1, 1, 0, 2, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 0, 2, 2, 2, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 3, 1, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 3, 3, 3, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 0, 0, 0, 2, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 3, 0, 0, 3, 3  },
{ 1, 0, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 2  },
{ 2, 0, 1, 0, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 2, 2, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0  },
{ 2, 3, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 3, 0, 0, 2, 2, 2, 1, 0, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2  },
{ 3, 1, 0, 0, 0, 3, 2, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 2, 3, 0, 1, 0, 0, 0, 0, 0, 2  },
{ 2, 0, 1, 0, 0, 0, 0, 2, 1, 1, 0, 0, 1, 1, 0, 2, 1, 2, 2, 0, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 1, 3, 2, 0, 0, 2, 0, 3, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 2, 2, 0, 1, 1, 2, 1, 3, 0, 3, 0, 0, 2, 0, 0, 2, 0, 2, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 2, 3, 3, 0, 0, 2, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 1, 0, 3, 1, 0, 3, 1, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 0, 1, 2, 1, 1, 1, 0, 3, 0, 0, 2, 3, 1, 0, 0, 0, 0, 0, 1, 2, 0, 0, 3, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 1, 2, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 1, 0, 1, 0, 1, 0, 3, 0, 1, 0, 0, 0, 3, 1, 1, 0, 2, 2, 3, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 0, 3, 1, 3, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 1, 2, 0, 3, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 3, 1, 0, 1, 0, 0  },
{ 1, 1, 1, 3, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 2, 1, 3, 1, 2, 1, 2, 0, 1, 1, 0, 3, 0, 0, 0, 1, 1, 1, 2, 2, 1, 0, 2, 1, 1, 3, 2, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 1, 3, 3, 0  },
{ 0, 0, 2, 1, 1, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 3, 2, 0, 1, 2, 2, 0, 1, 2, 0, 0, 0, 1, 1, 3, 1, 0, 0, 0, 2, 2, 0, 0  },
{ 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 3, 0, 3, 0, 1, 1, 0, 0, 1, 2, 2, 2, 3, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0  }
 }
 },
{ 
{ 
{ 2, 2, 3, 3, 3, 3, 1, 2, 3, 3, 0, 0, 2, 2, 2, 3, 3, 0, 3, 2, 2, 2, 2, 1, 3, 2, 3, 0, 2, 3, 0, 1, 0, 3, 2, 3, 2, 3, 0, 2, 1, 2  },
{ 2, 3, 2, 3, 2, 3, 1, 2, 3, 3, 3, 1, 1, 2, 0, 3, 3, 1, 3, 0, 2, 2, 2, 3, 3, 2, 2, 3, 3, 3, 3, 1, 1, 2, 2, 3, 2, 3, 3, 1, 2, 3  },
{ 2, 3, 1, 3, 2, 0, 1, 1, 3, 0, 3, 1, 0, 2, 0, 3, 2, 1, 2, 0, 3, 1, 2, 3, 3, 0, 0, 1, 0, 1, 3, 3, 1, 1, 2, 3, 3, 1, 0, 1, 2, 1  },
{ 3, 2, 3, 2, 2, 3, 0, 1, 3, 3, 3, 1, 0, 3, 2, 3, 2, 3, 0, 2, 0, 2, 3, 2, 3, 3, 1, 1, 3, 3, 2, 2, 2, 2, 0, 3, 3, 2, 3, 2, 2, 3  },
{ 1, 3, 1, 0, 3, 1, 2, 0, 1, 0, 3, 3, 1, 3, 0, 0, 1, 0, 0, 1, 3, 1, 0, 2, 3, 1, 1, 0, 3, 3, 0, 1, 0, 0, 2, 3, 1, 3, 1, 3, 2, 2  },
{ 2, 0, 3, 1, 3, 1, 2, 0, 3, 1, 3, 2, 1, 1, 1, 3, 3, 2, 0, 2, 0, 2, 2, 3, 1, 1, 3, 2, 2, 2, 2, 3, 2, 2, 0, 3, 2, 3, 2, 1, 2, 0  },
{ 2, 0, 1, 3, 3, 1, 2, 1, 3, 1, 2, 2, 1, 1, 0, 3, 3, 2, 1, 3, 1, 2, 2, 1, 3, 1, 1, 2, 2, 3, 1, 2, 2, 2, 1, 3, 2, 3, 0, 1, 2, 2  },
{ 2, 0, 3, 1, 1, 0, 2, 1, 3, 1, 3, 2, 1, 1, 1, 3, 3, 1, 2, 2, 0, 2, 2, 3, 1, 1, 2, 2, 2, 2, 0, 2, 2, 2, 2, 3, 2, 3, 0, 1, 3, 2  },
{ 2, 0, 3, 1, 1, 2, 3, 1, 3, 1, 3, 2, 1, 1, 1, 3, 1, 3, 0, 2, 1, 2, 2, 1, 3, 1, 2, 2, 2, 0, 0, 0, 2, 2, 1, 3, 2, 3, 0, 2, 0, 3  },
{ 2, 0, 3, 1, 1, 2, 2, 2, 3, 3, 2, 1, 1, 3, 3, 3, 1, 2, 1, 3, 2, 0, 2, 1, 3, 1, 0, 1, 2, 2, 2, 0, 3, 2, 2, 3, 2, 3, 3, 2, 0, 1  },
{ 2, 0, 3, 1, 1, 0, 2, 3, 2, 2, 3, 2, 3, 2, 2, 3, 1, 3, 1, 2, 0, 2, 2, 3, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 1, 3, 2, 3, 0, 3, 0, 2  },
{ 2, 3, 0, 1, 1, 2, 0, 3, 1, 1, 2, 3, 3, 1, 2, 3, 1, 3, 1, 3, 0, 3, 2, 0, 3, 2, 2, 3, 2, 3, 2, 1, 2, 2, 1, 3, 2, 3, 0, 0, 2, 2  },
{ 2, 0, 3, 1, 1, 2, 2, 1, 3, 0, 2, 0, 3, 1, 2, 3, 1, 2, 3, 0, 3, 3, 2, 2, 3, 2, 2, 1, 0, 3, 2, 1, 3, 2, 1, 3, 1, 0, 2, 3, 2, 0  },
{ 2, 0, 3, 2, 2, 2, 1, 3, 3, 1, 3, 1, 2, 2, 3, 2, 1, 3, 3, 3, 0, 2, 2, 3, 1, 2, 1, 2, 3, 0, 3, 1, 2, 2, 1, 3, 3, 3, 3, 3, 0, 3  },
{ 2, 3, 0, 1, 1, 2, 0, 3, 2, 2, 2, 2, 2, 3, 3, 2, 1, 3, 0, 3, 2, 3, 2, 0, 3, 2, 2, 3, 2, 3, 0, 2, 2, 2, 1, 3, 3, 2, 0, 0, 1, 0  },
{ 2, 3, 0, 1, 0, 1, 2, 2, 1, 2, 3, 2, 2, 2, 3, 1, 2, 2, 2, 0, 3, 0, 2, 2, 3, 1, 3, 3, 2, 2, 2, 3, 0, 2, 0, 3, 1, 0, 0, 3, 0, 1  },
{ 2, 3, 0, 1, 3, 0, 2, 1, 3, 0, 2, 0, 2, 2, 3, 3, 0, 0, 0, 1, 0, 2, 2, 3, 2, 2, 3, 2, 2, 2, 3, 3, 1, 1, 3, 3, 1, 2, 1, 0, 3, 3  },
{ 2, 3, 1, 3, 1, 2, 0, 1, 3, 3, 2, 1, 1, 1, 2, 3, 2, 1, 2, 3, 1, 0, 2, 2, 3, 2, 3, 2, 3, 3, 1, 3, 2, 2, 1, 3, 1, 0, 3, 1, 2, 1  },
{ 2, 1, 3, 1, 0, 2, 1, 0, 3, 1, 3, 2, 1, 3, 2, 3, 0, 2, 0, 3, 1, 0, 2, 2, 3, 2, 3, 0, 3, 2, 2, 1, 2, 2, 1, 3, 1, 0, 1, 3, 2, 0  },
{ 1, 2, 3, 3, 1, 2, 1, 1, 3, 3, 3, 0, 2, 2, 2, 3, 0, 0, 2, 0, 2, 3, 2, 2, 3, 2, 3, 2, 0, 3, 2, 2, 2, 3, 1, 3, 1, 2, 1, 3, 3, 2  },
{ 1, 3, 0, 0, 1, 2, 0, 1, 1, 3, 0, 3, 2, 1, 2, 1, 2, 3, 1, 0, 3, 2, 0, 1, 2, 3, 1, 3, 0, 2, 2, 3, 0, 3, 2, 2, 1, 2, 1, 3, 3, 1  },
{ 1, 2, 0, 1, 1, 3, 2, 3, 1, 3, 1, 2, 3, 1, 1, 3, 1, 1, 2, 1, 0, 2, 2, 0, 1, 0, 3, 2, 2, 2, 2, 2, 2, 2, 3, 2, 1, 3, 2, 0, 1, 1  },
{ 2, 1, 0, 1, 3, 1, 3, 2, 1, 1, 2, 2, 3, 3, 2, 3, 1, 3, 0, 2, 0, 1, 2, 2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 1, 0, 3, 0, 0, 2  },
{ 2, 1, 0, 1, 1, 2, 3, 3, 1, 3, 1, 2, 3, 0, 0, 3, 1, 1, 2, 2, 1, 0, 2, 1, 1, 2, 0, 2, 2, 2, 2, 2, 2, 2, 3, 0, 1, 3, 2, 1, 3, 2  },
{ 2, 1, 0, 1, 1, 2, 1, 3, 1, 3, 3, 0, 2, 0, 0, 3, 1, 2, 0, 2, 1, 3, 2, 0, 3, 2, 0, 1, 2, 2, 2, 2, 2, 2, 1, 3, 1, 3, 2, 0, 2, 2  },
{ 1, 0, 2, 1, 1, 1, 3, 2, 1, 2, 3, 2, 1, 0, 1, 3, 1, 2, 0, 2, 1, 0, 2, 2, 3, 2, 3, 1, 3, 2, 2, 1, 2, 2, 1, 3, 1, 0, 2, 2, 1, 2  },
{ 2, 1, 0, 3, 1, 3, 2, 0, 1, 1, 3, 2, 3, 0, 3, 1, 1, 1, 3, 2, 1, 1, 2, 3, 1, 2, 2, 1, 3, 0, 0, 0, 3, 2, 0, 3, 1, 3, 2, 1, 3, 2  },
{ 2, 3, 0, 1, 1, 0, 3, 2, 1, 3, 1, 2, 3, 0, 1, 3, 1, 1, 2, 0, 0, 0, 3, 2, 1, 2, 0, 2, 0, 2, 3, 0, 2, 2, 2, 3, 1, 3, 2, 1, 3, 2  },
{ 2, 3, 0, 1, 2, 1, 2, 3, 1, 0, 1, 2, 1, 1, 1, 3, 1, 2, 3, 0, 1, 3, 1, 1, 3, 2, 3, 0, 3, 2, 2, 2, 2, 2, 1, 3, 1, 0, 2, 0, 0, 2  },
{ 2, 0, 3, 1, 2, 2, 2, 0, 1, 3, 2, 1, 2, 1, 1, 3, 2, 2, 2, 0, 3, 0, 3, 2, 3, 1, 3, 1, 2, 2, 2, 0, 2, 2, 1, 3, 1, 0, 2, 3, 0, 2  },
{ 2, 0, 3, 2, 1, 3, 2, 0, 1, 2, 2, 0, 1, 3, 0, 1, 1, 3, 0, 2, 0, 2, 0, 3, 1, 2, 1, 2, 3, 2, 0, 0, 3, 2, 1, 1, 3, 3, 3, 1, 3, 2  },
{ 2, 0, 3, 1, 1, 3, 1, 2, 1, 2, 2, 1, 0, 3, 3, 1, 1, 2, 3, 1, 0, 0, 3, 1, 3, 2, 1, 3, 1, 2, 1, 2, 3, 2, 2, 3, 1, 3, 2, 1, 3, 0  },
{ 2, 3, 0, 1, 2, 1, 1, 2, 1, 2, 2, 3, 3, 1, 2, 1, 2, 2, 0, 2, 2, 3, 2, 3, 2, 1, 3, 0, 0, 2, 0, 3, 1, 2, 0, 3, 1, 0, 3, 0, 3, 2  },
{ 2, 0, 3, 2, 2, 2, 3, 2, 1, 1, 2, 2, 1, 1, 3, 1, 1, 3, 3, 1, 2, 2, 1, 3, 2, 2, 1, 0, 3, 0, 0, 1, 0, 3, 2, 2, 3, 3, 1, 3, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 2, 1, 2, 2, 0, 1, 0, 2, 1, 1, 2, 3, 1, 2, 3, 0, 2, 3, 2, 0, 2, 2, 0, 3, 1, 3, 2, 3, 3, 3, 1, 2, 2, 2, 2  },
{ 2, 0, 3, 1, 3, 3, 1, 2, 1, 2, 2, 2, 3, 2, 3, 3, 2, 0, 2, 0, 3, 3, 2, 2, 3, 1, 3, 2, 0, 1, 3, 0, 0, 1, 2, 3, 1, 0, 1, 2, 1, 2  },
{ 1, 0, 3, 0, 1, 1, 1, 0, 0, 3, 1, 1, 3, 2, 2, 2, 2, 0, 2, 1, 3, 0, 3, 1, 2, 3, 0, 1, 0, 2, 2, 1, 1, 2, 3, 1, 2, 3, 0, 2, 2, 3  },
{ 1, 0, 2, 1, 2, 1, 2, 1, 3, 1, 3, 2, 3, 0, 0, 3, 3, 2, 0, 1, 0, 0, 2, 2, 3, 2, 2, 1, 2, 2, 2, 2, 2, 2, 1, 3, 1, 0, 1, 1, 1, 1  },
{ 1, 2, 0, 1, 0, 0, 2, 3, 1, 3, 1, 2, 2, 3, 2, 3, 2, 2, 0, 3, 2, 1, 1, 2, 3, 0, 3, 0, 2, 2, 2, 0, 0, 3, 1, 3, 1, 1, 2, 0, 3, 2  },
{ 2, 3, 0, 1, 2, 2, 2, 3, 1, 2, 2, 1, 2, 0, 1, 3, 0, 0, 2, 3, 3, 3, 0, 2, 3, 2, 3, 2, 0, 2, 2, 0, 2, 0, 1, 3, 1, 2, 1, 3, 0, 2  },
{ 2, 3, 2, 1, 0, 2, 1, 3, 2, 2, 0, 2, 1, 2, 2, 3, 0, 2, 2, 0, 3, 3, 1, 2, 3, 2, 3, 0, 0, 2, 2, 1, 2, 3, 1, 3, 1, 1, 2, 0, 1, 2  },
{ 2, 3, 0, 1, 2, 2, 3, 2, 1, 1, 3, 0, 2, 3, 0, 3, 2, 2, 2, 0, 3, 3, 1, 2, 3, 2, 3, 1, 3, 0, 2, 1, 1, 2, 3, 3, 1, 2, 1, 0, 3, 2  },
{ 3, 2, 3, 1, 0, 0, 3, 0, 2, 2, 2, 1, 3, 0, 0, 3, 3, 0, 2, 0, 3, 0, 2, 3, 1, 2, 2, 1, 2, 2, 3, 2, 2, 3, 1, 3, 3, 1, 0, 2, 0, 3  },
{ 1, 1, 0, 1, 1, 3, 1, 2, 1, 3, 1, 2, 1, 3, 1, 3, 1, 1, 2, 2, 1, 0, 2, 1, 1, 1, 3, 2, 2, 2, 1, 2, 1, 2, 3, 1, 1, 0, 3, 1, 2, 2  },
{ 1, 1, 0, 2, 1, 3, 1, 3, 1, 3, 1, 2, 0, 2, 1, 3, 1, 2, 0, 2, 1, 1, 2, 2, 1, 2, 3, 1, 2, 2, 2, 2, 2, 2, 3, 0, 1, 3, 2, 2, 0, 2  },
{ 1, 2, 0, 1, 1, 3, 1, 2, 1, 1, 3, 2, 2, 3, 1, 3, 3, 2, 0, 2, 1, 1, 2, 2, 1, 2, 1, 3, 2, 3, 2, 2, 2, 2, 3, 1, 1, 0, 2, 3, 1, 1  },
{ 2, 1, 0, 1, 1, 3, 2, 3, 1, 2, 2, 2, 1, 2, 1, 3, 1, 3, 0, 2, 1, 0, 2, 3, 1, 0, 1, 2, 2, 2, 3, 0, 2, 2, 3, 2, 1, 3, 2, 0, 1, 2  },
{ 2, 3, 0, 1, 1, 0, 2, 3, 1, 1, 3, 0, 2, 2, 3, 1, 1, 3, 0, 2, 1, 0, 0, 3, 1, 1, 0, 2, 3, 0, 2, 3, 2, 2, 3, 0, 1, 3, 2, 1, 3, 0  },
{ 2, 1, 0, 3, 2, 3, 3, 0, 1, 1, 2, 0, 3, 3, 2, 1, 1, 3, 0, 2, 1, 1, 2, 3, 1, 2, 1, 2, 3, 0, 0, 0, 3, 1, 2, 3, 1, 3, 0, 2, 3, 0  },
{ 2, 3, 0, 1, 2, 2, 3, 3, 1, 2, 2, 3, 1, 0, 2, 1, 1, 2, 0, 3, 1, 3, 0, 3, 1, 2, 0, 0, 3, 2, 3, 0, 3, 2, 2, 3, 1, 3, 2, 0, 2, 2  },
{ 2, 3, 0, 1, 2, 3, 2, 0, 1, 2, 2, 1, 0, 3, 2, 1, 1, 3, 2, 0, 1, 1, 2, 2, 3, 2, 2, 1, 1, 0, 3, 0, 2, 2, 2, 3, 1, 3, 2, 0, 3, 2  },
{ 2, 3, 0, 1, 2, 1, 0, 3, 1, 3, 0, 2, 1, 2, 1, 3, 2, 3, 0, 2, 0, 1, 3, 2, 3, 1, 2, 0, 2, 2, 0, 3, 1, 1, 2, 3, 1, 3, 1, 2, 3, 2  },
{ 2, 0, 3, 2, 2, 3, 0, 2, 2, 1, 2, 1, 0, 3, 2, 1, 1, 3, 2, 0, 2, 3, 3, 3, 1, 2, 1, 2, 3, 0, 1, 0, 3, 1, 1, 3, 3, 2, 3, 2, 3, 3  },
{ 1, 0, 3, 0, 2, 3, 2, 1, 1, 3, 3, 2, 1, 3, 2, 1, 2, 0, 2, 0, 2, 2, 2, 3, 2, 1, 3, 2, 0, 2, 2, 3, 1, 3, 1, 3, 1, 2, 1, 2, 0, 2  },
{ 0, 1, 3, 2, 3, 0, 2, 3, 0, 2, 3, 0, 2, 3, 0, 0, 1, 1, 1, 0, 3, 0, 2, 0, 3, 1, 3, 2, 0, 2, 2, 1, 3, 0, 2, 3, 1, 3, 1, 0, 2, 2  },
{ 1, 0, 3, 1, 3, 0, 2, 1, 1, 2, 3, 1, 1, 1, 2, 0, 0, 2, 1, 1, 3, 2, 0, 3, 2, 1, 0, 0, 2, 3, 3, 3, 1, 0, 3, 2, 1, 2, 1, 0, 3, 1  },
{ 1, 2, 0, 1, 3, 1, 3, 2, 1, 0, 1, 2, 1, 2, 2, 3, 2, 0, 2, 0, 2, 0, 2, 2, 3, 0, 3, 2, 0, 2, 0, 0, 1, 0, 1, 3, 1, 1, 2, 3, 0, 0  },
{ 1, 0, 3, 1, 2, 3, 2, 1, 3, 0, 0, 2, 3, 2, 3, 3, 3, 0, 2, 0, 1, 1, 0, 2, 3, 2, 3, 2, 1, 2, 2, 2, 1, 3, 3, 1, 1, 0, 1, 2, 3, 2  },
{ 1, 3, 0, 1, 1, 0, 2, 2, 0, 0, 3, 1, 3, 0, 0, 0, 1, 0, 0, 1, 1, 2, 0, 0, 2, 2, 3, 1, 1, 3, 2, 3, 1, 2, 2, 1, 1, 2, 0, 2, 1, 1  },
{ 1, 2, 0, 1, 1, 1, 3, 3, 1, 2, 3, 2, 1, 2, 1, 3, 1, 2, 0, 2, 2, 1, 2, 3, 1, 0, 3, 1, 1, 2, 1, 1, 2, 1, 2, 1, 1, 3, 3, 2, 2, 2  },
{ 1, 2, 0, 1, 2, 1, 3, 2, 1, 3, 1, 2, 1, 2, 1, 3, 2, 0, 2, 0, 1, 1, 1, 2, 1, 2, 1, 3, 3, 2, 3, 0, 2, 2, 3, 0, 1, 3, 2, 2, 2, 1  },
{ 1, 2, 0, 1, 1, 3, 1, 3, 1, 3, 1, 2, 1, 2, 1, 3, 1, 3, 0, 2, 1, 1, 2, 3, 1, 1, 2, 1, 2, 0, 0, 2, 1, 3, 2, 1, 1, 0, 3, 2, 2, 2  },
{ 1, 2, 0, 1, 2, 3, 0, 2, 1, 2, 2, 1, 2, 1, 1, 3, 2, 2, 0, 2, 2, 0, 2, 1, 3, 1, 3, 1, 2, 2, 2, 1, 1, 2, 1, 3, 1, 0, 2, 0, 2, 2  },
{ 1, 2, 0, 3, 1, 3, 1, 0, 1, 3, 1, 2, 3, 1, 3, 1, 1, 0, 2, 0, 1, 3, 2, 3, 1, 1, 0, 2, 3, 0, 3, 0, 3, 2, 3, 0, 1, 3, 2, 0, 3, 2  },
{ 2, 3, 0, 1, 2, 1, 3, 2, 1, 2, 2, 1, 2, 1, 3, 1, 1, 3, 0, 2, 3, 0, 2, 2, 1, 2, 2, 0, 0, 3, 0, 0, 2, 2, 2, 3, 1, 2, 3, 0, 2, 0  },
{ 2, 3, 0, 1, 2, 2, 3, 0, 1, 2, 2, 3, 1, 2, 1, 3, 2, 2, 0, 2, 1, 1, 3, 2, 1, 1, 3, 1, 3, 2, 3, 0, 0, 3, 2, 3, 1, 0, 1, 2, 2, 0  },
{ 2, 0, 3, 1, 2, 3, 2, 0, 1, 3, 1, 0, 3, 2, 1, 3, 2, 2, 0, 2, 0, 3, 1, 2, 3, 0, 3, 1, 1, 2, 1, 1, 2, 2, 2, 3, 1, 2, 1, 0, 3, 2  },
{ 2, 2, 3, 0, 1, 1, 3, 0, 1, 1, 3, 2, 3, 3, 2, 1, 1, 0, 3, 2, 2, 1, 0, 3, 1, 1, 2, 0, 3, 0, 3, 0, 3, 2, 0, 3, 1, 3, 2, 2, 3, 0  },
{ 1, 0, 3, 2, 2, 3, 3, 3, 1, 2, 2, 3, 1, 1, 2, 1, 2, 1, 0, 2, 0, 1, 2, 2, 3, 1, 3, 0, 2, 1, 3, 0, 2, 0, 2, 3, 1, 0, 1, 1, 3, 2  },
{ 2, 2, 3, 0, 2, 2, 3, 1, 2, 0, 0, 3, 0, 2, 3, 1, 1, 3, 2, 3, 2, 0, 2, 3, 1, 1, 0, 1, 2, 0, 3, 0, 3, 1, 1, 3, 3, 3, 2, 3, 3, 2  },
{ 2, 0, 3, 2, 2, 2, 3, 0, 1, 2, 2, 3, 0, 2, 2, 1, 1, 2, 0, 2, 3, 1, 0, 3, 1, 1, 1, 2, 2, 0, 3, 0, 3, 1, 2, 3, 3, 0, 1, 3, 3, 2  },
{ 1, 0, 3, 2, 2, 3, 3, 1, 1, 2, 3, 1, 2, 3, 2, 1, 1, 3, 2, 0, 2, 1, 0, 2, 3, 1, 1, 2, 0, 1, 0, 3, 1, 1, 2, 3, 3, 2, 0, 2, 3, 2  },
{ 1, 3, 0, 2, 2, 3, 0, 3, 1, 2, 1, 3, 2, 1, 2, 1, 2, 3, 2, 0, 2, 0, 0, 3, 2, 1, 2, 3, 0, 2, 0, 3, 1, 1, 2, 3, 1, 3, 1, 1, 3, 2  },
{ 2, 3, 1, 2, 2, 3, 1, 3, 1, 2, 2, 0, 3, 0, 2, 2, 1, 3, 2, 2, 1, 0, 2, 3, 1, 2, 1, 3, 2, 0, 2, 0, 3, 1, 1, 3, 3, 2, 2, 3, 3, 0  },
{ 2, 0, 2, 3, 2, 1, 3, 2, 1, 2, 2, 3, 0, 1, 1, 1, 1, 3, 2, 0, 1, 2, 0, 3, 1, 1, 2, 0, 3, 3, 3, 0, 3, 1, 1, 3, 3, 0, 0, 2, 3, 3  },
{ 0, 1, 3, 2, 2, 3, 0, 1, 1, 2, 3, 0, 1, 2, 3, 0, 1, 1, 1, 0, 3, 1, 0, 2, 1, 1, 2, 3, 0, 2, 2, 3, 1, 3, 1, 3, 3, 0, 1, 2, 3, 1  },
{ 1, 2, 0, 1, 1, 3, 3, 2, 1, 2, 2, 1, 2, 1, 2, 3, 1, 3, 0, 2, 2, 1, 2, 2, 1, 2, 2, 1, 2, 0, 2, 0, 1, 3, 2, 0, 1, 3, 1, 2, 2, 1  },
{ 1, 2, 0, 1, 2, 3, 1, 2, 1, 3, 0, 2, 2, 3, 1, 3, 2, 2, 0, 2, 0, 0, 2, 1, 3, 2, 3, 0, 1, 3, 0, 2, 1, 1, 2, 1, 1, 0, 1, 2, 2, 2  },
{ 1, 0, 3, 1, 2, 0, 3, 2, 1, 3, 1, 3, 2, 1, 2, 3, 2, 2, 0, 2, 0, 0, 1, 2, 3, 0, 3, 0, 2, 2, 2, 1, 1, 1, 2, 1, 1, 3, 1, 2, 2, 2  },
{ 2, 3, 0, 1, 2, 2, 2, 3, 1, 3, 1, 0, 1, 2, 1, 3, 2, 2, 0, 2, 3, 3, 1, 2, 3, 0, 3, 0, 3, 2, 0, 0, 2, 0, 1, 3, 1, 1, 2, 0, 3, 2  },
{ 2, 3, 0, 1, 2, 3, 3, 2, 1, 1, 2, 0, 3, 1, 1, 3, 2, 3, 0, 2, 0, 1, 2, 2, 3, 0, 1, 2, 0, 2, 2, 2, 1, 1, 1, 1, 1, 3, 2, 2, 0, 2  },
{ 1, 0, 2, 1, 3, 2, 3, 3, 1, 2, 1, 0, 2, 2, 1, 2, 2, 3, 0, 2, 0, 2, 1, 3, 2, 0, 0, 2, 0, 2, 2, 0, 1, 2, 3, 1, 1, 3, 2, 1, 3, 2  },
{ 2, 0, 3, 1, 2, 3, 1, 3, 1, 3, 3, 0, 1, 2, 1, 3, 2, 1, 2, 0, 2, 0, 0, 2, 3, 0, 3, 0, 3, 2, 3, 1, 2, 0, 2, 3, 1, 3, 1, 2, 3, 2  },
{ 2, 3, 3, 1, 2, 2, 1, 1, 3, 0, 3, 0, 3, 2, 1, 2, 2, 0, 1, 2, 0, 2, 1, 3, 1, 2, 0, 3, 0, 2, 3, 0, 2, 1, 2, 1, 3, 3, 0, 3, 3, 3  },
{ 2, 0, 3, 1, 3, 2, 3, 2, 1, 2, 1, 0, 1, 1, 3, 2, 3, 0, 3, 2, 2, 3, 0, 3, 2, 2, 1, 0, 0, 3, 2, 0, 1, 2, 1, 3, 1, 3, 1, 2, 0, 2  },
{ 1, 0, 3, 2, 2, 0, 2, 3, 1, 3, 1, 0, 1, 2, 1, 3, 2, 3, 1, 3, 0, 2, 1, 3, 2, 2, 0, 0, 2, 2, 0, 2, 0, 0, 1, 3, 1, 3, 1, 2, 3, 2  },
{ 1, 0, 3, 0, 2, 3, 1, 0, 1, 3, 2, 3, 2, 2, 1, 3, 2, 2, 1, 0, 2, 2, 2, 2, 3, 2, 2, 3, 0, 2, 1, 3, 0, 2, 0, 3, 0, 2, 1, 1, 3, 2  },
{ 1, 1, 0, 1, 2, 1, 3, 0, 1, 1, 3, 2, 1, 2, 3, 1, 2, 2, 0, 1, 2, 1, 0, 2, 0, 1, 3, 1, 1, 2, 2, 1, 2, 1, 3, 1, 1, 0, 1, 2, 2, 2  },
{ 1, 2, 0, 1, 2, 3, 0, 3, 1, 2, 2, 1, 2, 1, 2, 3, 2, 2, 0, 2, 1, 1, 2, 0, 1, 1, 2, 1, 3, 0, 2, 1, 1, 2, 1, 3, 1, 0, 3, 2, 2, 2  },
{ 1, 0, 0, 2, 1, 0, 3, 2, 1, 2, 3, 0, 1, 3, 2, 1, 1, 0, 2, 0, 2, 1, 0, 3, 1, 2, 2, 2, 0, 0, 0, 0, 3, 2, 1, 0, 1, 3, 2, 3, 2, 2  },
{ 1, 0, 3, 2, 2, 3, 1, 3, 1, 1, 1, 0, 2, 1, 3, 1, 2, 3, 0, 2, 1, 3, 2, 2, 1, 2, 2, 1, 2, 3, 2, 0, 1, 2, 2, 3, 1, 3, 1, 0, 2, 2  },
{ 1, 2, 0, 2, 1, 3, 3, 3, 1, 0, 0, 0, 3, 1, 3, 1, 1, 0, 2, 0, 2, 0, 2, 3, 1, 2, 2, 2, 3, 1, 3, 1, 3, 2, 3, 0, 1, 3, 2, 3, 2, 0  },
{ 2, 3, 0, 1, 2, 2, 3, 2, 1, 2, 2, 1, 3, 1, 2, 1, 2, 2, 0, 2, 0, 1, 0, 3, 1, 1, 3, 1, 1, 3, 0, 1, 1, 3, 2, 3, 1, 0, 1, 2, 3, 2  },
{ 1, 0, 3, 2, 2, 0, 1, 3, 1, 2, 3, 1, 0, 2, 3, 1, 2, 2, 0, 2, 0, 1, 2, 2, 3, 2, 3, 0, 0, 2, 2, 0, 1, 3, 2, 3, 1, 2, 1, 3, 2, 2  },
{ 2, 1, 0, 1, 3, 0, 2, 3, 2, 2, 2, 3, 1, 2, 0, 1, 1, 2, 0, 2, 1, 3, 0, 2, 1, 2, 2, 1, 3, 0, 3, 0, 1, 3, 2, 0, 1, 3, 2, 2, 3, 0  },
{ 1, 0, 2, 3, 2, 1, 3, 2, 1, 2, 2, 3, 1, 0, 0, 3, 0, 2, 0, 2, 1, 3, 0, 2, 1, 1, 3, 0, 3, 1, 3, 0, 1, 3, 2, 3, 1, 0, 2, 3, 2, 2  },
{ 1, 0, 2, 3, 2, 3, 3, 2, 1, 2, 2, 3, 2, 2, 3, 1, 1, 1, 0, 2, 2, 2, 0, 2, 1, 1, 2, 1, 1, 2, 3, 0, 1, 0, 2, 3, 1, 3, 2, 1, 2, 0  },
{ 1, 0, 3, 2, 2, 3, 0, 0, 0, 2, 3, 2, 3, 2, 2, 1, 1, 1, 1, 0, 3, 2, 1, 0, 2, 0, 0, 3, 0, 2, 0, 3, 1, 3, 1, 3, 1, 0, 2, 0, 3, 1  },
{ 2, 2, 0, 1, 2, 3, 0, 3, 2, 2, 2, 3, 0, 1, 0, 1, 1, 3, 2, 0, 1, 2, 0, 3, 1, 1, 0, 3, 2, 0, 3, 0, 3, 1, 2, 0, 1, 3, 2, 3, 2, 0  },
{ 1, 0, 3, 2, 2, 3, 1, 3, 1, 2, 1, 0, 3, 3, 0, 1, 1, 0, 2, 0, 2, 3, 0, 2, 0, 1, 0, 2, 1, 0, 3, 0, 3, 0, 2, 3, 1, 2, 3, 0, 0, 2  },
{ 2, 0, 3, 2, 2, 0, 1, 3, 2, 2, 2, 2, 0, 0, 3, 2, 1, 3, 2, 3, 2, 1, 3, 2, 1, 2, 3, 2, 2, 1, 3, 0, 2, 1, 1, 3, 3, 3, 2, 2, 3, 2  },
{ 1, 3, 0, 1, 2, 0, 3, 2, 1, 0, 0, 2, 1, 3, 3, 0, 1, 3, 2, 0, 2, 1, 2, 0, 3, 2, 0, 2, 0, 1, 2, 2, 1, 2, 1, 1, 1, 0, 2, 1, 2, 0  },
{ 1, 2, 0, 1, 2, 3, 0, 2, 1, 0, 0, 2, 3, 1, 2, 3, 2, 0, 2, 0, 2, 1, 2, 0, 3, 2, 3, 2, 0, 0, 2, 0, 1, 2, 1, 3, 1, 3, 2, 1, 2, 2  },
{ 1, 2, 0, 1, 1, 3, 0, 3, 1, 2, 3, 3, 2, 1, 2, 3, 1, 1, 0, 2, 0, 0, 2, 1, 2, 0, 3, 0, 2, 2, 0, 0, 1, 2, 1, 3, 1, 1, 3, 2, 0, 2  },
{ 1, 0, 0, 1, 2, 3, 2, 2, 1, 0, 3, 0, 3, 2, 3, 1, 2, 0, 2, 2, 0, 3, 1, 2, 3, 0, 3, 0, 0, 2, 2, 0, 1, 0, 1, 3, 1, 1, 2, 2, 3, 2  },
{ 2, 3, 3, 1, 0, 2, 1, 2, 1, 2, 3, 3, 0, 1, 2, 3, 3, 1, 0, 2, 0, 0, 1, 2, 3, 2, 1, 0, 0, 2, 2, 2, 1, 1, 1, 1, 1, 3, 1, 2, 3, 3  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 1, 0, 0, 1, 2, 1, 0, 3, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 2, 0, 1, 2, 1, 0, 2, 2, 1, 1, 0, 0, 3, 2, 2  },
{ 1, 1, 0, 1, 2, 3, 0, 2, 2, 0, 0, 1, 2, 1, 2, 1, 2, 3, 2, 0, 2, 2, 0, 2, 1, 1, 3, 0, 0, 1, 1, 0, 1, 1, 2, 1, 1, 0, 0, 2, 2, 2  },
{ 1, 1, 0, 1, 1, 1, 0, 3, 1, 0, 0, 3, 3, 2, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 1, 2, 1, 3, 1, 0, 0, 2, 3, 2, 1, 1, 0, 1, 2, 2, 2  },
{ 1, 1, 0, 1, 2, 3, 0, 3, 2, 1, 1, 0, 2, 2, 1, 3, 1, 1, 0, 2, 2, 3, 2, 0, 1, 0, 2, 0, 2, 1, 0, 0, 1, 2, 2, 1, 1, 3, 1, 3, 2, 2  },
{ 1, 0, 0, 1, 1, 0, 3, 0, 1, 1, 1, 0, 2, 2, 1, 3, 2, 1, 0, 2, 0, 3, 2, 0, 3, 0, 3, 0, 2, 0, 0, 1, 1, 2, 2, 1, 1, 3, 1, 2, 2, 2  },
{ 1, 2, 0, 1, 1, 0, 3, 3, 2, 0, 0, 0, 2, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2, 3, 1, 0, 1, 2, 2, 1, 3, 1, 3, 1, 2, 2, 1, 3, 2, 2, 2, 2  },
{ 1, 0, 3, 2, 2, 0, 3, 1, 1, 1, 1, 3, 0, 2, 2, 1, 2, 0, 2, 0, 2, 3, 0, 2, 0, 2, 2, 0, 0, 0, 3, 1, 1, 2, 1, 3, 1, 2, 3, 2, 2, 2  },
{ 1, 0, 0, 1, 2, 3, 0, 1, 1, 2, 3, 1, 3, 0, 2, 1, 1, 1, 0, 2, 0, 1, 0, 2, 3, 2, 3, 0, 2, 3, 0, 1, 1, 3, 2, 1, 1, 2, 1, 2, 2, 2  },
{ 1, 0, 3, 1, 1, 1, 2, 3, 0, 0, 0, 1, 3, 0, 2, 1, 2, 3, 1, 0, 2, 2, 0, 2, 3, 2, 3, 2, 0, 0, 2, 0, 1, 3, 2, 3, 1, 2, 0, 1, 2, 2  },
{ 1, 1, 0, 2, 2, 0, 3, 0, 2, 2, 3, 1, 0, 1, 3, 1, 0, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 1, 1, 0, 3, 1, 1, 3, 2, 2, 1, 2, 3, 2, 3, 0  },
{ 1, 2, 0, 1, 2, 3, 3, 0, 2, 2, 2, 1, 0, 0, 0, 3, 2, 2, 0, 2, 2, 1, 2, 0, 1, 1, 1, 2, 1, 3, 0, 0, 3, 0, 2, 1, 1, 3, 2, 1, 2, 2  },
{ 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 3, 3, 1, 0, 3, 1, 1, 1, 0, 2, 0, 1, 0, 2, 1, 1, 3, 1, 3, 2, 0, 0, 1, 0, 2, 3, 1, 0, 1, 2, 0, 2  },
{ 1, 0, 3, 2, 2, 0, 3, 3, 1, 0, 3, 3, 1, 0, 3, 1, 2, 3, 1, 0, 2, 1, 0, 2, 3, 1, 3, 2, 0, 2, 0, 3, 1, 2, 2, 3, 1, 2, 1, 1, 3, 0  },
{ 2, 1, 0, 1, 2, 3, 3, 2, 0, 2, 3, 1, 0, 0, 3, 2, 1, 0, 2, 0, 1, 2, 0, 2, 1, 1, 0, 0, 2, 0, 3, 0, 3, 0, 3, 0, 1, 3, 2, 2, 2, 2  },
{ 1, 2, 0, 1, 2, 3, 0, 3, 2, 2, 3, 1, 0, 1, 2, 1, 0, 0, 2, 0, 2, 3, 0, 2, 1, 1, 3, 2, 0, 1, 0, 3, 1, 0, 0, 3, 1, 2, 3, 2, 2, 0  },
{ 0, 1, 0, 0, 0, 3, 2, 3, 2, 2, 3, 1, 0, 1, 3, 1, 1, 1, 0, 2, 3, 2, 0, 2, 1, 1, 3, 0, 2, 2, 0, 3, 1, 0, 2, 3, 1, 2, 3, 0, 2, 2  },
{ 0, 1, 0, 0, 3, 3, 2, 3, 2, 0, 2, 3, 1, 3, 3, 0, 2, 3, 1, 0, 3, 2, 0, 2, 3, 1, 1, 0, 2, 1, 2, 3, 1, 0, 2, 3, 1, 3, 1, 2, 3, 2  },
{ 3, 1, 0, 2, 2, 3, 0, 3, 2, 2, 1, 0, 2, 1, 3, 2, 0, 3, 2, 0, 1, 3, 0, 2, 1, 1, 0, 3, 2, 2, 0, 0, 2, 1, 1, 0, 3, 0, 2, 3, 3, 0  },
{ 1, 1, 0, 3, 2, 3, 0, 1, 2, 2, 3, 1, 0, 3, 3, 2, 0, 0, 3, 0, 2, 0, 2, 3, 0, 1, 0, 0, 3, 2, 2, 0, 3, 1, 0, 3, 3, 2, 0, 2, 3, 2  },
{ 1, 3, 0, 3, 0, 1, 0, 1, 1, 3, 2, 3, 2, 1, 2, 0, 1, 3, 1, 3, 1, 2, 0, 0, 2, 0, 0, 1, 0, 3, 2, 0, 1, 3, 2, 1, 1, 0, 2, 0, 1, 1  },
{ 1, 3, 0, 1, 2, 3, 0, 2, 1, 0, 3, 0, 2, 1, 2, 3, 1, 1, 0, 2, 2, 1, 2, 0, 3, 2, 3, 0, 2, 1, 2, 0, 1, 2, 0, 1, 1, 0, 2, 1, 2, 2  },
{ 1, 0, 3, 0, 2, 3, 0, 2, 1, 1, 1, 0, 3, 0, 2, 3, 1, 1, 0, 2, 2, 1, 2, 2, 1, 0, 2, 3, 0, 2, 2, 0, 1, 0, 2, 1, 1, 3, 0, 2, 0, 2  },
{ 1, 0, 3, 1, 2, 3, 0, 1, 1, 1, 1, 0, 3, 2, 0, 3, 2, 3, 1, 0, 2, 3, 2, 2, 3, 0, 0, 2, 0, 2, 0, 0, 1, 2, 1, 1, 1, 3, 2, 0, 2, 2  },
{ 1, 0, 3, 1, 2, 3, 0, 3, 1, 0, 0, 1, 2, 1, 2, 3, 2, 3, 1, 0, 3, 3, 1, 2, 1, 3, 1, 0, 2, 2, 2, 0, 1, 0, 2, 1, 1, 0, 0, 3, 0, 0  },
{ 1, 0, 3, 1, 2, 0, 1, 3, 0, 1, 3, 1, 3, 2, 1, 2, 2, 3, 1, 0, 3, 0, 1, 3, 2, 3, 1, 0, 3, 2, 2, 1, 2, 1, 3, 1, 1, 0, 0, 2, 0, 1  },
{ 1, 0, 0, 2, 1, 3, 2, 3, 0, 2, 3, 2, 1, 3, 1, 2, 3, 0, 1, 0, 2, 0, 0, 2, 3, 0, 0, 1, 3, 2, 0, 0, 1, 0, 2, 1, 1, 3, 1, 1, 2, 2  },
{ 1, 0, 3, 0, 1, 2, 2, 3, 1, 3, 0, 3, 1, 2, 1, 2, 2, 1, 1, 0, 1, 3, 0, 2, 1, 0, 3, 2, 3, 2, 2, 0, 0, 1, 2, 1, 2, 2, 3, 0, 2, 0  },
{ 1, 0, 3, 0, 3, 0, 2, 3, 0, 2, 3, 3, 1, 2, 1, 2, 3, 1, 3, 2, 3, 0, 1, 2, 3, 0, 2, 1, 0, 2, 2, 1, 1, 1, 2, 1, 1, 3, 0, 3, 0, 2  },
{ 0, 1, 3, 2, 1, 1, 0, 3, 1, 0, 3, 2, 1, 0, 2, 3, 2, 3, 2, 3, 3, 0, 1, 3, 2, 3, 1, 2, 0, 2, 3, 0, 1, 1, 1, 3, 1, 0, 2, 0, 2, 3  },
{ 1, 0, 3, 0, 2, 0, 0, 0, 0, 3, 1, 1, 1, 3, 2, 0, 2, 3, 2, 2, 0, 2, 0, 0, 3, 3, 0, 0, 3, 2, 2, 3, 0, 2, 2, 3, 1, 2, 0, 0, 3, 0  },
{ 1, 0, 0, 3, 1, 3, 2, 3, 0, 3, 3, 1, 1, 1, 2, 3, 2, 3, 2, 0, 3, 0, 2, 2, 3, 0, 0, 1, 3, 2, 1, 1, 0, 1, 2, 1, 2, 3, 3, 2, 1, 2  },
{ 1, 1, 0, 1, 2, 2, 0, 1, 1, 0, 0, 0, 2, 2, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 3, 3, 0, 2, 2  },
{ 1, 1, 0, 1, 2, 2, 0, 1, 1, 0, 0, 1, 2, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 3, 2, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 2, 2  },
{ 1, 1, 0, 1, 1, 2, 0, 1, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 3, 1, 1, 2, 0, 0, 1, 1, 0, 2, 2, 1, 1, 0, 0, 2, 2, 0  },
{ 1, 0, 0, 1, 1, 0, 2, 1, 1, 0, 0, 1, 0, 2, 0, 3, 1, 0, 1, 0, 2, 0, 2, 2, 1, 0, 1, 2, 0, 1, 0, 1, 1, 2, 0, 3, 1, 3, 2, 0, 2, 2  },
{ 1, 1, 0, 1, 2, 2, 0, 1, 1, 2, 0, 1, 2, 3, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 3, 1, 0, 2, 3, 1, 0, 0, 1, 2, 0, 1, 1, 0, 3, 2, 0, 2  },
{ 1, 1, 0, 1, 0, 0, 0, 2, 2, 1, 1, 0, 1, 0, 2, 1, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 2, 1, 1, 2, 1, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 0, 3, 1, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 2, 3, 1, 0, 0, 3, 1, 1, 0, 1, 2, 1, 3, 1, 2, 0, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 0, 2, 3, 0, 0, 3, 0, 3, 0, 1, 0, 2, 2, 1, 1, 3, 0, 2, 0, 2  },
{ 1, 1, 0, 2, 2, 3, 0, 2, 1, 2, 3, 2, 1, 0, 0, 2, 0, 0, 2, 0, 2, 2, 0, 2, 0, 2, 2, 1, 2, 0, 3, 1, 1, 0, 0, 1, 1, 2, 1, 2, 3, 2  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 0, 2, 0, 0, 1, 3, 0, 3, 0, 2, 0, 2, 2, 0, 2, 0, 0, 2, 3, 2, 0, 0, 3, 0, 3, 0, 2, 1, 1, 2, 1, 2, 2, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 1, 1, 2, 3, 0, 1, 0, 2, 0, 1, 3, 1, 0, 2, 0, 0, 0, 2, 2, 3, 0, 3, 0, 0, 0, 1, 0, 2, 1, 1, 2, 0, 2, 0, 2  },
{ 3, 1, 0, 1, 0, 3, 0, 3, 1, 1, 2, 3, 2, 1, 0, 1, 0, 0, 1, 0, 3, 2, 0, 2, 3, 1, 1, 3, 0, 3, 0, 0, 1, 0, 2, 1, 1, 2, 0, 1, 2, 0  },
{ 2, 1, 0, 1, 1, 3, 0, 1, 1, 2, 0, 1, 3, 2, 1, 2, 0, 0, 2, 0, 1, 2, 0, 2, 0, 1, 1, 2, 2, 0, 3, 1, 2, 0, 2, 1, 3, 0, 3, 2, 3, 2  },
{ 0, 1, 0, 1, 0, 3, 0, 1, 1, 2, 0, 3, 0, 1, 2, 3, 2, 0, 2, 1, 3, 0, 2, 0, 1, 1, 0, 2, 0, 0, 0, 0, 3, 0, 2, 3, 1, 2, 1, 3, 2, 2  },
{ 0, 1, 0, 1, 3, 2, 3, 3, 1, 0, 2, 3, 1, 0, 1, 0, 2, 0, 1, 0, 2, 3, 0, 0, 3, 1, 3, 0, 2, 3, 0, 0, 0, 0, 2, 3, 1, 2, 1, 2, 2, 2  },
{ 1, 3, 0, 1, 1, 0, 2, 3, 2, 0, 2, 3, 0, 2, 3, 0, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 1, 3, 0, 3, 1, 1, 0, 0, 2, 3, 1, 2, 1, 0, 0, 2  },
{ 1, 2, 0, 2, 3, 2, 1, 0, 1, 3, 2, 3, 0, 3, 1, 0, 1, 3, 2, 1, 3, 0, 2, 3, 0, 1, 1, 0, 3, 2, 0, 0, 0, 3, 2, 3, 1, 2, 1, 0, 3, 2  },
{ 3, 1, 0, 2, 2, 3, 0, 3, 2, 2, 3, 2, 0, 1, 0, 2, 2, 3, 0, 1, 3, 2, 0, 3, 0, 1, 0, 3, 2, 1, 1, 0, 3, 0, 0, 1, 3, 0, 2, 3, 3, 2  },
{ 3, 1, 0, 0, 2, 3, 0, 2, 1, 2, 3, 0, 0, 3, 2, 1, 2, 3, 1, 0, 3, 1, 0, 3, 0, 1, 2, 1, 3, 0, 2, 0, 1, 3, 0, 3, 3, 2, 1, 2, 3, 2  },
{ 3, 0, 1, 3, 1, 3, 1, 3, 2, 2, 3, 2, 0, 3, 1, 0, 2, 1, 3, 1, 0, 0, 0, 3, 0, 1, 3, 0, 3, 0, 2, 2, 0, 3, 0, 3, 1, 2, 0, 1, 2, 2  },
{ 3, 2, 1, 0, 1, 2, 0, 1, 1, 0, 3, 2, 3, 3, 0, 0, 1, 2, 3, 1, 3, 1, 0, 0, 2, 1, 1, 0, 3, 3, 3, 1, 1, 0, 2, 3, 1, 2, 1, 0, 2, 2  },
{ 1, 3, 0, 1, 2, 1, 2, 3, 1, 2, 2, 2, 3, 0, 1, 0, 0, 2, 3, 0, 1, 0, 3, 1, 2, 1, 3, 1, 0, 2, 3, 0, 3, 0, 2, 3, 0, 2, 1, 0, 0, 2  },
{ 0, 1, 2, 2, 2, 0, 0, 3, 1, 1, 3, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 3, 1, 1, 0, 0, 1, 0, 0, 1, 0, 1, 3, 2, 1, 0, 3, 2, 1, 0, 2, 3  },
{ 1, 0, 3, 1, 1, 0, 1, 3, 1, 0, 1, 1, 0, 2, 1, 3, 1, 1, 0, 2, 2, 0, 2, 0, 0, 0, 0, 1, 2, 3, 1, 0, 3, 2, 2, 1, 1, 2, 1, 0, 2, 1  },
{ 1, 0, 3, 0, 0, 0, 2, 0, 3, 1, 2, 1, 3, 2, 0, 3, 1, 1, 0, 2, 0, 2, 2, 2, 1, 0, 0, 1, 0, 1, 1, 1, 1, 0, 2, 3, 1, 3, 0, 2, 0, 2  },
{ 1, 0, 1, 3, 1, 1, 0, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 2, 3, 0, 2, 3, 0, 0, 0, 1, 1, 0, 2, 1, 1, 3, 0, 2, 0, 2  },
{ 1, 2, 0, 0, 0, 3, 0, 2, 1, 1, 2, 0, 2, 2, 0, 3, 0, 0, 1, 3, 0, 3, 1, 2, 1, 1, 3, 1, 0, 2, 0, 2, 1, 1, 2, 0, 3, 0, 0, 3, 0, 2  },
{ 1, 0, 1, 0, 1, 3, 0, 3, 1, 1, 0, 0, 1, 2, 0, 2, 0, 1, 1, 0, 3, 0, 1, 3, 2, 0, 0, 3, 0, 3, 2, 0, 2, 3, 1, 1, 1, 3, 1, 2, 0, 1  },
{ 1, 0, 3, 3, 1, 3, 0, 0, 0, 0, 2, 3, 2, 3, 0, 3, 1, 0, 1, 0, 2, 0, 1, 2, 3, 0, 3, 1, 0, 2, 0, 0, 0, 1, 2, 1, 1, 1, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 0, 3, 3, 0, 3, 2, 1, 2, 2, 1, 2, 1, 3, 3, 0, 2, 0, 1, 2, 1, 0, 2, 2, 1, 3, 2, 0, 1, 0, 2, 0, 1, 3, 3, 2, 0, 2  },
{ 1, 0, 1, 3, 1, 3, 0, 0, 0, 0, 2, 2, 3, 2, 2, 1, 1, 3, 2, 1, 0, 2, 2, 2, 2, 0, 0, 0, 0, 3, 2, 0, 0, 2, 2, 1, 1, 1, 3, 0, 2, 3  },
{ 1, 3, 0, 3, 0, 1, 0, 0, 0, 3, 1, 0, 0, 2, 2, 0, 1, 3, 3, 1, 3, 0, 2, 0, 2, 0, 3, 1, 0, 2, 2, 0, 1, 0, 1, 3, 1, 0, 1, 0, 2, 1  },
{ 3, 2, 3, 3, 3, 0, 0, 3, 2, 0, 1, 1, 1, 1, 2, 2, 1, 3, 3, 1, 1, 0, 0, 2, 1, 0, 2, 2, 1, 2, 3, 2, 1, 2, 3, 3, 2, 3, 0, 2, 0, 3  },
{ 1, 0, 1, 3, 3, 3, 2, 3, 0, 1, 0, 0, 2, 3, 2, 2, 2, 3, 3, 3, 0, 1, 1, 2, 3, 0, 2, 3, 1, 2, 3, 2, 1, 1, 3, 0, 1, 2, 1, 1, 0, 0  },
{ 0, 1, 3, 2, 0, 0, 0, 1, 0, 1, 1, 1, 0, 3, 0, 3, 3, 1, 0, 3, 2, 2, 1, 2, 2, 1, 0, 1, 1, 3, 2, 3, 1, 2, 2, 0, 3, 3, 0, 2, 0, 2  },
{ 1, 1, 0, 0, 0, 0, 2, 1, 2, 2, 3, 2, 2, 0, 0, 0, 1, 0, 0, 3, 2, 3, 3, 2, 2, 3, 0, 2, 1, 3, 1, 0, 1, 2, 2, 0, 3, 0, 1, 0, 2, 0  },
{ 1, 1, 0, 1, 0, 1, 2, 3, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 2, 1, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 1, 1, 3, 0, 0, 2, 0, 1  },
{ 1, 1, 0, 1, 3, 1, 2, 2, 1, 0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 1, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 1, 1, 1, 0, 0, 2, 0, 1  },
{ 1, 0, 0, 1, 1, 1, 3, 2, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 2, 2, 1, 1, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 0, 2, 0, 2, 0, 1  },
{ 1, 1, 0, 1, 1, 3, 0, 3, 1, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 1, 2, 1, 0, 1, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 2, 1, 1, 1, 0, 0, 2, 0, 2  },
{ 1, 1, 0, 1, 1, 2, 0, 0, 1, 2, 3, 1, 3, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 2, 1, 1, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 2, 2, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 0, 1, 1, 2, 3, 1, 0, 3, 1, 1, 3, 1, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 1, 0, 0, 1, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 1, 3, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 2, 0, 3, 1, 3, 2, 0, 2, 1  },
{ 1, 1, 0, 1, 1, 0, 0, 2, 1, 0, 1, 1, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 2, 3, 2, 0, 0, 2, 0, 0, 2, 1, 1, 1, 2, 0, 3, 2, 2  },
{ 1, 1, 0, 1, 0, 0, 3, 1, 1, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 1, 0, 2, 0, 3, 1, 0, 0, 1, 2, 0, 1, 1, 2, 2, 1, 1, 3, 0, 2, 0, 2  },
{ 0, 1, 3, 1, 0, 0, 2, 0, 1, 1, 0, 3, 0, 1, 1, 1, 1, 1, 0, 1, 3, 0, 0, 2, 0, 2, 0, 0, 2, 3, 1, 0, 1, 2, 2, 3, 1, 3, 0, 2, 1, 2  },
{ 1, 0, 3, 0, 1, 2, 1, 0, 1, 3, 0, 0, 3, 3, 1, 0, 1, 0, 0, 1, 0, 3, 0, 3, 2, 0, 1, 0, 3, 3, 0, 1, 0, 2, 3, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 3, 0, 3, 0, 2, 0, 0, 1, 0, 1, 3, 3, 2, 2, 0, 1, 1, 3, 1, 3, 1, 0, 0, 2, 0, 1, 1, 0, 3, 3, 1, 1, 2, 3, 0, 3, 1, 2, 0, 1, 1  },
{ 1, 1, 0, 1, 2, 3, 0, 2, 2, 0, 1, 1, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 3, 0, 0, 2, 0, 0, 2, 1, 1, 3, 0, 3, 2, 2, 2  },
{ 1, 1, 0, 1, 1, 3, 0, 1, 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 1, 0, 3, 3, 1, 3, 2, 1, 2, 2  },
{ 1, 3, 0, 1, 1, 3, 0, 3, 1, 2, 0, 0, 3, 2, 0, 0, 1, 1, 0, 1, 0, 3, 0, 0, 2, 3, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 1, 3, 2, 1, 2, 2  },
{ 1, 3, 3, 0, 2, 2, 1, 2, 1, 3, 2, 3, 1, 3, 0, 0, 1, 0, 3, 0, 1, 2, 0, 0, 2, 2, 0, 3, 0, 3, 3, 0, 0, 2, 0, 1, 1, 2, 0, 2, 2, 2  },
{ 3, 1, 0, 1, 0, 3, 3, 1, 0, 1, 0, 1, 0, 3, 2, 0, 2, 2, 3, 1, 0, 3, 2, 0, 0, 1, 3, 0, 3, 2, 0, 0, 3, 0, 3, 0, 3, 0, 2, 3, 2, 2  },
{ 1, 1, 3, 0, 0, 0, 3, 1, 0, 1, 0, 3, 2, 3, 2, 0, 0, 2, 3, 3, 0, 1, 0, 3, 0, 1, 2, 0, 0, 3, 0, 3, 1, 1, 0, 2, 3, 2, 1, 2, 2, 2  },
{ 1, 0, 3, 1, 1, 0, 3, 1, 0, 1, 0, 2, 3, 1, 0, 0, 1, 2, 3, 1, 0, 1, 0, 3, 0, 0, 3, 2, 0, 3, 2, 0, 1, 0, 0, 2, 1, 2, 1, 2, 2, 2  },
{ 0, 1, 0, 0, 2, 1, 3, 2, 1, 3, 2, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 2, 0, 2, 2, 2, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0  },
{ 1, 0, 3, 1, 1, 1, 1, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 3, 0, 3, 1, 0, 1, 0, 0, 2, 0, 2, 1, 1, 2, 0, 0, 2, 0  },
{ 1, 0, 3, 0, 1, 3, 0, 2, 1, 0, 1, 3, 1, 0, 2, 3, 1, 3, 1, 0, 2, 2, 2, 0, 2, 0, 3, 0, 1, 2, 0, 0, 2, 2, 0, 3, 1, 3, 1, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 3, 0, 2, 1, 0, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 3, 0, 2, 2, 3, 0, 3, 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 1  },
{ 1, 0, 0, 1, 1, 0, 3, 2, 0, 0, 3, 2, 3, 0, 2, 3, 1, 0, 0, 1, 0, 2, 2, 2, 0, 0, 1, 0, 1, 3, 1, 0, 1, 0, 2, 1, 1, 3, 1, 2, 0, 1  },
{ 1, 0, 2, 2, 1, 3, 0, 0, 0, 1, 0, 1, 3, 0, 2, 1, 0, 3, 0, 1, 3, 0, 2, 2, 2, 3, 1, 0, 1, 0, 1, 0, 1, 1, 3, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 3, 1, 3, 1, 0, 3, 1, 3, 0, 2, 0, 1, 2, 0, 1, 3, 0, 2, 0, 2, 3, 0, 3, 0, 2, 0, 0, 2, 3, 0, 3, 1, 3, 2, 0, 2, 0  },
{ 2, 0, 3, 1, 0, 1, 2, 2, 0, 1, 0, 3, 2, 2, 1, 2, 2, 3, 2, 3, 0, 2, 1, 1, 0, 3, 0, 1, 1, 3, 2, 2, 2, 2, 3, 3, 2, 3, 1, 3, 0, 2  },
{ 0, 1, 1, 1, 3, 2, 0, 0, 0, 2, 0, 3, 2, 0, 2, 3, 0, 1, 1, 3, 3, 0, 0, 2, 3, 3, 1, 0, 1, 3, 2, 0, 0, 1, 2, 0, 1, 0, 3, 2, 0, 0  },
{ 2, 0, 2, 3, 2, 1, 1, 0, 0, 1, 0, 3, 1, 3, 2, 1, 3, 2, 3, 3, 1, 0, 0, 2, 2, 3, 1, 0, 0, 3, 2, 0, 0, 2, 2, 0, 1, 0, 0, 2, 0, 2  },
{ 2, 1, 1, 3, 2, 3, 1, 0, 0, 3, 1, 0, 1, 2, 1, 2, 0, 0, 3, 3, 1, 0, 0, 3, 0, 0, 3, 1, 2, 0, 2, 2, 0, 0, 0, 3, 2, 2, 0, 0, 2, 2  },
{ 1, 1, 1, 1, 2, 1, 3, 1, 3, 2, 2, 0, 1, 1, 0, 3, 1, 1, 1, 3, 3, 2, 3, 2, 3, 0, 0, 3, 1, 2, 2, 2, 0, 3, 0, 2, 3, 1, 0, 0, 0, 2  },
{ 1, 0, 2, 3, 1, 3, 3, 2, 0, 2, 2, 1, 3, 0, 0, 3, 1, 3, 0, 3, 1, 0, 2, 2, 2, 2, 0, 1, 0, 2, 2, 3, 1, 2, 1, 0, 3, 3, 0, 3, 0, 2  },
{ 1, 1, 0, 1, 1, 2, 2, 2, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 0, 2, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 1, 3, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 1, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 1, 0, 2, 0, 1, 1, 1, 1, 0, 2, 1, 0, 1, 2, 0, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 2, 1, 0, 1, 1, 3, 1, 0, 3, 1, 2, 1, 0, 2, 0, 2, 0, 0, 1, 0, 0, 1, 3, 0, 0, 2, 0, 2, 1, 0, 3, 0, 2, 0, 1  },
{ 3, 1, 0, 1, 1, 3, 0, 3, 2, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 1, 0, 0, 2, 0, 1, 1, 3, 0, 0, 2, 0, 1  },
{ 3, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 3, 1, 1, 0, 2, 0, 0, 0, 2, 1, 3, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 3, 1, 2, 3, 3, 1, 0, 1, 0, 2, 0, 0, 2, 1, 0, 3, 0, 3, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 3, 1, 0, 0, 1, 3, 1, 1, 0, 0, 1, 3, 1, 0, 2, 0, 0, 2, 2, 0, 0, 0, 1, 3, 0, 0, 1, 0, 2, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 2, 0, 3, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 0, 3, 1, 2, 0, 2, 0, 0, 2, 0, 3, 2, 0, 1, 1, 3, 2, 2, 3, 2  },
{ 1, 1, 0, 1, 1, 3, 0, 3, 2, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 2, 0, 2, 0, 3, 2, 3, 0, 3, 2, 0, 0, 1, 2, 3, 1, 1, 2, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 3, 1, 0, 0, 3, 0, 1, 3, 0, 0, 2, 1, 1, 1, 0, 3, 0, 0, 0, 1, 2, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 3, 0, 3, 1, 3, 0, 1, 0, 0, 3, 1, 0, 0, 1, 0, 1, 0, 3, 1, 0, 3, 0, 3, 2, 0, 0, 0, 0, 3, 0, 1, 1, 2, 2, 1, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 3, 2, 0, 0, 2, 0, 1, 1, 1, 0, 2, 0, 0, 2, 0, 3, 1, 0, 2, 1, 2, 0, 3, 0, 0, 2, 0, 3, 3, 3, 1, 1, 2, 3, 2, 2, 2  },
{ 1, 3, 0, 1, 1, 3, 0, 1, 1, 1, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 3, 0, 1, 0, 1, 1, 1, 0, 3, 2, 0, 1, 2, 2, 0, 3, 1, 2, 0, 2, 2, 2  },
{ 0, 1, 3, 1, 1, 0, 3, 1, 1, 0, 0, 3, 1, 0, 0, 3, 1, 0, 0, 1, 0, 2, 0, 0, 3, 0, 3, 0, 1, 3, 0, 0, 0, 1, 2, 1, 1, 3, 0, 2, 2, 0  },
{ 1, 3, 3, 0, 1, 0, 0, 2, 1, 0, 0, 3, 1, 0, 0, 0, 1, 0, 0, 0, 3, 1, 0, 3, 2, 0, 1, 1, 0, 3, 0, 2, 1, 2, 2, 3, 1, 0, 2, 1, 1, 0  },
{ 1, 2, 1, 0, 3, 2, 3, 2, 2, 0, 3, 0, 3, 1, 0, 0, 1, 2, 3, 3, 3, 2, 0, 0, 2, 0, 2, 2, 0, 1, 3, 2, 0, 2, 0, 3, 1, 0, 2, 0, 3, 0  },
{ 3, 3, 1, 0, 1, 2, 3, 2, 0, 1, 2, 3, 0, 0, 1, 0, 0, 2, 0, 1, 3, 0, 3, 0, 0, 1, 0, 0, 3, 1, 3, 0, 2, 3, 1, 1, 3, 0, 2, 0, 3, 2  },
{ 3, 1, 0, 3, 1, 2, 3, 0, 1, 1, 3, 2, 0, 0, 1, 0, 0, 1, 2, 3, 0, 3, 1, 0, 0, 1, 0, 3, 0, 3, 1, 1, 3, 0, 0, 2, 1, 2, 3, 2, 2, 2  },
{ 0, 1, 3, 1, 1, 2, 0, 1, 3, 0, 1, 2, 0, 1, 0, 1, 1, 0, 1, 3, 0, 1, 0, 2, 0, 0, 3, 0, 1, 3, 3, 1, 1, 0, 0, 2, 1, 3, 0, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 3, 2, 1, 0, 0, 2, 0, 3, 1, 0, 0, 1, 1, 0, 1, 3, 1, 0, 3, 0, 0, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 3, 0, 0, 3, 0, 0  },
{ 1, 3, 1, 0, 1, 3, 1, 0, 3, 2, 0, 1, 2, 1, 0, 0, 0, 2, 3, 1, 3, 0, 2, 0, 1, 0, 1, 2, 0, 1, 1, 1, 1, 0, 2, 3, 0, 0, 2, 0, 0, 2  },
{ 1, 3, 0, 1, 1, 1, 0, 2, 3, 0, 1, 2, 0, 1, 0, 0, 1, 1, 1, 0, 2, 0, 2, 2, 1, 0, 2, 0, 2, 1, 0, 0, 2, 0, 2, 1, 1, 2, 2, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 3, 0, 2, 3, 0, 1, 3, 1, 0, 2, 0, 1, 1, 3, 1, 0, 2, 2, 2, 1, 0, 2, 2, 0, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0, 1, 0, 0  },
{ 0, 1, 0, 1, 0, 0, 2, 3, 1, 0, 1, 2, 0, 1, 0, 3, 1, 3, 0, 0, 2, 0, 2, 2, 2, 0, 2, 3, 0, 2, 0, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 0, 0, 0, 1, 1, 3, 0, 3, 2, 1, 3, 3, 0, 1, 0, 1, 0, 3, 0, 0, 1, 1, 3, 2, 0, 2, 3, 0, 1, 1, 3, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 2, 0, 3, 1, 0, 3, 0, 2, 1, 0, 3, 1, 1, 0, 3, 0, 2, 0, 2, 3, 0, 3, 1, 1, 3, 1, 1, 0, 0, 0, 2, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 2, 0, 1, 0, 0, 3, 1, 0, 2, 0, 0, 1, 3, 1, 1, 0, 2, 0, 2, 2, 0, 1, 3, 0, 3, 0, 1, 0, 2, 0, 3, 1, 3, 0, 2, 0, 1  },
{ 1, 2, 0, 1, 3, 0, 3, 0, 0, 0, 0, 1, 1, 2, 0, 2, 2, 0, 3, 0, 0, 0, 1, 0, 0, 2, 3, 1, 3, 2, 3, 1, 0, 2, 0, 1, 0, 3, 3, 1, 0, 1  },
{ 0, 2, 2, 1, 1, 2, 1, 0, 0, 0, 1, 0, 1, 2, 0, 2, 1, 3, 3, 3, 1, 0, 1, 2, 0, 0, 2, 1, 2, 2, 3, 0, 1, 0, 2, 1, 3, 0, 3, 1, 0, 0  },
{ 0, 1, 1, 1, 3, 2, 3, 1, 1, 0, 0, 1, 0, 3, 0, 3, 1, 0, 3, 0, 0, 2, 1, 2, 0, 2, 0, 1, 1, 3, 2, 0, 1, 0, 2, 0, 0, 1, 3, 1, 0, 0  },
{ 2, 0, 2, 3, 0, 1, 0, 0, 1, 3, 2, 1, 0, 0, 2, 0, 1, 1, 3, 3, 1, 0, 1, 2, 2, 3, 1, 0, 0, 2, 2, 0, 0, 1, 3, 0, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 2, 1, 2, 1, 1, 0, 2, 0, 3, 3, 0, 2, 0, 1, 0, 1, 3, 1, 0, 2, 0, 2, 2, 0, 1, 2, 3, 3, 1, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0  },
{ 2, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 1, 3, 0, 3, 2, 3, 2, 3, 0, 2, 0, 0, 3, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 1, 3, 1, 2, 2  },
{ 0, 3, 2, 1, 2, 0, 0, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 3, 3, 2, 2, 1, 1, 2, 0, 1, 0, 2, 0, 1, 3, 0, 1, 3, 2, 1, 0, 3, 0, 1, 0, 0  },
{ 1, 2, 1, 3, 2, 2, 1, 0, 0, 1, 2, 3, 1, 3, 2, 3, 0, 2, 2, 0, 1, 0, 1, 2, 3, 2, 3, 1, 1, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 2, 2, 0  },
{ 1, 0, 2, 3, 1, 1, 1, 1, 1, 1, 3, 2, 0, 2, 0, 2, 1, 0, 3, 0, 1, 3, 2, 2, 2, 3, 0, 1, 3, 0, 2, 2, 0, 2, 0, 1, 3, 3, 1, 2, 0, 1  },
{ 1, 1, 0, 1, 3, 1, 2, 1, 1, 0, 1, 2, 1, 0, 2, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 1, 2, 0, 1, 1, 0, 1, 2, 0, 1, 1, 2, 0, 2, 2, 0, 0  },
{ 3, 1, 0, 1, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 0, 0, 1, 1, 1, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 2, 0, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 1, 1, 0, 2, 0, 0, 0, 2, 0, 2, 1, 0, 2, 2, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 1, 1, 1, 0, 2, 0, 2, 0, 3, 0, 2, 0, 2, 3, 0, 0, 2, 2, 0, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 2, 1, 1, 0, 1, 0, 1, 3, 0, 0, 0, 0, 1, 0, 2, 0, 2, 1, 1, 2, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 1  },
{ 3, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 0, 3, 1, 1, 0, 2, 0, 0, 0, 2, 1, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 1, 0, 0, 0, 1, 1, 0, 1, 2, 0, 3, 1, 0, 1, 1, 0, 2, 0, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 3, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 1, 2, 0, 3, 2, 0, 2, 0, 2, 0, 1, 1, 0, 2, 0, 0, 1, 2, 0, 3, 1, 2, 3, 0, 2, 0  },
{ 3, 1, 0, 1, 1, 1, 0, 3, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 2, 0, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 0, 3, 0, 2, 3, 2  },
{ 1, 1, 0, 3, 1, 3, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 2, 1, 1, 0, 2, 0, 0, 3, 1, 1, 3, 2, 0, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 2, 2, 1  },
{ 1, 1, 0, 3, 1, 2, 0, 1, 1, 0, 0, 0, 1, 0, 0, 3, 1, 3, 0, 0, 2, 0, 0, 2, 1, 1, 0, 1, 0, 3, 0, 0, 1, 2, 0, 3, 1, 2, 2, 0, 2, 0  },
{ 1, 1, 0, 3, 0, 3, 0, 0, 1, 1, 0, 3, 0, 1, 0, 0, 1, 3, 0, 3, 0, 2, 0, 2, 2, 0, 1, 1, 0, 2, 0, 0, 1, 2, 3, 0, 1, 2, 3, 0, 3, 0  },
{ 1, 0, 0, 1, 2, 0, 3, 0, 0, 0, 3, 1, 2, 1, 0, 0, 1, 0, 0, 3, 1, 2, 0, 2, 2, 0, 1, 0, 0, 2, 3, 0, 0, 2, 3, 0, 1, 3, 2, 0, 3, 0  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 3, 3, 1, 3, 3, 0, 2, 2, 0  },
{ 1, 1, 0, 1, 1, 2, 3, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 3, 0, 1, 0, 3, 0, 1, 1, 3, 0, 1, 3, 0, 0, 1, 2, 2, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 0, 1, 0, 1, 3, 2, 0, 1, 0, 1, 3, 1, 0, 0, 0, 1, 0, 1, 3, 0, 1, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 3, 2, 0, 3, 1, 0, 3, 1, 0, 0, 2, 3, 1, 0, 0, 3, 1, 0, 0, 3, 2, 0, 0, 2, 1, 0, 0, 1, 3, 1, 0, 0, 2, 2, 3, 1, 2, 0, 2, 2, 0  },
{ 2, 0, 0, 2, 3, 3, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 2, 0, 2, 2, 0, 1, 2, 1, 3, 0, 0, 2, 0, 2, 0, 2, 0, 2, 3, 0  },
{ 1, 3, 3, 2, 1, 2, 1, 0, 0, 1, 1, 3, 2, 2, 1, 0, 3, 0, 2, 2, 1, 0, 0, 3, 2, 1, 0, 1, 0, 2, 2, 0, 0, 2, 1, 0, 1, 2, 0, 2, 0, 0  },
{ 3, 1, 3, 0, 0, 3, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 2, 3, 2, 3, 0, 3, 0, 0, 1, 0, 0, 0, 0, 3, 0, 1, 0, 3, 1, 2, 3, 0, 2, 3, 2  },
{ 3, 1, 3, 0, 1, 0, 2, 0, 1, 3, 0, 3, 2, 0, 1, 0, 0, 1, 0, 0, 2, 2, 0, 3, 0, 0, 0, 3, 0, 3, 0, 3, 0, 2, 0, 2, 1, 2, 0, 2, 2, 2  },
{ 3, 1, 3, 0, 1, 2, 0, 2, 1, 2, 1, 0, 2, 1, 0, 0, 2, 1, 0, 0, 3, 3, 0, 2, 0, 1, 3, 0, 0, 3, 3, 1, 1, 0, 0, 2, 1, 0, 2, 1, 1, 2  },
{ 1, 3, 3, 0, 1, 1, 2, 1, 2, 0, 0, 3, 0, 1, 0, 0, 2, 1, 0, 2, 1, 2, 0, 3, 0, 0, 1, 0, 1, 0, 3, 0, 1, 0, 2, 3, 3, 0, 2, 1, 0, 2  },
{ 1, 1, 1, 1, 0, 0, 1, 2, 1, 1, 1, 2, 3, 0, 0, 3, 1, 1, 3, 3, 3, 0, 0, 0, 1, 1, 0, 2, 2, 3, 0, 3, 3, 1, 0, 3, 2, 0, 2, 3, 3, 0  },
{ 0, 1, 2, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 2, 3, 0, 0, 2, 0, 0, 1, 1, 2, 0, 2, 0, 1  },
{ 1, 0, 3, 1, 1, 2, 1, 0, 1, 0, 2, 1, 2, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 2, 1, 0, 1, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 3, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 1, 2, 1, 1, 0, 2, 2, 0, 3, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 1, 3, 2, 0, 0  },
{ 1, 0, 1, 2, 1, 2, 0, 0, 1, 0, 3, 1, 0, 0, 2, 0, 1, 1, 2, 2, 0, 2, 0, 2, 3, 1, 3, 0, 0, 2, 0, 0, 2, 0, 2, 1, 2, 0, 0, 1, 0, 1  },
{ 3, 1, 0, 1, 0, 2, 0, 0, 3, 3, 1, 2, 0, 0, 2, 1, 1, 0, 0, 1, 0, 2, 0, 2, 2, 1, 2, 1, 0, 2, 0, 0, 1, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 2, 0, 2, 0, 2, 2, 3, 0, 0, 2, 3, 0, 0, 1, 2, 0, 2, 1, 0, 0, 2, 0, 0  },
{ 0, 2, 2, 1, 1, 3, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 1, 1, 3, 3, 0, 0, 1, 3, 0, 3, 2, 3, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 0, 3, 1, 0, 2, 0, 1, 2, 1, 1, 2, 1, 3, 2, 0, 0, 2, 0, 2, 1, 2, 0, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 2, 3, 2, 1, 1, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 3, 2, 0, 0  },
{ 0, 1, 3, 3, 0, 2, 2, 1, 0, 1, 2, 1, 0, 3, 0, 0, 0, 1, 3, 0, 0, 2, 0, 2, 2, 3, 0, 1, 0, 2, 0, 1, 1, 2, 0, 3, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 3, 3, 3, 0, 1, 1, 0, 1, 2, 0, 3, 0, 0, 1, 1, 1, 0, 3, 0, 2, 3, 2, 0, 0, 3, 0, 2, 1, 1, 2, 2, 3, 0, 0, 0, 0, 3, 0, 1  },
{ 2, 0, 0, 3, 2, 2, 1, 1, 2, 0, 0, 0, 2, 0, 0, 3, 1, 1, 3, 1, 2, 0, 1, 2, 1, 3, 2, 0, 0, 3, 2, 1, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 2, 0, 2, 1, 0, 3, 1, 0, 0, 0, 2, 1, 0, 3, 0, 0, 1, 0, 3, 1, 0, 2, 3, 2, 2, 2, 1, 0, 3, 2, 3, 1, 1, 0, 2, 0, 1, 0, 1, 3, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 0, 2, 1, 1, 0, 1, 2, 0, 1, 0, 2, 2, 0, 2, 1, 3, 0, 2, 2, 2, 1, 2, 0, 2, 1, 1, 0, 2, 3, 0, 1, 0, 0, 1, 0, 0  },
{ 2, 1, 1, 3, 2, 2, 1, 0, 0, 1, 0, 1, 1, 1, 2, 2, 0, 2, 0, 3, 2, 0, 1, 3, 0, 2, 0, 0, 0, 0, 3, 0, 0, 2, 0, 1, 0, 1, 3, 1, 2, 3  },
{ 2, 2, 2, 1, 1, 2, 0, 1, 2, 2, 1, 2, 1, 0, 0, 2, 1, 0, 3, 0, 2, 0, 1, 2, 3, 0, 0, 3, 1, 0, 2, 1, 1, 3, 0, 2, 3, 1, 0, 0, 2, 2  },
{ 1, 1, 0, 1, 2, 2, 0, 0, 1, 1, 1, 0, 0, 2, 0, 2, 0, 1, 3, 2, 0, 2, 0, 2, 2, 3, 0, 0, 2, 0, 2, 0, 0, 0, 3, 0, 0, 0, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 1, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 3, 1, 1, 0, 2, 3, 0, 1, 2, 1, 1, 3, 1, 2, 2, 1, 0, 0  },
{ 1, 1, 0, 1, 1, 3, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 0, 0, 1, 0, 1, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 2, 2, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 1, 3, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0, 2, 2, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 3, 1, 0, 0, 1, 0, 0, 0, 0, 1, 3, 0, 1, 0, 2, 0, 1, 0, 1, 0, 3, 2, 1, 0, 0, 2, 0, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 3, 0, 0, 2, 1, 1, 1, 1, 0, 2, 0, 2, 0, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1, 1, 0, 2, 3, 0, 0, 2, 2, 1, 0, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 0, 1, 1, 3, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 1, 0, 1, 1, 0, 0, 2, 0, 1, 1, 0, 2, 2, 2, 0, 0  },
{ 3, 1, 1, 0, 0, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 1, 0, 2, 0, 2, 1, 1, 0, 0, 2, 1, 0, 0, 1, 0, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 2, 1, 2, 0, 1, 1, 0, 1, 3, 0, 0, 1, 0, 3, 1, 0, 0, 2, 0, 2, 0, 3, 1, 0, 0, 2, 0, 0, 0, 2, 2, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 2, 3, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 2, 1, 3, 0, 0, 2, 0  },
{ 1, 0, 1, 3, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 1, 0, 1, 1, 3, 0, 0, 0, 2, 1, 1, 3, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 1, 0, 2, 0, 3, 0, 0, 2, 2, 3, 1, 0, 3, 2, 0, 2, 0  },
{ 1, 1, 0, 2, 0, 2, 0, 0, 0, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 1, 2, 0, 3, 1, 2, 2, 0, 2, 0  },
{ 1, 1, 0, 2, 0, 3, 0, 3, 1, 0, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 2, 3, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 2, 1, 1, 2, 0, 2, 0  },
{ 1, 1, 3, 0, 1, 1, 0, 2, 1, 2, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 2, 0, 0, 1, 2, 1, 0, 3, 0, 1, 0, 0, 3, 0, 2, 1, 3, 2, 3, 2, 2, 1  },
{ 1, 1, 0, 3, 1, 2, 0, 0, 0, 3, 0, 1, 2, 0, 1, 0, 0, 1, 3, 0, 2, 0, 1, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 3, 0, 1, 2, 2, 0, 2, 1  },
{ 1, 1, 0, 0, 2, 1, 2, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 2, 2, 3, 1, 2, 0, 2, 2, 0  },
{ 1, 1, 0, 0, 0, 0, 2, 1, 2, 1, 2, 1, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 2, 0, 3, 1, 0, 0, 0, 2, 1, 0, 0, 2, 2, 3, 1, 2, 0, 2, 1, 1  },
{ 2, 1, 2, 2, 0, 1, 2, 2, 1, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 2, 1, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 0, 2, 1, 0, 2, 2, 0, 1, 2, 1  },
{ 1, 1, 3, 0, 0, 1, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 3, 0, 2, 0, 0, 0, 1, 1, 0, 2, 0, 0, 3, 0, 2, 1, 2, 1, 2, 3, 2, 2, 2, 0  },
{ 3, 0, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 0, 0, 1, 0, 3, 0, 3, 0, 0, 3, 0, 1, 2, 0, 2, 2, 1, 2, 0  },
{ 1, 0, 1, 0, 2, 0, 1, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 1, 3, 0, 0, 1, 3, 2, 1, 0, 2, 3, 1, 2  },
{ 1, 1, 2, 1, 1, 0, 2, 1, 2, 2, 1, 2, 0, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 1, 2, 3, 1, 0, 2, 1, 2, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 1, 0, 1, 3, 0, 0, 1, 0, 1, 0, 3, 2, 0, 0, 1, 2, 0, 1, 2, 0, 0, 1, 3, 1, 0, 0, 2, 2, 2, 0, 2, 0, 2, 2, 3  },
{ 0, 2, 0, 1, 3, 0, 0, 0, 3, 2, 1, 0, 0, 1, 0, 3, 1, 2, 1, 0, 0, 3, 1, 2, 3, 2, 0, 0, 2, 0, 2, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 2  },
{ 1, 0, 1, 0, 1, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 1, 3, 1, 1, 1, 1, 2, 0, 1, 0, 1, 1, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 0, 2, 1, 0, 1, 1, 0, 2, 2, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 1, 0, 1, 0, 0, 3, 1, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 0, 1, 2, 1, 2, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 3, 1, 2, 1, 0, 0, 1, 0, 3, 0, 0, 3, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 2, 3, 0, 2, 0, 0, 2, 0, 2, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 0, 0, 3, 1, 2, 1, 1, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0, 0, 2, 2, 1, 0, 2, 0, 2, 3, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 1, 2, 0, 2, 0, 2, 1, 3, 2, 0, 1, 0, 2, 1, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 2, 0, 1, 0, 0, 0  },
{ 1, 3, 0, 0, 1, 0, 0, 1, 0, 0, 2, 3, 0, 2, 0, 3, 1, 1, 1, 0, 0, 3, 2, 2, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 3, 0, 2, 2, 1, 0, 1, 0, 1, 2, 3, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 2, 1, 3, 2, 1, 2, 2, 3, 1, 2, 2, 0, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 0, 0, 0, 1, 2, 1, 0, 3, 0, 3, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0, 2, 2, 2, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 1, 2, 3, 0, 2, 0, 1, 1, 2, 1, 0, 1, 0, 0, 3, 3, 2, 1, 2, 0, 0, 2, 2, 1, 1, 0, 0, 2, 3, 0, 1, 2, 0, 0, 3, 1, 0, 0, 2, 0  },
{ 2, 1, 0, 3, 0, 2, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 3, 0, 2, 1, 0, 3, 1, 0, 2, 0, 2, 1, 2, 2, 3, 0, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 0, 0, 0, 1, 2, 2, 3, 0, 3, 0, 2, 1, 1, 1, 0, 0, 2, 1, 2, 0, 1, 2, 2, 2, 2, 0, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 1, 0, 0, 0, 2, 2, 0, 0, 3, 2, 3, 1, 0, 0, 2, 0, 2, 0, 1, 0, 3, 2, 2, 3, 0, 1, 0, 2, 1, 0, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 0, 1, 2, 3, 2, 1, 3, 1, 0, 1, 1, 2, 3, 2, 0, 1, 2, 2, 3, 2, 0, 1, 2, 1, 1, 2, 1, 0, 2, 1, 0, 0, 0, 2, 0  },
{ 0, 2, 1, 0, 2, 2, 1, 0, 2, 2, 2, 0, 0, 1, 1, 0, 2, 1, 0, 2, 1, 0, 1, 2, 2, 2, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 1, 0, 3, 0  },
{ 2, 2, 1, 1, 1, 3, 2, 0, 0, 2, 2, 2, 1, 2, 0, 2, 1, 1, 0, 0, 0, 2, 1, 3, 0, 3, 1, 3, 3, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 2, 2, 3  },
{ 1, 2, 1, 1, 0, 1, 0, 0, 0, 0, 2, 3, 1, 2, 0, 2, 2, 2, 1, 0, 0, 1, 1, 2, 0, 2, 2, 2, 2, 1, 2, 0, 2, 2, 0, 1, 0, 2, 1, 1, 0, 0  },
{ 0, 3, 0, 0, 1, 3, 1, 0, 2, 3, 0, 2, 1, 2, 0, 3, 0, 0, 1, 0, 1, 2, 2, 2, 0, 2, 1, 2, 0, 0, 2, 0, 0, 1, 2, 3, 1, 3, 1, 1, 2, 1  },
{ 1, 0, 2, 0, 1, 1, 0, 1, 0, 1, 2, 1, 2, 0, 0, 0, 1, 1, 0, 1, 2, 0, 1, 2, 1, 0, 2, 0, 3, 2, 2, 1, 2, 3, 0, 0, 2, 0, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 0, 1, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0, 2, 2, 1, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 2, 0, 2, 0, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 1, 2, 1, 3, 3, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 1, 1, 2, 0, 0, 1, 2, 1, 1, 1, 2, 2, 2, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 2, 0, 3, 1, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 2, 1, 0, 1, 1, 2, 0, 0, 0, 2, 2, 1, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 1, 0, 0, 1, 3, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 2, 0, 0, 2, 0, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 0, 1, 0, 1, 0, 2, 0, 2, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 2, 1, 1, 1, 2, 2, 3, 2, 0, 0  },
{ 1, 1, 0, 3, 1, 2, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2, 2, 2, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 1, 2, 0, 1, 1, 2, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 2, 1, 2, 0, 0, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 2, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 2, 3, 1, 0, 0, 0, 2, 2, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 1, 1, 3, 0, 2, 0, 2, 0  },
{ 1, 1, 3, 0, 0, 0, 2, 0, 1, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 3, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 2, 2, 1, 3, 1, 2, 0, 2, 0  },
{ 1, 1, 1, 0, 1, 3, 3, 0, 1, 1, 3, 1, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 3, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 0, 1, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 3, 1, 1, 2, 0, 2, 0  },
{ 1, 1, 1, 0, 2, 0, 3, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 0, 2, 2, 0, 0, 0, 2, 1, 0, 1, 2, 0, 3, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 3, 0, 0, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 0, 2, 1, 1, 0, 2, 1, 0, 0, 2, 0, 2, 1, 3, 2, 1, 2, 2, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 0, 0, 2, 0  },
{ 1, 0, 1, 0, 3, 2, 1, 2, 0, 0, 1, 2, 2, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 2, 3, 1, 0, 0, 2, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 2, 0, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 0, 0, 3, 1, 0, 3, 0, 2, 0, 0, 0, 2, 2, 1, 0, 1, 0, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 1, 3, 0, 0, 2, 0, 1, 0, 2, 0, 3, 1, 2, 1, 0, 0, 1, 2, 0, 0, 0, 1, 2, 0, 0, 2, 1, 1, 1, 2, 0, 0, 2, 0  },
{ 2, 1, 1, 1, 2, 1, 0, 0, 1, 1, 0, 0, 2, 3, 0, 0, 1, 0, 3, 2, 0, 0, 2, 0, 1, 1, 0, 0, 1, 1, 1, 0, 2, 1, 2, 0, 0, 1, 0, 0, 1, 0  },
{ 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 2, 1, 3, 2, 2, 2, 2, 1  },
{ 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 0, 3, 0, 0, 3, 0, 1, 2, 0, 2, 0, 2, 0, 2  },
{ 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 2, 0, 1, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 3, 2, 0, 0, 2, 0, 1, 0  },
{ 2, 1, 3, 2, 3, 0, 0, 2, 1, 2, 0, 1, 0, 1, 1, 0, 0, 2, 1, 2, 1, 0, 2, 0, 2, 1, 0, 1, 3, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 3, 1, 0, 1, 2, 1, 0, 2, 0, 2, 1, 0, 0, 2, 2, 0, 0, 0, 2, 0, 1, 1, 1, 2, 0, 2, 0, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 0, 2, 0, 1, 0, 1, 1, 3, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 1, 1, 1, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 2, 1, 2, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 0, 1, 1, 0, 2, 1, 0, 3, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 3, 0, 1, 1, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 1, 3, 1, 0, 1, 2, 0, 0, 0, 2, 0, 1, 0, 1, 0, 2, 2, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 1, 2, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 2, 3, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 0, 1, 1, 1, 2, 0, 0, 2, 0, 2, 1, 2, 1, 1, 0, 0, 2, 0, 2, 2, 2, 1, 3, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 1, 3, 0, 0, 2, 2, 0, 1, 3, 2, 1, 2, 0, 0, 2, 0, 2, 1, 1, 2, 1, 0, 0, 0  },
{ 1, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 2, 2, 1, 0, 0, 0, 1, 2, 2, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 2, 2, 0, 2, 2, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 3, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 2, 1, 2, 1, 0, 2, 0, 2, 2, 1, 0, 0, 2, 1, 0, 2, 2, 3, 0, 1, 0, 2, 0, 2, 0  },
{ 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 1, 0, 2, 0, 0, 3, 2, 2, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 3, 1, 2, 1, 0, 2, 3  },
{ 1, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 2, 0, 0, 0, 2, 1, 0, 2, 0, 0, 2, 1, 2, 0, 0, 2, 3, 1, 2, 3, 1, 1, 0, 2, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 2, 2, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 2, 2, 2, 0, 0, 0, 2, 1, 0, 2, 3, 0, 2, 1, 3, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 2, 2, 0, 3, 3, 2, 2, 3, 2, 0, 1, 0, 1, 0, 0, 0, 3, 0, 2, 3, 0, 0, 0, 1, 0, 0, 2, 1, 0, 2, 2, 1, 2, 0, 2, 0  },
{ 1, 3, 1, 2, 3, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 1, 3, 0, 1, 3, 1, 2, 1, 3, 0, 2, 2, 2, 0, 2, 1, 0, 2, 2, 0, 1, 1, 1, 1, 1, 0, 0  },
{ 3, 1, 1, 1, 2, 0, 0, 0, 0, 2, 2, 1, 0, 2, 0, 1, 1, 0, 2, 2, 1, 2, 1, 3, 0, 3, 1, 1, 1, 2, 1, 0, 2, 2, 0, 1, 0, 2, 1, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 1, 2, 2, 0, 0, 2, 1, 0, 0, 2, 1, 1, 1, 0, 0, 1, 1, 2, 0, 0, 1, 0, 1, 2, 2, 0, 1, 0, 1, 2, 0, 2, 0, 3, 0, 0  },
{ 3, 1, 2, 1, 0, 1, 0, 1, 2, 1, 0, 1, 0, 3, 0, 2, 0, 1, 2, 0, 0, 0, 2, 1, 0, 3, 1, 0, 0, 2, 2, 0, 0, 0, 1, 1, 2, 2, 0, 2, 0, 0  },
{ 2, 1, 1, 1, 0, 2, 0, 1, 0, 1, 1, 1, 0, 2, 1, 0, 0, 1, 2, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 1, 1, 2, 2, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 0, 2, 0, 1, 2, 1, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 2, 2, 0, 0, 2, 0, 1, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 2, 3, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 2, 1, 2, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 0, 2, 1, 0, 2, 1, 0, 0, 0, 0, 3, 1, 1, 2, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 2, 2, 1, 2, 1, 1, 3, 1, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 1, 0, 0, 1, 1, 2, 1, 0, 0, 1, 0, 1, 0, 1, 2, 0, 0, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 2, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 1, 0, 0, 1, 3, 1, 0, 1, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 1, 3, 1, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 2, 0, 0, 1, 1, 2, 1, 0, 0, 1, 0, 1, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 0, 0, 0, 2, 0, 2, 1, 2, 2, 1, 2, 0, 0  },
{ 1, 3, 3, 0, 0, 1, 0, 0, 3, 2, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0, 0, 0, 2, 1, 2, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 3, 1, 1, 1, 1, 0, 2, 0, 2, 2, 0, 0, 1, 3, 0, 3, 0, 0  },
{ 0, 0, 0, 1, 0, 3, 0, 2, 0, 2, 0, 1, 0, 1, 1, 0, 0, 1, 0, 2, 0, 2, 2, 3, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 2, 0  },
{ 0, 1, 0, 2, 1, 0, 0, 3, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 3, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 0, 2, 1, 0, 3, 2, 0, 2, 0, 3, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 3, 2, 1, 0, 0, 3, 2, 0, 1, 2, 2, 1, 0, 1, 0, 0, 2, 0  },
{ 3, 1, 2, 0, 1, 2, 2, 0, 0, 0, 1, 1, 2, 1, 0, 1, 2, 1, 3, 2, 2, 0, 0, 0, 2, 2, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 2, 0, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 3, 1, 2, 0, 2, 1  },
{ 1, 1, 2, 0, 0, 2, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 2, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 1, 2, 1, 2, 2, 0, 2, 0  },
{ 0, 0, 1, 0, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 0, 2, 2, 0, 0, 2, 2, 2, 1, 2, 0, 0, 2, 0  },
{ 1, 2, 1, 0, 1, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 0, 2, 2, 0, 0, 0, 2, 0, 1, 0, 0, 1, 2, 0, 0, 2, 2, 1, 0, 0, 1, 0, 1, 0  },
{ 0, 1, 2, 1, 1, 2, 1, 0, 0, 0, 1, 3, 1, 3, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0  },
{ 0, 1, 2, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 1, 1, 0, 2, 0, 0, 2, 0, 1, 2, 0, 0, 3, 0, 2, 2, 2, 1  },
{ 0, 0, 3, 1, 0, 0, 2, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 3, 1, 2, 0, 1, 0, 2, 1, 1  },
{ 2, 0, 1, 0, 2, 0, 1, 2, 0, 1, 0, 2, 1, 3, 0, 0, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 0, 0, 0, 2, 3, 2, 0, 0, 3, 2, 0, 0, 1, 0, 1, 0  },
{ 0, 1, 2, 1, 0, 2, 0, 2, 0, 0, 1, 3, 0, 3, 1, 0, 1, 3, 1, 3, 1, 2, 0, 0, 0, 1, 0, 0, 3, 0, 2, 1, 0, 1, 2, 2, 1, 1, 0, 1, 2, 1  },
{ 3, 1, 0, 1, 3, 2, 0, 0, 0, 1, 0, 1, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 2, 2, 0, 0, 0, 0, 1, 2, 2, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 1, 0, 0, 1, 3, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 1, 2, 0, 2, 2, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 1, 0, 0, 1, 1, 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 0, 3, 0, 0, 1, 2, 1, 2, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 0, 1, 1, 2, 1, 0, 0, 2, 3, 2, 1, 0, 3, 0, 0, 2, 0, 2, 1, 0, 1, 2, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 3, 0, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 2, 0, 2, 1, 1, 3, 2, 0, 0, 0, 2, 3, 1, 3, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 1, 2, 2, 0, 0, 0, 2, 0, 3, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 2, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 1, 2, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 3, 2, 1, 0, 1, 0, 3, 0, 0, 0, 0, 2, 2, 0, 1, 2, 0, 0, 0, 2, 3, 1, 2, 1, 2, 0, 2, 0, 2, 0, 1, 3, 2, 1, 2, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 1, 2, 0, 2, 0, 0, 1, 2, 0, 3, 0, 0, 3, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 3, 0, 2, 0, 2, 2, 0, 2, 0, 1, 1, 2, 0, 0  },
{ 3, 1, 0, 1, 3, 3, 0, 1, 0, 1, 3, 0, 0, 2, 0, 2, 3, 2, 1, 1, 0, 0, 2, 0, 1, 1, 1, 2, 2, 2, 0, 0, 2, 0, 0, 1, 3, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 3, 0, 3, 3, 0, 1, 2, 3, 2, 0, 0, 2, 2, 1, 0, 1, 2, 1, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 1, 2, 0, 0, 2, 2, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 2, 2, 0, 1, 3, 0, 0, 0, 0, 1, 2, 1, 1, 0, 1, 2, 0, 2, 0, 2, 0, 0, 0, 0, 2, 2, 0, 2, 2, 0, 1, 0, 0, 1, 2, 0, 0  },
{ 1, 3, 3, 2, 1, 2, 0, 0, 3, 0, 0, 2, 2, 0, 1, 2, 0, 0, 1, 2, 1, 0, 1, 0, 2, 0, 2, 1, 3, 0, 2, 0, 1, 2, 3, 0, 1, 0, 1, 0, 0, 0  },
{ 1, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 1, 0, 2, 0, 2, 1, 1, 1, 2, 0, 2, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 1, 0, 1, 0, 1, 2, 3, 0, 2, 0, 2, 0, 3, 2, 0, 0, 2, 2, 2, 0, 1, 0, 1, 2, 2, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 3, 3, 0, 0, 2, 1, 2, 2, 1, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 2, 3, 0, 2, 0  },
{ 1, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 1, 2, 1, 2, 0, 0, 2, 1, 0, 2, 0, 2, 2, 2, 0, 2, 0, 2, 0, 0, 0, 2, 0, 2, 1, 3, 0, 1, 0, 2, 0  },
{ 0, 0, 1, 2, 1, 2, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 1, 3, 0, 0, 2, 0, 2, 1, 0, 0, 2, 0, 0, 0, 2, 0  },
{ 2, 0, 1, 3, 1, 3, 0, 0, 2, 0, 2, 1, 3, 3, 0, 2, 0, 1, 1, 0, 1, 2, 1, 2, 2, 0, 1, 0, 2, 0, 2, 1, 1, 0, 3, 1, 2, 2, 3, 0, 2, 0  },
{ 0, 1, 2, 0, 3, 1, 1, 3, 2, 0, 1, 0, 0, 0, 0, 1, 2, 2, 1, 0, 0, 2, 1, 2, 0, 2, 2, 3, 2, 0, 1, 0, 2, 0, 0, 1, 2, 2, 0, 3, 2, 0  },
{ 2, 1, 0, 0, 2, 2, 2, 1, 0, 0, 0, 1, 2, 1, 0, 3, 0, 0, 3, 0, 0, 3, 1, 2, 0, 1, 1, 1, 1, 2, 2, 1, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0  },
{ 1, 3, 2, 1, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 1, 0, 1, 0, 0, 2, 0, 0, 2, 1, 1, 1, 0, 0, 2, 0, 2, 2, 0, 0, 2, 1, 3, 2, 0, 0, 0, 2  },
{ 1, 1, 2, 3, 3, 0, 0, 2, 3, 1, 0, 1, 0, 0, 1, 0, 2, 1, 2, 2, 0, 0, 2, 1, 0, 0, 1, 0, 0, 2, 2, 2, 0, 0, 0, 0, 1, 0, 2, 2, 0, 2  },
{ 2, 1, 0, 1, 2, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 2, 1, 3, 2, 1, 0, 2, 0, 2, 0, 0, 2, 1, 1, 3, 2, 0, 0, 0, 1  },
{ 0, 1, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 2, 2, 0, 0, 2, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 1, 2, 0, 2, 0, 2  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 0, 2, 2, 0, 3, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 3, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 0, 0, 1, 2, 0, 0, 0, 0, 2, 1, 1, 2, 1, 2, 0, 2, 0, 2, 0, 2, 1, 3, 0, 0, 0, 0, 1  },
{ 1, 1, 1, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 1, 3, 2, 2, 0, 2, 2  },
{ 0, 0, 0, 3, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 1, 2, 1, 1, 0, 0, 2, 1, 0, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 0, 0, 2, 0, 0, 1, 2, 0, 1, 2, 1, 3, 2, 0, 1, 0, 0, 1, 0, 2, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 2, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 1, 2, 0, 0, 0, 0, 0, 3, 0, 1, 0, 3, 0, 2, 0, 2, 2, 2, 1, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 1, 3, 2, 2, 0, 2, 0  },
{ 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 0, 1, 2, 1, 1, 2, 2, 0, 2, 0  },
{ 2, 1, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 0, 1, 3, 1, 0, 1, 2, 0, 0, 2, 2, 0, 3, 0, 0, 0, 2, 0, 0, 2, 2, 3, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 0, 0, 1, 2, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 2, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 2, 2, 0, 2, 1, 0, 1, 2, 0, 0  },
{ 0, 0, 0, 1, 2, 0, 2, 1, 0, 1, 3, 0, 2, 0, 0, 1, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 1, 1, 0, 3, 0, 1, 0, 0, 0, 0  },
{ 0, 1, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 1, 2, 2, 3, 0, 2, 0  },
{ 0, 1, 3, 0, 2, 2, 1, 0, 0, 2, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 1, 0, 0, 2, 3, 2, 3, 0, 2, 0, 2, 0  },
{ 1, 1, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 1, 2, 0, 3, 2, 2, 0, 0, 1, 2, 0, 1, 0  },
{ 1, 1, 1, 1, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 3, 3, 2, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 0, 2, 0, 2, 0  },
{ 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 1, 0, 0, 3, 2, 0, 0, 1, 2, 3, 0, 1, 0, 1, 0, 0, 2, 2, 0, 0, 0, 1, 0, 1, 0  },
{ 0, 1, 2, 0, 0, 2, 2, 0, 1, 0, 1, 3, 2, 0, 3, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 1, 2, 0, 0, 1, 0, 0, 2, 0, 2, 2, 2, 1  },
{ 3, 1, 0, 0, 0, 2, 1, 0, 0, 2, 0, 3, 1, 2, 1, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 2, 2, 0, 1, 0, 1, 1, 1  },
{ 3, 0, 1, 0, 0, 3, 0, 2, 1, 2, 0, 1, 1, 1, 1, 0, 2, 0, 0, 2, 1, 1, 0, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0  },
{ 2, 0, 1, 2, 1, 2, 1, 2, 0, 2, 1, 1, 2, 0, 1, 0, 3, 1, 3, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0  },
{ 1, 1, 2, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 3, 2, 0, 0, 2, 1, 2, 1, 0, 1, 2, 0, 2, 3, 0, 2, 1, 1, 3, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 3, 0, 0, 0, 2, 2, 1, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 2, 0, 0, 3, 0, 3, 0, 1, 0, 0, 2, 0, 0, 2, 2, 1, 2, 1, 0, 0, 0, 0, 0, 1  },
{ 1, 0, 0, 2, 1, 0, 0, 1, 2, 3, 3, 0, 0, 0, 0, 3, 3, 1, 0, 0, 0, 0, 2, 0, 0, 1, 3, 1, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1  },
{ 0, 0, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 0, 3, 1, 1, 0, 0, 1, 0, 0, 2, 2, 3, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 3, 2, 0, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 3, 1, 2, 0, 2, 0, 2, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 1, 2, 1, 0, 0, 3, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 1, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 3, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 1, 2, 2, 2, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 0, 0, 3, 0, 1, 1, 1, 3, 3, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 0, 1, 2, 1, 0, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 1  },
{ 2, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 0, 2, 2, 0, 2, 2, 0, 2, 0, 0, 1, 2, 3, 0, 0, 0, 0, 2, 2, 1, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 2, 2, 3, 1, 0, 0, 0, 0, 0, 2, 0, 3, 2, 1, 2, 0, 2, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 3, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 0, 3, 1, 0, 2, 0, 0, 2, 0, 1, 3, 0, 1, 0, 2, 0, 2, 0, 0, 1, 3, 2, 1, 2, 0, 0  },
{ 0, 3, 1, 0, 2, 3, 3, 0, 2, 1, 0, 0, 2, 0, 3, 0, 1, 1, 1, 1, 2, 0, 1, 0, 2, 2, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 2, 1, 0, 0, 2, 0  },
{ 1, 0, 1, 2, 0, 2, 2, 0, 0, 2, 2, 0, 0, 1, 2, 3, 1, 2, 1, 3, 2, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 2, 1, 0, 0, 0, 3, 1, 2, 2, 0, 0, 2, 1, 2, 0, 0, 2, 0, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 0, 3, 0, 2, 0, 1, 0, 0, 1, 3, 0, 0, 0, 0, 0, 3, 2, 2, 0, 2, 0, 2, 2, 0, 3, 2, 1, 2, 0, 0, 0, 1, 0, 0, 2, 3, 0, 1, 2, 2, 0  },
{ 0, 0, 0, 1, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 2, 0, 0  },
{ 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 2, 2, 2, 3, 0, 0, 2, 3, 0, 2, 2, 0, 0, 2, 2, 3, 1, 0, 0, 0, 2, 0, 1, 1, 0, 2, 2, 1, 0, 0, 1, 0  },
{ 0, 1, 3, 1, 0, 2, 0, 0, 2, 0, 3, 1, 0, 2, 0, 3, 2, 2, 1, 3, 0, 2, 1, 0, 1, 1, 1, 1, 0, 0, 0, 0, 2, 1, 2, 3, 0, 1, 2, 1, 0, 0  },
{ 3, 0, 2, 3, 1, 0, 0, 1, 0, 2, 3, 0, 0, 2, 0, 3, 1, 2, 0, 1, 0, 3, 1, 2, 0, 1, 0, 3, 0, 2, 2, 0, 1, 1, 0, 0, 2, 1, 0, 0, 0, 0  },
{ 1, 2, 0, 3, 1, 3, 0, 3, 0, 2, 2, 1, 0, 2, 0, 0, 0, 0, 3, 1, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0  },
{ 0, 0, 2, 2, 3, 1, 2, 1, 0, 0, 2, 2, 0, 2, 0, 0, 2, 2, 2, 2, 0, 1, 1, 2, 2, 1, 2, 1, 0, 1, 2, 0, 1, 0, 1, 3, 1, 3, 0, 3, 0, 0  },
{ 0, 1, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 1, 2, 1, 0, 0, 2, 1, 3, 3, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 1, 0, 1, 1, 2, 0, 2, 2, 0, 3, 0, 0, 2, 1, 1, 1, 3, 1, 0, 0, 2, 0, 2, 2, 0, 3, 1, 1, 0, 2, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 0, 2, 2, 2, 1, 2, 2, 0, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 3, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 2, 1, 1, 0, 1, 0, 0, 2, 1, 1, 2, 0, 2, 1, 2, 0, 2, 2, 0, 2, 2, 1, 3, 3, 0, 0, 0, 1  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 2, 1, 2, 0, 0, 0, 3, 1, 1, 0, 1, 0, 0, 0, 1, 2, 1, 0, 2, 0, 0, 0, 2, 2, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 2, 2, 1, 2, 0, 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 2, 1, 0, 0, 2, 1, 1, 2, 0, 0, 1, 0, 2, 2, 1, 1, 0, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 1  },
{ 0, 0, 2, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 0, 2, 0, 2, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 3, 0, 2, 3, 0, 0, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 2, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 2, 2, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 0, 2, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 1, 1, 2, 0, 0, 0, 2, 1, 0, 3, 2, 2, 1, 2, 0, 0  },
{ 2, 0, 2, 0, 1, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0  },
{ 3, 0, 2, 0, 0, 0, 0, 3, 1, 0, 1, 0, 1, 2, 0, 1, 0, 3, 1, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 0, 0, 3, 1, 0, 0, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 2, 0, 3, 2, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 1, 2, 0, 0, 1, 0, 2, 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 0, 2, 0, 1, 2, 1, 0, 1, 0, 1, 1, 0, 1, 1, 1, 0, 0, 0, 0  },
{ 1, 0, 0, 3, 0, 1, 2, 1, 1, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 2, 2, 1, 0, 2, 0  },
{ 0, 0, 3, 1, 0, 2, 1, 3, 1, 0, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 0, 3, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0  },
{ 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 1, 2, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 2, 2, 0, 0, 0, 1, 0, 2, 0  },
{ 2, 1, 0, 1, 0, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 0, 0, 1, 0, 2, 3, 0, 2, 0, 0, 2, 2, 0  },
{ 0, 1, 0, 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 2, 2, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0  },
{ 0, 1, 2, 0, 0, 1, 0, 2, 1, 3, 0, 1, 0, 1, 0, 3, 1, 0, 0, 1, 2, 0, 2, 1, 0, 3, 3, 2, 0, 3, 1, 0, 0, 2, 3, 2, 2, 0, 2, 0, 2, 1  },
{ 0, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 2, 1, 2, 0, 2, 2, 0, 0, 3, 1, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 2, 2, 0, 1, 1, 0, 1, 1, 0  },
{ 0, 0, 2, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 2, 1, 0, 1, 0, 1, 1, 3, 1, 1, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 0  },
{ 0, 1, 0, 0, 2, 2, 0, 0, 1, 2, 3, 0, 0, 0, 2, 0, 2, 2, 0, 3, 0, 1, 0, 1, 0, 3, 0, 1, 1, 0, 3, 1, 0, 0, 2, 0, 0, 1, 1, 0, 2, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 1, 3, 2, 0, 0, 0, 0, 1, 3, 2, 0, 1, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 2, 2, 3, 3, 1, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 2, 0, 0, 1, 0, 0, 0, 2, 2, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 2, 2, 2, 0, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 1, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1, 1, 1, 1, 2, 0, 0, 2, 0, 1, 2, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 2, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 2, 1, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 2, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 2, 1, 3, 0, 0, 0, 0, 0, 0  },
{ 2, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 3, 0, 0, 2, 0, 0  },
{ 0, 1, 1, 0, 1, 2, 0, 0, 1, 2, 0, 3, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 0, 0, 3, 3, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 2, 2, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 3, 3, 0, 0, 0, 2, 0, 0, 1, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 2, 1, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 3, 0, 0, 0, 0  },
{ 0, 0, 2, 1, 0, 0, 1, 0, 0, 1, 2, 1, 0, 2, 0, 1, 1, 3, 1, 0, 3, 0, 1, 0, 2, 1, 3, 0, 1, 2, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 3, 1, 2, 2, 0, 0, 3, 0, 0, 0, 0, 2, 1, 0, 2, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 1, 1, 2, 2, 1, 0, 0, 0, 2, 3, 3, 0, 1, 0, 1, 3, 1, 1, 1, 0, 1, 2, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 3, 2, 0, 0, 3, 0  },
{ 1, 2, 2, 2, 0, 3, 0, 0, 0, 1, 2, 0, 1, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0, 1, 3, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 3, 1, 2, 0, 2, 0, 0, 1, 1, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0, 3, 2, 0, 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 2  }
 },
{ 
{ 0, 3, 3, 3, 2, 2, 1, 1, 3, 3, 1, 3, 0, 1, 0, 0, 3, 3, 1, 2, 2, 2, 2, 1, 3, 0, 3, 0, 2, 0, 0, 0, 0, 1, 3, 3, 3, 1, 1, 0, 0, 0  },
{ 3, 2, 0, 3, 3, 3, 3, 2, 3, 2, 0, 1, 0, 0, 1, 1, 2, 1, 1, 0, 2, 0, 1, 2, 3, 2, 2, 1, 1, 2, 1, 1, 2, 2, 2, 3, 3, 2, 0, 2, 2, 0  },
{ 0, 0, 3, 3, 3, 0, 3, 0, 0, 3, 3, 0, 0, 3, 0, 0, 2, 0, 0, 2, 2, 2, 2, 2, 3, 3, 2, 2, 0, 0, 3, 0, 0, 2, 3, 3, 3, 0, 3, 2, 3, 3  },
{ 3, 2, 3, 3, 3, 3, 3, 2, 3, 0, 3, 2, 3, 3, 1, 3, 0, 3, 2, 3, 2, 3, 3, 1, 1, 3, 3, 3, 3, 2, 3, 2, 2, 2, 1, 3, 3, 1, 3, 3, 2, 2  },
{ 3, 1, 3, 2, 3, 0, 3, 0, 3, 2, 1, 2, 3, 1, 0, 0, 3, 3, 1, 2, 3, 2, 2, 0, 3, 3, 3, 3, 3, 0, 1, 0, 0, 3, 1, 3, 3, 1, 3, 3, 0, 0  },
{ 2, 3, 1, 3, 0, 3, 2, 0, 2, 2, 0, 1, 2, 2, 3, 1, 3, 1, 2, 1, 1, 2, 3, 3, 2, 0, 3, 1, 2, 3, 2, 1, 3, 1, 3, 2, 2, 0, 0, 2, 1, 2  },
{ 3, 1, 0, 2, 2, 3, 1, 2, 0, 3, 2, 1, 2, 3, 2, 1, 1, 1, 3, 1, 2, 1, 2, 3, 3, 0, 3, 3, 2, 1, 2, 3, 1, 3, 1, 3, 0, 2, 1, 3, 1, 1  },
{ 2, 0, 3, 0, 0, 1, 2, 3, 1, 0, 0, 0, 3, 2, 0, 3, 3, 1, 0, 1, 2, 3, 1, 2, 1, 1, 0, 3, 3, 0, 1, 0, 0, 1, 3, 3, 0, 0, 0, 3, 0, 0  },
{ 2, 3, 2, 3, 3, 0, 0, 0, 1, 0, 3, 1, 3, 2, 1, 3, 1, 1, 1, 3, 1, 3, 3, 1, 2, 3, 2, 3, 3, 3, 2, 1, 1, 2, 1, 2, 0, 3, 0, 2, 1, 2  },
{ 3, 1, 3, 1, 0, 0, 2, 2, 1, 1, 1, 3, 2, 0, 2, 1, 1, 0, 1, 3, 0, 1, 1, 3, 0, 1, 3, 0, 1, 3, 3, 1, 0, 3, 1, 2, 0, 2, 2, 0, 0, 1  },
{ 2, 1, 0, 0, 2, 3, 3, 0, 0, 0, 1, 1, 0, 3, 1, 0, 1, 2, 0, 1, 1, 2, 3, 0, 2, 0, 1, 3, 2, 1, 2, 1, 1, 1, 0, 2, 2, 0, 1, 2, 3, 2  },
{ 1, 0, 1, 2, 3, 2, 1, 3, 0, 1, 2, 1, 0, 2, 0, 0, 0, 1, 3, 0, 2, 1, 0, 0, 1, 3, 3, 1, 1, 3, 2, 0, 0, 1, 2, 0, 1, 0, 3, 0, 1, 0  },
{ 0, 3, 2, 3, 2, 3, 0, 0, 3, 0, 0, 0, 0, 3, 0, 3, 1, 0, 0, 2, 2, 2, 0, 0, 3, 3, 2, 0, 0, 0, 0, 0, 2, 0, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 3, 1, 3, 1, 1, 1, 1, 3, 0, 0, 3, 0, 3, 0, 3, 2, 0, 0, 2, 2, 2, 3, 2, 3, 3, 0, 0, 0, 2, 2, 2, 2, 2, 0, 3, 0, 3, 0, 0, 2, 0  },
{ 0, 3, 1, 3, 0, 1, 3, 2, 3, 1, 0, 2, 0, 3, 0, 3, 0, 1, 2, 0, 3, 2, 3, 0, 3, 0, 1, 0, 0, 3, 2, 1, 1, 3, 1, 3, 0, 3, 3, 0, 2, 0  },
{ 0, 3, 0, 3, 1, 0, 1, 3, 3, 1, 1, 1, 3, 1, 3, 3, 2, 1, 1, 3, 1, 3, 1, 1, 3, 0, 1, 1, 0, 1, 1, 2, 2, 2, 2, 3, 3, 1, 1, 2, 2, 1  },
{ 0, 3, 1, 3, 0, 1, 2, 3, 3, 2, 0, 3, 2, 0, 2, 0, 2, 3, 1, 3, 2, 3, 2, 2, 3, 1, 0, 3, 0, 2, 2, 2, 2, 3, 0, 3, 3, 3, 3, 1, 0, 0  },
{ 0, 3, 0, 3, 1, 0, 0, 0, 1, 2, 3, 0, 3, 0, 2, 3, 0, 3, 0, 3, 0, 3, 0, 0, 2, 2, 0, 3, 0, 0, 0, 0, 2, 2, 2, 3, 3, 2, 3, 2, 0, 3  },
{ 2, 2, 3, 0, 0, 3, 2, 1, 3, 2, 0, 0, 3, 3, 0, 3, 0, 3, 0, 2, 1, 3, 3, 2, 1, 0, 0, 3, 3, 3, 2, 2, 0, 2, 3, 3, 3, 2, 3, 3, 2, 0  },
{ 2, 2, 3, 1, 1, 2, 2, 1, 3, 3, 2, 1, 3, 1, 2, 3, 3, 2, 0, 3, 0, 3, 2, 2, 1, 3, 3, 3, 1, 3, 0, 0, 0, 1, 3, 3, 3, 2, 3, 0, 1, 3  },
{ 1, 0, 2, 3, 1, 3, 0, 2, 0, 0, 0, 0, 2, 3, 2, 3, 3, 2, 0, 2, 3, 2, 1, 3, 0, 1, 2, 1, 2, 2, 2, 3, 0, 1, 3, 2, 0, 0, 2, 2, 1, 0  },
{ 2, 3, 0, 3, 0, 2, 1, 0, 3, 0, 3, 0, 2, 3, 3, 2, 1, 0, 3, 1, 3, 3, 3, 3, 1, 2, 0, 1, 3, 2, 3, 1, 3, 1, 1, 2, 0, 3, 2, 2, 1, 1  },
{ 0, 3, 2, 3, 0, 0, 0, 0, 3, 2, 0, 3, 2, 3, 0, 3, 0, 0, 0, 2, 2, 0, 3, 2, 3, 3, 0, 0, 2, 2, 0, 0, 0, 3, 0, 3, 0, 2, 0, 0, 2, 0  },
{ 0, 3, 1, 3, 0, 1, 3, 2, 3, 0, 0, 3, 0, 3, 0, 3, 0, 0, 0, 0, 3, 2, 3, 0, 3, 0, 0, 0, 0, 2, 0, 2, 2, 3, 2, 3, 0, 3, 3, 0, 2, 0  },
{ 0, 3, 1, 3, 0, 1, 3, 2, 0, 0, 1, 2, 0, 2, 2, 3, 0, 0, 0, 0, 3, 2, 3, 2, 3, 3, 2, 3, 0, 2, 0, 2, 0, 3, 0, 1, 0, 2, 0, 3, 2, 0  },
{ 1, 3, 2, 3, 0, 0, 3, 0, 1, 2, 2, 0, 3, 2, 3, 2, 0, 1, 2, 2, 3, 3, 3, 3, 2, 3, 2, 1, 2, 3, 1, 1, 3, 2, 3, 3, 0, 2, 3, 2, 3, 1  },
{ 2, 3, 2, 0, 2, 3, 3, 2, 3, 0, 3, 1, 2, 3, 1, 0, 3, 0, 0, 2, 1, 3, 3, 3, 3, 1, 1, 2, 0, 2, 2, 0, 1, 3, 0, 3, 3, 2, 3, 2, 1, 0  },
{ 3, 0, 1, 3, 2, 1, 2, 2, 0, 3, 0, 0, 0, 3, 0, 2, 1, 0, 2, 1, 0, 3, 3, 2, 1, 3, 0, 2, 3, 2, 1, 3, 3, 2, 0, 2, 0, 2, 1, 2, 2, 1  },
{ 0, 3, 2, 3, 0, 1, 1, 1, 1, 0, 1, 2, 1, 3, 1, 3, 0, 3, 0, 0, 3, 1, 0, 3, 0, 3, 1, 0, 3, 0, 2, 1, 0, 3, 1, 3, 0, 2, 1, 1, 0, 0  },
{ 0, 3, 1, 3, 0, 1, 3, 2, 3, 0, 1, 2, 1, 3, 1, 3, 0, 1, 2, 0, 1, 0, 3, 0, 3, 3, 1, 1, 1, 3, 2, 2, 1, 3, 2, 3, 0, 1, 3, 0, 0, 2  },
{ 0, 3, 1, 3, 0, 1, 1, 2, 1, 1, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 3, 0, 0, 0, 0, 3, 1, 0, 3, 0, 0, 0, 3, 0, 1, 3, 0, 2, 1, 0, 0, 2  },
{ 0, 3, 1, 3, 0, 1, 1, 2, 1, 0, 3, 1, 2, 0, 0, 3, 0, 1, 0, 3, 0, 3, 0, 0, 3, 2, 1, 2, 0, 2, 2, 0, 0, 3, 2, 3, 0, 2, 2, 0, 3, 2  },
{ 0, 0, 3, 0, 2, 1, 2, 2, 3, 0, 2, 1, 2, 1, 1, 3, 0, 0, 0, 2, 3, 0, 3, 2, 3, 0, 3, 0, 2, 0, 2, 0, 1, 3, 2, 3, 0, 1, 3, 3, 0, 2  },
{ 2, 2, 0, 3, 0, 0, 0, 2, 0, 1, 3, 1, 2, 0, 1, 1, 0, 0, 0, 3, 0, 3, 0, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 2, 3, 3, 0, 2, 3, 0, 0  },
{ 1, 3, 0, 0, 0, 1, 1, 3, 0, 0, 1, 2, 1, 3, 2, 3, 0, 3, 0, 2, 3, 0, 0, 3, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 3, 3, 3, 3, 2, 3, 2, 0  },
{ 2, 2, 3, 0, 0, 1, 1, 2, 0, 0, 1, 2, 3, 2, 0, 3, 3, 1, 0, 2, 0, 3, 0, 2, 2, 0, 3, 0, 3, 2, 2, 0, 2, 2, 3, 3, 3, 2, 3, 3, 2, 0  },
{ 2, 2, 3, 3, 1, 0, 0, 2, 1, 0, 3, 2, 3, 1, 3, 0, 2, 0, 3, 2, 2, 0, 3, 0, 3, 0, 2, 3, 0, 0, 2, 3, 0, 0, 2, 2, 3, 0, 0, 3, 2, 0  },
{ 2, 0, 3, 1, 1, 1, 1, 2, 0, 0, 3, 1, 3, 2, 0, 3, 1, 0, 2, 3, 2, 1, 3, 3, 1, 1, 1, 2, 1, 2, 1, 1, 0, 2, 3, 3, 2, 0, 3, 3, 0, 1  },
{ 2, 2, 0, 1, 0, 3, 0, 3, 0, 0, 1, 3, 1, 3, 2, 0, 3, 2, 1, 3, 0, 3, 1, 2, 3, 3, 1, 3, 2, 3, 0, 0, 1, 3, 1, 1, 3, 1, 0, 2, 2, 0  },
{ 1, 0, 2, 3, 0, 3, 2, 1, 0, 3, 1, 0, 2, 3, 2, 1, 0, 1, 1, 0, 1, 0, 3, 3, 0, 0, 1, 2, 1, 0, 2, 0, 1, 3, 2, 3, 3, 2, 3, 3, 2, 1  },
{ 2, 2, 0, 3, 1, 3, 1, 2, 0, 2, 1, 2, 2, 3, 3, 2, 3, 0, 0, 3, 1, 1, 3, 2, 0, 1, 2, 2, 0, 2, 3, 0, 3, 2, 3, 2, 3, 3, 3, 2, 0, 1  },
{ 0, 2, 1, 0, 3, 0, 3, 2, 3, 0, 2, 2, 1, 3, 1, 3, 3, 0, 2, 1, 3, 2, 3, 0, 3, 0, 0, 0, 3, 1, 2, 2, 0, 3, 3, 2, 0, 1, 2, 1, 1, 1  },
{ 0, 0, 3, 0, 2, 3, 2, 3, 0, 3, 2, 3, 2, 2, 2, 3, 2, 2, 3, 1, 2, 0, 3, 1, 3, 3, 0, 1, 3, 3, 0, 2, 0, 3, 3, 2, 0, 2, 2, 3, 2, 0  },
{ 1, 1, 3, 0, 2, 1, 2, 0, 3, 2, 2, 2, 2, 0, 3, 0, 0, 2, 2, 2, 3, 3, 3, 2, 3, 3, 0, 0, 2, 0, 2, 2, 2, 3, 3, 2, 0, 3, 3, 3, 0, 0  },
{ 2, 0, 3, 0, 1, 0, 2, 1, 2, 3, 1, 2, 3, 3, 1, 0, 2, 1, 0, 3, 2, 1, 3, 2, 3, 0, 2, 3, 2, 2, 0, 0, 1, 3, 3, 0, 3, 0, 0, 3, 2, 0  },
{ 0, 0, 3, 2, 0, 1, 1, 1, 0, 0, 3, 0, 2, 0, 3, 3, 0, 1, 0, 3, 0, 2, 0, 1, 0, 0, 1, 3, 1, 0, 0, 0, 3, 0, 3, 2, 0, 3, 1, 3, 0, 0  },
{ 0, 3, 1, 3, 1, 1, 1, 2, 0, 1, 1, 2, 0, 0, 1, 3, 0, 3, 3, 0, 2, 1, 0, 1, 3, 3, 1, 0, 1, 0, 1, 0, 0, 0, 2, 3, 0, 0, 1, 3, 0, 2  },
{ 0, 0, 0, 3, 0, 0, 3, 0, 0, 0, 3, 1, 2, 0, 2, 3, 1, 1, 1, 2, 0, 3, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 3, 0, 3, 0, 2, 3, 0, 3, 2  },
{ 0, 3, 0, 0, 1, 1, 3, 2, 0, 0, 1, 2, 2, 1, 1, 3, 1, 3, 0, 3, 0, 3, 0, 3, 3, 0, 0, 0, 2, 0, 0, 0, 0, 3, 2, 3, 0, 1, 0, 0, 0, 2  },
{ 1, 1, 3, 0, 2, 2, 2, 1, 0, 1, 3, 3, 2, 1, 2, 3, 3, 0, 2, 3, 2, 1, 3, 0, 3, 0, 3, 0, 2, 0, 2, 0, 0, 3, 2, 3, 0, 0, 3, 2, 0, 2  },
{ 0, 2, 0, 0, 0, 2, 3, 1, 0, 1, 3, 1, 3, 3, 1, 0, 1, 0, 0, 2, 0, 3, 0, 3, 0, 1, 0, 0, 3, 0, 0, 0, 3, 0, 2, 3, 3, 0, 2, 3, 2, 0  },
{ 2, 3, 2, 0, 0, 0, 0, 1, 0, 3, 2, 1, 2, 2, 2, 3, 0, 1, 0, 2, 0, 2, 0, 3, 3, 0, 0, 2, 0, 3, 0, 0, 0, 3, 2, 3, 1, 2, 3, 3, 0, 0  },
{ 2, 3, 2, 0, 2, 1, 3, 1, 0, 0, 3, 2, 1, 1, 1, 3, 1, 0, 2, 0, 3, 3, 0, 2, 2, 1, 3, 0, 2, 0, 0, 0, 0, 0, 3, 3, 1, 2, 1, 3, 0, 2  },
{ 2, 3, 0, 0, 2, 1, 3, 2, 1, 3, 1, 3, 3, 3, 0, 3, 1, 0, 2, 3, 0, 0, 3, 3, 2, 3, 1, 3, 3, 2, 1, 2, 1, 3, 3, 2, 0, 3, 2, 3, 2, 0  },
{ 2, 0, 0, 0, 0, 3, 0, 3, 0, 1, 2, 1, 2, 1, 2, 0, 1, 1, 3, 2, 0, 2, 0, 3, 0, 0, 1, 0, 3, 0, 0, 0, 0, 3, 0, 3, 3, 2, 0, 3, 0, 0  },
{ 2, 3, 0, 0, 1, 0, 1, 3, 0, 2, 3, 1, 3, 3, 2, 1, 0, 2, 3, 1, 3, 2, 2, 3, 0, 1, 3, 1, 2, 0, 1, 3, 0, 0, 2, 3, 3, 2, 2, 3, 1, 0  },
{ 2, 3, 0, 0, 1, 2, 1, 3, 0, 1, 1, 1, 1, 2, 3, 2, 3, 2, 3, 2, 3, 2, 2, 3, 1, 0, 3, 3, 2, 3, 1, 3, 1, 3, 2, 3, 2, 2, 0, 3, 3, 0  },
{ 0, 0, 3, 0, 2, 2, 0, 3, 2, 1, 3, 2, 3, 2, 0, 3, 2, 2, 1, 3, 0, 1, 3, 1, 3, 3, 0, 3, 2, 0, 0, 0, 0, 3, 2, 3, 0, 0, 1, 3, 1, 0  },
{ 0, 0, 3, 0, 2, 1, 2, 2, 2, 3, 2, 2, 1, 2, 0, 3, 2, 2, 1, 2, 1, 3, 0, 2, 3, 0, 0, 3, 1, 3, 0, 1, 2, 3, 3, 2, 0, 3, 1, 3, 3, 1  },
{ 2, 0, 3, 0, 3, 1, 2, 3, 3, 2, 2, 0, 1, 2, 2, 1, 2, 2, 2, 2, 2, 0, 3, 3, 2, 3, 1, 1, 2, 3, 2, 2, 0, 0, 2, 3, 1, 2, 3, 3, 3, 0  },
{ 3, 2, 2, 0, 0, 2, 3, 3, 2, 0, 0, 3, 3, 2, 3, 2, 2, 3, 3, 0, 0, 3, 3, 3, 1, 3, 0, 3, 1, 3, 2, 2, 2, 1, 1, 3, 0, 3, 2, 1, 0, 0  },
{ 2, 3, 0, 0, 1, 0, 3, 2, 3, 2, 3, 0, 2, 2, 1, 0, 0, 1, 2, 2, 2, 3, 2, 3, 2, 3, 2, 2, 1, 2, 0, 2, 1, 2, 0, 3, 0, 3, 1, 2, 2, 0  },
{ 1, 0, 3, 0, 2, 0, 1, 3, 2, 3, 2, 0, 2, 0, 0, 0, 2, 1, 2, 1, 2, 3, 3, 3, 0, 3, 2, 1, 2, 1, 2, 2, 2, 2, 0, 3, 0, 1, 0, 2, 3, 0  },
{ 0, 1, 3, 0, 2, 1, 0, 1, 3, 3, 0, 3, 1, 2, 1, 1, 1, 1, 2, 0, 3, 0, 3, 3, 2, 3, 1, 2, 2, 2, 2, 3, 1, 1, 1, 3, 0, 3, 0, 2, 1, 1  },
{ 0, 1, 3, 0, 2, 2, 2, 1, 2, 1, 0, 0, 3, 2, 1, 0, 0, 2, 1, 1, 2, 2, 3, 0, 2, 1, 0, 2, 2, 2, 2, 0, 0, 0, 2, 0, 3, 1, 3, 0, 1, 0  },
{ 0, 1, 3, 0, 3, 1, 3, 2, 0, 2, 2, 2, 0, 0, 3, 1, 0, 1, 2, 0, 2, 2, 0, 2, 1, 1, 1, 3, 3, 3, 1, 0, 1, 0, 1, 1, 1, 2, 0, 1, 2, 3  },
{ 0, 0, 2, 3, 1, 0, 1, 1, 0, 1, 0, 0, 2, 2, 0, 1, 2, 3, 1, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 2, 3, 3, 1, 2, 0, 3  },
{ 1, 2, 3, 0, 0, 1, 2, 2, 0, 1, 3, 3, 3, 0, 3, 1, 0, 3, 1, 3, 1, 2, 0, 3, 0, 3, 2, 1, 3, 0, 1, 0, 3, 1, 2, 3, 1, 3, 1, 3, 2, 2  },
{ 1, 2, 0, 0, 0, 3, 3, 2, 3, 2, 2, 0, 3, 1, 0, 0, 1, 3, 0, 3, 0, 0, 0, 0, 3, 0, 0, 3, 3, 0, 0, 0, 1, 1, 1, 3, 0, 0, 2, 3, 2, 1  },
{ 1, 0, 0, 0, 0, 1, 3, 0, 0, 1, 3, 0, 3, 2, 3, 3, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 0, 3, 3, 0, 0, 0, 0, 2, 2, 3, 1, 3, 0, 2, 0, 2  },
{ 1, 0, 1, 0, 2, 3, 3, 2, 0, 3, 2, 0, 2, 0, 0, 3, 1, 3, 2, 2, 1, 3, 0, 3, 3, 2, 0, 2, 1, 1, 0, 0, 2, 0, 0, 2, 0, 3, 1, 2, 0, 1  },
{ 1, 2, 0, 0, 0, 3, 2, 1, 0, 1, 0, 2, 0, 3, 0, 1, 0, 1, 3, 3, 2, 3, 0, 3, 1, 0, 1, 2, 0, 0, 0, 0, 3, 1, 3, 2, 0, 3, 2, 2, 2, 2  },
{ 1, 2, 0, 0, 3, 0, 3, 0, 0, 0, 2, 1, 1, 3, 2, 3, 0, 0, 3, 2, 2, 3, 1, 3, 0, 0, 0, 2, 0, 2, 0, 0, 3, 1, 2, 3, 0, 2, 1, 2, 2, 0  },
{ 1, 2, 0, 0, 3, 0, 3, 2, 0, 0, 3, 1, 0, 1, 2, 0, 0, 0, 3, 1, 2, 2, 1, 1, 3, 1, 3, 3, 0, 2, 0, 0, 0, 3, 2, 3, 0, 0, 1, 2, 3, 2  },
{ 1, 0, 3, 0, 2, 3, 1, 3, 0, 0, 2, 0, 2, 1, 2, 3, 3, 0, 2, 2, 0, 1, 3, 1, 2, 2, 2, 3, 3, 2, 0, 0, 0, 3, 2, 3, 0, 3, 3, 0, 3, 0  },
{ 2, 1, 3, 0, 0, 0, 0, 3, 0, 0, 2, 3, 2, 2, 0, 0, 0, 1, 3, 3, 2, 0, 3, 0, 1, 1, 0, 2, 3, 0, 0, 0, 3, 1, 2, 3, 3, 2, 0, 3, 0, 2  },
{ 1, 2, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 2, 3, 2, 0, 0, 0, 2, 1, 3, 1, 2, 0, 3, 0, 0, 2, 3, 2, 0, 3, 0, 3, 0, 3, 0, 2, 3, 3, 2, 0  },
{ 1, 0, 2, 3, 0, 3, 1, 0, 0, 0, 0, 1, 3, 1, 2, 0, 3, 2, 1, 2, 3, 3, 0, 3, 0, 0, 1, 3, 2, 2, 2, 0, 0, 0, 2, 3, 0, 1, 0, 2, 3, 0  },
{ 1, 0, 2, 0, 1, 3, 2, 1, 0, 2, 3, 3, 0, 1, 3, 2, 2, 2, 0, 2, 0, 2, 2, 2, 2, 3, 0, 1, 1, 2, 2, 3, 1, 3, 1, 1, 0, 2, 3, 2, 1, 1  },
{ 2, 3, 2, 0, 0, 0, 3, 0, 0, 1, 3, 1, 0, 1, 3, 1, 1, 2, 1, 2, 3, 0, 1, 3, 1, 2, 0, 0, 2, 0, 3, 0, 2, 0, 0, 2, 3, 2, 0, 3, 0, 0  },
{ 1, 2, 0, 3, 1, 0, 3, 1, 0, 1, 0, 2, 1, 3, 0, 0, 0, 3, 1, 3, 2, 0, 2, 3, 3, 0, 1, 2, 3, 0, 3, 0, 3, 0, 3, 2, 3, 2, 2, 3, 2, 0  },
{ 3, 0, 1, 2, 3, 3, 0, 2, 0, 0, 3, 0, 1, 1, 0, 2, 2, 3, 0, 3, 1, 0, 2, 0, 1, 0, 0, 2, 2, 2, 3, 3, 2, 3, 1, 0, 0, 3, 1, 2, 3, 1  },
{ 2, 3, 0, 2, 1, 3, 0, 3, 2, 0, 1, 2, 0, 2, 3, 0, 1, 3, 2, 0, 2, 0, 3, 0, 1, 2, 2, 1, 2, 3, 3, 0, 2, 0, 1, 2, 3, 2, 1, 2, 1, 0  },
{ 2, 0, 1, 3, 1, 2, 1, 0, 3, 0, 2, 1, 3, 0, 2, 0, 1, 3, 0, 0, 2, 3, 2, 3, 0, 1, 0, 2, 1, 3, 2, 2, 3, 1, 3, 0, 3, 2, 0, 2, 2, 0  },
{ 1, 2, 1, 0, 0, 3, 3, 2, 3, 1, 3, 2, 3, 1, 1, 3, 0, 3, 1, 1, 2, 0, 0, 1, 0, 2, 2, 3, 2, 0, 0, 0, 2, 1, 2, 3, 1, 3, 1, 3, 0, 0  },
{ 1, 0, 1, 0, 2, 3, 0, 2, 3, 2, 2, 0, 1, 1, 3, 3, 1, 2, 3, 2, 2, 0, 0, 2, 3, 2, 3, 3, 0, 1, 0, 1, 0, 0, 3, 0, 1, 2, 1, 3, 3, 2  },
{ 1, 0, 1, 0, 2, 3, 3, 2, 3, 3, 1, 2, 3, 3, 0, 3, 2, 2, 0, 0, 2, 3, 0, 0, 2, 0, 3, 0, 2, 3, 0, 0, 0, 2, 0, 0, 0, 3, 1, 1, 2, 0  },
{ 2, 0, 3, 0, 2, 2, 1, 2, 3, 3, 2, 0, 3, 3, 0, 3, 1, 0, 2, 3, 0, 3, 0, 0, 2, 0, 1, 3, 1, 3, 0, 2, 0, 2, 2, 0, 0, 3, 1, 3, 3, 2  },
{ 1, 2, 0, 0, 3, 3, 1, 3, 0, 2, 2, 0, 1, 1, 3, 2, 3, 1, 2, 2, 3, 2, 0, 1, 3, 2, 0, 2, 3, 3, 0, 0, 2, 3, 2, 2, 0, 3, 1, 0, 2, 0  },
{ 2, 3, 3, 0, 2, 2, 1, 1, 3, 0, 1, 3, 2, 3, 2, 2, 1, 3, 2, 2, 0, 1, 3, 0, 3, 2, 1, 2, 0, 3, 3, 1, 0, 1, 3, 0, 3, 3, 2, 2, 1, 2  },
{ 1, 0, 1, 0, 2, 3, 3, 2, 0, 3, 1, 2, 2, 0, 3, 2, 2, 0, 3, 3, 0, 3, 1, 1, 2, 0, 2, 3, 2, 3, 2, 1, 0, 2, 3, 0, 0, 3, 2, 3, 2, 0  },
{ 1, 0, 3, 0, 2, 3, 1, 0, 3, 3, 2, 3, 1, 2, 1, 0, 0, 0, 2, 0, 2, 2, 0, 3, 2, 3, 0, 2, 3, 0, 0, 0, 0, 0, 3, 3, 0, 3, 3, 0, 0, 0  },
{ 0, 1, 3, 0, 3, 0, 1, 0, 3, 2, 1, 3, 3, 1, 2, 2, 0, 0, 3, 1, 3, 3, 3, 3, 0, 2, 2, 1, 2, 1, 3, 2, 2, 2, 1, 0, 3, 3, 3, 2, 0, 3  },
{ 1, 2, 0, 3, 0, 3, 3, 1, 1, 1, 2, 1, 2, 2, 3, 3, 0, 3, 1, 2, 3, 1, 1, 2, 1, 2, 3, 2, 3, 1, 1, 1, 1, 3, 1, 3, 1, 3, 2, 2, 3, 1  },
{ 1, 0, 3, 1, 2, 0, 1, 2, 1, 3, 2, 1, 3, 2, 3, 3, 1, 0, 1, 2, 2, 1, 1, 2, 0, 2, 3, 2, 2, 0, 0, 0, 1, 1, 2, 3, 1, 3, 1, 0, 3, 0  },
{ 1, 2, 0, 1, 0, 1, 3, 1, 1, 0, 3, 2, 0, 2, 2, 1, 1, 3, 1, 3, 3, 2, 1, 3, 0, 0, 1, 1, 3, 1, 1, 1, 1, 0, 2, 3, 1, 3, 2, 3, 3, 0  },
{ 1, 2, 0, 0, 0, 3, 1, 3, 0, 3, 2, 0, 3, 2, 2, 3, 1, 0, 2, 2, 0, 2, 0, 3, 0, 0, 1, 3, 3, 0, 0, 0, 0, 1, 2, 3, 1, 3, 2, 1, 3, 0  },
{ 1, 0, 3, 0, 2, 0, 3, 1, 1, 1, 3, 2, 0, 1, 2, 3, 2, 3, 2, 2, 2, 2, 0, 2, 3, 3, 1, 2, 2, 1, 0, 0, 0, 2, 0, 3, 0, 3, 1, 2, 2, 0  },
{ 1, 1, 0, 2, 0, 1, 3, 3, 0, 0, 0, 0, 2, 1, 2, 3, 0, 0, 2, 2, 3, 0, 1, 0, 0, 0, 1, 2, 2, 0, 0, 0, 0, 2, 1, 3, 0, 2, 3, 2, 3, 0  },
{ 1, 2, 0, 0, 3, 0, 3, 3, 0, 0, 3, 1, 0, 0, 2, 1, 1, 3, 2, 2, 1, 2, 0, 3, 0, 1, 0, 2, 0, 2, 0, 0, 0, 1, 2, 3, 0, 3, 2, 3, 2, 0  },
{ 1, 1, 0, 0, 2, 3, 0, 1, 1, 3, 0, 2, 1, 0, 3, 0, 0, 0, 3, 2, 1, 3, 1, 3, 2, 1, 1, 1, 2, 3, 0, 0, 0, 0, 2, 3, 0, 3, 0, 2, 2, 0  },
{ 1, 0, 3, 0, 2, 0, 3, 1, 0, 3, 0, 2, 0, 3, 2, 3, 0, 0, 3, 0, 1, 0, 3, 0, 2, 2, 3, 3, 2, 3, 2, 0, 0, 3, 2, 3, 0, 2, 1, 2, 3, 0  },
{ 1, 2, 0, 1, 0, 3, 1, 3, 0, 1, 1, 2, 0, 3, 0, 0, 1, 1, 0, 2, 3, 2, 3, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 3, 0, 1, 3, 2, 1, 3, 2, 0  },
{ 1, 2, 0, 1, 0, 3, 2, 1, 0, 1, 1, 1, 1, 0, 3, 0, 0, 3, 2, 3, 2, 0, 3, 1, 0, 0, 1, 3, 0, 2, 0, 0, 0, 3, 1, 3, 0, 2, 3, 2, 2, 0  },
{ 1, 1, 0, 0, 2, 0, 3, 1, 0, 0, 3, 1, 0, 0, 2, 1, 1, 3, 2, 3, 0, 0, 2, 0, 3, 1, 0, 2, 2, 3, 0, 3, 0, 1, 2, 3, 0, 2, 1, 2, 3, 0  },
{ 1, 0, 1, 2, 3, 0, 1, 0, 0, 3, 2, 3, 0, 3, 2, 0, 1, 0, 1, 2, 3, 0, 2, 0, 2, 0, 3, 2, 3, 2, 3, 3, 0, 0, 2, 3, 0, 1, 3, 2, 3, 2  },
{ 1, 2, 0, 1, 0, 3, 3, 1, 0, 0, 0, 3, 3, 0, 0, 0, 0, 0, 3, 3, 3, 0, 3, 0, 0, 0, 1, 2, 2, 3, 0, 0, 2, 0, 1, 2, 3, 2, 1, 3, 2, 0  },
{ 1, 1, 0, 0, 2, 3, 0, 1, 0, 0, 3, 0, 3, 3, 0, 0, 1, 1, 2, 1, 3, 0, 1, 3, 1, 0, 1, 0, 2, 0, 3, 0, 2, 0, 2, 2, 3, 0, 2, 2, 0, 0  },
{ 1, 0, 3, 2, 1, 1, 2, 3, 0, 3, 1, 0, 2, 0, 2, 0, 1, 0, 3, 2, 1, 3, 0, 0, 3, 0, 0, 2, 3, 0, 2, 3, 0, 3, 2, 3, 0, 2, 0, 0, 3, 2  },
{ 3, 1, 0, 0, 2, 3, 1, 0, 0, 0, 3, 0, 3, 0, 3, 0, 0, 3, 0, 3, 0, 2, 0, 2, 1, 1, 2, 1, 3, 2, 0, 3, 0, 3, 2, 3, 2, 0, 2, 0, 3, 0  },
{ 1, 0, 3, 0, 2, 0, 1, 2, 0, 3, 3, 2, 0, 0, 2, 3, 2, 2, 0, 3, 0, 2, 1, 0, 3, 3, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 1, 1, 3, 3, 2, 0  },
{ 1, 0, 1, 0, 1, 3, 1, 3, 3, 0, 0, 2, 1, 1, 0, 2, 2, 1, 3, 1, 0, 2, 1, 3, 3, 3, 3, 0, 2, 3, 0, 0, 0, 2, 2, 0, 1, 1, 3, 0, 2, 0  },
{ 1, 0, 1, 0, 2, 3, 3, 1, 0, 2, 2, 0, 3, 0, 2, 3, 1, 1, 1, 2, 1, 2, 0, 3, 2, 3, 0, 0, 2, 3, 0, 0, 0, 0, 3, 1, 0, 1, 3, 3, 2, 0  },
{ 1, 0, 1, 0, 2, 0, 1, 3, 1, 1, 3, 3, 1, 2, 2, 2, 0, 0, 0, 1, 3, 2, 1, 3, 3, 2, 3, 1, 0, 3, 0, 0, 1, 2, 3, 0, 0, 3, 1, 2, 1, 1  },
{ 1, 0, 3, 0, 1, 3, 1, 3, 0, 2, 1, 0, 2, 2, 3, 2, 2, 3, 0, 3, 3, 2, 0, 0, 2, 3, 0, 3, 2, 2, 2, 0, 2, 2, 2, 3, 0, 2, 2, 0, 2, 0  },
{ 1, 0, 3, 0, 3, 0, 1, 3, 1, 2, 3, 0, 2, 2, 0, 1, 0, 3, 1, 0, 3, 2, 2, 2, 3, 3, 1, 2, 0, 3, 3, 0, 0, 0, 1, 0, 1, 2, 1, 3, 2, 2  },
{ 1, 0, 3, 0, 1, 0, 0, 3, 0, 2, 3, 3, 1, 2, 0, 1, 3, 1, 2, 2, 2, 2, 2, 2, 3, 0, 2, 0, 3, 3, 2, 1, 0, 2, 2, 0, 1, 3, 1, 1, 2, 2  },
{ 3, 0, 0, 2, 1, 0, 0, 2, 0, 2, 3, 1, 2, 3, 0, 1, 0, 2, 2, 0, 1, 3, 3, 2, 3, 0, 3, 3, 1, 2, 3, 0, 0, 2, 2, 0, 2, 0, 1, 3, 3, 2  },
{ 1, 0, 2, 0, 3, 1, 0, 3, 0, 1, 0, 3, 0, 1, 3, 2, 2, 2, 0, 3, 1, 1, 3, 2, 1, 3, 3, 0, 2, 0, 2, 3, 1, 2, 0, 2, 1, 0, 3, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 2, 1, 1, 3, 1, 0, 2, 0, 3, 0, 1, 0, 2, 2, 1, 2, 1, 2, 1, 0, 2, 2, 1, 1, 1, 1, 2, 1, 3, 1, 1, 3, 2, 0, 2, 1  },
{ 1, 0, 2, 3, 1, 0, 3, 2, 1, 3, 0, 1, 0, 1, 3, 0, 1, 1, 2, 1, 2, 1, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 0, 3, 3, 3, 1, 3, 1, 2, 1, 1  },
{ 1, 1, 0, 1, 2, 0, 3, 1, 1, 3, 0, 1, 0, 2, 0, 3, 1, 3, 2, 0, 2, 0, 1, 3, 0, 1, 1, 2, 1, 1, 1, 1, 1, 2, 1, 3, 1, 3, 2, 0, 3, 1  },
{ 1, 0, 0, 1, 1, 0, 1, 2, 0, 2, 3, 1, 0, 1, 3, 3, 1, 2, 0, 2, 3, 2, 0, 2, 0, 3, 0, 1, 2, 3, 0, 0, 0, 0, 3, 2, 1, 3, 1, 0, 2, 0  },
{ 1, 1, 0, 1, 2, 0, 3, 1, 0, 0, 1, 2, 0, 3, 2, 0, 0, 0, 2, 1, 3, 1, 0, 3, 0, 0, 0, 0, 2, 0, 1, 1, 2, 1, 2, 0, 1, 3, 2, 0, 3, 1  },
{ 1, 0, 1, 3, 1, 0, 1, 3, 0, 3, 1, 0, 3, 2, 0, 0, 1, 1, 2, 1, 0, 1, 0, 3, 0, 0, 1, 1, 3, 0, 2, 1, 0, 0, 2, 3, 1, 3, 2, 0, 3, 0  },
{ 1, 0, 1, 3, 0, 1, 3, 3, 0, 2, 3, 0, 3, 1, 2, 0, 1, 1, 3, 1, 2, 2, 0, 3, 2, 1, 1, 1, 2, 3, 1, 1, 1, 2, 2, 3, 0, 3, 0, 2, 2, 0  },
{ 1, 0, 3, 0, 1, 0, 1, 0, 0, 2, 3, 1, 3, 2, 1, 3, 3, 0, 3, 1, 0, 3, 0, 1, 2, 1, 1, 3, 2, 3, 2, 0, 0, 1, 0, 3, 0, 2, 3, 1, 0, 0  },
{ 1, 2, 0, 1, 0, 3, 3, 1, 1, 1, 1, 0, 3, 1, 3, 0, 0, 0, 2, 1, 3, 1, 0, 2, 0, 0, 0, 2, 3, 1, 2, 1, 2, 2, 0, 0, 3, 2, 0, 3, 2, 0  },
{ 1, 0, 1, 3, 2, 3, 1, 3, 0, 0, 3, 0, 1, 3, 0, 0, 1, 2, 0, 1, 2, 2, 0, 2, 1, 0, 0, 2, 3, 0, 2, 0, 0, 0, 2, 3, 0, 2, 3, 0, 2, 0  },
{ 1, 0, 1, 3, 1, 0, 1, 3, 0, 2, 3, 0, 1, 0, 0, 0, 0, 3, 0, 1, 3, 0, 3, 2, 3, 1, 0, 0, 3, 3, 2, 0, 0, 1, 3, 2, 0, 3, 1, 1, 2, 0  },
{ 0, 1, 0, 0, 3, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 2, 3, 1, 3, 2, 0, 1, 0, 2, 1, 0, 2, 3, 3, 2, 0, 0, 0, 3, 2, 0, 2, 0, 2, 3, 0  },
{ 3, 0, 1, 2, 0, 3, 2, 0, 0, 2, 3, 3, 1, 1, 2, 1, 1, 1, 3, 2, 3, 2, 0, 2, 2, 0, 2, 3, 0, 3, 2, 3, 0, 1, 2, 3, 0, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 1, 2, 2, 3, 0, 2, 0, 0, 2, 1, 3, 1, 0, 0, 0, 3, 1, 3, 1, 3, 0, 0, 0, 0, 3, 2, 0, 3, 0, 2, 1, 2, 3, 3, 2, 0, 3, 0, 0  },
{ 1, 1, 0, 1, 2, 2, 3, 2, 0, 0, 3, 3, 1, 3, 1, 0, 0, 3, 0, 2, 3, 0, 3, 0, 1, 1, 0, 1, 1, 3, 2, 0, 0, 0, 2, 2, 0, 3, 2, 3, 2, 0  },
{ 1, 0, 1, 3, 0, 2, 3, 0, 0, 0, 0, 3, 2, 3, 1, 0, 0, 3, 0, 0, 3, 0, 1, 0, 3, 1, 3, 0, 3, 3, 1, 2, 0, 0, 2, 2, 0, 3, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 3, 3, 1, 0, 0, 2, 3, 1, 3, 0, 1, 0, 3, 3, 3, 0, 2, 3, 2, 1, 0, 0, 0, 1, 2, 3, 2, 3, 0, 0, 3, 2, 0, 3, 3, 2, 0, 0  },
{ 3, 1, 0, 2, 3, 2, 3, 0, 1, 1, 2, 0, 3, 3, 1, 0, 0, 3, 0, 2, 1, 3, 3, 0, 0, 1, 0, 2, 1, 3, 3, 3, 0, 2, 1, 3, 3, 2, 0, 1, 0, 0  },
{ 1, 3, 0, 1, 2, 3, 0, 3, 0, 1, 0, 3, 0, 3, 1, 0, 0, 1, 3, 1, 0, 3, 0, 3, 0, 1, 3, 0, 1, 3, 0, 2, 0, 3, 3, 1, 3, 2, 3, 2, 0, 0  },
{ 3, 1, 0, 3, 2, 3, 1, 0, 0, 3, 2, 1, 0, 3, 1, 0, 0, 3, 1, 0, 1, 2, 0, 1, 3, 0, 3, 1, 1, 3, 2, 2, 3, 0, 2, 2, 3, 1, 0, 2, 2, 2  },
{ 3, 1, 0, 0, 3, 0, 3, 0, 0, 1, 2, 3, 0, 2, 0, 0, 3, 0, 2, 1, 3, 1, 0, 2, 1, 3, 1, 0, 0, 1, 3, 2, 0, 3, 3, 2, 0, 3, 1, 1, 1, 0  },
{ 1, 0, 0, 3, 1, 3, 0, 2, 1, 1, 1, 0, 2, 3, 2, 0, 1, 1, 0, 2, 2, 3, 1, 3, 0, 0, 0, 2, 0, 2, 0, 1, 2, 1, 2, 3, 1, 0, 3, 0, 2, 1  },
{ 1, 0, 3, 1, 1, 0, 1, 2, 0, 1, 1, 0, 3, 3, 3, 3, 2, 3, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2, 2, 0, 0, 1, 0, 3, 2, 3, 1, 3, 1, 0, 2, 0  },
{ 1, 0, 3, 0, 1, 3, 1, 2, 0, 2, 1, 0, 3, 0, 2, 3, 1, 3, 1, 3, 3, 2, 0, 2, 0, 0, 0, 3, 2, 2, 0, 1, 0, 0, 2, 0, 1, 3, 1, 1, 3, 0  },
{ 1, 0, 3, 0, 1, 0, 3, 0, 0, 2, 1, 0, 3, 0, 2, 3, 1, 1, 3, 0, 3, 2, 1, 2, 3, 0, 0, 2, 1, 2, 1, 0, 1, 2, 2, 0, 1, 3, 1, 3, 2, 0  },
{ 1, 0, 3, 0, 2, 0, 1, 2, 0, 3, 1, 3, 2, 2, 3, 2, 1, 0, 0, 0, 3, 2, 1, 3, 3, 0, 0, 0, 3, 2, 0, 0, 1, 2, 2, 0, 1, 1, 3, 3, 0, 0  },
{ 1, 0, 3, 0, 3, 0, 1, 3, 0, 2, 3, 2, 0, 2, 3, 2, 0, 3, 0, 3, 3, 2, 0, 0, 2, 1, 3, 2, 3, 2, 2, 0, 0, 2, 2, 0, 1, 1, 2, 3, 1, 0  },
{ 1, 0, 3, 0, 1, 3, 0, 3, 0, 3, 2, 3, 1, 3, 1, 2, 1, 1, 0, 2, 3, 2, 0, 2, 2, 3, 2, 1, 2, 3, 2, 0, 0, 0, 1, 2, 0, 3, 0, 1, 0, 0  },
{ 1, 0, 3, 0, 0, 0, 1, 2, 0, 1, 0, 0, 1, 3, 3, 2, 2, 3, 0, 2, 2, 2, 0, 1, 2, 0, 2, 3, 3, 3, 3, 1, 1, 0, 3, 0, 3, 3, 0, 0, 1, 2  },
{ 0, 1, 3, 0, 2, 1, 3, 1, 0, 2, 0, 3, 1, 1, 3, 1, 1, 0, 2, 3, 3, 3, 2, 3, 0, 1, 0, 1, 1, 3, 2, 0, 2, 1, 0, 2, 3, 0, 3, 3, 2, 3  },
{ 1, 3, 1, 0, 0, 1, 2, 0, 3, 2, 2, 1, 3, 0, 1, 1, 2, 2, 0, 2, 2, 2, 2, 2, 1, 1, 0, 3, 2, 1, 3, 3, 0, 0, 3, 0, 2, 3, 1, 1, 2, 2  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 0, 1, 3, 1, 1, 3, 1, 1, 2, 0, 2, 2, 0, 1, 1, 0, 2, 1, 1, 1, 2, 0, 1, 1, 0, 3, 2, 2, 0, 1  },
{ 1, 0, 0, 3, 1, 2, 1, 0, 1, 3, 1, 0, 2, 3, 2, 0, 1, 1, 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 2, 1, 1, 1, 3, 3, 2, 0, 1, 3, 0, 2, 2, 1  },
{ 1, 1, 0, 1, 2, 2, 0, 3, 1, 2, 3, 0, 2, 1, 3, 0, 1, 2, 1, 1, 2, 0, 0, 2, 0, 1, 1, 0, 0, 1, 1, 1, 2, 1, 3, 1, 3, 3, 3, 2, 0, 1  },
{ 1, 1, 0, 1, 0, 2, 0, 2, 0, 3, 0, 2, 0, 1, 2, 0, 1, 1, 3, 0, 3, 0, 1, 2, 1, 0, 2, 0, 0, 0, 1, 1, 1, 0, 2, 3, 1, 1, 0, 2, 0, 1  },
{ 1, 0, 3, 1, 1, 1, 2, 2, 0, 0, 1, 0, 0, 1, 3, 0, 1, 3, 0, 2, 3, 1, 1, 2, 3, 3, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 0, 2, 1, 0  },
{ 1, 1, 0, 1, 1, 1, 3, 1, 1, 2, 1, 0, 2, 0, 1, 1, 0, 2, 3, 1, 3, 1, 3, 3, 0, 1, 1, 0, 1, 0, 2, 1, 1, 2, 0, 0, 3, 0, 2, 0, 3, 1  },
{ 1, 0, 0, 1, 1, 0, 3, 1, 1, 1, 1, 0, 1, 0, 2, 0, 2, 2, 0, 3, 1, 3, 2, 2, 0, 1, 1, 2, 1, 0, 1, 1, 0, 1, 2, 0, 1, 3, 2, 0, 3, 1  },
{ 1, 0, 3, 1, 1, 0, 1, 3, 1, 2, 3, 1, 0, 1, 2, 0, 1, 1, 0, 3, 3, 1, 0, 2, 0, 3, 0, 2, 0, 3, 0, 0, 0, 1, 2, 0, 1, 3, 1, 0, 3, 1  },
{ 1, 0, 3, 1, 1, 2, 0, 3, 0, 3, 3, 1, 0, 0, 2, 0, 1, 2, 1, 3, 3, 1, 0, 1, 2, 0, 1, 0, 2, 3, 0, 0, 1, 2, 3, 0, 1, 2, 0, 1, 2, 1  },
{ 2, 1, 0, 1, 1, 1, 3, 1, 1, 2, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 3, 1, 0, 3, 0, 1, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 2, 2, 0, 3, 1  },
{ 1, 1, 0, 1, 1, 0, 3, 3, 0, 1, 1, 0, 3, 1, 0, 0, 1, 2, 3, 0, 3, 1, 0, 2, 0, 2, 3, 2, 1, 0, 3, 0, 0, 1, 3, 2, 0, 3, 2, 0, 2, 0  },
{ 1, 3, 0, 1, 0, 0, 1, 3, 1, 1, 3, 1, 0, 1, 3, 0, 2, 3, 1, 0, 3, 1, 0, 3, 0, 1, 1, 1, 3, 3, 0, 0, 0, 0, 2, 3, 0, 3, 0, 2, 0, 0  },
{ 3, 1, 0, 0, 3, 0, 1, 0, 0, 3, 2, 3, 0, 1, 0, 0, 1, 3, 1, 3, 1, 3, 1, 0, 2, 1, 0, 0, 2, 3, 0, 3, 0, 0, 2, 2, 0, 3, 0, 0, 2, 0  },
{ 1, 2, 2, 2, 3, 0, 3, 2, 0, 3, 2, 3, 0, 2, 0, 0, 1, 3, 3, 3, 3, 2, 2, 0, 1, 2, 0, 0, 3, 2, 0, 2, 0, 2, 1, 0, 0, 2, 1, 2, 2, 0  },
{ 1, 0, 1, 2, 2, 3, 3, 0, 1, 1, 1, 2, 3, 0, 1, 1, 0, 0, 0, 3, 3, 2, 0, 1, 0, 0, 0, 2, 3, 0, 3, 0, 2, 3, 1, 0, 3, 2, 0, 2, 2, 0  },
{ 1, 3, 0, 1, 1, 2, 3, 1, 1, 1, 0, 0, 3, 1, 0, 0, 0, 3, 1, 0, 3, 2, 1, 2, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 2, 2, 0, 2, 3, 0, 2, 0  },
{ 1, 0, 3, 1, 1, 3, 1, 3, 1, 1, 0, 0, 3, 1, 0, 0, 2, 3, 0, 1, 3, 1, 3, 1, 3, 0, 3, 0, 1, 3, 2, 0, 0, 0, 0, 2, 0, 3, 2, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 3, 2, 0, 0, 3, 0, 3, 2, 3, 0, 0, 1, 0, 3, 0, 1, 3, 0, 0, 1, 2, 3, 1, 2, 3, 0, 2, 0, 0, 2, 3, 0, 2, 0, 0, 2, 0  },
{ 1, 2, 2, 2, 3, 1, 0, 1, 0, 2, 3, 0, 0, 1, 0, 0, 2, 3, 2, 3, 1, 2, 0, 3, 0, 1, 0, 3, 3, 3, 2, 2, 0, 3, 3, 1, 0, 0, 2, 3, 2, 0  },
{ 3, 2, 3, 1, 2, 2, 3, 0, 1, 1, 3, 0, 3, 2, 3, 2, 0, 0, 2, 3, 3, 0, 1, 3, 0, 1, 0, 3, 1, 0, 3, 3, 2, 0, 1, 2, 3, 2, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 2, 0, 3, 0, 1, 1, 3, 0, 2, 3, 0, 0, 0, 3, 0, 2, 3, 1, 0, 3, 0, 0, 0, 1, 3, 3, 2, 3, 1, 2, 1, 2, 3, 2, 3, 2, 0, 0  },
{ 3, 1, 0, 3, 0, 2, 3, 0, 1, 1, 3, 0, 2, 3, 0, 0, 1, 2, 1, 0, 3, 1, 3, 3, 0, 0, 3, 0, 1, 2, 3, 1, 2, 1, 2, 2, 2, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 2, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 3, 1, 1, 2, 0, 2, 1, 1, 1, 1, 2, 0, 3, 1, 0, 0, 2, 0, 1  },
{ 1, 0, 3, 1, 1, 2, 1, 3, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 2, 2, 2, 3, 0, 2, 0, 0, 0, 1, 1, 0, 1, 1, 1, 3, 2, 1, 1, 3, 2, 0, 3, 0  },
{ 1, 0, 3, 1, 1, 2, 3, 2, 0, 0, 1, 0, 0, 1, 2, 3, 1, 3, 1, 3, 3, 1, 1, 2, 0, 0, 0, 0, 3, 2, 1, 1, 1, 3, 2, 0, 1, 2, 3, 2, 1, 1  },
{ 1, 0, 3, 1, 2, 0, 3, 0, 0, 0, 2, 0, 1, 3, 0, 3, 1, 3, 1, 2, 1, 0, 0, 2, 3, 0, 0, 1, 3, 2, 0, 1, 0, 2, 3, 0, 1, 2, 1, 1, 3, 0  },
{ 1, 0, 3, 0, 2, 0, 0, 2, 0, 1, 1, 3, 2, 0, 2, 2, 3, 3, 0, 0, 3, 2, 1, 2, 0, 0, 0, 1, 1, 2, 1, 1, 1, 3, 2, 0, 1, 0, 3, 0, 1, 1  },
{ 1, 0, 0, 3, 3, 3, 1, 0, 0, 1, 1, 0, 1, 2, 1, 2, 1, 3, 3, 1, 3, 2, 0, 2, 2, 0, 2, 0, 3, 3, 3, 1, 1, 2, 2, 0, 1, 3, 1, 2, 1, 0  },
{ 1, 0, 0, 3, 3, 2, 1, 0, 0, 1, 0, 3, 0, 1, 2, 0, 3, 2, 1, 1, 1, 1, 3, 1, 2, 3, 0, 1, 3, 2, 3, 0, 0, 2, 2, 0, 1, 3, 3, 3, 1, 0  },
{ 2, 1, 0, 1, 3, 1, 3, 3, 1, 1, 2, 3, 1, 1, 2, 0, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 2, 3, 0, 1, 0, 3, 0, 3, 0, 2, 0, 0, 0  },
{ 1, 0, 3, 1, 0, 3, 2, 0, 0, 2, 1, 1, 3, 1, 0, 1, 2, 2, 3, 1, 3, 1, 1, 2, 3, 2, 1, 2, 1, 3, 3, 0, 0, 2, 2, 0, 3, 0, 0, 0, 1, 3  },
{ 1, 0, 3, 3, 2, 0, 0, 0, 1, 1, 2, 0, 3, 0, 0, 2, 3, 1, 1, 2, 3, 2, 2, 2, 0, 3, 1, 0, 3, 3, 2, 3, 0, 2, 2, 0, 3, 0, 0, 1, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 2, 0, 1, 1, 0, 1, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 3, 1, 1, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0, 3, 2, 2, 0, 1  },
{ 1, 0, 1, 3, 1, 3, 2, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 0, 1, 2, 0, 2, 1, 0, 3, 0, 3, 0, 2, 0, 0, 0, 2, 2, 1, 2, 1, 3, 1, 2, 0, 1  },
{ 3, 1, 0, 1, 1, 2, 3, 1, 1, 0, 0, 0, 3, 2, 0, 3, 1, 0, 2, 0, 2, 0, 3, 3, 1, 1, 1, 0, 3, 0, 0, 0, 2, 0, 1, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 1, 2, 3, 1, 0, 3, 0, 3, 0, 2, 0, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 0, 3, 0, 0, 0, 2, 0, 2, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 3, 3, 1, 0, 3, 2, 0, 1, 2, 0, 1, 1, 0, 3, 2, 0, 2, 3, 2, 0, 0, 1, 3, 1, 0, 0, 1, 2, 0, 3, 1, 2, 2, 0, 2, 0  },
{ 3, 1, 0, 1, 1, 1, 3, 1, 1, 0, 2, 0, 3, 0, 3, 0, 0, 0, 3, 0, 2, 1, 1, 0, 0, 1, 1, 2, 3, 0, 3, 0, 3, 3, 1, 1, 3, 3, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 1, 3, 0, 1, 0, 0, 3, 3, 0, 2, 0, 1, 3, 1, 0, 2, 1, 0, 2, 0, 0, 1, 0, 3, 0, 3, 0, 0, 1, 2, 0, 1, 3, 0, 2, 0, 1  },
{ 1, 0, 3, 1, 1, 2, 3, 0, 1, 0, 1, 0, 2, 1, 2, 0, 1, 1, 3, 0, 3, 0, 0, 2, 0, 0, 3, 0, 2, 3, 0, 0, 1, 2, 2, 3, 1, 2, 0, 2, 0, 0  },
{ 3, 1, 0, 0, 3, 3, 3, 2, 1, 0, 2, 3, 3, 1, 3, 0, 1, 3, 1, 0, 2, 1, 1, 2, 2, 0, 0, 2, 3, 2, 0, 0, 0, 1, 2, 0, 1, 3, 1, 0, 2, 0  },
{ 3, 1, 0, 3, 2, 3, 3, 1, 1, 0, 3, 0, 1, 3, 2, 0, 0, 0, 3, 2, 3, 0, 3, 0, 0, 2, 3, 0, 0, 3, 3, 0, 0, 3, 1, 0, 1, 3, 3, 2, 1, 0  },
{ 1, 1, 0, 0, 0, 0, 3, 0, 1, 1, 3, 1, 0, 3, 0, 1, 3, 0, 1, 0, 3, 0, 1, 2, 0, 1, 1, 0, 3, 1, 0, 0, 0, 1, 2, 3, 0, 3, 2, 0, 2, 0  },
{ 1, 3, 0, 1, 0, 3, 0, 0, 1, 1, 0, 2, 1, 0, 0, 0, 0, 0, 3, 1, 3, 3, 0, 0, 2, 1, 1, 2, 3, 1, 0, 0, 0, 2, 2, 3, 0, 3, 0, 2, 0, 0  },
{ 1, 3, 0, 2, 3, 0, 2, 3, 1, 3, 3, 2, 0, 1, 0, 0, 1, 3, 3, 1, 3, 2, 0, 1, 2, 2, 0, 0, 3, 2, 2, 0, 0, 2, 1, 0, 1, 2, 0, 3, 0, 0  },
{ 3, 1, 0, 1, 1, 1, 3, 3, 1, 1, 0, 0, 3, 2, 0, 2, 1, 3, 1, 0, 3, 2, 0, 3, 0, 0, 1, 0, 1, 0, 3, 0, 1, 0, 1, 0, 3, 2, 2, 3, 2, 0  },
{ 1, 0, 3, 1, 1, 3, 1, 0, 1, 1, 0, 0, 3, 0, 3, 1, 1, 1, 2, 0, 3, 0, 1, 2, 0, 1, 3, 3, 1, 3, 0, 0, 0, 1, 1, 2, 0, 3, 2, 0, 2, 1  },
{ 0, 1, 2, 1, 0, 1, 3, 0, 1, 1, 0, 0, 1, 3, 0, 0, 3, 1, 1, 3, 1, 0, 0, 3, 0, 1, 1, 2, 1, 3, 0, 0, 0, 0, 2, 2, 0, 3, 0, 2, 0, 0  },
{ 0, 1, 2, 2, 3, 1, 2, 0, 1, 3, 2, 3, 3, 3, 0, 0, 1, 0, 3, 3, 1, 2, 0, 0, 0, 1, 0, 3, 1, 3, 0, 0, 3, 2, 1, 3, 0, 0, 2, 1, 0, 0  },
{ 3, 0, 0, 2, 2, 0, 1, 2, 0, 1, 3, 0, 2, 1, 0, 0, 1, 3, 3, 0, 3, 1, 0, 0, 1, 2, 2, 0, 2, 3, 2, 2, 1, 2, 2, 1, 0, 0, 2, 1, 0, 1  },
{ 3, 1, 0, 3, 1, 3, 3, 1, 1, 2, 1, 2, 3, 1, 1, 0, 2, 0, 3, 2, 3, 1, 3, 0, 0, 0, 0, 1, 2, 0, 3, 1, 0, 2, 0, 0, 3, 2, 1, 2, 1, 0  },
{ 1, 3, 0, 1, 1, 1, 0, 3, 1, 2, 1, 0, 1, 3, 0, 1, 3, 1, 0, 1, 3, 1, 1, 3, 0, 0, 3, 0, 0, 1, 3, 2, 0, 2, 1, 2, 2, 0, 1, 1, 1, 0  },
{ 3, 0, 1, 3, 1, 2, 3, 0, 1, 3, 0, 3, 1, 0, 3, 0, 1, 0, 0, 2, 3, 1, 1, 3, 0, 0, 1, 3, 3, 0, 3, 0, 1, 0, 2, 2, 0, 2, 3, 3, 1, 0  },
{ 3, 0, 3, 1, 1, 2, 0, 3, 1, 0, 1, 3, 1, 0, 1, 0, 2, 1, 2, 0, 3, 1, 3, 0, 1, 1, 0, 1, 1, 0, 3, 1, 0, 0, 2, 2, 0, 2, 1, 0, 2, 0  },
{ 3, 1, 0, 1, 0, 2, 0, 2, 1, 1, 1, 0, 2, 0, 2, 0, 1, 3, 0, 1, 1, 2, 0, 2, 1, 0, 0, 1, 3, 2, 1, 1, 2, 3, 0, 3, 1, 2, 0, 3, 0, 0  },
{ 1, 0, 0, 1, 1, 3, 0, 3, 1, 0, 0, 1, 2, 0, 2, 0, 1, 2, 1, 0, 3, 1, 1, 2, 0, 3, 1, 0, 3, 2, 0, 0, 2, 2, 3, 2, 0, 1, 2, 0, 2, 0  },
{ 1, 3, 0, 1, 0, 0, 0, 2, 0, 1, 2, 2, 1, 0, 2, 3, 1, 1, 1, 0, 3, 0, 1, 2, 0, 0, 3, 0, 3, 2, 0, 1, 0, 2, 1, 2, 1, 3, 0, 2, 0, 1  },
{ 0, 1, 3, 1, 0, 2, 0, 0, 0, 1, 0, 1, 3, 0, 2, 3, 1, 3, 1, 0, 2, 0, 1, 2, 0, 0, 0, 3, 2, 2, 0, 0, 1, 2, 2, 0, 1, 2, 2, 0, 1, 0  },
{ 1, 1, 0, 1, 3, 0, 3, 0, 0, 0, 0, 3, 0, 3, 0, 2, 1, 2, 0, 1, 2, 1, 1, 2, 0, 0, 2, 0, 3, 2, 0, 0, 0, 2, 3, 0, 1, 2, 1, 0, 1, 0  },
{ 1, 0, 3, 0, 3, 0, 0, 0, 0, 1, 0, 3, 3, 0, 2, 2, 3, 3, 0, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 2, 0, 0, 1, 2, 3, 1, 1, 2, 1, 0, 0, 1  },
{ 1, 0, 3, 1, 0, 1, 3, 0, 0, 1, 1, 1, 3, 2, 0, 2, 3, 2, 2, 1, 0, 1, 1, 2, 0, 0, 1, 3, 0, 2, 0, 0, 0, 0, 2, 0, 1, 2, 2, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 0, 0, 0, 3, 0, 3, 0, 2, 1, 3, 2, 3, 3, 1, 0, 2, 2, 3, 3, 0, 1, 2, 3, 0, 0, 0, 3, 0, 1, 0, 3, 2, 1, 0  },
{ 1, 0, 3, 1, 3, 1, 3, 0, 1, 0, 3, 2, 3, 1, 2, 0, 1, 0, 0, 3, 0, 1, 3, 1, 2, 3, 1, 3, 0, 2, 0, 0, 0, 2, 2, 0, 1, 0, 3, 3, 1, 0  },
{ 3, 2, 0, 1, 0, 3, 3, 0, 0, 1, 3, 0, 1, 2, 1, 2, 2, 1, 0, 0, 0, 2, 1, 0, 0, 3, 3, 0, 0, 2, 3, 0, 1, 2, 0, 3, 0, 1, 3, 1, 0, 3  },
{ 1, 3, 0, 3, 0, 3, 1, 0, 0, 1, 0, 0, 0, 3, 0, 2, 1, 0, 2, 3, 2, 1, 1, 2, 0, 1, 0, 3, 2, 2, 0, 0, 0, 0, 2, 0, 3, 0, 1, 1, 0, 0  },
{ 1, 0, 2, 1, 0, 1, 3, 0, 0, 1, 1, 1, 3, 1, 2, 3, 0, 2, 1, 0, 2, 0, 0, 2, 1, 1, 1, 1, 0, 2, 3, 0, 0, 0, 2, 0, 2, 0, 3, 2, 0, 0  },
{ 2, 2, 0, 3, 3, 1, 1, 2, 1, 2, 1, 0, 0, 0, 2, 0, 1, 3, 1, 0, 0, 1, 0, 2, 1, 1, 0, 1, 3, 2, 3, 0, 2, 1, 0, 0, 3, 3, 3, 2, 2, 2  },
{ 0, 2, 0, 3, 3, 1, 1, 3, 0, 1, 3, 2, 2, 2, 2, 1, 2, 1, 0, 0, 0, 1, 2, 2, 0, 2, 0, 0, 1, 2, 3, 0, 1, 2, 0, 1, 1, 2, 3, 0, 0, 2  },
{ 1, 2, 2, 0, 1, 2, 3, 1, 0, 0, 0, 1, 0, 0, 2, 1, 3, 1, 3, 1, 2, 2, 2, 1, 1, 0, 0, 1, 0, 0, 2, 0, 3, 1, 0, 2, 2, 1, 3, 2, 2, 2  },
{ 1, 0, 3, 1, 0, 1, 3, 3, 0, 2, 0, 1, 2, 2, 1, 1, 0, 0, 2, 0, 2, 1, 2, 2, 2, 0, 0, 2, 1, 0, 2, 0, 3, 2, 3, 1, 3, 2, 0, 2, 2, 2  },
{ 3, 1, 0, 1, 0, 1, 2, 2, 1, 1, 3, 2, 0, 2, 1, 0, 0, 3, 1, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 0, 3, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 0, 1, 2, 1, 1, 1, 1, 3, 0, 2, 2, 1, 0, 3, 1, 0, 2, 0, 0, 2, 1, 1, 2, 0, 2, 2, 0, 0, 2, 0, 3, 1, 0, 3, 2, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 3, 2, 1, 0, 2, 0, 2, 3, 1, 0, 0, 0, 2, 0, 3, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0, 3, 3, 2, 0, 0  },
{ 1, 1, 0, 3, 0, 2, 3, 1, 0, 1, 0, 0, 2, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 3, 1, 1, 3, 0, 2, 2, 0, 0, 1, 2, 0, 0, 1, 3, 3, 2, 0, 0  },
{ 1, 0, 3, 0, 1, 0, 3, 1, 3, 0, 0, 2, 0, 3, 1, 2, 1, 2, 3, 0, 2, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 2, 0, 2, 1, 3, 0, 0, 2, 0  },
{ 0, 1, 3, 1, 1, 0, 3, 1, 1, 0, 1, 1, 3, 3, 1, 0, 0, 0, 3, 0, 2, 0, 3, 0, 1, 1, 1, 0, 3, 0, 3, 0, 2, 1, 3, 1, 3, 0, 0, 2, 0, 0  },
{ 1, 0, 1, 2, 1, 2, 3, 0, 1, 0, 0, 1, 2, 1, 3, 0, 1, 3, 1, 0, 3, 0, 2, 0, 1, 0, 3, 0, 2, 1, 0, 0, 0, 2, 3, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 3, 3, 1, 2, 0, 1, 2, 0, 0, 2, 0, 1, 3, 2, 2, 3, 0, 2, 3, 0, 0, 3, 0, 2, 0, 0, 0, 0, 2, 2, 3, 1, 2, 0, 2, 1, 0  },
{ 1, 0, 2, 0, 3, 1, 0, 1, 1, 0, 1, 3, 3, 2, 2, 0, 1, 2, 0, 3, 2, 0, 0, 2, 2, 0, 2, 0, 2, 2, 0, 0, 0, 2, 3, 0, 1, 2, 0, 2, 1, 0  },
{ 3, 1, 3, 0, 1, 3, 1, 3, 1, 0, 1, 3, 3, 3, 1, 0, 2, 0, 3, 0, 2, 0, 3, 0, 1, 1, 2, 0, 3, 0, 1, 0, 2, 0, 3, 2, 3, 1, 3, 2, 0, 0  },
{ 0, 1, 3, 1, 1, 1, 3, 0, 1, 0, 1, 3, 3, 0, 0, 1, 1, 3, 2, 0, 2, 2, 0, 3, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1, 2, 0, 1, 3, 1, 0, 2, 1  },
{ 0, 1, 3, 1, 2, 0, 2, 0, 1, 0, 1, 1, 2, 2, 2, 1, 1, 2, 3, 0, 2, 0, 0, 2, 0, 0, 3, 0, 1, 2, 0, 0, 0, 1, 2, 0, 1, 3, 0, 2, 3, 0  },
{ 1, 3, 0, 1, 3, 1, 2, 3, 1, 0, 3, 0, 3, 1, 0, 0, 1, 3, 1, 2, 3, 2, 0, 2, 2, 2, 0, 0, 2, 3, 0, 0, 0, 1, 2, 0, 1, 2, 0, 1, 0, 0  },
{ 1, 0, 0, 1, 1, 0, 2, 1, 0, 3, 3, 3, 1, 0, 0, 0, 2, 0, 3, 0, 0, 3, 2, 0, 1, 1, 0, 3, 3, 2, 1, 0, 0, 2, 1, 0, 1, 0, 3, 1, 3, 1  },
{ 1, 1, 3, 0, 1, 0, 3, 0, 3, 1, 0, 1, 3, 0, 0, 1, 2, 0, 0, 2, 3, 2, 0, 3, 1, 0, 0, 0, 1, 0, 3, 0, 0, 1, 1, 0, 3, 2, 0, 2, 3, 0  },
{ 1, 0, 3, 1, 1, 0, 2, 0, 1, 0, 3, 1, 2, 1, 1, 0, 1, 0, 0, 1, 3, 0, 0, 2, 0, 3, 0, 3, 1, 1, 0, 1, 0, 1, 0, 2, 0, 1, 2, 0, 2, 1  },
{ 0, 1, 2, 1, 1, 1, 2, 0, 1, 2, 0, 2, 3, 2, 1, 1, 1, 0, 0, 2, 1, 0, 0, 2, 0, 3, 1, 0, 3, 3, 1, 0, 0, 1, 2, 2, 3, 0, 2, 0, 0, 0  },
{ 0, 3, 0, 1, 3, 1, 0, 3, 1, 1, 2, 2, 3, 2, 0, 0, 1, 3, 1, 3, 1, 2, 0, 1, 1, 1, 0, 0, 3, 1, 1, 0, 0, 2, 1, 2, 3, 0, 2, 1, 0, 0  },
{ 1, 0, 1, 2, 3, 3, 0, 3, 1, 0, 0, 1, 3, 3, 0, 0, 1, 3, 3, 3, 3, 1, 2, 0, 1, 1, 0, 0, 1, 2, 1, 0, 3, 2, 1, 1, 0, 2, 0, 1, 2, 0  },
{ 3, 1, 3, 3, 2, 2, 0, 3, 0, 1, 0, 0, 3, 2, 0, 2, 2, 0, 0, 2, 3, 2, 2, 1, 0, 0, 2, 0, 1, 2, 3, 0, 1, 0, 0, 0, 3, 2, 2, 1, 2, 0  },
{ 2, 1, 3, 0, 0, 3, 0, 1, 0, 1, 2, 3, 3, 1, 1, 0, 0, 1, 1, 0, 3, 1, 1, 2, 0, 0, 1, 3, 0, 3, 3, 3, 0, 2, 1, 2, 0, 3, 2, 3, 0, 0  },
{ 1, 3, 0, 1, 2, 0, 0, 3, 1, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 1, 0, 3, 0, 3, 1, 1, 0, 0, 1, 0, 1, 1, 2, 0, 2, 1, 3, 0, 2, 1, 1, 2  },
{ 1, 0, 1, 1, 2, 2, 3, 1, 0, 1, 2, 2, 0, 2, 1, 2, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 3, 1, 2, 1, 1, 0, 2, 1, 1, 0, 2, 0, 0, 1  },
{ 1, 0, 2, 0, 1, 2, 1, 2, 1, 0, 1, 1, 0, 3, 2, 0, 1, 2, 2, 0, 2, 0, 2, 2, 1, 0, 3, 2, 0, 2, 0, 0, 0, 2, 0, 3, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 3, 1, 1, 3, 3, 0, 1, 3, 2, 1, 2, 0, 2, 0, 0, 1, 3, 1, 0, 2, 1, 2, 0, 1, 3, 2, 0, 2, 0, 0, 2, 1, 2, 1, 0, 3, 0, 0, 2, 0  },
{ 1, 3, 0, 1, 1, 2, 0, 3, 1, 0, 3, 1, 0, 0, 2, 0, 1, 1, 0, 2, 0, 1, 2, 2, 3, 2, 3, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 3, 3, 0, 1, 0, 2, 1, 0, 0, 2, 0, 0, 3, 3, 2, 0, 0, 2, 2, 2, 1, 1, 3, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 3, 1, 0  },
{ 1, 0, 2, 1, 3, 0, 0, 2, 0, 1, 2, 3, 1, 2, 0, 2, 3, 3, 1, 2, 0, 2, 1, 2, 0, 0, 1, 1, 3, 2, 0, 0, 0, 2, 2, 1, 1, 0, 3, 3, 0, 0  },
{ 3, 1, 0, 1, 2, 2, 1, 2, 0, 1, 0, 2, 1, 0, 0, 3, 0, 1, 2, 3, 2, 1, 1, 2, 0, 0, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 1, 3, 0, 2, 0, 0  },
{ 1, 3, 0, 1, 0, 2, 3, 0, 1, 0, 3, 1, 3, 2, 2, 0, 3, 2, 2, 0, 2, 0, 3, 1, 2, 1, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 3, 1, 1, 0  },
{ 3, 1, 0, 0, 1, 3, 3, 3, 1, 1, 2, 3, 3, 0, 2, 0, 1, 1, 2, 2, 3, 2, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 0, 3, 0, 0, 1, 1, 0  },
{ 0, 2, 3, 1, 3, 0, 0, 0, 0, 2, 1, 2, 2, 0, 3, 2, 3, 0, 3, 1, 2, 2, 1, 2, 0, 2, 1, 3, 0, 2, 3, 0, 1, 1, 0, 3, 3, 0, 0, 1, 2, 3  },
{ 1, 1, 2, 2, 2, 0, 1, 3, 0, 1, 0, 2, 2, 0, 0, 1, 1, 2, 1, 0, 1, 2, 0, 2, 3, 0, 0, 0, 3, 2, 1, 0, 1, 0, 2, 0, 3, 0, 1, 3, 0, 0  },
{ 2, 0, 0, 1, 2, 3, 2, 1, 3, 3, 2, 3, 2, 0, 0, 0, 3, 0, 2, 1, 2, 1, 0, 2, 1, 1, 0, 1, 0, 2, 3, 0, 0, 2, 2, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 1, 2, 3, 3, 0, 3, 1, 2, 0, 2, 0, 1, 2, 3, 1, 0, 1, 0, 2, 3, 0, 0, 0, 0, 1, 2, 2, 0, 2, 2, 0, 1, 0, 1, 3, 1, 3, 2  },
{ 0, 2, 3, 1, 3, 0, 0, 0, 0, 0, 3, 1, 1, 2, 0, 1, 0, 1, 3, 3, 1, 1, 0, 1, 0, 0, 1, 2, 2, 2, 2, 0, 1, 2, 1, 0, 1, 3, 1, 1, 1, 1  },
{ 2, 0, 1, 0, 3, 0, 2, 1, 2, 1, 1, 1, 2, 1, 0, 1, 3, 2, 1, 0, 1, 2, 2, 2, 3, 0, 0, 0, 0, 0, 2, 3, 0, 0, 2, 2, 1, 2, 1, 0, 1, 2  },
{ 1, 2, 0, 1, 2, 1, 2, 1, 0, 1, 1, 1, 3, 3, 2, 2, 0, 2, 2, 0, 2, 0, 1, 2, 1, 2, 2, 3, 2, 2, 1, 2, 2, 0, 0, 2, 3, 3, 0, 0, 2, 0  },
{ 3, 1, 0, 1, 2, 1, 2, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 0, 2, 0, 2, 0, 2, 0, 1, 1, 1, 2, 0, 0, 2, 0, 0, 3, 0, 1, 3, 3, 2, 2, 1, 2  },
{ 1, 1, 3, 0, 0, 1, 2, 1, 1, 1, 0, 0, 3, 2, 1, 0, 0, 3, 2, 0, 2, 0, 2, 1, 0, 1, 1, 2, 2, 2, 0, 0, 2, 0, 3, 1, 3, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 0, 0, 3, 0, 3, 3, 1, 0, 1, 3, 0, 0, 2, 0, 2, 0, 3, 1, 0, 0, 2, 2, 0, 0, 2, 2, 3, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 3, 1, 3, 1, 2, 1, 3, 0, 1, 0, 3, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 2, 0, 0, 2, 0, 0, 1, 3, 2, 3, 2, 0, 0  },
{ 1, 1, 0, 3, 3, 3, 1, 2, 1, 1, 0, 0, 2, 1, 0, 3, 0, 0, 0, 2, 0, 2, 0, 3, 1, 1, 3, 0, 2, 1, 0, 0, 2, 2, 3, 1, 0, 2, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 3, 2, 1, 3, 0, 2, 1, 0, 2, 1, 3, 1, 3, 1, 2, 0, 0, 2, 0, 3, 0, 3, 0, 1, 0, 0, 0, 2, 2, 1, 2, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 3, 1, 1, 3, 3, 0, 3, 0, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 2, 0, 2, 1, 3, 1, 3, 0, 2, 3, 0, 0, 2, 0, 0, 1, 0, 3, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 0, 2, 1, 2, 0, 3, 1, 3, 0, 1, 0, 1, 0, 3, 0, 3, 0, 2, 0, 3, 1, 0, 0, 2, 1, 0, 0, 2, 2, 3, 1, 3, 3, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 3, 3, 2, 1, 0, 1, 0, 1, 2, 0, 1, 3, 1, 2, 0, 0, 3, 0, 2, 0, 3, 0, 1, 0, 2, 2, 0, 0, 0, 2, 0, 2, 1, 3, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 1, 3, 2, 1, 0, 3, 2, 3, 0, 2, 1, 1, 3, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 0, 0, 2, 0  },
{ 3, 1, 3, 0, 0, 0, 3, 3, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 2, 0, 2, 0, 3, 1, 3, 1, 0, 0, 3, 3, 0, 0, 2, 0, 3, 1, 3, 3, 3, 2, 0, 0  },
{ 1, 2, 0, 1, 2, 2, 0, 3, 0, 1, 0, 1, 3, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 1, 0, 0, 3, 1, 2, 0, 1, 3, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 3, 2, 2, 0, 1, 1, 2, 0, 3, 1, 0, 1, 3, 0, 1, 2, 2, 0, 0, 2, 0, 1, 0, 2, 0, 3, 0, 0, 0, 1, 2, 0, 3, 1, 3, 0, 2, 0  },
{ 1, 0, 3, 0, 1, 3, 2, 0, 1, 3, 0, 3, 3, 1, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 2, 0, 3, 3, 0, 0, 1, 0, 0, 1, 2, 0, 3, 1, 2, 0, 0, 0  },
{ 0, 0, 3, 0, 2, 0, 3, 1, 3, 3, 0, 2, 0, 1, 0, 0, 3, 2, 0, 0, 2, 1, 1, 3, 2, 3, 1, 0, 0, 2, 0, 0, 0, 1, 2, 0, 3, 1, 0, 0, 1, 0  },
{ 1, 1, 0, 1, 3, 0, 2, 1, 0, 2, 1, 0, 3, 0, 1, 0, 0, 1, 1, 0, 2, 0, 3, 0, 1, 1, 1, 0, 1, 3, 0, 3, 2, 1, 1, 0, 3, 2, 0, 2, 2, 1  },
{ 3, 1, 2, 0, 0, 0, 2, 1, 0, 1, 2, 3, 0, 0, 1, 0, 0, 1, 3, 2, 0, 2, 0, 3, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 2, 3, 1, 2, 0, 1, 2, 0  },
{ 0, 1, 0, 2, 1, 2, 0, 2, 1, 0, 1, 2, 3, 0, 0, 1, 0, 3, 0, 1, 3, 0, 2, 0, 2, 0, 1, 2, 0, 1, 0, 0, 0, 1, 2, 2, 3, 0, 2, 0, 1, 0  },
{ 0, 0, 0, 1, 1, 3, 0, 2, 1, 1, 2, 3, 1, 1, 0, 0, 0, 2, 0, 3, 2, 0, 2, 0, 0, 0, 1, 0, 0, 2, 2, 0, 2, 2, 1, 0, 1, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 1, 0, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 1, 0, 0, 2, 0, 0, 3, 0, 0, 3, 1, 1, 0, 1, 2, 1, 3, 2, 0, 1, 0, 2, 0  },
{ 2, 2, 3, 1, 1, 0, 3, 1, 0, 2, 0, 2, 3, 0, 0, 1, 0, 1, 1, 0, 2, 3, 2, 0, 2, 0, 2, 2, 1, 2, 3, 0, 1, 3, 0, 0, 3, 2, 0, 2, 1, 0  },
{ 1, 3, 0, 1, 1, 2, 0, 3, 0, 2, 1, 1, 1, 2, 1, 0, 0, 1, 2, 1, 0, 0, 3, 0, 0, 0, 3, 1, 0, 3, 3, 0, 0, 1, 1, 2, 0, 2, 0, 1, 2, 1  },
{ 1, 0, 3, 1, 2, 3, 0, 2, 1, 1, 2, 0, 2, 3, 0, 1, 1, 2, 0, 1, 3, 1, 3, 0, 2, 1, 0, 0, 3, 2, 1, 0, 0, 1, 2, 2, 0, 3, 1, 1, 0, 0  },
{ 3, 0, 0, 2, 1, 0, 0, 2, 1, 0, 0, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 3, 0, 0, 1, 1, 1, 1, 2, 1, 0, 1, 2, 2, 0, 2, 0, 1, 0, 0  },
{ 3, 1, 2, 1, 0, 1, 0, 1, 0, 1, 2, 2, 2, 3, 3, 1, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 3, 0, 2, 0, 0  },
{ 2, 1, 3, 1, 0, 1, 0, 2, 1, 1, 3, 3, 2, 0, 2, 0, 3, 0, 0, 2, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 1, 3, 0, 3, 1, 1, 2, 1, 3, 0, 2, 1, 1, 2, 0, 0, 3, 1, 0, 2, 0, 2, 0, 2, 1, 1, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 2, 1, 1, 3, 0, 1, 0, 2, 2, 0, 3, 1, 2, 1, 3, 0, 2, 2, 2, 0, 3, 1, 0, 3, 2, 0, 0, 2, 0, 0, 1, 1, 0, 3, 2, 0, 0  },
{ 1, 2, 0, 3, 1, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 2, 3, 3, 1, 3, 0, 0, 2, 2, 0, 1, 2, 2, 0, 2, 0, 0, 2, 2, 2, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 1, 3, 2, 1, 2, 0, 2, 0, 1, 0, 3, 1, 2, 0, 3, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 2, 1, 0, 1, 1, 1, 3, 0, 1, 0, 0, 3, 0, 1, 2, 0, 2, 2, 3, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 2, 1, 2, 3, 0, 1, 0  },
{ 1, 0, 2, 1, 1, 0, 3, 0, 0, 3, 1, 1, 2, 2, 0, 2, 1, 2, 3, 1, 0, 1, 1, 2, 0, 2, 1, 1, 3, 2, 0, 0, 0, 2, 0, 2, 1, 0, 1, 2, 0, 0  },
{ 1, 3, 3, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 2, 3, 2, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0  },
{ 2, 0, 2, 1, 2, 3, 3, 1, 1, 3, 0, 2, 1, 0, 2, 0, 0, 1, 0, 2, 3, 0, 0, 2, 2, 0, 3, 1, 0, 2, 0, 0, 1, 2, 0, 3, 1, 3, 0, 1, 1, 0  },
{ 1, 0, 3, 1, 2, 1, 0, 0, 0, 2, 2, 1, 1, 0, 0, 2, 0, 0, 0, 2, 2, 1, 1, 3, 0, 0, 2, 2, 1, 2, 2, 0, 2, 2, 0, 1, 0, 0, 0, 1, 1, 0  },
{ 3, 1, 2, 3, 1, 3, 1, 0, 0, 1, 3, 0, 1, 2, 0, 2, 0, 1, 2, 2, 1, 1, 1, 2, 0, 1, 2, 0, 2, 2, 2, 0, 0, 2, 0, 1, 0, 0, 0, 3, 0, 0  },
{ 2, 3, 2, 1, 0, 0, 3, 2, 0, 1, 1, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 1, 1, 2, 3, 1, 2, 3, 0, 2, 0, 0, 0, 0, 0, 2, 2, 1, 0, 1, 2, 0  },
{ 2, 1, 0, 0, 0, 2, 1, 3, 1, 1, 0, 2, 0, 2, 0, 2, 0, 2, 3, 3, 0, 1, 2, 2, 2, 1, 2, 2, 0, 2, 2, 0, 1, 0, 0, 2, 3, 1, 0, 2, 1, 0  },
{ 2, 1, 2, 0, 0, 1, 1, 0, 0, 0, 0, 2, 1, 2, 1, 1, 1, 3, 0, 0, 3, 1, 2, 1, 0, 0, 1, 2, 0, 2, 2, 0, 0, 2, 0, 2, 0, 0, 0, 1, 1, 3  },
{ 2, 1, 2, 2, 0, 0, 0, 2, 1, 2, 2, 0, 1, 2, 0, 1, 1, 0, 1, 0, 1, 1, 0, 2, 1, 3, 1, 2, 0, 0, 2, 3, 0, 1, 2, 2, 1, 2, 1, 1, 2, 2  },
{ 2, 2, 1, 0, 0, 2, 3, 1, 0, 1, 3, 0, 0, 1, 0, 3, 2, 1, 2, 1, 2, 0, 0, 2, 1, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 3, 1, 3, 0, 1, 3, 0  },
{ 0, 1, 3, 2, 0, 0, 2, 0, 1, 1, 1, 0, 1, 0, 1, 0, 0, 3, 0, 0, 2, 0, 2, 1, 2, 1, 1, 3, 0, 0, 2, 0, 0, 0, 3, 1, 3, 2, 2, 2, 0, 2  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 3, 1, 1, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 0, 1, 1, 1, 2, 3, 0, 2, 2, 1, 1, 1, 3, 2, 3, 2, 0, 0  },
{ 1, 1, 0, 1, 1, 2, 0, 2, 1, 1, 2, 1, 0, 1, 3, 0, 1, 0, 1, 2, 0, 2, 0, 2, 1, 1, 3, 1, 2, 0, 0, 0, 2, 2, 2, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 1, 2, 1, 3, 0, 2, 0, 1, 0, 2, 1, 3, 1, 0, 0, 2, 0, 2, 1, 3, 0, 1, 0, 2, 0, 0, 0, 0, 2, 1, 3, 1, 2, 1, 2, 0, 0  },
{ 3, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 3, 0, 0, 2, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 3, 2, 0, 1, 1, 3, 2, 3, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 3, 2, 1, 1, 3, 1, 0, 0, 0, 1, 1, 0, 1, 2, 0, 2, 0, 3, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 2, 1, 3, 2, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 1, 2, 1, 2, 1, 0, 0, 3, 2, 0, 1, 0, 3, 1, 0, 0, 3, 0, 2, 0, 3, 0, 1, 0, 2, 0, 0, 0, 1, 2, 3, 0, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 0, 0, 0, 0, 2, 2, 1, 3, 2, 1, 3, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 0, 3, 2, 1, 0, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 0, 0, 2, 0, 0, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 3, 1, 1, 0, 2, 0, 0, 3, 0, 2, 0, 0, 1, 3, 2, 0, 2, 2, 0  },
{ 1, 1, 0, 3, 3, 1, 3, 0, 0, 1, 1, 1, 2, 0, 1, 0, 1, 0, 2, 0, 3, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 2, 2, 3, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 2, 2, 0, 0, 2, 0, 2, 1, 0, 1, 0, 1, 3, 0, 1, 2, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 0, 1, 2, 2, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 0, 2, 1, 3, 2, 2, 1, 0, 1, 2, 0, 1, 0, 0, 0, 3, 0, 3, 2, 0, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0  },
{ 1, 1, 0, 3, 1, 1, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 3, 1, 1, 1, 0, 0, 0, 3, 0, 0, 2, 0, 0, 3, 2, 0, 2, 2, 1  },
{ 1, 1, 3, 0, 3, 2, 3, 0, 1, 1, 2, 0, 1, 1, 0, 1, 0, 1, 1, 2, 0, 2, 0, 3, 0, 1, 2, 0, 0, 2, 1, 0, 3, 1, 2, 0, 3, 2, 0, 2, 1, 0  },
{ 2, 2, 0, 2, 1, 0, 2, 1, 0, 2, 0, 2, 1, 0, 1, 0, 1, 2, 2, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 1, 2, 0, 3, 0, 2, 0, 1, 0  },
{ 1, 0, 0, 0, 1, 2, 2, 2, 0, 0, 1, 2, 1, 0, 1, 3, 0, 1, 0, 3, 1, 3, 1, 0, 2, 0, 1, 0, 0, 2, 3, 0, 0, 1, 2, 0, 2, 0, 3, 0, 0, 0  },
{ 1, 0, 2, 1, 2, 2, 0, 2, 2, 1, 0, 0, 1, 1, 0, 0, 0, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 1, 3, 1, 2, 1, 0, 0, 1, 0  },
{ 3, 0, 0, 1, 2, 0, 3, 1, 0, 2, 0, 2, 0, 0, 0, 1, 0, 2, 1, 2, 3, 1, 0, 1, 1, 0, 1, 0, 0, 2, 3, 0, 1, 2, 1, 0, 3, 2, 0, 1, 2, 0  },
{ 3, 2, 3, 0, 1, 3, 0, 3, 0, 1, 0, 2, 2, 0, 0, 1, 1, 0, 2, 0, 3, 0, 0, 2, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0, 1, 2, 0, 1, 2, 1, 1, 0  },
{ 1, 0, 3, 1, 0, 0, 1, 3, 0, 1, 2, 3, 0, 2, 1, 0, 0, 1, 0, 3, 2, 1, 0, 2, 0, 0, 1, 0, 2, 1, 3, 0, 0, 0, 2, 2, 0, 2, 0, 1, 0, 0  },
{ 1, 2, 3, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 1, 2, 0, 3, 0, 1, 2, 2, 0, 2, 1, 1, 0, 2, 2, 0, 1, 0, 1, 0, 2, 2, 0, 3, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 1, 3, 0, 3, 1, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 1, 1, 1, 1, 3, 2, 2, 0, 0, 2, 0, 2, 1, 0, 2, 0, 0, 0, 0  },
{ 1, 2, 1, 0, 0, 1, 2, 0, 1, 1, 3, 1, 0, 0, 0, 3, 0, 2, 1, 2, 0, 2, 0, 1, 3, 1, 1, 1, 2, 0, 0, 0, 2, 2, 1, 2, 3, 1, 2, 0, 0, 0  },
{ 1, 0, 3, 1, 3, 1, 2, 1, 2, 1, 2, 1, 0, 2, 1, 1, 1, 0, 1, 2, 0, 0, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 3, 1, 2, 0, 0, 0  },
{ 1, 3, 0, 0, 0, 0, 0, 0, 1, 1, 3, 3, 0, 0, 0, 2, 2, 0, 1, 2, 0, 2, 2, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 0, 1, 2, 0, 0  },
{ 3, 1, 2, 1, 0, 0, 2, 0, 1, 1, 3, 0, 1, 2, 1, 3, 0, 3, 1, 0, 2, 0, 2, 0, 3, 1, 3, 0, 2, 0, 0, 0, 2, 2, 1, 0, 0, 2, 1, 2, 0, 0  },
{ 3, 1, 2, 0, 0, 1, 0, 0, 1, 1, 1, 2, 2, 2, 1, 3, 3, 0, 2, 1, 2, 0, 2, 0, 2, 0, 0, 1, 3, 0, 0, 0, 1, 2, 1, 2, 1, 2, 3, 2, 0, 0  },
{ 2, 1, 3, 3, 0, 3, 2, 0, 0, 2, 1, 0, 0, 2, 1, 0, 1, 3, 0, 1, 2, 0, 2, 0, 2, 2, 1, 0, 0, 2, 0, 0, 1, 2, 1, 2, 1, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 2, 2, 0, 1, 1, 3, 1, 0, 3, 0, 2, 2, 3, 2, 2, 0, 2, 1, 0, 2, 1, 0, 0, 2, 2, 0, 0, 3, 2, 1, 1, 3, 2, 1, 0, 0, 0  },
{ 1, 0, 2, 1, 2, 0, 1, 1, 1, 1, 2, 1, 0, 0, 0, 3, 2, 3, 0, 0, 0, 2, 1, 2, 0, 1, 2, 2, 2, 2, 0, 0, 0, 0, 2, 0, 0, 3, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 2, 0, 1, 3, 1, 1, 0, 0, 0, 1, 0, 0, 2, 1, 0, 3, 1, 0, 2, 2, 2, 1, 2, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 1, 2, 0, 0  },
{ 1, 2, 1, 3, 0, 3, 1, 2, 1, 0, 3, 0, 3, 2, 0, 0, 2, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 0, 1, 3, 0, 2, 0  },
{ 1, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 2, 0, 2, 3, 1, 0, 2, 0, 1, 1, 3, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 0, 0  },
{ 1, 3, 1, 1, 0, 2, 2, 1, 2, 3, 1, 2, 0, 0, 0, 2, 2, 0, 3, 3, 2, 1, 1, 2, 2, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3, 0  },
{ 3, 2, 1, 2, 1, 2, 0, 2, 2, 1, 2, 2, 3, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 1, 1, 1, 3, 2, 2, 0, 0, 1, 0, 1, 2, 2, 0, 0, 2, 0  },
{ 1, 2, 1, 1, 1, 0, 1, 1, 2, 2, 0, 2, 0, 3, 0, 0, 2, 0, 2, 2, 2, 0, 1, 1, 1, 0, 1, 0, 1, 2, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 1, 0  },
{ 1, 1, 1, 2, 0, 3, 1, 1, 2, 2, 0, 2, 0, 0, 0, 1, 1, 1, 0, 1, 3, 2, 1, 1, 0, 1, 2, 2, 1, 2, 1, 1, 1, 2, 2, 0, 0, 0, 0, 3, 3, 0  },
{ 3, 1, 1, 1, 3, 2, 3, 2, 2, 0, 1, 1, 0, 3, 0, 1, 1, 3, 1, 3, 2, 0, 2, 1, 0, 2, 2, 0, 2, 0, 1, 1, 1, 2, 0, 1, 0, 1, 1, 1, 1, 2  },
{ 1, 0, 0, 0, 1, 2, 3, 0, 3, 1, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 2, 1, 0, 1, 1, 1, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0, 2, 2, 0  },
{ 3, 2, 2, 2, 3, 1, 2, 1, 1, 1, 0, 1, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 1, 2, 0, 2, 0, 0, 0, 1, 2, 3, 2, 2, 2, 0, 2  },
{ 3, 1, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 3, 2, 3, 2, 0, 2  },
{ 1, 2, 3, 0, 1, 0, 1, 0, 3, 0, 2, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 3, 0, 1, 2, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 2, 0, 0, 1, 1, 0, 3, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 3, 3, 2, 2, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 0, 2, 0, 1, 2, 1, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 0, 3, 1, 1, 1, 0, 2, 0, 0, 0, 2, 2, 1, 2, 1, 2, 3, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 0, 1, 0, 1, 2, 1, 2, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 2, 3, 1, 2, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 0, 2, 0, 1, 3, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 3, 1, 1, 0, 0, 0, 2, 2, 0, 0, 2, 0, 1, 3, 2, 3, 0, 2, 0  },
{ 2, 1, 1, 0, 1, 3, 3, 0, 0, 0, 3, 1, 2, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 3, 1, 0, 1, 3, 2, 0, 0, 0, 2, 2, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 3, 0, 1, 2, 2, 0, 3, 0, 1, 1, 2, 0, 1, 0, 3, 1, 0, 2, 2, 0, 2, 0, 2, 1, 0, 1, 1, 0, 0, 0, 2, 2, 0, 3, 1, 2, 1, 2, 0, 0  },
{ 2, 1, 0, 2, 0, 1, 0, 2, 1, 1, 1, 1, 2, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 2, 3, 0, 0, 2, 0, 0, 1, 2, 0, 3, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 2, 0, 3, 2, 1, 1, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 0, 0, 2, 0, 1, 3, 2, 0, 2, 2, 0  },
{ 1, 1, 2, 0, 1, 3, 0, 2, 0, 0, 0, 1, 3, 0, 1, 0, 1, 2, 0, 0, 2, 0, 2, 0, 1, 2, 1, 0, 0, 2, 0, 0, 0, 2, 2, 1, 2, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 0, 1, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 2, 2, 2, 2, 0, 1, 0, 2, 0, 0  },
{ 3, 0, 0, 2, 1, 2, 0, 2, 0, 0, 1, 0, 3, 0, 1, 0, 3, 1, 2, 3, 2, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0, 2, 0  },
{ 1, 2, 1, 0, 2, 2, 2, 2, 0, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 1, 2, 2, 3, 2, 2, 0, 2, 0, 0, 1, 0, 1, 2, 1, 1, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 1, 1, 1, 2, 0, 0, 2, 0, 0, 2, 2, 1, 3, 2, 0, 2, 2, 1  },
{ 3, 1, 2, 0, 1, 2, 1, 2, 0, 3, 2, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 3, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 2, 2, 1, 2, 1, 0, 2, 0  },
{ 1, 0, 0, 0, 3, 2, 2, 0, 0, 1, 2, 0, 2, 0, 1, 0, 1, 2, 0, 0, 3, 2, 0, 2, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 2, 2, 0, 2, 0, 2, 0, 0  },
{ 1, 2, 1, 0, 3, 1, 1, 3, 0, 1, 0, 0, 0, 1, 0, 1, 1, 2, 0, 0, 2, 3, 0, 0, 2, 0, 0, 1, 0, 2, 1, 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0  },
{ 1, 2, 1, 2, 2, 0, 0, 2, 0, 2, 1, 2, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 2, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0  },
{ 3, 1, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 2, 2, 2, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 0, 0, 2, 3, 0, 2, 0, 2, 1, 2, 0  },
{ 3, 1, 0, 1, 0, 1, 3, 2, 1, 1, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 3, 1, 2, 0, 2, 3, 0, 1, 0, 1, 2, 3, 0, 1, 0, 1, 0  },
{ 1, 1, 1, 1, 2, 0, 0, 2, 1, 1, 2, 1, 2, 0, 1, 0, 1, 2, 1, 3, 1, 0, 1, 2, 0, 0, 1, 2, 0, 3, 0, 2, 1, 0, 1, 2, 1, 2, 0, 1, 0, 0  },
{ 2, 1, 2, 1, 3, 1, 3, 0, 0, 2, 0, 2, 1, 0, 1, 2, 2, 1, 0, 0, 0, 1, 1, 0, 2, 0, 1, 3, 0, 0, 1, 1, 1, 0, 2, 0, 0, 3, 0, 1, 2, 0  },
{ 0, 1, 2, 1, 0, 1, 0, 3, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 2, 1, 2, 0, 2  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 1, 0, 0, 0, 0, 1, 0, 3, 1, 2, 1, 0, 0, 2, 0, 0, 1, 0, 2, 1, 2, 0, 0, 2, 2, 0, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 2, 1, 2, 2, 1, 0, 2, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 1, 3, 2, 3, 0, 0, 0, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 2, 1, 0, 3, 1, 2, 0, 2, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 0, 2, 2, 1, 3, 0, 3, 1, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 1, 0, 1, 3, 1, 1, 2, 2, 0, 2, 0, 2, 2, 0, 2, 0, 2, 0, 0, 1, 2, 1, 0, 0, 0, 0, 2, 2, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 1, 0, 1, 3, 1, 2, 0, 1, 2, 0, 0, 1, 2, 2, 0, 2, 0, 1, 2, 3, 0, 0, 0, 0, 0, 2, 2, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 3, 3, 0, 1, 0, 1, 1, 2, 3, 1, 2, 0, 0, 1, 1, 0, 1, 0, 2, 0, 2, 2, 0, 2, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 1, 3, 1, 2, 0, 0  },
{ 0, 0, 3, 0, 0, 1, 2, 0, 1, 3, 2, 0, 0, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 0, 3, 2, 0, 0, 2, 2, 0, 2, 2, 0, 2, 2, 1, 2, 1, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 3, 0, 2, 0, 2, 2, 3, 0, 0, 1, 0, 3, 1, 1, 1, 0, 0, 0, 0, 2, 2, 1, 1, 0, 0, 2, 0, 0, 0  },
{ 1, 3, 0, 1, 2, 2, 0, 2, 1, 1, 1, 2, 0, 3, 1, 0, 0, 2, 0, 1, 2, 0, 2, 2, 0, 2, 0, 1, 0, 0, 0, 0, 1, 2, 2, 2, 1, 0, 3, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 2, 1, 2, 2, 3, 0, 2, 0, 0, 2, 2, 1, 2, 0, 3, 0, 1, 2, 0, 1, 3, 0, 2, 0, 0, 0, 1, 2, 2, 1, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 3, 1, 3, 3, 0, 2, 2, 2, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 2, 0, 2, 2, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 3, 0, 2, 2, 2, 0, 3, 0, 1, 0, 2, 2, 0, 1, 1, 1, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 1, 2, 2, 0, 0, 0, 0, 0, 1, 0  },
{ 1, 0, 3, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 2, 1, 1, 1, 0, 1, 1, 2, 2, 3, 0, 0, 2, 2, 0, 0, 1, 0, 1, 0, 1, 2, 1, 0, 0, 0  },
{ 0, 1, 0, 1, 2, 2, 2, 1, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 1, 2, 1, 1, 2, 0, 2, 2, 1, 0, 0, 2, 0, 0, 2, 3, 1, 1, 0, 0, 3, 0, 0  },
{ 0, 0, 1, 2, 2, 1, 2, 0, 1, 2, 1, 0, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 1, 2, 2, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0, 1, 3, 2, 0, 0, 2, 0  },
{ 2, 1, 1, 0, 1, 2, 2, 0, 3, 0, 0, 1, 2, 0, 2, 1, 2, 3, 2, 0, 2, 1, 1, 0, 0, 0, 3, 0, 2, 0, 0, 0, 1, 2, 1, 1, 1, 1, 1, 1, 1, 2  },
{ 1, 0, 1, 0, 2, 2, 1, 1, 2, 1, 0, 3, 3, 2, 0, 0, 0, 3, 2, 0, 1, 2, 1, 0, 0, 2, 2, 1, 0, 2, 1, 1, 2, 2, 0, 1, 0, 0, 1, 3, 0, 0  },
{ 2, 1, 0, 1, 2, 0, 0, 1, 2, 1, 1, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 2, 1, 2, 1, 1, 0, 0, 0, 2, 3, 0, 0, 1, 1, 3, 2, 0, 2, 0, 2  },
{ 3, 1, 0, 1, 2, 0, 0, 0, 2, 1, 1, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 2, 1, 3, 1, 2, 0, 0, 0, 2, 0, 0, 0, 1, 1, 2, 2, 0, 2, 0, 2  },
{ 0, 1, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 3, 1, 2, 1, 2, 0, 0, 2, 0, 2, 1, 2, 2, 1, 2, 2, 0, 0  },
{ 2, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0, 1, 1, 0, 1, 0, 3, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 2, 1, 2, 2, 1, 3, 2, 0, 2  },
{ 0, 1, 3, 0, 0, 2, 1, 0, 2, 2, 1, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 1, 1, 1, 0, 1, 2, 0, 0, 2, 0, 2, 3, 1, 2, 3, 1, 2, 0, 0  },
{ 0, 1, 2, 3, 1, 2, 1, 0, 1, 0, 3, 1, 2, 0, 0, 1, 1, 2, 1, 0, 2, 0, 0, 2, 0, 0, 1, 0, 3, 0, 2, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0  },
{ 3, 1, 3, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 0, 2, 2, 0, 0, 2, 1, 2, 2, 1, 2, 1, 2, 2  },
{ 3, 0, 0, 1, 0, 0, 0, 3, 0, 2, 1, 0, 0, 0, 1, 0, 2, 1, 2, 0, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 3, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 2, 0, 1, 1, 2, 0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 3, 1, 0, 2, 0, 0, 2, 1, 1, 0, 1, 2, 0, 2, 0, 0, 2, 0, 2, 3, 1, 1, 2, 0, 0  },
{ 2, 1, 0, 1, 2, 1, 2, 0, 0, 0, 1, 1, 2, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 2, 1, 2, 1, 2, 0, 0, 0, 2, 2, 3, 1, 1, 0, 0, 2, 0, 0  },
{ 3, 1, 2, 0, 2, 1, 2, 0, 0, 2, 1, 2, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 2, 2, 0, 2, 0  },
{ 2, 0, 1, 0, 2, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 3, 3, 1, 0, 0, 2, 0, 2, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 2, 2, 1, 2, 0, 0, 2, 0, 0  },
{ 0, 1, 3, 0, 0, 2, 1, 2, 0, 1, 1, 0, 1, 0, 1, 0, 2, 1, 3, 0, 2, 0, 0, 3, 0, 2, 1, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 2, 0, 2, 0, 0  },
{ 2, 0, 0, 2, 1, 2, 2, 3, 0, 1, 1, 2, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0, 0, 0, 2, 2, 0, 1, 2, 0, 3, 3, 1, 0, 0, 2, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 1, 0, 1, 2, 2, 0, 0, 2, 1, 1, 1, 2, 2, 2, 0, 1, 1, 2, 0, 0, 0, 1, 0, 1, 0  },
{ 0, 2, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 3, 3, 2, 0, 2, 0  },
{ 2, 1, 0, 0, 2, 0, 0, 1, 0, 0, 2, 0, 0, 2, 1, 0, 1, 2, 0, 1, 2, 1, 0, 2, 0, 1, 0, 2, 0, 0, 0, 2, 1, 2, 0, 2, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 1, 0, 1, 0, 0, 1, 3, 2, 1, 0, 2, 1, 0, 2, 0, 3, 1, 0, 0, 0, 2, 0, 0, 2, 2, 0, 0, 0, 1, 0, 2, 0  },
{ 1, 0, 1, 1, 1, 2, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0, 2, 2, 3, 1, 0, 1, 0, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 0, 0, 0, 1, 2, 0  },
{ 0, 2, 1, 3, 2, 2, 0, 3, 0, 0, 1, 2, 2, 1, 0, 0, 1, 1, 1, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 1, 2, 1, 1, 0, 2, 0, 1, 0  },
{ 0, 1, 0, 0, 2, 3, 1, 1, 1, 0, 0, 0, 0, 2, 2, 2, 0, 1, 1, 0, 0, 3, 0, 1, 0, 3, 3, 1, 2, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0  },
{ 1, 1, 2, 0, 0, 3, 2, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 2, 3, 0, 1, 2, 0, 0, 1, 2, 0, 1, 0, 1, 2, 0, 1, 0, 0, 1, 3, 0, 2, 1, 2, 0  },
{ 1, 2, 1, 2, 0, 2, 3, 0, 2, 2, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 1, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 1, 0, 0, 1, 2, 0, 1, 0, 1, 1, 0  },
{ 0, 2, 0, 0, 1, 1, 1, 2, 1, 1, 2, 0, 1, 2, 1, 0, 1, 2, 0, 1, 2, 0, 1, 1, 0, 0, 1, 2, 1, 3, 0, 1, 2, 0, 2, 2, 1, 1, 1, 0, 0, 0  },
{ 0, 0, 1, 2, 1, 0, 1, 0, 2, 2, 1, 1, 2, 0, 2, 3, 0, 1, 1, 0, 2, 3, 2, 1, 0, 0, 0, 2, 2, 2, 1, 1, 1, 0, 2, 1, 0, 0, 2, 0, 1, 0  },
{ 2, 1, 2, 1, 1, 2, 1, 1, 2, 0, 1, 1, 2, 0, 1, 0, 2, 1, 0, 3, 0, 0, 2, 1, 3, 1, 1, 0, 2, 0, 2, 1, 0, 0, 1, 3, 2, 2, 0, 2, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 1, 3, 0, 3, 2, 1, 0, 0, 2, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 2, 1, 3, 1, 3, 2, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 2, 1, 0, 2, 2, 1, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 2, 3, 2, 1, 2, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 3, 0, 1, 2, 0, 0, 0, 0, 2, 2, 3, 0, 1, 3, 1, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 3, 0, 0, 1, 0, 1, 3, 0, 0, 3, 1, 2, 0, 1, 2, 0, 0, 2, 2, 1, 1, 2, 1, 0, 0, 2, 0, 0, 2, 0, 2, 3, 1, 1, 2, 0, 0  },
{ 1, 1, 0, 3, 2, 3, 0, 0, 1, 2, 1, 1, 0, 0, 2, 0, 1, 2, 1, 2, 0, 0, 2, 2, 3, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 2, 1, 2, 0, 0, 0  },
{ 0, 0, 1, 3, 3, 2, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 0, 0, 1, 2, 2, 1, 1, 0, 1, 2, 0, 0, 0  },
{ 3, 1, 1, 0, 2, 2, 0, 1, 1, 1, 0, 1, 2, 0, 0, 2, 2, 0, 1, 0, 2, 0, 0, 2, 1, 2, 2, 1, 0, 0, 2, 0, 0, 2, 1, 0, 0, 1, 2, 2, 0, 0  },
{ 0, 1, 0, 0, 2, 0, 2, 1, 0, 0, 1, 1, 0, 2, 0, 2, 1, 2, 3, 2, 3, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 0, 0  },
{ 2, 0, 1, 1, 2, 0, 0, 1, 3, 1, 0, 2, 0, 0, 2, 0, 2, 3, 0, 2, 1, 0, 2, 2, 0, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 0  },
{ 2, 0, 0, 1, 1, 1, 1, 0, 0, 3, 1, 2, 1, 0, 0, 2, 2, 1, 1, 2, 2, 0, 0, 2, 0, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 1, 3, 1, 0, 0, 0  },
{ 2, 1, 1, 2, 2, 1, 3, 2, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 3, 0, 2, 0, 0, 2, 2, 3, 0, 2, 0, 2, 2, 0, 1, 2, 0, 2, 0, 1, 0, 1, 0, 0  },
{ 0, 0, 0, 2, 1, 3, 0, 1, 0, 0, 1, 1, 0, 0, 3, 0, 1, 2, 1, 1, 0, 2, 0, 1, 1, 3, 1, 3, 0, 0, 2, 0, 0, 2, 0, 2, 2, 0, 1, 1, 1, 0  },
{ 0, 3, 0, 1, 1, 2, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0, 3, 3, 2, 2, 2, 0, 2, 2, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 1, 2, 0  },
{ 1, 1, 0, 0, 1, 1, 2, 2, 2, 1, 2, 1, 1, 0, 0, 2, 0, 1, 1, 0, 2, 0, 1, 2, 2, 2, 0, 2, 3, 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 1, 0, 3, 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 1, 2, 0, 0, 1, 1, 0, 0, 1, 3, 2, 2, 1, 0, 0, 2, 0, 0, 1, 3, 1, 1, 0, 0  },
{ 1, 3, 0, 0, 0, 3, 0, 0, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 3, 2, 1, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 1, 2, 1, 0  },
{ 3, 1, 2, 2, 2, 3, 0, 0, 2, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 2, 1, 0, 2, 0, 0, 2, 0, 3, 2, 2, 0, 0, 0, 1, 1, 1, 1, 2, 0, 0, 0  },
{ 2, 1, 0, 0, 2, 0, 1, 1, 0, 1, 1, 0, 3, 3, 2, 1, 1, 0, 1, 1, 3, 0, 0, 1, 2, 1, 3, 1, 2, 3, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 3, 2  },
{ 2, 1, 1, 0, 1, 1, 1, 0, 2, 1, 1, 3, 2, 1, 1, 0, 0, 1, 1, 2, 2, 2, 0, 1, 1, 3, 1, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 0, 0, 1, 0  },
{ 1, 0, 3, 0, 1, 2, 0, 3, 1, 0, 2, 0, 0, 1, 3, 0, 1, 3, 1, 0, 0, 2, 1, 1, 3, 1, 0, 1, 2, 0, 2, 0, 2, 3, 2, 1, 2, 2, 0, 0, 0, 2  },
{ 0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 2, 0, 0, 3, 0, 0, 2, 0, 1, 0, 0, 3, 1, 0, 1, 1, 0, 0, 2, 0, 2, 2, 0, 2, 2, 1, 2, 2, 0, 0, 0, 2  },
{ 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 3, 2, 2, 1, 2, 1, 2, 0, 2, 2, 0, 2, 1, 2, 1, 0, 0, 0, 0, 2  },
{ 0, 1, 2, 1, 0, 1, 0, 1, 2, 1, 0, 1, 0, 2, 1, 2, 2, 0, 1, 2, 0, 2, 1, 0, 1, 1, 3, 1, 2, 0, 2, 0, 2, 0, 0, 1, 2, 2, 0, 0, 0, 2  },
{ 2, 1, 2, 0, 1, 0, 0, 0, 3, 1, 2, 1, 2, 0, 1, 1, 1, 0, 1, 0, 0, 3, 0, 2, 3, 0, 0, 0, 2, 0, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 0, 2, 1, 1, 1, 2, 0, 0, 2, 2, 2, 1, 3, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 1, 2, 3, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 2, 1, 0, 3, 2, 2, 0, 2, 2  },
{ 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 2, 0, 2, 1, 1, 2, 3, 3, 0, 0, 2, 2, 0, 2, 3, 2, 2, 1, 2, 0, 0  },
{ 0, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 2, 1, 1, 0, 0, 0, 2, 0, 0, 3, 3, 0, 2, 0, 0, 2, 2, 2, 2, 2, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 2, 1, 3, 0, 0, 1, 0, 0, 2, 2, 2, 0, 0, 0, 1, 1, 1, 0, 0  },
{ 3, 1, 0, 2, 0, 3, 2, 0, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 1, 0, 1, 1, 2, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 2, 2, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 2, 0, 0, 0, 2, 0, 2, 0, 3, 1, 3, 1, 2, 0, 0  },
{ 0, 0, 1, 0, 3, 0, 0, 2, 1, 1, 3, 0, 0, 0, 1, 0, 1, 3, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 3, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 3, 0, 1  },
{ 0, 1, 2, 1, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 2, 1, 2, 3, 0, 0, 1, 0, 2, 0, 0  },
{ 2, 0, 1, 1, 2, 0, 2, 1, 1, 1, 3, 3, 2, 0, 1, 1, 0, 3, 0, 0, 2, 0, 2, 0, 1, 2, 1, 3, 3, 1, 1, 0, 0, 2, 1, 0, 0, 1, 0, 0, 3, 0  },
{ 1, 0, 2, 1, 0, 3, 0, 3, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 1, 3, 0, 1, 0, 0, 0, 3, 0, 2, 0, 0, 0, 2, 0, 3, 2, 0, 2, 0  },
{ 2, 0, 1, 2, 3, 2, 2, 0, 1, 0, 0, 3, 1, 0, 2, 2, 0, 2, 1, 0, 1, 0, 2, 1, 2, 1, 0, 0, 2, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 2, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 3, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 0, 0, 3, 0, 3, 0, 0, 0, 2, 0, 1, 1, 2, 0, 0, 2, 0, 0, 2, 0  },
{ 0, 2, 2, 0, 1, 0, 3, 0, 0, 0, 0, 2, 1, 0, 1, 0, 1, 0, 0, 1, 2, 3, 0, 0, 1, 1, 1, 3, 1, 0, 0, 2, 0, 2, 3, 2, 0, 0, 0, 2, 0, 0  },
{ 2, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 1, 1, 0, 2, 0, 1, 1, 0, 0, 2, 2, 0, 1, 0  },
{ 0, 2, 1, 0, 2, 1, 2, 1, 1, 0, 2, 3, 1, 0, 3, 1, 0, 1, 1, 0, 3, 0, 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 1, 0, 1, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 2, 1, 2, 0, 2, 1, 2, 0, 2, 0, 1, 1, 1, 0, 0, 0, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 0, 1, 2, 1, 0, 0, 1, 2, 3, 0, 1, 1, 1, 0  },
{ 0, 2, 0, 0, 0, 1, 2, 2, 1, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 3, 0, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 0, 3, 1, 0, 0  },
{ 0, 1, 1, 1, 0, 0, 1, 2, 0, 1, 2, 2, 1, 2, 0, 2, 1, 3, 0, 0, 2, 0, 0, 0, 1, 2, 3, 0, 1, 1, 1, 0, 1, 1, 2, 2, 0, 1, 2, 3, 1, 0  },
{ 1, 3, 0, 3, 1, 0, 0, 2, 1, 0, 2, 0, 0, 2, 0, 3, 1, 3, 1, 0, 0, 0, 3, 1, 2, 2, 0, 1, 2, 0, 2, 2, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2  },
{ 2, 1, 0, 2, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 3, 0, 3, 1, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 3, 0, 2, 1, 3, 0, 0, 0, 2  },
{ 1, 1, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 1, 0, 2, 1, 0, 0, 0, 3, 3, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 2, 0, 1, 0, 2, 1, 1, 2, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 2, 3, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 0, 0, 0  },
{ 3, 0, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 3, 1, 0, 0, 0, 2, 3, 2, 1, 0, 1, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 1, 2, 1, 0, 1, 2, 1, 0, 1, 0, 2, 0, 1, 2, 1, 2, 2, 0, 2, 2, 1, 0, 2, 2, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 2, 0  },
{ 0, 0, 0, 2, 1, 2, 0, 1, 1, 2, 1, 0, 1, 0, 2, 0, 0, 3, 0, 2, 2, 0, 2, 2, 3, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 2, 2, 1, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 2, 0, 0, 2, 1, 0, 1, 0, 2, 2, 0, 0  },
{ 1, 3, 1, 0, 0, 2, 0, 0, 3, 1, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 1, 2, 0, 1, 1, 0, 1, 0, 0, 1, 2, 2, 2, 2, 0, 1, 3, 1, 0, 0  },
{ 3, 0, 1, 3, 1, 2, 2, 2, 1, 3, 2, 2, 1, 0, 2, 0, 2, 1, 1, 0, 2, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 1, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 2, 2, 1, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 2, 3, 0, 1, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 1, 2, 1, 1, 2, 2, 1, 0, 0, 2, 2, 1, 2, 1, 2, 2, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 2, 2, 3, 1, 0, 1, 2, 2, 0, 2, 3, 0, 0, 1, 1, 1, 1, 0, 0  },
{ 1, 0, 0, 2, 0, 2, 2, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 0, 2, 2, 1, 2, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 0  },
{ 1, 1, 1, 1, 0, 3, 0, 0, 0, 0, 1, 2, 2, 1, 0, 0, 3, 2, 2, 0, 2, 0, 1, 2, 1, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 3, 1, 2, 2  },
{ 2, 1, 0, 1, 2, 1, 0, 0, 0, 0, 2, 3, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 1, 2, 0, 2, 3, 2, 0, 0, 3, 0, 0, 3, 0, 0, 1, 0, 0  },
{ 1, 0, 1, 1, 1, 2, 0, 1, 0, 2, 1, 1, 2, 0, 1, 2, 0, 0, 1, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 2, 2, 0, 0, 1, 0, 0, 3, 0, 1, 0, 0, 0  },
{ 1, 0, 2, 2, 1, 1, 2, 0, 1, 0, 2, 1, 2, 0, 1, 0, 3, 0, 1, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0, 3, 1, 0, 1, 2, 0, 2, 0, 1, 1, 3, 0, 0  },
{ 1, 2, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 2, 0, 2, 2, 0, 1, 1, 1, 2, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 0, 2, 0  },
{ 0, 0, 1, 0, 1, 0, 1, 0, 3, 0, 2, 1, 0, 0, 0, 2, 2, 1, 3, 1, 1, 0, 1, 1, 1, 1, 2, 0, 2, 0, 3, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 3, 2, 3, 2, 0, 1, 0, 0, 2, 2, 0, 0, 2, 1, 1, 0, 0, 2, 1, 0, 0, 1, 0, 1, 3, 2, 0, 0, 0, 1, 0, 2, 2, 0, 3, 3, 1, 3  },
{ 0, 0, 0, 2, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 2, 0, 3, 2, 0, 0, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 1, 0, 0, 0, 0, 0, 2  },
{ 3, 0, 3, 2, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 3, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 1, 2, 1, 1, 0, 0, 2, 0, 2  },
{ 0, 1, 0, 0, 2, 0, 3, 0, 0, 0, 0, 0, 3, 0, 2, 1, 0, 2, 0, 0, 2, 0, 2, 3, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 0, 2  },
{ 0, 0, 0, 0, 0, 1, 0, 1, 0, 2, 3, 1, 2, 1, 3, 1, 0, 2, 1, 0, 2, 1, 0, 0, 3, 0, 0, 1, 3, 0, 0, 2, 0, 3, 0, 1, 0, 3, 0, 0, 0, 2  },
{ 3, 0, 3, 0, 1, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 2, 1, 3, 0, 0, 3, 3, 0, 0, 0, 2, 3, 0, 0, 3, 3, 2, 0, 1, 0, 0, 2  },
{ 1, 0, 1, 3, 1, 0, 0, 0, 1, 3, 0, 0, 3, 0, 0, 3, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 3, 0, 0, 0, 1  },
{ 1, 1, 2, 0, 0, 3, 0, 0, 1, 2, 1, 3, 0, 0, 0, 0, 2, 1, 0, 2, 2, 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 3, 0, 0, 3, 2, 2, 0, 2  },
{ 2, 1, 2, 0, 0, 1, 0, 3, 1, 0, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 2, 1, 1, 3, 0, 2, 0, 3, 0, 0, 3, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1  },
{ 3, 2, 0, 0, 1, 0, 0, 2, 0, 1, 1, 0, 2, 0, 3, 0, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 2, 3, 2, 1, 0, 0, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 2, 2, 0, 2, 0, 0, 2, 1, 3, 0, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 0, 0  },
{ 1, 0, 2, 2, 0, 2, 1, 2, 0, 0, 1, 2, 0, 1, 1, 0, 0, 3, 2, 0, 2, 0, 1, 2, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 3, 0, 0, 3, 0, 1, 0, 0  },
{ 1, 1, 1, 0, 2, 1, 0, 1, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 1, 1, 1, 1, 3, 0, 0, 3, 0, 2, 0, 2, 2, 1, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 3, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 2, 0, 1, 1, 1, 2, 2, 0  },
{ 2, 1, 0, 3, 1, 2, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0, 1, 2, 2, 1, 2, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 1, 1, 2, 1, 2, 3, 2, 1, 0, 0, 3, 1, 0, 1, 1, 2, 2, 2, 2, 3, 0, 0, 1, 1, 0, 0, 0, 2, 2, 1, 2, 0, 1, 2, 3, 2, 0, 1, 0  },
{ 3, 0, 1, 3, 2, 0, 0, 2, 1, 1, 1, 0, 1, 1, 2, 0, 3, 0, 2, 2, 0, 1, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 3, 1, 3, 0, 2, 0, 2, 0  },
{ 0, 2, 0, 1, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1, 1, 3, 2, 1, 0, 0, 1, 0, 0, 3, 3, 1, 0, 1, 2, 1, 0, 2, 0, 0, 0, 2, 1, 1, 0, 1  },
{ 0, 0, 1, 1, 2, 2, 0, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 1, 2, 2, 0, 0, 2, 2, 0  },
{ 1, 3, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 1, 2, 1, 0, 0, 1, 0, 1, 0, 0, 3, 1, 0, 1, 2, 1, 0, 1, 1, 0, 1, 1, 0  },
{ 0, 0, 3, 3, 2, 1, 2, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 3, 0, 3, 0, 0, 2, 2, 1, 0, 0, 2, 0, 3, 1, 1, 2, 1, 0, 3, 0, 2, 0, 2, 3, 0  },
{ 0, 1, 0, 2, 1, 0, 2, 1, 1, 0, 3, 2, 1, 3, 3, 1, 1, 2, 0, 1, 2, 1, 2, 0, 2, 0, 3, 1, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 2, 1, 2, 0  },
{ 1, 0, 0, 3, 0, 1, 0, 3, 1, 2, 0, 3, 1, 3, 1, 0, 2, 1, 0, 3, 3, 0, 2, 2, 0, 1, 1, 0, 1, 0, 0, 1, 2, 0, 0, 2, 3, 0, 3, 0, 0, 1  },
{ 2, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 1, 1, 2, 1, 0, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 1, 2, 0, 0, 1, 0  },
{ 1, 1, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 1, 1, 0, 0, 0, 2, 0, 2, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2  },
{ 2, 2, 1, 0, 1, 3, 3, 0, 2, 1, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 2, 0, 3, 2, 2, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 2, 2, 2  },
{ 3, 0, 2, 2, 1, 0, 0, 1, 1, 1, 3, 0, 2, 0, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 2, 0, 2, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 2, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 2, 2, 3, 2, 0, 1, 0, 0, 1, 0, 0, 0  },
{ 1, 3, 0, 0, 0, 0, 1, 0, 0, 1, 0, 3, 0, 0, 3, 2, 1, 0, 0, 0, 3, 0, 2, 0, 0, 2, 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 1, 3, 0, 0  },
{ 1, 0, 1, 0, 0, 1, 0, 0, 1, 1, 3, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 0, 2, 0, 1, 3, 0, 0, 2, 2, 2, 0, 2, 0, 0, 1, 0, 1, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 1, 1, 2, 3, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 2, 1, 3, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 3, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 3, 3, 0, 1, 0, 0, 1, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 0, 3, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 1, 1, 2, 0, 1, 0, 2, 1, 0, 0, 3, 2, 1, 0, 0, 1, 1, 0, 0, 3, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0  },
{ 1, 2, 2, 3, 1, 3, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 3, 0  },
{ 2, 1, 1, 1, 0, 2, 2, 1, 0, 0, 2, 0, 2, 1, 1, 2, 1, 0, 1, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 1, 3, 3, 2, 2, 3, 0, 2, 0, 0, 0  },
{ 2, 0, 1, 0, 3, 3, 1, 0, 0, 1, 0, 2, 2, 1, 0, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 3, 0, 0, 0, 2, 0, 1, 2, 0, 2, 1, 1, 2, 0, 0, 0  },
{ 0, 0, 3, 1, 1, 2, 0, 0, 1, 0, 2, 3, 2, 1, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0  },
{ 1, 0, 0, 1, 1, 2, 0, 3, 2, 0, 1, 2, 1, 0, 1, 0, 3, 2, 1, 0, 1, 0, 1, 1, 3, 2, 0, 0, 0, 0, 0, 0, 3, 3, 3, 2, 0, 0, 1, 0, 0, 0  },
{ 2, 1, 1, 0, 0, 0, 0, 2, 0, 1, 1, 2, 1, 0, 1, 0, 0, 3, 2, 2, 0, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 2, 1, 1, 0, 1, 2, 0  },
{ 2, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 3, 1, 0, 3, 2, 0, 1, 0, 0, 3, 0, 2, 2, 0, 3, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0  },
{ 3, 1, 2, 0, 3, 0, 1, 0, 2, 0, 0, 2, 2, 1, 1, 0, 0, 0, 1, 1, 1, 0, 1, 2, 2, 0, 3, 2, 0, 3, 2, 0, 2, 0, 3, 1, 0, 0, 0, 3, 0, 0  },
{ 3, 0, 2, 0, 1, 1, 2, 0, 1, 0, 0, 0, 3, 1, 3, 0, 1, 3, 3, 0, 3, 0, 1, 2, 2, 0, 1, 2, 1, 2, 0, 0, 0, 1, 2, 3, 0, 3, 1, 2, 0, 1  },
{ 0, 0, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 2, 2, 0, 1, 1, 0, 3, 1, 1, 0, 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0  }
 }
 },
{ 
{ 
{ 3, 3, 2, 3, 3, 2, 2, 3, 3, 3, 1, 2, 1, 2, 1, 3, 3, 1, 3, 3, 2, 3, 3, 1, 3, 3, 1, 1, 3, 3, 2, 2, 3, 2, 3, 3, 3, 2, 2, 1, 3, 3  },
{ 3, 2, 3, 2, 3, 3, 2, 1, 3, 3, 1, 1, 3, 2, 0, 3, 3, 1, 3, 3, 2, 2, 2, 0, 3, 3, 2, 2, 3, 3, 1, 3, 3, 2, 0, 3, 3, 2, 0, 0, 2, 3  },
{ 3, 2, 2, 3, 3, 2, 3, 1, 3, 3, 1, 2, 2, 3, 1, 3, 3, 1, 3, 1, 3, 0, 2, 2, 3, 2, 2, 2, 1, 3, 0, 2, 3, 0, 1, 3, 3, 2, 3, 0, 3, 3  },
{ 3, 2, 3, 2, 3, 2, 2, 1, 3, 3, 1, 2, 3, 2, 2, 3, 3, 3, 2, 2, 3, 2, 3, 1, 3, 2, 0, 1, 0, 2, 1, 2, 2, 1, 3, 3, 3, 2, 0, 2, 3, 3  },
{ 2, 0, 3, 1, 1, 2, 3, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 2, 3, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 1, 1, 0, 1, 0, 3, 3, 3, 0, 2, 0, 0  },
{ 3, 3, 2, 3, 0, 1, 2, 3, 3, 3, 3, 2, 3, 0, 0, 3, 3, 1, 2, 3, 2, 3, 2, 3, 3, 3, 0, 3, 1, 3, 2, 1, 3, 2, 1, 3, 3, 2, 1, 1, 2, 3  },
{ 1, 0, 3, 2, 2, 3, 0, 2, 1, 2, 1, 0, 0, 0, 2, 1, 1, 1, 3, 2, 3, 0, 0, 3, 3, 1, 2, 2, 1, 3, 1, 3, 1, 1, 2, 3, 3, 1, 3, 3, 2, 1  },
{ 2, 0, 1, 3, 3, 3, 2, 2, 1, 1, 3, 2, 1, 3, 1, 3, 1, 3, 0, 2, 3, 3, 2, 2, 1, 0, 1, 3, 2, 0, 3, 3, 2, 0, 2, 3, 3, 2, 3, 3, 0, 3  },
{ 0, 1, 2, 3, 2, 0, 3, 0, 1, 0, 3, 2, 3, 0, 2, 2, 1, 0, 1, 3, 0, 3, 0, 1, 0, 0, 1, 1, 2, 1, 2, 1, 1, 1, 3, 1, 2, 0, 0, 0, 0, 1  },
{ 1, 0, 3, 1, 2, 2, 1, 2, 3, 3, 2, 3, 2, 2, 3, 3, 0, 1, 2, 0, 2, 3, 3, 0, 2, 1, 3, 2, 0, 3, 2, 1, 3, 1, 3, 2, 3, 2, 1, 2, 3, 3  },
{ 1, 3, 0, 3, 1, 2, 0, 1, 1, 3, 1, 2, 1, 3, 2, 3, 1, 2, 2, 2, 2, 2, 2, 0, 3, 3, 2, 3, 2, 2, 0, 2, 2, 2, 3, 3, 1, 3, 0, 0, 3, 2  },
{ 1, 3, 0, 3, 3, 2, 1, 3, 3, 1, 2, 3, 1, 1, 2, 3, 3, 2, 0, 2, 2, 2, 0, 2, 3, 0, 1, 0, 2, 3, 1, 3, 2, 0, 2, 3, 1, 3, 3, 1, 0, 1  },
{ 1, 3, 0, 3, 3, 1, 0, 2, 1, 1, 2, 2, 1, 3, 3, 3, 3, 2, 0, 2, 2, 2, 1, 2, 1, 1, 2, 1, 2, 2, 0, 2, 3, 2, 2, 3, 3, 2, 0, 3, 3, 3  },
{ 1, 3, 0, 1, 1, 2, 2, 2, 3, 3, 2, 0, 3, 2, 3, 3, 1, 2, 1, 3, 0, 3, 2, 1, 3, 1, 2, 2, 3, 2, 0, 2, 3, 2, 2, 3, 3, 2, 1, 3, 3, 0  },
{ 1, 3, 0, 1, 2, 1, 1, 1, 3, 2, 1, 2, 3, 1, 3, 3, 1, 3, 1, 2, 2, 3, 2, 1, 2, 2, 2, 0, 1, 3, 2, 1, 3, 2, 1, 3, 1, 0, 0, 3, 3, 2  },
{ 1, 1, 3, 0, 3, 3, 2, 3, 1, 1, 2, 2, 1, 3, 3, 3, 3, 3, 0, 2, 2, 3, 0, 2, 1, 1, 2, 2, 2, 2, 3, 0, 2, 2, 2, 3, 3, 2, 0, 1, 3, 0  },
{ 1, 0, 1, 3, 1, 2, 3, 1, 1, 3, 2, 1, 2, 3, 2, 3, 1, 2, 0, 3, 2, 2, 2, 1, 2, 1, 1, 3, 2, 0, 2, 2, 2, 2, 2, 3, 3, 2, 3, 1, 3, 3  },
{ 1, 3, 0, 1, 0, 1, 2, 3, 0, 3, 1, 2, 3, 1, 2, 3, 1, 2, 0, 3, 2, 3, 2, 1, 2, 1, 0, 1, 1, 2, 2, 2, 3, 2, 0, 3, 3, 2, 3, 0, 3, 0  },
{ 1, 3, 0, 3, 3, 3, 0, 1, 2, 1, 2, 0, 1, 1, 1, 3, 3, 2, 1, 2, 3, 2, 0, 2, 2, 1, 2, 0, 2, 3, 1, 2, 3, 2, 1, 3, 1, 0, 3, 1, 3, 0  },
{ 1, 0, 1, 3, 3, 1, 2, 2, 2, 1, 2, 1, 3, 3, 2, 3, 3, 2, 0, 3, 3, 2, 1, 2, 2, 0, 1, 2, 3, 3, 1, 2, 3, 3, 1, 3, 1, 3, 3, 3, 3, 0  },
{ 1, 0, 3, 1, 3, 1, 2, 3, 3, 1, 2, 1, 0, 1, 2, 2, 3, 2, 1, 2, 0, 3, 2, 2, 3, 2, 3, 1, 3, 3, 1, 2, 3, 2, 3, 3, 1, 2, 3, 3, 3, 2  },
{ 1, 0, 3, 2, 2, 1, 1, 3, 2, 3, 2, 0, 1, 3, 2, 3, 3, 0, 2, 2, 1, 3, 3, 0, 2, 2, 0, 0, 0, 2, 2, 1, 2, 2, 1, 3, 1, 2, 1, 2, 0, 2  },
{ 2, 1, 2, 0, 1, 2, 0, 1, 1, 2, 1, 3, 1, 3, 0, 1, 1, 0, 3, 1, 0, 1, 1, 1, 3, 2, 3, 2, 1, 0, 2, 2, 2, 1, 0, 1, 0, 0, 3, 0, 0, 1  },
{ 1, 1, 0, 3, 3, 2, 0, 2, 1, 1, 2, 3, 1, 3, 2, 3, 3, 2, 0, 2, 3, 2, 0, 2, 1, 3, 1, 1, 2, 3, 0, 3, 2, 3, 2, 3, 1, 0, 2, 1, 1, 2  },
{ 1, 0, 3, 3, 1, 2, 0, 2, 1, 3, 2, 0, 1, 3, 2, 3, 1, 2, 0, 2, 3, 0, 2, 1, 2, 3, 2, 3, 2, 3, 2, 3, 2, 2, 1, 3, 1, 0, 2, 1, 1, 1  },
{ 1, 1, 0, 3, 3, 1, 2, 2, 1, 1, 2, 1, 1, 3, 3, 3, 3, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 2, 3, 2, 3, 2, 2, 3, 2, 3, 1, 3, 2, 0, 3, 2  },
{ 1, 0, 3, 1, 1, 2, 1, 2, 1, 3, 2, 0, 0, 2, 2, 3, 2, 2, 0, 2, 3, 0, 3, 0, 2, 1, 3, 0, 2, 3, 2, 3, 2, 2, 1, 3, 1, 2, 0, 0, 3, 2  },
{ 1, 1, 0, 3, 1, 2, 1, 2, 1, 3, 1, 2, 3, 1, 3, 1, 1, 3, 2, 1, 0, 2, 1, 2, 3, 1, 2, 2, 3, 2, 3, 2, 2, 2, 2, 1, 3, 3, 0, 3, 0, 3  },
{ 1, 0, 3, 1, 1, 0, 2, 1, 3, 1, 2, 3, 1, 2, 2, 1, 1, 3, 0, 2, 3, 1, 0, 3, 2, 1, 3, 1, 3, 2, 3, 2, 3, 2, 1, 3, 1, 2, 0, 2, 3, 1  },
{ 1, 3, 0, 1, 3, 0, 1, 2, 1, 1, 2, 3, 1, 2, 2, 3, 1, 2, 0, 2, 0, 3, 2, 1, 2, 2, 3, 3, 2, 2, 3, 2, 2, 2, 3, 3, 1, 2, 2, 0, 3, 1  },
{ 1, 0, 3, 0, 1, 1, 1, 2, 1, 3, 2, 2, 3, 3, 2, 3, 2, 2, 0, 2, 2, 3, 3, 3, 2, 1, 3, 1, 2, 2, 2, 3, 2, 2, 1, 3, 1, 0, 2, 3, 3, 1  },
{ 1, 0, 3, 1, 1, 1, 2, 3, 1, 1, 2, 1, 3, 0, 3, 1, 1, 3, 0, 1, 2, 2, 3, 3, 1, 1, 1, 1, 3, 0, 2, 2, 3, 2, 2, 2, 3, 3, 1, 1, 3, 3  },
{ 2, 3, 0, 1, 1, 1, 0, 2, 1, 1, 2, 3, 1, 3, 3, 1, 1, 2, 0, 2, 1, 1, 1, 2, 1, 1, 0, 1, 0, 2, 3, 1, 2, 3, 2, 3, 3, 2, 3, 3, 3, 2  },
{ 1, 0, 1, 1, 2, 3, 0, 2, 1, 1, 2, 3, 1, 2, 3, 1, 1, 2, 3, 0, 2, 3, 2, 1, 2, 1, 1, 3, 0, 2, 3, 2, 3, 2, 1, 3, 3, 2, 3, 0, 0, 2  },
{ 2, 3, 0, 1, 1, 2, 3, 2, 1, 3, 2, 3, 2, 2, 1, 3, 1, 2, 0, 3, 3, 1, 2, 1, 2, 1, 3, 1, 3, 2, 2, 3, 2, 2, 1, 3, 3, 3, 0, 3, 3, 1  },
{ 1, 3, 0, 0, 2, 0, 2, 1, 3, 3, 2, 1, 3, 2, 1, 2, 1, 3, 2, 0, 2, 0, 2, 3, 2, 1, 1, 2, 1, 2, 3, 0, 2, 3, 3, 2, 3, 1, 2, 2, 3, 0  },
{ 2, 1, 3, 0, 3, 0, 0, 2, 1, 1, 2, 3, 1, 0, 2, 1, 1, 3, 0, 2, 3, 2, 1, 3, 1, 3, 1, 3, 1, 1, 0, 1, 3, 2, 2, 2, 3, 1, 0, 1, 2, 2  },
{ 2, 0, 3, 1, 1, 1, 3, 1, 1, 1, 2, 2, 0, 2, 2, 1, 0, 3, 0, 2, 3, 2, 0, 3, 1, 2, 0, 1, 3, 3, 0, 2, 3, 1, 2, 2, 3, 1, 2, 3, 3, 3  },
{ 1, 3, 0, 1, 1, 1, 0, 1, 1, 0, 3, 1, 1, 3, 2, 1, 2, 1, 0, 1, 0, 0, 2, 2, 2, 1, 3, 2, 0, 3, 2, 2, 3, 1, 3, 2, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 3, 3, 3, 1, 2, 1, 2, 3, 0, 2, 3, 0, 0, 3, 1, 2, 0, 2, 1, 3, 2, 1, 2, 0, 3, 0, 2, 3, 2, 2, 3, 1, 1, 3, 1, 2, 1, 3, 1, 2  },
{ 1, 0, 3, 3, 3, 0, 2, 1, 2, 2, 2, 0, 0, 2, 3, 2, 3, 2, 0, 2, 3, 0, 3, 3, 2, 0, 0, 0, 2, 2, 3, 2, 2, 2, 1, 2, 1, 3, 0, 0, 3, 2  },
{ 1, 0, 0, 3, 1, 3, 2, 2, 1, 3, 2, 0, 0, 2, 2, 3, 2, 2, 0, 2, 2, 3, 3, 3, 2, 1, 2, 3, 0, 2, 3, 2, 2, 3, 1, 2, 1, 3, 0, 3, 3, 2  },
{ 1, 0, 0, 3, 2, 2, 3, 1, 2, 3, 0, 3, 2, 2, 2, 3, 2, 2, 2, 0, 2, 3, 3, 2, 2, 3, 1, 1, 0, 2, 3, 0, 0, 2, 2, 3, 1, 2, 1, 2, 3, 3  },
{ 1, 0, 3, 0, 2, 0, 2, 1, 2, 3, 2, 1, 0, 3, 2, 2, 3, 0, 2, 0, 2, 3, 2, 3, 2, 1, 2, 2, 0, 2, 3, 1, 2, 3, 1, 2, 1, 3, 2, 0, 3, 2  },
{ 1, 2, 0, 0, 3, 2, 0, 0, 0, 1, 1, 3, 1, 0, 1, 1, 0, 1, 2, 3, 0, 2, 0, 1, 2, 1, 3, 2, 0, 3, 2, 3, 0, 0, 1, 1, 0, 2, 2, 1, 2, 1  },
{ 1, 0, 1, 0, 0, 3, 1, 1, 0, 0, 2, 2, 0, 2, 1, 3, 1, 1, 0, 0, 0, 2, 2, 2, 1, 1, 1, 0, 3, 2, 3, 3, 3, 2, 1, 2, 1, 2, 1, 2, 1, 3  },
{ 1, 0, 3, 3, 1, 2, 2, 2, 1, 3, 2, 3, 3, 1, 2, 1, 1, 2, 0, 2, 2, 3, 3, 2, 1, 3, 0, 3, 2, 2, 3, 2, 3, 2, 2, 3, 1, 2, 2, 1, 2, 3  },
{ 1, 2, 0, 3, 3, 1, 2, 2, 1, 1, 2, 2, 1, 3, 2, 3, 1, 2, 0, 2, 2, 1, 3, 2, 1, 1, 3, 1, 2, 2, 3, 2, 2, 3, 2, 3, 1, 2, 0, 2, 3, 2  },
{ 1, 1, 0, 3, 3, 1, 2, 2, 1, 1, 2, 2, 1, 0, 2, 1, 1, 2, 3, 3, 0, 3, 2, 3, 1, 3, 0, 1, 3, 2, 3, 2, 3, 1, 2, 2, 1, 3, 2, 2, 1, 2  },
{ 1, 2, 3, 0, 1, 3, 1, 2, 1, 3, 1, 2, 0, 2, 2, 1, 1, 2, 3, 3, 2, 0, 1, 3, 1, 1, 1, 0, 3, 2, 3, 0, 3, 2, 2, 3, 3, 2, 0, 3, 0, 3  },
{ 1, 0, 3, 1, 2, 1, 0, 2, 1, 3, 0, 1, 2, 3, 2, 1, 0, 2, 2, 0, 2, 3, 2, 3, 2, 1, 1, 0, 1, 2, 2, 3, 2, 0, 2, 3, 3, 2, 1, 2, 3, 2  },
{ 1, 0, 3, 2, 2, 0, 1, 2, 1, 1, 2, 3, 1, 2, 2, 1, 0, 2, 0, 2, 3, 0, 1, 2, 1, 1, 0, 3, 1, 2, 2, 3, 1, 2, 2, 2, 3, 3, 2, 0, 2, 3  },
{ 1, 0, 3, 2, 2, 0, 1, 2, 1, 2, 2, 1, 2, 3, 2, 1, 0, 2, 0, 2, 0, 3, 0, 3, 2, 1, 0, 2, 1, 2, 3, 0, 3, 2, 3, 2, 3, 1, 3, 1, 3, 2  },
{ 1, 0, 3, 0, 3, 0, 0, 0, 2, 2, 2, 1, 2, 2, 1, 3, 3, 1, 1, 0, 2, 2, 2, 0, 2, 1, 3, 2, 0, 2, 3, 0, 0, 3, 2, 2, 1, 2, 1, 1, 2, 3  },
{ 1, 0, 3, 2, 2, 3, 1, 1, 1, 2, 2, 3, 2, 1, 2, 1, 1, 2, 0, 2, 2, 2, 0, 2, 3, 1, 1, 2, 1, 2, 2, 3, 1, 1, 1, 2, 3, 3, 0, 2, 3, 2  },
{ 1, 2, 2, 1, 3, 1, 3, 1, 2, 2, 2, 0, 2, 0, 2, 2, 0, 0, 0, 2, 3, 2, 3, 2, 2, 2, 3, 2, 0, 2, 3, 1, 1, 0, 1, 2, 1, 3, 0, 1, 2, 3  },
{ 1, 0, 0, 2, 3, 0, 2, 0, 1, 2, 3, 2, 2, 1, 3, 3, 0, 2, 0, 2, 0, 2, 3, 1, 2, 2, 1, 1, 0, 2, 3, 0, 2, 1, 2, 1, 3, 2, 3, 1, 2, 2  },
{ 1, 0, 2, 3, 1, 0, 2, 3, 1, 0, 2, 2, 0, 3, 2, 0, 1, 2, 0, 1, 2, 1, 0, 2, 1, 3, 2, 2, 3, 2, 3, 2, 2, 3, 2, 3, 1, 2, 2, 0, 2, 3  },
{ 1, 0, 2, 3, 1, 3, 1, 2, 1, 0, 2, 3, 2, 3, 2, 3, 0, 2, 0, 2, 0, 1, 3, 2, 0, 1, 0, 3, 3, 2, 3, 2, 2, 3, 2, 3, 1, 2, 1, 2, 2, 3  },
{ 1, 3, 0, 3, 1, 2, 2, 2, 1, 0, 2, 3, 0, 1, 2, 0, 0, 2, 0, 1, 2, 1, 0, 2, 1, 1, 2, 0, 3, 2, 3, 2, 3, 2, 2, 3, 1, 2, 0, 2, 2, 3  },
{ 1, 3, 1, 1, 2, 0, 2, 2, 1, 2, 2, 0, 2, 3, 0, 2, 0, 2, 0, 2, 2, 0, 1, 0, 2, 3, 0, 0, 3, 2, 3, 2, 2, 0, 1, 2, 1, 3, 2, 2, 2, 3  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 1, 0, 2, 3, 0, 2, 2, 1, 1, 2, 0, 2, 0, 2, 3, 2, 0, 1, 0, 1, 3, 2, 3, 2, 3, 0, 2, 3, 1, 2, 3, 2, 3, 0  },
{ 1, 3, 0, 0, 1, 0, 3, 2, 1, 0, 2, 2, 0, 2, 2, 1, 0, 2, 0, 2, 0, 3, 3, 2, 0, 1, 0, 2, 0, 2, 3, 2, 3, 0, 2, 3, 1, 2, 1, 2, 2, 3  },
{ 1, 0, 3, 1, 0, 1, 2, 2, 1, 2, 2, 0, 0, 1, 2, 1, 2, 2, 0, 2, 1, 0, 2, 2, 3, 1, 2, 2, 3, 2, 3, 2, 3, 2, 1, 2, 1, 3, 2, 3, 2, 3  },
{ 1, 0, 3, 1, 3, 2, 0, 2, 1, 3, 0, 1, 3, 2, 1, 2, 2, 1, 2, 0, 2, 3, 0, 3, 2, 1, 3, 0, 0, 2, 3, 2, 2, 0, 1, 2, 1, 2, 0, 3, 2, 3  },
{ 1, 0, 3, 2, 1, 1, 1, 2, 1, 0, 2, 1, 0, 2, 2, 1, 1, 3, 2, 2, 2, 1, 2, 3, 0, 1, 0, 0, 3, 2, 3, 2, 3, 1, 2, 2, 1, 3, 2, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 0, 2, 1, 1, 1, 1, 2, 2, 3, 2, 1, 1, 2, 0, 2, 0, 3, 3, 2, 1, 1, 1, 2, 3, 2, 3, 2, 3, 1, 2, 3, 1, 2, 2, 2, 1, 0  },
{ 1, 0, 3, 1, 2, 0, 1, 2, 1, 2, 2, 3, 1, 0, 2, 1, 0, 2, 0, 2, 2, 1, 0, 3, 2, 1, 0, 2, 0, 2, 3, 2, 3, 2, 2, 3, 1, 2, 1, 2, 3, 2  },
{ 1, 0, 3, 0, 2, 3, 2, 1, 1, 1, 1, 3, 2, 0, 2, 1, 3, 0, 1, 0, 2, 1, 2, 3, 2, 0, 1, 2, 0, 2, 2, 3, 1, 0, 3, 2, 1, 3, 1, 0, 3, 1  },
{ 1, 0, 3, 2, 1, 1, 1, 3, 1, 0, 2, 1, 2, 0, 2, 1, 1, 3, 2, 0, 2, 3, 2, 3, 1, 2, 0, 0, 3, 2, 3, 1, 3, 1, 1, 2, 3, 1, 2, 3, 0, 2  },
{ 1, 0, 3, 1, 3, 2, 2, 0, 0, 2, 3, 1, 3, 1, 2, 1, 0, 1, 2, 0, 2, 2, 2, 3, 2, 1, 2, 2, 0, 2, 2, 3, 0, 0, 3, 2, 3, 1, 0, 3, 1, 2  },
{ 1, 3, 0, 0, 1, 2, 0, 0, 0, 1, 3, 1, 3, 3, 2, 1, 3, 1, 1, 0, 2, 2, 2, 3, 2, 1, 1, 2, 0, 2, 2, 3, 0, 3, 0, 3, 3, 2, 1, 2, 3, 2  },
{ 1, 0, 3, 2, 1, 3, 3, 1, 1, 0, 0, 2, 0, 1, 3, 1, 1, 2, 3, 2, 3, 0, 3, 2, 1, 2, 1, 0, 2, 2, 3, 0, 3, 0, 1, 2, 3, 2, 2, 2, 2, 3  },
{ 0, 1, 3, 1, 0, 2, 1, 0, 0, 3, 1, 1, 3, 0, 1, 1, 0, 1, 0, 1, 1, 2, 0, 3, 2, 1, 2, 0, 1, 2, 2, 3, 3, 1, 3, 2, 3, 1, 0, 3, 2, 2  },
{ 1, 2, 2, 3, 3, 2, 0, 2, 1, 0, 1, 0, 0, 2, 2, 2, 2, 2, 0, 2, 2, 0, 1, 2, 1, 2, 2, 3, 3, 2, 3, 2, 0, 0, 2, 2, 1, 3, 2, 1, 2, 3  },
{ 1, 3, 1, 1, 2, 0, 2, 1, 2, 2, 3, 1, 0, 0, 1, 2, 2, 2, 0, 2, 2, 1, 1, 0, 2, 3, 1, 0, 2, 2, 3, 0, 2, 0, 1, 2, 1, 2, 0, 2, 2, 3  },
{ 1, 0, 3, 0, 3, 2, 2, 2, 0, 2, 2, 0, 2, 0, 1, 2, 0, 1, 0, 2, 2, 3, 1, 1, 2, 3, 2, 0, 3, 2, 3, 0, 2, 1, 1, 2, 1, 3, 1, 0, 2, 3  },
{ 1, 0, 3, 2, 2, 3, 0, 2, 1, 2, 1, 0, 2, 2, 3, 2, 3, 2, 0, 2, 0, 3, 1, 2, 2, 2, 3, 2, 0, 2, 2, 0, 2, 2, 1, 3, 1, 2, 0, 0, 2, 3  },
{ 1, 0, 3, 0, 3, 0, 0, 2, 1, 2, 2, 1, 0, 2, 1, 2, 3, 0, 2, 0, 2, 2, 0, 2, 2, 2, 1, 2, 0, 2, 3, 2, 3, 0, 2, 2, 1, 3, 1, 3, 2, 3  },
{ 1, 2, 2, 1, 3, 0, 0, 2, 2, 0, 0, 1, 1, 3, 3, 2, 2, 0, 1, 2, 0, 3, 3, 3, 2, 3, 3, 2, 1, 2, 3, 2, 1, 2, 1, 2, 1, 2, 0, 2, 2, 3  },
{ 1, 0, 3, 2, 2, 1, 0, 2, 0, 3, 0, 2, 1, 1, 2, 3, 1, 1, 3, 2, 0, 2, 2, 2, 2, 3, 1, 0, 0, 2, 3, 2, 0, 2, 2, 2, 1, 2, 1, 2, 2, 3  },
{ 1, 0, 0, 0, 2, 3, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 3, 2, 0, 3, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 1, 1, 1, 0, 0, 0, 1  },
{ 1, 0, 2, 1, 1, 0, 3, 1, 1, 0, 2, 0, 2, 3, 2, 0, 0, 2, 0, 1, 2, 3, 2, 2, 1, 1, 2, 0, 3, 2, 3, 0, 3, 0, 2, 3, 1, 2, 3, 2, 2, 3  },
{ 1, 0, 2, 3, 1, 0, 1, 2, 1, 0, 2, 1, 1, 3, 3, 2, 0, 1, 0, 2, 2, 3, 1, 2, 0, 1, 2, 0, 1, 0, 3, 2, 3, 0, 2, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 0, 2, 1, 1, 1, 2, 2, 0, 1, 1, 0, 2, 0, 1, 2, 0, 2, 0, 2, 2, 3, 1, 2, 0, 1, 1, 0, 1, 2, 3, 2, 3, 2, 2, 2, 1, 2, 1, 0, 2, 3  },
{ 1, 0, 3, 0, 1, 1, 0, 2, 1, 0, 2, 2, 2, 0, 3, 0, 1, 2, 0, 1, 2, 3, 2, 2, 0, 1, 2, 0, 3, 2, 3, 1, 3, 3, 0, 2, 1, 2, 2, 2, 2, 3  },
{ 1, 3, 0, 1, 1, 0, 1, 2, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 2, 3, 2, 1, 3, 2, 0, 1, 1, 2, 0, 2, 3, 0, 3, 2, 0, 2, 1, 2, 2, 2, 2, 2  },
{ 1, 0, 3, 1, 3, 0, 1, 2, 0, 1, 1, 2, 1, 3, 2, 1, 0, 1, 0, 2, 1, 3, 1, 0, 2, 1, 1, 0, 3, 2, 3, 2, 3, 0, 1, 2, 1, 2, 2, 3, 2, 3  },
{ 1, 0, 3, 1, 3, 0, 1, 2, 1, 1, 1, 0, 3, 2, 1, 2, 1, 1, 0, 2, 2, 3, 1, 0, 2, 2, 3, 0, 1, 2, 3, 2, 2, 0, 1, 2, 1, 2, 0, 2, 3, 2  },
{ 1, 0, 3, 0, 0, 2, 1, 2, 1, 1, 2, 1, 0, 3, 2, 1, 1, 2, 0, 2, 1, 1, 0, 2, 0, 1, 1, 3, 3, 2, 3, 2, 3, 0, 0, 2, 1, 2, 3, 2, 2, 2  },
{ 1, 0, 3, 0, 0, 1, 2, 1, 1, 1, 1, 2, 3, 3, 2, 0, 0, 0, 2, 0, 1, 2, 0, 2, 0, 1, 1, 3, 2, 2, 3, 0, 3, 0, 1, 2, 1, 2, 0, 2, 3, 0  },
{ 1, 0, 3, 1, 1, 1, 0, 1, 1, 1, 3, 1, 0, 2, 2, 1, 0, 1, 0, 2, 1, 3, 2, 3, 2, 1, 2, 0, 2, 3, 2, 3, 2, 0, 1, 2, 1, 2, 0, 2, 0, 2  },
{ 1, 3, 0, 0, 2, 3, 2, 3, 0, 1, 1, 3, 2, 2, 1, 2, 0, 1, 2, 0, 1, 2, 2, 3, 2, 1, 2, 3, 0, 2, 2, 3, 2, 2, 3, 2, 3, 1, 2, 1, 3, 0  },
{ 1, 0, 3, 1, 2, 3, 2, 1, 1, 1, 2, 1, 0, 0, 2, 1, 0, 2, 0, 2, 0, 3, 3, 2, 1, 1, 0, 2, 3, 2, 3, 2, 3, 1, 0, 2, 3, 2, 2, 3, 0, 3  },
{ 1, 0, 3, 1, 2, 3, 1, 2, 0, 2, 2, 0, 1, 2, 2, 1, 0, 2, 0, 2, 3, 1, 0, 2, 1, 1, 0, 3, 3, 2, 2, 3, 0, 3, 1, 2, 3, 1, 2, 2, 0, 0  },
{ 1, 0, 3, 2, 1, 3, 1, 3, 0, 2, 1, 2, 2, 1, 2, 1, 0, 2, 0, 2, 2, 2, 0, 3, 2, 1, 0, 0, 1, 2, 2, 3, 1, 3, 2, 3, 3, 2, 2, 2, 3, 0  },
{ 1, 0, 3, 1, 2, 3, 1, 0, 1, 1, 3, 1, 0, 1, 3, 1, 1, 2, 3, 2, 3, 3, 3, 2, 1, 1, 1, 3, 2, 2, 0, 3, 1, 0, 1, 2, 3, 2, 2, 3, 0, 0  },
{ 1, 3, 0, 1, 3, 2, 1, 3, 0, 2, 1, 3, 0, 0, 1, 1, 0, 2, 1, 3, 3, 2, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 3, 0, 0, 2, 3, 3, 2, 3, 3, 2  },
{ 3, 1, 0, 1, 0, 3, 2, 1, 0, 2, 3, 0, 1, 3, 1, 1, 1, 0, 2, 1, 2, 1, 0, 2, 1, 1, 0, 2, 2, 0, 2, 1, 3, 0, 1, 2, 3, 0, 1, 2, 3, 0  },
{ 1, 3, 2, 2, 1, 2, 2, 2, 0, 0, 3, 2, 3, 0, 2, 3, 0, 2, 0, 2, 2, 1, 2, 2, 0, 0, 0, 1, 2, 3, 2, 3, 2, 3, 2, 1, 1, 2, 0, 2, 3, 2  },
{ 1, 2, 2, 3, 3, 1, 3, 2, 0, 1, 2, 2, 1, 0, 2, 3, 0, 1, 0, 1, 2, 3, 1, 2, 1, 0, 2, 0, 2, 2, 3, 2, 3, 3, 2, 2, 1, 2, 1, 0, 2, 3  },
{ 1, 0, 2, 0, 1, 3, 3, 2, 0, 1, 1, 0, 2, 2, 3, 2, 1, 1, 0, 2, 2, 2, 1, 1, 2, 0, 0, 2, 1, 2, 3, 2, 0, 3, 2, 0, 1, 2, 1, 1, 2, 2  },
{ 1, 0, 3, 0, 1, 1, 0, 2, 1, 0, 0, 1, 3, 0, 2, 2, 2, 3, 1, 0, 2, 0, 1, 1, 2, 3, 1, 0, 0, 2, 3, 2, 0, 2, 0, 2, 1, 3, 0, 2, 2, 3  },
{ 1, 0, 0, 2, 3, 0, 1, 1, 0, 2, 3, 1, 2, 2, 1, 2, 1, 1, 3, 0, 2, 2, 1, 3, 2, 3, 1, 0, 0, 2, 3, 1, 2, 0, 2, 2, 1, 0, 2, 0, 2, 3  },
{ 1, 3, 0, 0, 1, 1, 1, 3, 0, 1, 0, 0, 1, 2, 0, 2, 3, 3, 1, 0, 3, 2, 2, 0, 2, 1, 1, 0, 0, 2, 2, 3, 1, 0, 1, 2, 1, 2, 1, 1, 2, 2  },
{ 1, 0, 3, 0, 2, 0, 1, 2, 2, 3, 2, 2, 3, 1, 2, 2, 2, 2, 1, 0, 2, 3, 0, 2, 3, 0, 1, 0, 0, 2, 3, 0, 3, 1, 1, 2, 1, 3, 0, 2, 2, 2  },
{ 1, 2, 2, 2, 0, 3, 3, 0, 1, 3, 0, 2, 2, 0, 2, 2, 2, 2, 0, 3, 1, 0, 3, 2, 2, 0, 2, 2, 2, 2, 0, 0, 3, 2, 0, 2, 1, 0, 1, 3, 0, 0  },
{ 1, 0, 0, 2, 3, 0, 2, 0, 2, 2, 1, 3, 1, 1, 2, 2, 1, 2, 0, 0, 2, 1, 1, 2, 2, 3, 1, 1, 1, 1, 2, 1, 2, 2, 1, 2, 1, 3, 2, 3, 2, 3  },
{ 1, 0, 0, 2, 1, 0, 0, 0, 2, 3, 1, 3, 0, 2, 0, 1, 3, 1, 1, 2, 0, 2, 2, 3, 1, 2, 0, 2, 3, 2, 1, 0, 2, 2, 0, 2, 1, 3, 0, 0, 2, 3  },
{ 3, 1, 2, 1, 0, 3, 2, 0, 0, 2, 0, 2, 3, 1, 2, 0, 1, 3, 1, 0, 2, 1, 2, 2, 2, 0, 3, 0, 3, 2, 3, 0, 2, 0, 1, 2, 0, 0, 3, 1, 1, 2  },
{ 1, 1, 2, 0, 1, 1, 0, 2, 1, 2, 0, 2, 0, 2, 2, 0, 0, 1, 2, 3, 2, 3, 2, 2, 0, 1, 2, 1, 0, 1, 2, 1, 3, 2, 1, 1, 1, 2, 1, 1, 2, 2  },
{ 1, 1, 2, 0, 1, 1, 0, 2, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 0, 1, 2, 1, 3, 2, 0, 1, 2, 0, 1, 2, 2, 1, 2, 3, 2, 2, 1, 2, 3, 2, 2, 2  },
{ 1, 1, 2, 0, 1, 1, 2, 1, 0, 0, 1, 0, 2, 2, 2, 0, 0, 2, 0, 2, 1, 2, 2, 2, 0, 2, 2, 2, 3, 1, 3, 2, 3, 1, 2, 1, 1, 2, 0, 1, 2, 3  },
{ 1, 0, 2, 1, 1, 1, 0, 1, 1, 1, 1, 0, 2, 2, 0, 2, 1, 0, 2, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 0, 3, 1, 3, 2, 2, 2, 1, 2, 1, 1, 2, 2  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 2, 1, 0, 2, 1, 2, 1, 1, 0, 1, 2, 3, 2, 1, 0, 1, 1, 0, 2, 1, 0, 1, 2, 3, 2, 2, 1, 2, 0, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 0, 3, 1, 1, 0, 0, 1, 2, 0, 2, 2, 0, 0, 2, 3, 1, 2, 0, 2, 0, 1, 2, 0, 2, 2, 3, 0, 3, 2, 1, 1, 1, 2, 2, 1, 2, 3  },
{ 1, 2, 0, 1, 1, 1, 0, 2, 0, 1, 1, 0, 1, 2, 0, 2, 1, 1, 0, 2, 0, 3, 1, 2, 0, 0, 2, 0, 1, 1, 3, 1, 3, 2, 1, 2, 1, 2, 2, 1, 2, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 0, 0, 2, 0, 1, 2, 1, 2, 1, 0, 1, 0, 2, 0, 1, 0, 2, 3, 1, 2, 0, 1, 3, 0, 2, 1, 0, 2, 1, 0, 2, 1, 2, 1  },
{ 1, 1, 2, 0, 1, 3, 1, 0, 1, 1, 2, 2, 1, 0, 2, 2, 0, 1, 0, 2, 1, 2, 0, 2, 0, 1, 1, 2, 3, 1, 3, 1, 3, 2, 0, 1, 1, 2, 2, 1, 2, 2  },
{ 1, 0, 3, 1, 2, 0, 2, 0, 0, 1, 2, 1, 0, 1, 2, 1, 0, 1, 0, 2, 1, 3, 0, 2, 0, 1, 1, 2, 3, 0, 3, 0, 3, 2, 0, 2, 1, 2, 1, 1, 2, 2  },
{ 1, 0, 3, 1, 1, 0, 1, 2, 0, 1, 1, 1, 0, 1, 2, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 1, 2, 2, 1, 2, 3, 1, 3, 2, 0, 2, 1, 2, 0, 3, 2, 2  },
{ 1, 0, 3, 1, 1, 3, 1, 3, 0, 1, 2, 1, 0, 1, 1, 2, 2, 3, 1, 0, 2, 2, 2, 2, 2, 3, 0, 2, 0, 2, 3, 1, 0, 2, 3, 2, 1, 2, 0, 3, 3, 2  },
{ 1, 0, 2, 1, 1, 0, 3, 1, 1, 2, 2, 1, 3, 0, 1, 1, 0, 2, 0, 1, 3, 2, 0, 2, 0, 1, 0, 3, 0, 0, 3, 1, 3, 2, 0, 1, 3, 2, 0, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 3, 1, 0, 1, 1, 3, 0, 1, 2, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 2, 2, 2, 2, 2, 3, 1, 3, 2, 0, 2, 1, 2, 3, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 3, 1, 0, 1, 1, 3, 1, 2, 2, 0, 0, 1, 0, 2, 3, 2, 0, 2, 0, 1, 2, 0, 1, 2, 1, 3, 0, 0, 2, 2, 1, 3, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 3, 0, 0, 0, 0, 2, 3, 1, 0, 2, 0, 1, 0, 1, 0, 2, 3, 0, 1, 2, 0, 3, 2, 0, 2, 0, 3, 1, 0, 3, 2, 1, 3, 1, 2, 1, 2  },
{ 1, 2, 2, 3, 0, 2, 3, 0, 0, 1, 3, 0, 0, 1, 0, 3, 2, 3, 1, 3, 0, 2, 2, 2, 2, 1, 1, 0, 2, 0, 2, 3, 2, 1, 0, 2, 1, 2, 0, 0, 0, 2  },
{ 1, 1, 0, 3, 1, 0, 3, 0, 2, 2, 3, 0, 1, 2, 1, 1, 0, 3, 2, 2, 0, 3, 0, 2, 0, 1, 0, 3, 2, 2, 3, 1, 3, 1, 0, 0, 3, 2, 1, 2, 1, 2  },
{ 1, 0, 1, 3, 2, 3, 2, 3, 0, 2, 1, 0, 1, 3, 1, 1, 0, 1, 3, 1, 2, 3, 2, 2, 0, 1, 0, 0, 0, 2, 3, 2, 3, 2, 0, 2, 2, 3, 0, 2, 3, 2  },
{ 0, 0, 1, 1, 0, 0, 1, 3, 2, 0, 0, 0, 1, 0, 2, 2, 2, 0, 0, 2, 0, 2, 2, 0, 2, 0, 0, 1, 1, 3, 0, 1, 1, 1, 0, 1, 2, 1, 1, 2, 0, 0  },
{ 1, 0, 2, 2, 1, 1, 0, 1, 0, 1, 1, 0, 2, 0, 2, 2, 1, 1, 0, 2, 3, 2, 3, 2, 0, 1, 1, 0, 2, 0, 2, 1, 1, 3, 2, 1, 1, 2, 0, 3, 2, 2  },
{ 1, 0, 2, 2, 0, 0, 1, 0, 2, 1, 2, 1, 2, 3, 1, 2, 1, 1, 0, 0, 2, 1, 2, 3, 2, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 0, 1, 2, 1, 0, 2, 2  },
{ 1, 0, 3, 2, 0, 0, 1, 1, 0, 1, 2, 1, 0, 2, 0, 2, 1, 1, 0, 0, 2, 3, 1, 0, 2, 0, 0, 2, 0, 0, 3, 0, 2, 0, 0, 2, 1, 2, 1, 0, 2, 2  },
{ 1, 0, 0, 2, 1, 3, 1, 0, 0, 0, 3, 0, 1, 2, 2, 2, 1, 0, 1, 2, 0, 3, 1, 3, 2, 0, 1, 2, 0, 2, 2, 2, 1, 3, 0, 2, 1, 0, 1, 2, 2, 2  },
{ 1, 0, 3, 2, 0, 0, 1, 2, 0, 1, 3, 1, 0, 2, 1, 2, 3, 2, 1, 0, 3, 2, 1, 2, 2, 1, 1, 0, 0, 2, 2, 0, 2, 2, 2, 0, 1, 2, 0, 2, 3, 2  },
{ 1, 0, 3, 0, 1, 1, 0, 0, 2, 3, 2, 2, 1, 0, 1, 2, 1, 1, 3, 0, 2, 1, 3, 2, 2, 1, 1, 0, 0, 2, 2, 0, 1, 0, 1, 2, 1, 2, 0, 2, 3, 2  },
{ 1, 0, 3, 2, 2, 2, 0, 0, 2, 3, 3, 0, 1, 2, 2, 2, 0, 1, 2, 1, 0, 2, 1, 2, 2, 2, 3, 1, 0, 2, 2, 2, 1, 2, 0, 2, 1, 3, 2, 2, 0, 2  },
{ 1, 0, 0, 3, 1, 1, 2, 0, 2, 0, 0, 0, 1, 2, 1, 2, 1, 2, 0, 1, 0, 2, 0, 2, 1, 3, 1, 0, 2, 1, 2, 0, 2, 0, 0, 2, 1, 0, 1, 0, 2, 3  },
{ 1, 0, 0, 2, 1, 3, 1, 0, 2, 0, 1, 2, 3, 2, 0, 0, 1, 2, 0, 1, 1, 2, 2, 2, 3, 3, 1, 1, 2, 1, 2, 0, 1, 2, 0, 2, 1, 2, 0, 0, 2, 3  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 0, 3, 1, 1, 0, 1, 2, 3, 1, 3, 1, 1, 0, 2, 2, 2, 2, 0, 2, 1, 0, 2, 2, 0, 1, 2, 1, 2, 1, 0, 1, 3, 2, 3  },
{ 1, 0, 3, 2, 3, 0, 1, 0, 0, 1, 1, 0, 1, 0, 2, 2, 0, 3, 1, 0, 3, 2, 2, 0, 2, 2, 0, 1, 1, 2, 2, 0, 1, 0, 1, 2, 1, 0, 0, 1, 2, 3  },
{ 1, 0, 0, 2, 2, 2, 2, 0, 2, 3, 3, 2, 1, 3, 2, 2, 0, 1, 0, 0, 0, 0, 3, 2, 2, 2, 0, 3, 1, 2, 2, 0, 2, 2, 1, 2, 1, 3, 1, 3, 0, 2  },
{ 1, 0, 1, 0, 1, 2, 1, 2, 2, 3, 1, 1, 2, 0, 2, 1, 1, 2, 0, 0, 2, 0, 2, 2, 2, 2, 0, 1, 0, 1, 2, 0, 0, 1, 0, 2, 1, 2, 0, 3, 2, 3  },
{ 1, 0, 0, 2, 2, 0, 0, 0, 2, 3, 1, 3, 2, 1, 1, 2, 1, 2, 2, 2, 3, 0, 3, 2, 2, 0, 3, 1, 0, 1, 2, 3, 1, 1, 0, 2, 2, 1, 2, 1, 2, 2  },
{ 1, 2, 3, 0, 1, 0, 1, 0, 2, 2, 0, 0, 1, 2, 1, 0, 1, 2, 3, 1, 1, 0, 1, 1, 2, 1, 0, 1, 1, 1, 2, 2, 2, 1, 1, 0, 0, 3, 3, 3, 0, 2  },
{ 1, 0, 2, 1, 1, 1, 0, 1, 1, 0, 1, 0, 2, 0, 2, 0, 1, 2, 0, 2, 1, 2, 0, 1, 0, 0, 0, 1, 2, 1, 1, 0, 2, 3, 2, 1, 1, 2, 1, 0, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 2, 1, 1, 0, 1, 0, 1, 1, 1, 1, 0, 2, 0, 2, 0, 1, 2, 1, 1, 0, 2, 1, 0, 0, 2, 0, 1, 1, 1, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 1, 2, 2, 1, 0, 1, 2, 0, 0, 2, 0, 1, 2, 2, 0, 1, 0, 1, 1, 3, 2, 1, 0, 1, 1, 0, 2, 1, 1, 2, 3, 2, 2, 2  },
{ 1, 2, 0, 1, 1, 1, 0, 2, 0, 1, 1, 0, 2, 1, 0, 2, 1, 2, 0, 1, 0, 0, 2, 1, 0, 1, 1, 0, 2, 1, 0, 0, 3, 2, 1, 2, 1, 2, 0, 0, 2, 2  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 2, 1, 1, 0, 1, 0, 2, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 2, 2, 0, 1, 1, 3, 1, 3, 1, 1, 1, 1, 2, 3, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 0, 3, 2, 1, 1, 2, 1, 0, 1, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 2, 1, 2, 3, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 1, 0, 3, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 1, 1, 0, 2, 3, 1, 0, 0, 1, 0, 1, 2, 1, 0, 2, 1, 2, 0, 2, 3, 2  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 1, 1, 2, 1, 0, 1, 1, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 2, 1, 0, 3, 0, 3, 0, 3, 1, 1, 1, 1, 2, 2, 1, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 3, 2, 2, 1, 1, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 0, 2, 1, 3, 1, 1, 3, 2, 3, 0, 2, 1, 2, 2, 2  },
{ 1, 0, 3, 1, 1, 2, 1, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 0, 2, 2, 0, 2, 1, 0, 1, 2, 1, 2, 1, 0, 2, 1, 2, 1, 1, 2, 2  },
{ 1, 0, 3, 1, 1, 1, 2, 0, 0, 0, 1, 3, 0, 1, 3, 0, 1, 0, 1, 0, 2, 0, 2, 3, 2, 1, 3, 1, 0, 0, 2, 0, 3, 2, 0, 2, 0, 2, 0, 3, 1, 2  },
{ 1, 0, 2, 1, 1, 1, 2, 1, 1, 2, 2, 0, 1, 0, 1, 1, 0, 2, 1, 0, 2, 1, 0, 2, 0, 1, 0, 2, 0, 1, 3, 0, 3, 0, 0, 1, 3, 2, 1, 2, 2, 2  },
{ 1, 3, 0, 1, 1, 1, 3, 2, 0, 0, 2, 0, 1, 1, 1, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 1, 0, 0, 1, 1, 3, 0, 0, 2, 1, 2, 1, 2, 2, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 3, 0, 3, 1, 3, 1, 0, 0, 2, 1, 2, 1, 0, 2, 2  },
{ 1, 3, 0, 1, 1, 3, 0, 1, 1, 0, 3, 1, 0, 1, 2, 0, 1, 1, 0, 1, 3, 0, 3, 1, 2, 1, 2, 0, 2, 3, 1, 0, 3, 1, 3, 2, 1, 0, 2, 2, 2, 2  },
{ 1, 2, 0, 1, 1, 3, 2, 0, 0, 0, 3, 2, 3, 0, 0, 3, 1, 0, 0, 1, 0, 2, 2, 1, 1, 3, 2, 3, 2, 3, 2, 3, 2, 3, 2, 3, 0, 2, 1, 2, 1, 0  },
{ 1, 2, 0, 1, 1, 1, 2, 3, 0, 3, 1, 2, 3, 0, 1, 0, 0, 3, 0, 1, 0, 3, 0, 0, 2, 2, 3, 1, 0, 3, 2, 1, 3, 2, 2, 1, 1, 2, 0, 1, 2, 0  },
{ 1, 1, 3, 0, 1, 1, 3, 2, 1, 1, 0, 3, 0, 1, 3, 2, 0, 3, 1, 0, 1, 2, 0, 2, 0, 1, 0, 2, 3, 1, 3, 1, 2, 0, 0, 0, 3, 2, 0, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 3, 0, 0, 3, 0, 2, 0, 1, 3, 0, 0, 1, 0, 3, 2, 1, 2, 0, 1, 0, 3, 0, 2, 2, 0, 3, 3, 0, 2, 2, 3, 0, 2, 1, 2  },
{ 0, 1, 3, 1, 1, 0, 3, 2, 0, 0, 1, 3, 2, 3, 1, 0, 0, 0, 1, 0, 3, 1, 3, 1, 2, 1, 1, 2, 0, 1, 3, 3, 2, 0, 2, 2, 3, 1, 2, 0, 1, 2  },
{ 1, 0, 2, 1, 1, 2, 3, 1, 3, 3, 0, 1, 3, 0, 1, 0, 1, 0, 2, 0, 1, 3, 0, 3, 2, 3, 0, 1, 3, 1, 1, 0, 3, 1, 1, 2, 0, 2, 1, 2, 2, 3  },
{ 1, 0, 2, 2, 1, 2, 1, 0, 2, 1, 1, 0, 2, 1, 0, 0, 3, 2, 0, 1, 2, 3, 2, 0, 0, 0, 2, 0, 2, 0, 0, 1, 3, 2, 1, 2, 1, 2, 0, 1, 2, 2  },
{ 1, 0, 2, 0, 1, 2, 0, 2, 0, 1, 1, 0, 1, 2, 0, 2, 0, 2, 0, 1, 2, 3, 2, 1, 0, 1, 0, 1, 2, 0, 0, 1, 1, 2, 0, 2, 1, 2, 1, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 1, 2, 0, 1, 2, 1, 0, 2, 3, 0, 1, 2, 0, 0, 1, 0, 1, 1, 1, 1, 2, 0, 2, 1, 2, 1, 0, 2, 2  },
{ 1, 0, 2, 0, 1, 2, 0, 2, 0, 1, 1, 0, 1, 0, 2, 2, 0, 1, 0, 2, 0, 1, 1, 0, 2, 1, 2, 0, 1, 0, 1, 0, 2, 1, 0, 2, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 0, 1, 1, 0, 1, 0, 2, 2, 0, 2, 0, 2, 0, 3, 2, 1, 2, 1, 0, 1, 0, 1, 1, 1, 2, 1, 2, 0, 1, 2, 0, 0, 2, 2  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 2, 1, 2, 1, 2, 1, 1, 0, 3, 2, 1, 2, 0, 1, 0, 0, 2, 2, 1, 1, 1, 0, 2, 1, 3, 0, 1, 2, 1  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 0, 0, 3, 2, 0, 1, 2, 2, 1, 0, 1, 0, 2, 0, 3, 2, 2, 0, 2, 1, 0, 1, 3, 0, 1, 2, 0, 2, 1, 3, 0, 2, 2, 2  },
{ 1, 0, 2, 2, 1, 3, 0, 0, 0, 0, 3, 1, 1, 2, 0, 2, 1, 2, 0, 1, 0, 0, 1, 2, 2, 3, 1, 0, 1, 2, 1, 0, 2, 0, 0, 2, 1, 2, 0, 2, 0, 1  },
{ 0, 1, 2, 0, 0, 1, 1, 2, 2, 1, 2, 0, 3, 1, 0, 2, 0, 2, 0, 1, 2, 2, 2, 2, 2, 1, 2, 1, 0, 3, 2, 0, 1, 2, 1, 2, 1, 2, 0, 2, 2, 3  },
{ 3, 1, 2, 1, 0, 0, 0, 0, 0, 1, 2, 3, 0, 0, 2, 0, 1, 2, 1, 2, 0, 1, 1, 0, 2, 0, 3, 1, 0, 2, 1, 2, 0, 0, 1, 2, 1, 0, 1, 0, 1, 1  },
{ 1, 2, 0, 1, 1, 3, 2, 3, 1, 0, 3, 1, 1, 0, 2, 0, 1, 0, 3, 0, 1, 0, 2, 1, 1, 0, 3, 1, 0, 2, 3, 0, 3, 2, 1, 1, 0, 2, 0, 3, 1, 0  },
{ 2, 2, 3, 2, 0, 2, 2, 0, 2, 0, 1, 2, 2, 1, 2, 2, 0, 3, 3, 2, 0, 1, 3, 2, 2, 2, 3, 1, 1, 2, 2, 0, 0, 2, 0, 2, 2, 3, 0, 0, 1, 2  },
{ 1, 2, 1, 1, 1, 2, 0, 2, 0, 0, 0, 1, 0, 0, 2, 1, 1, 2, 3, 1, 0, 1, 3, 2, 2, 2, 0, 1, 1, 2, 0, 0, 3, 0, 0, 2, 1, 2, 1, 3, 1, 3  },
{ 1, 0, 1, 2, 3, 0, 2, 1, 0, 1, 2, 0, 0, 1, 2, 2, 0, 1, 3, 2, 1, 1, 2, 2, 0, 1, 2, 0, 1, 0, 2, 1, 0, 2, 0, 2, 2, 2, 1, 1, 0, 3  },
{ 0, 1, 2, 0, 3, 1, 2, 2, 2, 1, 0, 1, 0, 0, 0, 2, 1, 2, 1, 2, 0, 1, 2, 2, 2, 0, 0, 0, 1, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 1, 1, 2  },
{ 1, 1, 0, 1, 1, 1, 0, 2, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 2, 2, 2, 0, 2, 1, 1, 0, 0, 1, 0, 1, 0, 1, 2, 0, 1, 1, 1, 2, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 0, 1, 1, 0, 2, 1, 0, 0, 2, 2, 0, 1, 2, 0, 2, 1, 1, 2, 2, 0, 1, 1, 0, 1, 2, 0, 2, 0, 1, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 1, 0, 2, 2, 0, 1, 1, 1, 1, 2, 0, 1, 1, 1, 1, 0, 2, 1, 1, 2, 0, 1, 2, 1  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 1, 0, 1, 0, 2, 1, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 0, 3, 0, 1, 0, 1, 1, 1, 1, 0, 1, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 2, 0, 2, 1, 1, 0, 2, 1, 0, 0, 2, 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 0, 2, 0, 1, 1, 2, 0, 0, 0, 1, 1, 0, 1, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 1, 2, 1, 0, 1, 1, 0, 2, 1, 2, 0, 2, 1, 0, 2, 1, 1, 0, 1, 0, 2, 1, 2, 0, 0, 2, 0, 1, 3, 1, 0, 2, 0, 1, 2, 1, 2, 0, 2, 2, 0  },
{ 1, 1, 0, 2, 1, 2, 0, 2, 1, 0, 0, 2, 1, 0, 1, 1, 1, 0, 1, 0, 2, 1, 0, 2, 0, 2, 2, 1, 0, 0, 2, 1, 1, 0, 1, 1, 1, 2, 0, 1, 2, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 1, 1, 2, 2, 0, 2, 2, 2, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 1, 1, 0, 1, 0, 0, 0, 1, 2, 2, 1, 1, 2, 0, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 0, 2, 1, 1, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 1, 3, 1, 1, 2, 1, 2, 0, 1, 2, 1, 0, 2, 2  },
{ 0, 1, 2, 1, 0, 3, 0, 2, 1, 1, 0, 0, 2, 1, 0, 2, 0, 2, 0, 1, 2, 0, 1, 2, 2, 1, 2, 1, 0, 0, 0, 1, 1, 2, 0, 2, 0, 2, 0, 0, 2, 0  },
{ 1, 1, 0, 1, 1, 0, 2, 3, 1, 1, 0, 0, 1, 0, 1, 3, 0, 2, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 2, 1, 1, 0, 1, 1, 1, 2, 2, 1, 2, 2  },
{ 1, 1, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 1, 0, 3, 1, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 2, 0, 3, 1, 2, 0, 1, 2, 0, 0, 2, 2  },
{ 1, 0, 1, 3, 1, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 2, 2, 2, 0, 1, 0, 0, 2, 1, 1, 1, 2, 2, 1, 0, 2, 0, 2, 2  },
{ 0, 1, 2, 0, 0, 3, 1, 1, 1, 1, 3, 2, 0, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 1, 2, 1, 1, 0, 1, 3, 1, 1, 1, 2, 2, 2, 1, 2, 0, 0, 0, 2  },
{ 1, 3, 0, 2, 0, 1, 2, 0, 1, 1, 2, 1, 3, 1, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 2, 1, 2, 0, 1, 3, 1, 2, 0, 2, 0, 3, 0, 1, 0, 3, 1, 1  },
{ 1, 3, 0, 1, 1, 0, 2, 2, 1, 0, 1, 2, 1, 0, 0, 2, 0, 0, 1, 0, 2, 1, 0, 2, 0, 1, 1, 1, 0, 0, 2, 0, 2, 1, 1, 1, 3, 2, 2, 0, 2, 2  },
{ 0, 1, 2, 1, 1, 0, 1, 3, 1, 0, 1, 3, 1, 0, 1, 2, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 2, 1, 2, 2, 1, 2, 0, 1, 2, 2  },
{ 0, 1, 2, 1, 0, 1, 2, 1, 1, 1, 0, 3, 0, 1, 1, 0, 1, 3, 1, 0, 2, 1, 0, 0, 2, 1, 0, 1, 0, 0, 2, 1, 1, 1, 2, 2, 0, 2, 2, 1, 2, 2  },
{ 3, 1, 0, 1, 2, 1, 3, 0, 1, 0, 1, 1, 1, 2, 1, 0, 1, 0, 2, 0, 1, 2, 0, 0, 2, 1, 1, 0, 3, 3, 0, 2, 1, 1, 2, 2, 0, 2, 1, 2, 2, 2  },
{ 1, 1, 3, 0, 0, 3, 2, 0, 3, 1, 0, 1, 3, 2, 0, 1, 0, 2, 3, 0, 1, 3, 0, 2, 0, 0, 2, 3, 3, 0, 2, 0, 3, 1, 0, 0, 2, 0, 3, 2, 0, 2  },
{ 1, 0, 2, 1, 1, 2, 0, 0, 3, 0, 1, 3, 0, 2, 3, 1, 2, 0, 3, 0, 1, 0, 1, 2, 0, 0, 1, 3, 1, 0, 3, 0, 1, 2, 0, 2, 2, 0, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 3, 0, 2, 1, 1, 3, 0, 1, 1, 3, 0, 3, 0, 1, 3, 0, 1, 0, 2, 0, 0, 2, 1, 0, 3, 1, 2, 1, 0, 0, 2, 1, 2, 3, 1, 2, 2  },
{ 1, 2, 0, 1, 0, 1, 2, 2, 1, 0, 1, 0, 1, 0, 2, 0, 1, 2, 1, 1, 0, 1, 1, 2, 1, 0, 3, 1, 0, 2, 2, 0, 2, 3, 2, 1, 0, 2, 1, 2, 2, 3  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 1, 2, 0, 0, 1, 0, 1, 1, 1, 2, 0, 2, 0, 1  },
{ 1, 1, 0, 2, 0, 0, 2, 0, 2, 1, 2, 0, 1, 2, 0, 2, 1, 2, 1, 2, 0, 1, 2, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 1, 0, 2, 1, 1, 1, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 1, 2, 2, 0, 2, 0, 1, 3, 1, 0, 1, 2, 0, 2, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 0, 2, 3, 0, 2, 0, 2, 1, 0, 2, 1, 0, 0, 1, 2, 2, 0, 2, 2, 0, 3, 1, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 1  },
{ 1, 0, 3, 2, 1, 2, 1, 2, 0, 0, 2, 0, 1, 2, 0, 2, 1, 1, 3, 1, 0, 0, 1, 2, 2, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0, 2, 1, 2, 0, 1, 2, 0  },
{ 3, 1, 3, 0, 0, 2, 1, 1, 1, 1, 2, 2, 2, 1, 2, 0, 1, 0, 0, 0, 1, 0, 3, 0, 2, 0, 2, 0, 3, 2, 1, 0, 2, 0, 1, 2, 1, 0, 1, 0, 1, 0  },
{ 1, 0, 2, 2, 1, 2, 0, 0, 2, 1, 2, 1, 1, 1, 1, 2, 0, 2, 2, 3, 0, 2, 1, 0, 2, 0, 0, 1, 2, 3, 2, 2, 1, 2, 0, 2, 1, 2, 0, 1, 0, 1  },
{ 1, 0, 2, 2, 1, 0, 3, 2, 0, 1, 2, 0, 0, 2, 3, 2, 0, 1, 2, 0, 1, 1, 1, 1, 2, 1, 2, 2, 1, 2, 0, 2, 1, 0, 2, 0, 2, 0, 1, 1, 0, 0  },
{ 1, 0, 2, 3, 1, 0, 0, 2, 0, 0, 2, 1, 1, 2, 0, 2, 1, 2, 1, 1, 0, 1, 1, 2, 1, 2, 1, 2, 3, 2, 2, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 2  },
{ 1, 0, 2, 0, 1, 3, 1, 2, 0, 1, 2, 1, 3, 1, 2, 0, 2, 0, 1, 2, 1, 0, 1, 2, 2, 1, 2, 1, 0, 1, 2, 0, 0, 2, 0, 2, 1, 1, 0, 2, 2, 2  },
{ 1, 2, 0, 3, 1, 0, 0, 1, 0, 2, 1, 1, 2, 0, 2, 0, 0, 0, 0, 0, 1, 0, 3, 0, 2, 1, 2, 0, 0, 1, 2, 1, 0, 2, 1, 1, 0, 2, 0, 3, 0, 1  },
{ 2, 1, 2, 2, 0, 1, 3, 3, 0, 2, 2, 2, 0, 2, 2, 2, 3, 3, 1, 1, 0, 0, 0, 2, 2, 2, 0, 1, 3, 1, 3, 3, 2, 0, 0, 2, 1, 2, 3, 0, 0, 2  },
{ 1, 0, 2, 2, 1, 0, 0, 2, 0, 0, 1, 1, 1, 2, 0, 2, 2, 1, 2, 1, 0, 2, 1, 2, 0, 1, 0, 3, 0, 1, 0, 1, 3, 2, 0, 2, 2, 2, 1, 2, 2, 2  },
{ 1, 0, 1, 2, 2, 1, 1, 2, 0, 3, 0, 0, 1, 1, 2, 2, 2, 2, 0, 2, 0, 1, 1, 2, 2, 1, 0, 1, 2, 3, 0, 3, 0, 2, 2, 0, 1, 2, 0, 1, 0, 2  },
{ 0, 2, 2, 1, 0, 2, 1, 3, 0, 2, 2, 1, 0, 2, 0, 3, 2, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 1, 1, 0, 0, 0, 2, 2, 1, 1, 1, 2, 2, 0, 0, 0  },
{ 0, 1, 2, 1, 1, 1, 0, 2, 1, 0, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 2, 1, 2, 1, 0, 0, 0, 0, 2, 1, 0, 1, 0, 2, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 2, 2, 1, 1, 0, 0, 1, 0, 1, 2, 1, 1, 0, 1, 0, 1, 2, 0, 2, 1, 0, 0, 1, 3, 0, 1, 1, 1, 2, 1, 1, 2, 0, 2, 0, 1  },
{ 0, 1, 2, 1, 1, 0, 2, 1, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 0, 2, 2, 0  },
{ 0, 3, 1, 1, 1, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 1, 1, 2, 0, 1, 2, 0, 2, 0, 2, 1, 0, 0, 1, 1, 0, 0, 1, 2, 0, 2, 1, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 1, 0, 2, 0, 1, 2, 0, 1, 1, 1, 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 3, 2, 0, 0, 0, 2, 0, 2, 2, 1, 3, 0, 1, 0, 1, 0, 2, 0, 1, 0, 1, 2, 2, 0, 0, 2, 1, 0, 0, 1, 2, 1, 0, 2, 0  },
{ 3, 1, 0, 1, 0, 2, 0, 2, 1, 1, 0, 3, 3, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 1, 0, 1, 3, 0, 0, 1, 2, 2, 2, 1, 2, 0, 1, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 1, 2, 1, 0, 0, 1, 0, 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 2, 1, 0, 3, 1, 0, 1, 2, 0, 2, 1, 2, 0, 1, 0, 0  },
{ 2, 1, 3, 0, 1, 1, 1, 3, 1, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 2, 0, 1, 2, 0, 2, 1, 0, 2, 0, 2, 0, 0, 3, 1, 1, 1, 2, 3, 2, 2, 2  },
{ 2, 1, 0, 1, 0, 0, 3, 2, 1, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 2, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 1, 1, 0, 3, 1, 2, 1, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 1, 2, 0, 1, 1, 0, 2, 0, 1, 1, 0, 1, 0, 0, 1, 3, 0, 0, 2, 1, 1, 2, 0, 1, 3, 0, 0, 1, 2, 0, 2, 1, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 3, 1, 1, 1, 2, 0, 1, 1, 2, 0, 0, 0, 3, 0, 1, 2, 0, 1, 2, 1, 1, 0, 2, 1, 2, 0, 1, 2, 2, 2, 1, 2, 0, 1, 2, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 2, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 1, 2, 3, 0, 2, 0, 1, 1, 2, 1, 3, 0, 2, 1, 2, 2  },
{ 0, 1, 3, 1, 0, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 3, 0, 0, 2, 0, 2, 1, 2, 2, 0, 2, 1, 1, 2, 0  },
{ 1, 0, 3, 0, 1, 2, 0, 0, 1, 0, 2, 1, 2, 0, 1, 0, 1, 3, 0, 1, 0, 3, 2, 0, 2, 0, 0, 1, 0, 3, 0, 2, 1, 0, 2, 2, 3, 0, 2, 3, 2, 2  },
{ 1, 2, 1, 0, 2, 1, 3, 1, 2, 1, 2, 0, 1, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 3, 1, 1, 3, 1, 2, 0, 1, 2, 0, 2, 2, 2, 0, 2, 0, 2, 2, 0  },
{ 3, 1, 2, 1, 0, 2, 1, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 2, 1, 2, 1, 1, 0, 2, 0, 0, 1, 2, 0, 2, 1, 1, 3, 2, 3, 3, 0, 2, 0, 2, 1, 0  },
{ 3, 1, 3, 0, 1, 3, 2, 0, 0, 1, 0, 2, 3, 0, 1, 0, 1, 3, 0, 2, 1, 0, 1, 3, 0, 0, 3, 1, 3, 0, 2, 0, 3, 2, 0, 0, 3, 0, 2, 2, 0, 2  },
{ 0, 1, 2, 1, 1, 2, 0, 1, 2, 1, 0, 2, 3, 0, 1, 0, 1, 0, 0, 1, 3, 0, 1, 2, 0, 0, 1, 0, 3, 1, 0, 0, 3, 2, 0, 2, 2, 3, 3, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 0, 0, 1, 3, 0, 1, 2, 0, 1, 0, 0, 1, 1, 2, 0, 0, 1, 2, 0, 0, 1, 0, 1, 0, 3, 0, 2, 2, 0, 2, 0, 2, 0, 0, 3, 2  },
{ 1, 2, 1, 2, 3, 0, 1, 2, 0, 1, 2, 1, 1, 0, 2, 0, 0, 1, 1, 2, 1, 0, 2, 0, 1, 1, 2, 1, 0, 1, 0, 0, 2, 2, 1, 2, 0, 2, 1, 3, 2, 3  },
{ 2, 2, 1, 2, 0, 2, 0, 1, 2, 1, 2, 3, 3, 1, 1, 0, 1, 2, 0, 0, 2, 2, 1, 2, 1, 1, 2, 1, 2, 3, 0, 2, 3, 2, 3, 1, 0, 2, 1, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 1, 1, 2, 2, 0, 3, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 2, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 2, 2, 0, 1, 0  },
{ 1, 1, 2, 0, 0, 2, 1, 2, 1, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 3, 1, 1, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 1, 0, 0, 1, 1, 0, 0, 2, 2, 1, 2, 0, 0, 2, 1, 2, 2, 0, 0, 2, 0, 1, 2, 0, 0, 1, 0, 2, 2, 1, 2, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 0, 0, 0, 1, 2, 1, 2, 0, 2, 1, 1, 0, 0, 1, 0, 1, 0, 2, 0, 0, 2, 0, 2, 0, 0, 0, 1, 0, 2, 2, 1, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 0, 1, 1, 0, 0, 0, 2, 2, 2, 2, 0, 2, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 1, 1, 2, 1, 0, 1, 1, 0, 2, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 1, 2, 2, 1, 2, 0, 2, 1, 1, 0, 2, 1, 1, 0, 0, 2, 0, 1, 2, 2, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 2, 1, 0, 0, 1, 0, 1  },
{ 0, 1, 1, 2, 1, 2, 1, 2, 0, 2, 1, 0, 3, 2, 2, 1, 1, 2, 0, 1, 1, 0, 0, 2, 2, 0, 2, 1, 2, 0, 3, 0, 0, 1, 0, 2, 1, 0, 1, 1, 0, 2  },
{ 0, 1, 2, 1, 1, 2, 2, 2, 1, 0, 1, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 1, 3, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 1, 0, 2, 1, 1, 0, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 2, 0, 0  },
{ 0, 1, 1, 2, 1, 0, 2, 1, 1, 0, 0, 0, 1, 0, 2, 2, 1, 2, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 2, 2, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 0, 1, 0, 2, 3, 2, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 2, 1, 1, 0, 1, 1, 0, 0, 1, 0, 2, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 2, 0, 1, 1, 0, 1, 0, 2, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 2, 1, 0, 1, 2, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0, 1, 1, 1, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 2, 1, 1, 0, 0, 2, 1, 3, 1, 1, 0, 0, 1, 2, 0, 2, 0, 3, 1, 1, 0, 1, 1, 0, 0, 1, 2, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 3, 1, 2, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 3, 0, 0, 1, 0, 2, 1, 1, 2, 0, 1, 0, 1  },
{ 1, 1, 2, 0, 0, 0, 1, 2, 1, 1, 0, 2, 1, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 2, 2, 0, 0, 1, 0, 1, 1, 0, 1, 2, 2, 0, 1, 2, 2, 0, 2, 1  },
{ 2, 1, 0, 1, 1, 1, 0, 1, 1, 0, 0, 1, 2, 0, 3, 0, 1, 1, 0, 1, 2, 0, 0, 2, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 1, 1, 3, 0, 0, 2, 2, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 2, 1, 0, 1, 0, 2, 2, 0, 1, 1, 0, 1, 0, 2, 1, 0, 2, 0, 1, 1, 0, 2, 0, 0, 0, 3, 1, 2, 1, 0, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 0, 1, 0, 1, 2, 3, 0, 2, 0, 1, 1, 1, 0, 1, 0, 0, 2, 0, 1, 1, 0, 2, 3, 0, 0, 1, 2, 2, 2, 1, 2, 0, 2, 2, 0  },
{ 3, 1, 2, 0, 0, 2, 1, 2, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 2, 1, 0, 2, 0, 2, 2, 1, 0, 0, 2, 1, 0, 0, 1, 2, 2, 2, 1, 2, 0, 1, 0, 1  },
{ 3, 1, 2, 0, 0, 0, 3, 1, 1, 1, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 0, 2, 0, 1, 2, 0, 3, 1, 0, 1, 3, 1, 0, 2, 1, 0, 1, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 1, 1, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 3, 1, 1, 3, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 0, 2, 1, 1, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 1, 3, 0, 2, 2, 1, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 1, 2, 0, 1, 0, 1, 1, 1, 1, 2, 0, 2, 1, 0, 2, 1, 1, 0, 2, 1, 0, 0, 0, 1, 2, 2, 1, 2, 0, 2, 1, 0  },
{ 1, 2, 1, 0, 0, 1, 2, 1, 2, 1, 2, 2, 1, 0, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 1, 2, 0, 1, 2, 2, 2, 1, 2, 2, 3, 0, 2, 0, 2, 3, 0  },
{ 1, 3, 0, 2, 1, 0, 0, 0, 1, 0, 2, 0, 2, 2, 0, 0, 1, 2, 1, 2, 0, 2, 0, 2, 1, 0, 0, 3, 3, 2, 1, 0, 1, 2, 2, 1, 0, 2, 0, 2, 2, 0  },
{ 2, 1, 1, 0, 2, 1, 3, 2, 0, 1, 2, 2, 1, 2, 0, 0, 1, 0, 2, 3, 2, 1, 0, 2, 0, 0, 1, 2, 3, 1, 2, 1, 1, 2, 0, 1, 2, 0, 2, 0, 0, 1  },
{ 1, 1, 3, 0, 1, 1, 2, 0, 0, 1, 3, 0, 3, 0, 1, 0, 0, 1, 1, 2, 0, 1, 2, 0, 1, 0, 1, 2, 2, 3, 0, 0, 2, 2, 3, 0, 3, 0, 2, 0, 2, 2  },
{ 2, 1, 3, 1, 0, 0, 2, 1, 2, 2, 1, 2, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 1, 3, 0, 3, 0, 2, 0, 2, 2, 3, 2, 2, 3, 2  },
{ 0, 1, 1, 2, 2, 2, 1, 2, 1, 1, 2, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 1, 2, 0, 1, 3, 0, 2, 0, 1, 0, 2, 0, 2, 0, 1, 2, 2  },
{ 1, 1, 2, 0, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 1, 0, 0, 1, 1, 0, 2, 1, 0, 2, 2, 0, 2, 1, 2, 2, 2  },
{ 1, 2, 1, 2, 1, 0, 1, 3, 2, 2, 1, 1, 2, 3, 2, 0, 0, 1, 2, 0, 2, 1, 2, 1, 1, 1, 3, 1, 0, 1, 3, 2, 2, 2, 2, 1, 2, 0, 2, 2, 0, 2  },
{ 0, 1, 2, 1, 1, 0, 2, 0, 0, 1, 0, 0, 2, 1, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 1, 1, 1, 2, 1, 1, 0, 0, 0, 1, 2, 1, 2, 2, 1, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 1, 0, 2, 0, 2, 2, 0, 1, 2, 0, 2, 1, 1, 2, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 2, 1, 0, 2, 1, 1, 0, 0  },
{ 1, 0, 2, 0, 0, 0, 1, 0, 3, 1, 1, 2, 1, 2, 0, 2, 0, 2, 1, 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 2, 2, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 0, 0, 2, 1, 0, 1, 2, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 1, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 3, 2, 2, 1, 2, 1, 1, 1, 0, 2, 2, 0, 1, 0, 1, 0, 0, 1, 2, 0, 2, 1, 2, 2, 0, 0, 1, 0, 0, 0, 1, 2, 0, 1, 1, 2, 0, 2, 0, 1  },
{ 1, 0, 2, 1, 1, 2, 0, 3, 2, 1, 2, 1, 0, 1, 0, 2, 2, 3, 0, 0, 2, 2, 1, 2, 2, 0, 1, 3, 0, 1, 2, 1, 1, 2, 0, 0, 1, 2, 0, 2, 0, 1  },
{ 1, 0, 2, 2, 2, 1, 2, 1, 2, 1, 2, 2, 2, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 2, 2, 2, 0, 2, 1, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 2, 1, 2, 1, 0, 0, 2, 1, 3, 0, 2, 2, 2, 1, 2, 3, 2, 1, 1, 1, 0, 2, 0, 0, 1, 2, 0, 1, 0, 2, 2, 0, 2, 1, 2, 1, 1, 0, 2  },
{ 1, 0, 2, 0, 1, 3, 1, 2, 0, 1, 2, 0, 1, 1, 0, 2, 1, 1, 1, 0, 2, 0, 1, 2, 2, 1, 2, 1, 1, 1, 3, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 3, 0, 0, 2, 1, 0, 1, 2, 1, 2, 1, 0, 2, 1, 2, 2, 1, 2, 0, 1, 2, 2, 0, 2, 1, 2, 1, 3, 1, 0, 1, 0, 2, 1, 2, 2, 2, 0, 0  },
{ 1, 0, 2, 2, 3, 1, 0, 0, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 2, 1, 1, 0, 0, 2, 2, 2, 1, 2, 0, 2, 3, 0, 1, 0, 0, 1, 1, 1, 2, 0, 1, 2  },
{ 2, 1, 2, 0, 0, 0, 1, 1, 2, 2, 1, 2, 0, 0, 2, 0, 0, 0, 1, 2, 0, 1, 2, 2, 2, 0, 2, 1, 2, 2, 3, 1, 3, 1, 0, 2, 1, 2, 0, 0, 1, 2  },
{ 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 1, 3, 1, 2, 2, 2, 2, 1, 1, 2, 3, 0, 1, 1, 2, 0, 0, 1, 0, 0, 2, 0, 2, 0, 0, 2, 1, 0, 2, 0, 2, 3  },
{ 1, 1, 2, 0, 1, 1, 1, 2, 0, 0, 0, 0, 1, 2, 2, 1, 1, 2, 1, 2, 0, 3, 1, 2, 2, 3, 1, 1, 0, 1, 2, 2, 1, 0, 0, 2, 1, 2, 0, 0, 0, 2  },
{ 1, 0, 2, 1, 2, 1, 2, 1, 2, 0, 2, 2, 0, 0, 0, 1, 2, 1, 1, 0, 2, 1, 2, 2, 2, 1, 1, 2, 2, 1, 2, 0, 1, 1, 2, 0, 1, 0, 1, 0, 3, 2  },
{ 0, 1, 2, 1, 1, 0, 2, 1, 2, 0, 1, 1, 2, 1, 1, 0, 1, 1, 2, 0, 2, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 2, 1, 0, 1, 1, 2, 1, 2, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 0, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 2, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 0, 1, 1, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 2, 2, 2, 0, 1  },
{ 2, 1, 0, 1, 1, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 3, 0, 1, 0, 2, 0, 1, 1, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 2, 2, 1, 0, 0  },
{ 1, 0, 1, 0, 1, 1, 2, 1, 1, 0, 1, 1, 2, 1, 2, 1, 1, 2, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 2, 3, 2, 1, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 0  },
{ 2, 1, 1, 0, 1, 1, 2, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 3, 1, 1, 0, 2, 0, 0, 0, 1, 1, 0, 1, 0, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 1, 0, 2, 0, 2, 0, 2, 1, 2, 1, 0, 2, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 2, 1, 2, 1, 0, 1, 0, 2, 1, 2, 3, 2, 0, 1, 1, 0, 0, 1, 0, 2, 2, 2, 2, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 1, 2, 2, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 1, 2, 1, 0, 1, 0, 1, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 3, 2, 2, 2, 2, 1  },
{ 2, 1, 2, 0, 1, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 1, 1, 1, 0, 2, 1, 0, 0, 1, 3, 2, 1, 0, 2, 0, 2, 2, 1  },
{ 2, 1, 0, 2, 1, 2, 0, 0, 1, 1, 0, 1, 3, 0, 1, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 1, 0, 0, 2, 0, 0, 0, 1, 2, 1, 2, 1, 2, 0, 2, 2, 0  },
{ 1, 1, 2, 0, 0, 0, 2, 1, 2, 1, 2, 1, 0, 0, 0, 0, 1, 0, 1, 2, 0, 1, 0, 2, 2, 2, 0, 0, 2, 0, 0, 0, 1, 2, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 0, 3, 1, 1, 2, 1, 2, 3, 0, 0, 1, 0, 3, 2, 0, 1, 0, 2, 1, 2, 2, 1, 0, 2, 0, 2, 1, 2, 0, 1, 1, 2, 2, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 2, 0, 1, 2, 2, 1, 2, 2, 1  },
{ 2, 1, 0, 0, 1, 0, 2, 1, 0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 3, 0, 0, 3, 2, 1, 0, 2, 0, 2, 1, 2, 1  },
{ 1, 0, 2, 0, 1, 2, 0, 2, 1, 0, 2, 0, 0, 1, 0, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 2, 2, 3, 2, 0, 2, 1, 0  },
{ 1, 2, 0, 2, 1, 0, 2, 1, 2, 0, 2, 0, 0, 1, 0, 0, 1, 2, 1, 2, 0, 1, 0, 2, 2, 0, 1, 1, 0, 2, 1, 0, 0, 2, 2, 1, 1, 0, 2, 0, 1, 1  },
{ 1, 1, 2, 1, 0, 1, 2, 2, 1, 2, 1, 0, 2, 3, 0, 0, 0, 0, 1, 2, 2, 0, 2, 0, 1, 0, 2, 3, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 1, 2, 0, 1, 1, 2, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 2, 2, 0, 3, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 0, 1, 1, 2, 0, 3, 1, 2, 1, 0, 2, 1, 0, 0, 1, 0, 2, 0, 2, 1, 0, 0, 0, 3, 1, 0, 2, 0, 1, 2, 0, 1, 2, 2, 2, 0, 1, 2, 2  },
{ 1, 0, 0, 0, 2, 1, 2, 0, 0, 2, 1, 2, 3, 0, 1, 1, 1, 0, 0, 1, 2, 0, 1, 2, 0, 1, 3, 0, 2, 2, 0, 3, 0, 0, 1, 2, 2, 0, 2, 1, 1, 0  },
{ 1, 1, 2, 1, 1, 0, 2, 1, 2, 2, 1, 1, 0, 1, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 0, 1, 0, 2, 1, 1, 0, 0, 0, 2, 2, 2, 0, 1, 2, 1, 1  },
{ 1, 1, 2, 0, 1, 2, 3, 1, 2, 2, 1, 1, 0, 1, 0, 0, 1, 2, 1, 0, 1, 2, 1, 2, 1, 3, 0, 0, 1, 3, 1, 2, 0, 2, 1, 1, 2, 0, 0, 2, 2, 3  },
{ 0, 3, 0, 0, 1, 2, 0, 3, 0, 0, 0, 1, 0, 0, 3, 0, 3, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 3, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 2, 1, 0, 1, 2, 0, 1, 1, 3, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0  },
{ 2, 1, 1, 1, 1, 1, 2, 1, 0, 0, 1, 2, 0, 1, 0, 2, 1, 1, 3, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 2, 2, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1, 1, 0, 2, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 0, 1, 0, 1, 0, 0, 1, 1, 0, 2, 1, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 0, 2, 1, 2, 2, 1, 0, 0, 2, 0, 2, 1, 3, 2, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 1, 2, 2, 0, 2, 2  },
{ 0, 0, 1, 2, 1, 1, 2, 0, 1, 2, 0, 3, 0, 1, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 3, 2, 2, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 2, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 1, 2, 0, 1, 2, 0, 3, 2, 2, 0, 2, 0, 1, 0, 0, 2, 0, 1, 0, 0, 1, 2, 1, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 2, 2, 0, 0  },
{ 0, 2, 0, 0, 1, 0, 0, 0, 1, 2, 2, 1, 2, 1, 0, 2, 1, 0, 1, 2, 0, 3, 1, 0, 1, 1, 2, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0, 2, 1, 2, 2, 3  },
{ 2, 1, 2, 1, 3, 0, 1, 2, 1, 1, 2, 0, 0, 0, 1, 0, 1, 0, 3, 2, 0, 0, 1, 2, 2, 1, 2, 3, 0, 2, 2, 0, 1, 0, 2, 1, 0, 2, 3, 2, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 0, 0, 1, 1, 0, 2, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 2, 2, 3, 3, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 2, 2, 0, 2, 1, 0, 3, 0, 2, 0, 1, 2, 2, 0, 0, 1, 3, 3, 0, 1, 1, 0, 1, 1, 2, 0, 2, 2, 1  },
{ 1, 1, 0, 2, 0, 2, 1, 2, 0, 1, 1, 1, 0, 0, 0, 1, 2, 1, 1, 1, 2, 2, 2, 3, 2, 1, 0, 2, 2, 1, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0  },
{ 1, 2, 2, 3, 1, 2, 2, 1, 2, 1, 0, 3, 0, 2, 0, 1, 0, 2, 1, 0, 0, 3, 0, 0, 2, 2, 0, 0, 0, 1, 1, 0, 1, 0, 3, 1, 1, 2, 0, 0, 0, 2  },
{ 1, 0, 2, 2, 1, 3, 0, 0, 0, 0, 2, 1, 0, 0, 2, 0, 0, 1, 2, 1, 3, 0, 1, 2, 2, 0, 2, 0, 0, 1, 0, 1, 1, 1, 0, 2, 2, 1, 2, 0, 2, 2  },
{ 0, 0, 1, 0, 1, 2, 0, 2, 1, 2, 1, 1, 0, 1, 1, 0, 0, 1, 0, 2, 2, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2, 1  },
{ 1, 1, 1, 2, 0, 2, 0, 0, 0, 1, 1, 1, 2, 0, 2, 1, 3, 3, 2, 1, 2, 2, 1, 2, 2, 2, 0, 2, 0, 1, 1, 1, 1, 0, 2, 2, 3, 2, 1, 0, 0, 2  },
{ 1, 2, 0, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 1, 1, 0, 1, 2, 3, 1, 0, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 2  },
{ 0, 0, 0, 3, 0, 0, 2, 0, 0, 2, 1, 3, 2, 2, 0, 1, 3, 2, 1, 2, 0, 1, 3, 1, 2, 2, 2, 0, 3, 2, 1, 2, 0, 2, 2, 0, 1, 0, 1, 0, 3, 1  },
{ 1, 2, 0, 1, 0, 0, 3, 0, 3, 1, 2, 1, 2, 3, 3, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 2, 2, 3, 3, 1, 1, 2, 1, 2, 0, 0, 0, 0, 3, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 1, 1, 0, 1, 1, 2, 0, 1, 0, 1, 1, 1, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 2, 0, 2, 2, 0  },
{ 2, 1, 1, 1, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 2, 1, 1, 0, 2, 0, 1, 1, 0, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 0, 2, 1, 1, 0, 1, 2, 1, 0, 1, 2, 0, 1, 1, 0, 2, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 2, 0, 2, 2, 0  },
{ 3, 1, 2, 1, 0, 0, 2, 1, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 2, 1, 2, 1, 2, 2, 0, 0  },
{ 3, 2, 3, 1, 1, 1, 2, 1, 0, 0, 2, 1, 0, 2, 3, 0, 1, 0, 1, 2, 0, 2, 0, 2, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 3, 1, 3, 2, 2, 0, 0  },
{ 1, 1, 2, 2, 1, 1, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 0, 1, 1, 2, 1, 3, 2, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 2, 0, 2, 0  },
{ 0, 1, 0, 0, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 2, 2, 0, 2, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 2, 2, 2, 0, 0  },
{ 1, 0, 1, 2, 1, 0, 2, 1, 1, 0, 1, 0, 2, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 2, 2, 3, 0, 0, 2, 0, 0  },
{ 1, 1, 2, 0, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 0, 0, 1, 3, 0, 0, 2, 0, 1, 0, 3, 1, 0, 2, 0, 2, 0, 0, 1, 2, 0, 2, 3, 1, 2, 0, 2, 0  },
{ 1, 2, 2, 0, 1, 1, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 2, 2, 2, 2, 2, 1  },
{ 3, 1, 2, 0, 1, 2, 2, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 1, 3, 1, 0, 2, 1, 2, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 2, 0, 0, 0, 1, 2, 0, 3, 2, 1, 2, 2, 0, 1, 2, 2, 1, 0, 0, 2, 0, 2, 0, 1, 2, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 1, 0, 2, 0, 2, 1, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 2, 0, 1, 1, 0, 2, 1, 0, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 1, 2, 2, 2, 1, 2, 1  },
{ 1, 1, 0, 2, 1, 2, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 1, 2, 1, 1, 2, 0, 1, 2, 1  },
{ 1, 1, 2, 0, 1, 0, 0, 2, 1, 1, 2, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 3, 1, 0, 1, 0, 2, 0, 0, 0, 1, 2, 2, 2, 2, 0, 2, 1, 0  },
{ 0, 2, 1, 0, 2, 1, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 1, 2, 0, 2, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 0, 0, 2, 1, 2, 1, 2, 0, 2, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 2, 0, 0, 1, 3, 2, 0, 0, 1, 0, 0, 1, 3, 2, 1, 0, 1, 0, 1, 2, 0, 1, 2, 1, 2, 0, 0, 2, 1, 0, 2, 2, 0, 2, 2, 1  },
{ 2, 1, 2, 1, 2, 2, 1, 0, 0, 1, 2, 3, 0, 0, 0, 0, 2, 1, 1, 0, 2, 0, 1, 2, 1, 0, 2, 1, 0, 2, 0, 0, 3, 1, 1, 0, 1, 1, 0, 0, 0, 2  },
{ 1, 1, 0, 2, 1, 1, 0, 2, 0, 0, 0, 1, 1, 0, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 1, 0, 0, 2, 0, 1, 2, 0, 1, 2, 0, 0, 3, 2, 0, 2, 2, 2  },
{ 3, 0, 0, 1, 1, 2, 0, 0, 2, 1, 2, 1, 1, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 2, 0, 1, 2, 0, 2, 0, 1, 1, 2, 1, 2, 0, 1, 2, 1  },
{ 2, 1, 2, 0, 2, 0, 2, 3, 0, 1, 2, 3, 2, 0, 1, 0, 0, 0, 2, 1, 2, 0, 2, 0, 0, 1, 0, 0, 0, 2, 2, 0, 1, 1, 1, 2, 1, 0, 2, 1, 1, 1  },
{ 2, 1, 2, 0, 2, 1, 0, 2, 1, 2, 1, 1, 0, 1, 0, 0, 1, 3, 2, 0, 2, 0, 1, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 1, 2, 2, 0, 1, 0, 2, 0, 0  },
{ 0, 1, 1, 1, 2, 0, 2, 1, 0, 0, 1, 0, 2, 1, 1, 0, 3, 1, 1, 0, 2, 0, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 2, 1, 2, 1, 2, 2, 1, 2  },
{ 2, 1, 1, 0, 1, 1, 2, 1, 0, 1, 0, 2, 2, 2, 1, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 1, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 1, 0, 0, 1, 0, 0, 0, 2, 3, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 1, 2, 0, 0, 2, 1, 2, 3, 1, 2, 0, 2, 0  },
{ 3, 1, 0, 1, 0, 0, 1, 3, 2, 1, 1, 0, 3, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 2, 3, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 1, 1, 0, 0  },
{ 2, 0, 0, 1, 2, 1, 2, 0, 2, 1, 0, 2, 0, 0, 1, 0, 0, 1, 1, 2, 0, 2, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 1, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 0, 0, 2, 3, 1, 2, 0, 2, 0, 1, 0, 2, 3, 0, 0, 0, 2, 0, 0, 2, 2, 1, 1, 1, 0, 1, 2, 0, 0  },
{ 0, 0, 1, 0, 1, 3, 0, 1, 0, 0, 2, 1, 0, 2, 0, 3, 3, 1, 0, 0, 2, 0, 1, 0, 2, 1, 2, 0, 0, 2, 0, 0, 1, 0, 2, 1, 2, 3, 1, 2, 0, 0  },
{ 2, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 1, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 2, 0, 1, 0, 0, 2, 2, 0, 1, 2, 0, 1, 1, 1, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 2, 2, 0, 2, 0, 1, 2, 1, 0, 1, 0, 2, 1, 0, 1, 2, 0, 2, 1, 2, 0, 1, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 1, 1, 2, 0, 0  },
{ 0, 2, 1, 2, 1, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 1, 0, 0, 2, 2, 0, 2, 2, 0, 0, 3, 1, 2, 0, 0, 0  },
{ 1, 2, 0, 1, 0, 0, 2, 3, 0, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 2, 0, 1, 2, 2, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 2, 0, 2, 0, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 3, 2, 0, 0, 2, 1, 1, 2, 1, 1, 0, 0, 1, 0, 0, 2, 1, 0, 1, 2, 1, 0, 2, 0, 1, 2, 0, 1, 2, 0, 2, 1, 0, 0, 2, 2, 1  },
{ 1, 0, 2, 1, 2, 0, 2, 2, 0, 1, 3, 0, 1, 2, 0, 2, 2, 0, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 2, 2, 0, 0, 0, 2, 1, 2, 0, 1, 1, 0, 0, 2  },
{ 0, 3, 1, 1, 1, 2, 2, 3, 1, 1, 0, 0, 1, 3, 0, 2, 1, 1, 1, 2, 2, 0, 1, 1, 0, 2, 2, 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 1, 0, 2, 2, 0  },
{ 0, 0, 0, 1, 2, 2, 0, 0, 1, 1, 1, 0, 2, 1, 0, 1, 2, 2, 0, 1, 0, 2, 1, 2, 0, 1, 0, 1, 2, 2, 1, 1, 1, 2, 0, 2, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 0, 0, 0, 2, 0, 0, 2, 2, 1, 0, 0, 1, 2, 1, 0, 2, 0, 0, 1, 2, 2, 1, 2, 1, 0, 2, 1, 0, 0, 1, 0, 0, 1, 2, 2, 1, 2, 0  },
{ 1, 0, 1, 2, 2, 0, 2, 3, 0, 1, 2, 2, 3, 1, 2, 0, 0, 3, 2, 2, 2, 0, 1, 2, 2, 0, 0, 0, 2, 3, 2, 0, 0, 1, 1, 0, 3, 0, 0, 2, 1, 1  },
{ 1, 0, 1, 2, 1, 3, 1, 1, 2, 1, 2, 0, 2, 1, 0, 1, 1, 1, 1, 0, 0, 2, 1, 2, 0, 3, 1, 1, 1, 0, 0, 0, 0, 0, 2, 1, 1, 2, 2, 2, 2, 2  },
{ 0, 0, 0, 2, 1, 1, 1, 0, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 2, 3, 2, 2, 1, 1, 2, 3, 2, 1, 2, 0, 0, 0, 1, 0, 1, 1, 0, 2, 2, 0, 2, 2  },
{ 0, 1, 3, 0, 2, 1, 3, 0, 0, 1, 1, 3, 1, 2, 0, 1, 2, 1, 3, 0, 0, 2, 0, 2, 0, 1, 0, 2, 2, 0, 2, 1, 0, 0, 2, 1, 0, 2, 3, 1, 2, 0  },
{ 1, 2, 3, 0, 1, 2, 3, 0, 3, 2, 2, 2, 1, 2, 0, 1, 1, 0, 0, 2, 3, 2, 1, 2, 2, 2, 0, 0, 2, 2, 0, 2, 0, 0, 0, 1, 0, 3, 0, 1, 0, 0  },
{ 2, 1, 2, 2, 0, 3, 3, 1, 0, 1, 2, 1, 1, 1, 2, 2, 0, 2, 2, 2, 0, 2, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 3, 2, 1, 2, 2, 2, 2, 2, 1  },
{ 2, 2, 2, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 3, 1, 1, 0, 1, 2, 2, 0, 0, 2, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 1, 2, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 1, 1, 0, 0, 0, 0, 1, 2, 1, 0, 2, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 2, 3, 0, 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 2, 0, 0  },
{ 0, 1, 1, 1, 0, 3, 0, 1, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 1, 0, 1, 1, 2, 0, 1, 0, 0, 0, 1, 1, 3, 2, 2, 2, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 2, 0, 0, 1, 1, 0, 3, 0, 1, 1, 0, 1, 0, 0, 1, 0, 2, 0, 3, 3, 1, 1, 0, 2, 0, 0, 0, 1, 2, 1, 0, 2, 1, 2, 1, 0, 0  },
{ 1, 2, 2, 0, 0, 1, 2, 0, 0, 0, 3, 0, 0, 0, 1, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 1, 2, 1, 0, 0  },
{ 2, 1, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 0, 1, 1, 0, 1, 1, 2, 0, 0, 2, 0, 0, 2, 0, 2, 2, 3, 2, 0, 2, 0  },
{ 0, 1, 0, 2, 1, 2, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 2, 0, 2, 0, 3, 1, 0, 1, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 0, 1, 2, 1, 3, 1, 2, 0, 1, 0, 0  },
{ 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 2, 0, 2, 0, 3, 2, 3, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 3, 2, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 2, 2, 2, 0, 2, 0  },
{ 1, 2, 0, 1, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 2, 2, 0, 0, 2, 0, 0, 2, 1, 2, 1, 2, 0, 2, 0, 2, 1  },
{ 1, 2, 2, 0, 0, 0, 2, 0, 1, 3, 1, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 2, 3, 1, 3, 2, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 2, 0, 2, 0  },
{ 3, 0, 2, 1, 1, 2, 0, 0, 1, 0, 2, 3, 2, 1, 0, 0, 0, 1, 0, 2, 2, 0, 2, 0, 2, 2, 0, 1, 0, 2, 2, 0, 1, 2, 2, 0, 1, 0, 0, 0, 2, 0  },
{ 2, 1, 2, 1, 0, 2, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 1, 0, 3, 0, 2, 2, 2, 1, 0, 2, 2, 0, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0  },
{ 1, 0, 1, 0, 1, 0, 2, 0, 0, 1, 1, 0, 2, 0, 1, 3, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 0, 1, 2, 2, 2, 2, 2, 1  },
{ 1, 1, 2, 0, 2, 1, 0, 0, 0, 1, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 2, 1, 2, 0, 2, 2, 0, 2, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 2, 1, 2, 1, 2, 2, 0, 1, 0, 2, 0, 0, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 1, 0  },
{ 0, 2, 1, 0, 1, 2, 2, 0, 3, 1, 0, 3, 2, 1, 0, 1, 0, 3, 1, 2, 2, 0, 0, 0, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 1, 2, 0, 0, 2, 0, 0, 0  },
{ 2, 1, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 3, 0, 2, 0, 0, 1, 1, 2, 1, 0, 0, 2, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0  },
{ 0, 1, 0, 0, 1, 1, 2, 0, 1, 1, 0, 2, 1, 0, 0, 1, 0, 1, 0, 3, 2, 0, 0, 1, 0, 0, 0, 0, 2, 3, 2, 0, 2, 3, 0, 1, 3, 2, 2, 1, 2, 2  },
{ 1, 1, 2, 0, 2, 2, 2, 0, 1, 1, 0, 2, 1, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 3, 0, 0, 1, 2, 0, 1, 1, 1, 2  },
{ 2, 1, 0, 2, 2, 0, 0, 2, 3, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 1, 2, 0, 1, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 3, 1, 2, 2, 0, 2, 1, 0, 0  },
{ 0, 2, 1, 2, 1, 2, 3, 2, 1, 0, 0, 3, 1, 1, 0, 1, 1, 3, 1, 1, 0, 1, 0, 1, 0, 0, 1, 1, 1, 0, 2, 1, 0, 1, 2, 1, 2, 0, 1, 1, 2, 0  },
{ 0, 1, 2, 0, 0, 1, 1, 3, 0, 1, 2, 0, 0, 0, 2, 0, 1, 2, 3, 2, 3, 1, 1, 0, 1, 0, 0, 3, 3, 2, 2, 2, 0, 2, 1, 0, 2, 2, 0, 2, 1, 0  },
{ 2, 1, 1, 2, 0, 0, 0, 0, 0, 1, 3, 0, 0, 3, 1, 1, 1, 0, 0, 1, 0, 0, 2, 0, 0, 3, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1, 2, 2, 0, 2, 2, 0  },
{ 2, 1, 2, 3, 3, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 2, 1, 0, 0, 0, 0, 1, 3, 1, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 1, 2, 2, 2, 2, 2, 0  },
{ 1, 0, 2, 1, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 0, 2, 0, 1, 2, 0, 1, 0, 3, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 3, 1, 0, 0, 0, 1, 3, 1, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 2, 2, 1, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 1, 1, 2, 0, 0, 1, 0, 0, 2, 1, 1, 2, 1, 3, 1, 3, 0, 0  },
{ 3, 2, 1, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 3, 2, 0, 0  },
{ 3, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 0, 3, 2, 2, 1, 0, 2, 0, 2, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 0, 0, 0, 1, 0, 1, 3, 0, 3, 0, 0, 1, 2, 3, 0, 1, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 0, 3, 1, 0, 0, 2, 0  },
{ 0, 0, 1, 0, 1, 2, 0, 1, 1, 2, 0, 1, 0, 2, 0, 1, 1, 2, 0, 2, 0, 2, 1, 3, 0, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 0  },
{ 0, 0, 2, 1, 0, 2, 0, 0, 3, 2, 3, 3, 0, 2, 0, 2, 1, 1, 1, 2, 0, 2, 1, 2, 0, 2, 2, 0, 0, 1, 2, 0, 1, 2, 1, 0, 1, 0, 1, 1, 0, 0  },
{ 1, 0, 0, 1, 1, 2, 0, 3, 0, 0, 0, 1, 0, 3, 0, 2, 3, 2, 1, 0, 0, 2, 2, 2, 0, 1, 2, 1, 2, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 2, 0  },
{ 1, 2, 1, 0, 2, 3, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 2, 2, 1, 0, 0, 2, 1, 0, 1, 2, 1, 1, 2, 3, 2, 0, 2, 0  },
{ 0, 2, 1, 0, 1, 2, 1, 0, 0, 2, 0, 0, 3, 0, 0, 2, 1, 1, 2, 2, 2, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 0, 2, 1, 0, 1, 1, 2, 1, 0, 0, 0  },
{ 0, 2, 1, 2, 1, 2, 1, 2, 0, 2, 0, 1, 0, 2, 0, 2, 3, 2, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0, 2, 0, 2, 0, 1, 0, 2, 1, 0, 3, 0, 0, 2, 0  },
{ 2, 1, 2, 1, 0, 2, 3, 0, 1, 1, 2, 0, 0, 1, 0, 2, 3, 0, 0, 2, 2, 0, 0, 2, 2, 2, 0, 1, 0, 0, 2, 0, 1, 2, 0, 3, 3, 1, 2, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 2, 1, 2, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 2, 2, 0, 1, 1, 2, 0, 0, 1, 2, 0, 1, 0  },
{ 0, 1, 0, 0, 0, 1, 0, 1, 3, 0, 3, 0, 2, 2, 0, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 2, 1, 0, 2, 2, 1, 0, 0, 0, 1, 3, 0, 3, 2, 1, 1  },
{ 1, 0, 3, 3, 2, 0, 3, 2, 0, 1, 1, 0, 1, 1, 0, 1, 2, 2, 0, 0, 2, 3, 0, 1, 0, 1, 0, 1, 2, 0, 2, 1, 0, 0, 0, 1, 3, 2, 2, 0, 1, 0  },
{ 0, 0, 2, 1, 0, 0, 0, 1, 1, 1, 2, 0, 1, 1, 0, 0, 0, 0, 1, 3, 1, 1, 2, 2, 1, 2, 0, 1, 2, 1, 1, 0, 1, 1, 0, 0, 1, 0, 1, 0, 2, 0  },
{ 3, 2, 2, 1, 3, 0, 0, 0, 3, 3, 1, 0, 2, 1, 0, 1, 0, 1, 2, 0, 3, 0, 1, 1, 0, 1, 3, 0, 2, 2, 0, 0, 2, 3, 1, 3, 0, 2, 0, 1, 0, 1  },
{ 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 0, 2, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 1, 3, 1, 2, 1, 2, 0, 2, 2  },
{ 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 0, 0, 2, 0, 3, 3, 0, 0, 2, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 3, 0, 0, 0, 3, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 3, 3, 2, 0, 2, 1  },
{ 0, 0, 0, 3, 1, 3, 0, 0, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 2, 1, 1, 0, 0, 2, 0, 1, 2, 0, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 0, 0, 3, 1, 3, 1, 0, 1, 2, 2, 0, 0  },
{ 0, 1, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 1, 0, 1, 0, 2, 1, 1, 2, 2, 2, 0, 2, 1  },
{ 0, 1, 0, 1, 1, 0, 0, 2, 1, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 0, 0, 2, 0, 2, 1, 1, 0, 1, 1, 0, 0, 0, 1, 1, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 0, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 2, 1, 1, 0, 0, 2, 2, 0, 2, 1, 2, 1, 0, 0, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 2, 0, 3, 0, 0, 0, 0, 2, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 2, 2, 1, 1, 0, 2, 0, 2, 0  },
{ 0, 0, 0, 1, 0, 2, 0, 3, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 0, 1, 0, 3, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 2, 2, 2, 0, 2, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 0, 3, 0, 2, 3, 1, 0, 2, 0, 2, 0, 0, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 2, 0  },
{ 0, 2, 0, 3, 1, 2, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 2, 1, 0, 2, 2, 0, 0, 0, 0, 2, 1, 0, 0, 2, 2, 0, 1, 2, 2, 0, 0, 0, 2, 0, 1, 0  },
{ 2, 0, 2, 0, 1, 0, 0, 3, 3, 2, 0, 0, 2, 0, 1, 0, 0, 1, 0, 2, 2, 0, 2, 0, 2, 2, 1, 0, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 0, 0, 2, 0  },
{ 2, 0, 1, 1, 2, 2, 2, 0, 1, 1, 2, 1, 0, 2, 0, 1, 0, 1, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 0, 1, 2, 0, 1, 1, 0, 0, 1, 0, 1, 0, 2, 0  },
{ 1, 3, 2, 0, 1, 2, 0, 2, 1, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 2, 0, 0, 0, 1, 2, 0, 0, 1, 0, 2, 0, 1, 0, 1, 2, 2, 0, 2, 2, 0  },
{ 0, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 2, 0, 0, 2, 2, 1, 3, 0, 0, 1, 0, 0, 0, 0, 2, 2, 2, 3, 0, 0, 1, 0  },
{ 2, 0, 0, 1, 1, 2, 1, 2, 0, 2, 3, 1, 1, 0, 1, 0, 1, 2, 1, 3, 2, 0, 0, 0, 0, 1, 0, 1, 0, 2, 2, 0, 0, 1, 2, 2, 0, 2, 0, 2, 2, 0  },
{ 0, 0, 2, 1, 1, 0, 2, 0, 1, 1, 2, 1, 3, 2, 0, 1, 1, 1, 1, 2, 2, 0, 0, 0, 1, 0, 0, 3, 0, 1, 2, 0, 0, 2, 1, 0, 0, 2, 0, 2, 2, 0  },
{ 0, 1, 2, 1, 2, 2, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 1, 0, 1, 1, 2, 1, 0, 0, 0, 0, 2, 0  },
{ 1, 3, 0, 2, 2, 3, 2, 0, 1, 1, 0, 1, 2, 0, 0, 1, 0, 2, 2, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 2  },
{ 1, 2, 0, 0, 0, 2, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 3, 2, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 2, 0, 1, 0, 2, 1, 2, 1, 0, 1, 0, 1, 1  },
{ 0, 2, 1, 0, 0, 0, 2, 2, 0, 2, 0, 3, 0, 1, 1, 0, 3, 2, 3, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 1, 1, 1, 0, 2, 2, 2, 0, 0, 1, 2, 0, 0  },
{ 2, 0, 2, 1, 1, 2, 0, 0, 3, 2, 0, 2, 2, 0, 2, 0, 2, 1, 1, 2, 3, 0, 1, 0, 1, 1, 0, 2, 0, 2, 1, 1, 0, 1, 2, 1, 2, 1, 0, 2, 0, 2  },
{ 0, 1, 2, 1, 0, 0, 0, 0, 0, 1, 3, 2, 0, 2, 0, 3, 3, 0, 2, 0, 0, 0, 2, 0, 0, 0, 1, 3, 0, 2, 0, 1, 0, 2, 3, 3, 0, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 3, 0, 2, 1, 0, 0, 1, 1, 2, 0, 1, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 2, 0, 0, 1, 2, 2, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 1, 0, 1, 2, 2, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 1, 0, 2, 0, 0, 0, 2, 3, 1, 2, 0, 0, 0, 0, 1  },
{ 1, 0, 2, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 1, 0, 0, 3, 3, 0, 3, 0, 0, 0, 0, 1  },
{ 0, 1, 0, 0, 0, 3, 0, 0, 2, 2, 1, 0, 0, 1, 1, 0, 0, 2, 1, 0, 0, 2, 0, 2, 1, 1, 0, 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 3, 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 3, 2, 0, 1, 2, 0, 2, 0, 0, 2, 2, 0, 0, 3, 0, 1, 0, 1, 0, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 0, 2, 0, 2, 0, 2, 1, 2, 0, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 2, 3, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 2, 2, 0, 3, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 2, 2, 0, 1, 0, 0, 0, 3, 0, 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 3, 1, 0, 2, 0, 1, 0, 1, 2, 1, 2, 2, 0, 0, 2, 0, 0  },
{ 0, 2, 1, 0, 1, 2, 2, 0, 1, 0, 0, 1, 3, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 0, 2, 2, 1, 0, 0, 2, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 0, 0, 3, 0, 0, 0, 1, 1, 2, 0, 1, 0, 2, 1, 2, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 0, 2, 0, 2, 0, 2, 2, 2, 0, 1, 2, 1, 3, 0, 2, 3, 0, 0, 1, 0, 1, 0, 2, 1, 3, 2, 2, 0, 1, 2, 1, 0, 0, 2, 1, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 0, 0, 1, 1, 0, 2, 1, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 2, 1, 1, 3, 3, 3, 0, 2, 0, 1, 0, 0, 1, 0, 2, 3, 1, 0, 0  },
{ 1, 0, 1, 0, 3, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 2, 0, 1, 1, 2, 0, 0, 2, 0  },
{ 0, 0, 0, 1, 1, 1, 1, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 0, 1, 0, 0, 2, 2, 1, 0, 0, 0, 2, 0, 0, 0, 0, 2, 2, 0, 3, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 1, 1, 0, 2, 0, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 2, 2, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 1, 1, 0  },
{ 3, 1, 0, 0, 2, 0, 1, 1, 0, 2, 2, 0, 2, 1, 0, 0, 0, 0, 3, 2, 2, 0, 2, 1, 2, 0, 3, 0, 1, 0, 2, 0, 1, 0, 2, 0, 0, 2, 1, 2, 0, 0  },
{ 0, 2, 3, 1, 1, 2, 2, 0, 0, 0, 3, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0, 2, 2, 2, 3, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0  },
{ 2, 0, 0, 1, 0, 0, 2, 0, 0, 1, 0, 2, 1, 1, 2, 2, 0, 1, 1, 0, 0, 1, 1, 2, 0, 1, 3, 0, 2, 2, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 1, 2, 0, 2, 0, 1, 0, 2, 2, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 3, 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0  },
{ 0, 3, 1, 0, 0, 2, 0, 0, 0, 2, 1, 2, 0, 3, 3, 0, 0, 0, 0, 1, 3, 0, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0  },
{ 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 1, 2, 0, 0, 2, 3, 2, 1, 0, 0, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 1, 0, 0, 2, 1, 1, 2, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0  },
{ 1, 2, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 0, 1, 0, 0, 2, 0, 1, 3, 0, 1, 1, 1, 0, 0, 1, 2, 1, 0, 0, 3, 2, 0, 0, 0, 0  },
{ 0, 2, 0, 1, 0, 1, 0, 2, 2, 1, 1, 3, 0, 2, 2, 1, 1, 0, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 3, 2, 1, 2, 1, 3, 2, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 0, 3, 0, 1, 3, 0, 1, 0, 0, 0, 1, 1, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 2, 2, 0, 0, 2, 0, 0, 1, 2, 0, 2, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 1, 0, 0, 3, 1, 0, 0, 0, 0, 0, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 2, 2, 0, 0, 0, 3, 1, 3, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 0, 1, 1, 2, 0, 2, 0, 2, 0  },
{ 0, 1, 0, 3, 0, 2, 0, 1, 0, 2, 1, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 2, 0, 0, 0, 0, 0  },
{ 2, 3, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 1, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 0  },
{ 1, 0, 0, 3, 1, 0, 3, 2, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 0, 1, 2, 0, 0, 1, 1, 0, 1, 0, 0  },
{ 0, 2, 0, 0, 0, 3, 0, 2, 1, 3, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 0, 2, 0  },
{ 2, 0, 2, 0, 0, 2, 0, 0, 1, 0, 1, 2, 2, 0, 1, 2, 0, 1, 0, 2, 1, 0, 1, 1, 0, 3, 0, 2, 0, 0, 0, 0, 1, 2, 2, 3, 2, 1, 1, 1, 0, 1  },
{ 2, 0, 3, 0, 3, 0, 0, 2, 1, 2, 3, 3, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 2, 2, 1, 2, 0, 2, 0  },
{ 0, 2, 0, 0, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 1, 0, 2, 1, 2, 1, 1, 0, 0  },
{ 0, 0, 1, 2, 3, 0, 2, 0, 0, 1, 0, 1, 1, 0, 1, 0, 2, 1, 1, 2, 3, 0, 3, 0, 1, 3, 0, 0, 0, 1, 1, 0, 1, 1, 3, 0, 0, 2, 1, 0, 1, 0  },
{ 1, 0, 2, 0, 2, 3, 0, 2, 1, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 2, 0, 1, 3, 1, 1, 2, 0, 0, 3, 0, 0, 0, 1, 0, 0, 0, 2, 2, 0, 2, 0  },
{ 0, 2, 0, 0, 2, 1, 1, 0, 0, 3, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 0, 2, 0, 2, 2, 2, 1, 3, 0, 1, 0  },
{ 1, 0, 0, 1, 0, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 1, 0, 2, 0, 1, 0, 2, 1, 0  },
{ 1, 1, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 3, 0, 1, 0, 1, 0, 1, 2, 0, 1, 0, 2, 3, 0, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0  },
{ 2, 2, 2, 3, 0, 2, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 0, 0, 0, 1, 2, 0  },
{ 3, 0, 2, 0, 2, 0, 0, 2, 1, 0, 2, 1, 0, 1, 0, 0, 0, 1, 1, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 1, 0, 3, 2, 0, 2, 1, 2, 0  },
{ 0, 0, 3, 0, 2, 0, 1, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 1, 0, 3, 1, 0, 1, 0, 1  },
{ 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 1, 0, 0, 2, 0, 3, 2, 0, 1, 1, 0, 0, 3, 0, 2, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 3, 2, 0, 2, 1, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1, 0, 1, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 1, 0  },
{ 0, 0, 2, 1, 2, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 0, 0, 0, 0, 0, 0, 2, 2, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 0, 1, 0, 1, 2, 2, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 1, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 2, 0, 3, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 2, 2, 0, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 3, 3, 0, 0, 0, 0  },
{ 3, 1, 0, 3, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 2, 1, 2, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1, 2, 3, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 2, 0, 0, 0, 3, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 3, 2, 0, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0  },
{ 0, 2, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 3, 3, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 3, 0, 2, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 3, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 1, 3, 0, 0, 0, 1, 0, 2, 0, 2, 3, 0, 0, 0, 0, 2, 3, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 1, 0, 1, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 1, 1, 2, 0, 0  },
{ 1, 0, 1, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 3, 0, 1, 0, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 3, 1, 3, 0, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 3, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 0, 3, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 3, 0, 0, 0, 0, 0  },
{ 0, 3, 1, 1, 1, 2, 1, 2, 1, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 1, 3, 1, 0, 0, 3, 1, 1, 0, 0, 1, 0, 1, 1, 2, 0, 1, 0, 1, 0, 1, 0, 3, 1, 2, 0, 2, 0, 2, 3, 0, 0, 1, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 3, 0, 2, 0, 0, 1, 0, 0, 0, 0, 3, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 3, 1, 0, 2, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 1, 0  },
{ 1, 0, 1, 0, 0, 3, 1, 1, 0, 1, 1, 3, 1, 0, 0, 2, 0, 3, 1, 0, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0  },
{ 3, 0, 0, 1, 0, 0, 1, 3, 0, 2, 1, 1, 1, 0, 0, 1, 2, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 3, 1, 0, 1, 0, 1, 2, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 2, 0, 1, 0, 0, 0, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0, 1, 0, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 1, 2, 2, 0  },
{ 0, 1, 0, 0, 2, 3, 0, 1, 0, 0, 0, 1, 0, 1, 1, 1, 0, 1, 1, 2, 1, 0, 1, 2, 2, 1, 0, 2, 0, 0, 1, 0, 1, 0, 1, 1, 0, 1, 0, 3, 0, 0  },
{ 1, 0, 2, 3, 2, 0, 0, 1, 0, 0, 0, 1, 0, 0, 1, 1, 2, 3, 2, 0, 2, 2, 3, 1, 1, 3, 2, 2, 0, 0, 3, 0, 0, 1, 1, 1, 0, 1, 3, 1, 1, 0  },
{ 0, 0, 1, 0, 0, 0, 3, 0, 1, 0, 1, 1, 1, 2, 1, 2, 1, 1, 0, 0, 0, 1, 1, 1, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 1, 0, 0, 0, 3, 2, 0, 0  },
{ 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 2, 0, 1, 0, 0, 1, 1, 2, 2, 2, 0, 3, 1, 1, 0, 3, 2, 1, 0, 0, 2, 0, 0, 3, 2, 0, 0, 1, 0, 0, 0, 0  },
{ 0, 2, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 3, 3, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 2, 2, 0, 1, 0, 0, 3, 0, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0  },
{ 0, 1, 0, 0, 2, 2, 0, 0, 0, 3, 0, 0, 1, 2, 1, 1, 1, 3, 0, 0, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 3, 1, 0  }
 },
{ 
{ 3, 0, 0, 3, 3, 3, 3, 3, 2, 3, 3, 2, 3, 3, 2, 3, 3, 3, 2, 2, 3, 3, 3, 0, 2, 3, 3, 3, 2, 2, 3, 2, 3, 3, 2, 3, 3, 0, 3, 3, 2, 2  },
{ 3, 1, 1, 3, 3, 2, 3, 0, 1, 1, 3, 3, 2, 2, 3, 3, 3, 0, 3, 0, 1, 2, 3, 1, 1, 1, 3, 3, 1, 1, 2, 2, 3, 2, 3, 3, 3, 1, 3, 2, 2, 1  },
{ 3, 1, 1, 3, 3, 3, 3, 2, 1, 2, 3, 2, 3, 3, 3, 1, 3, 3, 1, 3, 2, 3, 3, 3, 3, 3, 3, 3, 0, 1, 1, 1, 3, 3, 2, 2, 3, 1, 3, 3, 2, 0  },
{ 3, 3, 1, 3, 1, 3, 0, 3, 1, 1, 3, 3, 1, 3, 0, 3, 3, 1, 3, 3, 0, 3, 3, 2, 2, 2, 1, 1, 3, 2, 2, 2, 3, 3, 3, 2, 3, 1, 1, 1, 3, 3  },
{ 3, 2, 1, 3, 1, 2, 2, 3, 3, 3, 2, 3, 1, 3, 3, 3, 3, 2, 3, 3, 3, 3, 1, 2, 2, 3, 2, 3, 3, 3, 1, 3, 1, 3, 3, 3, 2, 2, 2, 1, 2, 1  },
{ 1, 0, 0, 0, 0, 0, 1, 2, 2, 2, 1, 0, 0, 1, 3, 1, 1, 2, 2, 3, 0, 0, 3, 1, 0, 0, 1, 1, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0, 3, 1, 2, 2  },
{ 3, 1, 0, 0, 3, 1, 1, 1, 0, 0, 1, 1, 0, 1, 2, 3, 0, 0, 1, 0, 1, 0, 1, 1, 2, 0, 3, 0, 3, 2, 1, 0, 1, 0, 0, 2, 0, 1, 1, 0, 3, 2  },
{ 3, 1, 1, 2, 3, 3, 3, 2, 3, 3, 0, 2, 0, 0, 1, 3, 1, 3, 2, 2, 2, 2, 2, 1, 3, 3, 3, 3, 2, 2, 3, 1, 3, 3, 2, 3, 3, 1, 3, 3, 2, 2  },
{ 1, 3, 0, 2, 0, 2, 1, 3, 2, 3, 1, 3, 2, 1, 1, 1, 0, 2, 2, 1, 2, 1, 3, 3, 2, 0, 3, 2, 2, 2, 3, 1, 3, 1, 3, 2, 3, 3, 2, 1, 3, 1  },
{ 3, 0, 0, 2, 2, 1, 2, 2, 1, 1, 2, 3, 1, 1, 3, 2, 2, 3, 1, 2, 2, 3, 2, 3, 2, 0, 0, 0, 1, 2, 2, 3, 3, 2, 2, 0, 3, 0, 2, 3, 3, 2  },
{ 0, 3, 2, 2, 1, 1, 1, 1, 0, 0, 2, 1, 2, 1, 2, 3, 0, 1, 1, 3, 3, 1, 1, 2, 0, 3, 1, 2, 3, 1, 1, 3, 1, 2, 1, 2, 0, 2, 0, 0, 3, 1  },
{ 1, 3, 2, 3, 1, 3, 1, 2, 3, 3, 2, 0, 3, 0, 3, 3, 3, 3, 0, 3, 0, 3, 2, 2, 3, 0, 2, 2, 2, 0, 0, 2, 3, 2, 2, 3, 3, 1, 2, 3, 2, 3  },
{ 0, 3, 3, 2, 1, 3, 1, 3, 3, 1, 2, 0, 3, 0, 3, 3, 3, 3, 0, 3, 0, 3, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 3, 2, 2, 3, 3, 0, 3, 0, 0, 0  },
{ 0, 3, 2, 3, 0, 0, 3, 0, 1, 3, 1, 3, 1, 3, 2, 3, 0, 0, 0, 0, 3, 3, 3, 3, 2, 0, 2, 3, 0, 2, 0, 2, 1, 2, 1, 3, 3, 2, 3, 0, 3, 0  },
{ 0, 3, 3, 2, 0, 1, 3, 0, 3, 3, 3, 0, 3, 0, 3, 3, 1, 3, 2, 3, 0, 3, 0, 0, 2, 1, 2, 3, 0, 0, 0, 2, 0, 2, 3, 3, 3, 1, 3, 0, 3, 0  },
{ 0, 3, 3, 2, 1, 0, 3, 0, 3, 3, 3, 1, 2, 3, 2, 0, 1, 2, 0, 3, 1, 3, 3, 3, 2, 0, 2, 3, 1, 1, 0, 2, 2, 0, 1, 3, 3, 2, 3, 1, 3, 1  },
{ 0, 1, 3, 2, 3, 3, 0, 3, 3, 0, 2, 0, 0, 3, 2, 3, 3, 2, 3, 2, 3, 0, 3, 0, 3, 2, 3, 2, 2, 0, 0, 2, 2, 3, 3, 2, 3, 0, 3, 0, 3, 3  },
{ 1, 3, 3, 2, 0, 3, 1, 0, 2, 3, 3, 1, 2, 1, 3, 3, 0, 2, 0, 3, 1, 3, 3, 1, 2, 3, 0, 3, 2, 1, 2, 2, 2, 2, 3, 3, 1, 0, 1, 3, 1, 2  },
{ 2, 3, 1, 2, 3, 2, 1, 0, 2, 3, 1, 0, 0, 2, 3, 1, 0, 1, 0, 2, 0, 3, 2, 3, 2, 1, 2, 3, 2, 3, 3, 3, 1, 2, 3, 2, 3, 3, 2, 2, 0, 2  },
{ 0, 1, 3, 3, 1, 2, 3, 2, 1, 3, 0, 0, 3, 0, 2, 3, 3, 3, 3, 3, 0, 3, 3, 0, 2, 2, 3, 3, 3, 0, 0, 0, 2, 3, 2, 2, 3, 3, 0, 0, 3, 0  },
{ 2, 3, 0, 2, 1, 1, 1, 3, 0, 1, 2, 2, 0, 3, 2, 3, 3, 2, 3, 1, 2, 0, 3, 1, 1, 0, 2, 0, 2, 1, 2, 3, 1, 3, 2, 3, 2, 2, 2, 3, 1, 0  },
{ 1, 3, 0, 1, 2, 3, 2, 3, 1, 1, 0, 3, 2, 0, 2, 0, 3, 0, 2, 0, 1, 1, 1, 0, 2, 1, 0, 1, 2, 2, 1, 0, 3, 0, 3, 2, 2, 0, 2, 2, 0, 2  },
{ 1, 3, 2, 3, 0, 2, 3, 0, 2, 0, 3, 0, 0, 3, 2, 3, 3, 2, 0, 3, 0, 3, 3, 2, 2, 0, 2, 0, 0, 2, 2, 2, 3, 0, 2, 3, 3, 2, 3, 3, 0, 2  },
{ 0, 3, 2, 3, 1, 3, 3, 0, 1, 3, 0, 3, 0, 3, 3, 3, 1, 0, 0, 0, 3, 3, 3, 3, 2, 0, 2, 0, 0, 0, 0, 2, 3, 2, 1, 3, 3, 2, 3, 3, 3, 0  },
{ 0, 3, 1, 2, 0, 3, 2, 3, 2, 1, 1, 1, 3, 2, 1, 3, 3, 2, 0, 1, 2, 3, 3, 3, 2, 1, 3, 1, 2, 3, 1, 0, 1, 2, 3, 2, 3, 2, 2, 3, 3, 0  },
{ 3, 0, 2, 2, 3, 0, 2, 3, 0, 3, 3, 1, 0, 1, 3, 3, 3, 0, 0, 2, 0, 3, 0, 3, 2, 0, 3, 3, 2, 3, 0, 1, 3, 3, 3, 0, 3, 2, 0, 0, 0, 2  },
{ 1, 0, 0, 2, 3, 2, 0, 3, 2, 1, 1, 0, 1, 3, 2, 2, 0, 1, 2, 2, 2, 0, 3, 3, 2, 0, 1, 3, 2, 2, 1, 2, 1, 0, 2, 0, 2, 3, 1, 1, 2, 2  },
{ 1, 0, 2, 3, 3, 0, 3, 0, 2, 2, 1, 1, 3, 2, 2, 2, 3, 1, 0, 2, 3, 3, 3, 3, 0, 2, 2, 3, 1, 2, 0, 2, 3, 1, 0, 3, 0, 2, 1, 2, 3, 3  },
{ 0, 3, 2, 3, 0, 1, 1, 1, 0, 0, 1, 3, 1, 3, 2, 3, 3, 2, 1, 1, 3, 2, 2, 2, 0, 0, 1, 1, 2, 3, 2, 3, 1, 3, 1, 3, 1, 2, 3, 1, 3, 1  },
{ 0, 3, 1, 2, 1, 0, 0, 2, 2, 0, 1, 3, 1, 2, 2, 3, 3, 2, 3, 2, 3, 1, 3, 3, 2, 0, 0, 3, 2, 3, 2, 2, 0, 2, 3, 3, 0, 2, 2, 1, 3, 1  },
{ 0, 3, 2, 3, 1, 1, 1, 1, 0, 1, 0, 3, 0, 2, 2, 0, 0, 3, 0, 3, 3, 0, 0, 2, 3, 0, 2, 0, 3, 0, 0, 2, 3, 0, 0, 2, 3, 1, 2, 3, 0, 0  },
{ 0, 3, 2, 3, 1, 1, 1, 2, 2, 1, 0, 2, 3, 1, 3, 3, 1, 3, 3, 0, 0, 3, 2, 0, 2, 1, 2, 0, 0, 3, 2, 0, 0, 3, 2, 3, 3, 2, 3, 0, 3, 2  },
{ 0, 3, 1, 2, 1, 0, 2, 2, 2, 2, 0, 3, 3, 3, 3, 3, 1, 2, 2, 1, 3, 2, 3, 1, 2, 1, 3, 0, 1, 2, 0, 1, 0, 2, 2, 3, 3, 2, 3, 0, 3, 0  },
{ 0, 3, 2, 3, 0, 1, 0, 2, 1, 1, 2, 1, 2, 0, 2, 0, 0, 3, 0, 3, 0, 3, 0, 2, 3, 1, 2, 3, 0, 0, 3, 0, 3, 2, 0, 2, 3, 1, 3, 3, 2, 0  },
{ 0, 3, 2, 3, 1, 1, 1, 2, 0, 1, 0, 2, 0, 3, 3, 2, 3, 2, 2, 3, 2, 0, 3, 2, 2, 1, 0, 0, 2, 0, 3, 0, 3, 0, 3, 3, 2, 2, 3, 3, 0, 0  },
{ 0, 3, 2, 2, 1, 0, 0, 1, 3, 1, 2, 2, 1, 3, 0, 2, 2, 3, 3, 2, 2, 3, 3, 2, 2, 0, 3, 2, 0, 3, 0, 3, 2, 3, 3, 3, 2, 3, 3, 3, 3, 0  },
{ 2, 3, 2, 0, 0, 3, 0, 2, 1, 0, 2, 0, 2, 0, 2, 3, 3, 3, 2, 3, 2, 0, 3, 0, 3, 2, 3, 0, 0, 0, 0, 3, 0, 3, 3, 2, 3, 0, 3, 3, 3, 0  },
{ 2, 3, 2, 3, 0, 3, 1, 2, 0, 3, 2, 3, 0, 2, 2, 3, 3, 3, 2, 0, 2, 0, 3, 0, 2, 1, 2, 2, 2, 3, 3, 2, 3, 3, 3, 2, 3, 3, 3, 3, 2, 1  },
{ 2, 3, 0, 0, 0, 3, 2, 2, 1, 0, 1, 3, 1, 2, 1, 2, 0, 2, 2, 1, 3, 0, 2, 0, 1, 1, 0, 2, 3, 3, 0, 3, 2, 3, 1, 2, 2, 2, 3, 2, 0, 0  },
{ 1, 0, 1, 3, 2, 1, 0, 0, 2, 0, 3, 0, 1, 0, 1, 3, 0, 3, 2, 2, 0, 3, 2, 3, 2, 2, 1, 1, 2, 1, 2, 0, 3, 0, 2, 2, 2, 2, 3, 3, 0, 1  },
{ 3, 0, 1, 1, 3, 0, 3, 0, 2, 0, 1, 0, 3, 1, 2, 1, 0, 3, 2, 1, 1, 0, 0, 2, 2, 1, 0, 1, 1, 1, 0, 3, 1, 3, 0, 2, 2, 1, 1, 0, 1, 0  },
{ 0, 3, 2, 3, 0, 1, 1, 0, 2, 0, 1, 0, 3, 0, 0, 3, 0, 2, 0, 3, 2, 3, 2, 3, 3, 3, 1, 2, 2, 3, 0, 2, 0, 3, 2, 3, 0, 2, 3, 0, 3, 0  },
{ 0, 3, 0, 2, 1, 0, 2, 2, 2, 3, 0, 3, 0, 2, 1, 3, 1, 2, 0, 2, 3, 2, 3, 2, 2, 3, 2, 1, 2, 3, 1, 1, 2, 2, 3, 3, 0, 0, 3, 2, 3, 1  },
{ 0, 3, 0, 2, 2, 3, 3, 0, 1, 3, 0, 1, 1, 0, 2, 3, 2, 0, 1, 2, 3, 2, 3, 3, 2, 3, 1, 2, 2, 3, 1, 2, 2, 2, 2, 0, 0, 2, 3, 1, 3, 0  },
{ 1, 0, 3, 0, 0, 2, 2, 0, 2, 3, 1, 1, 2, 2, 0, 1, 3, 0, 3, 3, 1, 2, 3, 1, 2, 0, 1, 2, 2, 2, 3, 2, 3, 3, 0, 1, 3, 2, 0, 2, 3, 0  },
{ 2, 1, 1, 2, 3, 0, 1, 2, 1, 1, 3, 3, 3, 1, 2, 0, 2, 2, 1, 0, 1, 1, 1, 0, 1, 1, 0, 3, 2, 0, 1, 2, 2, 2, 3, 1, 0, 1, 2, 0, 2, 1  },
{ 1, 1, 3, 0, 1, 1, 0, 3, 0, 1, 3, 1, 0, 2, 0, 1, 1, 0, 0, 3, 2, 3, 2, 1, 0, 0, 0, 2, 0, 2, 3, 1, 0, 0, 3, 0, 2, 3, 1, 3, 0, 0  },
{ 1, 2, 1, 3, 3, 0, 1, 2, 1, 1, 2, 0, 2, 0, 0, 2, 3, 2, 1, 0, 2, 3, 3, 1, 1, 0, 2, 1, 3, 3, 3, 2, 3, 2, 3, 3, 2, 2, 3, 2, 2, 1  },
{ 1, 0, 0, 2, 2, 2, 1, 2, 2, 2, 3, 2, 1, 2, 3, 2, 0, 3, 1, 1, 3, 2, 2, 3, 2, 1, 3, 0, 1, 2, 2, 3, 2, 1, 2, 1, 2, 0, 2, 1, 1, 3  },
{ 1, 0, 0, 2, 1, 0, 1, 0, 2, 3, 2, 0, 3, 0, 1, 0, 0, 1, 2, 0, 0, 3, 3, 3, 1, 1, 3, 0, 1, 2, 2, 0, 3, 2, 2, 0, 3, 2, 1, 0, 2, 3  },
{ 0, 2, 3, 2, 0, 0, 1, 1, 0, 3, 2, 2, 3, 1, 2, 3, 0, 0, 1, 1, 3, 0, 1, 2, 0, 3, 0, 3, 1, 3, 1, 3, 0, 3, 0, 3, 0, 2, 0, 0, 3, 0  },
{ 0, 2, 1, 2, 1, 0, 1, 2, 2, 1, 0, 3, 2, 1, 0, 3, 3, 2, 2, 3, 2, 2, 3, 1, 2, 1, 0, 0, 2, 3, 1, 2, 0, 1, 2, 2, 0, 1, 3, 2, 3, 0  },
{ 0, 3, 2, 3, 0, 0, 3, 1, 1, 1, 2, 2, 0, 3, 3, 2, 0, 0, 3, 0, 3, 0, 1, 3, 1, 3, 0, 3, 0, 3, 2, 3, 2, 3, 0, 3, 0, 2, 3, 2, 3, 0  },
{ 0, 3, 1, 2, 0, 0, 3, 1, 1, 3, 2, 0, 1, 3, 3, 2, 1, 0, 0, 0, 2, 3, 0, 2, 2, 0, 0, 2, 2, 2, 0, 0, 3, 2, 3, 3, 0, 2, 2, 2, 3, 2  },
{ 0, 3, 1, 0, 1, 0, 2, 3, 2, 1, 1, 2, 2, 3, 3, 2, 3, 2, 3, 3, 1, 3, 1, 2, 2, 1, 1, 3, 2, 2, 0, 0, 3, 0, 2, 2, 0, 3, 3, 1, 3, 0  },
{ 0, 3, 1, 2, 1, 0, 0, 0, 0, 0, 2, 1, 2, 1, 2, 1, 0, 1, 3, 3, 0, 2, 3, 1, 3, 0, 1, 3, 0, 3, 2, 3, 0, 3, 2, 3, 2, 3, 0, 2, 3, 2  },
{ 0, 3, 0, 3, 0, 2, 1, 0, 0, 0, 0, 1, 3, 3, 3, 2, 3, 2, 1, 2, 0, 0, 3, 1, 3, 0, 0, 0, 3, 0, 0, 3, 2, 3, 3, 2, 3, 2, 0, 2, 3, 0  },
{ 0, 3, 2, 3, 3, 0, 1, 2, 0, 1, 0, 2, 2, 0, 3, 2, 3, 2, 1, 2, 2, 3, 0, 2, 2, 1, 0, 0, 3, 2, 2, 0, 3, 3, 3, 2, 3, 2, 1, 3, 2, 0  },
{ 1, 1, 3, 1, 3, 3, 1, 0, 2, 3, 3, 3, 2, 3, 2, 2, 1, 3, 0, 2, 1, 3, 3, 3, 0, 0, 2, 1, 2, 1, 1, 3, 1, 1, 3, 2, 3, 2, 0, 3, 3, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 2, 0, 2, 0, 2, 0, 3, 2, 0, 2, 0, 3, 3, 1, 3, 0, 2, 0, 3, 0, 0, 0, 3, 0, 0, 2, 3, 2, 0, 3, 0, 2  },
{ 1, 0, 3, 0, 0, 2, 1, 2, 0, 3, 1, 1, 2, 1, 0, 2, 3, 2, 3, 2, 0, 2, 2, 0, 1, 0, 2, 1, 2, 2, 3, 3, 1, 1, 3, 2, 3, 3, 2, 2, 3, 1  },
{ 2, 3, 3, 2, 1, 2, 0, 3, 0, 1, 2, 2, 1, 2, 2, 0, 3, 3, 2, 3, 0, 3, 0, 3, 2, 3, 0, 3, 0, 3, 0, 0, 3, 2, 0, 2, 3, 0, 3, 0, 0, 0  },
{ 2, 1, 3, 0, 3, 0, 1, 3, 0, 3, 0, 3, 0, 2, 1, 3, 0, 3, 1, 3, 1, 3, 0, 2, 3, 1, 2, 3, 1, 2, 1, 3, 2, 2, 3, 2, 3, 3, 1, 3, 1, 2  },
{ 3, 1, 0, 0, 3, 1, 0, 3, 0, 2, 1, 2, 0, 1, 3, 0, 0, 2, 1, 0, 1, 3, 2, 1, 2, 0, 0, 1, 2, 0, 3, 2, 3, 3, 3, 2, 1, 3, 1, 2, 1, 0  },
{ 1, 1, 2, 2, 2, 2, 0, 0, 3, 1, 0, 1, 2, 0, 1, 1, 3, 3, 1, 1, 0, 0, 2, 2, 2, 3, 0, 1, 2, 0, 2, 2, 2, 3, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 3, 2, 2, 0, 0, 0, 2, 2, 1, 0, 1, 0, 2, 2, 3, 0, 2, 3, 2, 3, 2, 3, 3, 2, 3, 2, 2, 2, 3, 1, 0, 1, 2, 2, 2, 0, 1, 2, 0, 3, 1  },
{ 0, 0, 3, 3, 1, 3, 2, 1, 2, 3, 0, 2, 2, 1, 2, 2, 1, 2, 0, 2, 2, 3, 2, 3, 0, 3, 2, 3, 2, 1, 0, 1, 1, 0, 1, 2, 0, 3, 2, 1, 3, 2  },
{ 0, 0, 1, 3, 3, 1, 1, 2, 0, 0, 2, 0, 2, 0, 2, 3, 1, 3, 2, 2, 0, 3, 3, 2, 0, 2, 1, 0, 0, 2, 2, 2, 3, 0, 1, 2, 0, 3, 2, 3, 0, 3  },
{ 3, 1, 0, 3, 0, 1, 2, 0, 2, 2, 1, 2, 2, 3, 2, 2, 3, 3, 1, 0, 2, 3, 2, 3, 0, 3, 0, 1, 1, 2, 2, 0, 2, 1, 1, 1, 0, 2, 0, 3, 1, 3  },
{ 1, 0, 2, 0, 3, 0, 2, 0, 2, 2, 1, 1, 2, 1, 1, 0, 3, 1, 3, 0, 3, 2, 2, 2, 2, 1, 3, 1, 2, 2, 2, 2, 3, 1, 3, 2, 2, 1, 0, 2, 2, 1  },
{ 3, 2, 1, 3, 0, 2, 0, 2, 0, 3, 1, 2, 2, 1, 1, 2, 1, 0, 3, 3, 2, 3, 0, 0, 2, 0, 1, 0, 3, 2, 3, 3, 0, 2, 0, 0, 3, 2, 0, 2, 2, 0  },
{ 0, 3, 3, 2, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 3, 2, 0, 1, 1, 0, 1, 3, 1, 0, 3, 3, 0, 2, 2, 3, 0, 0, 3, 1, 2, 2, 0, 2, 1, 3, 0, 0  },
{ 0, 3, 2, 3, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 3, 2, 0, 1, 3, 1, 2, 3, 1, 3, 0, 0, 0, 1, 0, 3, 0, 0, 3, 1, 1, 3, 0, 2, 2, 1, 3, 2  },
{ 1, 3, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 2, 0, 2, 2, 3, 1, 3, 0, 2, 2, 0, 2, 2, 0, 1, 2, 3, 2, 3, 1, 3, 0, 2, 2, 0, 2, 2, 1, 3, 2  },
{ 0, 3, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 2, 0, 2, 0, 0, 2, 1, 2, 0, 2, 1, 1, 0, 0, 1, 2, 3, 0, 0, 0, 3, 1, 2, 3, 3, 2, 1, 0, 3, 2  },
{ 1, 3, 1, 0, 0, 2, 0, 1, 0, 0, 0, 1, 3, 1, 0, 2, 0, 1, 0, 2, 2, 2, 1, 3, 3, 0, 1, 3, 0, 3, 0, 0, 3, 1, 0, 2, 3, 2, 3, 1, 2, 0  },
{ 1, 3, 1, 0, 1, 1, 3, 2, 0, 0, 0, 0, 2, 1, 2, 2, 3, 2, 3, 2, 0, 2, 1, 2, 2, 0, 1, 3, 2, 0, 0, 0, 0, 3, 3, 2, 3, 0, 3, 1, 3, 2  },
{ 1, 0, 3, 0, 0, 1, 1, 0, 2, 3, 0, 0, 2, 1, 2, 2, 2, 1, 2, 0, 3, 3, 2, 3, 1, 0, 0, 1, 2, 1, 1, 3, 0, 3, 0, 2, 3, 1, 2, 1, 3, 0  },
{ 1, 0, 1, 3, 0, 2, 0, 3, 0, 0, 2, 1, 2, 2, 0, 0, 0, 1, 2, 3, 2, 3, 1, 3, 2, 0, 1, 2, 3, 0, 0, 0, 3, 1, 2, 2, 2, 3, 0, 2, 2, 2  },
{ 1, 3, 0, 0, 0, 0, 3, 1, 0, 2, 1, 0, 1, 0, 1, 2, 0, 1, 2, 1, 2, 0, 1, 2, 1, 0, 1, 0, 2, 3, 0, 3, 0, 3, 3, 2, 2, 3, 0, 3, 2, 2  },
{ 1, 0, 3, 0, 0, 3, 2, 1, 0, 0, 0, 2, 3, 2, 3, 2, 2, 3, 1, 0, 2, 2, 3, 3, 1, 0, 1, 2, 3, 2, 3, 3, 2, 3, 3, 2, 3, 2, 0, 3, 2, 2  },
{ 1, 2, 0, 3, 0, 3, 0, 1, 0, 0, 2, 0, 2, 3, 2, 0, 0, 3, 1, 3, 1, 0, 2, 2, 3, 2, 0, 3, 0, 0, 2, 0, 0, 3, 1, 2, 3, 2, 0, 2, 0, 2  },
{ 1, 0, 2, 3, 0, 2, 2, 1, 0, 1, 0, 3, 0, 2, 2, 0, 3, 2, 0, 3, 3, 1, 2, 2, 0, 0, 2, 3, 2, 0, 2, 0, 3, 0, 2, 2, 2, 0, 3, 3, 2, 2  },
{ 1, 0, 3, 0, 0, 2, 1, 2, 0, 1, 3, 0, 2, 0, 2, 1, 0, 1, 2, 2, 3, 1, 2, 1, 0, 0, 2, 3, 0, 2, 0, 3, 2, 0, 3, 3, 1, 3, 0, 3, 0, 0  },
{ 1, 0, 0, 3, 1, 2, 2, 1, 0, 0, 3, 0, 3, 2, 3, 2, 2, 3, 0, 1, 2, 2, 2, 1, 1, 0, 3, 1, 2, 2, 1, 2, 3, 2, 3, 2, 2, 2, 2, 2, 3, 1  },
{ 1, 2, 0, 0, 0, 0, 2, 1, 0, 3, 1, 0, 1, 2, 1, 0, 0, 2, 0, 1, 1, 0, 2, 2, 1, 1, 0, 0, 1, 0, 2, 2, 3, 1, 0, 0, 2, 1, 3, 2, 2, 3  },
{ 0, 3, 0, 1, 1, 0, 0, 1, 0, 2, 1, 3, 2, 2, 1, 0, 3, 0, 1, 0, 3, 1, 0, 0, 2, 0, 3, 3, 0, 0, 2, 0, 0, 1, 2, 0, 1, 0, 1, 1, 0, 2  },
{ 0, 3, 3, 2, 0, 1, 0, 2, 0, 1, 2, 2, 3, 1, 3, 2, 0, 0, 2, 1, 0, 3, 1, 0, 3, 3, 0, 2, 3, 0, 0, 0, 3, 1, 2, 2, 0, 2, 0, 3, 0, 0  },
{ 0, 2, 2, 0, 3, 1, 2, 1, 2, 1, 1, 0, 1, 2, 2, 3, 0, 2, 2, 2, 2, 1, 3, 2, 2, 3, 1, 2, 3, 3, 1, 1, 1, 1, 2, 2, 0, 2, 1, 1, 3, 0  },
{ 0, 0, 3, 3, 0, 0, 2, 3, 2, 2, 2, 3, 0, 2, 2, 2, 0, 2, 0, 2, 2, 0, 0, 2, 2, 3, 1, 3, 0, 2, 3, 0, 0, 1, 2, 2, 0, 3, 0, 1, 2, 2  },
{ 1, 3, 1, 0, 2, 2, 2, 3, 2, 3, 2, 2, 1, 2, 2, 2, 1, 1, 0, 2, 0, 0, 2, 1, 2, 3, 1, 3, 0, 2, 3, 2, 0, 2, 1, 2, 0, 2, 2, 1, 2, 3  },
{ 1, 3, 0, 2, 0, 0, 3, 0, 2, 2, 2, 1, 2, 2, 2, 2, 3, 0, 2, 0, 2, 1, 2, 3, 0, 0, 2, 1, 2, 2, 3, 1, 3, 3, 1, 2, 0, 3, 0, 3, 2, 0  },
{ 1, 0, 2, 0, 3, 0, 0, 0, 2, 1, 1, 3, 0, 3, 0, 2, 1, 0, 0, 1, 3, 2, 0, 2, 2, 3, 1, 1, 3, 1, 2, 3, 0, 0, 0, 0, 0, 2, 1, 3, 2, 1  },
{ 3, 0, 0, 2, 2, 2, 1, 0, 0, 1, 1, 0, 2, 2, 2, 2, 0, 3, 1, 0, 0, 1, 1, 2, 0, 2, 0, 0, 3, 2, 3, 0, 3, 2, 2, 0, 3, 2, 1, 1, 2, 3  },
{ 1, 0, 0, 2, 3, 0, 0, 0, 2, 2, 1, 2, 1, 0, 2, 0, 3, 1, 2, 3, 3, 0, 3, 3, 2, 1, 1, 1, 1, 2, 0, 2, 2, 3, 2, 2, 2, 0, 3, 1, 2, 3  },
{ 1, 3, 1, 2, 0, 0, 1, 0, 2, 1, 2, 0, 1, 0, 2, 1, 2, 1, 0, 3, 1, 0, 0, 2, 0, 0, 0, 1, 1, 1, 2, 0, 3, 2, 1, 2, 1, 3, 0, 1, 2, 2  },
{ 1, 0, 0, 2, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 2, 3, 0, 1, 1, 1, 3, 2, 2, 3, 2, 3, 2, 1, 3, 2, 1, 3, 3, 3, 2, 2, 2, 3, 2, 1, 2, 3  },
{ 1, 0, 2, 3, 0, 1, 1, 2, 0, 0, 2, 2, 1, 0, 2, 2, 0, 2, 0, 3, 1, 3, 1, 2, 0, 0, 1, 2, 3, 1, 0, 1, 3, 0, 2, 3, 1, 2, 1, 3, 3, 1  },
{ 1, 2, 1, 0, 0, 1, 3, 2, 0, 0, 0, 1, 3, 1, 3, 2, 0, 2, 3, 2, 0, 3, 1, 0, 2, 1, 1, 3, 2, 0, 0, 0, 2, 1, 0, 2, 0, 3, 1, 3, 2, 0  },
{ 1, 2, 3, 2, 0, 1, 1, 2, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 3, 1, 2, 0, 2, 0, 0, 1, 3, 3, 1, 1, 1, 3, 0, 2, 3, 0, 2, 0, 2, 3, 0  },
{ 1, 2, 1, 3, 0, 3, 1, 2, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 0, 1, 3, 2, 1, 0, 3, 0, 1, 2, 0, 0, 1, 0, 3, 0, 0, 2, 0, 2, 0, 2, 2, 0  },
{ 1, 3, 0, 0, 0, 1, 0, 2, 0, 1, 2, 1, 2, 1, 0, 2, 0, 1, 2, 0, 2, 2, 1, 2, 2, 0, 2, 2, 2, 3, 0, 0, 3, 0, 0, 2, 0, 0, 3, 2, 0, 0  },
{ 1, 2, 3, 1, 0, 0, 1, 2, 0, 0, 2, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 1, 2, 2, 0, 0, 1, 1, 0, 2, 0, 3, 0, 2, 1, 0, 3, 2, 1, 2, 2, 0  },
{ 1, 0, 3, 0, 1, 0, 1, 2, 0, 0, 0, 3, 1, 0, 2, 2, 3, 2, 1, 2, 0, 2, 1, 2, 2, 0, 0, 0, 0, 2, 3, 0, 0, 3, 2, 2, 0, 1, 0, 3, 3, 0  },
{ 1, 0, 3, 0, 1, 1, 2, 1, 0, 0, 3, 1, 2, 3, 1, 2, 3, 0, 0, 3, 0, 0, 2, 1, 2, 0, 2, 0, 0, 1, 2, 3, 0, 2, 3, 2, 0, 1, 0, 2, 3, 0  },
{ 1, 1, 0, 3, 0, 2, 1, 1, 0, 0, 0, 3, 1, 0, 2, 0, 0, 1, 2, 1, 2, 2, 0, 0, 0, 0, 1, 3, 2, 2, 0, 0, 2, 1, 3, 2, 2, 3, 1, 1, 0, 0  },
{ 1, 1, 0, 0, 3, 0, 2, 1, 0, 0, 1, 2, 2, 0, 1, 2, 0, 0, 2, 2, 0, 1, 1, 2, 3, 0, 1, 0, 2, 2, 0, 2, 0, 3, 0, 2, 2, 0, 1, 2, 2, 0  },
{ 1, 0, 3, 1, 0, 1, 2, 1, 0, 3, 3, 3, 1, 3, 1, 2, 0, 0, 2, 2, 3, 0, 2, 0, 2, 0, 3, 1, 0, 0, 2, 3, 0, 3, 2, 2, 0, 1, 3, 2, 3, 2  },
{ 1, 0, 3, 0, 1, 3, 2, 1, 0, 0, 1, 3, 3, 2, 3, 2, 3, 1, 1, 2, 3, 0, 3, 3, 1, 0, 2, 1, 1, 2, 3, 3, 2, 2, 3, 2, 0, 1, 2, 2, 3, 0  },
{ 1, 1, 0, 0, 0, 1, 3, 1, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 2, 2, 3, 1, 2, 0, 0, 0, 1, 2, 2, 3, 0, 0, 0, 2, 1, 2, 3, 2, 0, 2, 3, 0  },
{ 1, 1, 0, 0, 3, 0, 2, 1, 0, 0, 1, 3, 1, 0, 2, 1, 0, 0, 2, 3, 1, 2, 0, 3, 2, 0, 1, 0, 2, 0, 3, 0, 3, 0, 2, 2, 2, 0, 3, 2, 2, 2  },
{ 1, 0, 3, 1, 0, 3, 3, 1, 0, 0, 0, 1, 3, 2, 1, 2, 3, 1, 0, 0, 3, 3, 2, 1, 2, 0, 1, 3, 0, 2, 0, 2, 0, 3, 2, 2, 3, 0, 3, 2, 3, 0  },
{ 1, 1, 0, 3, 3, 2, 1, 3, 0, 0, 2, 1, 2, 3, 2, 1, 0, 3, 2, 0, 1, 0, 2, 3, 1, 2, 3, 0, 2, 0, 3, 0, 2, 0, 2, 2, 3, 2, 3, 2, 0, 0  },
{ 3, 1, 0, 0, 1, 2, 3, 1, 0, 0, 1, 3, 2, 1, 0, 2, 3, 1, 0, 0, 2, 3, 2, 0, 3, 0, 3, 1, 3, 2, 0, 2, 3, 0, 2, 0, 1, 0, 3, 0, 2, 0  },
{ 3, 1, 0, 1, 3, 2, 2, 0, 0, 3, 2, 1, 3, 1, 0, 3, 0, 2, 0, 2, 2, 1, 2, 3, 2, 0, 2, 2, 3, 2, 2, 2, 3, 0, 2, 2, 2, 2, 3, 2, 1, 2  },
{ 1, 3, 1, 0, 1, 2, 2, 0, 2, 0, 1, 1, 2, 0, 1, 2, 1, 1, 1, 2, 0, 2, 0, 0, 2, 3, 2, 2, 2, 1, 1, 0, 3, 1, 0, 3, 0, 2, 1, 3, 0, 0  },
{ 1, 3, 1, 0, 0, 0, 2, 0, 2, 1, 1, 2, 3, 1, 2, 2, 3, 1, 3, 2, 2, 3, 0, 2, 2, 3, 0, 2, 3, 2, 0, 0, 3, 1, 3, 0, 1, 1, 2, 1, 3, 1  },
{ 1, 0, 0, 2, 1, 0, 1, 0, 2, 3, 1, 1, 1, 1, 2, 2, 1, 1, 3, 2, 2, 1, 2, 0, 2, 3, 1, 2, 2, 0, 0, 3, 0, 3, 2, 2, 0, 3, 2, 1, 0, 0  },
{ 1, 0, 0, 2, 1, 1, 1, 0, 2, 2, 3, 0, 0, 2, 1, 2, 1, 1, 2, 0, 0, 2, 2, 0, 2, 0, 0, 1, 3, 3, 0, 1, 0, 2, 2, 0, 1, 3, 1, 3, 2, 2  },
{ 1, 0, 2, 0, 1, 1, 0, 1, 2, 3, 3, 0, 0, 2, 0, 1, 1, 1, 2, 1, 0, 2, 1, 2, 2, 3, 3, 3, 2, 3, 0, 1, 0, 2, 1, 2, 0, 3, 0, 3, 2, 3  },
{ 1, 0, 0, 2, 1, 0, 1, 0, 2, 3, 2, 0, 3, 0, 0, 0, 1, 0, 3, 1, 2, 2, 0, 1, 2, 3, 1, 3, 2, 3, 2, 3, 0, 2, 3, 2, 0, 2, 2, 3, 3, 0  },
{ 1, 0, 0, 2, 1, 2, 1, 0, 2, 3, 1, 2, 0, 0, 2, 2, 0, 2, 2, 3, 1, 3, 0, 2, 0, 1, 3, 2, 2, 2, 2, 0, 3, 1, 1, 2, 0, 2, 0, 0, 2, 3  },
{ 0, 1, 2, 0, 1, 1, 1, 1, 2, 3, 1, 2, 1, 0, 2, 2, 0, 2, 0, 1, 3, 0, 3, 2, 2, 1, 0, 3, 2, 2, 2, 0, 3, 2, 2, 2, 2, 0, 1, 3, 2, 3  },
{ 1, 0, 0, 2, 3, 1, 1, 0, 2, 1, 2, 3, 0, 1, 0, 0, 2, 1, 1, 1, 1, 0, 2, 3, 2, 1, 0, 3, 0, 2, 3, 2, 2, 2, 2, 2, 2, 0, 1, 2, 2, 3  },
{ 2, 1, 2, 1, 0, 0, 3, 2, 0, 3, 0, 1, 0, 2, 0, 0, 2, 1, 2, 3, 0, 2, 3, 0, 2, 1, 3, 3, 2, 2, 3, 2, 3, 2, 0, 2, 3, 2, 1, 3, 0, 3  },
{ 1, 0, 0, 2, 0, 1, 1, 2, 2, 1, 2, 0, 1, 0, 1, 1, 0, 3, 0, 2, 3, 2, 3, 3, 0, 2, 0, 1, 1, 0, 2, 0, 3, 2, 1, 2, 1, 2, 1, 2, 2, 2  },
{ 1, 1, 2, 1, 0, 1, 1, 1, 1, 0, 1, 2, 1, 2, 2, 0, 0, 2, 0, 3, 2, 3, 1, 2, 0, 1, 1, 0, 3, 0, 0, 0, 3, 0, 0, 2, 1, 2, 1, 2, 2, 0  },
{ 1, 0, 2, 2, 0, 2, 1, 0, 2, 1, 1, 0, 1, 0, 2, 0, 0, 2, 1, 0, 2, 3, 0, 2, 3, 1, 1, 3, 2, 0, 0, 0, 2, 1, 2, 0, 1, 2, 2, 1, 2, 1  },
{ 1, 0, 2, 1, 0, 0, 2, 1, 0, 1, 1, 2, 1, 0, 2, 0, 0, 2, 0, 2, 2, 2, 0, 2, 0, 0, 1, 0, 3, 1, 1, 1, 3, 0, 2, 0, 1, 2, 1, 0, 1, 1  },
{ 1, 3, 0, 2, 1, 1, 1, 2, 0, 0, 1, 2, 0, 1, 2, 2, 0, 2, 1, 1, 0, 1, 0, 2, 0, 1, 1, 2, 2, 0, 2, 1, 0, 0, 2, 2, 0, 2, 1, 1, 2, 1  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 1, 1, 0, 3, 0, 2, 2, 0, 2, 2, 0, 2, 2, 1, 0, 2, 1, 1, 2, 1, 0, 1, 1, 3, 0, 0, 2, 0, 2, 1, 1, 0, 0  },
{ 1, 1, 0, 3, 0, 2, 1, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 2, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 3, 2, 3, 2, 0, 1  },
{ 1, 0, 3, 2, 1, 0, 1, 3, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0  },
{ 1, 0, 0, 2, 1, 3, 1, 2, 0, 0, 1, 0, 2, 0, 3, 2, 1, 2, 0, 3, 0, 1, 0, 3, 2, 0, 1, 3, 2, 2, 2, 1, 3, 0, 0, 2, 0, 3, 0, 1, 0, 0  },
{ 1, 0, 3, 0, 1, 1, 2, 0, 0, 3, 1, 0, 0, 1, 3, 2, 1, 1, 3, 3, 2, 3, 0, 2, 2, 1, 2, 0, 3, 2, 2, 0, 0, 1, 3, 2, 0, 1, 0, 2, 0, 0  },
{ 1, 1, 0, 1, 0, 2, 1, 2, 0, 0, 1, 2, 2, 2, 1, 0, 0, 0, 1, 3, 3, 1, 2, 0, 0, 0, 1, 2, 3, 0, 2, 1, 2, 0, 2, 0, 2, 3, 2, 1, 0, 0  },
{ 1, 1, 0, 3, 3, 3, 3, 1, 0, 0, 2, 1, 2, 0, 0, 0, 0, 0, 0, 1, 2, 0, 1, 0, 2, 0, 1, 3, 0, 0, 2, 0, 1, 1, 2, 2, 0, 2, 1, 2, 3, 0  },
{ 1, 0, 3, 1, 1, 1, 2, 1, 0, 0, 2, 1, 2, 1, 2, 0, 0, 0, 1, 3, 1, 0, 0, 2, 2, 0, 3, 2, 0, 3, 0, 2, 1, 0, 2, 2, 0, 1, 3, 2, 2, 0  },
{ 1, 0, 3, 0, 1, 1, 3, 0, 0, 3, 0, 3, 1, 3, 0, 2, 1, 1, 3, 1, 2, 2, 1, 2, 2, 0, 1, 2, 2, 3, 2, 0, 3, 1, 3, 2, 0, 3, 3, 2, 0, 0  },
{ 1, 2, 2, 1, 0, 3, 2, 0, 0, 1, 3, 2, 1, 0, 1, 3, 2, 3, 0, 1, 0, 2, 2, 0, 1, 0, 3, 1, 2, 2, 0, 2, 2, 3, 0, 1, 0, 2, 2, 2, 2, 0  },
{ 1, 3, 0, 1, 0, 2, 3, 0, 0, 0, 2, 1, 2, 2, 1, 0, 0, 0, 2, 2, 3, 2, 1, 0, 0, 0, 0, 2, 2, 3, 0, 0, 0, 2, 1, 2, 2, 3, 0, 2, 3, 0  },
{ 1, 0, 1, 3, 0, 3, 0, 1, 0, 0, 0, 3, 0, 1, 2, 0, 0, 2, 0, 1, 3, 2, 0, 1, 2, 0, 1, 3, 1, 3, 2, 0, 3, 0, 2, 2, 2, 0, 1, 0, 2, 0  },
{ 1, 0, 1, 3, 0, 3, 0, 3, 0, 0, 2, 1, 1, 2, 1, 0, 0, 3, 0, 3, 3, 1, 0, 2, 2, 0, 0, 2, 1, 3, 0, 0, 3, 1, 2, 2, 3, 0, 1, 2, 0, 0  },
{ 1, 0, 3, 1, 2, 2, 0, 3, 0, 1, 3, 1, 3, 2, 1, 0, 0, 1, 1, 3, 3, 1, 3, 1, 1, 3, 0, 0, 2, 0, 3, 3, 0, 2, 3, 2, 0, 2, 1, 2, 3, 0  },
{ 2, 1, 1, 1, 2, 0, 2, 3, 0, 1, 3, 2, 3, 3, 3, 0, 3, 2, 2, 1, 2, 2, 3, 1, 1, 3, 0, 3, 3, 2, 2, 1, 3, 3, 3, 0, 0, 2, 3, 2, 3, 1  },
{ 3, 1, 0, 3, 3, 1, 0, 3, 1, 0, 2, 2, 0, 3, 1, 0, 0, 1, 3, 2, 1, 2, 0, 3, 1, 1, 0, 2, 2, 3, 3, 3, 2, 1, 2, 1, 2, 3, 3, 2, 3, 0  },
{ 1, 1, 0, 3, 3, 0, 0, 1, 3, 3, 1, 3, 1, 3, 1, 0, 0, 1, 2, 0, 1, 2, 0, 3, 1, 1, 3, 0, 2, 2, 2, 0, 3, 0, 2, 1, 2, 2, 1, 2, 3, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 1, 2, 1, 1, 2, 0, 0, 2, 0, 0, 0, 2, 1, 2, 2, 3, 0, 1, 2, 0, 0, 0, 2, 1, 0, 2, 1, 2, 1, 1, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 2, 1, 1, 3, 1, 2, 1, 2, 0, 0, 2, 1, 0, 0, 3, 3, 2, 3, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 2, 3, 0, 2, 2, 1, 2, 2, 1, 1, 1, 0, 3, 2, 1, 2, 2, 0, 0, 3, 2, 3, 0, 0, 0, 1, 3, 0, 0, 2, 1, 1, 2, 0  },
{ 1, 0, 0, 2, 1, 1, 3, 2, 0, 3, 1, 0, 1, 1, 1, 2, 1, 2, 2, 0, 3, 2, 1, 1, 2, 1, 1, 0, 2, 1, 2, 0, 1, 2, 1, 0, 0, 2, 0, 1, 0, 0  },
{ 1, 0, 3, 0, 3, 2, 2, 1, 0, 1, 1, 0, 1, 2, 0, 3, 1, 1, 0, 3, 3, 3, 0, 3, 2, 3, 2, 1, 0, 3, 3, 0, 3, 0, 0, 2, 0, 1, 0, 2, 2, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 2, 3, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 3, 2, 2, 2, 1, 0, 0, 1, 0, 2, 1, 0, 0, 2, 0, 2, 0, 3, 0, 2, 0, 3  },
{ 1, 0, 2, 0, 3, 0, 1, 2, 0, 1, 1, 3, 2, 0, 1, 2, 1, 0, 0, 2, 3, 3, 2, 1, 2, 3, 0, 1, 0, 2, 0, 0, 0, 2, 1, 2, 0, 2, 0, 3, 2, 0  },
{ 3, 1, 3, 2, 2, 2, 1, 0, 2, 0, 0, 3, 1, 0, 2, 2, 3, 1, 1, 0, 0, 0, 1, 2, 2, 2, 2, 2, 0, 2, 2, 3, 0, 0, 0, 2, 1, 3, 3, 0, 1, 0  },
{ 1, 0, 2, 0, 3, 0, 1, 2, 2, 1, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 2, 2, 2, 1, 1, 0, 1, 2, 1, 2, 1, 0, 2, 3, 2, 2, 0, 1, 0, 2, 3  },
{ 1, 0, 2, 1, 0, 2, 3, 3, 0, 2, 0, 1, 2, 1, 0, 2, 1, 0, 3, 0, 1, 3, 2, 3, 2, 0, 2, 1, 3, 1, 2, 0, 2, 3, 1, 2, 2, 3, 1, 2, 0, 1  },
{ 2, 1, 2, 2, 3, 2, 2, 0, 1, 2, 1, 3, 2, 2, 2, 2, 0, 2, 0, 1, 0, 0, 3, 2, 2, 3, 3, 3, 3, 1, 0, 3, 3, 0, 3, 2, 2, 1, 1, 3, 2, 2  },
{ 0, 1, 2, 2, 1, 3, 3, 2, 0, 2, 2, 1, 1, 0, 2, 0, 1, 2, 0, 0, 0, 2, 2, 2, 2, 0, 0, 1, 1, 1, 2, 3, 0, 3, 2, 1, 2, 3, 0, 1, 2, 2  },
{ 2, 1, 3, 2, 0, 0, 3, 1, 2, 2, 2, 3, 1, 1, 1, 1, 1, 0, 1, 0, 1, 3, 2, 3, 0, 2, 1, 0, 1, 2, 2, 0, 2, 3, 3, 2, 1, 2, 0, 3, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 1, 0, 1, 0, 2, 1, 2, 0, 1, 2, 0, 0, 1, 0, 2, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 0, 3, 1, 0, 2, 1, 2, 0, 0, 1, 2, 2, 0, 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 0, 3, 1, 0, 2, 1, 2, 1, 1, 2, 0  },
{ 1, 1, 2, 0, 1, 1, 2, 0, 1, 0, 2, 0, 2, 1, 2, 0, 0, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 3, 2, 1, 2, 2, 1  },
{ 1, 0, 2, 3, 3, 0, 2, 1, 0, 1, 1, 2, 1, 2, 0, 2, 1, 2, 1, 3, 1, 0, 0, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 1, 2, 1, 1, 2, 0  },
{ 1, 1, 2, 0, 1, 1, 2, 3, 0, 1, 1, 0, 3, 0, 0, 0, 0, 1, 3, 1, 2, 1, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 2, 1, 0, 3, 1  },
{ 1, 0, 2, 1, 1, 0, 3, 1, 0, 0, 2, 1, 2, 1, 0, 3, 1, 1, 2, 0, 1, 0, 0, 2, 0, 1, 1, 0, 0, 3, 0, 2, 0, 0, 2, 2, 0, 2, 1, 0, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 3, 0, 2, 0, 1, 1, 2, 2, 1, 2, 0, 2, 2, 3, 2, 0, 1, 3, 0, 0, 3, 1, 0, 2, 0, 0, 1, 1, 0, 1  },
{ 1, 3, 0, 0, 1, 3, 1, 2, 0, 3, 1, 1, 3, 0, 2, 0, 1, 0, 0, 1, 0, 0, 3, 1, 2, 1, 2, 0, 2, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 1, 0, 3, 1, 1, 2, 0, 0, 0, 2, 1, 0, 3, 1, 1, 0, 1, 0, 1, 3, 1, 0, 3, 0, 0, 0, 1, 2, 0, 3, 0, 0, 3, 1, 0, 3, 2, 0, 2, 3, 1  },
{ 1, 3, 0, 1, 1, 1, 3, 3, 0, 0, 2, 1, 0, 2, 1, 0, 1, 1, 0, 1, 3, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 2, 0, 3, 2, 0, 1, 3, 1, 0, 1  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 0, 0, 3, 2, 1, 2, 0, 0, 1, 2, 1, 0, 1, 3, 1, 1, 2, 0, 0, 1, 2, 1, 0, 2, 1, 1, 0, 2, 0, 3, 1, 0, 2, 0  },
{ 1, 2, 0, 0, 1, 1, 1, 0, 0, 0, 3, 3, 0, 1, 0, 2, 1, 3, 1, 0, 3, 2, 0, 0, 1, 1, 1, 0, 2, 3, 0, 2, 1, 2, 3, 2, 0, 2, 2, 0, 2, 0  },
{ 2, 1, 1, 1, 3, 0, 3, 1, 1, 3, 2, 3, 1, 0, 0, 2, 1, 3, 1, 3, 1, 1, 0, 1, 1, 1, 1, 2, 1, 2, 2, 1, 1, 2, 2, 1, 0, 2, 0, 0, 2, 1  },
{ 1, 1, 0, 2, 2, 2, 3, 2, 1, 0, 0, 3, 2, 1, 1, 0, 0, 1, 2, 1, 3, 1, 1, 0, 0, 0, 0, 1, 2, 0, 3, 0, 2, 0, 1, 0, 2, 1, 1, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 1, 3, 2, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 1, 3, 3, 0, 1, 0, 0, 0, 0, 2, 1, 3, 0, 0, 2, 1, 2, 2, 2, 0, 1, 1, 2, 0  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 0, 2, 0, 2, 3, 1, 0, 0, 1, 2, 1, 0, 3, 3, 0, 2, 2, 0, 0, 2, 1, 0, 3, 0, 3, 1, 2, 2, 3, 0, 1, 2, 1, 0  },
{ 1, 2, 0, 1, 0, 3, 0, 2, 0, 3, 1, 0, 2, 1, 2, 0, 1, 0, 3, 0, 1, 0, 0, 0, 0, 2, 0, 1, 1, 2, 1, 0, 2, 2, 1, 2, 0, 2, 1, 1, 0, 3  },
{ 1, 2, 2, 1, 3, 0, 0, 3, 0, 3, 1, 0, 0, 1, 2, 0, 0, 1, 2, 3, 1, 0, 2, 0, 1, 3, 0, 1, 3, 2, 2, 2, 3, 2, 2, 1, 0, 2, 1, 2, 2, 2  },
{ 3, 1, 0, 3, 0, 0, 3, 2, 1, 1, 0, 3, 1, 0, 3, 0, 0, 3, 1, 0, 3, 3, 1, 0, 0, 1, 0, 0, 1, 3, 3, 0, 2, 1, 2, 1, 2, 3, 1, 3, 2, 0  },
{ 1, 3, 0, 1, 2, 0, 1, 0, 3, 3, 1, 0, 3, 1, 1, 0, 2, 0, 1, 3, 1, 0, 1, 3, 0, 0, 0, 3, 1, 3, 0, 2, 1, 1, 2, 2, 2, 3, 1, 3, 0, 0  },
{ 3, 2, 1, 3, 0, 1, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 3, 3, 0, 1, 0, 2, 0, 0, 3, 2, 3, 1, 0, 3, 0, 2, 2, 3, 0, 2, 3, 0, 3  },
{ 3, 1, 0, 3, 1, 2, 1, 0, 0, 1, 3, 0, 1, 2, 2, 0, 2, 1, 1, 2, 1, 3, 1, 3, 1, 0, 2, 3, 1, 1, 0, 2, 3, 0, 2, 1, 1, 0, 1, 2, 2, 0  },
{ 1, 2, 0, 2, 1, 0, 1, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 2, 1, 1, 2, 1, 0, 2, 0, 2, 0, 2, 3, 0, 0, 0, 3, 2, 3, 2, 1, 0, 1, 0, 2, 0  },
{ 1, 0, 3, 0, 1, 2, 1, 2, 0, 2, 1, 0, 2, 1, 2, 2, 1, 0, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 2, 0, 1, 2, 1, 1, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 0, 0, 2, 1, 0, 0, 2, 2, 1, 1, 0, 3, 0, 2, 1, 2, 2, 2, 0, 0, 2, 2, 0, 0, 0, 2, 2, 0, 1, 1, 2, 0, 3, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 3, 1, 0, 2, 1, 3, 2, 1, 1, 1, 3, 1, 0, 1, 1, 2, 0, 2, 0, 2, 0, 1, 3, 1, 2, 0, 2, 0, 3, 2, 0, 1, 0  },
{ 1, 0, 0, 2, 1, 2, 1, 1, 0, 1, 2, 0, 1, 1, 0, 2, 0, 0, 2, 1, 3, 0, 3, 1, 2, 3, 3, 2, 3, 3, 3, 1, 1, 3, 2, 0, 1, 1, 2, 2, 1, 0  },
{ 1, 0, 2, 0, 2, 0, 2, 3, 0, 1, 2, 1, 0, 0, 2, 1, 1, 1, 0, 2, 1, 0, 2, 2, 1, 0, 2, 0, 1, 1, 0, 0, 0, 2, 0, 2, 1, 0, 1, 0, 2, 1  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 0, 2, 2, 3, 2, 0, 0, 2, 1, 0, 0, 1, 2, 2, 2, 1, 2, 3, 1, 0, 2, 2, 0, 3, 1, 2, 1, 2, 1, 0, 1, 2, 3, 0  },
{ 3, 1, 2, 1, 0, 1, 2, 3, 1, 1, 2, 1, 3, 2, 2, 0, 1, 0, 3, 1, 2, 2, 2, 0, 1, 3, 1, 0, 1, 2, 0, 3, 0, 2, 2, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 0, 2, 0, 0, 3, 0, 1, 0, 3, 1, 0, 0, 2, 0, 3, 2, 0, 2, 2, 3, 1, 2, 1, 2, 1, 1, 1, 2, 0, 3, 1, 1, 0, 2, 0, 2, 2, 0, 2  },
{ 1, 0, 2, 2, 3, 0, 0, 0, 2, 1, 0, 0, 3, 0, 0, 1, 0, 1, 1, 0, 1, 3, 1, 3, 1, 1, 2, 0, 2, 2, 2, 0, 3, 2, 2, 0, 2, 0, 0, 1, 3, 2  },
{ 0, 2, 1, 2, 3, 2, 1, 0, 2, 1, 0, 3, 1, 0, 2, 2, 0, 2, 1, 2, 0, 0, 0, 2, 2, 2, 3, 0, 1, 2, 2, 3, 2, 0, 3, 2, 3, 1, 1, 0, 3, 2  },
{ 2, 1, 2, 2, 2, 0, 0, 1, 0, 1, 2, 1, 1, 2, 2, 2, 3, 3, 3, 2, 1, 3, 2, 2, 0, 1, 0, 0, 3, 3, 2, 3, 0, 1, 1, 1, 2, 2, 0, 2, 2, 2  },
{ 0, 1, 2, 1, 1, 1, 0, 2, 1, 2, 0, 2, 2, 1, 0, 2, 1, 2, 1, 1, 2, 0, 2, 1, 0, 1, 1, 0, 2, 0, 0, 0, 2, 1, 2, 1, 0, 2, 0, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 3, 2, 2, 1, 2, 1, 1, 1, 0, 2, 1, 1, 2, 0, 2, 2, 0, 2, 0, 1, 2, 0, 0, 0, 0, 0, 1, 1, 2, 1, 3, 2, 1, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 1, 1, 1, 0, 2, 2, 3, 0, 0, 2, 0, 0, 2, 1, 1, 2, 0, 1, 1, 0, 2, 0, 0, 0, 1, 2, 1, 1, 2, 2, 2, 0, 2, 0  },
{ 1, 2, 0, 1, 1, 1, 0, 2, 1, 1, 2, 0, 2, 1, 0, 2, 0, 2, 1, 2, 1, 2, 0, 2, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 2, 2, 1, 2, 0, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 0, 0, 2, 0, 2, 3, 2, 0, 1, 2, 0, 1, 2, 1, 2, 1, 2, 1, 1, 2, 1, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 2, 1, 0  },
{ 1, 1, 0, 3, 1, 2, 3, 0, 0, 1, 1, 0, 2, 0, 0, 3, 0, 3, 2, 0, 3, 1, 2, 2, 0, 0, 1, 0, 1, 0, 3, 0, 0, 3, 1, 1, 3, 2, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 0, 3, 2, 0, 1, 2, 3, 0, 0, 0, 1, 2, 1, 3, 1, 2, 0, 1, 1, 2, 1, 0, 0, 0, 0, 1, 2, 2, 3, 0, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 2, 0, 0, 2, 3, 0, 1, 2, 0, 2, 2, 0, 2, 1, 2, 1, 0, 0, 2, 1, 1, 0, 2, 1, 0, 0, 0, 0, 2, 0, 3, 2, 0, 1, 1, 0  },
{ 1, 0, 3, 1, 1, 3, 2, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 2, 1, 0, 1, 2, 2, 0, 2, 0, 2, 0, 0, 1, 0, 0, 2, 1, 0, 1, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 1, 3, 1, 1, 0, 3, 0, 1, 0, 3, 1, 0, 1, 3, 0, 3, 1, 3, 3, 0, 0, 2, 0, 1, 0, 1, 0, 0, 3, 1, 0, 3, 2, 2, 1, 2, 0  },
{ 1, 2, 0, 1, 1, 3, 2, 2, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 2, 0, 3, 2, 2, 0, 0, 0, 1, 2, 1, 0, 2, 0, 2, 1, 2, 0, 2, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 2, 0, 3, 0, 0, 2, 0, 3, 0, 2, 0, 1, 1, 2, 0, 1, 0, 0, 3, 2, 2, 0, 2, 1, 2, 0, 0, 0, 1, 2, 2, 0, 3, 1, 0, 0, 1  },
{ 1, 3, 0, 1, 1, 2, 3, 0, 0, 1, 0, 1, 2, 0, 0, 2, 3, 2, 1, 0, 1, 3, 2, 0, 1, 1, 0, 0, 2, 2, 0, 2, 1, 1, 2, 1, 0, 2, 0, 0, 2, 0  },
{ 1, 1, 3, 0, 1, 0, 2, 1, 1, 1, 1, 3, 1, 2, 3, 0, 0, 0, 0, 2, 3, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 3, 2, 0, 1, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 3, 3, 0, 0, 2, 0, 0, 1, 0, 1, 3, 0, 0, 2, 0, 1, 2, 0, 2, 1, 0, 0, 1  },
{ 1, 0, 1, 2, 1, 2, 3, 0, 1, 3, 2, 0, 1, 2, 0, 0, 2, 1, 1, 1, 3, 0, 1, 3, 2, 0, 0, 1, 2, 1, 0, 2, 0, 2, 1, 2, 0, 2, 2, 1, 3, 0  },
{ 1, 3, 0, 1, 1, 2, 0, 2, 1, 2, 1, 1, 0, 1, 2, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 2, 1, 1, 1, 2, 1, 0, 3, 2, 2, 1, 0, 2, 1, 2, 3, 0  },
{ 3, 1, 2, 2, 2, 0, 3, 1, 0, 1, 0, 2, 1, 2, 1, 0, 1, 2, 1, 0, 1, 1, 2, 0, 0, 2, 2, 1, 1, 1, 2, 3, 3, 2, 2, 1, 0, 2, 2, 1, 0, 2  },
{ 1, 0, 1, 3, 1, 0, 1, 3, 1, 1, 0, 3, 1, 0, 2, 1, 2, 2, 3, 2, 0, 1, 3, 0, 0, 0, 0, 1, 0, 1, 3, 0, 1, 0, 1, 3, 2, 3, 1, 3, 0, 0  },
{ 1, 2, 0, 1, 1, 3, 0, 2, 1, 0, 1, 2, 3, 1, 1, 2, 1, 1, 2, 0, 3, 2, 1, 2, 0, 0, 0, 3, 1, 1, 0, 3, 0, 2, 0, 2, 2, 1, 0, 1, 3, 0  },
{ 3, 2, 0, 1, 1, 2, 2, 0, 0, 2, 2, 1, 0, 2, 1, 0, 0, 1, 0, 2, 1, 0, 3, 1, 1, 1, 2, 2, 1, 2, 1, 0, 2, 3, 2, 1, 0, 2, 1, 1, 2, 3  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 2, 0, 2, 0, 2, 3, 2, 0, 1, 0, 1, 1, 1, 0, 1, 2, 2, 2, 2, 2, 2, 3, 0, 0, 0, 1, 0, 2, 1, 0, 0, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 2, 2, 1, 3, 1, 2, 2, 1, 1, 0, 1, 2, 3, 1, 0, 2, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 0, 1, 2, 1, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 0, 2, 2, 0, 1, 2, 0, 2, 1, 1, 0, 2, 1, 0, 1, 1, 2, 0, 2, 0, 1, 3, 0, 1, 0, 0, 2, 0, 1, 2, 2, 1, 1, 1  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 0, 1, 2, 0, 1, 2, 0, 2, 2, 2, 0, 2, 1, 2, 0, 1, 2, 0, 0, 2, 1, 1, 0, 1, 0, 3, 2, 0, 1, 2, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 3, 0, 0, 2, 0, 2, 1, 2, 0, 2, 1, 1, 0, 1, 2, 0, 1, 1, 2, 2, 0, 0, 2, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 1, 0  },
{ 0, 1, 2, 0, 3, 2, 1, 1, 0, 0, 0, 1, 2, 2, 1, 2, 1, 0, 2, 0, 3, 2, 0, 0, 2, 2, 2, 1, 0, 2, 0, 0, 1, 1, 0, 0, 1, 0, 2, 1, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 1, 0, 2, 1, 2, 3, 0, 3, 2, 1, 2, 1, 2, 1, 3, 0, 2, 2, 0, 1, 0, 1, 2, 0, 0, 0, 2, 1, 0, 1, 2, 2, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 2, 0, 2, 3, 0, 1, 0, 2, 2, 0, 1, 2, 1, 0, 0, 2, 1, 2, 1, 0, 1, 2, 2, 0, 0, 0, 1, 1, 0, 0, 2, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 0, 0, 2, 2, 1, 2, 0, 0, 2, 1, 0, 0, 2, 1, 1, 3, 0, 2, 2, 0, 0, 2, 2, 0, 3, 0, 3, 0, 2, 0, 2, 0, 0, 1, 0  },
{ 1, 0, 2, 2, 0, 1, 2, 2, 0, 1, 2, 1, 0, 2, 2, 1, 0, 2, 2, 2, 1, 3, 0, 0, 2, 2, 0, 1, 3, 2, 2, 0, 2, 1, 0, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 0, 2, 3, 2, 1, 1, 2, 0, 1, 1, 1, 0, 0, 2, 1, 2, 0, 0, 2, 1, 1, 1, 2, 1, 1, 2, 1, 1, 2, 3, 1, 0, 2, 2, 0, 2, 0, 2, 1, 0, 0  },
{ 1, 0, 2, 2, 2, 2, 1, 2, 0, 0, 2, 1, 0, 2, 0, 1, 3, 2, 0, 1, 3, 2, 3, 1, 2, 0, 1, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 0, 1, 2, 3  },
{ 3, 1, 0, 0, 2, 2, 1, 2, 0, 3, 1, 2, 0, 1, 2, 1, 1, 2, 0, 1, 3, 0, 3, 2, 1, 0, 1, 3, 2, 0, 0, 2, 1, 2, 1, 2, 2, 0, 1, 1, 1, 1  },
{ 1, 0, 2, 2, 2, 0, 1, 0, 2, 1, 3, 0, 2, 0, 0, 1, 3, 2, 1, 0, 3, 1, 0, 1, 2, 2, 0, 0, 1, 2, 2, 1, 3, 1, 3, 2, 2, 1, 0, 1, 1, 2  },
{ 1, 0, 2, 0, 2, 0, 0, 1, 3, 2, 3, 0, 0, 0, 0, 1, 1, 0, 2, 1, 3, 1, 3, 1, 0, 0, 2, 1, 2, 1, 2, 3, 3, 2, 1, 2, 2, 0, 0, 3, 0, 2  },
{ 1, 0, 2, 0, 2, 1, 1, 0, 0, 0, 2, 0, 1, 2, 1, 2, 2, 0, 1, 2, 1, 1, 2, 2, 0, 1, 0, 2, 0, 2, 2, 0, 2, 2, 0, 2, 2, 0, 1, 3, 1, 3  },
{ 1, 2, 2, 2, 0, 0, 1, 2, 0, 0, 1, 3, 2, 1, 1, 1, 1, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 1, 0, 1, 2, 0, 3, 1, 1, 0, 3, 2, 1, 2, 1, 2  },
{ 0, 1, 2, 1, 1, 2, 1, 2, 1, 0, 0, 0, 2, 0, 0, 2, 2, 0, 1, 2, 0, 2, 2, 0, 1, 1, 2, 0, 2, 0, 0, 0, 1, 0, 2, 1, 2, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 1, 1, 2, 0, 2, 0, 2, 0, 0, 2, 0, 2, 0, 2, 2, 2, 0, 1, 2, 0, 1, 1, 0, 0, 0, 2, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 1, 0, 2, 0, 1, 1, 3, 2, 0, 2, 0, 0, 1, 1, 2, 0, 2, 1, 2, 0, 0, 1, 1, 0, 2, 0, 0, 0, 1, 1, 2, 1, 0, 2, 0, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 2, 0, 2, 0, 0, 0, 2, 3, 0, 2, 0, 1, 0, 1, 0, 2, 2, 2, 0, 2, 1, 2, 1, 2, 1, 0, 0, 0, 2, 2, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 1, 1, 3, 0, 2, 1, 0, 3, 1, 3, 0, 3, 0, 1, 1, 2, 0, 2, 1, 2, 0, 3, 1, 1, 0, 2, 0, 1, 0, 2, 1, 0, 1, 2, 2, 3, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 3, 2, 1, 1, 2, 0, 3, 3, 2, 0, 0, 0, 1, 2, 0, 2, 3, 0, 2, 1, 0, 2, 0, 1, 0, 0, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 2, 0, 2, 1, 1, 1, 3, 0, 1, 2, 0, 0, 2, 0, 1, 2, 1, 2, 0, 2, 1, 0, 1, 2, 1, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0  },
{ 1, 3, 0, 1, 3, 2, 1, 2, 0, 1, 2, 2, 2, 3, 2, 0, 0, 0, 2, 0, 1, 1, 2, 0, 2, 1, 0, 0, 2, 1, 0, 0, 0, 1, 0, 2, 0, 3, 0, 0, 1, 0  },
{ 3, 1, 2, 1, 1, 1, 3, 0, 0, 0, 3, 1, 3, 0, 0, 1, 1, 0, 3, 0, 2, 2, 1, 0, 3, 1, 0, 1, 3, 0, 1, 0, 2, 3, 0, 1, 3, 2, 2, 0, 2, 0  },
{ 0, 1, 3, 1, 3, 0, 2, 1, 3, 1, 2, 1, 2, 1, 0, 0, 2, 2, 0, 1, 2, 0, 0, 2, 0, 1, 1, 0, 2, 1, 0, 0, 0, 1, 1, 2, 2, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 1, 1, 2, 3, 0, 1, 1, 2, 2, 2, 3, 2, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 2, 0, 0, 2, 0, 1, 0, 0, 2, 1, 2, 0, 0, 2, 0, 0, 0  },
{ 1, 0, 3, 0, 1, 2, 2, 0, 1, 3, 0, 1, 2, 3, 2, 0, 1, 2, 3, 0, 1, 1, 1, 0, 2, 1, 0, 3, 2, 2, 1, 0, 3, 1, 2, 2, 2, 0, 1, 1, 0, 0  },
{ 1, 1, 0, 3, 1, 2, 2, 0, 1, 1, 0, 0, 2, 1, 0, 1, 1, 2, 0, 0, 2, 2, 0, 2, 1, 0, 2, 0, 3, 1, 0, 2, 0, 1, 1, 0, 2, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 0, 1, 2, 1, 2, 1, 0, 2, 0, 1, 2, 2, 1, 0, 2, 3, 3, 0, 0, 0, 0, 2, 3, 0, 1, 0, 2, 1, 2, 0, 2, 0, 1, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 3, 2, 1, 1, 2, 0, 0, 2, 0, 0, 2, 1, 0, 1, 2, 0, 3, 0, 2, 0, 2, 3, 3, 2, 1, 0, 0, 2, 1, 2, 0, 2, 0, 2, 0, 0  },
{ 3, 1, 0, 1, 2, 0, 0, 2, 1, 1, 0, 2, 1, 0, 2, 0, 2, 1, 2, 1, 0, 1, 2, 1, 1, 1, 0, 2, 0, 2, 1, 0, 2, 2, 1, 2, 2, 0, 2, 1, 0, 3  },
{ 3, 1, 0, 1, 2, 0, 1, 2, 1, 2, 3, 0, 1, 2, 2, 0, 1, 2, 1, 0, 0, 1, 2, 1, 1, 2, 2, 1, 0, 3, 2, 3, 2, 2, 2, 1, 2, 0, 2, 1, 0, 0  },
{ 2, 1, 2, 0, 2, 2, 1, 0, 1, 3, 0, 2, 0, 2, 1, 0, 3, 1, 2, 1, 0, 2, 1, 1, 0, 3, 0, 0, 1, 0, 0, 1, 2, 1, 1, 1, 0, 0, 1, 1, 3, 1  },
{ 3, 1, 2, 0, 1, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 0, 2, 1, 1, 2, 2, 0, 0, 3, 1, 0, 0, 3, 1, 1, 0, 1, 1, 2, 0, 1, 2, 1, 0  },
{ 3, 2, 1, 3, 2, 1, 0, 2, 1, 1, 0, 3, 2, 1, 0, 0, 1, 1, 0, 2, 1, 0, 0, 3, 1, 0, 3, 1, 2, 3, 0, 1, 0, 0, 2, 2, 2, 0, 0, 2, 1, 1  },
{ 0, 2, 0, 1, 3, 1, 2, 1, 0, 0, 1, 2, 3, 0, 0, 2, 1, 2, 2, 1, 2, 3, 0, 2, 0, 1, 2, 1, 1, 0, 0, 1, 3, 3, 2, 1, 2, 0, 2, 1, 0, 2  },
{ 0, 1, 2, 1, 0, 2, 0, 2, 2, 0, 0, 1, 2, 2, 0, 0, 1, 2, 1, 2, 0, 2, 0, 2, 2, 1, 1, 0, 2, 1, 0, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 3, 0, 1, 0, 2, 2, 2, 0, 0, 1, 1, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0, 0, 2, 0, 2, 2, 2, 1, 0, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 2, 2, 0, 0, 1, 2, 0, 2, 2, 1, 2, 2, 1, 2, 1, 0, 1, 1, 2, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 2, 1, 2, 0, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 3, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 1, 1, 1, 0, 2, 1, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 2, 1, 1, 1, 2, 1, 2, 2, 2, 0, 2, 0, 1, 1, 0, 2, 2, 1, 2, 0, 1, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 2, 2, 2, 0, 1, 0, 2, 0, 1, 0, 1, 2, 0, 1, 1, 2, 1, 0, 3, 2, 1, 2, 2, 1, 2, 0, 0, 0, 1, 1, 0, 2, 0, 0, 2, 1, 1  },
{ 1, 2, 0, 3, 1, 2, 2, 1, 0, 2, 1, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 0, 1, 2, 1, 0, 0, 2, 2, 1, 0, 1, 0, 0, 2, 2, 0, 3, 0, 0, 0  },
{ 1, 0, 2, 1, 2, 3, 0, 2, 0, 3, 2, 1, 3, 0, 0, 1, 3, 0, 1, 3, 2, 1, 0, 1, 2, 2, 0, 2, 2, 1, 2, 0, 0, 0, 0, 2, 1, 2, 1, 1, 2, 0  },
{ 1, 3, 1, 1, 0, 1, 2, 2, 1, 1, 2, 1, 0, 2, 0, 0, 2, 0, 3, 3, 1, 2, 2, 2, 1, 1, 2, 2, 1, 2, 2, 3, 0, 0, 0, 2, 2, 1, 0, 1, 3, 1  },
{ 1, 2, 2, 2, 1, 0, 3, 0, 2, 3, 3, 1, 2, 1, 1, 1, 1, 0, 2, 0, 3, 1, 0, 1, 1, 2, 2, 3, 3, 1, 2, 0, 3, 2, 0, 2, 0, 0, 0, 1, 1, 2  },
{ 1, 0, 2, 1, 0, 1, 2, 2, 0, 1, 0, 0, 1, 1, 0, 1, 0, 3, 1, 0, 2, 1, 0, 0, 1, 1, 2, 2, 1, 0, 2, 0, 1, 1, 2, 2, 2, 0, 1, 2, 1, 3  },
{ 0, 1, 2, 1, 1, 2, 2, 2, 0, 0, 1, 0, 2, 1, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 1, 3, 1, 2, 2, 2, 2, 0, 0  },
{ 1, 3, 0, 0, 2, 1, 2, 1, 2, 0, 1, 1, 0, 2, 1, 2, 1, 2, 2, 0, 2, 0, 1, 0, 1, 1, 2, 0, 1, 2, 0, 0, 2, 1, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 0, 2, 2, 1, 0, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 2, 2, 2, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 1, 0, 2, 0, 2, 1, 2, 0, 1, 2, 0, 2, 2, 0, 2, 2, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 3, 2, 2, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 1, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 2, 2, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 1, 2, 3, 1, 1, 2, 0, 0, 1, 2, 1, 0, 2, 3, 2, 0, 2, 0, 2, 0, 1, 2, 0, 1, 1, 0, 0, 0, 1, 2, 1, 3, 2, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 0, 1, 2, 1, 1, 0, 2, 2, 3, 2, 0, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 0, 1, 2, 0, 0, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0  },
{ 1, 2, 0, 0, 1, 2, 2, 2, 1, 3, 0, 1, 2, 2, 0, 0, 1, 2, 3, 2, 2, 0, 1, 1, 2, 0, 2, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0  },
{ 3, 1, 2, 1, 1, 1, 2, 2, 0, 0, 3, 1, 0, 2, 1, 0, 3, 1, 0, 2, 2, 0, 2, 0, 1, 1, 1, 0, 2, 0, 1, 0, 2, 0, 2, 1, 3, 2, 2, 2, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 0, 2, 1, 0, 1, 2, 1, 0, 3, 1, 1, 1, 2, 0, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 2, 1, 2, 1, 0, 2, 3, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0, 0, 2, 0, 2, 1, 0, 0, 0, 1, 1, 2, 1, 2, 0, 2, 1, 0  },
{ 1, 0, 3, 3, 1, 0, 2, 1, 1, 1, 0, 1, 2, 0, 2, 0, 2, 1, 2, 0, 2, 2, 0, 0, 2, 0, 1, 2, 1, 2, 1, 0, 0, 1, 1, 2, 0, 2, 0, 1, 0, 0  },
{ 2, 1, 0, 0, 2, 1, 2, 1, 2, 3, 1, 2, 0, 0, 2, 0, 1, 2, 1, 0, 2, 1, 2, 1, 1, 1, 2, 0, 0, 2, 0, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 0  },
{ 1, 1, 2, 0, 2, 2, 0, 2, 1, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 0, 1, 1, 1, 2, 0, 0, 3, 0, 2, 0, 2, 2, 1, 0, 1, 0  },
{ 0, 1, 2, 1, 0, 1, 2, 2, 1, 2, 1, 0, 2, 2, 0, 1, 1, 0, 2, 0, 2, 3, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 1, 2, 2, 0, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 3, 2, 2, 1, 0, 0, 2, 1, 1, 0, 0, 1, 2, 0, 0, 2, 3, 2, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0  },
{ 0, 3, 1, 2, 0, 2, 1, 2, 1, 1, 2, 3, 2, 0, 0, 0, 2, 1, 0, 2, 0, 1, 2, 1, 1, 2, 3, 0, 0, 2, 0, 1, 0, 2, 2, 1, 0, 2, 0, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 1, 3, 0, 0, 2, 1, 2, 1, 0, 0, 0, 2, 3, 2, 0, 0, 1, 0, 0, 0, 1, 3, 2, 3, 2, 0, 2, 2, 0, 1, 2, 0, 2, 1, 1, 2  },
{ 3, 1, 0, 3, 1, 1, 3, 2, 0, 2, 2, 0, 2, 3, 0, 1, 0, 1, 0, 2, 1, 2, 2, 1, 0, 0, 1, 0, 1, 2, 3, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 0  },
{ 1, 1, 0, 0, 1, 1, 2, 3, 0, 1, 2, 0, 2, 1, 0, 1, 0, 1, 2, 0, 2, 1, 1, 2, 0, 0, 0, 1, 3, 1, 2, 0, 3, 2, 0, 2, 2, 0, 1, 0, 1, 0  },
{ 1, 3, 0, 0, 1, 2, 2, 1, 1, 1, 2, 2, 0, 2, 1, 0, 2, 1, 0, 3, 2, 0, 2, 2, 0, 0, 0, 3, 0, 2, 0, 1, 0, 2, 1, 2, 2, 0, 1, 1, 0, 0  },
{ 1, 3, 1, 1, 3, 0, 1, 2, 0, 2, 1, 2, 2, 0, 0, 2, 2, 1, 0, 1, 3, 0, 2, 0, 0, 2, 0, 1, 1, 1, 0, 1, 0, 3, 2, 1, 0, 0, 2, 3, 2, 1  },
{ 2, 1, 1, 1, 0, 2, 1, 0, 1, 0, 2, 0, 0, 1, 2, 0, 1, 3, 3, 0, 3, 1, 2, 1, 1, 3, 3, 1, 1, 1, 3, 2, 0, 0, 2, 1, 2, 3, 1, 0, 2, 3  },
{ 2, 1, 2, 1, 1, 0, 2, 2, 1, 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 2, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 3, 2, 1, 2, 2, 2, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 2, 1, 2, 1, 0, 2, 1, 2, 2, 0, 3, 2, 0, 0, 1, 0, 2, 1, 0, 2, 1, 0, 3, 2, 2, 0, 0, 2, 1, 0, 1, 0, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 1, 2, 0, 0, 0, 2, 2, 0, 2, 2, 0, 1, 2, 0, 0, 2, 0, 1, 2, 0, 1, 2, 0, 2, 2, 0, 0, 0, 2, 2, 1, 3, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 2, 1, 2, 0, 2, 0, 1, 2, 1, 2, 2, 1, 0, 2, 2, 0, 2, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 2, 1, 2, 1, 2, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 0, 2, 3, 0, 0, 2, 1, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 0, 0, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 1, 2, 1, 2, 1, 2, 0, 1, 0, 0, 0, 1, 2, 2, 0, 2, 1, 2, 2, 0, 2, 0, 1, 2, 0, 2, 3, 2, 0, 2, 0, 0, 0, 2, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 1, 2, 0, 3, 2, 0, 0, 0, 1, 2, 1, 2, 2, 1, 0, 1, 1, 0, 3, 0, 2, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 2, 0, 1, 2, 1, 2, 2, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 0, 2, 3, 2, 2, 2, 0, 1, 1, 2, 1, 2, 0, 1, 0, 2, 0, 2, 1, 2, 2, 2, 2, 0, 0, 2, 2, 0, 1, 0, 0, 3, 0, 0  },
{ 1, 2, 0, 1, 1, 2, 2, 3, 0, 2, 1, 1, 0, 2, 0, 1, 1, 2, 0, 0, 2, 3, 0, 2, 1, 0, 2, 1, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 1, 0  },
{ 1, 0, 2, 1, 2, 3, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 2, 1, 0, 0, 0, 2, 1, 2, 0, 3, 2, 2, 0, 0, 3, 0, 2, 2, 1, 1, 2, 0, 0  },
{ 1, 0, 2, 1, 3, 1, 3, 0, 0, 0, 2, 0, 1, 1, 0, 1, 1, 0, 3, 2, 0, 1, 0, 2, 1, 0, 2, 2, 0, 2, 1, 0, 0, 1, 0, 2, 2, 1, 0, 0, 2, 0  },
{ 1, 0, 2, 2, 3, 0, 0, 1, 3, 1, 1, 2, 0, 1, 0, 1, 2, 2, 0, 2, 1, 1, 2, 1, 2, 2, 0, 1, 2, 2, 2, 0, 0, 2, 2, 0, 1, 2, 1, 0, 1, 0  },
{ 2, 1, 3, 0, 2, 1, 2, 2, 0, 2, 2, 3, 0, 2, 1, 0, 1, 0, 2, 1, 0, 2, 1, 1, 2, 0, 0, 1, 1, 2, 2, 3, 0, 0, 0, 0, 1, 2, 2, 0, 2, 0  },
{ 1, 3, 2, 0, 0, 1, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 2, 3, 3, 2, 3, 1, 0, 1, 2, 1, 1, 2, 1, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 1, 1, 3  },
{ 1, 0, 2, 0, 2, 1, 1, 1, 0, 0, 3, 0, 2, 1, 1, 1, 2, 2, 2, 3, 3, 2, 3, 1, 2, 0, 1, 1, 0, 1, 2, 0, 3, 0, 0, 2, 0, 0, 1, 2, 2, 2  },
{ 0, 1, 0, 1, 2, 3, 0, 2, 0, 2, 2, 3, 0, 2, 0, 1, 1, 0, 1, 2, 1, 2, 2, 1, 1, 1, 0, 1, 0, 1, 0, 2, 1, 3, 0, 2, 3, 0, 2, 2, 1, 0  },
{ 2, 2, 2, 2, 0, 1, 2, 1, 1, 0, 1, 0, 2, 0, 0, 1, 0, 1, 2, 0, 2, 0, 1, 0, 1, 2, 1, 0, 0, 0, 2, 0, 0, 1, 0, 1, 2, 2, 2, 2, 2, 2  },
{ 0, 2, 2, 1, 1, 0, 2, 0, 3, 0, 1, 0, 2, 0, 1, 0, 3, 1, 2, 0, 2, 0, 2, 0, 1, 1, 1, 0, 0, 2, 0, 0, 0, 0, 2, 1, 2, 2, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 1, 2, 1, 0, 2, 1, 2, 3, 0, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 1, 1, 1, 2, 0, 0, 0, 1, 0, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 1, 2, 1, 2, 1, 1, 2, 1, 2, 1, 2, 1, 0, 2, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 2, 0, 0, 2, 0, 2, 1, 2, 2, 2, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 2, 0, 2, 1, 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 2, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 0, 3, 1, 2, 2, 1, 1, 0, 1, 2, 1, 2, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 2, 0, 0, 0, 1, 2, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 0, 0, 2, 2, 1, 1, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 2, 2, 2, 2, 1, 0, 2, 2, 0, 0, 1, 0, 2, 1, 1, 2, 0, 2, 0  },
{ 1, 1, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 2, 0, 1, 2, 0, 0, 2, 0, 2, 1, 2, 2, 2, 2, 0, 0  },
{ 1, 1, 2, 0, 2, 0, 1, 2, 1, 0, 1, 2, 2, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 3, 0, 0, 0, 2, 0, 1, 0, 1, 2, 1, 2, 0, 1, 2, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 2, 1, 1, 1, 2, 2, 0, 1, 2, 2, 1, 2, 3, 2, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 3, 0, 1, 2, 0, 1, 2, 1, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 2, 0, 1, 2, 0, 2, 2, 0, 0, 2, 2, 2, 1, 2, 0, 1, 1, 0  },
{ 1, 2, 1, 2, 0, 0, 2, 3, 2, 1, 2, 1, 3, 1, 0, 0, 1, 0, 2, 2, 0, 0, 1, 1, 1, 2, 1, 1, 0, 2, 1, 0, 3, 0, 2, 0, 0, 0, 2, 0, 2, 0  },
{ 1, 1, 0, 2, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 1, 0, 0, 0, 0, 0, 2, 0, 2, 0, 3, 1, 2, 0, 2, 0, 2, 0, 1, 2, 0, 0, 2, 0, 2, 1, 2, 0  },
{ 0, 1, 2, 0, 2, 0, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 2, 0, 1, 1, 0, 2, 1, 0, 2, 0, 0, 2, 1, 2, 0, 2, 1, 1, 0  },
{ 0, 0, 0, 0, 2, 1, 2, 0, 0, 2, 1, 1, 2, 3, 0, 1, 2, 1, 0, 2, 0, 2, 0, 0, 2, 0, 0, 3, 0, 1, 0, 1, 0, 1, 2, 2, 2, 0, 2, 2, 0, 0  },
{ 0, 0, 3, 0, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 0, 1, 2, 3, 2, 2, 0, 2, 0, 2, 2, 1, 0, 3, 2, 2, 0, 0, 2, 1, 0, 0, 2, 0, 0, 1, 0  },
{ 0, 0, 2, 1, 1, 2, 0, 0, 0, 2, 1, 2, 1, 2, 0, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0, 2, 0, 2, 2, 3, 2, 0, 2, 1, 1, 1, 0, 0, 1, 0, 2, 0  },
{ 3, 1, 3, 2, 1, 1, 0, 2, 0, 0, 0, 3, 2, 1, 0, 1, 0, 1, 1, 0, 2, 1, 0, 1, 1, 0, 0, 3, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 2, 1, 0  },
{ 3, 1, 1, 0, 1, 2, 0, 2, 1, 2, 1, 2, 2, 1, 0, 1, 1, 0, 2, 0, 2, 0, 1, 2, 0, 0, 1, 3, 3, 0, 3, 0, 0, 2, 2, 1, 2, 0, 2, 1, 1, 0  },
{ 1, 1, 0, 0, 3, 0, 2, 0, 1, 1, 2, 3, 0, 1, 0, 1, 2, 2, 1, 0, 2, 3, 2, 0, 2, 1, 2, 0, 1, 2, 0, 2, 0, 0, 2, 2, 2, 0, 0, 1, 0, 0  },
{ 1, 0, 3, 3, 0, 0, 2, 1, 2, 0, 0, 1, 2, 0, 2, 0, 1, 0, 0, 0, 2, 1, 2, 0, 0, 1, 0, 2, 3, 3, 2, 0, 1, 1, 2, 1, 0, 1, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 2, 1, 2, 1, 0, 0, 1, 3, 2, 1, 1, 0, 0, 1, 0, 2, 0, 0, 2, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 2, 2, 1, 3, 2, 2, 2, 2, 0  },
{ 1, 1, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 2, 3, 1, 0, 2, 0, 2, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0, 0, 2, 2, 1, 1, 2, 2, 1, 2, 0, 0  },
{ 2, 1, 1, 2, 0, 2, 2, 0, 0, 0, 1, 1, 0, 2, 0, 2, 1, 2, 1, 2, 0, 2, 2, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 2, 1, 0, 2, 1, 2, 0, 2, 0  },
{ 1, 2, 2, 0, 1, 0, 1, 2, 0, 2, 1, 2, 2, 0, 2, 0, 2, 1, 2, 3, 2, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 3, 1, 3, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 2, 2, 0, 1, 0, 0, 1, 1, 2, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 2, 1, 1, 1, 2, 1, 2, 0, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 1, 2, 1, 2, 2, 1, 0, 3, 2, 2, 2, 1, 2, 1, 2, 1, 0, 2, 0, 2, 0, 2, 2, 0, 1, 2, 0, 0, 0, 1, 2, 0, 2, 2, 1, 0, 2, 0, 0  },
{ 3, 1, 1, 2, 2, 2, 0, 3, 0, 0, 0, 0, 1, 2, 0, 2, 2, 1, 0, 0, 2, 1, 0, 1, 0, 0, 3, 1, 2, 0, 0, 0, 3, 1, 1, 0, 1, 2, 2, 2, 0, 0  },
{ 1, 0, 0, 0, 2, 0, 2, 1, 2, 1, 2, 0, 2, 0, 0, 2, 0, 1, 3, 0, 2, 0, 1, 2, 1, 3, 0, 0, 0, 2, 1, 0, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 0, 2, 2, 2, 1, 1, 2, 1, 2, 0, 0, 2, 2, 1, 3, 2, 2, 0, 0, 2, 1, 1, 2, 2, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 2, 0  },
{ 1, 2, 1, 1, 1, 0, 0, 2, 1, 1, 0, 1, 0, 2, 1, 0, 2, 1, 1, 3, 1, 2, 1, 0, 2, 2, 0, 2, 0, 2, 0, 2, 0, 0, 2, 0, 2, 1, 0, 0, 2, 0  },
{ 1, 2, 0, 0, 1, 0, 2, 0, 0, 0, 1, 1, 2, 0, 1, 1, 3, 1, 0, 2, 2, 0, 0, 2, 2, 1, 3, 2, 3, 2, 1, 0, 0, 0, 2, 1, 2, 2, 0, 0, 1, 0  },
{ 1, 0, 2, 1, 1, 3, 2, 0, 0, 2, 3, 0, 0, 2, 0, 1, 0, 1, 3, 2, 2, 1, 0, 1, 0, 1, 2, 3, 1, 0, 2, 0, 0, 0, 2, 0, 2, 3, 2, 1, 2, 0  },
{ 1, 0, 3, 1, 2, 2, 2, 3, 0, 1, 2, 2, 0, 1, 0, 1, 3, 0, 2, 1, 2, 1, 0, 2, 1, 2, 3, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 2, 1, 0, 0  },
{ 1, 0, 1, 2, 3, 0, 1, 0, 0, 0, 2, 2, 1, 1, 2, 0, 2, 1, 1, 0, 2, 1, 0, 0, 0, 3, 0, 0, 2, 3, 2, 3, 0, 2, 1, 1, 1, 3, 2, 0, 2, 1  },
{ 1, 0, 1, 1, 0, 0, 0, 1, 2, 1, 2, 0, 2, 0, 0, 0, 2, 1, 2, 0, 1, 1, 3, 1, 2, 0, 0, 1, 1, 2, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 1  },
{ 1, 2, 1, 1, 0, 2, 3, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 1, 2, 1, 2, 0, 1, 1, 1, 1, 0, 1, 2, 0, 2, 0, 2, 2, 0, 1, 2, 2, 0, 1, 1, 1  },
{ 2, 0, 1, 2, 1, 3, 0, 1, 1, 1, 1, 0, 2, 0, 0, 0, 2, 2, 2, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 1, 1, 0, 0, 0, 2, 2, 2, 2, 0  },
{ 2, 2, 2, 2, 0, 1, 2, 0, 1, 0, 1, 0, 0, 0, 1, 0, 3, 1, 2, 0, 2, 0, 1, 1, 1, 3, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 3, 2, 0, 2, 2  },
{ 2, 2, 1, 1, 2, 1, 2, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2, 2, 0, 2, 2  },
{ 2, 1, 2, 2, 0, 2, 1, 2, 1, 2, 1, 2, 0, 2, 1, 0, 1, 1, 0, 0, 2, 0, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 0, 2, 1, 2, 1, 1, 2, 0, 2, 0  },
{ 2, 1, 1, 1, 2, 1, 2, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 1, 2, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 1, 2, 0, 2, 0  },
{ 1, 1, 0, 0, 2, 1, 2, 1, 2, 1, 2, 0, 3, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 2, 0, 0, 2, 2, 0, 2, 1, 2, 1, 2, 0, 0  },
{ 3, 1, 2, 1, 2, 2, 1, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 2, 1, 0, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 0, 0, 2, 2, 2, 2, 0, 2, 1, 2, 0, 0  },
{ 0, 1, 1, 1, 2, 0, 2, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 1, 1, 1, 2, 0, 0, 0, 2, 0, 0, 2, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 2, 1, 2, 1, 0, 1, 2, 0, 2, 1, 2, 1, 2, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2, 1, 2, 1, 2, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 2, 2, 1, 1, 1, 2, 0, 1, 2, 0, 0, 2, 1, 2, 2, 0, 2, 0, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 2, 2, 1, 1, 2, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 2, 2, 1, 2, 1, 2, 0, 1, 2, 2, 0, 1, 2, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 2, 3, 1, 0, 2, 0, 0  },
{ 2, 0, 3, 1, 1, 0, 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 2, 1, 1, 1, 2, 0, 0, 0, 2, 0, 0, 1, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 1, 1, 0, 1, 1, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 0, 2, 0, 2, 0, 0, 2, 1, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 2, 1, 0, 0, 2, 0, 1, 2, 1, 1, 0, 1, 0, 1, 2, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 2, 2, 0  },
{ 2, 1, 0, 2, 2, 1, 2, 0, 3, 1, 3, 0, 2, 1, 0, 0, 2, 1, 0, 1, 2, 0, 0, 2, 1, 1, 2, 0, 0, 2, 2, 0, 0, 2, 0, 2, 2, 1, 2, 0, 0, 0  },
{ 1, 0, 0, 2, 2, 3, 2, 2, 1, 1, 0, 0, 2, 0, 1, 0, 2, 0, 0, 2, 0, 2, 0, 1, 1, 2, 0, 3, 2, 3, 2, 0, 0, 1, 0, 2, 2, 0, 1, 0, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 2, 1, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 0, 1, 1, 1, 0, 2, 0, 0, 2, 0, 0, 2, 2, 0, 2, 2, 2, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 3, 2, 0, 1, 1, 2, 0, 0, 2, 1, 0, 0, 1, 2, 2, 0, 2, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 1, 0, 2, 3, 2, 0, 2, 1, 0  },
{ 1, 0, 0, 2, 1, 2, 1, 2, 0, 3, 1, 2, 2, 0, 1, 0, 1, 0, 2, 1, 2, 2, 0, 0, 2, 0, 1, 0, 0, 2, 1, 0, 0, 1, 2, 2, 2, 0, 2, 0, 0, 0  },
{ 1, 2, 0, 1, 0, 2, 2, 1, 1, 1, 0, 1, 2, 1, 0, 0, 1, 3, 0, 2, 0, 2, 0, 1, 2, 2, 0, 1, 0, 2, 1, 1, 0, 2, 1, 1, 2, 1, 0, 2, 0, 0  },
{ 2, 1, 2, 0, 1, 2, 0, 0, 1, 1, 2, 2, 3, 0, 0, 0, 0, 1, 3, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 2, 1, 0, 1, 2, 0, 1, 1, 0, 0, 0, 2, 0  },
{ 2, 1, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 3, 0, 1, 0, 1, 1, 0, 2, 0, 1, 0, 1, 1, 0, 2, 2, 2, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 2, 0  },
{ 2, 1, 1, 2, 0, 3, 0, 1, 2, 1, 2, 0, 1, 3, 0, 1, 0, 1, 1, 0, 2, 0, 2, 2, 0, 1, 2, 0, 3, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 2, 0, 0  },
{ 0, 1, 3, 2, 2, 1, 1, 1, 1, 1, 0, 1, 0, 2, 1, 0, 0, 0, 1, 1, 2, 2, 0, 1, 0, 0, 1, 2, 0, 2, 2, 0, 1, 0, 1, 2, 2, 0, 1, 3, 0, 0  },
{ 0, 1, 2, 1, 2, 2, 0, 2, 2, 0, 0, 3, 2, 1, 0, 1, 1, 1, 0, 1, 2, 1, 1, 0, 0, 1, 0, 1, 1, 3, 1, 2, 0, 3, 1, 0, 1, 0, 1, 0, 1, 2  },
{ 2, 1, 1, 1, 1, 3, 2, 0, 1, 1, 0, 1, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 1, 1, 3, 2, 0, 0, 2, 2, 3, 1, 1, 2, 0, 2, 2, 0, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 2, 0, 0, 2, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 0, 1, 2, 1, 2, 0, 0, 0, 2, 2, 1, 2, 2, 2, 0, 2, 0, 0  },
{ 2, 1, 0, 0, 0, 1, 2, 1, 2, 2, 1, 0, 2, 2, 1, 0, 1, 2, 1, 2, 0, 2, 0, 2, 1, 1, 0, 1, 1, 0, 0, 0, 2, 1, 2, 2, 2, 2, 1, 2, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 0, 1, 0, 2, 1, 0, 2, 2, 1, 2, 1, 2, 0, 0, 2, 0, 2, 0, 1, 1, 0, 1, 2, 0, 2, 0, 0, 2, 2, 2, 2, 2, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 0, 2, 2, 1, 2, 1, 0, 0, 2, 1, 2, 1, 2, 2, 0, 1, 0, 1, 1, 2, 2, 0, 0, 0, 0, 2, 2, 0, 2, 2, 2, 1, 2, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 2, 0, 1, 1, 1, 1, 2, 1, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 2, 2, 2, 1, 0, 0, 0, 0, 1, 2, 1, 2, 2, 1, 2, 2, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 2, 0, 1, 1, 2, 1, 2, 1, 0, 2, 1, 0, 1, 3, 2, 0, 1, 2, 0, 2, 1, 2, 2, 0, 0, 0, 1, 0, 2, 0, 2, 2, 1, 3, 0, 0  },
{ 0, 1, 2, 1, 0, 0, 2, 0, 1, 1, 1, 1, 2, 1, 1, 2, 0, 0, 1, 2, 2, 0, 0, 1, 2, 2, 1, 0, 0, 0, 2, 0, 0, 0, 2, 2, 3, 1, 0, 2, 0, 0  },
{ 2, 1, 1, 2, 0, 2, 1, 2, 2, 2, 3, 1, 0, 2, 0, 2, 1, 2, 2, 3, 0, 0, 1, 0, 2, 1, 2, 1, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 2, 0, 2  },
{ 1, 0, 1, 1, 2, 1, 2, 2, 3, 1, 2, 1, 0, 2, 0, 2, 2, 3, 0, 1, 1, 0, 1, 2, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 0, 1, 2, 0, 0, 0, 3, 2, 0, 1, 0, 0, 1, 0, 0, 2, 2, 1, 1, 1, 1, 1, 2, 0, 2, 3, 2, 0, 0, 3, 1, 0, 2, 0, 0, 2, 1, 0  },
{ 1, 0, 1, 0, 2, 2, 0, 0, 0, 1, 0, 1, 1, 2, 0, 2, 2, 2, 0, 1, 0, 2, 0, 1, 0, 1, 1, 2, 0, 2, 1, 0, 0, 0, 0, 0, 0, 2, 1, 3, 1, 0  },
{ 0, 1, 2, 0, 2, 3, 2, 2, 1, 1, 0, 1, 2, 0, 0, 1, 2, 1, 1, 1, 2, 1, 0, 2, 1, 0, 1, 0, 0, 1, 1, 0, 0, 0, 2, 0, 2, 3, 2, 0, 2, 0  },
{ 1, 2, 2, 3, 1, 0, 1, 0, 3, 0, 0, 0, 2, 2, 1, 2, 0, 2, 2, 0, 1, 0, 2, 1, 2, 3, 2, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 0  },
{ 1, 2, 2, 0, 1, 1, 2, 1, 2, 2, 3, 0, 0, 1, 0, 2, 1, 1, 0, 0, 2, 3, 0, 0, 1, 0, 0, 2, 1, 1, 2, 0, 0, 2, 2, 0, 3, 3, 2, 2, 1, 0  },
{ 0, 1, 3, 1, 3, 2, 0, 2, 3, 0, 3, 0, 0, 0, 2, 0, 0, 1, 1, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 2, 1, 0, 0, 0, 2, 3, 0, 0, 1, 2, 1, 0  },
{ 2, 1, 2, 1, 2, 0, 2, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2, 2, 0, 2, 2  },
{ 2, 1, 0, 1, 0, 0, 2, 0, 0, 3, 1, 0, 2, 0, 1, 2, 2, 1, 0, 0, 0, 0, 2, 1, 2, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 2, 2, 2, 0, 2, 0  },
{ 1, 1, 3, 0, 1, 2, 0, 0, 3, 0, 1, 0, 2, 0, 1, 2, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 2, 1, 2, 0, 0, 1, 2, 0, 1, 0, 0, 2, 1, 2, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 2, 0, 2, 1, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 0, 0, 1, 2, 2, 2, 0, 2, 2  },
{ 0, 1, 0, 2, 1, 2, 0, 1, 2, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 2, 2, 2, 2, 1, 0, 1, 2, 0, 0  },
{ 2, 1, 2, 1, 1, 1, 2, 0, 2, 0, 1, 1, 0, 1, 0, 1, 2, 1, 0, 0, 2, 0, 2, 0, 2, 1, 2, 1, 2, 0, 2, 0, 0, 2, 1, 0, 3, 2, 0, 1, 0, 0  },
{ 3, 1, 2, 0, 2, 1, 3, 0, 0, 2, 1, 1, 2, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 1, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 3, 2, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 0, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 0  },
{ 1, 0, 1, 2, 1, 1, 2, 1, 0, 3, 1, 0, 2, 0, 1, 0, 2, 2, 1, 2, 2, 0, 0, 1, 0, 1, 0, 2, 2, 0, 2, 0, 2, 0, 2, 2, 2, 1, 0, 2, 0, 0  },
{ 2, 1, 0, 1, 1, 2, 2, 0, 0, 0, 1, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 2, 2, 0, 2, 0, 0, 2, 3, 0, 1, 2, 1, 2, 0, 0  },
{ 0, 0, 2, 2, 1, 1, 2, 0, 0, 2, 1, 0, 0, 2, 1, 2, 0, 3, 1, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 2, 2, 2, 0, 2, 0  },
{ 1, 0, 1, 0, 0, 0, 2, 1, 0, 2, 1, 1, 2, 0, 2, 1, 0, 1, 2, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 1, 2, 0, 2, 2, 0, 1, 2, 0, 0  },
{ 1, 2, 1, 0, 1, 2, 1, 2, 1, 1, 0, 3, 2, 0, 0, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 2, 0, 2, 1, 2, 0, 1, 2, 1, 0, 2, 0  },
{ 2, 1, 0, 0, 2, 1, 2, 2, 1, 1, 0, 0, 2, 1, 0, 1, 1, 1, 2, 1, 2, 0, 2, 0, 1, 2, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 1, 3, 1, 2, 0  },
{ 2, 1, 2, 0, 0, 2, 2, 0, 0, 1, 1, 0, 2, 3, 0, 1, 2, 1, 0, 0, 1, 0, 1, 0, 1, 1, 2, 1, 0, 2, 2, 0, 3, 1, 0, 1, 1, 0, 0, 1, 2, 0  },
{ 0, 3, 0, 2, 1, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 0, 0, 0, 2, 1, 2, 2, 0, 0, 3, 1, 0, 2, 1, 0, 0, 2, 1, 0, 3, 2, 0, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 0, 2, 1, 2, 2, 2, 0, 2, 2, 0  },
{ 0, 1, 2, 0, 0, 3, 0, 0, 1, 2, 0, 0, 2, 2, 0, 1, 1, 0, 0, 1, 2, 0, 0, 0, 2, 2, 1, 1, 0, 2, 2, 0, 0, 1, 1, 0, 0, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 2, 2, 0, 1, 1, 0, 2, 0, 0, 1, 1, 2, 0, 2, 2, 3, 0, 0, 1, 0, 1, 3, 0, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 2, 0  },
{ 0, 2, 1, 2, 0, 2, 0, 3, 0, 1, 2, 0, 1, 0, 1, 1, 0, 0, 1, 1, 2, 2, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 2, 0  },
{ 1, 1, 0, 2, 1, 2, 0, 0, 0, 2, 0, 2, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 0, 0, 2, 0, 1, 2, 0, 1, 2, 1, 0, 2, 1, 0  },
{ 2, 2, 1, 2, 0, 2, 3, 0, 2, 2, 0, 3, 0, 2, 3, 0, 1, 0, 2, 0, 0, 1, 0, 2, 1, 1, 2, 0, 0, 1, 2, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0  },
{ 0, 1, 0, 0, 3, 2, 1, 2, 1, 0, 0, 1, 1, 0, 1, 0, 0, 0, 1, 2, 2, 0, 3, 2, 0, 1, 0, 2, 0, 1, 2, 2, 0, 2, 1, 2, 0, 0, 1, 3, 0, 0  },
{ 0, 0, 0, 1, 2, 2, 2, 2, 0, 0, 0, 2, 3, 0, 1, 0, 2, 2, 0, 2, 3, 1, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 1, 1, 1, 1, 1, 2, 0, 1, 1, 0  },
{ 2, 1, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 2, 3, 0, 1, 2, 1, 1, 2, 0, 2, 0, 0, 1, 1, 0, 0, 2, 0, 0, 2, 2, 1, 0, 0, 2, 0, 0, 2, 0, 0  },
{ 1, 1, 2, 0, 2, 0, 0, 1, 2, 2, 1, 1, 0, 2, 2, 1, 1, 0, 1, 2, 0, 2, 0, 0, 1, 1, 1, 0, 2, 0, 0, 1, 2, 0, 2, 3, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 2, 2, 1, 0, 1, 2, 0, 1, 1, 0, 2, 1, 0, 1, 2, 1, 2, 0, 2, 0, 2, 0, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0  },
{ 1, 1, 2, 1, 0, 1, 0, 2, 1, 1, 0, 0, 1, 0, 1, 2, 2, 2, 1, 2, 2, 0, 0, 3, 2, 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 2, 1, 0, 1, 1, 2, 2, 1, 0, 1, 3, 1, 0, 0, 2, 0, 0, 2, 1, 2, 0, 0, 0, 2, 3, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 0, 2, 0, 2, 0, 0  },
{ 1, 3, 0, 1, 1, 2, 1, 0, 2, 2, 2, 1, 2, 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 0, 3, 1, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0  },
{ 3, 2, 1, 2, 0, 2, 1, 0, 1, 1, 3, 1, 2, 1, 0, 2, 1, 2, 1, 1, 2, 0, 1, 0, 0, 2, 2, 1, 1, 0, 0, 0, 2, 2, 3, 1, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 1, 0, 0, 2, 0, 0, 1, 1, 2, 1, 2, 0, 1, 1, 2, 3, 0, 0, 2, 0, 2, 0, 2, 2, 2, 1, 0, 2, 2, 0, 2, 0, 2, 3, 0, 0, 2, 0, 0, 0  },
{ 2, 2, 0, 2, 0, 1, 2, 1, 0, 2, 1, 2, 2, 1, 0, 1, 2, 0, 0, 1, 2, 0, 2, 2, 1, 0, 0, 0, 0, 2, 1, 0, 2, 2, 0, 0, 1, 1, 3, 2, 0, 0  },
{ 3, 2, 0, 0, 1, 0, 3, 0, 0, 2, 2, 0, 1, 2, 1, 1, 1, 0, 2, 3, 2, 0, 1, 0, 3, 0, 0, 1, 2, 0, 0, 0, 2, 1, 1, 1, 0, 1, 2, 0, 0, 0  },
{ 2, 2, 1, 1, 1, 2, 0, 1, 1, 0, 0, 2, 2, 0, 2, 2, 1, 2, 1, 0, 2, 0, 2, 1, 0, 2, 2, 1, 1, 0, 0, 0, 1, 2, 2, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 1, 2, 2, 0, 2, 1, 0, 2, 3, 0, 2, 1, 1, 2, 0, 2, 1, 2, 2, 0, 0, 1, 1, 0, 1, 0, 3, 1, 2, 0, 1, 2, 0, 3, 1, 2, 2, 0, 3, 0  },
{ 2, 1, 0, 1, 0, 0, 2, 1, 2, 1, 3, 0, 0, 0, 0, 0, 0, 2, 2, 3, 2, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 3, 1, 1, 3, 0, 1, 1, 0, 3, 0, 0  },
{ 1, 1, 0, 0, 2, 0, 0, 1, 2, 1, 2, 0, 2, 2, 0, 2, 0, 2, 1, 0, 0, 2, 1, 1, 1, 1, 0, 2, 0, 0, 1, 0, 3, 0, 0, 3, 2, 3, 2, 0, 2, 0  },
{ 0, 3, 1, 0, 0, 2, 1, 0, 0, 1, 2, 0, 1, 2, 0, 1, 1, 1, 0, 0, 1, 0, 0, 1, 1, 0, 1, 1, 3, 2, 1, 0, 0, 0, 2, 1, 3, 2, 0, 1, 0, 2  },
{ 1, 0, 2, 0, 1, 2, 3, 2, 0, 3, 1, 0, 2, 2, 0, 2, 1, 2, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 3, 1, 1, 0, 0, 0  },
{ 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 2, 1, 3, 0, 0, 1, 1, 0, 1, 2, 2, 1, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 0, 2, 1, 2, 0, 3, 0, 0, 0, 0  },
{ 0, 1, 2, 0, 0, 3, 0, 1, 2, 1, 2, 1, 1, 3, 0, 1, 2, 0, 2, 0, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 3, 1, 2, 2, 2, 2, 1  },
{ 1, 0, 0, 2, 2, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 1, 1, 2, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 1  },
{ 2, 1, 1, 3, 2, 3, 0, 0, 3, 1, 3, 0, 1, 1, 2, 0, 2, 0, 0, 3, 0, 0, 0, 2, 2, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 3, 1  },
{ 0, 1, 3, 1, 0, 0, 0, 0, 1, 1, 1, 0, 3, 1, 0, 0, 3, 3, 3, 2, 1, 1, 1, 0, 0, 1, 2, 3, 2, 2, 2, 0, 0, 3, 1, 0, 1, 0, 3, 0, 3, 2  },
{ 0, 1, 2, 1, 2, 1, 2, 0, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 0, 2, 2, 1, 1, 0, 1, 2, 0, 0, 2, 0, 1, 2, 1, 2, 2, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 1, 0, 1, 2, 0, 1, 0, 2, 0, 1, 1, 2, 0, 1, 2, 0, 0, 2, 2, 1, 1, 1, 1, 2, 0, 0, 2, 0, 0, 1, 1, 2, 3, 0, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 1, 3, 2, 0, 1, 2, 0, 0, 0, 0, 1, 1, 2, 1, 2, 0, 0, 1, 0, 3, 3, 1, 2, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 3, 0, 2, 0, 1, 2, 0, 0, 1, 0, 2, 0, 0, 2, 1, 0, 1, 0, 2, 1, 2, 0, 1, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 2, 0  },
{ 3, 1, 2, 0, 2, 0, 0, 3, 1, 0, 1, 0, 0, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 2, 1, 1, 2, 0, 2, 0, 0, 2, 2, 0, 0, 2, 2, 2, 0, 0, 0, 0  },
{ 3, 1, 0, 1, 2, 0, 0, 0, 1, 2, 1, 1, 0, 0, 1, 0, 1, 2, 1, 2, 2, 0, 2, 0, 2, 1, 0, 1, 2, 0, 0, 1, 2, 2, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 2, 1, 2, 1, 1, 2, 0, 0, 0, 2, 0, 0, 0, 0, 0, 2, 2, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 1, 0, 2, 1, 0, 0, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0, 2, 0, 2, 3, 0, 1, 2, 1, 2, 0, 0  },
{ 2, 2, 0, 0, 1, 0, 2, 1, 0, 2, 1, 1, 3, 0, 1, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 2, 1, 2, 0, 2, 2, 1, 0, 1, 1, 0, 0, 1, 2, 3, 1, 0, 1, 0, 1, 2, 3, 1, 3, 0, 2, 0, 2, 0, 0, 2, 0, 0, 2, 1, 1, 0, 0, 0  },
{ 3, 1, 2, 0, 0, 2, 0, 3, 1, 2, 1, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 3, 2, 0, 0, 0, 0, 2, 0, 2, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 0, 1, 2, 0, 1, 2, 1, 0, 0, 2, 2, 1, 2, 0, 0, 0, 1, 2, 3, 0, 1, 0, 2, 0, 0, 0, 2, 0, 2, 2, 2, 1, 1, 2, 0, 0  },
{ 2, 2, 1, 2, 0, 1, 2, 0, 0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 2, 2, 1, 2, 0, 1  },
{ 0, 3, 1, 0, 0, 0, 0, 2, 1, 0, 0, 2, 2, 0, 3, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 1, 1, 0, 0, 0, 0, 2, 1, 2, 2, 1, 3, 1, 1, 2, 0, 0  },
{ 0, 1, 2, 0, 1, 0, 1, 0, 1, 1, 0, 1, 2, 1, 0, 2, 1, 2, 1, 2, 2, 0, 0, 3, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 1  },
{ 1, 2, 0, 0, 1, 2, 1, 0, 1, 0, 2, 1, 2, 0, 1, 0, 1, 0, 0, 0, 2, 1, 0, 0, 3, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0  },
{ 1, 0, 0, 0, 3, 2, 3, 1, 0, 2, 0, 3, 3, 1, 0, 2, 3, 0, 0, 2, 1, 0, 0, 2, 1, 0, 2, 0, 2, 0, 0, 0, 3, 2, 0, 2, 1, 1, 2, 0, 2, 0  },
{ 1, 0, 0, 0, 3, 0, 2, 0, 0, 2, 1, 0, 1, 0, 1, 0, 0, 0, 2, 1, 2, 0, 0, 1, 2, 2, 1, 0, 0, 0, 0, 0, 1, 2, 1, 0, 0, 0, 2, 2, 0, 0  },
{ 1, 0, 1, 1, 0, 0, 0, 2, 0, 2, 3, 3, 1, 1, 0, 2, 2, 0, 2, 2, 1, 2, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 0, 0, 3, 2, 0, 0  },
{ 0, 2, 1, 2, 2, 1, 2, 0, 2, 2, 0, 0, 2, 0, 0, 1, 0, 0, 0, 0, 2, 2, 2, 1, 1, 2, 1, 2, 2, 1, 1, 1, 0, 1, 2, 1, 0, 1, 2, 0, 2, 0  },
{ 0, 2, 1, 0, 1, 2, 0, 1, 0, 0, 3, 0, 2, 0, 3, 2, 0, 1, 0, 1, 2, 0, 3, 2, 1, 2, 1, 0, 0, 2, 2, 0, 1, 2, 1, 0, 2, 2, 0, 1, 2, 0  },
{ 0, 0, 1, 2, 2, 2, 1, 2, 0, 1, 1, 3, 2, 3, 1, 0, 0, 0, 1, 2, 1, 1, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 1, 3, 0, 1, 1, 0, 1, 2, 1, 0  },
{ 0, 0, 2, 1, 2, 0, 3, 2, 1, 0, 0, 3, 0, 2, 3, 1, 0, 3, 0, 0, 1, 2, 2, 0, 2, 0, 3, 1, 0, 2, 1, 0, 2, 0, 0, 1, 3, 0, 1, 1, 0, 0  },
{ 3, 0, 0, 0, 1, 2, 2, 2, 2, 1, 1, 0, 1, 3, 0, 0, 1, 2, 0, 1, 2, 1, 0, 0, 0, 0, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 2, 2, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 0, 2, 1, 1, 1, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0, 1, 3, 1, 2, 0, 0, 2, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 0, 0, 0, 2, 0, 2, 1, 0, 0, 2, 1, 1, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 2, 1, 2, 0, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 0, 2, 2, 2, 2, 0, 0, 2, 1, 2, 1, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 1, 2, 0, 0, 1, 2, 1, 2, 0, 1, 0, 0, 0, 0, 0  },
{ 2, 1, 0, 2, 1, 1, 3, 0, 0, 2, 1, 3, 0, 0, 1, 1, 1, 3, 1, 0, 0, 0, 3, 2, 3, 3, 0, 1, 2, 0, 0, 1, 0, 2, 2, 0, 1, 2, 0, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 2, 2, 1, 0, 0, 1, 0, 0, 0, 3, 1, 1, 0, 0, 2, 0, 0, 2, 2, 1, 3, 0, 1, 1, 0, 2, 0, 0, 2, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 0, 3, 0, 1, 1, 2, 0, 1, 3, 1, 2, 2, 0, 2, 2, 0, 1, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 2, 2, 0, 0, 1, 0, 0, 0, 2, 0, 1, 1, 1, 2, 0  },
{ 0, 0, 2, 2, 1, 2, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 1, 0, 0, 0, 0, 2, 2, 2, 1, 3, 1, 2, 0, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 2, 0  },
{ 3, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0, 2, 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 2, 2, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0, 3, 0, 0  },
{ 2, 3, 0, 1, 2, 2, 0, 0, 1, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 3, 0, 1, 1, 0, 1, 0, 0  },
{ 0, 0, 0, 1, 2, 0, 2, 0, 0, 2, 2, 0, 3, 2, 0, 0, 2, 1, 1, 0, 0, 1, 3, 1, 0, 1, 0, 3, 2, 0, 0, 0, 1, 0, 3, 1, 0, 0, 1, 0, 0, 0  },
{ 1, 3, 2, 1, 0, 0, 3, 0, 0, 1, 2, 0, 1, 1, 2, 3, 0, 2, 2, 3, 2, 0, 2, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 1, 2, 0, 0  },
{ 1, 0, 3, 0, 3, 1, 0, 1, 3, 1, 2, 1, 0, 0, 2, 2, 1, 0, 0, 2, 0, 0, 0, 2, 2, 2, 0, 3, 0, 2, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 1, 1, 2, 0, 0, 1, 2, 0, 2, 1, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 2, 1, 1, 1, 2, 0, 0, 0  },
{ 2, 0, 1, 1, 0, 2, 2, 1, 0, 0, 1, 1, 1, 0, 0, 0, 3, 1, 1, 0, 1, 2, 0, 1, 0, 0, 0, 2, 0, 0, 1, 1, 0, 1, 0, 3, 0, 1, 1, 0, 0, 0  },
{ 2, 2, 3, 0, 2, 1, 1, 2, 1, 1, 0, 1, 1, 2, 2, 1, 0, 0, 3, 0, 0, 0, 1, 1, 2, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 2, 1, 0, 1, 2, 2, 0  },
{ 1, 0, 1, 1, 0, 2, 1, 1, 0, 1, 2, 0, 3, 2, 0, 1, 2, 1, 1, 0, 0, 1, 1, 1, 0, 1, 2, 2, 2, 2, 2, 0, 0, 3, 0, 1, 1, 2, 1, 3, 0, 0  },
{ 0, 1, 1, 1, 2, 2, 2, 3, 0, 1, 0, 0, 1, 1, 0, 1, 2, 1, 1, 0, 3, 3, 2, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 1, 3, 0, 3, 2, 1, 0  },
{ 0, 0, 1, 0, 3, 2, 1, 3, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 2, 1, 3, 1, 0, 0, 0, 2, 2, 3, 0, 1, 0, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0  },
{ 0, 1, 1, 1, 2, 1, 3, 3, 0, 3, 0, 2, 2, 0, 0, 1, 3, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 1, 1, 0, 2, 0, 3, 1, 1, 0  },
{ 0, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 1, 1, 2, 3, 0, 0, 3, 3, 2, 1, 1, 1, 1, 2, 2, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 3, 1, 2, 0, 2  },
{ 0, 1, 1, 0, 0, 2, 3, 2, 0, 0, 0, 1, 2, 0, 1, 1, 2, 2, 0, 0, 1, 2, 0, 2, 0, 0, 3, 0, 2, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 2, 2, 1  },
{ 0, 1, 1, 1, 2, 0, 0, 3, 0, 2, 2, 2, 2, 3, 0, 0, 1, 1, 1, 2, 1, 0, 1, 3, 2, 3, 1, 3, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0  },
{ 2, 0, 2, 0, 2, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 1, 1, 2, 0, 2, 1, 1, 0, 1, 0, 2, 1, 3, 3, 0, 0, 2  },
{ 1, 1, 2, 0, 3, 1, 2, 0, 0, 1, 1, 1, 0, 3, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 1, 2, 0, 2, 3, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 0, 1, 3, 3, 1, 3, 0, 2, 1, 2, 0, 1, 0, 0, 2, 1, 0, 0, 1, 2, 3, 0, 2, 0, 3, 2, 0, 0, 2, 3, 3, 1, 2, 0, 0, 0  },
{ 0, 0, 1, 0, 0, 3, 0, 0, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 0, 0, 2, 0, 2, 2, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 1, 0, 0, 2, 3, 0, 1, 2, 0, 0, 1, 0, 0, 3, 3, 1, 1, 3, 0, 0, 3, 0, 2, 0, 1, 3, 2, 3, 0, 0, 2, 0, 3, 2, 2, 0, 0, 1, 0, 0, 0  },
{ 0, 0, 2, 3, 0, 1, 0, 1, 3, 1, 0, 0, 0, 3, 2, 0, 2, 3, 1, 0, 0, 0, 3, 1, 0, 2, 3, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 3, 0, 2, 0, 0  },
{ 1, 1, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0, 3, 0, 0, 0, 1, 1, 3, 0, 0, 0, 0  },
{ 0, 3, 0, 0, 2, 1, 2, 0, 1, 0, 1, 1, 0, 2, 0, 0, 2, 2, 1, 0, 0, 1, 0, 1, 3, 3, 3, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0, 1, 2, 0, 0  },
{ 2, 0, 3, 2, 1, 1, 1, 0, 3, 0, 1, 2, 0, 1, 2, 3, 1, 0, 2, 1, 2, 1, 0, 3, 0, 1, 2, 0, 1, 0, 0, 0, 1, 2, 1, 1, 0, 1, 0, 2, 0, 0  },
{ 2, 0, 1, 0, 1, 0, 1, 2, 1, 0, 1, 2, 0, 1, 1, 0, 3, 0, 0, 1, 2, 1, 0, 2, 1, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 3, 1, 2, 1, 0, 2, 0  },
{ 0, 0, 0, 0, 0, 1, 2, 0, 1, 2, 1, 0, 0, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 0, 0, 1, 0, 1, 3, 0, 1, 0, 1, 2, 0, 0  },
{ 2, 1, 0, 3, 0, 1, 1, 1, 0, 2, 1, 0, 2, 1, 0, 0, 2, 0, 1, 0, 2, 0, 2, 0, 1, 3, 3, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 1, 2, 1, 0  },
{ 2, 0, 3, 1, 1, 2, 3, 2, 0, 0, 0, 1, 0, 3, 0, 1, 1, 0, 0, 2, 2, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 2, 1, 0  },
{ 0, 1, 2, 1, 0, 1, 1, 1, 3, 0, 3, 0, 0, 1, 0, 1, 2, 2, 0, 2, 0, 3, 2, 0, 0, 0, 2, 1, 0, 3, 1, 2, 1, 0, 1, 2, 2, 2, 1, 1, 0, 0  },
{ 3, 0, 0, 3, 0, 0, 0, 2, 1, 0, 2, 0, 0, 1, 3, 1, 3, 3, 0, 2, 0, 1, 0, 1, 3, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 2, 2, 0, 1, 0  },
{ 3, 1, 0, 2, 0, 3, 3, 2, 3, 0, 3, 3, 0, 1, 0, 0, 1, 3, 2, 0, 1, 1, 2, 1, 2, 1, 0, 2, 1, 0, 0, 2, 1, 2, 0, 0, 1, 1, 0, 3, 0, 1  },
{ 3, 1, 0, 0, 0, 3, 1, 0, 0, 0, 1, 2, 1, 3, 0, 1, 1, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 2, 3, 0, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 2, 0  },
{ 1, 3, 0, 2, 0, 3, 0, 0, 1, 0, 3, 0, 2, 1, 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 0, 1, 1, 1, 2, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 2, 2, 2  },
{ 3, 2, 2, 2, 1, 1, 0, 3, 1, 2, 1, 0, 3, 1, 2, 1, 1, 0, 1, 2, 1, 2, 1, 2, 0, 1, 1, 0, 2, 0, 1, 0, 0, 2, 1, 1, 2, 0, 1, 2, 2, 0  },
{ 1, 1, 0, 1, 3, 0, 0, 0, 1, 0, 3, 1, 3, 2, 3, 0, 0, 1, 0, 2, 3, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 1, 0, 3, 3, 1, 3, 0, 1, 0  },
{ 0, 0, 1, 0, 1, 2, 1, 0, 0, 1, 0, 0, 0, 1, 2, 1, 0, 1, 0, 3, 3, 0, 0, 1, 2, 2, 0, 0, 0, 3, 1, 0, 1, 2, 1, 2, 0, 0, 2, 0, 1, 0  },
{ 0, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 3, 0, 2, 2, 1, 0, 2, 0, 0, 1, 1, 0, 2, 1, 0, 1, 1, 1, 0, 0, 0, 3, 1, 0, 1, 2, 1, 2, 2, 1, 1  },
{ 1, 1, 3, 0, 1, 0, 2, 0, 0, 0, 3, 1, 2, 0, 1, 0, 2, 1, 1, 0, 0, 0, 2, 0, 3, 0, 2, 3, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0  },
{ 0, 3, 0, 3, 1, 1, 1, 0, 0, 2, 2, 0, 2, 0, 1, 2, 2, 0, 1, 2, 3, 0, 0, 0, 2, 1, 1, 1, 0, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 3, 0, 0  },
{ 0, 3, 0, 0, 1, 0, 0, 2, 0, 1, 1, 2, 0, 0, 3, 0, 3, 3, 1, 0, 0, 0, 3, 3, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 2, 2, 2, 0, 0, 0, 0  },
{ 2, 0, 0, 0, 3, 1, 0, 1, 0, 1, 1, 3, 0, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 2, 1, 0, 3, 0, 3, 0, 0, 1, 0, 2, 1, 3, 0, 3, 1, 0, 0, 0  },
{ 3, 3, 2, 0, 3, 3, 3, 2, 0, 0, 0, 2, 3, 1, 0, 0, 0, 1, 1, 3, 2, 0, 3, 1, 0, 0, 1, 3, 0, 0, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0  },
{ 3, 2, 0, 0, 0, 0, 0, 0, 1, 1, 1, 2, 1, 0, 2, 0, 1, 2, 1, 0, 0, 0, 2, 0, 1, 1, 1, 1, 2, 0, 0, 1, 3, 2, 0, 0, 1, 1, 0, 0, 0, 0  },
{ 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 1, 0, 0, 0, 2, 1, 2, 0, 1, 2, 1, 2, 0, 0, 0  },
{ 1, 3, 1, 2, 1, 0, 1, 0, 1, 2, 2, 0, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 2, 1, 0, 0, 0, 2, 3, 0, 0, 0, 0  },
{ 1, 1, 0, 2, 1, 3, 0, 2, 0, 2, 1, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 2, 3, 1, 3, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1, 0, 0, 0  },
{ 3, 1, 0, 0, 1, 3, 1, 0, 0, 0, 1, 0, 0, 0, 0, 3, 3, 3, 1, 1, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 1, 0, 1, 1, 0  },
{ 0, 0, 0, 0, 0, 1, 1, 3, 3, 2, 0, 0, 0, 1, 0, 3, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 2, 3, 2, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 2, 1, 1, 1, 0, 2, 3, 0, 3, 0, 0, 3, 0, 3, 1, 3, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 0, 2, 2, 0, 0, 1, 2, 1  },
{ 0, 0, 3, 2, 1, 1, 0, 1, 1, 2, 0, 2, 1, 0, 1, 0, 2, 2, 1, 0, 0, 2, 0, 1, 2, 2, 0, 1, 2, 0, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 1, 0  },
{ 0, 0, 1, 0, 1, 2, 2, 0, 2, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 2, 1, 0, 0, 1, 1, 0, 0, 0  },
{ 3, 0, 0, 0, 0, 1, 1, 0, 1, 1, 0, 1, 1, 2, 1, 1, 2, 3, 0, 0, 1, 0, 1, 2, 1, 2, 2, 0, 0, 0, 0, 0, 0, 3, 1, 2, 3, 0, 1, 2, 0, 0  },
{ 2, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 3, 0, 1, 1, 0, 1, 0, 0, 0, 1, 2, 1, 1, 1, 0, 0, 0, 3, 1, 0, 3, 2, 0, 0, 1, 0, 3, 2, 0  },
{ 0, 1, 1, 3, 1, 0, 0, 3, 2, 2, 1, 1, 0, 0, 3, 0, 0, 1, 0, 0, 1, 1, 3, 1, 1, 0, 0, 0, 0, 2, 1, 0, 0, 1, 3, 1, 0, 0, 0, 1, 0, 0  }
 }
 },
{ 
{ 
{ 3, 1, 2, 3, 3, 2, 3, 3, 3, 3, 1, 2, 3, 1, 1, 3, 3, 0, 3, 1, 3, 0, 3, 1, 3, 3, 2, 0, 0, 3, 1, 0, 0, 2, 1, 3, 3, 1, 3, 3, 3, 1  },
{ 3, 2, 1, 3, 3, 2, 3, 0, 3, 3, 1, 2, 1, 3, 2, 3, 3, 0, 0, 3, 3, 2, 2, 0, 3, 1, 2, 0, 0, 2, 3, 2, 3, 0, 0, 3, 3, 0, 3, 3, 3, 3  },
{ 3, 1, 0, 3, 3, 2, 3, 0, 3, 3, 2, 3, 0, 3, 0, 2, 1, 1, 2, 3, 1, 2, 1, 1, 3, 1, 3, 1, 0, 3, 2, 1, 1, 2, 0, 3, 3, 3, 2, 0, 0, 3  },
{ 1, 0, 3, 0, 1, 0, 2, 0, 3, 3, 2, 3, 1, 3, 3, 3, 2, 1, 2, 3, 2, 1, 0, 0, 3, 3, 1, 0, 1, 2, 3, 3, 1, 1, 3, 3, 0, 1, 1, 2, 3, 2  },
{ 3, 0, 2, 3, 3, 2, 3, 3, 3, 3, 1, 1, 3, 1, 0, 3, 3, 1, 1, 3, 3, 0, 0, 1, 3, 1, 2, 3, 3, 2, 3, 0, 3, 3, 1, 3, 3, 2, 3, 1, 3, 0  },
{ 3, 1, 0, 3, 3, 2, 3, 0, 3, 1, 2, 2, 1, 3, 1, 3, 3, 2, 1, 3, 0, 2, 0, 3, 3, 1, 3, 2, 0, 3, 2, 2, 3, 0, 2, 3, 3, 3, 3, 1, 0, 1  },
{ 3, 0, 1, 3, 1, 2, 1, 2, 1, 3, 2, 1, 3, 3, 2, 3, 3, 1, 0, 3, 3, 2, 0, 1, 2, 1, 2, 2, 3, 3, 3, 2, 3, 1, 1, 3, 3, 0, 3, 1, 0, 3  },
{ 1, 3, 2, 3, 3, 1, 3, 3, 3, 1, 2, 0, 1, 3, 1, 2, 3, 2, 0, 2, 0, 2, 0, 1, 3, 1, 2, 0, 1, 2, 2, 2, 3, 2, 1, 2, 3, 0, 2, 1, 2, 2  },
{ 1, 3, 2, 3, 1, 2, 0, 2, 1, 3, 2, 0, 3, 3, 2, 3, 1, 2, 0, 2, 3, 2, 0, 1, 2, 3, 2, 3, 3, 3, 2, 3, 3, 2, 3, 3, 3, 1, 0, 1, 0, 2  },
{ 1, 3, 0, 3, 1, 2, 3, 2, 1, 3, 2, 1, 0, 3, 2, 3, 1, 2, 0, 2, 3, 3, 0, 1, 2, 1, 0, 3, 1, 2, 2, 2, 3, 2, 0, 3, 3, 2, 3, 2, 1, 3  },
{ 1, 3, 2, 3, 1, 2, 0, 3, 3, 3, 2, 3, 1, 2, 1, 3, 1, 3, 0, 2, 2, 2, 0, 1, 2, 2, 1, 3, 2, 3, 2, 3, 2, 2, 3, 3, 3, 1, 3, 0, 3, 0  },
{ 1, 0, 0, 2, 1, 2, 0, 2, 3, 3, 2, 1, 3, 3, 3, 3, 1, 2, 0, 2, 0, 2, 0, 1, 2, 1, 1, 3, 0, 2, 2, 1, 3, 3, 1, 3, 3, 0, 3, 3, 0, 0  },
{ 3, 1, 3, 0, 3, 3, 1, 2, 1, 1, 2, 1, 3, 0, 1, 3, 3, 2, 0, 2, 3, 0, 2, 1, 3, 2, 3, 1, 2, 0, 3, 3, 2, 1, 1, 2, 3, 1, 1, 0, 1, 3  },
{ 1, 3, 0, 1, 1, 2, 3, 0, 3, 3, 0, 1, 2, 3, 1, 3, 1, 2, 3, 0, 2, 3, 1, 1, 2, 2, 2, 3, 0, 2, 3, 2, 2, 2, 3, 3, 3, 3, 0, 2, 3, 3  },
{ 1, 2, 3, 2, 1, 0, 2, 1, 2, 3, 3, 2, 1, 2, 1, 3, 2, 1, 0, 1, 0, 0, 2, 3, 2, 3, 0, 2, 0, 2, 2, 3, 3, 2, 0, 1, 2, 1, 1, 2, 0, 3  },
{ 1, 3, 2, 3, 0, 3, 2, 1, 1, 3, 0, 0, 2, 1, 0, 3, 1, 2, 2, 0, 0, 2, 1, 3, 2, 1, 1, 1, 0, 2, 3, 1, 3, 2, 3, 2, 3, 2, 2, 2, 1, 2  },
{ 1, 3, 2, 3, 1, 2, 0, 3, 3, 2, 3, 3, 3, 1, 1, 2, 3, 1, 0, 2, 2, 2, 0, 1, 3, 1, 2, 1, 2, 3, 3, 3, 3, 2, 3, 3, 3, 0, 3, 1, 0, 3  },
{ 1, 2, 3, 3, 2, 1, 3, 0, 3, 3, 1, 2, 1, 3, 1, 2, 1, 2, 0, 3, 3, 2, 0, 1, 3, 1, 2, 1, 2, 3, 2, 3, 3, 1, 0, 2, 3, 0, 2, 3, 2, 0  },
{ 1, 3, 2, 3, 2, 1, 3, 0, 3, 1, 2, 1, 0, 3, 2, 3, 3, 2, 0, 2, 1, 3, 1, 3, 2, 1, 0, 0, 3, 2, 2, 2, 3, 2, 1, 3, 3, 2, 3, 2, 3, 2  },
{ 3, 1, 1, 2, 0, 0, 1, 0, 1, 3, 1, 2, 1, 2, 3, 3, 2, 2, 1, 1, 2, 1, 0, 1, 2, 1, 1, 2, 1, 2, 3, 2, 2, 2, 2, 2, 3, 1, 1, 2, 0, 2  },
{ 1, 0, 3, 1, 1, 1, 0, 2, 1, 0, 2, 1, 3, 0, 1, 2, 3, 2, 0, 2, 3, 3, 2, 1, 3, 1, 3, 2, 0, 2, 3, 2, 3, 2, 1, 2, 3, 3, 0, 2, 2, 2  },
{ 1, 3, 0, 0, 0, 0, 2, 2, 0, 2, 2, 1, 1, 0, 2, 1, 1, 0, 2, 1, 2, 0, 0, 1, 1, 3, 1, 1, 1, 2, 1, 3, 1, 1, 2, 2, 2, 2, 3, 0, 1, 1  },
{ 0, 0, 0, 0, 0, 0, 0, 2, 3, 2, 3, 0, 0, 0, 0, 2, 1, 3, 2, 0, 0, 0, 0, 3, 1, 0, 0, 3, 3, 0, 1, 0, 1, 1, 0, 3, 1, 3, 2, 2, 0, 3  },
{ 1, 3, 2, 3, 1, 2, 0, 3, 3, 3, 2, 3, 1, 3, 2, 1, 0, 2, 0, 2, 3, 2, 0, 2, 3, 2, 3, 3, 2, 3, 2, 3, 2, 3, 1, 2, 1, 3, 0, 1, 1, 2  },
{ 1, 2, 0, 2, 3, 1, 0, 3, 0, 1, 2, 1, 3, 1, 1, 2, 3, 2, 0, 2, 2, 3, 2, 1, 3, 1, 0, 3, 2, 2, 3, 2, 3, 2, 1, 2, 3, 1, 2, 1, 0, 2  },
{ 1, 3, 2, 3, 1, 2, 3, 2, 3, 1, 2, 0, 1, 1, 1, 2, 3, 2, 1, 2, 3, 0, 0, 2, 1, 1, 2, 1, 2, 3, 2, 3, 2, 3, 2, 3, 3, 2, 0, 2, 0, 2  },
{ 1, 3, 2, 2, 3, 3, 0, 2, 0, 0, 2, 0, 1, 0, 3, 2, 0, 2, 0, 2, 2, 3, 2, 1, 2, 2, 3, 1, 3, 2, 3, 2, 2, 0, 3, 2, 1, 3, 3, 0, 0, 3  },
{ 1, 2, 0, 3, 3, 3, 0, 2, 1, 1, 2, 3, 1, 3, 2, 3, 1, 2, 1, 2, 0, 2, 0, 2, 0, 2, 2, 1, 1, 2, 3, 2, 3, 2, 2, 2, 3, 1, 0, 2, 3, 2  },
{ 1, 2, 0, 3, 1, 2, 1, 2, 1, 3, 2, 3, 2, 1, 1, 2, 0, 2, 0, 2, 2, 3, 3, 2, 1, 1, 1, 1, 3, 2, 3, 2, 3, 2, 3, 2, 3, 1, 0, 3, 0, 2  },
{ 1, 2, 0, 3, 1, 2, 1, 2, 1, 3, 2, 0, 3, 0, 2, 3, 0, 2, 0, 2, 2, 3, 3, 0, 2, 1, 0, 0, 3, 2, 3, 2, 2, 2, 1, 2, 1, 3, 3, 0, 0, 2  },
{ 1, 3, 0, 0, 2, 3, 2, 1, 2, 0, 1, 0, 2, 0, 1, 3, 3, 2, 0, 2, 0, 2, 3, 1, 2, 1, 3, 2, 1, 2, 3, 1, 0, 3, 3, 2, 3, 3, 2, 3, 3, 1  },
{ 1, 0, 2, 3, 1, 2, 1, 2, 1, 3, 2, 3, 2, 1, 2, 1, 1, 3, 0, 2, 3, 2, 0, 2, 3, 2, 0, 3, 3, 0, 3, 2, 3, 2, 3, 2, 3, 1, 1, 3, 0, 3  },
{ 1, 2, 0, 3, 3, 3, 1, 2, 1, 1, 2, 2, 1, 3, 2, 3, 3, 2, 0, 2, 2, 3, 2, 2, 0, 1, 0, 2, 3, 2, 3, 2, 3, 3, 2, 3, 2, 3, 2, 0, 1, 3  },
{ 1, 2, 1, 1, 1, 1, 2, 2, 1, 3, 2, 0, 0, 3, 1, 2, 1, 2, 0, 2, 2, 3, 2, 1, 3, 1, 0, 3, 0, 2, 3, 0, 3, 2, 3, 2, 3, 1, 3, 0, 3, 1  },
{ 1, 3, 0, 2, 1, 2, 1, 3, 1, 0, 2, 1, 3, 0, 2, 1, 3, 1, 2, 1, 2, 1, 0, 2, 3, 2, 3, 1, 0, 2, 3, 2, 1, 0, 3, 2, 3, 1, 2, 0, 1, 3  },
{ 1, 3, 0, 0, 0, 3, 1, 2, 1, 3, 2, 1, 2, 0, 2, 1, 0, 2, 0, 2, 3, 1, 0, 2, 3, 1, 1, 3, 1, 2, 2, 3, 3, 2, 1, 2, 3, 3, 0, 2, 0, 3  },
{ 1, 3, 0, 0, 0, 0, 1, 2, 0, 3, 3, 1, 1, 2, 2, 1, 0, 1, 2, 2, 0, 2, 1, 3, 2, 1, 1, 2, 2, 0, 2, 3, 3, 3, 3, 1, 2, 1, 1, 2, 3, 2  },
{ 1, 3, 2, 3, 2, 1, 3, 2, 3, 1, 2, 1, 0, 3, 2, 0, 3, 2, 1, 2, 3, 0, 0, 2, 3, 3, 3, 1, 2, 3, 0, 2, 2, 3, 1, 2, 1, 3, 2, 0, 0, 2  },
{ 1, 3, 2, 2, 1, 1, 1, 1, 3, 3, 2, 1, 3, 0, 0, 2, 1, 2, 0, 2, 2, 3, 2, 1, 2, 3, 1, 3, 2, 2, 3, 2, 2, 1, 1, 3, 1, 2, 3, 0, 3, 3  },
{ 1, 3, 3, 2, 3, 2, 0, 0, 2, 2, 2, 0, 0, 2, 2, 2, 3, 2, 0, 2, 3, 2, 3, 1, 2, 3, 0, 2, 0, 2, 3, 0, 0, 1, 2, 2, 1, 3, 2, 3, 2, 3  },
{ 1, 0, 2, 3, 3, 0, 1, 1, 2, 0, 1, 2, 1, 0, 3, 2, 3, 2, 0, 2, 2, 3, 1, 3, 2, 1, 2, 2, 2, 2, 3, 1, 2, 1, 2, 2, 1, 3, 3, 0, 3, 2  },
{ 1, 3, 3, 2, 1, 1, 1, 0, 2, 0, 1, 0, 2, 2, 0, 2, 2, 0, 2, 1, 2, 3, 3, 2, 2, 3, 1, 0, 1, 2, 3, 1, 3, 2, 2, 2, 1, 2, 2, 2, 2, 3  },
{ 1, 3, 2, 3, 3, 1, 2, 1, 2, 0, 0, 2, 3, 2, 3, 2, 1, 1, 2, 0, 2, 3, 0, 3, 2, 3, 2, 0, 2, 2, 3, 1, 2, 2, 2, 2, 1, 3, 3, 0, 3, 3  },
{ 1, 3, 0, 2, 0, 0, 1, 1, 2, 0, 0, 1, 2, 3, 1, 3, 3, 2, 2, 0, 2, 2, 3, 3, 2, 1, 1, 2, 1, 2, 3, 2, 0, 3, 2, 2, 3, 1, 2, 3, 3, 2  },
{ 1, 3, 1, 2, 0, 0, 0, 1, 2, 2, 0, 2, 2, 2, 1, 1, 1, 1, 1, 1, 2, 1, 3, 1, 2, 3, 1, 0, 1, 2, 3, 0, 2, 2, 2, 2, 1, 2, 3, 2, 2, 3  },
{ 1, 3, 2, 2, 0, 0, 1, 1, 0, 2, 3, 2, 1, 2, 2, 3, 1, 0, 1, 2, 2, 3, 2, 3, 2, 0, 1, 2, 1, 2, 3, 1, 3, 2, 2, 0, 3, 2, 1, 1, 2, 3  },
{ 1, 0, 3, 0, 3, 1, 3, 2, 1, 3, 1, 2, 1, 1, 2, 1, 2, 2, 0, 2, 0, 2, 2, 3, 2, 1, 2, 1, 2, 1, 2, 3, 2, 2, 3, 2, 3, 2, 2, 1, 3, 1  },
{ 1, 0, 3, 0, 1, 0, 1, 2, 0, 0, 2, 1, 0, 1, 0, 2, 1, 1, 3, 1, 0, 2, 1, 2, 2, 1, 1, 0, 3, 2, 0, 3, 2, 3, 1, 1, 0, 2, 0, 0, 1, 2  },
{ 1, 3, 2, 2, 0, 2, 0, 1, 1, 3, 2, 2, 0, 2, 2, 0, 0, 2, 0, 2, 3, 2, 0, 2, 3, 3, 0, 3, 2, 3, 2, 3, 2, 3, 2, 1, 1, 2, 0, 0, 0, 1  },
{ 1, 2, 2, 3, 0, 0, 0, 2, 0, 3, 2, 2, 3, 0, 2, 1, 0, 2, 0, 2, 2, 3, 0, 2, 2, 3, 0, 1, 3, 2, 3, 2, 3, 1, 1, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 3, 2, 3, 1, 2, 1, 2, 1, 0, 2, 2, 0, 2, 2, 0, 3, 2, 0, 2, 3, 2, 0, 2, 1, 2, 1, 0, 3, 2, 3, 2, 3, 2, 0, 2, 1, 3, 2, 3, 3, 3  },
{ 1, 3, 2, 2, 1, 1, 2, 1, 1, 1, 2, 3, 1, 2, 2, 3, 3, 2, 0, 2, 2, 3, 2, 2, 0, 1, 0, 2, 3, 2, 3, 2, 3, 0, 2, 3, 3, 2, 1, 2, 0, 3  },
{ 1, 2, 1, 1, 3, 3, 0, 2, 0, 3, 0, 2, 2, 0, 3, 2, 0, 1, 2, 0, 2, 3, 1, 1, 2, 1, 1, 1, 0, 2, 3, 2, 3, 2, 2, 2, 1, 3, 3, 2, 3, 1  },
{ 1, 3, 2, 3, 1, 2, 1, 2, 1, 1, 2, 0, 1, 2, 2, 1, 3, 2, 0, 2, 3, 2, 0, 2, 3, 1, 2, 1, 3, 2, 3, 2, 3, 1, 2, 2, 3, 2, 3, 3, 0, 3  },
{ 1, 3, 0, 0, 1, 0, 3, 2, 0, 3, 0, 1, 3, 1, 2, 3, 0, 1, 2, 0, 2, 1, 0, 1, 2, 1, 1, 0, 0, 2, 3, 3, 2, 1, 3, 2, 3, 3, 1, 0, 3, 2  },
{ 1, 3, 0, 0, 2, 3, 1, 2, 1, 3, 0, 1, 2, 1, 2, 3, 0, 1, 2, 0, 2, 3, 0, 2, 2, 1, 2, 2, 0, 2, 2, 3, 2, 2, 2, 2, 3, 1, 2, 2, 3, 2  },
{ 1, 3, 0, 3, 1, 1, 1, 2, 1, 1, 2, 2, 1, 2, 2, 1, 1, 3, 0, 2, 2, 3, 1, 3, 1, 1, 1, 2, 3, 2, 3, 2, 3, 1, 2, 2, 3, 2, 3, 0, 1, 2  },
{ 1, 0, 2, 1, 1, 1, 2, 0, 0, 2, 1, 1, 2, 0, 0, 2, 0, 1, 0, 1, 0, 1, 2, 1, 1, 2, 1, 1, 0, 2, 0, 2, 3, 2, 1, 1, 2, 0, 2, 2, 2, 1  },
{ 1, 3, 2, 1, 0, 1, 2, 2, 0, 3, 0, 2, 2, 2, 3, 2, 0, 1, 2, 0, 2, 3, 1, 1, 2, 0, 1, 3, 0, 2, 3, 2, 2, 0, 2, 2, 1, 2, 3, 3, 2, 3  },
{ 1, 3, 0, 2, 0, 1, 0, 1, 2, 1, 1, 0, 2, 0, 2, 2, 3, 0, 1, 1, 2, 3, 3, 1, 2, 3, 1, 2, 1, 2, 3, 2, 2, 2, 2, 2, 1, 0, 1, 0, 2, 3  },
{ 1, 3, 0, 0, 1, 1, 1, 2, 0, 1, 0, 3, 1, 1, 2, 3, 3, 1, 2, 3, 0, 2, 1, 2, 2, 1, 0, 3, 0, 2, 2, 3, 2, 0, 2, 2, 0, 3, 2, 1, 2, 3  },
{ 1, 2, 2, 2, 0, 0, 2, 1, 3, 1, 1, 1, 0, 2, 2, 2, 3, 2, 3, 2, 3, 0, 0, 3, 1, 2, 1, 0, 1, 2, 2, 2, 0, 2, 2, 2, 1, 2, 0, 0, 2, 3  },
{ 1, 0, 0, 2, 2, 0, 0, 3, 2, 3, 2, 1, 1, 0, 1, 1, 0, 3, 1, 2, 1, 2, 0, 3, 1, 1, 2, 3, 0, 2, 3, 1, 2, 1, 3, 1, 3, 2, 0, 2, 2, 3  },
{ 1, 2, 2, 2, 0, 1, 0, 2, 0, 0, 2, 0, 3, 0, 0, 2, 0, 1, 0, 3, 2, 0, 2, 3, 0, 0, 0, 2, 0, 2, 3, 2, 3, 0, 2, 3, 1, 2, 3, 1, 2, 3  },
{ 1, 2, 2, 0, 0, 1, 1, 1, 2, 2, 1, 3, 1, 0, 2, 0, 0, 0, 2, 0, 2, 3, 0, 2, 2, 0, 1, 1, 0, 2, 3, 2, 3, 0, 0, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 3, 2, 2, 1, 1, 1, 2, 0, 0, 2, 3, 0, 2, 2, 0, 3, 2, 0, 2, 2, 3, 1, 2, 0, 1, 2, 0, 3, 2, 3, 2, 3, 1, 0, 2, 1, 2, 2, 2, 2, 3  },
{ 1, 2, 0, 2, 0, 1, 2, 2, 0, 0, 2, 3, 1, 0, 0, 2, 3, 1, 0, 2, 2, 2, 2, 0, 2, 0, 2, 0, 3, 2, 3, 2, 3, 0, 1, 2, 1, 2, 0, 3, 2, 3  },
{ 1, 2, 2, 3, 1, 1, 1, 2, 0, 0, 2, 2, 0, 0, 1, 2, 0, 2, 3, 3, 2, 3, 2, 3, 0, 1, 0, 2, 3, 2, 3, 2, 3, 0, 2, 3, 1, 2, 3, 2, 1, 2  },
{ 1, 2, 0, 2, 1, 1, 2, 0, 0, 0, 2, 2, 2, 3, 2, 3, 0, 2, 2, 3, 2, 2, 3, 2, 0, 0, 0, 3, 1, 2, 3, 2, 3, 2, 0, 2, 1, 2, 1, 0, 2, 3  },
{ 1, 2, 1, 1, 1, 1, 2, 2, 0, 0, 2, 2, 1, 0, 1, 2, 0, 1, 0, 2, 3, 3, 2, 3, 2, 1, 2, 2, 3, 2, 3, 2, 3, 2, 0, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 3, 2, 3, 1, 1, 0, 2, 1, 1, 2, 2, 1, 0, 2, 1, 0, 2, 3, 3, 2, 3, 2, 2, 0, 1, 1, 3, 1, 2, 3, 2, 3, 2, 0, 2, 3, 2, 1, 2, 1, 3  },
{ 1, 2, 1, 1, 0, 2, 1, 2, 1, 2, 2, 0, 0, 2, 2, 1, 0, 2, 0, 2, 2, 0, 0, 2, 2, 1, 0, 2, 3, 2, 3, 2, 3, 1, 0, 2, 3, 2, 1, 2, 0, 2  },
{ 1, 2, 1, 1, 3, 0, 2, 2, 0, 0, 1, 1, 0, 3, 2, 1, 0, 2, 0, 2, 3, 2, 2, 0, 2, 1, 1, 2, 0, 2, 3, 2, 3, 2, 2, 2, 3, 1, 2, 0, 3, 2  },
{ 1, 3, 2, 3, 1, 2, 1, 1, 1, 0, 2, 2, 0, 2, 2, 1, 1, 2, 2, 2, 2, 0, 2, 2, 0, 1, 1, 2, 3, 2, 3, 2, 0, 3, 0, 2, 3, 2, 1, 1, 0, 3  },
{ 1, 3, 1, 1, 2, 2, 1, 2, 1, 0, 1, 0, 0, 2, 2, 1, 0, 2, 0, 2, 3, 3, 3, 3, 2, 1, 0, 3, 0, 2, 3, 0, 3, 2, 0, 2, 3, 3, 1, 0, 0, 2  },
{ 1, 0, 3, 0, 1, 0, 0, 1, 0, 3, 2, 2, 1, 1, 2, 1, 0, 1, 0, 2, 1, 0, 0, 2, 2, 1, 0, 3, 0, 2, 2, 3, 1, 2, 2, 2, 3, 1, 3, 1, 3, 1  },
{ 1, 3, 0, 0, 2, 2, 0, 1, 3, 2, 0, 0, 1, 0, 1, 2, 1, 0, 3, 2, 0, 3, 2, 2, 2, 1, 0, 3, 2, 1, 2, 3, 3, 3, 2, 1, 3, 2, 1, 2, 3, 2  },
{ 1, 0, 3, 2, 1, 2, 1, 1, 1, 3, 2, 2, 1, 2, 2, 1, 1, 2, 2, 0, 0, 3, 0, 2, 1, 1, 1, 0, 0, 2, 3, 2, 0, 3, 0, 2, 3, 2, 0, 0, 0, 2  },
{ 1, 3, 0, 3, 1, 0, 0, 1, 1, 3, 2, 1, 2, 0, 2, 1, 1, 2, 0, 2, 0, 3, 3, 2, 0, 2, 1, 2, 1, 2, 2, 3, 2, 3, 1, 2, 3, 3, 3, 1, 2, 0  },
{ 1, 3, 0, 1, 2, 1, 0, 1, 1, 0, 1, 3, 1, 2, 2, 1, 2, 1, 2, 0, 3, 2, 0, 2, 3, 1, 2, 3, 1, 2, 2, 3, 3, 1, 2, 2, 3, 3, 1, 3, 3, 1  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 3, 3, 3, 1, 2, 1, 2, 1, 0, 1, 0, 0, 3, 0, 1, 2, 1, 0, 0, 0, 1, 0, 2, 2, 1, 3, 3, 1, 2, 1, 1, 2, 2, 3  },
{ 1, 2, 2, 2, 0, 1, 1, 1, 2, 0, 1, 2, 1, 0, 0, 2, 0, 2, 0, 3, 2, 3, 1, 0, 2, 0, 1, 1, 0, 2, 3, 2, 3, 0, 1, 2, 1, 2, 1, 1, 2, 3  },
{ 1, 3, 1, 2, 0, 2, 1, 1, 2, 1, 1, 0, 2, 0, 2, 2, 0, 1, 0, 2, 2, 3, 2, 0, 2, 3, 1, 2, 1, 2, 3, 1, 3, 0, 0, 2, 1, 2, 2, 3, 2, 3  },
{ 1, 3, 1, 2, 0, 0, 2, 2, 0, 1, 1, 0, 1, 1, 0, 2, 3, 1, 0, 2, 2, 0, 2, 3, 2, 0, 1, 2, 0, 2, 3, 2, 2, 0, 2, 2, 1, 3, 0, 3, 2, 3  },
{ 1, 0, 0, 2, 3, 2, 1, 0, 2, 3, 0, 2, 2, 3, 0, 0, 1, 1, 0, 3, 2, 2, 2, 3, 2, 0, 1, 0, 0, 2, 3, 2, 2, 3, 2, 2, 1, 2, 3, 1, 2, 3  },
{ 1, 0, 0, 2, 2, 0, 0, 0, 2, 3, 1, 2, 3, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0, 3, 1, 1, 0, 0, 1, 2, 2, 3, 2, 1, 2, 2, 2, 2, 0, 0, 2, 3  },
{ 1, 2, 2, 0, 0, 1, 2, 1, 0, 0, 2, 3, 0, 2, 2, 0, 0, 1, 0, 2, 2, 3, 1, 0, 2, 2, 3, 2, 2, 0, 3, 2, 1, 0, 3, 0, 1, 2, 1, 1, 2, 3  },
{ 1, 0, 2, 0, 2, 0, 1, 2, 0, 0, 1, 3, 1, 0, 0, 2, 1, 2, 0, 1, 2, 3, 2, 1, 0, 0, 1, 1, 3, 2, 3, 2, 3, 0, 2, 2, 1, 2, 3, 1, 2, 3  },
{ 1, 2, 2, 2, 0, 3, 1, 2, 0, 0, 2, 3, 0, 3, 2, 0, 0, 1, 2, 3, 2, 1, 3, 2, 0, 1, 1, 3, 0, 2, 3, 2, 3, 1, 0, 1, 0, 2, 1, 2, 2, 3  },
{ 1, 2, 2, 0, 0, 1, 3, 2, 0, 1, 1, 0, 0, 3, 2, 2, 0, 1, 0, 2, 1, 3, 1, 3, 2, 0, 1, 2, 0, 0, 3, 2, 3, 2, 2, 0, 1, 2, 3, 3, 2, 3  },
{ 1, 2, 2, 2, 1, 0, 1, 3, 0, 0, 2, 3, 1, 3, 2, 1, 0, 2, 0, 0, 2, 1, 0, 2, 0, 1, 0, 2, 3, 2, 3, 2, 3, 3, 0, 1, 0, 2, 1, 2, 2, 3  },
{ 1, 2, 0, 2, 0, 1, 0, 2, 0, 2, 2, 2, 0, 3, 2, 0, 0, 2, 0, 1, 2, 1, 3, 0, 2, 1, 2, 1, 3, 2, 3, 2, 3, 0, 0, 2, 0, 2, 0, 1, 2, 3  },
{ 1, 2, 2, 2, 0, 3, 1, 0, 0, 2, 1, 0, 3, 2, 2, 2, 0, 1, 0, 2, 1, 3, 2, 0, 2, 1, 0, 1, 3, 2, 3, 0, 3, 2, 2, 2, 0, 2, 1, 0, 2, 3  },
{ 1, 3, 2, 2, 2, 1, 2, 2, 0, 1, 1, 0, 2, 0, 1, 2, 0, 1, 0, 2, 2, 3, 1, 0, 2, 1, 3, 1, 0, 2, 2, 3, 2, 3, 1, 2, 0, 2, 0, 1, 3, 2  },
{ 1, 0, 2, 0, 0, 1, 1, 1, 1, 1, 2, 0, 0, 1, 2, 0, 0, 2, 2, 3, 1, 2, 2, 2, 0, 1, 0, 2, 3, 2, 3, 2, 3, 1, 0, 1, 3, 2, 0, 2, 0, 2  },
{ 1, 0, 2, 1, 3, 0, 1, 2, 0, 0, 1, 2, 3, 0, 2, 1, 0, 2, 0, 1, 2, 2, 2, 2, 0, 0, 0, 2, 3, 2, 2, 3, 2, 3, 1, 2, 2, 1, 2, 0, 1, 2  },
{ 1, 0, 2, 0, 1, 2, 1, 2, 0, 1, 2, 1, 2, 1, 2, 0, 0, 1, 0, 2, 3, 1, 2, 0, 2, 1, 1, 1, 1, 2, 2, 3, 2, 0, 3, 2, 1, 2, 1, 2, 1, 2  },
{ 1, 2, 0, 0, 1, 1, 2, 2, 0, 0, 3, 0, 1, 1, 1, 2, 2, 0, 1, 2, 0, 1, 0, 2, 2, 1, 2, 1, 0, 0, 2, 3, 2, 0, 1, 2, 0, 2, 1, 0, 3, 2  },
{ 1, 2, 0, 0, 1, 1, 3, 0, 0, 2, 3, 0, 1, 0, 2, 3, 3, 0, 1, 2, 0, 2, 1, 2, 2, 0, 2, 1, 0, 2, 2, 3, 2, 3, 2, 1, 2, 1, 1, 2, 0, 2  },
{ 1, 0, 2, 1, 0, 2, 1, 0, 0, 1, 2, 1, 2, 0, 2, 1, 0, 2, 0, 1, 2, 2, 3, 2, 0, 1, 0, 2, 3, 2, 3, 2, 3, 1, 0, 3, 2, 3, 2, 2, 1, 3  },
{ 1, 2, 0, 1, 2, 0, 1, 2, 0, 2, 2, 0, 1, 2, 2, 1, 0, 2, 3, 2, 2, 3, 3, 2, 0, 1, 0, 2, 1, 2, 3, 2, 3, 3, 1, 2, 2, 3, 1, 2, 0, 2  },
{ 1, 2, 0, 1, 0, 1, 2, 2, 0, 2, 2, 1, 1, 2, 2, 1, 0, 2, 0, 2, 0, 2, 2, 2, 3, 1, 1, 2, 0, 2, 2, 3, 2, 0, 2, 2, 2, 2, 1, 2, 0, 2  },
{ 1, 3, 0, 1, 0, 2, 1, 3, 1, 0, 1, 0, 1, 1, 3, 1, 1, 2, 0, 1, 2, 3, 3, 2, 0, 2, 2, 0, 0, 1, 2, 3, 0, 3, 0, 2, 3, 2, 3, 3, 0, 3  },
{ 1, 3, 0, 1, 3, 2, 2, 1, 0, 0, 3, 1, 2, 0, 2, 1, 0, 1, 0, 2, 2, 1, 0, 2, 1, 1, 1, 2, 0, 2, 2, 3, 2, 3, 0, 2, 2, 2, 3, 0, 3, 2  },
{ 1, 3, 0, 0, 1, 1, 2, 1, 0, 0, 3, 2, 2, 1, 2, 0, 0, 1, 0, 1, 1, 3, 2, 1, 1, 1, 2, 2, 2, 2, 2, 3, 3, 1, 3, 2, 2, 2, 1, 2, 1, 1  },
{ 1, 0, 2, 2, 0, 2, 3, 1, 0, 1, 1, 0, 2, 3, 2, 2, 0, 2, 0, 1, 2, 2, 3, 0, 2, 1, 1, 0, 2, 2, 3, 2, 2, 0, 0, 2, 1, 2, 1, 1, 2, 3  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 2, 3, 1, 0, 2, 0, 1, 2, 1, 1, 0, 2, 2, 3, 1, 3, 2, 1, 1, 0, 2, 2, 3, 2, 2, 3, 0, 2, 0, 2, 0, 0, 2, 3  },
{ 1, 1, 2, 2, 0, 1, 0, 0, 2, 3, 0, 1, 0, 2, 2, 2, 1, 2, 1, 0, 3, 3, 2, 0, 2, 3, 1, 0, 0, 2, 3, 2, 3, 2, 1, 2, 1, 0, 2, 0, 2, 3  },
{ 1, 0, 0, 2, 3, 1, 2, 0, 1, 2, 0, 1, 2, 1, 2, 2, 1, 0, 1, 0, 2, 2, 1, 3, 1, 3, 1, 0, 2, 2, 3, 2, 2, 1, 1, 2, 1, 0, 0, 0, 0, 3  },
{ 1, 0, 0, 2, 1, 1, 0, 0, 2, 3, 1, 0, 1, 2, 1, 1, 1, 1, 1, 1, 1, 3, 0, 2, 2, 2, 1, 0, 0, 2, 2, 1, 2, 2, 3, 2, 1, 0, 2, 0, 2, 3  },
{ 1, 0, 3, 0, 1, 1, 2, 1, 2, 3, 3, 1, 2, 1, 0, 1, 3, 2, 0, 1, 0, 1, 2, 1, 2, 2, 2, 1, 1, 2, 2, 1, 0, 2, 2, 2, 0, 3, 1, 3, 2, 3  },
{ 1, 1, 2, 2, 0, 1, 1, 2, 0, 0, 2, 1, 3, 1, 0, 2, 0, 1, 0, 2, 2, 1, 2, 0, 0, 1, 1, 2, 3, 0, 2, 3, 2, 1, 1, 0, 1, 2, 3, 1, 2, 2  },
{ 1, 1, 2, 0, 0, 2, 1, 2, 0, 0, 1, 0, 0, 2, 3, 2, 0, 0, 2, 1, 3, 2, 1, 2, 0, 1, 2, 1, 0, 3, 2, 3, 2, 2, 1, 0, 1, 2, 3, 1, 2, 2  },
{ 1, 2, 2, 1, 0, 2, 1, 2, 0, 0, 2, 1, 3, 3, 2, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 0, 1, 2, 3, 1, 2, 3, 2, 3, 1, 0, 1, 2, 0, 3, 2, 2  },
{ 1, 1, 2, 2, 1, 1, 3, 2, 0, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 0, 2, 3, 2, 1, 0, 1, 1, 3, 0, 1, 3, 1, 3, 3, 2, 2, 0, 2, 3, 3, 2, 3  },
{ 1, 2, 2, 0, 1, 1, 3, 2, 0, 1, 1, 0, 1, 1, 2, 2, 0, 0, 2, 2, 2, 3, 1, 0, 2, 0, 2, 1, 0, 3, 0, 2, 3, 2, 3, 2, 0, 2, 3, 0, 2, 2  },
{ 1, 1, 2, 0, 0, 2, 1, 2, 0, 0, 1, 2, 3, 1, 2, 0, 0, 2, 0, 1, 2, 2, 0, 1, 0, 0, 1, 1, 3, 0, 3, 0, 3, 2, 2, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 1, 2, 2, 1, 1, 3, 1, 0, 0, 2, 1, 3, 2, 2, 0, 1, 1, 0, 1, 2, 3, 2, 2, 0, 1, 2, 2, 2, 0, 3, 1, 3, 2, 1, 2, 0, 2, 3, 2, 2, 3  },
{ 1, 0, 2, 0, 1, 0, 1, 1, 0, 3, 2, 1, 0, 2, 1, 2, 1, 1, 0, 1, 0, 1, 0, 1, 2, 3, 1, 0, 2, 1, 1, 3, 2, 3, 3, 2, 0, 2, 0, 0, 0, 2  },
{ 1, 0, 2, 1, 0, 0, 1, 2, 0, 0, 2, 0, 1, 2, 2, 0, 0, 2, 3, 2, 0, 1, 0, 2, 0, 0, 0, 3, 0, 0, 3, 1, 3, 0, 1, 1, 0, 2, 1, 2, 2, 3  },
{ 1, 0, 2, 1, 1, 3, 0, 1, 0, 2, 2, 0, 1, 2, 2, 0, 0, 2, 0, 1, 2, 3, 0, 2, 2, 1, 1, 1, 2, 2, 3, 1, 3, 2, 3, 2, 0, 2, 0, 3, 2, 2  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 1, 1, 0, 1, 2, 0, 2, 2, 0, 1, 2, 2, 3, 3, 2, 0, 2, 2, 1, 2, 3, 0, 2, 3, 1, 2, 0, 2, 3, 2, 1, 2  },
{ 1, 0, 2, 1, 1, 3, 1, 0, 0, 2, 0, 1, 2, 0, 2, 0, 0, 2, 1, 2, 0, 1, 3, 2, 0, 1, 0, 0, 3, 1, 3, 1, 3, 0, 0, 1, 3, 2, 2, 2, 0, 2  },
{ 1, 2, 0, 1, 1, 2, 1, 2, 0, 2, 3, 1, 0, 1, 2, 1, 0, 1, 2, 0, 1, 0, 2, 0, 2, 2, 2, 2, 3, 2, 3, 1, 3, 1, 3, 2, 2, 1, 0, 2, 1, 2  },
{ 1, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0, 0, 1, 1, 2, 0, 0, 1, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 3, 2, 2, 0, 3, 0, 0, 2, 2, 1, 2, 2, 0, 2  },
{ 1, 2, 0, 0, 1, 0, 2, 2, 0, 3, 1, 1, 0, 1, 2, 1, 2, 3, 1, 0, 2, 3, 3, 2, 2, 0, 2, 0, 0, 2, 1, 3, 2, 2, 1, 2, 2, 1, 1, 2, 1, 0  },
{ 1, 2, 0, 0, 1, 2, 3, 2, 0, 3, 2, 1, 0, 1, 2, 1, 3, 1, 1, 0, 3, 0, 3, 0, 2, 0, 0, 1, 1, 0, 2, 3, 3, 3, 3, 1, 1, 2, 0, 2, 1, 2  },
{ 1, 0, 3, 1, 1, 2, 1, 0, 0, 3, 3, 1, 2, 1, 3, 0, 0, 2, 0, 1, 2, 2, 3, 2, 1, 2, 2, 0, 2, 2, 2, 3, 3, 1, 0, 2, 2, 3, 1, 2, 0, 3  },
{ 1, 0, 1, 2, 3, 1, 1, 0, 1, 3, 0, 2, 1, 3, 1, 0, 0, 1, 0, 1, 3, 2, 1, 2, 0, 1, 0, 1, 0, 2, 2, 0, 3, 2, 0, 2, 2, 1, 0, 2, 1, 2  },
{ 1, 0, 2, 1, 1, 3, 0, 1, 0, 1, 3, 0, 0, 1, 2, 0, 0, 1, 0, 2, 1, 3, 0, 1, 2, 1, 3, 3, 3, 2, 2, 1, 3, 1, 2, 2, 2, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 2, 1, 1, 3, 1, 0, 0, 1, 0, 2, 1, 1, 2, 3, 0, 1, 2, 2, 2, 3, 1, 0, 0, 1, 2, 2, 3, 0, 1, 2, 3, 2, 2, 1, 2, 3, 2, 2, 2  },
{ 1, 2, 2, 2, 1, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 2, 0, 2, 0, 1, 2, 3, 2, 3, 2, 1, 1, 0, 2, 0, 3, 0, 1, 2, 0, 2, 0, 2, 3, 0, 1, 2  },
{ 1, 0, 2, 0, 1, 2, 1, 0, 2, 1, 1, 0, 2, 3, 2, 2, 1, 2, 0, 1, 2, 2, 2, 3, 2, 1, 1, 0, 0, 1, 3, 1, 2, 3, 0, 2, 1, 2, 0, 2, 1, 3  },
{ 1, 2, 1, 2, 0, 0, 1, 2, 0, 1, 2, 1, 0, 2, 3, 2, 1, 1, 0, 2, 2, 3, 3, 1, 2, 3, 2, 0, 1, 2, 0, 2, 2, 3, 0, 2, 0, 2, 3, 2, 0, 2  },
{ 1, 0, 2, 2, 1, 1, 0, 3, 2, 0, 2, 0, 1, 1, 3, 2, 1, 3, 1, 2, 2, 3, 1, 0, 1, 2, 1, 0, 0, 1, 3, 0, 2, 2, 1, 2, 1, 0, 1, 1, 0, 2  },
{ 1, 2, 0, 2, 0, 0, 1, 0, 2, 1, 2, 1, 2, 2, 2, 2, 3, 1, 0, 1, 0, 3, 1, 1, 2, 1, 1, 0, 2, 1, 1, 2, 3, 3, 0, 2, 1, 2, 0, 1, 2, 3  },
{ 1, 0, 2, 0, 1, 3, 1, 1, 0, 0, 0, 1, 0, 2, 1, 2, 1, 2, 1, 0, 1, 0, 3, 1, 2, 1, 1, 0, 3, 0, 3, 1, 2, 2, 3, 2, 0, 2, 0, 0, 2, 3  },
{ 1, 1, 1, 2, 0, 0, 2, 0, 2, 1, 0, 0, 3, 0, 2, 2, 0, 2, 1, 0, 2, 3, 1, 3, 2, 1, 2, 0, 1, 1, 2, 2, 3, 2, 3, 2, 1, 1, 0, 1, 1, 2  },
{ 1, 0, 2, 0, 1, 2, 1, 3, 2, 3, 1, 2, 1, 0, 1, 2, 1, 0, 0, 1, 0, 3, 3, 2, 2, 2, 2, 0, 1, 0, 2, 0, 2, 1, 2, 2, 0, 3, 0, 2, 2, 0  },
{ 1, 2, 0, 0, 1, 3, 0, 0, 0, 0, 3, 3, 2, 2, 1, 0, 1, 2, 1, 2, 3, 2, 1, 0, 2, 1, 2, 1, 0, 1, 2, 2, 3, 2, 2, 1, 2, 0, 2, 0, 1, 3  },
{ 2, 1, 2, 2, 0, 0, 3, 1, 2, 3, 0, 0, 1, 0, 1, 2, 2, 2, 0, 1, 1, 3, 2, 3, 1, 1, 1, 1, 0, 0, 2, 2, 2, 0, 0, 2, 1, 2, 2, 1, 2, 0  },
{ 1, 3, 1, 2, 0, 0, 3, 3, 2, 1, 2, 1, 0, 0, 2, 2, 3, 1, 1, 1, 1, 3, 1, 2, 2, 0, 0, 1, 2, 3, 2, 0, 2, 2, 2, 0, 1, 2, 1, 1, 2, 3  },
{ 0, 1, 2, 0, 0, 1, 0, 1, 2, 1, 2, 0, 1, 0, 2, 1, 3, 2, 0, 1, 0, 3, 1, 3, 1, 1, 2, 1, 1, 3, 2, 2, 3, 0, 1, 2, 0, 1, 2, 3, 2, 3  },
{ 1, 2, 2, 1, 1, 0, 1, 1, 0, 0, 0, 1, 3, 2, 0, 2, 0, 1, 2, 1, 2, 3, 2, 1, 0, 1, 1, 0, 1, 3, 1, 0, 0, 3, 1, 1, 1, 2, 3, 1, 2, 0  },
{ 1, 1, 2, 0, 0, 1, 1, 0, 0, 1, 2, 0, 1, 2, 2, 0, 0, 1, 0, 1, 2, 2, 0, 1, 0, 1, 0, 2, 1, 1, 3, 1, 2, 3, 2, 0, 1, 2, 1, 3, 2, 3  },
{ 1, 1, 2, 2, 0, 2, 1, 0, 0, 1, 1, 2, 0, 2, 1, 2, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 1, 2, 1, 2, 1, 0, 2, 0, 1, 2, 1, 2, 3, 3, 2, 2  },
{ 1, 1, 2, 2, 2, 1, 3, 1, 0, 1, 1, 0, 1, 2, 0, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2, 1, 1, 0, 2, 0, 3, 1, 2, 1, 0, 2, 0, 2, 3, 2, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 1, 2, 1, 2, 2, 0, 1, 0, 1, 2, 0, 2, 0, 1, 2, 1, 0, 1, 0, 1, 1, 1, 1, 0, 3, 1, 1, 2, 1, 2, 0, 2, 1, 1, 2, 2  },
{ 1, 0, 2, 1, 1, 1, 3, 2, 0, 1, 1, 0, 2, 1, 0, 2, 0, 1, 2, 0, 1, 1, 2, 1, 0, 1, 2, 0, 3, 0, 2, 0, 2, 0, 1, 2, 0, 1, 2, 0, 2, 2  },
{ 1, 2, 0, 3, 1, 1, 2, 3, 0, 0, 2, 0, 1, 2, 0, 2, 2, 0, 1, 2, 0, 3, 1, 0, 2, 1, 0, 1, 0, 0, 2, 1, 3, 1, 0, 2, 0, 2, 1, 1, 2, 3  },
{ 1, 0, 2, 0, 1, 3, 0, 1, 0, 0, 2, 0, 1, 0, 2, 2, 1, 1, 1, 0, 2, 1, 3, 3, 2, 2, 1, 0, 3, 0, 2, 1, 2, 1, 3, 2, 0, 0, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 1, 0, 2, 1, 0, 1, 1, 0, 0, 1, 0, 2, 3, 1, 0, 2, 0, 1, 1, 2, 1, 2, 0, 2, 3, 1, 0, 2, 0, 2, 1, 1, 2, 2  },
{ 1, 1, 2, 0, 2, 0, 2, 2, 0, 1, 1, 0, 1, 0, 2, 1, 0, 1, 0, 2, 1, 2, 3, 2, 0, 0, 2, 3, 2, 1, 3, 0, 3, 1, 0, 2, 0, 2, 3, 2, 2, 3  },
{ 1, 0, 2, 1, 1, 2, 1, 3, 0, 1, 2, 1, 0, 1, 0, 2, 1, 1, 0, 1, 2, 2, 2, 0, 2, 0, 1, 1, 1, 2, 2, 0, 3, 2, 1, 2, 0, 2, 2, 3, 2, 3  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 0, 0, 0, 2, 0, 1, 0, 2, 1, 3, 1, 0, 2, 2, 1, 2, 2, 2, 1, 0, 2, 1, 2, 1, 1, 2, 2, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 0, 0, 1, 3, 0, 1, 2, 1, 0, 0, 3, 2, 0, 1, 2, 2, 2, 2, 1, 2, 1, 0, 2, 3, 1, 3, 2, 0, 1, 0, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 1, 1, 1, 0, 2, 1, 0, 0, 0, 1, 0, 2, 3, 3, 1, 2, 0, 0, 0, 0, 2, 1, 2, 1, 3, 0, 0, 0, 2, 2, 0, 2, 1, 2  },
{ 1, 1, 0, 2, 3, 0, 2, 2, 0, 1, 2, 1, 1, 0, 1, 0, 0, 1, 0, 2, 3, 1, 0, 2, 0, 0, 1, 2, 1, 0, 2, 0, 3, 3, 1, 2, 1, 2, 0, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 0, 0, 1, 1, 1, 3, 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 0, 2, 0, 2, 2, 1, 2, 2, 0, 2, 1, 1, 2, 2, 1, 2, 1, 2, 3  },
{ 0, 1, 2, 1, 0, 2, 1, 0, 0, 1, 2, 1, 1, 1, 2, 0, 1, 2, 1, 0, 1, 1, 0, 2, 1, 0, 3, 1, 0, 2, 2, 0, 2, 2, 0, 2, 1, 2, 1, 0, 3, 2  },
{ 1, 2, 0, 1, 1, 3, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 1, 0, 2, 1, 2, 0, 1, 1, 2, 2, 2, 3, 3, 2, 0, 0, 2, 0, 0, 2, 3  },
{ 1, 0, 2, 1, 1, 1, 3, 0, 0, 1, 2, 2, 0, 1, 3, 0, 0, 2, 0, 1, 0, 1, 3, 2, 0, 2, 2, 3, 1, 2, 0, 0, 2, 0, 0, 2, 2, 3, 0, 2, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 0, 1, 2, 2, 3, 0, 2, 0, 3, 0, 0, 1, 0, 1, 0, 2, 1, 0, 0, 1, 1, 2, 1, 3, 2, 2, 0, 2, 2, 1, 2, 1, 2, 3  },
{ 2, 1, 2, 1, 0, 2, 3, 3, 1, 1, 0, 2, 3, 2, 1, 0, 1, 2, 3, 1, 2, 0, 0, 2, 1, 0, 1, 0, 0, 1, 1, 2, 2, 2, 0, 1, 2, 1, 2, 1, 2, 3  },
{ 0, 1, 2, 2, 1, 2, 2, 1, 3, 2, 0, 1, 1, 2, 2, 0, 1, 2, 2, 0, 1, 0, 1, 3, 2, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 2, 1, 2, 2, 0, 1, 0  },
{ 1, 1, 2, 1, 1, 2, 1, 0, 2, 1, 1, 0, 1, 1, 0, 1, 1, 1, 0, 1, 2, 2, 1, 0, 2, 2, 0, 1, 2, 3, 1, 0, 2, 1, 0, 0, 1, 2, 1, 0, 2, 1  },
{ 1, 2, 1, 2, 1, 1, 1, 0, 2, 0, 2, 0, 2, 1, 0, 2, 1, 1, 0, 1, 0, 0, 2, 1, 2, 0, 2, 0, 1, 1, 1, 0, 1, 3, 0, 2, 1, 0, 1, 2, 1, 1  },
{ 1, 1, 2, 2, 0, 2, 1, 0, 0, 1, 1, 0, 1, 0, 2, 2, 1, 1, 0, 1, 3, 3, 0, 1, 2, 2, 2, 0, 1, 1, 2, 1, 2, 3, 0, 2, 1, 0, 1, 3, 2, 0  },
{ 1, 2, 2, 2, 1, 1, 3, 2, 0, 0, 0, 1, 0, 2, 1, 2, 1, 2, 0, 1, 0, 3, 1, 1, 2, 1, 1, 0, 1, 3, 0, 0, 1, 2, 0, 2, 1, 2, 1, 2, 3, 0  },
{ 1, 1, 2, 2, 0, 1, 1, 0, 2, 1, 0, 1, 2, 1, 2, 2, 1, 2, 1, 1, 0, 0, 1, 1, 2, 0, 2, 3, 0, 1, 1, 0, 3, 0, 0, 2, 1, 0, 1, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 0, 2, 1, 2, 1, 1, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 2, 1, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 2, 0, 1, 2, 2, 2  },
{ 1, 0, 0, 2, 2, 2, 2, 1, 1, 1, 1, 3, 0, 2, 0, 2, 0, 0, 0, 1, 1, 2, 3, 2, 2, 1, 1, 2, 0, 3, 2, 2, 1, 1, 1, 2, 0, 2, 2, 2, 3, 2  },
{ 1, 0, 1, 2, 0, 0, 2, 3, 2, 1, 2, 0, 1, 1, 0, 1, 2, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 1, 2, 0, 2, 3, 1, 1, 2, 1, 2, 3, 0, 0, 2  },
{ 1, 0, 2, 0, 0, 3, 2, 0, 2, 3, 2, 1, 2, 1, 1, 1, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 2, 2, 3, 0, 2, 2, 1, 2, 1, 2, 0, 0, 0, 1, 1, 2  },
{ 1, 3, 2, 1, 1, 0, 1, 2, 1, 1, 1, 0, 2, 0, 1, 0, 1, 1, 0, 2, 1, 2, 0, 2, 3, 1, 1, 0, 2, 1, 0, 0, 1, 1, 0, 0, 1, 2, 2, 1, 2, 0  },
{ 1, 1, 2, 1, 1, 1, 2, 1, 2, 2, 1, 0, 1, 1, 0, 0, 1, 0, 2, 1, 2, 2, 1, 0, 2, 0, 0, 1, 0, 0, 0, 1, 1, 1, 0, 1, 1, 2, 1, 3, 2, 0  },
{ 1, 1, 2, 1, 1, 1, 0, 2, 1, 3, 2, 0, 1, 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 1, 0, 1, 0, 1, 1, 1, 0, 1, 1, 1, 2, 0, 1, 2, 0  },
{ 1, 1, 2, 1, 1, 1, 1, 2, 0, 1, 2, 0, 1, 3, 0, 2, 2, 0, 1, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 1, 0, 1, 1, 2, 0, 1, 2, 1, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 0, 0, 0, 2, 0, 1, 0, 1, 2, 1, 0, 1, 0, 2, 0, 1, 0, 2, 1, 2, 1, 0, 0, 2, 0, 2, 1, 0, 2, 0, 2, 1, 0, 2, 2  },
{ 1, 0, 2, 1, 1, 3, 1, 2, 1, 1, 1, 0, 1, 0, 2, 0, 0, 2, 0, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 1, 2, 2, 0, 2, 1, 0, 2, 3  },
{ 2, 1, 2, 1, 1, 1, 0, 2, 1, 1, 1, 3, 0, 1, 0, 2, 1, 1, 0, 1, 2, 2, 2, 1, 0, 2, 2, 0, 1, 0, 2, 1, 1, 0, 1, 2, 0, 2, 3, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 2, 0, 0, 2, 0, 1, 1, 0, 2, 1, 1, 0, 1, 3, 0, 1, 1, 2, 1, 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 1, 2, 1  },
{ 1, 0, 2, 1, 1, 1, 2, 2, 1, 3, 2, 2, 1, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 2, 0, 1, 1, 2, 2, 2, 0, 2, 1, 0, 1, 0, 0, 2, 1, 2, 2, 2  },
{ 0, 1, 2, 1, 2, 2, 1, 2, 1, 1, 1, 2, 2, 1, 0, 2, 1, 1, 0, 2, 1, 2, 2, 0, 3, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 2, 0, 1, 1, 2, 2, 2  },
{ 1, 1, 2, 0, 0, 0, 1, 3, 0, 1, 2, 1, 2, 1, 1, 0, 2, 2, 0, 1, 0, 1, 0, 1, 2, 3, 0, 1, 0, 3, 1, 3, 1, 1, 0, 2, 0, 2, 1, 2, 0, 2  },
{ 1, 1, 2, 1, 1, 1, 0, 2, 1, 1, 0, 0, 1, 1, 0, 3, 0, 2, 0, 1, 2, 0, 1, 2, 0, 0, 2, 1, 1, 2, 0, 2, 1, 0, 1, 1, 0, 2, 0, 2, 1, 2  },
{ 1, 1, 2, 0, 1, 1, 2, 2, 1, 1, 0, 2, 0, 1, 1, 0, 0, 3, 1, 0, 2, 1, 0, 1, 2, 0, 1, 3, 0, 0, 2, 0, 3, 1, 3, 2, 2, 1, 0, 2, 2, 2  },
{ 0, 1, 2, 1, 0, 3, 0, 1, 2, 1, 2, 3, 0, 2, 1, 0, 1, 1, 0, 1, 2, 1, 0, 1, 2, 0, 1, 0, 3, 0, 2, 0, 3, 0, 1, 2, 0, 2, 0, 2, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 1, 0, 2, 0, 1, 1, 2, 0, 1, 2, 1, 0, 1, 0, 0, 2, 1, 2, 1, 0, 0, 2, 2, 1, 2, 2, 1, 2, 0, 2, 0, 3, 0, 2  },
{ 1, 1, 2, 0, 0, 0, 3, 0, 2, 1, 0, 0, 1, 3, 0, 1, 0, 2, 0, 1, 3, 1, 0, 2, 0, 0, 0, 3, 3, 2, 0, 2, 2, 3, 0, 0, 2, 0, 3, 2, 0, 2  },
{ 0, 1, 2, 1, 1, 0, 2, 0, 3, 1, 0, 0, 3, 2, 0, 0, 0, 3, 1, 0, 1, 2, 0, 1, 0, 0, 0, 3, 0, 0, 2, 1, 2, 3, 0, 2, 2, 0, 0, 2, 3, 2  },
{ 0, 1, 2, 1, 0, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 1, 0, 2, 1, 0, 3, 2, 0, 3, 1, 0, 0, 3, 2, 3, 1, 3, 2, 2, 1, 0, 2, 2, 0  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 1, 1, 2, 3, 2, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 2, 2, 1, 2, 0, 1, 2, 2, 1  },
{ 1, 1, 2, 1, 1, 1, 1, 0, 2, 1, 2, 1, 0, 1, 0, 2, 0, 0, 1, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0, 0, 0, 1, 3, 2, 0, 0, 1, 2, 1, 3, 2, 3  },
{ 1, 1, 2, 1, 1, 2, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 1, 0, 1, 0, 2, 1, 2, 3, 2, 1, 2, 1, 0, 0, 0, 0, 1, 1, 0, 2, 1, 2, 1, 0, 2, 1  },
{ 1, 0, 2, 0, 1, 2, 3, 1, 0, 1, 2, 1, 0, 1, 2, 2, 0, 1, 0, 0, 2, 3, 1, 0, 2, 1, 2, 0, 2, 1, 0, 0, 2, 3, 0, 2, 1, 1, 0, 1, 0, 1  },
{ 1, 0, 2, 0, 1, 2, 1, 1, 0, 0, 2, 0, 1, 0, 3, 2, 1, 1, 0, 1, 3, 0, 3, 1, 2, 2, 0, 0, 1, 2, 0, 1, 2, 3, 1, 0, 1, 2, 0, 2, 2, 1  },
{ 1, 0, 2, 0, 1, 2, 1, 2, 0, 0, 2, 0, 0, 3, 1, 2, 1, 1, 1, 1, 1, 0, 1, 2, 2, 0, 0, 2, 0, 1, 1, 1, 1, 0, 2, 0, 1, 2, 3, 1, 0, 1  },
{ 1, 1, 2, 0, 0, 3, 2, 2, 0, 1, 2, 1, 0, 2, 1, 2, 1, 1, 0, 1, 3, 2, 3, 1, 2, 2, 2, 1, 0, 1, 0, 0, 2, 3, 2, 0, 1, 2, 1, 0, 0, 2  },
{ 0, 1, 2, 1, 0, 2, 3, 2, 0, 1, 2, 1, 2, 1, 2, 0, 1, 0, 0, 1, 0, 1, 1, 1, 2, 1, 2, 0, 2, 3, 1, 3, 2, 0, 0, 1, 2, 0, 1, 0, 2, 1  },
{ 2, 1, 2, 2, 0, 2, 0, 0, 0, 1, 2, 2, 1, 1, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 2, 1, 1, 2, 0, 3, 0, 2, 2, 3, 2, 1, 0, 2, 0, 1, 2, 0  },
{ 0, 1, 2, 0, 2, 2, 0, 2, 0, 0, 0, 3, 0, 1, 1, 2, 1, 0, 1, 1, 0, 2, 3, 2, 1, 0, 2, 3, 0, 1, 1, 0, 0, 1, 0, 2, 1, 0, 0, 1, 2, 2  },
{ 1, 0, 2, 2, 2, 3, 1, 2, 0, 1, 0, 0, 3, 1, 2, 1, 1, 2, 3, 1, 0, 1, 2, 2, 2, 0, 0, 0, 1, 0, 0, 0, 2, 2, 1, 2, 0, 2, 0, 1, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 1, 2, 1, 1, 2, 1, 1, 1, 0, 2, 0, 0, 2, 0, 0, 1, 1, 3, 2, 1, 1, 1, 0, 2, 1, 2, 2, 0, 0, 1, 0, 2, 1, 0, 1, 1  },
{ 1, 0, 0, 2, 1, 2, 3, 1, 2, 0, 1, 2, 0, 1, 2, 2, 3, 0, 1, 1, 0, 1, 3, 2, 2, 1, 1, 0, 0, 2, 1, 2, 2, 3, 2, 2, 1, 2, 3, 1, 0, 2  },
{ 1, 0, 0, 2, 2, 0, 3, 2, 0, 1, 1, 2, 0, 0, 2, 1, 0, 0, 3, 1, 1, 1, 0, 2, 2, 1, 0, 1, 0, 2, 2, 2, 1, 1, 1, 2, 1, 2, 0, 1, 3, 3  },
{ 1, 0, 2, 3, 1, 0, 2, 2, 0, 2, 2, 0, 0, 1, 2, 1, 0, 1, 1, 2, 0, 0, 1, 2, 2, 1, 1, 3, 1, 1, 2, 1, 3, 2, 1, 1, 0, 2, 0, 2, 2, 3  },
{ 1, 1, 2, 1, 1, 1, 3, 2, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 2, 1, 1, 2, 0, 1, 2, 1, 2, 1, 0, 1, 1, 0, 2, 1, 0, 1, 1, 2, 1, 2, 1, 0  },
{ 1, 1, 2, 1, 0, 2, 0, 2, 0, 1, 2, 0, 1, 0, 2, 1, 1, 1, 0, 1, 2, 3, 1, 0, 2, 1, 1, 2, 1, 2, 1, 1, 3, 1, 2, 1, 1, 2, 3, 0, 2, 1  },
{ 2, 1, 1, 1, 1, 1, 3, 2, 1, 0, 3, 0, 2, 0, 1, 0, 1, 1, 0, 1, 2, 1, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 1, 0, 1, 1, 1, 2, 0, 1, 2, 1  },
{ 1, 0, 0, 1, 1, 0, 0, 3, 1, 0, 2, 0, 1, 2, 0, 3, 1, 1, 0, 1, 0, 1, 2, 1, 0, 2, 0, 2, 1, 1, 1, 2, 1, 2, 1, 0, 1, 2, 1, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 3, 2, 0, 2, 0, 0, 1, 0, 2, 0, 1, 1, 2, 0, 0, 1, 3, 1, 0, 1, 0, 0, 2, 1, 0, 1, 0, 0, 2, 3, 0, 1, 2, 1, 0, 2, 0  },
{ 2, 1, 1, 1, 1, 0, 1, 2, 1, 0, 3, 1, 0, 1, 0, 2, 1, 1, 0, 2, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 2, 0  },
{ 2, 1, 0, 1, 0, 2, 3, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 1, 0, 1, 2, 0, 1, 0, 2, 1, 1, 3, 0, 0, 2, 0, 2, 1, 2, 0, 1, 3, 0, 1, 2, 2  },
{ 0, 1, 2, 1, 0, 2, 0, 1, 1, 1, 1, 0, 1, 0, 2, 0, 0, 2, 2, 0, 1, 1, 0, 2, 1, 1, 0, 1, 0, 2, 1, 3, 1, 1, 0, 2, 1, 2, 1, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 1, 0, 3, 2, 0, 3, 2, 0, 3, 3, 2, 1, 0, 1, 2, 0, 1, 0, 2, 0, 2, 0, 1, 2, 2, 0, 2, 1, 3, 1, 1, 0, 2, 1, 1, 2, 2  },
{ 2, 1, 0, 3, 0, 2, 0, 1, 1, 1, 2, 0, 3, 2, 1, 1, 1, 1, 0, 1, 0, 1, 0, 2, 1, 2, 3, 0, 2, 0, 0, 2, 1, 1, 0, 3, 0, 2, 1, 0, 2, 1  },
{ 1, 1, 0, 2, 1, 2, 0, 3, 1, 0, 1, 2, 0, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 2, 1, 2, 2, 0, 1, 2, 2, 0, 1, 1, 0, 2, 0, 0, 1, 2, 2, 0  },
{ 3, 1, 0, 0, 2, 1, 2, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 1, 2, 0, 1, 0, 2, 1, 2, 1, 2, 0, 1, 0, 0, 2, 1, 2, 2, 1, 0, 2, 0, 1, 0, 0  },
{ 3, 1, 2, 0, 0, 1, 0, 2, 1, 2, 0, 1, 0, 0, 1, 0, 1, 2, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 1, 0, 1, 2, 1, 1, 2, 1, 0, 2, 0, 2, 2, 1  },
{ 2, 0, 0, 1, 1, 0, 2, 1, 0, 0, 0, 0, 3, 1, 0, 0, 0, 0, 2, 1, 0, 1, 0, 2, 0, 1, 1, 1, 1, 0, 2, 0, 1, 1, 3, 0, 3, 2, 1, 1, 2, 2  },
{ 3, 1, 0, 1, 1, 2, 3, 2, 1, 0, 1, 2, 3, 0, 0, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 0, 1, 0, 3, 2, 0, 2, 2, 1, 1, 2, 0, 2, 1, 2, 2, 2  },
{ 0, 1, 2, 1, 0, 2, 3, 3, 1, 1, 2, 1, 0, 2, 2, 0, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 1, 2, 1, 2, 2, 0, 1, 0, 2, 2  },
{ 2, 1, 2, 0, 0, 2, 3, 2, 1, 1, 2, 0, 1, 2, 1, 0, 0, 1, 2, 0, 1, 2, 0, 1, 2, 0, 0, 2, 1, 0, 1, 0, 3, 2, 1, 2, 0, 2, 1, 1, 2, 0  },
{ 2, 1, 1, 1, 0, 2, 2, 1, 2, 1, 2, 0, 1, 0, 2, 0, 1, 0, 2, 3, 0, 1, 2, 1, 1, 0, 0, 2, 1, 0, 2, 1, 3, 2, 1, 1, 0, 0, 2, 0, 2, 1  },
{ 1, 2, 2, 1, 0, 0, 3, 3, 2, 1, 2, 2, 1, 1, 1, 0, 0, 3, 0, 1, 2, 1, 0, 0, 1, 1, 0, 1, 0, 1, 1, 1, 2, 2, 2, 2, 2, 0, 0, 1, 2, 0  },
{ 3, 1, 2, 0, 2, 2, 2, 1, 1, 1, 1, 0, 3, 0, 1, 0, 1, 2, 1, 0, 3, 1, 0, 2, 0, 0, 1, 3, 0, 1, 0, 2, 2, 3, 0, 0, 2, 0, 1, 2, 0, 2  },
{ 0, 1, 2, 1, 2, 3, 0, 1, 2, 1, 0, 2, 0, 1, 2, 1, 1, 2, 0, 2, 1, 0, 3, 1, 0, 0, 0, 1, 0, 3, 1, 3, 2, 0, 1, 2, 2, 0, 3, 1, 2, 2  },
{ 1, 0, 2, 1, 1, 2, 0, 1, 2, 1, 2, 3, 1, 0, 2, 0, 0, 1, 3, 0, 1, 2, 0, 1, 0, 0, 1, 1, 0, 0, 3, 0, 2, 3, 0, 2, 2, 0, 1, 0, 2, 2  },
{ 2, 1, 2, 3, 2, 1, 2, 0, 0, 0, 1, 2, 3, 0, 2, 0, 2, 1, 2, 0, 1, 2, 0, 1, 2, 2, 0, 1, 0, 1, 3, 0, 2, 2, 2, 1, 2, 0, 2, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 0, 2, 0, 2, 1, 0, 1, 0, 2, 1, 2, 0, 1, 2, 3, 1, 0, 2, 1, 2, 0, 1, 3, 0, 1, 1, 1, 0, 1, 1, 2, 1, 0, 2, 0  },
{ 1, 1, 2, 2, 0, 2, 1, 1, 0, 1, 2, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 2, 1, 0, 0, 1, 0, 1, 1, 0, 0, 1, 2, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 1, 2, 0, 1, 2, 2, 0, 1, 0, 2, 0, 0, 1, 0, 1, 3, 1, 1, 2, 1, 2, 2, 0, 1, 2, 1, 1, 0, 1, 0, 1, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 1, 0, 2, 2, 1, 2, 0, 2, 2, 1, 1, 0, 0, 1, 2, 1, 2, 2, 0, 2, 2, 0, 1, 1, 1, 1, 0, 0, 2, 1, 2, 3, 2, 1, 3  },
{ 1, 0, 2, 1, 1, 0, 3, 2, 0, 2, 0, 2, 1, 2, 0, 2, 1, 1, 2, 0, 1, 0, 1, 1, 2, 2, 0, 0, 2, 1, 0, 0, 1, 1, 0, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 0, 3, 2, 0, 2, 2, 1, 2, 3, 0, 0, 1, 1, 0, 1, 2, 1, 0, 1, 2, 1, 2, 2, 2, 0, 1, 3, 1, 1, 0, 1, 0, 1, 0, 0, 2, 0, 0  },
{ 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 3, 2, 1, 0, 1, 2, 2, 1, 0, 2, 0, 2, 2, 2, 1, 0, 1, 0, 1, 1, 1, 0, 0, 1, 2, 1, 2, 0, 1, 3, 2  },
{ 1, 0, 0, 2, 1, 1, 0, 1, 1, 1, 2, 0, 2, 0, 3, 2, 0, 2, 1, 0, 1, 2, 3, 2, 2, 2, 0, 3, 2, 3, 3, 0, 0, 2, 0, 2, 1, 1, 2, 1, 2, 2  },
{ 2, 1, 2, 3, 0, 3, 2, 0, 1, 2, 0, 0, 1, 0, 1, 1, 1, 0, 3, 2, 1, 0, 1, 2, 0, 1, 2, 0, 0, 2, 0, 0, 0, 0, 2, 1, 1, 2, 1, 0, 1, 2  },
{ 1, 1, 0, 2, 2, 0, 0, 2, 2, 2, 2, 0, 3, 2, 3, 2, 0, 1, 0, 0, 1, 2, 1, 2, 1, 1, 1, 2, 0, 1, 0, 2, 2, 3, 3, 2, 0, 1, 3, 0, 2, 2  },
{ 2, 1, 2, 1, 1, 1, 1, 1, 2, 0, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 1, 0, 1, 0, 2, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 1, 2, 1, 2, 2, 0  },
{ 2, 1, 1, 1, 1, 0, 0, 0, 3, 2, 0, 0, 1, 2, 0, 1, 1, 3, 0, 1, 0, 0, 2, 1, 0, 1, 1, 2, 0, 0, 0, 0, 1, 0, 2, 1, 1, 1, 0, 2, 1, 1  },
{ 2, 1, 2, 1, 1, 2, 1, 2, 1, 0, 2, 2, 0, 1, 0, 0, 1, 2, 0, 1, 2, 0, 2, 0, 0, 1, 1, 0, 1, 2, 0, 0, 1, 0, 1, 1, 2, 2, 0, 1, 2, 1  },
{ 1, 1, 1, 2, 1, 2, 0, 2, 1, 0, 2, 0, 2, 1, 0, 2, 1, 2, 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 0, 2, 0, 0, 3, 1, 2, 1, 0, 2, 0, 1, 0, 0  },
{ 1, 3, 0, 1, 1, 1, 2, 3, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 1, 2, 0, 1, 2, 1, 0, 2, 0, 0, 1, 0, 0, 3, 1, 0, 2, 1, 2, 1, 0, 1, 0, 1  },
{ 2, 1, 2, 2, 1, 0, 1, 2, 1, 0, 2, 0, 1, 2, 0, 0, 1, 3, 0, 1, 0, 2, 0, 2, 1, 1, 1, 0, 1, 2, 0, 2, 1, 0, 1, 1, 2, 2, 0, 1, 2, 0  },
{ 2, 2, 2, 1, 1, 2, 0, 2, 1, 0, 0, 3, 0, 3, 2, 1, 1, 0, 2, 0, 1, 0, 0, 2, 2, 2, 2, 0, 1, 0, 0, 0, 1, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 2, 1, 0, 1, 0, 2, 0, 1, 1, 1, 0, 2, 2, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 0, 2, 1, 2, 0, 2, 1, 0, 0, 1, 1, 0, 2, 1, 2, 1, 0, 2, 1  },
{ 2, 1, 2, 1, 0, 3, 1, 2, 1, 1, 0, 2, 3, 2, 1, 0, 2, 0, 1, 0, 1, 0, 2, 2, 1, 1, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 2, 2, 0, 1, 0, 1  },
{ 2, 1, 1, 1, 1, 0, 3, 1, 1, 0, 0, 0, 2, 1, 3, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 1, 0, 1, 3, 0, 2, 0, 0, 1, 0, 1, 3, 2, 1, 0, 2, 0  },
{ 2, 1, 1, 2, 1, 0, 2, 0, 1, 0, 0, 1, 0, 0, 3, 2, 1, 1, 0, 1, 1, 0, 0, 2, 3, 1, 1, 0, 2, 0, 0, 2, 1, 2, 0, 3, 2, 0, 2, 1, 0, 2  },
{ 2, 1, 0, 2, 0, 2, 0, 0, 1, 1, 2, 2, 0, 1, 0, 2, 1, 0, 0, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 1, 2, 1, 2, 0, 2, 0, 2, 1, 0  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 1, 0, 0, 0, 2, 1, 1, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 2, 0, 0, 2, 1, 3, 0, 1, 1, 2, 0, 1, 2, 0, 1, 2, 1  },
{ 2, 1, 0, 0, 1, 2, 2, 1, 1, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 1, 1, 0, 3, 0, 2, 0, 3, 1, 2, 1, 2, 1, 2, 1, 2, 2  },
{ 2, 1, 0, 0, 1, 2, 2, 1, 0, 1, 0, 0, 2, 0, 1, 2, 1, 2, 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 3, 0, 0, 0, 3, 1, 1, 2, 0, 2, 1, 0, 2, 0  },
{ 0, 1, 2, 0, 1, 2, 1, 2, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 3, 1, 0, 0, 2, 1, 2, 1, 0, 1, 0, 2, 0, 1, 0, 2, 0, 2, 1, 0, 1, 0  },
{ 2, 1, 2, 0, 2, 2, 1, 2, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 1, 2, 0, 2, 0, 1, 0, 0, 2, 1, 2, 2, 1, 0, 2, 0, 2, 1, 1  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 1, 1, 2, 3, 2, 2, 0, 0, 2, 0, 1, 0, 3, 2, 0, 2, 1, 1, 0, 0, 1, 0, 1, 2, 1, 2, 1, 1, 2, 0, 2, 1, 1, 0  },
{ 1, 2, 0, 2, 1, 0, 2, 3, 0, 2, 1, 2, 0, 2, 2, 0, 2, 3, 2, 1, 3, 2, 0, 2, 1, 0, 1, 1, 2, 0, 1, 1, 0, 2, 2, 2, 2, 0, 1, 0, 1, 0  },
{ 2, 1, 2, 0, 1, 1, 2, 1, 0, 1, 3, 0, 1, 1, 0, 1, 1, 2, 3, 0, 1, 2, 0, 2, 0, 0, 2, 3, 1, 0, 1, 0, 1, 0, 3, 0, 2, 0, 2, 1, 2, 2  },
{ 2, 1, 1, 1, 0, 1, 2, 2, 1, 1, 2, 0, 1, 1, 0, 2, 1, 0, 0, 1, 2, 3, 0, 1, 0, 0, 3, 0, 1, 3, 1, 0, 1, 0, 1, 2, 2, 1, 1, 3, 2, 0  },
{ 0, 1, 2, 3, 1, 2, 2, 1, 2, 0, 1, 2, 3, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 0, 0, 1, 0, 3, 1, 1, 0, 0, 2, 1, 2, 2, 0, 2, 0, 2, 2  },
{ 2, 1, 2, 0, 3, 2, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 0, 1, 2, 1, 0, 1, 2, 0, 1, 1, 2, 0, 1, 0, 1, 0, 2, 0, 2, 2, 2, 0, 2, 1, 0, 2  },
{ 2, 1, 2, 0, 2, 1, 1, 2, 2, 2, 3, 2, 0, 2, 2, 0, 1, 0, 2, 2, 0, 1, 1, 2, 1, 0, 2, 2, 0, 0, 1, 1, 1, 1, 2, 1, 2, 0, 2, 2, 0, 2  },
{ 2, 1, 1, 1, 1, 0, 0, 2, 3, 0, 2, 0, 1, 1, 0, 2, 1, 0, 0, 1, 2, 0, 2, 1, 3, 1, 2, 0, 1, 2, 0, 1, 1, 0, 2, 0, 1, 2, 1, 2, 1, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 2, 0, 0, 3, 1, 0, 1, 0, 2, 1, 2, 0, 2, 1, 0, 1, 0, 2, 0, 2, 1, 1, 1, 1, 0, 1, 1, 0, 0, 1, 2, 2, 0, 2, 1  },
{ 3, 1, 1, 1, 1, 0, 0, 3, 0, 0, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 2, 1, 0, 0, 0, 1, 0, 0  },
{ 2, 1, 0, 1, 0, 2, 0, 2, 2, 1, 0, 3, 1, 0, 1, 0, 2, 0, 2, 0, 2, 1, 1, 2, 1, 0, 1, 3, 0, 1, 1, 0, 0, 0, 0, 1, 1, 1, 2, 1, 0, 0  },
{ 0, 1, 2, 1, 0, 0, 2, 0, 0, 1, 2, 0, 1, 0, 1, 0, 2, 3, 0, 0, 2, 2, 2, 1, 2, 0, 0, 2, 0, 1, 1, 0, 1, 0, 0, 2, 1, 2, 1, 1, 0, 0  },
{ 1, 0, 2, 1, 1, 3, 0, 0, 0, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 0, 1, 1, 0, 2, 1, 0, 1, 0, 1, 1  },
{ 2, 1, 0, 1, 1, 2, 0, 0, 0, 0, 2, 1, 2, 1, 0, 2, 1, 2, 1, 0, 1, 0, 2, 1, 2, 2, 0, 1, 0, 2, 0, 1, 1, 1, 1, 0, 1, 2, 0, 1, 0, 1  },
{ 1, 1, 2, 0, 1, 2, 1, 2, 0, 0, 0, 0, 0, 0, 0, 2, 1, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 2, 0, 1, 1, 0, 2, 1, 0, 2, 2, 0, 1, 0, 0, 2  },
{ 1, 2, 1, 0, 0, 1, 2, 2, 1, 2, 1, 0, 1, 1, 2, 0, 1, 3, 2, 0, 3, 1, 0, 1, 2, 2, 0, 0, 1, 2, 0, 2, 0, 1, 1, 2, 0, 2, 0, 2, 2, 1  },
{ 1, 1, 2, 0, 0, 2, 1, 0, 2, 2, 0, 0, 0, 1, 0, 1, 1, 2, 1, 2, 0, 2, 1, 0, 2, 2, 0, 1, 1, 1, 1, 0, 0, 1, 0, 2, 1, 1, 1, 2, 0, 0  },
{ 1, 2, 3, 2, 1, 0, 2, 1, 2, 1, 2, 1, 1, 1, 0, 2, 2, 3, 2, 2, 0, 3, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 1, 0, 1, 2, 1, 1  },
{ 0, 1, 2, 0, 2, 0, 0, 2, 0, 0, 1, 1, 0, 1, 0, 1, 1, 2, 2, 1, 2, 0, 0, 2, 2, 0, 1, 0, 0, 1, 3, 0, 1, 0, 0, 1, 1, 0, 2, 0, 1, 2  },
{ 1, 0, 2, 2, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 1, 2, 2, 0, 1, 1, 0, 2, 0, 0, 1, 2, 3, 3, 1, 2, 1, 1, 1, 1, 2, 0, 2, 2, 0  },
{ 1, 1, 2, 1, 0, 1, 2, 3, 2, 1, 1, 1, 2, 0, 1, 2, 2, 3, 3, 0, 1, 1, 0, 2, 2, 0, 2, 2, 1, 0, 2, 0, 1, 2, 0, 2, 1, 1, 1, 2, 2, 3  },
{ 1, 0, 3, 2, 1, 3, 0, 2, 2, 2, 2, 0, 3, 0, 0, 1, 1, 1, 3, 1, 0, 1, 2, 2, 2, 2, 0, 0, 1, 3, 3, 0, 1, 0, 0, 2, 1, 3, 0, 3, 1, 2  },
{ 2, 1, 0, 3, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 2, 1, 0, 0, 1, 2, 2, 2, 1, 0, 2, 3, 2, 1, 0, 0, 2, 1, 2, 0, 2, 0, 0, 2, 2  },
{ 1, 0, 2, 1, 1, 0, 0, 0, 1, 0, 2, 0, 2, 1, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 0, 1, 0, 1, 0, 1, 0, 2, 2, 2, 0, 1, 0, 1, 1, 1, 1, 2  },
{ 2, 1, 1, 1, 0, 0, 2, 1, 1, 1, 1, 1, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 1, 0, 1, 1, 3, 0, 0, 0, 0, 0, 0, 1, 0, 1, 2, 1, 2, 0, 1, 0  },
{ 1, 0, 2, 1, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 2, 2, 0, 1, 0, 2, 1, 0, 1, 0, 1, 1, 0, 2, 1, 1, 1, 0, 2, 1, 1  },
{ 3, 1, 1, 2, 1, 0, 2, 3, 1, 0, 2, 0, 0, 0, 0, 1, 1, 2, 0, 1, 2, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 2, 0, 2, 0, 2, 1, 2, 0  },
{ 1, 1, 2, 1, 1, 0, 2, 3, 2, 1, 0, 0, 2, 3, 1, 1, 0, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 2, 2, 0  },
{ 0, 1, 2, 1, 1, 3, 0, 3, 2, 0, 0, 1, 2, 0, 2, 2, 0, 1, 1, 1, 0, 1, 0, 0, 1, 1, 2, 1, 3, 0, 0, 0, 1, 1, 2, 0, 1, 0, 2, 0, 1, 0  },
{ 2, 1, 0, 0, 2, 0, 1, 2, 1, 1, 0, 0, 2, 1, 3, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 1, 1, 0, 2, 0, 1, 2, 0  },
{ 2, 1, 2, 1, 1, 0, 3, 2, 1, 0, 1, 1, 1, 0, 1, 0, 1, 2, 2, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 1, 1, 2, 2, 0, 1, 0, 0  },
{ 2, 1, 2, 1, 1, 2, 2, 0, 1, 1, 0, 0, 1, 0, 2, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 1  },
{ 2, 1, 1, 1, 1, 3, 2, 0, 1, 1, 0, 1, 3, 1, 1, 0, 0, 1, 0, 1, 2, 0, 2, 0, 3, 1, 0, 1, 2, 0, 0, 0, 1, 3, 0, 1, 2, 2, 1, 2, 2, 1  },
{ 2, 1, 1, 0, 0, 2, 2, 2, 1, 0, 1, 2, 0, 1, 2, 3, 1, 1, 0, 1, 0, 2, 0, 2, 1, 2, 2, 0, 2, 0, 0, 0, 1, 3, 2, 0, 1, 2, 0, 1, 2, 0  },
{ 3, 1, 0, 2, 1, 2, 0, 0, 1, 1, 0, 3, 2, 3, 2, 1, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 1, 1, 2, 2, 0, 2, 0, 2, 1, 0  },
{ 2, 1, 2, 2, 0, 0, 2, 0, 1, 1, 2, 1, 1, 2, 3, 0, 0, 2, 1, 1, 0, 2, 0, 2, 1, 1, 0, 3, 0, 2, 0, 0, 1, 1, 2, 0, 2, 0, 0, 0, 1, 0  },
{ 2, 1, 2, 1, 0, 0, 2, 0, 1, 2, 0, 2, 1, 2, 3, 0, 1, 0, 2, 0, 2, 1, 0, 2, 1, 0, 0, 0, 0, 2, 1, 1, 0, 2, 0, 1, 0, 1, 2, 0, 0, 1  },
{ 2, 1, 0, 0, 0, 0, 2, 1, 1, 1, 0, 0, 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 2, 1, 0, 0, 0, 3, 0, 1, 0, 2, 0, 0, 0, 3, 0, 2, 1, 2, 2  },
{ 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 1, 3, 2, 0, 1, 0, 0, 1, 0, 1, 2, 0, 1, 0, 2, 0, 0, 1, 2, 1, 0, 0, 2, 1, 2, 1, 2, 0, 1, 0, 2, 0  },
{ 2, 1, 3, 0, 1, 2, 2, 1, 0, 1, 0, 0, 2, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 2, 2, 0, 2, 2, 0, 1, 1  },
{ 2, 1, 2, 2, 0, 1, 3, 2, 3, 2, 1, 2, 2, 3, 0, 0, 0, 1, 0, 2, 0, 2, 1, 1, 1, 2, 0, 1, 3, 0, 1, 1, 1, 2, 2, 1, 0, 2, 0, 2, 0, 0  },
{ 2, 1, 2, 3, 2, 1, 0, 2, 0, 2, 3, 0, 1, 1, 0, 0, 2, 0, 0, 3, 0, 2, 0, 2, 1, 0, 1, 2, 1, 3, 1, 2, 1, 1, 0, 2, 2, 0, 1, 0, 2, 1  },
{ 2, 2, 0, 1, 1, 0, 2, 1, 1, 1, 1, 0, 3, 0, 0, 1, 0, 1, 0, 1, 2, 3, 0, 2, 0, 0, 2, 1, 2, 0, 0, 0, 1, 2, 1, 0, 2, 0, 2, 1, 2, 2  },
{ 2, 1, 0, 0, 1, 2, 0, 0, 2, 2, 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 0, 0, 3, 1, 1, 0, 2, 1, 2, 2, 1, 2, 1, 2, 2  },
{ 0, 1, 2, 1, 1, 0, 2, 1, 2, 2, 1, 1, 1, 0, 0, 1, 1, 0, 2, 1, 0, 1, 3, 2, 0, 1, 1, 0, 2, 1, 0, 0, 0, 2, 1, 2, 2, 0, 2, 0, 2, 0  },
{ 2, 0, 1, 0, 2, 1, 2, 3, 1, 0, 1, 2, 2, 1, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 0, 3, 0, 2, 1, 2, 2, 0, 2, 0, 1, 0, 2  },
{ 2, 1, 2, 3, 2, 0, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 1, 0, 1, 2, 0, 2, 1, 2, 1, 0, 0, 3, 1, 1, 2, 0, 2, 2, 2, 1, 1, 0, 2, 3, 2, 2  },
{ 2, 1, 0, 1, 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 2, 1, 0, 1, 1, 3, 3, 1, 0, 0, 0, 0, 1, 0, 1, 1, 2, 0, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 0, 1, 0, 3, 2, 2, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0  },
{ 2, 1, 0, 1, 1, 2, 2, 0, 0, 1, 0, 2, 0, 3, 0, 2, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 2, 2, 0, 0, 0, 2, 1, 0, 2, 1, 2, 2, 0, 1, 0  },
{ 1, 1, 2, 1, 0, 1, 0, 3, 2, 0, 0, 1, 2, 1, 0, 0, 1, 1, 0, 0, 0, 2, 1, 1, 1, 3, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 2, 2, 2, 1, 1  },
{ 0, 1, 2, 1, 0, 1, 1, 0, 0, 1, 2, 1, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 1, 2, 2, 0, 3, 1, 0, 3, 1, 0, 2, 1, 0, 2, 0, 2, 1  },
{ 2, 1, 2, 1, 2, 0, 0, 0, 0, 1, 3, 0, 1, 0, 1, 2, 1, 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 3, 1, 0, 0, 2, 0  },
{ 0, 1, 2, 1, 2, 1, 2, 2, 2, 1, 1, 0, 0, 2, 0, 1, 1, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 0, 2, 1, 0, 1, 2, 2, 3, 2, 2, 1, 0, 2, 0  },
{ 0, 1, 2, 1, 2, 3, 2, 1, 0, 2, 2, 1, 2, 1, 0, 1, 0, 1, 1, 2, 0, 1, 2, 1, 3, 1, 1, 1, 0, 1, 2, 1, 1, 0, 0, 0, 1, 0, 0, 1, 1, 0  },
{ 1, 1, 2, 2, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 1, 0, 1, 1, 2, 0, 1, 0, 0, 1, 2, 0, 1, 0, 0, 3, 1, 1, 2, 1, 0, 2, 1, 0, 3, 0, 1, 0  },
{ 1, 0, 2, 1, 0, 1, 2, 3, 2, 1, 1, 2, 0, 0, 0, 1, 2, 2, 3, 1, 2, 1, 0, 1, 2, 0, 1, 2, 0, 1, 0, 1, 0, 3, 0, 0, 0, 1, 0, 2, 1, 3  },
{ 1, 1, 2, 2, 0, 3, 0, 2, 0, 2, 2, 1, 0, 1, 0, 2, 0, 0, 1, 3, 2, 0, 0, 2, 1, 1, 0, 2, 0, 1, 3, 1, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0  },
{ 0, 1, 2, 1, 0, 2, 3, 2, 1, 0, 0, 0, 2, 2, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 2, 0, 1, 2, 0, 2, 3, 0, 0, 2, 2, 2, 1, 0, 3, 0, 1, 0  },
{ 2, 1, 0, 2, 2, 2, 2, 0, 0, 1, 0, 3, 0, 0, 1, 2, 2, 2, 1, 2, 1, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 0, 1, 3, 2, 1, 0, 3, 0, 0, 0  },
{ 1, 0, 2, 2, 0, 2, 0, 0, 0, 3, 0, 0, 0, 2, 1, 1, 2, 0, 3, 2, 0, 0, 1, 0, 2, 1, 0, 1, 3, 3, 0, 2, 0, 1, 0, 2, 1, 2, 0, 3, 2, 1  },
{ 2, 1, 3, 1, 1, 2, 1, 1, 0, 1, 1, 2, 2, 2, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 2, 1, 2, 1, 1, 0, 1, 1, 3, 1, 0, 1, 0, 2, 1, 2, 1, 1  },
{ 2, 2, 2, 1, 1, 0, 2, 1, 1, 1, 0, 0, 1, 2, 2, 0, 1, 0, 0, 1, 2, 0, 1, 1, 1, 2, 2, 1, 1, 2, 0, 0, 0, 1, 2, 2, 2, 2, 2, 2, 2, 0  },
{ 0, 0, 0, 3, 0, 1, 1, 3, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 1, 3, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 2, 2, 1, 2, 0  },
{ 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 1, 0, 0, 0, 3, 0, 0, 1, 0, 1, 0, 3, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0, 1, 1, 2, 1, 0, 0, 1, 0  },
{ 0, 1, 1, 1, 1, 0, 2, 3, 1, 1, 2, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 2, 1, 2, 2, 2, 0  },
{ 1, 0, 2, 1, 0, 1, 2, 0, 1, 1, 0, 0, 3, 1, 2, 1, 1, 1, 2, 0, 1, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 1, 2, 1, 2, 2, 2, 0, 1, 0  },
{ 1, 0, 2, 0, 1, 3, 0, 0, 1, 1, 3, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2, 1, 1, 0, 2, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0  },
{ 2, 1, 0, 0, 1, 1, 2, 1, 1, 1, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 2, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 1, 2, 2, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 2, 0, 3, 0, 0, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 2, 0, 1, 2, 0  },
{ 1, 3, 2, 1, 0, 1, 2, 1, 0, 1, 2, 2, 0, 0, 1, 2, 1, 0, 0, 2, 0, 1, 0, 1, 1, 1, 2, 0, 1, 0, 0, 0, 1, 1, 0, 2, 1, 0, 1, 0, 2, 0  },
{ 3, 1, 2, 1, 1, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 3, 2, 0, 1, 1, 0, 1, 0, 1, 2, 1, 0, 3, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 0, 2, 1, 0  },
{ 2, 2, 1, 1, 1, 1, 0, 2, 1, 0, 0, 1, 2, 1, 0, 2, 1, 3, 0, 1, 2, 0, 0, 2, 0, 1, 1, 0, 1, 2, 0, 0, 2, 0, 2, 1, 2, 2, 1, 2, 2, 0  },
{ 0, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 1, 2, 1, 2, 0, 1, 0, 0, 1, 0, 2, 0, 2, 2, 1, 0, 0, 1, 2, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 2, 0  },
{ 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 1, 0, 2, 1, 2, 1, 1, 2, 3, 0, 2, 2, 0, 1, 0, 0, 3, 2, 0, 2, 2, 0, 0, 1, 0, 2, 1, 0, 2, 0, 1, 0  },
{ 0, 2, 1, 2, 0, 1, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 2, 0, 1, 2, 0, 1, 0, 2, 2, 1, 0, 0, 2, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 1, 0  },
{ 2, 1, 2, 3, 0, 1, 2, 2, 0, 2, 0, 2, 0, 1, 3, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 2, 1, 0, 2, 1, 1, 0, 1, 2, 1, 0, 2, 0, 0, 0, 2, 1  },
{ 2, 1, 0, 0, 1, 2, 0, 1, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 2, 0, 0, 0, 2, 0, 2, 1, 2, 2, 1, 2, 1, 2  },
{ 1, 1, 0, 2, 0, 0, 2, 1, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 1, 0, 2, 0, 0, 1, 3, 2, 1, 0, 1, 0, 1, 0, 1, 1, 0, 2, 2, 0, 1, 2, 1  },
{ 1, 0, 0, 1, 1, 2, 1, 2, 0, 1, 1, 2, 0, 1, 0, 2, 0, 2, 1, 1, 0, 2, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 0  },
{ 2, 0, 1, 0, 2, 0, 0, 2, 1, 1, 2, 3, 2, 1, 0, 0, 1, 0, 2, 0, 2, 1, 0, 1, 1, 0, 0, 3, 0, 2, 0, 1, 0, 2, 1, 2, 2, 0, 0, 2, 0, 0  },
{ 2, 1, 2, 2, 1, 0, 0, 3, 1, 1, 2, 0, 2, 1, 0, 0, 2, 3, 3, 2, 2, 1, 0, 0, 1, 2, 0, 3, 0, 2, 2, 1, 0, 2, 1, 1, 2, 0, 0, 0, 2, 0  },
{ 2, 1, 2, 0, 1, 2, 1, 3, 0, 3, 2, 2, 2, 0, 1, 0, 2, 0, 0, 3, 1, 0, 1, 1, 1, 0, 2, 1, 2, 3, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 1, 0  },
{ 0, 1, 0, 2, 0, 1, 2, 0, 3, 1, 0, 2, 1, 1, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0, 2, 3, 2, 0, 1, 2, 0, 0, 0, 2, 0, 1, 2, 2, 2  },
{ 2, 1, 2, 1, 2, 0, 3, 2, 1, 1, 2, 0, 2, 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 0, 0, 0, 1, 0, 2, 0, 2, 0, 1, 0, 1, 2, 2, 1, 0, 1, 2, 1  },
{ 2, 1, 0, 2, 2, 1, 1, 1, 0, 2, 1, 2, 3, 0, 1, 2, 1, 2, 0, 2, 0, 1, 2, 0, 0, 1, 1, 2, 0, 3, 2, 0, 1, 0, 1, 2, 0, 2, 0, 1, 1, 1  },
{ 2, 1, 2, 1, 2, 3, 2, 3, 3, 1, 2, 3, 2, 1, 0, 0, 1, 0, 2, 1, 0, 2, 0, 1, 2, 1, 0, 0, 1, 1, 0, 1, 0, 1, 2, 1, 0, 1, 0, 0, 2, 0  },
{ 1, 2, 0, 0, 2, 2, 1, 2, 3, 0, 1, 2, 3, 1, 0, 0, 1, 0, 0, 2, 3, 1, 0, 2, 0, 2, 0, 2, 0, 0, 3, 2, 2, 2, 1, 1, 0, 2, 0, 2, 1, 0  },
{ 3, 1, 0, 0, 1, 3, 2, 3, 0, 2, 0, 0, 2, 1, 1, 0, 1, 0, 0, 1, 2, 0, 2, 1, 3, 1, 0, 0, 1, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 1, 0  },
{ 1, 1, 2, 1, 1, 0, 2, 0, 1, 1, 2, 0, 0, 1, 0, 2, 1, 0, 2, 0, 1, 0, 1, 1, 2, 1, 2, 0, 0, 0, 0, 0, 0, 1, 3, 1, 2, 0, 1, 0, 1, 0  },
{ 2, 1, 0, 1, 1, 0, 2, 2, 1, 0, 3, 0, 0, 1, 1, 2, 1, 2, 1, 0, 2, 0, 2, 1, 0, 1, 2, 1, 2, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 1, 0, 0  },
{ 3, 0, 1, 1, 1, 0, 2, 2, 0, 3, 3, 0, 0, 1, 0, 1, 0, 0, 0, 0, 1, 0, 1, 2, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 2, 1, 2, 0, 2, 0, 2, 0  },
{ 2, 1, 1, 1, 3, 0, 0, 0, 2, 2, 1, 2, 1, 0, 1, 2, 1, 1, 0, 0, 1, 0, 1, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0  },
{ 1, 0, 2, 0, 2, 1, 1, 2, 1, 1, 3, 0, 3, 0, 0, 1, 2, 2, 0, 0, 2, 0, 1, 0, 2, 1, 2, 0, 0, 1, 0, 0, 0, 1, 1, 0, 1, 2, 1, 0, 2, 0  },
{ 2, 0, 1, 3, 1, 2, 2, 0, 1, 0, 2, 1, 0, 0, 0, 2, 3, 1, 1, 0, 1, 0, 1, 0, 1, 2, 1, 0, 0, 1, 2, 0, 1, 1, 0, 0, 1, 2, 3, 0, 2, 0  },
{ 0, 2, 1, 3, 1, 3, 1, 3, 1, 2, 0, 0, 0, 2, 0, 2, 1, 3, 1, 0, 2, 0, 1, 2, 2, 0, 1, 1, 0, 1, 2, 0, 0, 2, 0, 0, 2, 1, 2, 0, 1, 0  },
{ 1, 1, 2, 1, 2, 2, 0, 0, 0, 0, 0, 3, 0, 2, 1, 2, 1, 2, 1, 2, 1, 0, 1, 1, 0, 0, 0, 0, 1, 0, 0, 1, 3, 0, 0, 3, 1, 3, 2, 0, 2, 1  },
{ 2, 1, 3, 1, 0, 2, 1, 0, 0, 0, 3, 3, 3, 0, 1, 2, 1, 0, 2, 3, 1, 0, 0, 1, 2, 0, 2, 0, 0, 0, 1, 1, 1, 0, 2, 0, 1, 2, 1, 1, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 0, 0, 1, 0, 2, 0, 0, 2, 1, 0, 0, 0, 1, 2, 0, 2, 3, 1, 1, 3, 0, 3, 0, 1, 0, 1, 0, 2, 0, 2, 1, 2, 1, 0, 2, 0  },
{ 3, 1, 2, 1, 1, 0, 3, 2, 1, 2, 0, 0, 2, 0, 1, 0, 3, 2, 0, 0, 2, 1, 0, 1, 1, 1, 2, 0, 0, 2, 2, 0, 0, 1, 0, 2, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 1, 2, 3, 1, 2, 2, 1, 2, 2, 0, 0, 0, 1, 2, 2, 1, 2, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 2, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 0, 2, 2, 0, 0, 1, 0, 0, 0, 1, 2, 2, 3, 0, 1, 0, 0, 0, 1, 3, 2, 0, 0, 1, 2, 0, 1, 2, 1, 0, 1, 0, 1, 0, 2, 1, 0, 0, 0, 0, 1, 0  },
{ 0, 0, 1, 2, 1, 2, 0, 1, 0, 2, 3, 0, 0, 2, 0, 2, 0, 2, 0, 1, 0, 2, 0, 2, 2, 1, 1, 2, 1, 1, 1, 0, 0, 0, 1, 0, 1, 3, 1, 2, 0, 1  },
{ 0, 1, 2, 3, 1, 2, 0, 2, 2, 2, 0, 0, 3, 2, 0, 3, 1, 2, 0, 0, 0, 2, 0, 2, 1, 0, 1, 1, 2, 1, 2, 0, 1, 1, 0, 2, 1, 2, 0, 1, 0, 1  },
{ 0, 0, 2, 1, 0, 3, 0, 2, 0, 2, 0, 0, 1, 0, 2, 0, 0, 0, 0, 2, 0, 2, 0, 1, 1, 0, 2, 1, 0, 1, 2, 0, 2, 1, 0, 2, 0, 1, 2, 0, 0, 0  },
{ 2, 0, 0, 0, 0, 1, 1, 1, 0, 1, 2, 3, 0, 0, 0, 2, 0, 2, 0, 0, 2, 1, 1, 1, 0, 3, 1, 2, 1, 1, 0, 1, 0, 0, 3, 0, 1, 2, 2, 2, 0, 1  },
{ 2, 1, 2, 1, 0, 1, 3, 1, 0, 2, 0, 0, 1, 0, 1, 2, 1, 3, 2, 2, 0, 2, 1, 1, 0, 0, 2, 1, 2, 1, 0, 1, 0, 0, 2, 2, 1, 1, 3, 3, 2, 1  },
{ 0, 2, 3, 0, 1, 2, 0, 1, 0, 2, 0, 3, 2, 3, 0, 1, 0, 0, 0, 1, 2, 1, 1, 2, 0, 1, 3, 0, 2, 0, 2, 1, 1, 1, 0, 1, 2, 0, 0, 0, 1, 3  },
{ 2, 1, 0, 0, 2, 0, 2, 0, 0, 1, 3, 0, 1, 3, 1, 2, 2, 1, 3, 2, 0, 0, 0, 2, 1, 0, 1, 2, 1, 1, 2, 0, 0, 3, 2, 0, 1, 3, 1, 0, 0, 1  },
{ 2, 1, 0, 2, 0, 1, 3, 2, 0, 0, 1, 3, 0, 1, 0, 1, 0, 1, 1, 1, 0, 0, 1, 0, 2, 0, 0, 0, 2, 3, 0, 0, 2, 1, 0, 1, 1, 0, 2, 1, 1, 2  },
{ 1, 2, 2, 1, 1, 0, 2, 1, 1, 0, 1, 0, 0, 0, 3, 2, 1, 1, 1, 0, 1, 0, 1, 0, 1, 1, 0, 1, 0, 1, 0, 0, 0, 3, 1, 1, 1, 1, 2, 1, 2, 0  },
{ 1, 2, 2, 2, 0, 0, 0, 0, 0, 2, 0, 1, 2, 0, 0, 3, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 2, 0, 1, 0, 2, 0  },
{ 2, 2, 3, 1, 0, 1, 0, 1, 2, 3, 3, 0, 0, 0, 3, 3, 3, 0, 2, 1, 0, 2, 0, 2, 1, 1, 0, 2, 0, 3, 0, 0, 1, 2, 1, 1, 2, 0, 1, 2, 0, 0  },
{ 2, 2, 0, 0, 1, 0, 2, 2, 0, 1, 0, 3, 0, 0, 3, 2, 2, 0, 3, 0, 2, 0, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 2, 1, 2, 2, 2, 2, 0  },
{ 1, 0, 2, 1, 0, 0, 2, 0, 1, 2, 1, 0, 0, 0, 0, 3, 1, 3, 0, 0, 0, 2, 0, 2, 3, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 1, 1, 3, 0, 2, 1, 0  },
{ 1, 2, 0, 0, 1, 1, 0, 0, 0, 2, 1, 3, 0, 0, 0, 2, 1, 1, 0, 3, 0, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 1, 0  },
{ 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 0, 3, 0, 0, 2, 1, 1, 0, 0, 0, 2, 0, 1, 1, 0, 1, 1, 1, 0, 2, 0, 0, 0, 1, 2, 1, 2, 1, 2, 0, 2, 0  },
{ 1, 1, 2, 1, 1, 3, 0, 2, 0, 1, 2, 1, 0, 1, 2, 1, 1, 0, 0, 1, 0, 1, 0, 1, 1, 1, 3, 2, 0, 0, 0, 0, 1, 0, 0, 1, 2, 2, 1, 0, 1, 0  },
{ 1, 1, 2, 1, 1, 2, 0, 0, 1, 2, 1, 0, 2, 0, 1, 3, 0, 0, 1, 0, 1, 0, 1, 0, 2, 2, 2, 0, 1, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 0, 2, 0  },
{ 2, 1, 0, 0, 1, 0, 2, 0, 2, 1, 0, 0, 3, 1, 0, 2, 2, 1, 0, 0, 2, 0, 1, 0, 1, 2, 1, 0, 0, 2, 0, 0, 0, 2, 2, 1, 1, 0, 1, 0, 2, 0  },
{ 1, 0, 2, 1, 0, 1, 2, 0, 1, 1, 0, 3, 3, 3, 0, 1, 0, 3, 0, 0, 2, 1, 0, 0, 0, 1, 2, 1, 0, 2, 0, 2, 2, 1, 0, 1, 2, 1, 0, 2, 2, 0  },
{ 1, 0, 2, 0, 3, 0, 2, 0, 1, 1, 2, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 0, 2, 0, 1, 2, 2, 0, 2, 1, 0  },
{ 3, 1, 0, 0, 2, 3, 2, 2, 1, 2, 1, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 1, 2, 3, 1, 2, 0, 0, 1, 0  },
{ 1, 2, 0, 1, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 3, 0, 2, 0, 3, 0, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 2, 2, 3, 1, 2, 0, 0, 2, 0  },
{ 1, 0, 1, 1, 0, 1, 0, 2, 1, 1, 0, 1, 0, 1, 3, 0, 0, 1, 2, 0, 1, 0, 0, 2, 0, 1, 0, 1, 0, 0, 0, 0, 2, 2, 0, 1, 3, 2, 2, 1, 2, 1  },
{ 0, 2, 1, 0, 1, 2, 1, 0, 1, 1, 2, 3, 3, 0, 1, 0, 2, 2, 3, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 3, 2, 0, 1, 1, 0  },
{ 1, 2, 0, 0, 2, 1, 0, 2, 1, 2, 3, 0, 2, 0, 1, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 1, 0, 0, 2, 1, 2, 0, 0, 1, 2, 1, 1, 2, 0, 1, 1, 0  },
{ 1, 2, 3, 2, 1, 2, 0, 1, 1, 1, 0, 0, 2, 1, 0, 0, 0, 3, 0, 2, 0, 1, 0, 1, 2, 1, 0, 0, 0, 2, 2, 0, 0, 2, 1, 0, 2, 1, 0, 2, 1, 0  },
{ 0, 0, 2, 1, 1, 0, 2, 2, 1, 1, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 1, 2, 0, 1, 1, 1, 0, 3, 0, 1, 1, 1, 0, 2, 1, 1, 2, 2, 0, 0, 0, 2  },
{ 0, 0, 1, 2, 2, 0, 0, 0, 0, 2, 0, 3, 2, 2, 3, 0, 0, 2, 2, 1, 1, 1, 2, 1, 1, 2, 0, 1, 1, 1, 3, 1, 1, 2, 0, 1, 0, 1, 0, 0, 3, 2  },
{ 1, 1, 0, 2, 1, 2, 2, 0, 2, 0, 0, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 3, 2, 0, 0, 2, 3, 0, 1, 2, 2, 1, 1, 2, 2  },
{ 1, 0, 2, 1, 2, 2, 1, 1, 1, 1, 2, 2, 0, 0, 1, 0, 1, 0, 0, 2, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0, 2, 0, 2, 0, 1, 2, 1, 0, 1, 2, 1  },
{ 0, 1, 2, 0, 2, 1, 0, 2, 3, 1, 0, 2, 3, 0, 1, 0, 1, 0, 2, 3, 2, 0, 0, 1, 0, 1, 0, 0, 2, 1, 2, 0, 1, 0, 1, 2, 0, 1, 0, 2, 0, 1  },
{ 1, 0, 2, 1, 0, 2, 2, 0, 3, 0, 3, 2, 2, 1, 0, 0, 1, 0, 2, 1, 0, 3, 0, 2, 2, 1, 0, 0, 1, 0, 3, 2, 0, 2, 2, 1, 0, 1, 0, 0, 1, 0  },
{ 1, 2, 2, 2, 3, 2, 1, 0, 1, 1, 3, 0, 1, 1, 0, 0, 1, 1, 3, 3, 2, 1, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 3, 2, 1, 0, 0, 0, 1, 2, 1, 2  },
{ 1, 0, 1, 1, 0, 3, 0, 1, 0, 0, 3, 1, 0, 2, 2, 0, 1, 1, 0, 2, 0, 1, 1, 1, 0, 2, 0, 3, 2, 0, 0, 0, 0, 0, 0, 2, 3, 3, 3, 0, 0, 0  },
{ 2, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 3, 0, 1, 0, 0, 2, 1, 1, 0, 2, 0, 1, 1, 1, 1, 0, 2, 0, 2, 0, 0, 0, 3, 0, 1, 3, 2, 2, 0, 2, 0  },
{ 2, 3, 0, 0, 0, 1, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 3, 0, 2, 0, 2, 0, 0, 2, 0, 1, 1, 3, 3, 0, 1, 0, 1, 0, 0, 3, 0, 2, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 3, 1, 0, 0, 1, 2, 1, 0, 1, 1, 0, 3, 1, 2, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 1, 2, 0, 0, 2, 0, 0  },
{ 1, 1, 2, 1, 2, 1, 0, 0, 0, 3, 2, 0, 2, 0, 1, 3, 1, 3, 1, 2, 0, 1, 0, 3, 3, 1, 0, 2, 0, 1, 0, 0, 0, 1, 0, 1, 0, 3, 0, 0, 1, 0  },
{ 0, 1, 0, 0, 1, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 1, 1, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 0, 2, 0, 2, 3, 0, 3, 0, 0, 2, 0, 2, 0  },
{ 1, 2, 0, 1, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 3, 2, 1, 2, 1, 0, 1, 1, 1, 0, 1, 1, 1, 3, 1, 0, 1, 0, 1, 0, 1, 2, 1, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 2, 3, 1, 0, 2, 2, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 1, 0, 2, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 1, 2, 0, 2, 3, 3, 0  },
{ 1, 2, 0, 1, 1, 0, 2, 0, 3, 2, 3, 1, 0, 0, 3, 3, 1, 1, 0, 2, 0, 0, 1, 0, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 2, 1, 3, 3, 2, 0, 3, 1  },
{ 0, 0, 2, 1, 1, 0, 2, 3, 0, 0, 2, 0, 2, 1, 0, 1, 2, 1, 0, 1, 1, 0, 0, 2, 3, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 2, 3, 1, 0, 0, 2, 0  },
{ 1, 1, 0, 3, 2, 3, 0, 0, 1, 1, 0, 1, 0, 0, 2, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 2, 2, 0, 1, 0, 0, 1, 1, 3, 0, 0, 1, 0  },
{ 3, 0, 2, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 1, 1, 0, 1, 0, 2, 3, 0, 0, 0, 2, 0, 0, 1, 0, 3, 1, 0, 2, 0  },
{ 0, 2, 2, 0, 0, 0, 1, 3, 3, 1, 0, 0, 1, 3, 0, 1, 2, 0, 3, 1, 0, 0, 1, 1, 0, 0, 1, 1, 2, 2, 0, 0, 1, 2, 0, 0, 2, 3, 0, 0, 0, 0  },
{ 3, 1, 2, 1, 0, 1, 2, 2, 0, 1, 0, 0, 1, 1, 3, 0, 2, 1, 0, 0, 2, 0, 1, 0, 2, 2, 1, 2, 0, 1, 1, 0, 1, 2, 3, 1, 0, 1, 0, 0, 2, 0  },
{ 2, 1, 1, 1, 2, 3, 2, 1, 2, 2, 3, 0, 1, 3, 3, 0, 0, 1, 3, 3, 3, 0, 0, 2, 2, 0, 0, 2, 0, 1, 2, 0, 1, 2, 1, 1, 1, 0, 0, 2, 1, 0  },
{ 1, 0, 2, 1, 2, 0, 0, 1, 1, 0, 1, 1, 0, 2, 1, 2, 2, 2, 3, 0, 0, 2, 1, 1, 2, 1, 1, 1, 2, 0, 2, 0, 3, 0, 0, 0, 0, 1, 0, 3, 2, 0  },
{ 1, 2, 1, 0, 0, 2, 2, 1, 2, 0, 0, 0, 2, 2, 0, 2, 0, 1, 0, 2, 0, 2, 1, 0, 2, 2, 2, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 2, 1  },
{ 1, 0, 0, 2, 3, 0, 1, 0, 3, 1, 2, 0, 1, 2, 0, 1, 3, 1, 2, 3, 0, 2, 0, 2, 2, 0, 0, 0, 0, 2, 0, 1, 1, 2, 0, 3, 0, 1, 0, 3, 0, 0  },
{ 1, 2, 3, 2, 0, 1, 2, 1, 2, 0, 3, 2, 1, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 0, 2, 1, 1, 2, 0, 2, 2, 0  },
{ 0, 0, 0, 1, 3, 0, 0, 0, 1, 2, 0, 2, 2, 3, 3, 0, 1, 1, 0, 0, 2, 3, 2, 0, 2, 3, 0, 0, 0, 2, 2, 0, 1, 0, 0, 0, 3, 2, 2, 0, 2, 0  },
{ 2, 0, 1, 2, 2, 0, 0, 1, 0, 1, 2, 3, 0, 2, 2, 1, 0, 3, 3, 1, 3, 1, 0, 1, 2, 2, 2, 1, 1, 0, 0, 0, 3, 0, 1, 1, 0, 1, 2, 0, 1, 0  },
{ 2, 1, 0, 1, 2, 2, 3, 0, 0, 0, 0, 1, 3, 0, 1, 1, 0, 3, 0, 2, 0, 0, 2, 2, 2, 1, 1, 1, 3, 0, 0, 1, 1, 0, 1, 0, 2, 1, 0, 2, 2, 1  },
{ 2, 2, 1, 2, 2, 0, 3, 0, 0, 2, 1, 3, 0, 0, 2, 1, 2, 1, 0, 0, 1, 0, 0, 2, 2, 0, 0, 2, 0, 0, 0, 1, 1, 1, 0, 0, 1, 0, 0, 0, 1, 1  },
{ 2, 1, 2, 0, 2, 1, 3, 0, 0, 0, 1, 1, 3, 1, 0, 2, 3, 2, 2, 3, 0, 2, 0, 2, 1, 1, 0, 2, 1, 3, 1, 1, 1, 2, 3, 0, 0, 3, 0, 2, 0, 0  },
{ 1, 0, 3, 2, 0, 1, 1, 0, 0, 1, 2, 0, 0, 0, 2, 3, 1, 2, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 0, 0, 0, 2, 2, 0, 1, 0, 2, 2, 0  },
{ 2, 1, 1, 1, 0, 1, 0, 2, 0, 2, 1, 0, 2, 0, 2, 2, 1, 0, 2, 0, 0, 0, 1, 2, 3, 1, 2, 0, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 2, 0  },
{ 1, 2, 0, 0, 3, 0, 0, 0, 1, 1, 1, 2, 3, 0, 0, 0, 2, 0, 1, 0, 2, 0, 3, 2, 1, 1, 3, 0, 1, 1, 0, 0, 1, 0, 3, 3, 0, 2, 1, 0, 0, 0  },
{ 0, 1, 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 2, 0, 3, 2, 1, 3, 2, 0, 0, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 1, 2, 1, 2, 2, 2, 0, 2, 0  },
{ 3, 1, 0, 0, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 0, 1, 0  },
{ 3, 2, 3, 1, 2, 2, 0, 0, 1, 2, 1, 2, 1, 0, 3, 1, 2, 3, 0, 0, 2, 0, 1, 1, 0, 0, 1, 2, 3, 0, 0, 0, 0, 1, 3, 3, 1, 0, 1, 0, 1, 0  },
{ 0, 1, 1, 2, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0, 0, 1, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0, 2, 1, 0, 2, 1, 2, 2, 0  },
{ 0, 0, 0, 0, 0, 1, 0, 1, 1, 2, 1, 2, 0, 1, 0, 0, 0, 0, 3, 2, 0, 2, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 1, 1, 0, 3, 2, 0  },
{ 0, 2, 0, 1, 1, 0, 0, 0, 1, 2, 1, 3, 0, 2, 1, 0, 3, 0, 0, 2, 0, 0, 2, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 1, 2, 0, 1, 3, 0, 0, 2, 0  },
{ 2, 0, 0, 1, 1, 2, 0, 0, 3, 0, 1, 2, 0, 0, 1, 3, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 1, 2, 0, 1, 1, 0, 0, 1, 1, 3, 1, 1, 0  },
{ 0, 1, 0, 3, 0, 0, 1, 0, 0, 1, 1, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 0, 3, 1, 0, 1, 0, 3, 0, 1, 0, 0, 0, 1, 1, 3, 1, 2, 0, 1, 2, 0  },
{ 0, 2, 0, 0, 2, 3, 0, 1, 1, 1, 1, 0, 0, 0, 0, 1, 2, 3, 2, 1, 0, 3, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 1, 0  },
{ 0, 2, 0, 1, 0, 2, 0, 3, 1, 2, 1, 2, 0, 1, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 3, 0  },
{ 2, 2, 0, 1, 0, 1, 0, 2, 1, 1, 0, 1, 2, 0, 3, 0, 2, 3, 1, 2, 2, 0, 1, 0, 1, 0, 1, 1, 0, 2, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0, 2, 0  },
{ 2, 0, 0, 1, 1, 2, 1, 0, 0, 1, 1, 0, 2, 0, 1, 1, 1, 0, 0, 2, 0, 1, 2, 0, 1, 0, 1, 0, 0, 2, 2, 0, 1, 1, 0, 0, 1, 2, 1, 0, 2, 0  },
{ 0, 1, 0, 0, 2, 0, 2, 0, 1, 1, 2, 0, 1, 2, 0, 2, 0, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 3, 0, 2, 1, 2, 2, 0  },
{ 1, 0, 3, 2, 2, 0, 3, 1, 0, 0, 1, 0, 3, 0, 1, 0, 1, 0, 2, 2, 0, 0, 0, 0, 1, 1, 0, 1, 0, 1, 0, 1, 0, 1, 1, 2, 3, 2, 0, 2, 1, 0  },
{ 0, 2, 1, 0, 0, 2, 0, 0, 1, 0, 3, 1, 2, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 1, 0, 1, 0, 3, 0, 1, 2, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0  },
{ 0, 0, 2, 1, 0, 0, 2, 0, 3, 1, 1, 0, 1, 0, 0, 1, 1, 2, 0, 0, 2, 1, 0, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 2, 1, 2, 0, 2, 0, 1, 0, 0  },
{ 0, 2, 1, 2, 0, 0, 2, 0, 2, 1, 0, 0, 2, 0, 1, 1, 3, 0, 1, 1, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 0, 1, 1, 2, 1, 2, 2, 0, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 1, 0, 1, 1, 1, 3, 1, 0, 0, 1, 0, 2, 0, 2, 3, 2, 0, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 1, 2, 1, 2, 1  },
{ 2, 2, 1, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 1, 0, 1, 1, 0, 2, 1, 0, 2, 0, 2, 0, 1, 0, 0, 0, 2, 0, 1, 0, 0, 1, 2, 3, 1, 0, 1, 0, 1  },
{ 1, 1, 2, 0, 2, 1, 1, 0, 0, 0, 2, 0, 1, 0, 1, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 0, 0, 3, 0, 1, 0, 1, 0, 2, 2, 0, 1, 0, 2, 0, 1  },
{ 1, 2, 3, 2, 1, 2, 1, 0, 1, 2, 0, 3, 0, 1, 0, 1, 2, 1, 2, 1, 2, 3, 0, 0, 1, 1, 0, 0, 1, 1, 3, 2, 0, 2, 2, 1, 3, 2, 0, 2, 1, 1  },
{ 0, 0, 1, 2, 2, 0, 1, 0, 0, 0, 0, 3, 3, 0, 3, 0, 1, 1, 0, 3, 0, 0, 2, 1, 0, 0, 0, 3, 2, 1, 0, 0, 1, 2, 0, 0, 3, 0, 1, 0, 0, 3  },
{ 2, 3, 1, 0, 0, 0, 2, 2, 0, 2, 0, 3, 0, 1, 0, 1, 2, 1, 0, 0, 2, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 0, 2, 2, 0, 1, 3, 1, 2, 1, 0, 0  },
{ 0, 0, 2, 1, 2, 3, 3, 0, 3, 2, 0, 3, 3, 1, 0, 0, 0, 0, 0, 1, 0, 3, 0, 2, 1, 3, 1, 2, 1, 0, 0, 0, 2, 2, 1, 0, 3, 0, 1, 0, 0, 0  },
{ 3, 1, 2, 2, 0, 3, 2, 1, 3, 0, 0, 0, 0, 2, 3, 2, 2, 1, 0, 0, 0, 1, 0, 0, 0, 1, 1, 2, 0, 1, 0, 1, 1, 3, 1, 3, 0, 1, 2, 0, 0, 0  },
{ 0, 0, 2, 3, 3, 1, 1, 2, 2, 2, 0, 0, 2, 2, 0, 1, 1, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 0, 0, 2, 1, 0, 2, 0, 2, 3, 0, 3, 1, 0, 0, 0  },
{ 0, 0, 2, 1, 0, 1, 1, 2, 3, 0, 3, 0, 0, 2, 1, 2, 1, 0, 3, 0, 0, 0, 1, 0, 1, 1, 0, 0, 3, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0  },
{ 1, 1, 2, 2, 0, 3, 0, 2, 0, 0, 0, 0, 0, 1, 2, 1, 2, 2, 1, 2, 0, 1, 0, 1, 1, 0, 1, 2, 0, 2, 1, 0, 1, 1, 0, 0, 0, 1, 3, 2, 0, 0  },
{ 1, 0, 2, 1, 0, 2, 1, 0, 0, 3, 1, 0, 1, 0, 0, 0, 2, 1, 0, 0, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 1, 0, 0, 1, 3, 0, 0  },
{ 1, 0, 1, 1, 3, 0, 0, 2, 3, 1, 3, 0, 0, 1, 2, 0, 3, 3, 3, 0, 1, 0, 2, 2, 3, 2, 0, 0, 0, 1, 0, 0, 2, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 3, 0, 2, 1, 0, 2, 0, 0, 1, 1, 0, 0, 0, 0, 3, 1, 1, 0, 1, 1, 0, 1, 0, 3, 0, 1, 2, 1, 2, 0, 0, 0, 1, 2, 0, 0, 0, 3, 1, 2, 0, 0  },
{ 3, 3, 1, 1, 1, 0, 0, 2, 1, 0, 1, 3, 2, 0, 1, 0, 0, 0, 0, 0, 2, 0, 1, 0, 1, 2, 3, 0, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 3, 0, 2, 0  },
{ 0, 0, 3, 0, 1, 2, 1, 0, 0, 0, 3, 0, 0, 0, 1, 2, 1, 1, 0, 1, 0, 0, 1, 0, 1, 1, 0, 3, 0, 1, 0, 0, 0, 0, 0, 2, 3, 0, 1, 0, 0, 0  },
{ 1, 1, 1, 0, 0, 3, 1, 0, 1, 3, 2, 2, 0, 0, 0, 2, 0, 2, 1, 2, 0, 2, 1, 1, 3, 2, 1, 2, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 0, 3, 1, 0  },
{ 2, 0, 0, 1, 3, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 2, 2, 1, 2, 0, 0, 1, 2, 3, 3, 1, 0, 0, 2, 0, 0, 1, 0, 1, 1, 0, 3, 1, 1, 0, 0  },
{ 1, 0, 1, 2, 0, 2, 0, 0, 1, 1, 2, 1, 0, 2, 3, 2, 2, 0, 3, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 1, 2, 0, 1, 2, 1, 0, 2, 1, 2, 0, 1, 0  },
{ 2, 1, 3, 0, 2, 2, 0, 0, 2, 3, 3, 1, 1, 0, 3, 3, 0, 1, 2, 2, 1, 0, 1, 2, 2, 0, 0, 1, 0, 2, 2, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 1, 2, 0, 0, 0, 1, 3, 0, 2, 1, 2, 0, 1, 2, 3, 3, 3, 0, 2, 1, 3, 0, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0  },
{ 0, 0, 0, 1, 2, 2, 0, 0, 0, 0, 1, 2, 1, 1, 0, 1, 1, 1, 1, 2, 0, 3, 1, 1, 0, 1, 3, 0, 3, 2, 0, 0, 0, 0, 1, 0, 1, 1, 1, 1, 0, 2  },
{ 2, 2, 1, 3, 3, 1, 0, 1, 0, 1, 0, 0, 1, 1, 0, 1, 2, 2, 3, 2, 1, 0, 0, 1, 1, 1, 2, 1, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0  },
{ 0, 2, 1, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 2, 0, 2, 2, 1, 0, 2, 1, 0, 2, 0, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 0  },
{ 2, 1, 2, 3, 3, 1, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 3, 1, 0, 0, 2, 2, 1, 2, 1, 2, 3, 2, 0, 0, 0, 1, 0, 0, 1, 1, 0, 2, 0, 2, 0  },
{ 0, 2, 1, 3, 0, 2, 0, 0, 0, 3, 0, 0, 1, 1, 0, 1, 2, 2, 1, 2, 0, 2, 1, 2, 0, 1, 3, 2, 1, 2, 0, 0, 0, 1, 0, 2, 2, 1, 1, 1, 0, 1  },
{ 0, 2, 1, 1, 1, 2, 0, 0, 0, 1, 3, 1, 0, 2, 0, 2, 2, 1, 3, 0, 0, 0, 0, 1, 2, 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 1  },
{ 0, 2, 1, 1, 0, 2, 0, 0, 0, 2, 1, 0, 0, 1, 0, 1, 1, 0, 1, 3, 0, 1, 2, 1, 1, 0, 0, 1, 1, 2, 0, 0, 0, 2, 0, 2, 2, 1, 3, 0, 0, 1  },
{ 0, 3, 2, 0, 0, 3, 0, 1, 0, 3, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 3, 2, 1, 2, 2, 0, 1, 0, 1, 0, 1, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 3, 0, 0, 3, 0, 2, 0, 0, 2, 0, 0, 2, 3, 0, 0, 2, 2, 1, 0, 0, 0, 3, 1, 0, 0, 0  },
{ 0, 1, 0, 3, 1, 3, 0, 0, 1, 1, 0, 0, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 3, 0, 3, 0, 2, 1, 0, 1, 0, 0  },
{ 0, 0, 0, 0, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 1, 0, 1, 1, 0, 0, 0, 3, 0, 0, 0, 0, 1, 0, 0, 3, 0, 1, 2, 1, 0, 0, 3, 2, 0, 2, 0, 0  },
{ 0, 1, 0, 1, 1, 1, 0, 1, 2, 0, 3, 0, 1, 0, 3, 2, 2, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3, 2, 0, 0, 0, 0, 0, 1, 2, 0, 3, 1, 0, 0, 2, 0  },
{ 0, 3, 0, 2, 0, 0, 0, 0, 1, 1, 1, 0, 2, 0, 0, 0, 0, 0, 2, 0, 3, 0, 0, 0, 3, 0, 1, 1, 0, 1, 0, 0, 1, 1, 0, 0, 0, 0, 3, 2, 0, 0  },
{ 0, 3, 0, 1, 1, 0, 0, 1, 0, 1, 0, 3, 0, 0, 0, 1, 1, 0, 0, 3, 0, 0, 0, 0, 3, 0, 2, 2, 0, 0, 0, 0, 3, 3, 3, 2, 0, 1, 0, 1, 0, 0  },
{ 3, 1, 1, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 2, 2, 0, 1, 0, 0, 2, 0, 0, 3, 0, 1, 0, 0, 1, 1, 0, 0, 0, 1, 2, 0, 2, 0, 1, 0, 1, 0, 0  },
{ 1, 0, 0, 1, 0, 0, 1, 0, 1, 0, 1, 2, 1, 0, 1, 1, 3, 1, 2, 0, 0, 2, 0, 1, 1, 3, 3, 1, 0, 0, 1, 0, 0, 2, 0, 0, 1, 1, 3, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 3, 0, 1, 3, 1, 2, 1, 0, 0, 3, 1, 2, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 1, 2, 3, 1, 3, 0, 2, 0, 1, 2, 0  },
{ 1, 2, 0, 0, 2, 2, 0, 0, 0, 2, 1, 3, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 0, 0, 0, 2, 0, 0, 0, 1, 2, 0, 2, 0, 3, 2, 0, 2, 0  },
{ 0, 0, 1, 1, 1, 0, 0, 1, 1, 2, 1, 2, 0, 2, 1, 0, 0, 2, 2, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0, 3, 1, 0, 0, 0, 3, 0  },
{ 2, 0, 0, 2, 0, 0, 1, 0, 1, 2, 0, 1, 1, 0, 1, 0, 3, 1, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 3, 0, 2, 0, 1, 1, 1, 1, 1, 0, 0, 3, 1, 0  },
{ 1, 1, 2, 0, 3, 2, 0, 2, 2, 1, 0, 0, 0, 1, 1, 0, 1, 0, 3, 0, 2, 0, 2, 1, 2, 0, 2, 2, 1, 0, 1, 0, 1, 1, 0, 0, 0, 3, 2, 1, 1, 0  },
{ 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 1, 0, 3, 0, 1, 3, 1, 0, 2, 1, 0, 0, 2, 1, 3, 3, 0, 0, 0, 0, 0, 0, 0, 1, 3, 0, 1, 2, 0, 2, 1, 0  },
{ 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 3, 2, 0, 1, 0, 0, 0, 2, 2, 1, 3, 3, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 3, 0, 1, 0, 0  },
{ 2, 2, 0, 1, 0, 0, 2, 1, 3, 0, 3, 1, 2, 2, 1, 0, 0, 1, 1, 1, 2, 1, 0, 0, 2, 1, 0, 2, 0, 3, 3, 0, 0, 1, 1, 0, 0, 2, 1, 0, 0, 0  },
{ 1, 0, 1, 2, 0, 0, 1, 0, 1, 1, 3, 1, 0, 3, 0, 1, 2, 0, 1, 0, 2, 0, 1, 0, 0, 3, 2, 0, 0, 2, 2, 0, 0, 2, 3, 1, 1, 0, 0, 1, 2, 0  },
{ 1, 0, 0, 2, 1, 2, 2, 2, 0, 1, 2, 0, 0, 0, 0, 0, 0, 0, 1, 1, 3, 2, 0, 2, 0, 3, 1, 0, 1, 0, 3, 2, 0, 2, 0, 1, 1, 0, 0, 3, 2, 0  },
{ 1, 1, 1, 0, 0, 0, 0, 2, 1, 3, 1, 0, 2, 1, 1, 0, 3, 1, 2, 0, 2, 0, 3, 2, 0, 1, 1, 1, 3, 0, 0, 2, 3, 1, 2, 0, 3, 1, 1, 0, 3, 1  },
{ 1, 0, 1, 3, 0, 0, 0, 2, 1, 0, 1, 2, 1, 0, 1, 1, 0, 1, 1, 2, 0, 0, 1, 2, 1, 0, 3, 1, 0, 2, 0, 0, 2, 3, 1, 0, 2, 0, 1, 1, 2, 0  },
{ 0, 0, 0, 1, 0, 0, 0, 2, 1, 1, 0, 1, 0, 2, 2, 2, 0, 0, 0, 2, 0, 1, 2, 0, 0, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 2, 3, 1, 0, 1, 0, 0  },
{ 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 1, 1, 1, 0, 0, 1, 2, 1, 0, 0, 3, 1, 0, 1, 3, 1, 0, 0, 2, 0, 1, 1, 0, 0, 0, 2, 0, 0, 2, 1, 0, 0  },
{ 1, 0, 2, 0, 0, 1, 1, 1, 0, 0, 2, 3, 3, 3, 0, 0, 3, 0, 0, 0, 1, 1, 1, 0, 2, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 0, 0, 1, 1, 0, 2, 3  },
{ 0, 3, 1, 2, 1, 1, 0, 2, 3, 1, 3, 1, 0, 1, 2, 0, 2, 1, 0, 0, 0, 1, 3, 2, 1, 0, 3, 3, 0, 1, 0, 1, 2, 1, 1, 0, 2, 0, 3, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 0, 2, 0, 2, 3, 0, 1, 2, 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 0, 2, 1, 0, 1, 1, 0, 1, 0, 0, 3, 2, 0, 0, 0, 1, 2, 0, 1, 3, 0, 3, 1, 0, 2, 2, 0, 0, 1, 0, 3, 3, 0, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 1, 2, 0, 0, 3, 0, 1, 0, 2, 0, 2, 1, 0, 1, 0, 0, 0, 0, 0, 3, 2, 1, 0, 0, 1, 1, 1, 0, 0, 0, 3, 2, 3, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 0, 3, 1, 1, 2, 0, 0, 2, 1, 1, 0, 1, 0, 3, 0, 0, 1, 1, 1, 1, 0, 0, 0, 3, 1, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0  },
{ 1, 1, 2, 0, 2, 2, 0, 1, 2, 0, 0, 2, 1, 3, 0, 0, 2, 2, 1, 0, 0, 2, 0, 3, 1, 2, 3, 0, 1, 0, 0, 1, 0, 2, 1, 3, 3, 2, 3, 0, 0, 0  },
{ 3, 3, 3, 3, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 2, 1, 1, 0, 0, 0, 0, 2, 1, 3, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 1  },
{ 3, 0, 1, 2, 0, 1, 0, 0, 1, 0, 0, 3, 0, 1, 1, 0, 3, 0, 1, 0, 0, 1, 0, 2, 2, 0, 0, 0, 1, 0, 0, 0, 3, 1, 0, 0, 1, 0, 0, 1, 0, 0  },
{ 0, 3, 1, 1, 1, 2, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 3, 1, 3, 3, 0, 0, 1, 0, 3, 0, 2, 1, 1, 0, 0, 0, 1, 1, 1, 0, 1, 2, 0, 0, 0, 0  },
{ 0, 0, 0, 3, 1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 1, 0, 0, 3, 0, 0, 1, 0, 0, 0, 3, 1, 1, 2, 1, 2, 1, 3, 0  },
{ 1, 0, 1, 1, 0, 2, 0, 0, 1, 1, 3, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 2, 1, 3, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0  },
{ 0, 0, 2, 1, 2, 3, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 2, 2, 0, 0, 0  },
{ 1, 0, 2, 3, 0, 2, 0, 0, 3, 0, 0, 0, 3, 2, 0, 0, 1, 0, 3, 3, 0, 0, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 0, 1, 0, 1, 1, 2, 0, 0  },
{ 1, 0, 2, 2, 3, 0, 0, 1, 0, 0, 0, 1, 0, 1, 1, 0, 1, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 3, 0, 0, 0, 1, 0, 1, 1, 0  },
{ 1, 2, 2, 0, 0, 3, 2, 3, 2, 0, 2, 3, 0, 1, 3, 0, 3, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 0, 1, 1, 2, 0, 1, 0, 1, 3, 3, 0  },
{ 0, 0, 0, 0, 0, 2, 0, 1, 1, 0, 1, 0, 2, 1, 2, 1, 3, 0, 2, 0, 2, 0, 1, 2, 1, 2, 1, 2, 1, 0, 1, 0, 3, 0, 0, 1, 0, 1, 1, 1, 0, 0  },
{ 1, 1, 1, 0, 2, 0, 1, 2, 1, 0, 2, 2, 2, 1, 3, 1, 0, 3, 0, 0, 1, 0, 0, 1, 1, 1, 3, 0, 3, 0, 0, 0, 0, 0, 0, 1, 2, 2, 1, 1, 0, 2  },
{ 2, 0, 0, 0, 0, 2, 1, 2, 0, 0, 0, 1, 1, 1, 0, 0, 2, 2, 0, 0, 2, 0, 1, 1, 3, 1, 0, 1, 3, 0, 0, 0, 1, 0, 0, 2, 2, 1, 0, 0, 2, 0  },
{ 2, 1, 3, 2, 3, 0, 0, 0, 0, 0, 2, 1, 0, 1, 3, 0, 3, 0, 0, 0, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 3, 0, 1, 3, 3, 1, 0, 1, 2, 0, 0, 0  },
{ 0, 0, 0, 0, 2, 3, 0, 0, 0, 2, 2, 3, 0, 3, 3, 0, 3, 0, 1, 3, 1, 1, 0, 1, 0, 3, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 3, 0, 1, 0  },
{ 0, 0, 1, 3, 2, 1, 0, 1, 3, 0, 3, 0, 0, 1, 2, 0, 0, 3, 1, 2, 0, 1, 1, 2, 0, 0, 1, 3, 2, 1, 2, 0, 1, 0, 2, 1, 2, 0, 1, 3, 0, 0  },
{ 0, 0, 1, 1, 0, 0, 2, 0, 1, 0, 2, 3, 0, 0, 2, 1, 1, 1, 0, 2, 2, 1, 0, 2, 0, 0, 0, 1, 1, 0, 2, 1, 1, 0, 1, 3, 0, 2, 0, 2, 1, 0  },
{ 0, 1, 0, 0, 2, 0, 0, 0, 3, 1, 2, 0, 1, 2, 0, 2, 0, 2, 1, 2, 0, 1, 0, 2, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 0, 0, 1, 0, 3, 3, 3, 0  },
{ 2, 0, 1, 3, 0, 0, 1, 3, 1, 0, 2, 1, 1, 1, 1, 1, 0, 1, 1, 0, 1, 0, 0, 3, 0, 1, 1, 1, 0, 2, 1, 0, 0, 0, 1, 0, 0, 0, 2, 1, 2, 1  }
 },
{ 
{ 3, 3, 1, 2, 3, 3, 3, 1, 2, 3, 2, 3, 2, 2, 1, 3, 3, 1, 2, 3, 3, 0, 0, 2, 3, 2, 1, 1, 1, 2, 3, 1, 1, 2, 3, 2, 3, 3, 0, 0, 0, 1  },
{ 3, 3, 0, 3, 3, 3, 3, 3, 1, 3, 0, 3, 3, 1, 2, 2, 3, 0, 0, 3, 1, 2, 3, 3, 3, 2, 0, 3, 1, 3, 2, 3, 3, 2, 0, 2, 3, 3, 3, 1, 1, 3  },
{ 3, 1, 3, 2, 2, 3, 3, 1, 3, 0, 3, 1, 2, 2, 3, 1, 1, 0, 3, 3, 2, 2, 3, 1, 3, 2, 1, 0, 2, 3, 3, 3, 2, 2, 2, 2, 3, 0, 1, 1, 2, 3  },
{ 3, 3, 0, 2, 2, 3, 1, 0, 2, 3, 2, 2, 2, 2, 3, 2, 2, 0, 2, 2, 3, 2, 2, 3, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 2, 3, 3, 1, 2, 2, 2  },
{ 3, 0, 0, 2, 3, 3, 3, 1, 2, 3, 0, 2, 0, 2, 2, 3, 3, 2, 3, 0, 0, 0, 1, 1, 3, 2, 3, 2, 3, 3, 3, 2, 0, 3, 1, 2, 3, 1, 3, 2, 1, 2  },
{ 0, 1, 0, 2, 2, 1, 3, 0, 2, 2, 0, 0, 1, 0, 3, 1, 3, 2, 2, 2, 2, 2, 3, 3, 1, 1, 3, 1, 0, 1, 2, 2, 3, 2, 1, 2, 2, 1, 0, 3, 2, 3  },
{ 2, 1, 1, 0, 2, 2, 2, 0, 0, 2, 2, 1, 1, 1, 1, 1, 0, 1, 2, 2, 1, 0, 2, 3, 0, 1, 0, 0, 1, 0, 1, 1, 0, 2, 2, 0, 2, 1, 0, 1, 1, 1  },
{ 3, 0, 2, 2, 2, 0, 2, 1, 2, 1, 3, 3, 1, 1, 1, 3, 0, 0, 2, 2, 2, 3, 2, 1, 2, 2, 2, 3, 1, 2, 3, 2, 3, 3, 3, 2, 3, 0, 0, 2, 3, 2  },
{ 1, 0, 2, 0, 3, 1, 2, 2, 0, 2, 2, 1, 1, 2, 1, 1, 2, 3, 2, 2, 1, 2, 2, 1, 2, 2, 0, 3, 2, 1, 1, 2, 2, 1, 2, 1, 1, 1, 3, 2, 1, 3  },
{ 0, 3, 1, 0, 1, 1, 1, 1, 0, 2, 0, 2, 2, 0, 3, 0, 0, 1, 2, 1, 0, 1, 0, 2, 0, 1, 2, 2, 0, 2, 3, 2, 2, 2, 3, 0, 2, 1, 0, 2, 1, 3  },
{ 2, 1, 2, 0, 0, 1, 2, 1, 0, 3, 0, 2, 0, 1, 2, 0, 1, 0, 1, 3, 0, 2, 1, 2, 0, 2, 1, 3, 1, 1, 1, 1, 1, 3, 3, 1, 1, 2, 1, 1, 2, 2  },
{ 1, 2, 0, 1, 1, 0, 1, 0, 2, 2, 2, 2, 2, 0, 1, 0, 1, 1, 2, 3, 0, 0, 3, 2, 2, 0, 2, 0, 1, 0, 2, 0, 3, 1, 2, 2, 2, 0, 0, 1, 0, 3  },
{ 3, 3, 0, 2, 2, 1, 2, 2, 0, 3, 2, 3, 1, 3, 2, 3, 2, 1, 1, 1, 2, 3, 1, 3, 3, 1, 2, 3, 1, 3, 2, 3, 2, 1, 3, 1, 2, 1, 1, 3, 3, 3  },
{ 3, 0, 1, 0, 2, 1, 2, 3, 0, 1, 2, 2, 1, 1, 0, 2, 0, 1, 0, 1, 0, 2, 1, 2, 0, 0, 3, 1, 0, 0, 1, 2, 3, 2, 3, 1, 2, 0, 1, 2, 3, 0  },
{ 3, 1, 0, 0, 1, 1, 0, 1, 2, 0, 2, 3, 2, 1, 0, 0, 1, 3, 1, 0, 2, 1, 2, 3, 3, 2, 3, 1, 0, 2, 2, 3, 3, 1, 3, 1, 3, 3, 2, 2, 3, 2  },
{ 3, 0, 0, 2, 3, 2, 3, 2, 3, 3, 3, 3, 2, 3, 2, 3, 1, 3, 2, 2, 1, 3, 3, 2, 3, 2, 2, 3, 3, 1, 3, 1, 3, 3, 1, 2, 3, 1, 2, 3, 1, 3  },
{ 3, 0, 2, 0, 3, 2, 3, 0, 3, 3, 3, 0, 3, 3, 2, 2, 1, 3, 0, 2, 3, 0, 3, 0, 3, 2, 2, 3, 2, 3, 2, 3, 3, 3, 0, 2, 3, 1, 2, 3, 3, 2  },
{ 3, 0, 2, 3, 2, 1, 3, 1, 3, 3, 3, 1, 3, 3, 2, 2, 0, 2, 2, 1, 3, 3, 3, 2, 3, 2, 1, 3, 2, 3, 2, 2, 3, 0, 3, 2, 3, 1, 3, 3, 2, 2  },
{ 0, 3, 2, 3, 1, 2, 3, 0, 3, 3, 2, 3, 0, 3, 2, 3, 1, 2, 2, 2, 3, 2, 3, 2, 3, 2, 0, 3, 2, 0, 0, 3, 0, 0, 0, 2, 3, 0, 3, 0, 3, 2  },
{ 0, 3, 1, 2, 2, 3, 2, 3, 3, 0, 1, 3, 2, 3, 2, 2, 3, 2, 1, 2, 3, 3, 2, 3, 2, 0, 3, 2, 2, 0, 0, 2, 3, 0, 3, 2, 3, 3, 2, 3, 3, 2  },
{ 3, 2, 0, 2, 3, 0, 0, 3, 3, 0, 2, 3, 2, 0, 3, 3, 3, 0, 2, 3, 2, 3, 2, 0, 2, 2, 3, 2, 3, 2, 2, 0, 3, 3, 0, 2, 3, 0, 0, 0, 3, 2  },
{ 0, 3, 2, 3, 0, 3, 3, 2, 2, 2, 3, 1, 3, 3, 2, 3, 0, 2, 0, 2, 3, 3, 3, 1, 2, 3, 2, 3, 2, 3, 2, 2, 3, 3, 3, 3, 2, 0, 1, 0, 2, 2  },
{ 3, 1, 2, 1, 1, 2, 1, 3, 3, 3, 2, 3, 3, 0, 3, 3, 3, 0, 2, 3, 2, 3, 0, 0, 2, 2, 3, 2, 3, 0, 3, 0, 3, 2, 0, 0, 3, 3, 2, 2, 3, 3  },
{ 3, 1, 0, 3, 2, 0, 2, 1, 2, 2, 1, 0, 0, 2, 1, 2, 3, 1, 2, 2, 0, 2, 0, 2, 0, 2, 1, 1, 2, 3, 1, 3, 2, 3, 3, 3, 2, 0, 1, 0, 3, 3  },
{ 3, 1, 0, 0, 2, 1, 0, 0, 0, 1, 2, 2, 1, 1, 0, 1, 2, 1, 2, 3, 1, 0, 3, 1, 1, 1, 1, 3, 3, 2, 1, 2, 0, 1, 0, 1, 3, 0, 1, 3, 1, 3  },
{ 1, 1, 0, 3, 2, 1, 0, 1, 0, 0, 1, 3, 2, 1, 0, 0, 0, 0, 2, 3, 2, 1, 3, 0, 3, 1, 0, 2, 2, 1, 2, 2, 3, 2, 0, 1, 2, 2, 2, 1, 3, 1  },
{ 3, 1, 1, 2, 0, 2, 3, 2, 3, 3, 2, 0, 3, 3, 0, 2, 3, 0, 2, 0, 0, 3, 3, 0, 3, 1, 2, 3, 2, 3, 3, 2, 3, 3, 0, 2, 3, 0, 3, 2, 3, 3  },
{ 3, 0, 2, 2, 2, 1, 3, 0, 3, 0, 3, 0, 3, 3, 2, 3, 2, 3, 3, 1, 3, 3, 3, 3, 2, 1, 3, 0, 1, 3, 1, 0, 3, 0, 3, 2, 3, 2, 3, 3, 3, 0  },
{ 3, 0, 2, 2, 2, 3, 1, 2, 2, 0, 1, 2, 2, 1, 3, 2, 3, 1, 2, 2, 3, 3, 1, 3, 2, 0, 3, 0, 2, 2, 2, 0, 3, 3, 3, 2, 3, 2, 3, 1, 2, 1  },
{ 3, 0, 2, 2, 2, 3, 2, 0, 1, 3, 2, 2, 3, 1, 2, 3, 2, 2, 2, 3, 3, 3, 3, 3, 2, 2, 3, 2, 3, 2, 2, 2, 2, 3, 0, 2, 3, 3, 2, 3, 3, 2  },
{ 3, 0, 0, 2, 2, 1, 2, 3, 2, 0, 3, 1, 0, 2, 3, 1, 3, 0, 3, 0, 2, 3, 2, 3, 2, 1, 3, 1, 3, 2, 3, 2, 3, 2, 2, 2, 3, 1, 0, 2, 2, 3  },
{ 1, 0, 3, 0, 0, 1, 2, 1, 0, 1, 2, 1, 3, 1, 3, 0, 3, 3, 0, 1, 1, 2, 3, 0, 0, 0, 2, 1, 3, 1, 2, 3, 3, 3, 0, 2, 3, 3, 2, 0, 0, 2  },
{ 1, 0, 2, 0, 2, 1, 1, 2, 2, 0, 1, 1, 2, 1, 0, 1, 2, 0, 0, 0, 1, 1, 2, 2, 2, 1, 2, 1, 1, 2, 2, 2, 1, 2, 1, 2, 2, 0, 2, 1, 1, 1  },
{ 2, 3, 0, 0, 1, 3, 3, 2, 0, 3, 0, 2, 0, 1, 0, 1, 1, 0, 1, 1, 1, 1, 2, 0, 1, 2, 0, 1, 0, 1, 0, 3, 1, 3, 1, 0, 2, 0, 1, 1, 0, 0  },
{ 0, 3, 2, 3, 3, 3, 2, 3, 2, 0, 2, 1, 0, 3, 1, 3, 3, 2, 3, 3, 3, 2, 3, 1, 2, 0, 0, 0, 2, 3, 2, 3, 2, 2, 3, 0, 3, 2, 3, 3, 3, 0  },
{ 0, 3, 2, 3, 3, 3, 1, 3, 3, 0, 2, 0, 3, 0, 1, 2, 3, 2, 3, 2, 3, 3, 2, 0, 3, 0, 2, 0, 0, 3, 2, 3, 0, 3, 3, 2, 3, 2, 3, 0, 3, 2  },
{ 0, 3, 2, 2, 0, 1, 0, 2, 2, 3, 2, 3, 3, 2, 0, 3, 0, 2, 1, 2, 3, 2, 3, 3, 2, 0, 0, 2, 0, 3, 1, 2, 2, 3, 0, 3, 3, 2, 3, 2, 3, 1  },
{ 0, 2, 3, 2, 0, 1, 1, 3, 3, 3, 2, 2, 3, 0, 0, 2, 3, 3, 3, 2, 3, 2, 3, 1, 3, 1, 2, 0, 0, 3, 0, 3, 2, 2, 0, 2, 3, 2, 3, 3, 3, 2  },
{ 0, 3, 2, 2, 0, 0, 0, 2, 2, 0, 0, 2, 3, 3, 3, 2, 3, 2, 0, 2, 3, 2, 2, 2, 2, 1, 1, 0, 0, 3, 0, 3, 0, 3, 3, 3, 2, 0, 3, 3, 3, 2  },
{ 0, 3, 1, 2, 2, 3, 1, 2, 2, 1, 1, 3, 2, 0, 2, 2, 3, 2, 0, 2, 3, 2, 2, 2, 2, 0, 1, 3, 2, 3, 1, 3, 1, 1, 0, 3, 2, 3, 3, 2, 3, 2  },
{ 0, 3, 2, 2, 1, 1, 1, 1, 0, 3, 2, 3, 0, 2, 3, 2, 1, 2, 3, 0, 3, 2, 3, 1, 2, 1, 2, 3, 0, 3, 0, 3, 2, 3, 3, 2, 3, 2, 1, 3, 3, 2  },
{ 0, 3, 1, 2, 0, 0, 3, 2, 2, 1, 2, 2, 0, 2, 1, 2, 1, 0, 1, 2, 1, 1, 3, 2, 2, 0, 1, 2, 2, 3, 1, 3, 1, 1, 3, 3, 2, 0, 2, 3, 3, 2  },
{ 0, 3, 2, 2, 0, 0, 2, 2, 2, 3, 2, 3, 2, 0, 3, 2, 0, 2, 0, 2, 2, 3, 0, 0, 0, 0, 3, 3, 0, 3, 3, 2, 0, 0, 0, 3, 2, 0, 2, 3, 3, 2  },
{ 1, 3, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0, 3, 2, 2, 2, 2, 3, 1, 2, 2, 3, 2, 2, 2, 0, 2, 3, 2, 3, 1, 3, 2, 1, 3, 2, 3, 3, 2, 0, 3, 2  },
{ 0, 3, 2, 0, 1, 1, 1, 3, 2, 1, 2, 0, 2, 3, 2, 3, 3, 0, 3, 2, 3, 2, 3, 2, 2, 2, 3, 2, 0, 3, 2, 0, 3, 0, 2, 2, 3, 0, 3, 3, 3, 3  },
{ 0, 3, 1, 2, 1, 1, 2, 2, 1, 2, 3, 2, 0, 2, 1, 2, 0, 3, 3, 2, 1, 0, 3, 2, 0, 0, 3, 2, 3, 3, 1, 0, 3, 2, 3, 3, 2, 3, 1, 3, 2, 2  },
{ 1, 3, 1, 2, 0, 3, 2, 0, 2, 3, 3, 3, 2, 3, 3, 2, 3, 0, 2, 1, 2, 1, 3, 2, 2, 2, 0, 1, 2, 3, 0, 3, 1, 0, 2, 3, 1, 0, 0, 3, 3, 2  },
{ 3, 3, 2, 0, 1, 3, 0, 1, 2, 3, 2, 3, 2, 3, 2, 3, 2, 0, 0, 2, 2, 3, 2, 2, 2, 0, 2, 3, 3, 0, 0, 3, 0, 3, 3, 0, 2, 2, 0, 3, 0, 3  },
{ 3, 1, 0, 2, 0, 1, 3, 0, 1, 1, 0, 1, 2, 1, 2, 1, 3, 1, 0, 1, 0, 2, 2, 0, 2, 3, 1, 2, 2, 1, 0, 2, 3, 1, 0, 2, 1, 0, 0, 2, 2, 1  },
{ 3, 1, 3, 0, 3, 0, 1, 0, 2, 0, 1, 0, 1, 0, 1, 3, 3, 1, 2, 3, 1, 2, 3, 2, 2, 0, 2, 2, 3, 2, 3, 2, 1, 2, 2, 1, 3, 3, 3, 3, 2, 2  },
{ 0, 3, 2, 2, 1, 1, 1, 2, 2, 3, 2, 3, 0, 2, 0, 3, 0, 2, 0, 0, 3, 2, 3, 1, 2, 3, 1, 3, 2, 3, 0, 3, 2, 3, 3, 3, 0, 2, 3, 0, 3, 2  },
{ 0, 3, 1, 2, 2, 3, 2, 2, 2, 0, 3, 2, 2, 2, 0, 3, 2, 0, 3, 2, 3, 3, 3, 3, 2, 0, 1, 1, 2, 3, 1, 2, 3, 0, 2, 2, 3, 2, 2, 3, 3, 2  },
{ 0, 3, 1, 2, 1, 2, 2, 2, 2, 2, 1, 3, 3, 1, 3, 2, 0, 1, 0, 2, 2, 3, 2, 2, 2, 3, 3, 1, 2, 1, 3, 2, 2, 2, 2, 2, 0, 3, 2, 3, 3, 0  },
{ 3, 1, 2, 2, 1, 2, 0, 2, 2, 0, 1, 3, 1, 2, 1, 1, 3, 1, 0, 2, 2, 1, 3, 3, 1, 0, 1, 2, 2, 0, 1, 3, 3, 0, 0, 2, 2, 2, 1, 0, 3, 2  },
{ 1, 2, 1, 0, 0, 1, 2, 0, 2, 3, 3, 1, 1, 1, 0, 0, 1, 2, 0, 0, 3, 0, 1, 2, 0, 1, 3, 1, 3, 1, 2, 1, 3, 1, 1, 0, 0, 0, 1, 1, 3, 2  },
{ 0, 2, 3, 2, 0, 1, 0, 2, 3, 2, 3, 0, 3, 0, 2, 0, 0, 1, 1, 3, 2, 3, 3, 3, 2, 2, 1, 1, 3, 3, 0, 2, 3, 1, 2, 2, 0, 3, 1, 3, 2, 2  },
{ 0, 2, 1, 2, 0, 1, 0, 2, 2, 0, 1, 2, 3, 1, 0, 2, 3, 2, 2, 1, 2, 3, 1, 3, 3, 0, 1, 3, 3, 1, 3, 2, 3, 3, 2, 2, 0, 2, 2, 1, 2, 3  },
{ 0, 2, 3, 2, 0, 0, 1, 1, 0, 0, 0, 2, 3, 2, 2, 3, 3, 2, 2, 0, 2, 3, 0, 2, 0, 0, 1, 1, 2, 3, 3, 2, 3, 3, 3, 2, 3, 2, 3, 2, 3, 0  },
{ 0, 2, 1, 2, 0, 1, 0, 2, 2, 0, 0, 2, 3, 1, 3, 0, 3, 2, 3, 0, 3, 3, 3, 3, 2, 1, 1, 2, 2, 3, 0, 0, 3, 2, 2, 2, 3, 2, 3, 2, 3, 0  },
{ 0, 3, 1, 2, 2, 1, 2, 2, 2, 0, 0, 2, 0, 3, 2, 2, 2, 3, 3, 2, 0, 0, 2, 2, 2, 0, 1, 3, 2, 1, 0, 3, 2, 3, 2, 2, 3, 3, 2, 2, 3, 0  },
{ 0, 2, 1, 2, 1, 1, 1, 0, 1, 0, 2, 1, 2, 3, 3, 2, 3, 2, 1, 3, 3, 0, 2, 3, 3, 0, 1, 3, 2, 3, 0, 3, 2, 2, 0, 2, 2, 3, 0, 2, 3, 2  },
{ 0, 3, 2, 0, 0, 2, 1, 0, 2, 1, 2, 0, 2, 1, 2, 2, 3, 3, 2, 1, 2, 0, 3, 2, 0, 0, 1, 2, 3, 2, 3, 2, 2, 2, 3, 2, 2, 2, 1, 2, 3, 0  },
{ 0, 3, 2, 2, 1, 0, 0, 1, 0, 0, 2, 3, 1, 2, 3, 2, 3, 2, 0, 3, 2, 3, 2, 2, 2, 1, 2, 3, 2, 0, 3, 0, 3, 2, 2, 2, 3, 2, 0, 3, 0, 2  },
{ 1, 3, 1, 0, 1, 0, 2, 0, 2, 2, 1, 0, 2, 1, 0, 2, 3, 3, 0, 1, 2, 0, 3, 0, 0, 1, 2, 2, 3, 0, 3, 2, 3, 3, 2, 3, 2, 3, 1, 3, 2, 0  },
{ 1, 3, 1, 1, 0, 2, 1, 0, 3, 3, 1, 3, 2, 0, 2, 3, 0, 2, 3, 2, 0, 3, 2, 3, 3, 2, 3, 0, 3, 0, 0, 0, 3, 0, 2, 2, 3, 3, 0, 3, 3, 2  },
{ 1, 1, 3, 1, 2, 2, 3, 0, 2, 2, 1, 2, 2, 1, 1, 2, 3, 3, 2, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 3, 3, 1, 3, 0, 3, 3, 2, 3, 0, 3, 2, 2  },
{ 0, 1, 1, 1, 1, 0, 0, 2, 2, 0, 2, 2, 1, 1, 2, 2, 2, 2, 2, 2, 1, 3, 1, 0, 1, 2, 2, 0, 1, 1, 0, 0, 0, 2, 1, 2, 2, 0, 1, 0, 3, 1  },
{ 0, 2, 1, 2, 0, 1, 2, 2, 2, 0, 0, 0, 2, 0, 2, 2, 3, 2, 2, 1, 2, 3, 0, 2, 2, 0, 1, 3, 2, 3, 3, 1, 3, 2, 2, 2, 0, 3, 3, 1, 3, 2  },
{ 0, 3, 1, 2, 2, 2, 3, 0, 2, 0, 1, 1, 2, 2, 1, 1, 3, 1, 0, 2, 2, 3, 1, 0, 2, 0, 0, 2, 2, 0, 3, 1, 2, 2, 2, 2, 2, 1, 2, 2, 3, 2  },
{ 0, 3, 2, 2, 0, 2, 2, 2, 2, 1, 0, 1, 1, 2, 2, 2, 0, 1, 2, 1, 2, 3, 2, 3, 2, 1, 1, 0, 3, 2, 3, 1, 3, 2, 2, 2, 3, 0, 2, 3, 2, 3  },
{ 3, 1, 2, 2, 2, 1, 0, 0, 1, 0, 0, 2, 3, 2, 0, 2, 1, 0, 1, 2, 1, 3, 3, 2, 1, 2, 2, 3, 1, 2, 1, 2, 3, 3, 1, 2, 3, 1, 2, 1, 1, 2  },
{ 0, 1, 3, 0, 0, 1, 2, 1, 2, 3, 3, 2, 1, 2, 0, 0, 3, 2, 2, 1, 2, 1, 3, 2, 2, 0, 0, 1, 2, 1, 2, 3, 3, 0, 2, 1, 2, 0, 3, 0, 2, 2  },
{ 3, 1, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 1, 2, 2, 2, 1, 3, 1, 1, 1, 1, 3, 0, 1, 0, 2, 0, 1, 0, 3, 2, 1, 1, 0, 2, 3, 0, 1, 0, 2, 3  },
{ 1, 0, 0, 1, 3, 1, 2, 0, 1, 2, 0, 1, 1, 2, 1, 0, 1, 0, 1, 2, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 2, 3, 3, 2, 1, 1, 0, 0, 1, 0, 2, 0  },
{ 0, 2, 1, 2, 0, 1, 0, 0, 2, 0, 0, 1, 3, 0, 1, 0, 0, 2, 2, 0, 3, 0, 3, 2, 2, 0, 1, 2, 2, 3, 0, 3, 2, 0, 2, 2, 0, 2, 0, 3, 3, 0  },
{ 0, 2, 1, 2, 0, 0, 1, 0, 2, 0, 0, 2, 3, 2, 1, 0, 0, 2, 3, 2, 3, 0, 3, 3, 2, 2, 0, 0, 3, 3, 0, 2, 3, 1, 2, 2, 0, 1, 0, 3, 2, 0  },
{ 0, 2, 1, 2, 0, 0, 1, 1, 0, 0, 0, 1, 3, 2, 2, 2, 0, 2, 2, 1, 2, 1, 0, 2, 0, 3, 3, 0, 3, 3, 0, 3, 0, 3, 2, 2, 0, 2, 1, 2, 3, 0  },
{ 0, 2, 1, 2, 0, 0, 1, 2, 2, 0, 0, 1, 0, 1, 2, 0, 0, 2, 2, 0, 3, 3, 0, 1, 2, 0, 1, 2, 2, 3, 3, 2, 3, 0, 2, 2, 0, 2, 2, 2, 3, 0  },
{ 0, 3, 1, 2, 1, 0, 1, 0, 2, 0, 0, 2, 2, 1, 1, 2, 2, 1, 0, 0, 2, 3, 0, 2, 2, 0, 1, 3, 3, 2, 2, 1, 3, 1, 2, 2, 2, 1, 2, 2, 3, 2  },
{ 0, 2, 1, 2, 0, 0, 0, 1, 0, 0, 2, 2, 0, 2, 2, 2, 0, 1, 0, 3, 2, 3, 0, 2, 0, 0, 1, 0, 3, 3, 0, 0, 3, 0, 0, 2, 2, 0, 3, 3, 2, 0  },
{ 0, 2, 0, 2, 0, 0, 3, 1, 0, 2, 3, 2, 3, 3, 1, 2, 0, 1, 2, 2, 3, 3, 0, 2, 2, 0, 1, 0, 3, 2, 2, 0, 3, 2, 2, 2, 2, 0, 2, 3, 2, 3  },
{ 1, 3, 0, 2, 0, 1, 3, 1, 0, 0, 0, 0, 2, 1, 2, 2, 2, 3, 2, 2, 3, 2, 3, 3, 1, 0, 1, 2, 2, 0, 0, 3, 2, 3, 0, 2, 3, 3, 0, 1, 3, 2  },
{ 1, 2, 1, 0, 2, 0, 0, 3, 2, 0, 0, 1, 1, 1, 2, 2, 3, 1, 0, 3, 2, 1, 0, 2, 2, 0, 1, 0, 2, 2, 1, 2, 3, 0, 2, 2, 2, 3, 2, 2, 3, 0  },
{ 0, 2, 3, 2, 0, 0, 0, 1, 0, 0, 2, 2, 1, 2, 2, 0, 0, 1, 3, 3, 2, 3, 0, 3, 2, 0, 1, 3, 2, 0, 2, 0, 3, 0, 2, 2, 2, 0, 3, 3, 2, 2  },
{ 1, 3, 1, 2, 0, 0, 2, 1, 0, 2, 1, 3, 1, 2, 2, 2, 0, 1, 1, 0, 2, 2, 3, 0, 2, 0, 1, 2, 2, 3, 2, 0, 3, 0, 2, 2, 2, 0, 0, 2, 3, 2  },
{ 1, 0, 2, 0, 0, 1, 3, 1, 0, 1, 2, 2, 3, 2, 1, 2, 3, 1, 2, 2, 1, 2, 2, 0, 2, 0, 1, 3, 2, 0, 3, 3, 0, 3, 3, 2, 2, 2, 1, 3, 3, 0  },
{ 1, 3, 0, 0, 2, 0, 1, 0, 2, 3, 3, 3, 2, 1, 2, 2, 0, 0, 2, 1, 3, 0, 3, 0, 1, 0, 3, 0, 0, 2, 2, 3, 0, 0, 3, 2, 2, 2, 3, 2, 3, 0  },
{ 3, 1, 0, 0, 3, 1, 0, 2, 0, 0, 1, 0, 1, 1, 2, 2, 3, 2, 0, 1, 1, 3, 2, 2, 2, 0, 2, 1, 3, 0, 2, 3, 2, 3, 1, 1, 2, 0, 0, 2, 3, 1  },
{ 1, 3, 0, 0, 0, 1, 1, 2, 0, 2, 1, 0, 2, 0, 1, 2, 0, 3, 0, 2, 1, 2, 0, 1, 2, 2, 1, 2, 3, 2, 3, 2, 0, 3, 0, 2, 2, 3, 1, 0, 0, 0  },
{ 1, 0, 2, 0, 0, 0, 1, 0, 3, 2, 3, 1, 2, 0, 2, 0, 0, 1, 2, 2, 0, 2, 2, 0, 2, 0, 1, 2, 1, 2, 3, 2, 0, 3, 2, 2, 2, 2, 1, 2, 2, 0  },
{ 1, 0, 3, 0, 0, 1, 2, 1, 0, 2, 2, 0, 2, 3, 2, 2, 0, 0, 2, 1, 0, 2, 2, 1, 0, 0, 1, 0, 2, 2, 1, 3, 1, 3, 1, 2, 3, 3, 2, 2, 3, 2  },
{ 3, 0, 1, 1, 1, 0, 0, 0, 0, 2, 1, 2, 0, 1, 1, 2, 1, 0, 0, 0, 0, 0, 3, 1, 1, 1, 2, 1, 3, 1, 2, 3, 3, 3, 1, 1, 3, 2, 2, 2, 1, 1  },
{ 1, 3, 0, 1, 0, 2, 1, 3, 0, 3, 3, 1, 0, 2, 2, 1, 3, 2, 2, 3, 2, 1, 3, 2, 0, 2, 2, 2, 0, 2, 0, 3, 2, 2, 3, 2, 3, 0, 3, 2, 3, 0  },
{ 3, 0, 1, 1, 3, 0, 1, 2, 0, 0, 3, 0, 0, 2, 2, 1, 3, 2, 1, 0, 1, 2, 3, 2, 3, 0, 2, 2, 0, 2, 1, 2, 3, 3, 2, 2, 1, 3, 2, 2, 3, 1  },
{ 0, 2, 3, 2, 0, 1, 1, 2, 2, 3, 0, 0, 3, 1, 0, 2, 0, 0, 3, 2, 2, 1, 1, 2, 2, 2, 0, 0, 2, 1, 1, 3, 1, 2, 2, 2, 0, 1, 2, 1, 1, 0  },
{ 0, 3, 2, 2, 3, 0, 3, 2, 2, 3, 1, 2, 0, 2, 2, 2, 0, 2, 2, 3, 2, 3, 1, 2, 2, 3, 1, 3, 0, 2, 3, 0, 3, 1, 2, 2, 0, 2, 0, 3, 2, 3  },
{ 1, 3, 2, 0, 2, 1, 2, 0, 2, 0, 1, 1, 2, 0, 2, 2, 2, 0, 2, 0, 2, 3, 0, 1, 0, 3, 0, 1, 2, 2, 3, 0, 3, 2, 1, 2, 0, 1, 2, 2, 3, 2  },
{ 1, 3, 1, 2, 0, 0, 0, 1, 1, 1, 1, 0, 0, 0, 3, 2, 3, 1, 1, 3, 2, 3, 2, 2, 2, 3, 1, 3, 1, 2, 3, 2, 3, 2, 1, 2, 0, 3, 0, 0, 2, 0  },
{ 1, 3, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0, 0, 2, 3, 0, 3, 1, 1, 1, 0, 2, 1, 2, 2, 1, 2, 0, 3, 2, 0, 1, 1, 2, 2, 2, 3, 0, 2, 3, 2, 3  },
{ 3, 1, 1, 0, 0, 0, 2, 0, 2, 3, 0, 1, 2, 1, 1, 0, 0, 0, 2, 0, 3, 3, 2, 0, 2, 2, 2, 1, 3, 2, 1, 0, 2, 2, 2, 0, 0, 2, 0, 0, 2, 3  },
{ 3, 1, 1, 2, 0, 1, 0, 1, 1, 0, 0, 3, 2, 2, 1, 2, 2, 2, 0, 0, 0, 3, 2, 3, 0, 3, 1, 2, 3, 2, 2, 3, 1, 0, 3, 2, 1, 0, 3, 3, 0, 2  },
{ 1, 0, 3, 2, 1, 0, 0, 3, 0, 0, 1, 3, 1, 2, 2, 3, 2, 0, 1, 0, 0, 0, 2, 2, 0, 1, 0, 1, 2, 2, 3, 3, 0, 2, 2, 2, 3, 2, 2, 3, 2, 3  },
{ 1, 0, 1, 0, 0, 0, 1, 2, 0, 3, 2, 3, 1, 1, 2, 0, 2, 0, 1, 2, 0, 3, 0, 3, 2, 3, 2, 1, 3, 3, 2, 3, 2, 2, 2, 1, 2, 0, 2, 2, 0, 3  },
{ 0, 2, 2, 2, 0, 0, 0, 1, 0, 2, 0, 2, 3, 3, 2, 2, 0, 0, 0, 3, 1, 0, 0, 1, 0, 2, 1, 1, 2, 3, 0, 3, 0, 3, 1, 2, 0, 2, 0, 3, 2, 0  },
{ 0, 2, 1, 2, 0, 0, 1, 0, 0, 2, 1, 1, 3, 0, 2, 2, 0, 0, 0, 2, 1, 2, 1, 0, 2, 2, 0, 3, 2, 2, 1, 3, 0, 0, 2, 2, 0, 2, 1, 2, 1, 0  },
{ 0, 0, 2, 2, 0, 0, 3, 1, 0, 0, 2, 1, 0, 2, 2, 0, 0, 1, 0, 3, 2, 2, 1, 1, 0, 2, 1, 3, 2, 0, 2, 0, 3, 0, 1, 2, 0, 2, 1, 3, 3, 3  },
{ 1, 1, 2, 0, 0, 0, 1, 1, 0, 2, 0, 3, 1, 2, 1, 2, 0, 1, 0, 2, 2, 2, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 3, 1, 2, 2, 0, 2, 2, 0, 3, 0  },
{ 1, 2, 1, 0, 1, 0, 3, 2, 2, 0, 1, 1, 1, 2, 0, 2, 2, 0, 3, 3, 1, 0, 3, 2, 2, 0, 2, 0, 2, 2, 2, 0, 1, 3, 2, 2, 0, 1, 2, 3, 0, 3  },
{ 1, 2, 0, 2, 0, 1, 0, 1, 0, 0, 0, 1, 2, 3, 2, 2, 0, 0, 2, 2, 3, 2, 0, 1, 0, 0, 1, 1, 2, 0, 2, 0, 2, 3, 1, 2, 2, 0, 2, 2, 3, 0  },
{ 1, 2, 1, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 2, 0, 0, 2, 1, 3, 2, 0, 1, 2, 2, 0, 0, 0, 0, 3, 2, 2, 0, 2, 2, 2, 3, 0  },
{ 1, 2, 0, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 2, 1, 2, 2, 0, 2, 2, 3, 2, 1, 2, 2, 0, 2, 0, 0, 2, 0, 0, 3, 0, 0, 2, 0, 1, 2, 2, 0, 0  },
{ 1, 3, 1, 2, 0, 0, 1, 0, 2, 1, 1, 3, 1, 3, 2, 2, 3, 0, 1, 3, 2, 2, 0, 2, 2, 0, 1, 0, 3, 2, 1, 1, 3, 1, 0, 1, 2, 0, 2, 2, 1, 1  },
{ 1, 2, 3, 2, 0, 1, 0, 1, 0, 0, 2, 0, 2, 1, 2, 0, 0, 0, 1, 3, 2, 2, 2, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 3, 2, 2, 2, 0, 1, 2, 3, 0  },
{ 1, 2, 0, 0, 0, 0, 1, 2, 0, 2, 1, 1, 3, 0, 1, 2, 1, 0, 1, 1, 0, 1, 2, 3, 2, 0, 1, 0, 0, 3, 0, 3, 0, 1, 2, 2, 2, 0, 1, 3, 2, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 1, 3, 2, 2, 0, 3, 0, 3, 2, 2, 0, 2, 0, 1, 2, 3, 2, 3, 3, 0, 3, 2, 2, 3, 3, 0, 2, 3, 2  },
{ 1, 0, 0, 2, 3, 0, 2, 1, 0, 0, 0, 1, 2, 3, 2, 2, 3, 1, 3, 1, 0, 2, 3, 1, 0, 0, 1, 2, 2, 0, 2, 0, 0, 2, 1, 2, 3, 1, 2, 2, 3, 2  },
{ 1, 1, 2, 0, 0, 2, 1, 3, 0, 0, 0, 2, 2, 1, 2, 1, 1, 2, 3, 0, 2, 0, 2, 2, 2, 0, 0, 2, 2, 3, 3, 0, 3, 0, 2, 2, 2, 0, 3, 3, 0, 0  },
{ 3, 3, 1, 0, 1, 2, 1, 3, 0, 0, 2, 1, 2, 3, 2, 1, 1, 3, 1, 0, 1, 3, 2, 0, 3, 2, 0, 2, 0, 2, 0, 2, 0, 3, 2, 0, 3, 2, 0, 3, 0, 0  },
{ 1, 2, 1, 0, 0, 0, 2, 1, 2, 0, 0, 2, 3, 3, 2, 2, 0, 2, 2, 2, 0, 1, 3, 2, 2, 3, 1, 0, 3, 2, 0, 3, 0, 3, 2, 2, 0, 1, 0, 2, 1, 0  },
{ 1, 3, 2, 0, 1, 1, 0, 1, 2, 3, 1, 1, 2, 2, 1, 2, 1, 1, 0, 2, 2, 3, 3, 1, 2, 2, 1, 0, 0, 2, 3, 2, 0, 2, 2, 2, 0, 1, 2, 2, 2, 0  },
{ 1, 3, 1, 0, 1, 0, 2, 1, 2, 0, 1, 3, 0, 3, 2, 2, 3, 0, 1, 3, 1, 2, 3, 0, 2, 0, 2, 1, 0, 3, 2, 0, 3, 2, 3, 2, 0, 1, 0, 2, 0, 3  },
{ 1, 0, 2, 0, 2, 0, 1, 2, 2, 0, 1, 2, 0, 2, 3, 1, 1, 0, 1, 1, 2, 3, 0, 2, 0, 3, 0, 3, 0, 2, 2, 0, 3, 2, 2, 1, 0, 2, 0, 1, 2, 3  },
{ 1, 0, 0, 2, 2, 0, 1, 0, 1, 1, 1, 3, 3, 2, 0, 1, 3, 0, 1, 1, 1, 3, 2, 3, 0, 1, 3, 2, 3, 2, 2, 3, 2, 3, 1, 2, 2, 0, 1, 3, 2, 2  },
{ 1, 0, 0, 2, 3, 0, 1, 2, 1, 1, 1, 2, 3, 2, 0, 0, 2, 0, 1, 1, 3, 0, 3, 3, 1, 1, 2, 1, 3, 1, 2, 0, 2, 3, 2, 1, 2, 0, 1, 2, 2, 3  },
{ 1, 0, 2, 2, 0, 0, 1, 3, 0, 0, 1, 2, 1, 0, 2, 2, 0, 2, 0, 3, 3, 0, 0, 1, 0, 0, 1, 0, 3, 3, 0, 3, 0, 3, 1, 2, 1, 2, 0, 1, 3, 0  },
{ 1, 2, 2, 0, 0, 1, 1, 0, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 2, 3, 0, 2, 0, 1, 2, 2, 1, 1, 3, 0, 1, 1, 3, 1, 0, 2, 0, 1, 0, 2, 2, 0  },
{ 1, 0, 2, 0, 0, 0, 1, 2, 0, 0, 2, 3, 3, 0, 2, 0, 0, 0, 0, 1, 2, 2, 0, 2, 0, 0, 0, 2, 2, 0, 2, 1, 2, 0, 1, 0, 2, 2, 1, 0, 0, 1  },
{ 1, 2, 2, 0, 0, 0, 1, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 1, 0, 1, 0, 2, 2, 2, 1, 0, 2, 0, 2, 0, 3, 1, 0, 2, 0, 1, 0, 3, 2, 0  },
{ 1, 2, 0, 2, 1, 1, 0, 1, 0, 0, 1, 2, 3, 1, 1, 2, 1, 2, 1, 1, 0, 0, 2, 3, 2, 2, 3, 0, 1, 0, 2, 0, 0, 2, 2, 2, 0, 1, 1, 2, 2, 0  },
{ 1, 1, 2, 2, 0, 0, 1, 1, 0, 0, 2, 1, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 0, 1, 2, 0, 1, 2, 2, 0, 2, 0, 3, 0, 2, 0, 2, 1, 3, 1, 3, 0  },
{ 1, 0, 2, 0, 0, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 2, 0, 0, 2, 1, 1, 1, 0, 0, 1, 2, 3, 3, 1, 0, 2, 1, 2, 1, 0, 2, 0, 1, 0, 1, 1, 0  },
{ 1, 0, 2, 0, 0, 0, 1, 2, 0, 1, 1, 1, 1, 1, 0, 2, 0, 2, 1, 1, 0, 2, 1, 2, 2, 0, 2, 0, 2, 2, 2, 0, 3, 1, 3, 2, 0, 2, 0, 2, 2, 0  },
{ 1, 0, 2, 0, 0, 1, 0, 2, 0, 1, 1, 0, 1, 0, 2, 2, 3, 0, 2, 3, 0, 1, 2, 1, 2, 0, 2, 3, 0, 2, 2, 0, 0, 0, 2, 0, 0, 1, 0, 0, 2, 0  },
{ 1, 2, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 3, 1, 2, 0, 0, 0, 2, 1, 1, 0, 1, 0, 0, 0, 1, 2, 0, 2, 1, 2, 1, 0, 1, 2, 2, 1, 1, 2, 2, 0  },
{ 1, 0, 2, 1, 0, 0, 2, 1, 0, 0, 0, 0, 1, 1, 2, 0, 0, 0, 1, 2, 1, 2, 0, 2, 2, 0, 1, 3, 2, 2, 3, 0, 2, 1, 3, 2, 2, 0, 1, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 3, 0, 1, 0, 0, 2, 1, 3, 2, 2, 2, 0, 1, 1, 3, 1, 1, 0, 2, 2, 0, 3, 0, 1, 2, 1, 3, 0, 3, 1, 2, 0, 1, 0, 2, 0, 0  },
{ 1, 0, 2, 0, 1, 1, 0, 3, 0, 2, 1, 2, 0, 1, 0, 2, 1, 1, 2, 0, 3, 0, 2, 0, 1, 0, 0, 3, 1, 2, 1, 2, 0, 2, 1, 1, 2, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 1, 0, 2, 0, 3, 1, 1, 0, 1, 0, 2, 2, 2, 1, 1, 2, 3, 2, 1, 1, 0, 0, 2, 0, 2, 2, 3, 2, 2, 0, 0, 2, 0, 0, 0, 3, 0  },
{ 1, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 2, 2, 1, 2, 0, 0, 0, 2, 1, 3, 2, 2, 0, 0, 0, 1, 2, 0, 3, 2, 1, 0, 2, 1, 2, 2, 3, 0, 2, 3, 0  },
{ 1, 0, 2, 1, 0, 0, 2, 1, 0, 0, 1, 0, 1, 2, 1, 0, 0, 3, 0, 1, 2, 0, 1, 0, 3, 0, 0, 0, 1, 2, 0, 0, 2, 1, 2, 2, 2, 2, 3, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 0, 1, 2, 0, 3, 1, 2, 2, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 1, 0, 3, 0, 1, 2, 0, 0, 2, 1, 2, 2, 2, 0, 1, 2, 0, 2  },
{ 1, 2, 0, 0, 1, 2, 0, 0, 0, 2, 1, 2, 1, 0, 1, 2, 2, 3, 1, 0, 0, 0, 2, 1, 1, 1, 1, 2, 1, 0, 2, 2, 3, 3, 3, 1, 2, 0, 3, 2, 1, 3  },
{ 3, 1, 3, 0, 1, 3, 0, 2, 0, 0, 2, 1, 1, 3, 0, 0, 0, 0, 3, 1, 0, 2, 3, 0, 1, 0, 0, 2, 2, 3, 2, 1, 2, 2, 2, 1, 2, 3, 2, 2, 3, 0  },
{ 3, 1, 0, 0, 2, 2, 3, 0, 2, 3, 0, 1, 0, 3, 1, 0, 0, 1, 1, 0, 2, 1, 3, 0, 0, 0, 3, 0, 1, 3, 0, 2, 3, 3, 2, 2, 1, 3, 1, 3, 2, 3  },
{ 1, 3, 1, 2, 0, 2, 1, 0, 2, 1, 1, 1, 3, 1, 2, 2, 0, 2, 0, 3, 0, 0, 0, 3, 2, 2, 1, 0, 1, 0, 2, 0, 3, 0, 0, 2, 1, 0, 1, 1, 0, 2  },
{ 1, 0, 2, 0, 1, 1, 0, 1, 2, 2, 1, 0, 0, 2, 1, 2, 1, 1, 2, 3, 0, 2, 3, 1, 2, 2, 1, 1, 1, 3, 1, 0, 1, 2, 0, 2, 1, 0, 1, 0, 0, 3  },
{ 1, 0, 2, 0, 0, 0, 1, 0, 2, 1, 1, 3, 1, 1, 2, 2, 3, 2, 0, 1, 0, 0, 3, 1, 2, 1, 1, 0, 2, 0, 2, 0, 0, 2, 1, 1, 0, 2, 3, 2, 3, 0  },
{ 1, 0, 2, 0, 1, 1, 0, 2, 1, 0, 2, 0, 1, 3, 2, 2, 1, 0, 3, 1, 0, 2, 3, 0, 2, 2, 1, 2, 1, 1, 0, 0, 3, 0, 0, 2, 1, 0, 1, 2, 3, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 2, 2, 3, 1, 0, 1, 2, 0, 1, 1, 1, 2, 1, 0, 2, 3, 2, 2, 2, 1, 2, 0, 2, 0, 1, 3, 2, 0, 2, 1, 0, 1, 1, 0, 3  },
{ 1, 0, 0, 2, 3, 0, 0, 0, 2, 1, 1, 0, 2, 1, 0, 0, 2, 3, 1, 3, 1, 1, 2, 2, 2, 2, 0, 1, 3, 2, 0, 0, 3, 2, 0, 0, 0, 2, 0, 0, 0, 3  },
{ 1, 2, 0, 0, 1, 1, 0, 3, 3, 2, 2, 1, 3, 0, 1, 2, 1, 0, 0, 1, 0, 1, 2, 3, 2, 0, 1, 2, 2, 2, 0, 2, 3, 0, 1, 0, 2, 0, 0, 1, 2, 0  },
{ 1, 3, 1, 2, 0, 0, 0, 0, 2, 1, 0, 1, 1, 0, 2, 2, 0, 2, 0, 1, 0, 0, 2, 2, 1, 3, 0, 1, 1, 0, 2, 3, 1, 1, 0, 2, 1, 1, 0, 0, 2, 0  },
{ 0, 1, 0, 2, 0, 1, 0, 3, 2, 2, 2, 2, 2, 0, 0, 1, 1, 1, 0, 1, 2, 3, 2, 3, 2, 1, 2, 1, 3, 1, 2, 0, 0, 2, 2, 0, 2, 0, 2, 0, 2, 2  },
{ 1, 2, 3, 1, 0, 0, 3, 0, 2, 1, 3, 0, 1, 1, 3, 2, 0, 1, 1, 0, 1, 1, 2, 3, 0, 0, 2, 0, 3, 2, 2, 1, 2, 1, 2, 0, 2, 0, 2, 0, 2, 3  },
{ 2, 1, 0, 1, 2, 2, 1, 0, 0, 0, 0, 2, 0, 1, 2, 0, 2, 3, 1, 2, 0, 0, 0, 2, 0, 2, 3, 1, 2, 1, 1, 2, 3, 2, 2, 0, 1, 0, 0, 1, 2, 2  },
{ 1, 2, 2, 2, 0, 1, 2, 0, 2, 3, 0, 3, 3, 1, 3, 2, 1, 0, 3, 1, 2, 2, 2, 3, 3, 2, 0, 0, 1, 1, 2, 3, 0, 3, 2, 2, 3, 2, 1, 2, 2, 2  },
{ 2, 2, 1, 1, 1, 2, 2, 2, 0, 0, 1, 1, 0, 1, 2, 1, 1, 1, 1, 2, 0, 1, 0, 0, 1, 2, 0, 3, 1, 1, 0, 0, 0, 2, 1, 0, 0, 2, 2, 1, 2, 2  },
{ 1, 1, 2, 1, 0, 1, 0, 1, 0, 2, 1, 1, 2, 2, 2, 2, 0, 1, 2, 0, 1, 0, 2, 1, 0, 1, 1, 1, 0, 2, 0, 2, 0, 3, 2, 1, 1, 2, 1, 2, 1, 0  },
{ 1, 2, 2, 2, 0, 0, 1, 0, 2, 1, 1, 2, 1, 0, 0, 2, 0, 2, 1, 1, 0, 1, 1, 2, 0, 0, 1, 2, 1, 0, 0, 0, 2, 2, 1, 2, 1, 2, 3, 1, 0, 0  },
{ 1, 1, 2, 1, 0, 0, 1, 2, 0, 0, 0, 2, 0, 1, 2, 0, 0, 2, 1, 1, 0, 1, 0, 2, 0, 0, 0, 3, 2, 0, 2, 0, 2, 2, 1, 0, 2, 2, 2, 2, 0, 0  },
{ 1, 1, 2, 1, 2, 0, 1, 2, 0, 0, 0, 0, 0, 1, 0, 2, 0, 2, 1, 1, 0, 1, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 1, 2, 0, 2, 3, 3, 0, 0  },
{ 1, 2, 0, 2, 1, 1, 0, 1, 0, 0, 2, 0, 0, 1, 1, 2, 1, 1, 3, 2, 1, 0, 1, 2, 2, 2, 0, 2, 2, 2, 0, 2, 0, 1, 2, 0, 0, 2, 1, 3, 1, 0  },
{ 2, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 1, 1, 2, 0, 0, 3, 1, 2, 1, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 2, 2, 1, 0, 2, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 3, 0, 1, 0, 1, 0, 0, 2, 0, 2, 3, 0, 0, 1, 0, 1, 2, 0, 1, 2, 3, 2, 0  },
{ 1, 0, 2, 0, 1, 2, 3, 1, 0, 0, 2, 1, 0, 0, 0, 2, 1, 1, 0, 3, 0, 1, 1, 0, 2, 0, 2, 2, 3, 3, 2, 1, 3, 1, 1, 2, 0, 3, 1, 3, 0, 1  },
{ 1, 0, 2, 0, 1, 0, 2, 0, 0, 1, 1, 1, 3, 1, 2, 2, 3, 3, 0, 1, 1, 0, 0, 1, 1, 0, 2, 1, 2, 1, 0, 3, 1, 2, 0, 2, 1, 1, 0, 0, 2, 0  },
{ 2, 1, 1, 1, 0, 0, 3, 0, 0, 2, 1, 2, 0, 1, 2, 0, 0, 0, 3, 1, 3, 1, 0, 0, 0, 0, 0, 1, 0, 0, 2, 0, 2, 3, 1, 0, 2, 1, 1, 3, 0, 0  },
{ 1, 1, 0, 0, 0, 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 2, 0, 1, 3, 0, 1, 0, 3, 0, 0, 0, 0, 2, 3, 1, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 0, 1, 0, 0, 3, 0, 3, 2, 1, 1, 0, 0, 1, 1, 0, 1, 0, 0, 1, 2, 1, 2, 0, 1, 2, 0, 2, 1, 2, 1, 2, 0, 1, 0, 1, 2, 0  },
{ 1, 0, 2, 0, 0, 3, 3, 0, 0, 1, 0, 0, 3, 1, 2, 0, 2, 0, 1, 1, 0, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 2, 0, 1, 2, 1, 0, 2, 1, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 0, 3, 2, 0, 0, 2, 0, 2, 2, 0, 0, 1, 1, 3, 0, 0, 0, 1, 0, 2, 2, 2, 0, 2, 0, 2, 0, 1, 2, 0, 1, 2, 2, 0  },
{ 1, 1, 2, 0, 1, 3, 2, 0, 0, 0, 1, 1, 2, 0, 3, 0, 0, 0, 2, 0, 3, 2, 0, 2, 0, 0, 0, 2, 1, 3, 0, 2, 0, 0, 1, 0, 2, 1, 1, 2, 2, 0  },
{ 1, 1, 0, 3, 1, 2, 0, 0, 0, 0, 3, 1, 0, 1, 0, 2, 0, 2, 0, 0, 1, 3, 0, 1, 2, 0, 0, 0, 1, 0, 3, 2, 0, 2, 1, 2, 2, 1, 0, 1, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 2, 0, 0, 2, 1, 0, 2, 1, 0, 2, 1, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 1, 1, 2, 2, 2, 3, 3, 2, 1, 0, 2, 1, 0, 3, 0  },
{ 1, 2, 0, 1, 2, 0, 1, 0, 0, 2, 1, 0, 1, 0, 2, 2, 2, 1, 2, 1, 1, 3, 2, 0, 1, 0, 0, 2, 1, 0, 2, 2, 3, 3, 3, 0, 0, 2, 0, 2, 2, 2  },
{ 1, 0, 3, 1, 0, 3, 0, 2, 1, 1, 2, 0, 3, 1, 0, 0, 0, 3, 1, 2, 0, 1, 3, 0, 0, 1, 0, 2, 2, 3, 0, 3, 0, 2, 0, 2, 2, 3, 3, 2, 3, 0  },
{ 1, 2, 0, 1, 1, 3, 0, 0, 2, 2, 0, 2, 2, 0, 3, 0, 0, 0, 1, 2, 3, 0, 1, 0, 2, 0, 0, 1, 0, 1, 3, 2, 0, 3, 1, 1, 2, 2, 0, 2, 3, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 0, 2, 3, 3, 3, 1, 0, 1, 0, 0, 3, 2, 0, 1, 0, 3, 2, 0, 0, 2, 0, 1, 0, 2, 0, 1, 0, 2, 2, 3, 3, 1, 0, 2, 3  },
{ 2, 1, 2, 0, 0, 2, 1, 0, 0, 0, 2, 0, 0, 2, 0, 2, 1, 2, 2, 1, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 3, 2, 2, 2, 1, 1, 1, 1, 2, 0, 2, 3  },
{ 1, 0, 2, 0, 2, 0, 3, 2, 2, 1, 1, 0, 0, 3, 0, 2, 1, 2, 0, 1, 1, 0, 2, 3, 2, 2, 1, 0, 0, 2, 0, 2, 0, 0, 2, 0, 1, 2, 0, 0, 1, 1  },
{ 1, 0, 2, 0, 1, 0, 2, 1, 0, 2, 1, 1, 1, 1, 1, 2, 1, 2, 0, 1, 1, 0, 2, 3, 2, 2, 0, 1, 2, 2, 0, 3, 0, 2, 1, 0, 1, 1, 2, 1, 2, 0  },
{ 1, 0, 2, 0, 1, 1, 2, 1, 0, 3, 0, 3, 3, 3, 1, 2, 1, 1, 0, 1, 1, 0, 3, 1, 2, 0, 2, 0, 1, 1, 0, 2, 1, 2, 1, 2, 0, 2, 0, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 0, 2, 0, 1, 1, 0, 2, 3, 3, 2, 3, 2, 0, 1, 0, 0, 3, 1, 2, 1, 1, 2, 0, 1, 0, 2, 1, 3, 2, 1, 0, 2, 0, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 2, 2, 2, 0, 1, 2, 0, 2, 3, 0, 3, 2, 0, 2, 3, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 0, 1, 2, 1, 2, 0, 2  },
{ 0, 1, 2, 0, 0, 1, 3, 1, 2, 3, 2, 3, 1, 3, 0, 0, 1, 2, 0, 1, 3, 2, 3, 0, 2, 0, 1, 1, 1, 0, 0, 0, 3, 2, 3, 1, 0, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 0, 0, 2, 1, 0, 1, 2, 1, 1, 1, 0, 0, 1, 1, 0, 2, 2, 2, 2, 0, 3, 2, 2, 1, 0, 3, 0, 1, 1, 0, 2, 0, 2, 0, 2  },
{ 1, 0, 0, 2, 2, 1, 3, 0, 2, 1, 1, 0, 0, 2, 0, 1, 0, 2, 0, 1, 1, 1, 2, 2, 1, 1, 1, 1, 3, 2, 2, 1, 2, 3, 0, 1, 2, 0, 2, 1, 0, 2  },
{ 1, 2, 0, 0, 1, 2, 2, 1, 2, 0, 3, 0, 0, 2, 0, 1, 1, 3, 1, 3, 1, 1, 1, 2, 1, 2, 2, 0, 0, 2, 0, 2, 2, 1, 0, 0, 2, 0, 2, 0, 1, 1  },
{ 0, 1, 0, 2, 0, 2, 1, 1, 1, 1, 3, 2, 3, 3, 2, 1, 0, 0, 3, 2, 1, 3, 2, 1, 1, 0, 1, 2, 0, 0, 2, 3, 3, 2, 1, 0, 0, 2, 3, 2, 3, 2  },
{ 1, 0, 0, 2, 1, 1, 3, 1, 3, 2, 3, 2, 1, 1, 2, 1, 3, 2, 0, 0, 3, 0, 3, 3, 1, 1, 0, 0, 2, 2, 2, 2, 2, 2, 1, 2, 2, 0, 1, 1, 3, 2  },
{ 0, 1, 2, 1, 2, 2, 2, 0, 1, 0, 0, 0, 2, 0, 0, 0, 1, 3, 3, 3, 0, 1, 2, 0, 1, 2, 2, 0, 2, 1, 1, 0, 2, 0, 0, 2, 2, 1, 0, 1, 2, 2  },
{ 0, 1, 0, 2, 2, 2, 2, 2, 0, 1, 3, 1, 1, 1, 2, 1, 3, 1, 1, 1, 1, 0, 2, 2, 2, 1, 2, 1, 1, 2, 2, 3, 3, 0, 1, 1, 2, 2, 1, 2, 3, 0  },
{ 3, 1, 2, 1, 0, 2, 1, 0, 2, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 2, 1, 0, 2, 1, 0, 1, 2, 1, 3, 0, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 1, 0  },
{ 1, 1, 2, 1, 0, 0, 1, 2, 0, 2, 1, 0, 2, 1, 2, 0, 0, 2, 1, 2, 1, 0, 1, 2, 0, 1, 1, 0, 0, 2, 0, 2, 0, 1, 2, 0, 2, 2, 0, 2, 1, 0  },
{ 1, 2, 2, 1, 1, 1, 0, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 2, 1, 1, 1, 0, 0, 0, 2, 1, 2, 3, 2, 0, 0, 0, 0, 1, 0, 2, 0, 2, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 0, 1, 1, 1, 2, 1, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 2, 1, 2, 1, 0, 1, 0, 3, 0, 0, 1, 2, 0, 2, 0, 0, 1, 0  },
{ 2, 0, 0, 1, 0, 0, 3, 2, 0, 1, 0, 3, 0, 1, 2, 3, 0, 2, 3, 0, 3, 1, 0, 2, 0, 0, 0, 2, 0, 1, 0, 0, 0, 3, 1, 0, 2, 2, 1, 2, 1, 1  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 0, 0, 2, 0, 1, 0, 0, 2, 1, 1, 0, 2, 3, 1, 0, 1, 0, 0, 2, 3, 0, 1, 0, 0, 0, 0, 1, 2, 0, 2, 3, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 0, 0, 2, 1, 0, 2, 1, 0, 2, 2, 0, 1, 0, 2, 0, 0, 3, 2, 1, 1, 0, 2, 1, 0, 2, 0, 1, 0, 2, 0, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 0, 2, 0, 2, 1, 0, 1, 1, 2, 0, 1, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 0, 2, 1, 0, 2, 0, 0, 1, 2, 0, 2, 0, 1, 0, 0  },
{ 3, 0, 0, 0, 1, 1, 3, 0, 0, 3, 1, 0, 0, 2, 0, 3, 1, 1, 0, 3, 1, 2, 1, 0, 3, 0, 0, 1, 0, 1, 0, 1, 0, 3, 3, 0, 2, 1, 3, 2, 1, 0  },
{ 1, 1, 2, 0, 1, 2, 0, 3, 0, 0, 2, 0, 3, 0, 1, 0, 1, 1, 3, 0, 3, 1, 3, 0, 0, 0, 2, 2, 0, 0, 1, 0, 0, 0, 1, 2, 2, 0, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 1, 2, 0, 2, 0, 2, 2, 0, 2, 0, 1, 1, 2, 0, 1, 0, 0, 1, 2, 2, 1, 0, 2, 0, 1, 0, 0, 3, 1, 2, 0, 2, 0, 1, 2, 0  },
{ 1, 0, 2, 0, 1, 1, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 1, 1, 0, 1, 1, 0, 1, 1, 1, 2, 1, 0, 2, 2, 0, 2, 0, 2, 1, 2, 0, 2, 0, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 1, 3, 2, 1, 0, 2, 2, 0, 3, 0, 0, 0, 0, 3, 2, 3, 2, 0, 0, 0, 0, 0, 0, 0, 1, 0, 1, 0, 3, 1, 0, 2, 1, 0, 2, 3, 0  },
{ 1, 0, 2, 1, 1, 0, 0, 2, 0, 2, 0, 2, 3, 0, 1, 0, 0, 1, 0, 2, 2, 3, 0, 2, 0, 0, 0, 1, 2, 0, 1, 0, 2, 3, 1, 2, 2, 0, 1, 0, 1, 0  },
{ 1, 2, 0, 1, 1, 1, 0, 2, 0, 2, 1, 2, 0, 2, 1, 0, 1, 2, 1, 0, 2, 0, 0, 3, 1, 0, 2, 1, 0, 2, 1, 0, 2, 1, 3, 2, 2, 0, 0, 3, 0, 3  },
{ 2, 1, 2, 1, 0, 0, 2, 0, 0, 1, 2, 2, 1, 0, 0, 2, 1, 2, 0, 1, 1, 0, 1, 1, 1, 2, 1, 0, 1, 2, 1, 0, 3, 3, 2, 1, 0, 2, 1, 1, 0, 3  },
{ 2, 1, 3, 2, 0, 1, 2, 1, 0, 0, 0, 2, 0, 2, 0, 1, 1, 0, 1, 1, 2, 2, 1, 0, 0, 0, 0, 3, 2, 2, 2, 3, 3, 3, 2, 1, 2, 0, 1, 1, 0, 2  },
{ 1, 1, 2, 3, 1, 0, 3, 0, 3, 1, 1, 3, 2, 0, 1, 0, 0, 3, 0, 2, 3, 1, 2, 0, 0, 0, 0, 2, 2, 3, 3, 1, 0, 1, 0, 3, 2, 1, 0, 1, 3, 0  },
{ 1, 2, 1, 0, 1, 2, 0, 2, 0, 1, 3, 1, 1, 2, 0, 0, 2, 1, 0, 1, 0, 2, 2, 1, 0, 0, 0, 0, 1, 3, 2, 0, 1, 0, 0, 1, 2, 1, 0, 2, 0, 3  },
{ 2, 1, 2, 0, 2, 1, 0, 2, 0, 2, 1, 0, 1, 1, 2, 0, 0, 2, 0, 2, 2, 0, 1, 0, 0, 0, 1, 3, 1, 0, 3, 2, 2, 0, 2, 2, 2, 2, 2, 3, 0, 3  },
{ 3, 1, 0, 0, 2, 3, 0, 1, 2, 1, 2, 3, 1, 1, 2, 0, 2, 3, 1, 1, 1, 1, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 2, 0, 2, 1, 2, 1, 2, 2, 2, 3  },
{ 1, 2, 2, 0, 1, 0, 1, 3, 0, 0, 1, 2, 0, 0, 2, 2, 1, 1, 0, 2, 0, 1, 1, 2, 0, 2, 0, 2, 0, 1, 0, 0, 0, 0, 2, 0, 1, 2, 1, 2, 1, 0  },
{ 1, 2, 0, 2, 1, 2, 1, 0, 0, 0, 1, 0, 0, 2, 1, 2, 1, 2, 1, 1, 1, 0, 1, 2, 2, 2, 0, 1, 2, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 2, 1, 0, 2, 1, 1, 1, 0, 0, 0, 2, 1, 2, 1, 0, 0, 2, 1, 1, 2, 2, 0, 0, 2, 0, 0, 0, 0, 1, 2, 0, 1, 2, 1, 0, 1, 0  },
{ 1, 0, 2, 0, 1, 2, 1, 0, 2, 2, 1, 0, 3, 2, 2, 2, 1, 1, 0, 1, 0, 2, 1, 1, 2, 0, 0, 2, 1, 2, 0, 0, 0, 2, 2, 0, 1, 2, 1, 3, 1, 0  },
{ 1, 0, 2, 0, 2, 0, 0, 2, 0, 1, 1, 3, 2, 1, 2, 2, 0, 2, 0, 1, 2, 0, 2, 1, 2, 2, 0, 1, 1, 2, 0, 2, 0, 3, 0, 2, 1, 0, 2, 1, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 0, 2, 0, 1, 2, 3, 1, 1, 0, 2, 1, 0, 0, 2, 2, 0, 1, 0, 2, 2, 1, 0, 1, 1, 0, 2, 0, 1, 1, 1, 1, 0, 2, 1, 1, 0  },
{ 1, 0, 2, 0, 1, 1, 3, 3, 1, 2, 2, 0, 1, 0, 1, 2, 1, 1, 1, 0, 1, 0, 2, 1, 1, 0, 0, 0, 2, 2, 2, 0, 0, 0, 2, 0, 1, 2, 0, 1, 1, 0  },
{ 1, 0, 2, 0, 2, 0, 1, 2, 0, 1, 2, 0, 0, 1, 2, 1, 0, 3, 3, 1, 3, 2, 0, 2, 1, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 0, 1, 2, 1, 3, 3, 0  },
{ 1, 0, 2, 0, 2, 3, 0, 2, 0, 1, 2, 3, 1, 0, 2, 1, 1, 2, 1, 1, 3, 0, 1, 0, 2, 2, 1, 0, 1, 3, 0, 0, 0, 1, 2, 0, 1, 2, 3, 2, 1, 0  },
{ 1, 0, 2, 0, 1, 0, 2, 0, 0, 2, 0, 2, 1, 2, 2, 2, 1, 0, 0, 1, 1, 1, 3, 0, 2, 0, 2, 0, 1, 2, 0, 3, 0, 2, 0, 1, 2, 0, 2, 1, 0, 1  },
{ 1, 0, 2, 1, 1, 0, 0, 2, 0, 2, 1, 0, 2, 0, 2, 0, 0, 1, 1, 2, 3, 2, 1, 1, 1, 2, 1, 0, 1, 3, 2, 0, 2, 0, 1, 2, 0, 2, 0, 0, 2, 1  },
{ 1, 0, 0, 2, 2, 2, 2, 0, 1, 1, 2, 1, 0, 0, 1, 1, 1, 3, 3, 2, 2, 1, 0, 0, 1, 1, 0, 2, 3, 1, 0, 2, 0, 0, 2, 0, 0, 2, 1, 2, 2, 2  },
{ 2, 1, 2, 2, 0, 0, 0, 0, 2, 2, 0, 2, 3, 3, 0, 1, 1, 1, 3, 2, 1, 1, 0, 2, 0, 1, 3, 1, 1, 1, 0, 0, 2, 2, 0, 0, 2, 2, 1, 1, 3, 3  },
{ 1, 0, 0, 2, 2, 1, 0, 2, 0, 1, 1, 1, 3, 1, 0, 0, 2, 1, 3, 2, 1, 2, 1, 2, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 1, 2, 2, 0, 0, 3, 1, 0  },
{ 1, 0, 0, 2, 2, 0, 2, 1, 2, 2, 2, 1, 2, 3, 3, 2, 0, 3, 0, 2, 2, 1, 2, 3, 0, 1, 1, 2, 3, 1, 2, 3, 1, 2, 0, 2, 2, 2, 3, 1, 1, 2  },
{ 1, 0, 0, 1, 0, 2, 2, 1, 2, 2, 3, 1, 0, 3, 2, 2, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 2, 1, 3, 1, 2, 0, 3, 3, 2, 1, 1, 2, 0, 1, 2, 2  },
{ 2, 1, 2, 0, 0, 0, 1, 0, 2, 3, 1, 3, 2, 0, 1, 1, 2, 0, 0, 2, 1, 2, 2, 2, 1, 0, 2, 2, 3, 2, 3, 1, 3, 1, 0, 2, 1, 1, 2, 1, 1, 1  },
{ 3, 1, 2, 1, 1, 2, 1, 2, 0, 0, 0, 1, 2, 0, 0, 2, 0, 3, 1, 1, 2, 1, 1, 2, 0, 1, 1, 0, 1, 0, 0, 0, 3, 1, 1, 1, 2, 2, 2, 1, 2, 0  },
{ 1, 1, 2, 1, 0, 2, 1, 2, 0, 1, 2, 3, 1, 2, 0, 2, 2, 2, 0, 1, 2, 1, 1, 2, 0, 1, 0, 1, 2, 1, 0, 0, 0, 2, 0, 2, 1, 2, 2, 0, 0, 0  },
{ 1, 1, 2, 1, 1, 0, 2, 0, 0, 0, 0, 2, 1, 2, 0, 0, 2, 0, 2, 1, 2, 1, 1, 2, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 2, 2, 1, 2, 1, 0  },
{ 1, 0, 1, 2, 0, 0, 1, 2, 1, 1, 3, 2, 0, 1, 2, 0, 1, 1, 0, 0, 2, 1, 1, 1, 0, 3, 0, 2, 0, 1, 0, 0, 0, 1, 2, 2, 0, 2, 0, 0, 2, 0  },
{ 1, 0, 2, 0, 1, 2, 0, 0, 0, 2, 1, 2, 0, 2, 2, 0, 1, 1, 0, 2, 3, 2, 0, 1, 2, 2, 2, 0, 1, 1, 0, 0, 0, 0, 0, 2, 1, 1, 0, 1, 1, 0  },
{ 3, 0, 0, 1, 1, 0, 2, 2, 0, 0, 2, 1, 1, 0, 1, 0, 3, 0, 0, 2, 2, 1, 2, 0, 1, 1, 0, 2, 0, 1, 0, 0, 1, 1, 2, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 0, 2, 1, 3, 1, 1, 2, 2, 0, 1, 0, 0, 1, 2, 1, 0, 0, 1, 2, 0, 2, 1, 2, 1, 0, 0, 1, 0, 1, 1, 0, 2, 2, 0, 1, 1, 0, 3  },
{ 0, 1, 2, 1, 2, 2, 2, 0, 0, 1, 0, 0, 2, 1, 1, 0, 1, 2, 0, 1, 2, 0, 1, 2, 1, 2, 0, 0, 2, 0, 1, 0, 0, 1, 0, 2, 1, 0, 1, 2, 1, 0  },
{ 1, 0, 2, 1, 1, 1, 1, 0, 0, 2, 2, 0, 2, 0, 0, 2, 1, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 3, 2, 2, 2, 0, 3, 2, 0, 1, 0, 2, 1, 0, 0, 0  },
{ 2, 1, 1, 1, 1, 3, 1, 2, 1, 3, 1, 0, 1, 2, 3, 0, 3, 1, 2, 0, 2, 2, 1, 2, 1, 1, 0, 1, 2, 0, 1, 0, 2, 1, 0, 1, 2, 3, 2, 2, 0, 0  },
{ 1, 0, 2, 1, 1, 0, 2, 0, 2, 2, 2, 1, 0, 0, 1, 0, 1, 1, 0, 2, 1, 0, 0, 2, 0, 2, 0, 0, 2, 0, 1, 0, 1, 1, 1, 2, 0, 2, 0, 2, 0, 0  },
{ 1, 0, 1, 2, 1, 2, 0, 2, 1, 1, 2, 1, 0, 3, 2, 0, 2, 2, 0, 1, 0, 0, 0, 0, 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 2, 2, 0, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 3, 0, 0, 2, 0, 1, 3, 0, 0, 0, 0, 2, 0, 2, 3, 2, 0, 1, 0, 1, 1, 1, 1, 0, 2, 1, 2, 3, 0, 2, 1, 2, 2, 0, 0, 1, 0, 0  },
{ 1, 2, 0, 1, 3, 0, 2, 2, 1, 1, 1, 0, 2, 2, 0, 1, 2, 0, 3, 0, 1, 2, 2, 1, 1, 1, 0, 0, 0, 1, 0, 2, 1, 2, 0, 1, 2, 0, 2, 1, 0, 0  },
{ 1, 1, 2, 3, 1, 2, 1, 2, 1, 2, 3, 1, 2, 0, 2, 1, 1, 2, 1, 0, 2, 0, 1, 2, 0, 0, 0, 1, 1, 0, 2, 1, 0, 0, 1, 0, 2, 1, 2, 0, 1, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 2, 1, 1, 2, 2, 3, 2, 0, 0, 2, 3, 0, 1, 2, 2, 0, 2, 0, 0, 1, 2, 2, 0, 2, 0, 1, 0, 1, 2, 2, 0, 1, 3, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 2, 0, 1, 0, 3, 2, 1, 0, 0, 2, 1, 0, 1, 2, 2, 0, 1, 2, 0, 2, 2, 2, 0, 1, 0, 2, 0, 1, 2, 2, 0, 2, 3, 0, 0  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 1, 1, 2, 1, 2, 0, 0, 2, 1, 2, 3, 0, 0, 1, 2, 1, 1, 1, 2, 1, 2, 1, 0, 0, 2, 1, 2, 1, 0, 2, 3, 1, 0, 2  },
{ 2, 1, 0, 0, 2, 1, 2, 1, 2, 1, 0, 0, 1, 2, 2, 0, 2, 3, 2, 3, 3, 1, 2, 0, 0, 2, 0, 3, 2, 0, 2, 0, 3, 2, 2, 1, 2, 0, 2, 1, 1, 2  },
{ 2, 1, 2, 0, 1, 2, 2, 0, 2, 1, 3, 2, 1, 0, 0, 1, 2, 0, 3, 0, 1, 1, 2, 0, 0, 1, 2, 1, 0, 0, 1, 1, 3, 2, 0, 1, 1, 0, 2, 1, 1, 0  },
{ 3, 1, 2, 2, 1, 1, 2, 2, 3, 1, 0, 3, 2, 0, 1, 1, 1, 1, 2, 2, 3, 0, 2, 1, 0, 0, 0, 3, 1, 2, 3, 0, 1, 0, 2, 0, 2, 1, 0, 1, 3, 0  },
{ 3, 1, 2, 0, 1, 2, 0, 2, 1, 2, 1, 3, 0, 2, 0, 0, 1, 0, 2, 0, 2, 2, 1, 2, 0, 0, 3, 0, 1, 2, 3, 1, 2, 0, 1, 1, 2, 0, 1, 3, 1, 0  },
{ 3, 0, 1, 2, 2, 2, 1, 0, 2, 2, 1, 2, 3, 0, 2, 0, 2, 1, 1, 2, 1, 2, 0, 1, 2, 0, 3, 1, 1, 0, 1, 0, 2, 0, 1, 1, 2, 1, 0, 1, 0, 3  },
{ 3, 1, 2, 1, 0, 1, 2, 3, 0, 2, 0, 1, 2, 1, 0, 2, 0, 1, 2, 3, 1, 0, 2, 1, 1, 1, 2, 0, 1, 2, 3, 0, 2, 0, 1, 1, 0, 1, 2, 3, 2, 2  },
{ 2, 1, 2, 1, 0, 1, 2, 1, 1, 0, 2, 1, 1, 0, 0, 2, 1, 2, 0, 2, 2, 3, 1, 3, 0, 0, 2, 3, 0, 1, 0, 0, 1, 1, 2, 1, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 2, 0, 2, 0, 2, 0, 1, 2, 0, 1, 3, 2, 2, 1, 3, 1, 2, 1, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 0, 0, 2, 0, 0, 1, 2, 2, 2, 1, 0  },
{ 1, 0, 2, 2, 1, 2, 0, 1, 0, 2, 2, 1, 1, 2, 2, 2, 1, 1, 2, 0, 1, 0, 0, 1, 2, 1, 0, 0, 1, 2, 0, 0, 0, 3, 1, 0, 0, 2, 1, 2, 1, 0  },
{ 1, 2, 0, 0, 1, 2, 1, 0, 0, 0, 2, 0, 2, 2, 2, 2, 1, 2, 0, 1, 2, 1, 0, 1, 2, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 2, 1, 0, 2, 1, 2, 0  },
{ 1, 1, 2, 3, 0, 2, 1, 1, 0, 1, 2, 1, 1, 2, 0, 2, 1, 0, 2, 0, 2, 1, 1, 0, 2, 1, 1, 3, 0, 2, 0, 1, 1, 0, 1, 0, 2, 0, 2, 1, 0, 0  },
{ 1, 2, 2, 0, 1, 1, 2, 1, 0, 0, 2, 3, 0, 2, 0, 2, 1, 3, 2, 0, 1, 2, 1, 3, 1, 2, 2, 1, 3, 2, 0, 0, 0, 3, 2, 0, 1, 1, 0, 0, 0, 0  },
{ 1, 2, 0, 3, 1, 2, 2, 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 2, 1, 3, 2, 0, 1, 1, 2, 2, 1, 2, 1, 0, 0, 3, 0, 1, 1, 0, 2, 3, 0, 0, 1, 0  },
{ 0, 1, 2, 1, 2, 3, 2, 1, 0, 1, 0, 1, 2, 0, 2, 1, 1, 2, 1, 0, 2, 0, 2, 3, 2, 0, 2, 0, 2, 1, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 1, 3  },
{ 1, 2, 1, 2, 0, 0, 0, 2, 0, 1, 2, 3, 3, 2, 0, 1, 2, 3, 2, 1, 1, 0, 0, 1, 1, 1, 2, 0, 0, 1, 2, 0, 0, 1, 0, 1, 2, 2, 1, 2, 2, 3  },
{ 1, 2, 0, 0, 1, 3, 0, 0, 2, 3, 3, 1, 3, 0, 0, 1, 0, 1, 0, 1, 2, 0, 1, 3, 0, 3, 3, 2, 0, 0, 3, 1, 3, 0, 1, 1, 2, 0, 3, 0, 0, 2  },
{ 1, 2, 0, 0, 0, 3, 2, 0, 1, 1, 1, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 3, 0, 2, 0, 0, 1, 0, 1, 3, 1, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 1  },
{ 1, 0, 0, 1, 3, 1, 0, 0, 0, 0, 0, 1, 2, 3, 1, 1, 1, 2, 2, 2, 3, 3, 2, 1, 2, 2, 0, 0, 0, 2, 1, 0, 1, 1, 0, 0, 2, 0, 2, 2, 0, 0  },
{ 2, 2, 2, 1, 1, 1, 2, 1, 1, 0, 2, 1, 0, 3, 2, 2, 1, 2, 0, 0, 2, 1, 0, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 2, 2, 1, 2, 2, 1, 2, 2, 0  },
{ 3, 1, 0, 0, 2, 0, 2, 1, 1, 0, 1, 0, 2, 2, 0, 0, 1, 2, 0, 0, 2, 0, 2, 0, 0, 1, 2, 0, 1, 0, 0, 0, 0, 0, 1, 1, 2, 1, 2, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 2, 1, 0, 2, 0, 0, 1, 1, 0, 1, 2, 0, 2, 1, 0, 2, 2, 0, 0, 2, 0, 1, 1, 0, 0, 2, 1, 2, 1, 1, 2, 0, 2, 1, 0  },
{ 1, 2, 2, 1, 1, 3, 2, 1, 1, 0, 0, 1, 0, 1, 0, 0, 1, 0, 2, 0, 2, 0, 0, 2, 1, 1, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 2, 2, 1, 2, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 1, 0, 0, 0, 2, 1, 2, 0, 2, 0, 0, 1, 1, 0, 2, 0, 2, 1, 2, 1, 2, 1, 0, 0, 0, 0, 0, 1, 0, 2, 1, 2, 0, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 1, 2, 0, 0, 0, 1, 2, 2, 0, 1, 0, 1, 0, 2, 0, 2, 1, 2, 0, 1, 1, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 2, 1, 2, 0, 0, 2, 3, 0, 0, 2, 1, 2, 2, 0, 2, 0, 0, 2, 0, 1, 1, 0, 2, 1, 0, 0, 0, 1, 0, 2, 2, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 0, 0, 2, 1, 2, 1, 1, 1, 2, 0, 0, 2, 0, 0, 2, 0, 1, 0, 0, 2, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 1, 1, 0  },
{ 1, 1, 2, 0, 0, 1, 2, 2, 1, 1, 0, 2, 3, 1, 0, 2, 1, 2, 1, 2, 2, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 1, 1, 0, 0, 0  },
{ 2, 1, 2, 0, 1, 2, 1, 2, 1, 0, 0, 1, 0, 1, 1, 0, 0, 0, 2, 1, 2, 0, 2, 0, 1, 1, 0, 2, 0, 0, 2, 0, 1, 2, 1, 1, 2, 2, 2, 1, 2, 0  },
{ 1, 1, 2, 0, 0, 2, 0, 1, 2, 1, 2, 2, 2, 3, 0, 2, 0, 1, 2, 0, 2, 1, 0, 0, 2, 1, 2, 0, 2, 0, 1, 0, 0, 1, 3, 2, 2, 0, 1, 2, 0, 0  },
{ 0, 1, 2, 1, 1, 0, 2, 0, 1, 1, 2, 0, 2, 1, 1, 2, 2, 3, 0, 2, 1, 2, 1, 0, 2, 1, 0, 1, 0, 2, 0, 1, 0, 1, 0, 2, 2, 0, 0, 1, 0, 0  },
{ 0, 1, 2, 0, 2, 1, 2, 1, 1, 0, 1, 2, 1, 2, 1, 0, 2, 2, 0, 0, 2, 2, 1, 1, 1, 1, 2, 0, 0, 2, 0, 1, 0, 1, 0, 2, 2, 0, 3, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 1, 2, 0, 0, 1, 0, 2, 2, 2, 0, 1, 1, 2, 1, 0, 2, 2, 0, 2, 1, 0, 3, 2, 1, 2, 0, 1, 0, 1, 2, 0, 2, 2, 1, 2, 1, 0  },
{ 1, 1, 2, 1, 0, 2, 1, 2, 0, 1, 2, 2, 3, 0, 1, 0, 0, 0, 2, 2, 1, 2, 0, 2, 0, 1, 2, 0, 3, 3, 0, 1, 0, 0, 0, 1, 0, 2, 0, 1, 0, 0  },
{ 1, 0, 2, 1, 1, 2, 1, 2, 1, 0, 1, 2, 1, 2, 0, 0, 1, 2, 3, 0, 2, 1, 1, 0, 2, 1, 1, 0, 2, 3, 0, 1, 0, 3, 1, 2, 2, 0, 0, 0, 1, 0  },
{ 1, 2, 0, 3, 1, 2, 2, 1, 2, 1, 2, 0, 1, 2, 1, 0, 1, 2, 0, 3, 2, 1, 1, 0, 0, 0, 1, 2, 3, 2, 2, 0, 2, 2, 1, 1, 0, 2, 0, 3, 0, 0  },
{ 1, 0, 2, 3, 1, 2, 1, 2, 1, 2, 1, 2, 2, 1, 2, 0, 2, 3, 0, 3, 3, 2, 1, 0, 0, 2, 1, 0, 0, 1, 1, 0, 2, 1, 1, 0, 0, 2, 2, 0, 0, 2  },
{ 3, 2, 2, 1, 1, 1, 2, 2, 0, 1, 2, 0, 1, 2, 0, 1, 0, 1, 2, 0, 2, 1, 1, 2, 0, 0, 0, 1, 0, 2, 1, 0, 2, 1, 0, 0, 2, 1, 0, 1, 3, 0  },
{ 0, 1, 2, 0, 1, 2, 0, 2, 1, 1, 2, 0, 3, 1, 2, 1, 1, 0, 2, 0, 1, 1, 1, 2, 0, 0, 0, 3, 1, 3, 2, 0, 2, 0, 1, 1, 2, 0, 1, 3, 0, 1  },
{ 1, 3, 0, 0, 1, 2, 2, 0, 1, 2, 1, 2, 3, 0, 2, 0, 2, 1, 0, 2, 0, 2, 1, 0, 2, 0, 1, 2, 1, 3, 2, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 3  },
{ 1, 2, 0, 0, 0, 1, 2, 0, 0, 1, 2, 1, 2, 0, 0, 2, 2, 1, 2, 3, 3, 1, 2, 0, 0, 0, 2, 0, 2, 1, 0, 1, 2, 1, 0, 1, 0, 1, 2, 1, 0, 3  },
{ 2, 1, 2, 1, 1, 1, 2, 3, 0, 0, 0, 1, 2, 1, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0, 1, 1, 2, 3, 0, 0, 0, 0, 0, 1, 1, 2, 2, 0, 2, 2, 2, 0  },
{ 1, 0, 2, 1, 1, 2, 3, 2, 1, 0, 2, 0, 0, 2, 2, 0, 0, 0, 0, 2, 2, 0, 1, 2, 0, 1, 2, 2, 1, 3, 0, 0, 0, 2, 2, 1, 0, 2, 0, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 1, 2, 1, 0, 2, 1, 0, 1, 2, 0, 1, 2, 0, 1, 2, 1, 0, 1, 0, 1, 2, 3, 2, 0, 0, 0, 1, 1, 2, 2, 2, 1, 2, 0, 2, 0  },
{ 2, 1, 0, 1, 2, 2, 0, 2, 0, 0, 2, 0, 0, 1, 2, 2, 1, 3, 1, 0, 1, 1, 0, 0, 1, 2, 2, 1, 0, 2, 0, 0, 3, 0, 0, 2, 1, 0, 0, 2, 1, 0  },
{ 1, 1, 0, 1, 2, 2, 2, 2, 0, 1, 0, 0, 2, 3, 1, 2, 2, 2, 0, 2, 0, 2, 0, 0, 1, 1, 0, 1, 1, 0, 0, 0, 0, 2, 0, 1, 2, 2, 3, 0, 3, 0  },
{ 1, 2, 2, 0, 1, 2, 1, 2, 0, 0, 0, 0, 0, 1, 0, 2, 1, 2, 2, 0, 2, 0, 0, 0, 2, 2, 0, 3, 0, 1, 0, 0, 0, 1, 0, 2, 1, 2, 1, 0, 0, 0  },
{ 1, 2, 0, 0, 1, 0, 0, 0, 1, 2, 2, 2, 1, 2, 0, 2, 3, 1, 2, 0, 2, 3, 0, 2, 1, 2, 0, 3, 1, 2, 0, 0, 0, 0, 0, 3, 1, 2, 2, 2, 0, 0  },
{ 1, 0, 2, 0, 2, 1, 1, 2, 0, 1, 2, 3, 3, 2, 0, 1, 2, 3, 0, 1, 2, 2, 0, 2, 1, 0, 0, 1, 2, 0, 0, 0, 0, 2, 0, 2, 1, 2, 3, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 2, 2, 3, 0, 3, 0, 2, 1, 0, 2, 2, 1, 2, 0, 2, 2, 0, 0, 1, 0, 1, 0, 0, 2, 1, 0, 0, 3, 1, 0, 0, 2, 0, 1, 1, 0  },
{ 1, 2, 0, 0, 1, 2, 2, 1, 3, 2, 3, 2, 1, 2, 2, 0, 1, 0, 1, 1, 0, 1, 3, 2, 1, 0, 0, 2, 0, 2, 1, 0, 2, 1, 0, 2, 2, 0, 1, 0, 0, 2  },
{ 2, 1, 0, 1, 2, 2, 3, 2, 0, 0, 0, 2, 3, 1, 1, 1, 3, 2, 3, 0, 1, 1, 0, 3, 2, 0, 3, 1, 2, 2, 0, 0, 0, 1, 0, 1, 1, 2, 0, 2, 0, 0  },
{ 1, 2, 0, 0, 1, 2, 0, 2, 0, 3, 1, 3, 0, 2, 0, 1, 0, 2, 1, 3, 0, 0, 1, 0, 1, 1, 2, 2, 0, 2, 0, 2, 1, 0, 1, 0, 0, 3, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 2, 2, 0, 2, 1, 3, 1, 3, 3, 2, 1, 1, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 1, 1, 2, 1, 1, 2, 0, 1, 1, 2, 0, 1, 0, 1, 2  },
{ 1, 2, 2, 2, 0, 3, 2, 0, 0, 1, 1, 1, 3, 1, 0, 1, 2, 3, 2, 2, 1, 2, 2, 1, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 2, 3, 2  },
{ 3, 2, 2, 2, 3, 1, 2, 0, 1, 0, 1, 0, 1, 1, 1, 0, 2, 1, 2, 0, 2, 0, 0, 2, 1, 1, 3, 0, 0, 0, 2, 0, 0, 1, 3, 2, 2, 2, 2, 1, 2, 2  },
{ 2, 2, 2, 2, 1, 2, 2, 1, 0, 0, 1, 2, 2, 0, 1, 0, 1, 1, 2, 0, 2, 0, 0, 2, 1, 1, 2, 1, 0, 0, 2, 0, 0, 2, 1, 1, 2, 2, 2, 1, 2, 2  },
{ 0, 2, 1, 0, 1, 2, 0, 2, 0, 0, 2, 1, 2, 1, 0, 0, 1, 0, 2, 1, 0, 2, 2, 0, 0, 0, 1, 1, 0, 3, 0, 0, 0, 1, 0, 2, 0, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 2, 0, 0, 2, 0, 0, 0, 1, 2, 2, 0, 1, 0, 1, 1, 2, 0, 2, 0, 2, 1, 0, 1, 2, 0, 0, 0, 0, 0, 0, 2, 0, 1, 2, 2, 2, 2, 2, 0  },
{ 1, 1, 0, 3, 0, 1, 0, 1, 2, 1, 2, 1, 2, 0, 0, 2, 0, 2, 0, 0, 2, 0, 2, 2, 1, 1, 2, 1, 0, 2, 0, 0, 0, 2, 0, 0, 2, 2, 2, 0, 1, 0  },
{ 0, 1, 2, 1, 2, 1, 0, 2, 1, 1, 3, 2, 0, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 0, 1, 1, 2, 1, 0, 2, 0, 0, 0, 1, 0, 2, 2, 0, 1, 2, 2, 0  },
{ 2, 1, 1, 1, 0, 1, 2, 0, 0, 0, 1, 2, 0, 1, 1, 0, 1, 2, 0, 0, 2, 0, 2, 0, 2, 1, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 0, 2, 1, 0, 1, 2, 0, 2, 0, 2, 2, 1, 2, 1, 2, 1, 2, 3, 0, 2, 0, 1, 0, 1, 0, 1, 0, 2, 3, 0, 0, 0, 1, 2, 2, 2, 0, 2, 1, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 1, 2, 1, 1, 0, 2, 0, 0, 1, 0, 0, 3, 2, 0, 2, 0, 1, 1, 0, 1, 0, 0, 2, 0, 2, 0, 0, 1, 2, 2, 2, 0, 2, 1, 0, 0  },
{ 1, 1, 0, 2, 2, 1, 0, 2, 1, 0, 2, 1, 2, 2, 2, 0, 1, 2, 0, 0, 1, 0, 2, 1, 0, 1, 2, 3, 0, 2, 3, 0, 0, 2, 1, 0, 0, 1, 0, 1, 0, 0  },
{ 0, 1, 1, 1, 1, 1, 2, 0, 0, 0, 1, 1, 2, 0, 1, 0, 1, 2, 0, 0, 2, 2, 0, 1, 2, 1, 2, 0, 1, 0, 2, 0, 0, 2, 0, 1, 2, 2, 2, 1, 2, 0  },
{ 1, 1, 0, 1, 2, 2, 0, 1, 2, 1, 0, 2, 2, 2, 0, 1, 1, 0, 0, 0, 2, 2, 0, 2, 1, 1, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 0, 1, 2, 1, 2, 2, 1, 0, 0, 1, 0, 0, 1, 0, 2, 3, 0, 1, 1, 0, 0, 2, 0, 0, 1, 0, 2, 1, 2, 2, 0, 0, 1, 3, 0  },
{ 1, 0, 2, 1, 2, 1, 2, 0, 1, 2, 1, 2, 0, 2, 0, 0, 3, 1, 0, 0, 2, 1, 0, 2, 1, 2, 1, 2, 0, 2, 1, 0, 0, 1, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 1, 2, 2, 2, 0, 1, 2, 0, 1, 0, 0, 2, 0, 2, 1, 0, 2, 1, 2, 3, 1, 2, 1, 1, 0, 2, 1, 2, 2, 3, 2, 0, 0, 1, 1, 2, 2, 0, 1, 0, 0, 0  },
{ 2, 1, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0, 1, 2, 1, 0, 0, 0, 2, 0, 2, 0, 2, 0, 0, 1, 0, 1, 1, 0, 2, 0, 3, 2, 1, 0, 2, 2, 1, 2, 0, 0  },
{ 1, 1, 0, 0, 1, 0, 2, 1, 2, 1, 0, 2, 1, 2, 0, 1, 1, 1, 2, 0, 2, 0, 0, 1, 0, 1, 2, 0, 0, 2, 0, 1, 0, 0, 1, 2, 2, 0, 1, 2, 0, 0  },
{ 1, 0, 0, 0, 1, 2, 0, 2, 3, 0, 1, 2, 2, 0, 1, 0, 2, 1, 0, 0, 2, 0, 2, 0, 1, 2, 3, 2, 0, 2, 0, 1, 0, 0, 1, 2, 2, 0, 1, 1, 0, 0  },
{ 2, 0, 0, 1, 2, 1, 2, 2, 1, 0, 1, 2, 0, 2, 0, 0, 1, 2, 3, 0, 2, 1, 2, 0, 0, 0, 1, 2, 3, 1, 2, 1, 0, 2, 1, 2, 0, 2, 0, 0, 1, 0  },
{ 0, 0, 2, 3, 1, 2, 1, 2, 1, 2, 0, 1, 2, 3, 2, 0, 2, 3, 0, 3, 0, 2, 1, 0, 0, 2, 0, 1, 3, 3, 2, 0, 2, 1, 2, 2, 1, 0, 2, 1, 0, 2  },
{ 2, 1, 2, 3, 1, 1, 2, 2, 1, 1, 1, 2, 2, 0, 3, 1, 0, 1, 2, 0, 2, 1, 2, 0, 1, 0, 2, 0, 1, 2, 0, 0, 1, 2, 0, 0, 2, 1, 0, 1, 0, 0  },
{ 0, 1, 2, 1, 2, 1, 3, 2, 1, 1, 2, 0, 1, 3, 0, 1, 0, 1, 0, 2, 0, 2, 3, 1, 0, 0, 3, 0, 2, 1, 0, 2, 0, 2, 0, 2, 2, 1, 0, 0, 0, 0  },
{ 1, 0, 1, 2, 1, 2, 2, 0, 1, 2, 3, 1, 2, 3, 0, 0, 0, 1, 2, 1, 0, 2, 3, 0, 2, 1, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 3, 0, 2, 0  },
{ 2, 0, 2, 1, 2, 2, 1, 2, 0, 0, 1, 0, 0, 1, 2, 0, 1, 2, 3, 0, 3, 2, 2, 0, 0, 1, 2, 2, 3, 2, 1, 1, 0, 3, 1, 1, 0, 1, 1, 2, 1, 0  },
{ 2, 1, 1, 1, 1, 2, 2, 1, 1, 0, 2, 3, 0, 0, 2, 3, 1, 2, 0, 0, 2, 0, 0, 1, 1, 1, 2, 1, 0, 2, 0, 0, 0, 2, 0, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 3, 1, 0, 1, 0, 2, 0, 1, 2, 0, 2, 1, 2, 0, 1, 0, 2, 1, 0, 1, 1, 2, 1, 2, 0, 0, 0, 0, 2, 2, 1, 0, 2, 2, 0, 1, 0  },
{ 1, 1, 0, 2, 1, 1, 2, 2, 1, 0, 2, 1, 0, 1, 2, 0, 2, 3, 2, 0, 2, 0, 2, 0, 2, 1, 1, 2, 0, 1, 0, 0, 2, 1, 0, 2, 1, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 0, 0, 1, 1, 2, 1, 0, 0, 1, 2, 0, 2, 2, 1, 0, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 0, 2, 2, 3, 2, 2, 1, 0, 2, 0  },
{ 1, 0, 0, 2, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 2, 0, 2, 2, 0, 3, 0, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 2, 2, 3, 2, 1, 0, 1, 0  },
{ 1, 2, 2, 0, 1, 0, 0, 1, 2, 2, 2, 3, 2, 0, 1, 0, 0, 1, 2, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 2, 0, 0, 0, 0, 2, 2, 0, 2, 1, 2, 0, 0  },
{ 1, 3, 2, 2, 1, 0, 2, 3, 2, 2, 0, 3, 2, 0, 1, 0, 2, 1, 0, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0, 1, 0, 0, 0, 2, 2, 0, 2, 1, 0, 0, 2, 0  },
{ 1, 1, 2, 3, 0, 1, 2, 2, 1, 2, 1, 2, 2, 1, 0, 2, 1, 2, 0, 0, 2, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 0, 0, 1, 1, 2, 2, 1, 2, 0, 1, 0  },
{ 0, 1, 2, 2, 0, 0, 1, 2, 1, 1, 1, 2, 1, 2, 2, 0, 0, 0, 0, 0, 2, 2, 3, 1, 1, 3, 1, 0, 0, 2, 1, 0, 0, 2, 0, 2, 2, 2, 0, 3, 3, 0  },
{ 1, 2, 0, 1, 0, 2, 0, 0, 0, 1, 1, 1, 2, 2, 0, 1, 2, 2, 0, 0, 2, 3, 0, 3, 2, 0, 3, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 2, 2, 1, 1, 0  },
{ 0, 1, 2, 0, 1, 2, 0, 2, 1, 0, 2, 1, 2, 2, 0, 1, 1, 0, 2, 3, 2, 3, 1, 2, 1, 1, 0, 2, 0, 1, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 2, 0  },
{ 1, 2, 3, 1, 0, 1, 2, 1, 0, 3, 2, 3, 3, 2, 1, 1, 0, 1, 1, 0, 0, 1, 0, 2, 2, 1, 0, 1, 1, 2, 0, 0, 0, 0, 0, 3, 2, 3, 0, 1, 0, 1  },
{ 1, 2, 0, 1, 1, 2, 0, 1, 0, 2, 2, 3, 0, 0, 1, 0, 1, 3, 2, 0, 2, 0, 2, 1, 1, 0, 2, 1, 1, 2, 1, 0, 0, 3, 0, 2, 2, 0, 0, 2, 0, 0  },
{ 2, 1, 2, 0, 2, 0, 2, 2, 2, 1, 1, 2, 1, 1, 0, 1, 2, 3, 1, 2, 0, 1, 0, 2, 1, 0, 3, 0, 3, 2, 0, 0, 0, 0, 1, 0, 1, 0, 2, 0, 0, 1  },
{ 2, 1, 0, 3, 2, 0, 0, 1, 2, 0, 1, 2, 0, 0, 2, 2, 0, 2, 2, 1, 2, 0, 2, 2, 0, 0, 3, 3, 2, 2, 2, 0, 0, 3, 1, 0, 0, 0, 2, 0, 1, 0  },
{ 3, 1, 3, 1, 1, 1, 0, 1, 0, 0, 3, 3, 2, 0, 2, 3, 1, 0, 1, 3, 0, 2, 1, 1, 2, 0, 1, 2, 3, 3, 2, 0, 0, 2, 0, 0, 0, 0, 1, 1, 1, 2  },
{ 1, 0, 1, 2, 2, 2, 0, 0, 0, 3, 0, 1, 0, 1, 1, 0, 2, 0, 0, 3, 0, 3, 1, 0, 2, 1, 2, 3, 1, 2, 0, 1, 0, 0, 1, 0, 0, 1, 1, 2, 0, 2  },
{ 2, 1, 2, 2, 1, 0, 1, 2, 0, 2, 1, 1, 0, 1, 0, 0, 1, 2, 1, 1, 2, 1, 1, 2, 0, 3, 2, 1, 2, 0, 1, 0, 2, 2, 1, 0, 3, 0, 2, 2, 2, 1  },
{ 1, 2, 2, 2, 1, 2, 1, 1, 0, 0, 0, 1, 2, 0, 1, 1, 1, 1, 2, 0, 2, 0, 2, 2, 0, 2, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 2, 1, 2, 1, 2, 2  },
{ 2, 2, 2, 2, 1, 2, 2, 0, 1, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 0, 1, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 2, 1, 2, 2, 2, 2  },
{ 1, 1, 2, 1, 1, 2, 0, 1, 2, 3, 2, 1, 1, 1, 1, 2, 0, 0, 1, 2, 0, 2, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 2, 3, 1, 2, 2, 0, 2, 0  },
{ 2, 1, 2, 3, 1, 3, 2, 3, 1, 0, 1, 0, 2, 0, 1, 0, 0, 1, 2, 0, 2, 0, 2, 3, 1, 1, 2, 1, 0, 0, 2, 0, 0, 1, 2, 1, 2, 2, 0, 2, 2, 0  },
{ 1, 1, 2, 0, 1, 1, 2, 1, 2, 2, 0, 2, 3, 2, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 0, 1, 2, 3, 0, 1, 0, 0, 1, 0, 2, 1, 0, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 2, 0, 1, 3, 1, 2, 2, 1, 0, 2, 0, 0, 2, 1, 2, 1, 0, 2, 0, 1, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 2, 1, 2, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 0, 2, 2, 2, 0, 1, 2, 0, 2, 1, 0, 1, 1, 2, 0, 2, 0, 2, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 1, 2, 1, 2, 2, 2, 0, 2, 0  },
{ 1, 1, 2, 2, 0, 2, 2, 1, 2, 2, 1, 2, 1, 0, 2, 1, 2, 2, 3, 1, 0, 2, 0, 0, 0, 1, 0, 3, 0, 2, 0, 0, 2, 1, 2, 1, 2, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 0, 1, 1, 2, 0, 0, 0, 1, 2, 0, 0, 3, 2, 0, 1, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 0, 2, 3, 0, 1, 2, 0, 0  },
{ 2, 1, 2, 0, 0, 0, 2, 2, 0, 2, 1, 0, 3, 0, 0, 2, 1, 2, 0, 0, 2, 0, 0, 3, 2, 2, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 1, 2, 1, 0, 1, 0  },
{ 2, 1, 0, 1, 2, 0, 2, 1, 0, 2, 1, 0, 0, 2, 1, 0, 1, 0, 2, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 2, 1, 1, 2, 2, 0, 2, 2, 0  },
{ 1, 2, 1, 0, 1, 2, 1, 2, 1, 2, 1, 2, 0, 0, 1, 2, 0, 1, 0, 0, 2, 0, 2, 0, 2, 1, 0, 0, 1, 0, 2, 0, 1, 1, 2, 0, 2, 2, 0, 2, 2, 0  },
{ 0, 1, 2, 1, 0, 2, 2, 1, 2, 1, 2, 3, 0, 0, 0, 1, 0, 1, 0, 0, 2, 2, 0, 0, 2, 1, 0, 0, 2, 0, 0, 0, 0, 1, 2, 2, 2, 1, 0, 2, 0, 0  },
{ 3, 1, 2, 2, 0, 2, 1, 2, 1, 1, 2, 3, 0, 2, 3, 0, 2, 1, 0, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 1, 0, 0, 1, 1, 0  },
{ 1, 0, 0, 2, 2, 1, 3, 2, 1, 2, 2, 0, 2, 0, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 1, 2, 1, 2, 0, 2, 2, 0, 2, 1, 0, 2, 2, 1, 3, 0, 0, 1  },
{ 0, 1, 0, 0, 1, 0, 2, 0, 0, 3, 1, 2, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 2, 0, 2, 1, 1, 0, 2, 0, 2, 0, 1, 2, 1, 0, 2, 2, 1, 2, 2, 0  },
{ 3, 1, 0, 2, 0, 1, 2, 0, 0, 1, 3, 3, 2, 0, 1, 0, 0, 0, 0, 2, 0, 2, 0, 1, 0, 1, 2, 0, 0, 2, 0, 1, 0, 2, 1, 2, 2, 0, 2, 3, 2, 0  },
{ 1, 1, 0, 2, 1, 0, 1, 2, 0, 1, 2, 1, 2, 0, 3, 0, 1, 2, 3, 2, 1, 2, 0, 2, 0, 1, 0, 2, 0, 2, 1, 0, 0, 0, 1, 2, 2, 0, 2, 0, 0, 0  },
{ 1, 2, 0, 1, 2, 2, 0, 2, 1, 1, 1, 3, 2, 0, 1, 0, 1, 2, 1, 2, 2, 2, 0, 1, 2, 0, 2, 3, 0, 1, 0, 1, 0, 2, 1, 1, 2, 2, 0, 2, 1, 0  },
{ 2, 2, 1, 2, 0, 0, 2, 0, 1, 1, 2, 0, 2, 1, 0, 0, 2, 2, 2, 2, 0, 3, 1, 0, 0, 1, 0, 3, 2, 2, 1, 0, 3, 2, 0, 1, 2, 1, 0, 2, 2, 0  },
{ 2, 1, 2, 0, 1, 1, 2, 0, 1, 0, 0, 2, 0, 2, 0, 1, 0, 1, 0, 1, 2, 3, 2, 0, 1, 0, 1, 2, 3, 0, 2, 0, 1, 0, 0, 1, 2, 0, 1, 2, 0, 0  },
{ 1, 1, 2, 0, 1, 0, 2, 0, 0, 1, 2, 0, 0, 2, 1, 0, 2, 1, 0, 1, 2, 0, 1, 2, 0, 1, 0, 2, 0, 2, 1, 2, 0, 1, 0, 1, 1, 0, 1, 0, 1, 0  },
{ 0, 1, 0, 2, 2, 1, 1, 2, 3, 2, 1, 2, 3, 1, 0, 0, 0, 2, 0, 2, 3, 2, 1, 0, 2, 1, 2, 1, 0, 2, 1, 2, 0, 1, 1, 2, 0, 2, 1, 2, 0, 0  },
{ 0, 0, 2, 1, 2, 2, 1, 2, 3, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 3, 2, 0, 0, 1, 2, 0, 1, 3, 1, 2, 3, 2, 2, 0, 0, 2, 1, 2, 1, 0  },
{ 0, 1, 1, 1, 1, 0, 0, 2, 1, 0, 1, 2, 2, 1, 0, 1, 1, 2, 1, 0, 2, 0, 2, 2, 1, 1, 3, 0, 0, 2, 0, 0, 0, 0, 2, 1, 2, 1, 2, 0, 2, 0  },
{ 0, 1, 2, 1, 1, 2, 1, 2, 1, 2, 2, 0, 2, 0, 2, 1, 1, 0, 0, 0, 0, 1, 0, 2, 1, 1, 2, 1, 0, 2, 0, 0, 1, 2, 2, 0, 0, 2, 0, 1, 0, 0  },
{ 2, 1, 2, 2, 0, 0, 0, 0, 1, 2, 1, 2, 0, 0, 2, 0, 3, 2, 1, 0, 0, 2, 0, 1, 2, 1, 1, 0, 0, 2, 0, 0, 2, 2, 0, 0, 1, 2, 0, 2, 0, 0  },
{ 1, 1, 2, 3, 0, 1, 1, 2, 0, 0, 2, 1, 0, 2, 0, 2, 1, 2, 1, 1, 0, 2, 2, 0, 0, 0, 1, 2, 0, 2, 0, 0, 2, 2, 2, 0, 0, 2, 1, 0, 2, 0  },
{ 1, 1, 2, 0, 3, 1, 0, 3, 1, 0, 2, 0, 3, 2, 0, 2, 0, 0, 3, 2, 0, 0, 2, 2, 0, 1, 2, 0, 0, 1, 1, 0, 2, 0, 2, 0, 1, 2, 1, 2, 0, 0  },
{ 1, 1, 2, 1, 2, 0, 0, 1, 0, 2, 0, 0, 0, 3, 0, 2, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 1, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 1, 2, 1, 2, 0, 1, 1, 0, 1, 2, 1, 2, 0, 0, 0, 0, 0, 1, 0, 1, 2, 2, 2, 2, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 1, 2, 0, 1, 0  },
{ 0, 1, 2, 2, 0, 0, 2, 1, 1, 1, 0, 1, 2, 1, 2, 0, 2, 2, 0, 0, 1, 0, 2, 3, 1, 2, 1, 1, 0, 0, 2, 0, 0, 2, 0, 2, 1, 2, 1, 0, 2, 0  },
{ 1, 2, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 0, 0, 1, 2, 2, 2, 1, 1, 0, 3, 2, 1, 0, 0, 0, 2, 0, 2, 0, 0, 0, 0, 2, 1, 1, 2, 0, 1, 0, 0  },
{ 2, 2, 1, 2, 1, 2, 0, 1, 0, 0, 0, 0, 2, 1, 2, 1, 1, 1, 0, 3, 0, 3, 3, 1, 2, 1, 2, 1, 0, 2, 3, 0, 0, 2, 0, 0, 2, 1, 3, 0, 0, 1  },
{ 1, 2, 1, 2, 1, 0, 0, 2, 0, 3, 2, 1, 0, 1, 0, 1, 1, 1, 2, 2, 0, 2, 1, 1, 1, 2, 2, 1, 0, 1, 2, 0, 0, 2, 0, 0, 1, 0, 2, 2, 0, 0  },
{ 1, 2, 2, 2, 1, 2, 0, 2, 2, 0, 0, 3, 0, 0, 2, 0, 1, 3, 1, 1, 0, 2, 1, 1, 1, 2, 0, 1, 3, 2, 2, 0, 0, 2, 2, 2, 1, 2, 3, 0, 1, 0  },
{ 0, 0, 0, 2, 1, 1, 0, 3, 2, 2, 2, 0, 3, 1, 0, 1, 0, 1, 2, 2, 0, 2, 1, 2, 1, 2, 1, 3, 0, 1, 1, 0, 2, 1, 0, 2, 0, 0, 2, 1, 0, 1  },
{ 1, 2, 0, 0, 1, 0, 3, 0, 0, 0, 2, 0, 1, 1, 3, 1, 1, 0, 0, 1, 0, 0, 0, 1, 3, 2, 1, 2, 0, 1, 0, 0, 0, 0, 0, 1, 1, 2, 0, 1, 0, 1  },
{ 0, 2, 1, 0, 1, 2, 2, 0, 0, 2, 1, 0, 2, 3, 0, 1, 1, 3, 2, 1, 2, 1, 0, 1, 2, 0, 0, 0, 2, 2, 1, 0, 0, 0, 2, 1, 1, 2, 2, 1, 0, 0  },
{ 1, 2, 0, 2, 1, 0, 0, 0, 1, 2, 3, 0, 2, 2, 0, 1, 1, 2, 3, 3, 0, 2, 0, 1, 1, 1, 0, 3, 2, 2, 1, 0, 0, 0, 0, 0, 2, 0, 0, 0, 2, 2  },
{ 2, 1, 0, 2, 2, 0, 0, 0, 0, 1, 0, 1, 3, 2, 2, 0, 0, 0, 3, 0, 3, 0, 2, 1, 2, 2, 1, 1, 2, 2, 1, 0, 0, 1, 0, 0, 3, 0, 0, 2, 2, 0  },
{ 1, 2, 1, 0, 2, 3, 1, 1, 0, 0, 3, 2, 1, 1, 0, 1, 2, 1, 1, 0, 2, 0, 3, 1, 1, 2, 0, 3, 3, 1, 2, 0, 3, 1, 2, 2, 0, 1, 2, 1, 1, 2  },
{ 1, 2, 1, 3, 1, 2, 2, 1, 0, 0, 1, 3, 1, 1, 1, 0, 2, 0, 2, 0, 0, 2, 1, 0, 1, 0, 3, 0, 2, 2, 1, 0, 0, 0, 1, 0, 2, 1, 0, 0, 2, 2  },
{ 0, 3, 2, 1, 1, 1, 1, 3, 3, 0, 1, 0, 0, 0, 0, 0, 0, 1, 2, 0, 2, 0, 2, 1, 1, 0, 1, 0, 0, 2, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 2, 0  },
{ 3, 1, 2, 1, 0, 0, 2, 0, 0, 1, 2, 0, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 2, 2, 1, 1, 0, 0, 0, 2, 0, 1, 0, 0, 0, 1, 2, 1, 2, 0, 2, 0  },
{ 0, 0, 2, 3, 0, 1, 2, 0, 0, 1, 3, 1, 0, 1, 2, 2, 0, 2, 1, 1, 0, 2, 0, 1, 3, 0, 1, 1, 2, 0, 0, 1, 1, 2, 0, 0, 1, 2, 2, 0, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 0, 1, 0, 1, 2, 1, 0, 0, 2, 1, 1, 0, 0, 2, 0, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 2, 0, 1, 1, 1, 2, 1, 2, 0, 2, 0  },
{ 1, 0, 3, 2, 2, 1, 0, 3, 2, 0, 0, 1, 0, 2, 0, 1, 2, 1, 0, 2, 0, 2, 0, 1, 1, 0, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 2, 0  },
{ 2, 1, 2, 0, 0, 0, 2, 0, 1, 1, 1, 0, 2, 0, 1, 0, 1, 2, 1, 0, 2, 0, 2, 1, 0, 0, 1, 0, 2, 2, 0, 0, 2, 1, 2, 1, 1, 2, 1, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 1, 2, 0, 1, 1, 2, 0, 3, 1, 0, 1, 0, 2, 0, 2, 0, 2, 0, 0, 1, 2, 0, 0, 0, 2, 0, 0, 2, 1, 0, 2, 2, 2, 0, 2, 0  },
{ 1, 2, 0, 0, 2, 1, 0, 2, 3, 0, 1, 0, 1, 2, 0, 1, 0, 2, 3, 0, 2, 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 0, 2, 0  },
{ 2, 1, 2, 3, 0, 1, 2, 0, 0, 0, 0, 0, 2, 0, 1, 0, 0, 1, 0, 2, 0, 0, 0, 2, 1, 1, 0, 2, 0, 2, 0, 0, 2, 1, 2, 0, 1, 0, 0, 2, 0, 0  },
{ 0, 1, 2, 2, 1, 0, 0, 0, 0, 2, 0, 2, 0, 1, 3, 0, 2, 0, 1, 0, 0, 2, 0, 0, 1, 0, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 1, 3, 2, 0, 0, 1  },
{ 0, 0, 0, 0, 1, 2, 0, 3, 1, 2, 1, 0, 0, 1, 2, 0, 2, 0, 1, 0, 2, 0, 0, 0, 0, 1, 0, 2, 0, 1, 2, 0, 0, 1, 1, 0, 2, 0, 2, 0, 2, 0  },
{ 1, 2, 1, 2, 2, 3, 0, 0, 0, 0, 0, 1, 2, 0, 3, 0, 0, 2, 1, 0, 2, 0, 0, 1, 1, 1, 0, 2, 1, 1, 2, 0, 0, 1, 3, 2, 0, 2, 0, 2, 1, 0  },
{ 0, 2, 0, 1, 1, 0, 2, 1, 0, 1, 0, 0, 0, 2, 0, 1, 2, 1, 0, 1, 0, 2, 0, 2, 0, 0, 0, 2, 0, 3, 2, 0, 0, 1, 2, 0, 1, 0, 0, 2, 1, 0  },
{ 3, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 1, 1, 2, 2, 1, 2, 1, 0, 0, 1, 0, 0, 0, 1, 1, 2, 0, 0, 1, 2, 0, 1, 1, 0, 3, 2, 1, 2, 0, 1, 0  },
{ 1, 0, 2, 1, 0, 2, 0, 0, 1, 0, 0, 3, 0, 0, 1, 1, 0, 0, 0, 2, 0, 1, 0, 1, 1, 2, 1, 3, 2, 0, 1, 0, 1, 1, 2, 0, 1, 0, 1, 0, 1, 0  },
{ 0, 0, 2, 3, 1, 2, 1, 2, 0, 0, 0, 1, 2, 0, 1, 0, 0, 2, 0, 1, 0, 0, 2, 0, 1, 1, 2, 2, 0, 0, 2, 0, 0, 2, 0, 1, 0, 2, 0, 2, 2, 0  },
{ 1, 2, 0, 0, 1, 3, 1, 0, 1, 2, 1, 2, 0, 1, 2, 0, 3, 3, 2, 0, 0, 2, 0, 2, 0, 1, 0, 2, 1, 0, 0, 1, 0, 1, 3, 3, 2, 0, 1, 0, 2, 0  },
{ 0, 2, 0, 0, 1, 0, 3, 2, 0, 2, 1, 1, 1, 3, 0, 1, 0, 2, 0, 0, 2, 2, 0, 2, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 1, 0, 0, 2, 0, 1, 0, 0  },
{ 0, 2, 0, 0, 0, 0, 2, 0, 2, 1, 0, 0, 2, 0, 1, 0, 3, 1, 2, 0, 2, 0, 2, 0, 1, 1, 1, 2, 0, 1, 2, 0, 0, 2, 1, 2, 0, 0, 0, 0, 1, 0  },
{ 2, 2, 1, 0, 2, 0, 0, 1, 0, 1, 2, 0, 2, 1, 0, 0, 2, 2, 1, 1, 0, 0, 1, 0, 0, 1, 0, 1, 2, 2, 2, 0, 0, 1, 1, 1, 1, 1, 1, 0, 2, 0  },
{ 1, 1, 2, 0, 1, 2, 3, 0, 0, 0, 2, 3, 0, 2, 0, 1, 0, 1, 0, 2, 1, 2, 1, 0, 2, 0, 0, 0, 1, 2, 0, 1, 2, 0, 3, 1, 2, 1, 0, 2, 0, 0  },
{ 1, 2, 0, 0, 2, 2, 1, 3, 2, 0, 0, 2, 0, 3, 0, 0, 0, 1, 0, 2, 1, 0, 2, 0, 2, 1, 0, 2, 0, 2, 1, 0, 2, 0, 1, 1, 1, 0, 1, 0, 0, 0  },
{ 0, 1, 0, 1, 0, 2, 0, 1, 3, 1, 2, 0, 3, 1, 0, 0, 1, 0, 2, 1, 2, 1, 1, 0, 1, 0, 1, 0, 2, 3, 2, 1, 0, 1, 1, 2, 2, 1, 0, 2, 0, 0  },
{ 0, 0, 1, 0, 3, 2, 1, 2, 1, 0, 0, 3, 1, 2, 0, 0, 1, 3, 3, 1, 0, 2, 0, 1, 1, 1, 2, 1, 2, 2, 1, 1, 0, 1, 2, 2, 2, 3, 2, 2, 1, 0  },
{ 2, 2, 2, 1, 0, 1, 2, 3, 1, 1, 0, 1, 2, 3, 0, 1, 2, 1, 0, 2, 0, 1, 0, 0, 1, 0, 1, 2, 2, 0, 0, 1, 2, 2, 0, 1, 2, 0, 3, 1, 0, 0  },
{ 0, 2, 0, 2, 1, 0, 0, 1, 2, 1, 3, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 3, 1, 1, 0, 0, 0, 2, 0, 1, 2, 1, 0, 2, 3, 1, 0, 2, 0, 0  },
{ 1, 2, 2, 0, 1, 0, 0, 2, 1, 1, 0, 0, 2, 2, 0, 0, 0, 3, 1, 0, 0, 3, 0, 1, 2, 2, 1, 2, 2, 0, 0, 0, 2, 0, 0, 0, 0, 1, 3, 0, 2, 0  },
{ 1, 1, 0, 2, 3, 0, 0, 1, 2, 0, 0, 0, 2, 2, 1, 3, 1, 1, 2, 0, 2, 0, 1, 0, 1, 2, 0, 0, 0, 2, 0, 0, 0, 1, 0, 2, 1, 0, 1, 0, 2, 0  },
{ 1, 3, 0, 2, 0, 1, 0, 0, 0, 1, 2, 1, 0, 0, 3, 0, 3, 2, 1, 2, 0, 2, 0, 0, 2, 0, 2, 2, 0, 2, 0, 0, 1, 2, 2, 1, 1, 2, 1, 0, 0, 0  },
{ 1, 0, 1, 0, 3, 2, 0, 0, 1, 1, 2, 0, 2, 0, 1, 2, 2, 0, 0, 0, 2, 0, 1, 0, 2, 0, 2, 2, 2, 1, 0, 0, 0, 2, 1, 0, 0, 1, 1, 2, 0, 0  },
{ 1, 2, 1, 1, 1, 1, 1, 0, 1, 2, 3, 0, 0, 0, 0, 0, 2, 0, 0, 1, 0, 2, 0, 2, 1, 1, 2, 1, 3, 2, 0, 0, 1, 3, 1, 0, 0, 1, 0, 2, 0, 0  },
{ 1, 2, 2, 0, 1, 1, 0, 2, 3, 2, 2, 1, 1, 1, 1, 0, 0, 1, 0, 2, 1, 0, 1, 1, 1, 1, 2, 1, 0, 0, 2, 0, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 1, 1, 3, 0, 0, 1, 2, 0, 3, 2, 1, 3, 2, 2, 0, 0, 2, 0, 2, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 2, 0, 1, 0  },
{ 1, 1, 1, 0, 0, 2, 0, 1, 2, 1, 0, 2, 2, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 3, 0, 0, 2, 0, 0, 0, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0  },
{ 0, 2, 1, 0, 2, 3, 2, 1, 2, 1, 0, 3, 1, 1, 0, 2, 3, 1, 1, 2, 3, 0, 0, 2, 2, 3, 0, 0, 2, 0, 2, 0, 0, 0, 1, 2, 0, 0, 1, 1, 0, 0  },
{ 2, 1, 2, 1, 0, 0, 1, 2, 0, 2, 0, 0, 1, 2, 0, 2, 1, 3, 0, 2, 1, 0, 2, 1, 1, 0, 2, 0, 0, 2, 0, 0, 0, 0, 2, 2, 1, 0, 1, 0, 0, 0  },
{ 0, 0, 1, 2, 2, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 0, 0, 0, 3, 2, 0, 0, 2, 0, 0, 3, 0, 1, 0, 0, 1, 0, 0, 1, 2, 1, 0, 0, 0, 2, 0, 0  },
{ 0, 2, 3, 2, 0, 2, 1, 1, 0, 1, 3, 2, 0, 0, 1, 1, 0, 0, 1, 2, 1, 1, 0, 0, 2, 0, 1, 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 2, 1, 0, 0, 2  },
{ 0, 2, 3, 0, 0, 2, 2, 3, 2, 1, 1, 1, 0, 0, 2, 1, 2, 2, 1, 3, 0, 1, 0, 1, 2, 3, 3, 0, 0, 1, 2, 0, 0, 0, 0, 1, 1, 3, 3, 2, 0, 0  },
{ 2, 1, 2, 1, 2, 0, 2, 0, 2, 2, 0, 1, 0, 0, 2, 1, 1, 0, 3, 2, 2, 1, 2, 0, 1, 2, 3, 1, 0, 0, 1, 0, 0, 0, 1, 2, 1, 2, 3, 3, 2, 0  },
{ 3, 1, 2, 1, 0, 2, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 2, 0, 0, 1, 1, 0, 0, 0, 1, 2, 1, 2, 0, 0, 3, 0, 0, 1, 0, 3, 0, 2, 0, 3, 2, 0  },
{ 0, 1, 1, 2, 0, 2, 3, 1, 0, 2, 2, 1, 1, 0, 1, 2, 0, 0, 3, 2, 2, 1, 0, 2, 1, 2, 1, 1, 0, 0, 2, 1, 0, 0, 0, 2, 1, 2, 3, 1, 0, 2  },
{ 2, 0, 1, 1, 2, 2, 2, 0, 2, 3, 3, 0, 1, 3, 1, 0, 1, 2, 1, 1, 0, 0, 1, 1, 1, 2, 0, 0, 0, 2, 1, 0, 0, 1, 1, 2, 1, 1, 1, 0, 0, 2  },
{ 2, 1, 0, 1, 0, 0, 1, 0, 1, 1, 2, 2, 1, 0, 2, 0, 2, 1, 3, 1, 0, 3, 1, 0, 0, 0, 0, 3, 1, 2, 1, 0, 0, 0, 3, 1, 0, 3, 0, 0, 1, 2  },
{ 2, 1, 3, 2, 1, 1, 3, 2, 0, 2, 0, 2, 3, 1, 0, 0, 1, 1, 3, 3, 1, 1, 1, 0, 0, 0, 2, 1, 2, 2, 1, 2, 0, 1, 0, 0, 1, 0, 0, 1, 0, 2  },
{ 2, 0, 0, 0, 0, 2, 0, 2, 0, 1, 1, 1, 0, 1, 2, 1, 2, 0, 0, 2, 0, 2, 0, 1, 2, 1, 1, 1, 2, 2, 0, 1, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0  },
{ 1, 0, 3, 0, 0, 1, 3, 0, 0, 2, 0, 3, 2, 0, 0, 2, 1, 0, 0, 0, 0, 0, 2, 2, 1, 0, 1, 2, 0, 1, 0, 1, 0, 1, 2, 0, 0, 1, 2, 0, 0, 0  },
{ 0, 0, 2, 1, 0, 1, 2, 0, 0, 2, 1, 1, 2, 2, 3, 3, 0, 0, 0, 0, 2, 0, 2, 1, 1, 1, 2, 1, 0, 1, 2, 0, 0, 1, 2, 3, 0, 0, 2, 0, 0, 0  },
{ 1, 1, 2, 1, 0, 1, 0, 2, 2, 2, 0, 2, 0, 0, 1, 2, 1, 0, 1, 0, 0, 1, 0, 0, 1, 0, 1, 1, 2, 0, 0, 1, 1, 0, 3, 2, 0, 2, 2, 2, 0, 0  },
{ 2, 1, 2, 1, 1, 0, 0, 0, 0, 0, 3, 1, 0, 2, 0, 3, 3, 1, 1, 2, 0, 0, 0, 1, 1, 1, 1, 1, 2, 0, 0, 1, 0, 0, 2, 2, 0, 1, 2, 0, 0, 0  },
{ 3, 1, 1, 0, 0, 0, 2, 1, 1, 2, 1, 0, 2, 2, 1, 1, 1, 0, 0, 1, 0, 2, 0, 1, 2, 2, 0, 1, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 2, 1, 3, 0  },
{ 0, 1, 2, 1, 0, 1, 0, 2, 1, 0, 2, 0, 0, 2, 2, 1, 2, 1, 0, 2, 0, 0, 0, 2, 1, 0, 1, 0, 0, 0, 0, 2, 0, 1, 0, 2, 0, 2, 1, 0, 2, 0  },
{ 2, 1, 0, 0, 0, 1, 0, 0, 0, 2, 0, 0, 0, 0, 1, 0, 1, 1, 0, 0, 2, 0, 0, 0, 3, 0, 3, 0, 0, 2, 0, 0, 1, 0, 1, 2, 1, 0, 2, 0, 2, 0  },
{ 2, 0, 0, 0, 0, 1, 2, 0, 0, 1, 0, 0, 1, 0, 1, 0, 0, 0, 0, 3, 0, 0, 2, 3, 1, 1, 0, 1, 0, 0, 0, 0, 1, 0, 2, 2, 2, 1, 1, 2, 0, 0  },
{ 2, 1, 1, 1, 1, 3, 2, 0, 1, 0, 1, 2, 1, 0, 1, 3, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 1, 1, 0, 0, 1, 0, 1, 1, 0, 1, 1, 2, 2, 1, 0, 0  },
{ 3, 1, 2, 0, 1, 2, 0, 0, 1, 2, 1, 0, 0, 0, 2, 1, 0, 2, 3, 2, 0, 0, 2, 1, 0, 0, 3, 0, 2, 0, 0, 2, 2, 0, 0, 1, 0, 2, 0, 1, 0, 0  },
{ 2, 1, 3, 2, 0, 1, 1, 1, 0, 1, 3, 0, 1, 2, 2, 3, 0, 3, 0, 1, 0, 0, 2, 1, 2, 0, 0, 1, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 1, 0, 0  },
{ 0, 1, 3, 1, 3, 0, 2, 2, 1, 2, 1, 2, 1, 0, 3, 1, 0, 0, 0, 2, 0, 0, 1, 0, 1, 0, 2, 0, 0, 2, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 3, 0  },
{ 2, 1, 0, 0, 0, 0, 2, 0, 1, 3, 0, 1, 1, 3, 1, 0, 2, 0, 1, 2, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 1, 1, 1, 0, 0  },
{ 0, 2, 1, 3, 0, 1, 0, 0, 1, 2, 1, 0, 3, 3, 0, 3, 1, 0, 1, 2, 2, 3, 0, 2, 0, 0, 0, 1, 0, 0, 1, 0, 2, 1, 0, 0, 0, 2, 0, 2, 0, 0  },
{ 0, 2, 0, 1, 1, 2, 1, 0, 1, 0, 2, 1, 2, 0, 1, 2, 0, 1, 0, 1, 2, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 0, 0, 0, 2, 2, 0, 1, 0, 1, 0  },
{ 0, 2, 2, 0, 0, 2, 1, 0, 1, 1, 0, 2, 3, 0, 1, 0, 1, 0, 0, 0, 2, 2, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 1, 2, 1, 3, 0, 2, 0, 1, 2, 0  },
{ 1, 3, 1, 2, 0, 0, 0, 0, 2, 1, 0, 0, 3, 0, 0, 0, 3, 0, 2, 0, 0, 0, 2, 0, 0, 2, 1, 2, 0, 1, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 2, 0  },
{ 1, 0, 1, 2, 0, 0, 1, 0, 0, 1, 2, 1, 2, 2, 0, 0, 1, 1, 1, 1, 2, 2, 0, 0, 0, 0, 0, 2, 1, 2, 2, 0, 0, 2, 0, 1, 1, 1, 1, 0, 2, 0  },
{ 2, 1, 0, 2, 2, 1, 2, 0, 1, 2, 1, 1, 1, 3, 1, 0, 2, 2, 0, 0, 2, 2, 0, 3, 1, 2, 0, 1, 2, 2, 1, 1, 2, 1, 0, 1, 0, 1, 1, 0, 2, 2  },
{ 0, 0, 3, 3, 3, 2, 1, 1, 0, 0, 1, 2, 0, 1, 0, 1, 0, 1, 1, 0, 2, 3, 0, 2, 1, 1, 0, 2, 0, 0, 2, 2, 0, 3, 0, 1, 2, 0, 1, 2, 0, 0  },
{ 1, 2, 0, 0, 2, 0, 2, 0, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 3, 2, 1, 0, 0, 0, 0, 2, 1, 0, 1, 0, 0, 2, 1, 1, 1, 0, 1, 0, 2, 0  },
{ 0, 0, 1, 2, 0, 0, 1, 0, 2, 0, 2, 0, 3, 1, 0, 1, 0, 1, 1, 2, 0, 2, 1, 0, 1, 0, 0, 1, 1, 2, 0, 1, 0, 0, 0, 1, 2, 0, 2, 2, 0, 0  },
{ 1, 0, 1, 2, 0, 2, 0, 2, 1, 0, 2, 2, 1, 1, 0, 1, 1, 0, 0, 1, 0, 2, 1, 2, 0, 1, 3, 2, 0, 0, 0, 0, 1, 1, 0, 2, 0, 3, 2, 0, 0, 3  },
{ 1, 1, 0, 1, 1, 1, 0, 2, 0, 1, 3, 1, 0, 2, 0, 2, 3, 1, 1, 2, 0, 0, 0, 0, 1, 1, 0, 0, 2, 0, 0, 2, 2, 0, 0, 0, 0, 3, 3, 2, 0, 0  },
{ 0, 1, 3, 1, 0, 1, 2, 0, 0, 2, 1, 0, 1, 2, 0, 1, 2, 1, 3, 2, 0, 0, 0, 2, 1, 1, 2, 2, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 3, 2, 0, 0  },
{ 2, 0, 1, 1, 1, 0, 2, 0, 1, 2, 1, 1, 2, 1, 1, 0, 1, 0, 1, 1, 0, 2, 0, 0, 1, 1, 2, 1, 0, 0, 0, 1, 2, 2, 1, 0, 0, 1, 0, 2, 0, 0  },
{ 3, 1, 2, 1, 0, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 2, 1, 0, 3, 2, 1, 0, 0, 3, 3, 2, 2, 1, 0, 0, 0, 1, 3, 1, 0, 0, 2, 0, 0, 0, 0, 0  },
{ 3, 3, 1, 0, 1, 2, 0, 0, 1, 0, 1, 0, 2, 1, 0, 0, 1, 2, 0, 0, 2, 0, 3, 0, 2, 2, 2, 1, 1, 0, 1, 0, 1, 2, 0, 1, 1, 0, 0, 0, 0, 0  },
{ 1, 0, 2, 3, 2, 1, 0, 1, 0, 1, 0, 0, 2, 0, 0, 3, 0, 0, 1, 3, 0, 0, 1, 3, 0, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 0, 2, 1, 1, 0, 1, 1  },
{ 2, 0, 0, 3, 2, 1, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0, 1, 2, 0, 1, 1, 0, 0, 0, 0, 1, 2, 0, 0, 2, 0, 1, 0, 2, 0, 0, 1, 0, 0  },
{ 3, 0, 0, 1, 1, 2, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 2, 0, 1, 2, 2, 0, 2, 0, 1, 1, 0, 0, 1, 0, 0, 1, 0, 2, 2, 0, 2, 0, 1, 1, 0, 0  },
{ 0, 1, 0, 2, 1, 2, 3, 2, 1, 0, 1, 2, 0, 0, 0, 0, 2, 0, 1, 1, 0, 2, 0, 1, 1, 3, 1, 0, 0, 0, 2, 0, 1, 0, 3, 0, 3, 1, 2, 0, 1, 0  },
{ 2, 2, 0, 0, 0, 1, 0, 0, 2, 0, 3, 2, 0, 3, 0, 1, 1, 0, 3, 1, 1, 0, 3, 1, 2, 2, 2, 2, 1, 0, 0, 0, 1, 0, 1, 0, 1, 1, 0, 2, 2, 0  },
{ 0, 0, 0, 1, 2, 1, 0, 1, 1, 0, 0, 1, 0, 0, 1, 1, 1, 2, 0, 2, 0, 0, 1, 2, 2, 0, 1, 0, 2, 1, 0, 0, 0, 2, 1, 3, 0, 0, 1, 3, 0, 1  },
{ 0, 1, 1, 1, 0, 0, 0, 1, 2, 1, 0, 2, 2, 1, 1, 1, 2, 2, 0, 3, 2, 0, 1, 2, 3, 0, 0, 0, 2, 0, 0, 0, 0, 3, 3, 0, 1, 0, 1, 0, 3, 1  },
{ 2, 0, 2, 0, 3, 0, 2, 1, 1, 1, 0, 1, 0, 0, 1, 2, 2, 1, 1, 0, 1, 0, 1, 2, 1, 0, 1, 2, 0, 0, 1, 0, 0, 2, 0, 0, 0, 2, 0, 1, 1, 0  },
{ 2, 2, 1, 0, 1, 0, 1, 1, 1, 0, 0, 2, 2, 0, 0, 1, 3, 2, 1, 0, 2, 1, 0, 1, 0, 0, 3, 0, 0, 2, 1, 0, 0, 2, 0, 1, 0, 1, 0, 1, 2, 0  },
{ 0, 2, 1, 2, 2, 0, 0, 1, 2, 2, 0, 0, 2, 0, 1, 0, 1, 2, 3, 1, 2, 1, 1, 1, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0, 1, 0, 3, 0, 3, 2, 1  },
{ 3, 1, 1, 1, 0, 2, 0, 2, 0, 0, 0, 1, 2, 1, 1, 1, 0, 0, 0, 0, 2, 1, 0, 2, 2, 3, 1, 2, 2, 0, 0, 0, 0, 2, 0, 0, 0, 0, 2, 1, 0, 3  },
{ 0, 0, 1, 0, 0, 2, 2, 1, 0, 2, 3, 1, 0, 0, 1, 2, 2, 2, 1, 2, 1, 0, 0, 2, 3, 0, 1, 1, 3, 0, 0, 0, 0, 1, 0, 0, 0, 2, 2, 0, 2, 3  },
{ 1, 0, 0, 2, 0, 1, 0, 0, 1, 1, 1, 0, 2, 3, 0, 0, 1, 3, 1, 1, 1, 0, 3, 0, 0, 2, 2, 1, 1, 0, 2, 0, 0, 1, 1, 0, 0, 2, 3, 0, 0, 0  },
{ 2, 1, 1, 1, 0, 2, 0, 0, 3, 2, 1, 0, 1, 3, 1, 1, 0, 0, 0, 2, 0, 1, 0, 2, 2, 1, 1, 2, 2, 0, 2, 0, 0, 0, 3, 1, 0, 1, 1, 1, 0, 0  },
{ 2, 1, 2, 2, 0, 1, 1, 2, 3, 0, 0, 1, 1, 1, 0, 0, 0, 2, 3, 1, 0, 0, 3, 2, 2, 0, 1, 0, 2, 2, 2, 0, 0, 0, 0, 0, 2, 1, 1, 2, 0, 1  },
{ 1, 0, 0, 2, 3, 0, 0, 1, 3, 1, 2, 0, 1, 0, 3, 1, 0, 1, 2, 3, 1, 1, 3, 1, 2, 3, 3, 2, 2, 0, 0, 0, 3, 0, 0, 1, 1, 0, 3, 1, 2, 1  },
{ 0, 0, 0, 0, 0, 3, 0, 3, 1, 0, 2, 3, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 1, 0, 1, 0, 0, 1, 2, 0, 1, 0, 2, 0, 0, 2, 1  },
{ 1, 0, 0, 1, 3, 0, 0, 0, 1, 1, 3, 0, 1, 0, 1, 2, 1, 0, 1, 0, 1, 0, 2, 1, 0, 3, 0, 0, 0, 3, 1, 0, 1, 0, 2, 0, 2, 1, 1, 0, 3, 0  },
{ 1, 2, 3, 1, 0, 0, 3, 1, 1, 0, 0, 1, 2, 2, 1, 0, 3, 2, 1, 2, 0, 0, 1, 1, 0, 3, 1, 0, 0, 0, 0, 0, 0, 0, 1, 2, 0, 0, 0, 0, 0, 0  },
{ 2, 0, 0, 1, 2, 0, 0, 2, 3, 0, 1, 0, 1, 2, 3, 0, 0, 1, 0, 3, 0, 2, 1, 1, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 3, 1, 0, 1, 1, 0, 0, 1  },
{ 2, 0, 2, 0, 0, 1, 0, 1, 3, 0, 0, 2, 3, 0, 1, 0, 0, 1, 1, 2, 0, 0, 0, 0, 1, 0, 1, 2, 1, 1, 0, 1, 0, 0, 0, 2, 1, 1, 0, 0, 0, 0  },
{ 2, 1, 0, 0, 1, 1, 2, 0, 0, 2, 2, 0, 1, 0, 0, 0, 2, 1, 1, 0, 1, 2, 1, 0, 1, 1, 1, 0, 1, 0, 0, 1, 0, 0, 0, 1, 0, 1, 2, 0, 2, 0  },
{ 1, 0, 0, 0, 2, 2, 1, 2, 0, 1, 1, 0, 2, 1, 1, 0, 2, 1, 0, 3, 0, 0, 2, 1, 0, 2, 0, 1, 1, 0, 0, 2, 0, 1, 0, 1, 0, 3, 0, 1, 2, 0  },
{ 2, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 0, 0, 3, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 0, 1, 0, 2, 0, 0, 2, 0, 0, 3, 0, 1, 0, 1, 0, 2, 1, 0  },
{ 3, 3, 1, 2, 0, 1, 1, 0, 3, 0, 0, 1, 2, 0, 1, 1, 0, 1, 1, 2, 3, 0, 2, 0, 0, 0, 2, 1, 1, 0, 2, 0, 2, 3, 3, 1, 0, 1, 1, 0, 0, 0  },
{ 0, 0, 0, 0, 1, 0, 2, 0, 2, 2, 1, 1, 2, 1, 3, 0, 3, 0, 0, 0, 3, 2, 0, 1, 3, 0, 2, 2, 1, 0, 0, 2, 0, 1, 1, 3, 2, 1, 1, 1, 0, 0  },
{ 3, 2, 2, 0, 0, 2, 2, 0, 1, 1, 0, 3, 2, 2, 2, 0, 1, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 2, 2, 2, 0, 1, 0, 0, 2, 0, 0, 2, 3, 1, 0, 0  },
{ 0, 0, 2, 0, 0, 3, 1, 0, 0, 1, 0, 2, 2, 2, 0, 1, 0, 2, 0, 2, 0, 0, 0, 3, 2, 0, 0, 0, 0, 1, 3, 0, 0, 1, 0, 0, 1, 0, 3, 0, 1, 0  },
{ 0, 3, 3, 1, 0, 0, 0, 0, 3, 1, 1, 2, 3, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 2, 1, 0, 0, 0, 3, 0, 0, 3, 1, 0, 2, 1, 0, 0, 0, 3, 0  },
{ 1, 1, 3, 0, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1, 2, 1, 1, 2, 2, 0, 0, 0, 2, 0, 2, 1, 3, 1, 0, 0, 0, 1, 3, 2, 0, 1, 1, 2, 2, 2, 2, 0  },
{ 1, 0, 1, 0, 3, 0, 1, 0, 3, 2, 0, 2, 0, 0, 1, 2, 0, 2, 0, 0, 2, 0, 0, 1, 0, 0, 1, 0, 0, 2, 1, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 3  },
{ 1, 1, 1, 1, 0, 2, 1, 0, 2, 0, 2, 2, 1, 2, 0, 0, 1, 0, 1, 3, 3, 1, 0, 3, 1, 2, 0, 2, 3, 0, 0, 2, 2, 3, 2, 1, 0, 1, 1, 0, 1, 0  },
{ 0, 1, 0, 1, 0, 3, 2, 1, 1, 0, 1, 0, 1, 2, 1, 2, 2, 1, 2, 1, 0, 0, 1, 1, 0, 2, 0, 0, 3, 0, 0, 0, 1, 3, 1, 0, 2, 0, 0, 2, 2, 0  },
{ 2, 2, 1, 3, 0, 0, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 3, 1, 0, 3, 1, 3, 0, 0, 0, 0, 1, 2, 2, 0, 0, 1, 2, 2, 0, 0, 0, 1, 1, 2, 1, 0  },
{ 1, 1, 0, 0, 0, 0, 1, 0, 1, 1, 2, 2, 0, 1, 0, 1, 0, 0, 0, 3, 2, 0, 1, 0, 0, 0, 1, 0, 0, 1, 0, 1, 1, 0, 1, 0, 1, 2, 0, 2, 2, 3  },
{ 0, 1, 0, 2, 1, 2, 3, 1, 0, 0, 3, 0, 0, 3, 3, 0, 3, 0, 0, 0, 3, 2, 0, 0, 0, 0, 0, 0, 2, 3, 0, 1, 3, 2, 1, 2, 1, 0, 1, 0, 0, 1  },
{ 3, 0, 0, 3, 0, 1, 0, 0, 0, 1, 2, 0, 2, 0, 1, 1, 0, 2, 0, 1, 2, 0, 0, 1, 0, 1, 0, 2, 0, 0, 1, 2, 1, 0, 1, 1, 1, 0, 1, 1, 2, 0  },
{ 0, 0, 1, 2, 0, 2, 1, 2, 0, 0, 1, 2, 2, 3, 2, 1, 0, 2, 3, 0, 0, 1, 3, 1, 0, 0, 0, 0, 2, 0, 2, 0, 1, 2, 2, 2, 0, 1, 2, 2, 1, 0  },
{ 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 3, 2, 2, 2, 0, 1, 0, 1, 2, 0, 1, 0, 1, 2, 0, 1, 0, 3, 0, 0, 0, 0, 1, 1, 0, 1, 2, 0, 2, 2, 2, 0  },
{ 0, 1, 2, 3, 0, 0, 2, 3, 3, 1, 1, 0, 1, 1, 0, 0, 1, 1, 3, 1, 2, 0, 1, 3, 0, 1, 0, 1, 0, 1, 3, 0, 0, 0, 0, 2, 2, 1, 2, 2, 0, 0  },
{ 0, 2, 1, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 3, 1, 1, 0, 0, 0, 2, 0, 0, 3, 0, 0, 1, 3, 0, 0, 1, 0, 0, 0, 0, 2, 0, 3, 3, 0, 0, 0  },
{ 0, 1, 1, 3, 1, 2, 1, 1, 0, 0, 0, 1, 2, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 3, 1, 0, 3, 3, 2, 0, 0, 3, 0, 0, 2, 0, 0, 1, 0, 0, 3, 2  },
{ 0, 3, 0, 0, 2, 3, 0, 0, 3, 0, 1, 0, 2, 1, 0, 2, 0, 1, 0, 0, 2, 1, 1, 0, 0, 0, 0, 1, 0, 2, 2, 0, 0, 0, 2, 1, 0, 0, 0, 0, 1, 0  },
{ 0, 1, 3, 0, 0, 0, 1, 3, 2, 0, 3, 1, 3, 2, 1, 1, 0, 1, 1, 0, 0, 2, 0, 1, 0, 0, 1, 0, 0, 2, 2, 0, 3, 3, 2, 0, 0, 1, 1, 0, 2, 0  },
{ 0, 2, 0, 2, 1, 2, 0, 2, 0, 1, 1, 0, 1, 3, 0, 2, 0, 2, 0, 0, 0, 0, 0, 2, 2, 0, 3, 0, 0, 0, 0, 0, 1, 2, 1, 0, 1, 1, 1, 3, 0, 2  },
{ 0, 3, 1, 0, 1, 3, 1, 0, 1, 2, 2, 3, 1, 0, 1, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 2, 0, 0, 0, 0, 0, 0, 3, 0  },
{ 0, 1, 2, 1, 0, 0, 0, 1, 2, 1, 1, 0, 3, 0, 3, 0, 0, 3, 0, 0, 0, 0, 2, 1, 0, 0, 1, 0, 3, 0, 0, 0, 0, 3, 3, 2, 0, 0, 0, 0, 0, 3  },
{ 0, 0, 3, 0, 0, 3, 1, 0, 0, 3, 0, 0, 2, 3, 0, 0, 1, 0, 1, 0, 3, 3, 0, 1, 1, 1, 2, 0, 0, 2, 2, 0, 0, 2, 2, 0, 0, 0, 0, 1, 0, 1  },
{ 0, 1, 0, 0, 1, 2, 1, 0, 3, 0, 0, 0, 1, 0, 2, 1, 0, 1, 1, 0, 2, 0, 1, 2, 2, 3, 0, 1, 0, 0, 0, 0, 3, 0, 0, 1, 0, 0, 2, 0, 0, 0  },
{ 0, 0, 1, 0, 1, 3, 0, 1, 1, 1, 0, 3, 0, 2, 3, 0, 3, 0, 2, 3, 1, 0, 3, 1, 3, 1, 2, 0, 3, 0, 1, 0, 0, 2, 0, 1, 3, 0, 0, 0, 2, 0  },
{ 3, 0, 1, 1, 0, 0, 1, 2, 0, 1, 0, 0, 1, 2, 0, 0, 1, 0, 0, 1, 1, 2, 1, 1, 2, 0, 0, 1, 0, 2, 3, 2, 0, 1, 2, 1, 1, 1, 0, 1, 0, 1  }
 }
 }
};

#endif
#endif
